package hanalife.a.ac.sf.web;

import java.util.List;
import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import hanalife.a.ac.sf.service.AACSFM02Service;
import hanalife.a.ac.sf.vo.AACSFM02DSACCTSD01VO;
import hanalife.a.ac.sf.vo.AACSFM02DSACCTSMVO;
import hanalife.a.ac.sf.vo.AACSFM02S01InVO;
import hanalife.a.ac.sf.vo.AACSFM02S01OutVO;
import hanalife.c.co.util.XFrame5DataSetUtil;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

@RequestMapping("/a/ac/sf")
@Controller
public class AACSFM02Controller {

    @Resource(name = "AACSFM02Service")
    private AACSFM02Service AACSFM02;

    private static final Logger LOGGER = LoggerFactory.getLogger(AACSFM02Controller.class);

    @RequestMapping("/AACSFM02S01.do")
    public String AACSFM02S01(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {
        try {

            Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_ACCT_SM", request, response, model);
            System.out.println("test");
            AACSFM02DSACCTSMVO targetVo = new AACSFM02DSACCTSMVO();

            targetVo.setAcctYy((String)sourceMap.get("AcctYy"));
             targetVo.setAcctCd((String)sourceMap.get("AcctCd"));
             targetVo.setAcctNm((String)sourceMap.get("AcctNm"));
             targetVo.setAcctDivCd((String)sourceMap.get("AcctDivCd"));
             targetVo.setTotAcctFg((String)sourceMap.get("TotAcctFg"));
             targetVo.setDcDivCd((String)sourceMap.get("DcDivCd"));
             targetVo.setRamtAcctFg((String)sourceMap.get("RamtAcctFg"));
             targetVo.setBudgAcctFg((String)sourceMap.get("BudgAcctFg"));
             targetVo.setBudgCntrFg((String)sourceMap.get("BudgCntrFg"));
             targetVo.setBusiMngFg((String)sourceMap.get("BusiMngFg"));
             targetVo.setEmpMngFg((String)sourceMap.get("EmpMngFg"));
             targetVo.setDtMngFg((String)sourceMap.get("DtMngFg"));
             targetVo.setTermMngFg((String)sourceMap.get("TermMngFg"));
             targetVo.setMngNoDivCd((String)sourceMap.get("MngNoDivCd"));
             targetVo.setDivGaapIfrs((String)sourceMap.get("DivGaapIfrs"));
             targetVo.setVtaxProcFg((String)sourceMap.get("VtaxProcFg"));

             AACSFM02S01InVO InVO = new AACSFM02S01InVO();

             InVO.setAACSFM02DSACCTSMVO(targetVo);

             AACSFM02S01OutVO resultAACSFM02S01 = AACSFM02.getAACSFM02(InVO);

             XFrame5Util.setOutputData("DS_ACCT_SD_01", resultAACSFM02S01.getListAACSFM02DSACCTSD01VO(), model);


        }catch (Exception e) {
            LOGGER.error("Error >>> " + e.getMessage());
            // 오류 메시지 정보 설정
            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

            LOGGER.info("##### RATMNM03Controller RATMNM03S01 Exception End #####");
        }

        return XFrame5View.XFRAME5_VIEW;

    }

    @RequestMapping("/AACSFM02I01.do")
    public String AACSFM02I01(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception{
        try {
            //Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_ACCT_SM", request, response, model);
            List<Map<String, Object>> insList = XFrame5DataSetUtil.getXFrameDataSetList("DS_ACCT_SD_01", request, response, model);


            for(Map<String, Object> sourceMap : insList) {
                String operation = (String)sourceMap.get("operation");

                AACSFM02DSACCTSD01VO targetVo = new AACSFM02DSACCTSD01VO();
                targetVo.setAcctYy((String)sourceMap.get("AcctYy"));
                targetVo.setAcctCd((String)sourceMap.get("AcctCd"));
                targetVo.setAcctNm((String)sourceMap.get("AcctNm"));
                targetVo.setAcctDivCd((String)sourceMap.get("AcctDivCd"));
                targetVo.setTotAcctFg((String)sourceMap.get("TotAcctFg"));
                targetVo.setDcDivCd((String)sourceMap.get("DcDivCd"));
                targetVo.setRamtAcctFg((String)sourceMap.get("RamtAcctFg"));
                targetVo.setBudgAcctFg((String)sourceMap.get("BudgAcctFg"));
                targetVo.setBudgCntrFg((String)sourceMap.get("BudgCntrFg"));
                targetVo.setBusiMngFg((String)sourceMap.get("BusiMngFg"));
                targetVo.setEmpMngFg((String)sourceMap.get("EmpMngFg"));
                targetVo.setDtMngFg((String)sourceMap.get("DtMngFg"));
                targetVo.setTermMngFg((String)sourceMap.get("TermMngFg"));
                targetVo.setMngNoDivCd((String)sourceMap.get("MngNoDivCd"));
                targetVo.setVtaxProcFg((String)sourceMap.get("VtaxProcFg"));
                targetVo.setVtaxProcFg((String)sourceMap.get("operation"));

                if("I".equals(operation)) {
                    AACSFM02.registerAACSFM02I01(null);
                }
                /* else  if("I".equals(operation)) {
                    AACSFM02.modifyAACSFM02I01(null);
                } else  if("D".equals(operation)) {
                    AACSFM02.deleteAACSFM02I01(null);
                }*/
            }

        } catch (Exception e) {
            LOGGER.error("Error >>> " + e.getMessage());
            // 오류 메시지 정보 설정
            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "SMS 전송이 실패했습니다.");

            LOGGER.info("##### BCNUIP02Controller BCNUIP02I01 Exception End #####");
        }

        return XFrame5View.XFRAME5_VIEW;

    }


}
