package hanalife.b.ab.am.vo;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : BtFlotIzeBaseTDO
 * 클래스설명 : BtFlotIzeBase[유동화_기본] TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtFlotIzeBaseTDO extends AbstractVO {
    private String flotIzeDivCd; //FLOT_IZE_DIV_CD   유동화_구분_코드
    private String flotIzeSeq; //FLOT_IZE_SEQ   차수
    private String loanNo; //LOAN_NO   대출_번호
    private String loanSeq; //LOAN_SEQ   대출_순번
    private String objDt; //OBJ_DT   유동화_대상_일자
    private String contManNo; //CONT_MAN_NO   계약자_번호
    private String custNo; //CUST_NO   고객_번호
    private String prdtCd; //PRDT_CD   상품_코드
    private String prdtLrgeClasCd; //PRDT_LRGE_CLAS_CD   상품_대분류_코드
    private String prdtMidClasCd; //PRDT_MID_CLAS_CD   상품_중분류_코드
    private String prdtSmClasCd; //PRDT_SM_CLAS_CD   상품_소분류_코드
    private String mngDeptCd; //MNG_DEPT_CD   관리_부서_코드
    private String objLoanPamt; //OBJ_LOAN_PAMT   대상_연체_원금
    private String objAskInt; //OBJ_ASK_INT   대상_청구_이자
    private String objAskDfee; //OBJ_ASK_DFEE   대상_청구_연체료
    private String objDcsnFg; //OBJ_DCSN_FG   대상_확정_여
    private String objLoanPamtRamt; //OBJ_LOAN_PAMT_RAMT   대상_잔여_원금
    private String objRcptPamt; //OBJ_RCPT_PAMT   대상_대출_이자_잔액
    private String objRcptInt; //OBJ_RCPT_INT   대상_연체_이자
    private String objRcptDfee; //OBJ_RCPT_DFEE   대상_경과_이자
    private String objRcptMidRmbrFee; //OBJ_RCPT_MID_RMBR_FEE   환매_금액
    private String evalAmt; //EVAL_AMT   외부_기관_평가_금액
    private String dspPrft; //DSP_PRFT   처분_이익
    private String dspLoss; //DSP_LOSS   처분_손실
    private String dcsnDt; //DCSN_DT   확정_일자
    private String cesnPamt; //CESN_PAMT   확정_잔여_원금
    private String cesnRcptPamt; //CESN_RCPT_PAMT   확정_연체_원금
    private String cesnRcptInt; //CESN_RCPT_INT   확정_연체_이자
    private String cesnRcptDfee; //CESN_RCPT_DFEE   확정_경과_이자
    private String rpchDt; //RPCH_DT   환매_일자
    private String rpchDcsnFg; //RPCH_DCSN_FG   환매_대출_상태_코드
    private String rpchPamt; //RPCH_PAMT   환매_잔여_원금
    private String rpchInt; //RPCH_INT   환매_대출_이자_잔액
    private String rpchDfee; //RPCH_DFEE   환매_경과_이자
    private String rpchPrft; //RPCH_PRFT   환매_수익
    private String rpchLoss; //RPCH_LOSS   환매_손실
    private String objGodsCd; //OBJ_GODS_CD   대상_물품_코드
    private String objFcntComgFg; //OBJ_FCNT_COMG_FG   환불_여부
    private String objCustTpCd; //OBJ_CUST_TP_CD   대상_대출_상태_코드
    private String objRmbrFrmlCd; //OBJ_RMBR_FRML_CD   확정_대출_상태_코드
    private String objLeglActsStatCd; //OBJ_LEGL_ACTS_STAT_CD   대상_법적조치_상태_코드
    private String objCrdtStatCd; //OBJ_CRDT_STAT_CD   대상_신용_상태_코드
    private String objDlyTcnt; //OBJ_DLY_TCNT   대상_연체_횟수
    private String objLngsDlyDdcnt; //OBJ_LNGS_DLY_DDCNT   대상_최장_연체_일수
    private String objLoanBalTims; //OBJ_LOAN_BAL_TIMS   대상_대출_잔여_회차
    private String objBrcvRt; //OBJ_BRCV_RT   입금_번호
    private String objLtv; //OBJ_LTV   대상_LTV
    private String objAvlbMrtgAmt; //OBJ_AVLB_MRTG_AMT   대상_가용_담보_금액
    private String objLoanIntRt; //OBJ_LOAN_INT_RT   대상_대출_이자율
    private String objLoanDt; //OBJ_LOAN_DT   대상_대출_일자
    private String objEprtDt; //OBJ_EPRT_DT   대상_만기_일자
    private String objSetlBankCd; //OBJ_SETL_BANK_CD   계좌_번호
    private String objSetlDd; //OBJ_SETL_DD   대상_결제일
    private String objDueMethCd; //OBJ_DUE_METH_CD   대상_납입_방법_코드
    private String objMngNo; //OBJ_MNG_NO   대상_관리번호
    private String objAprvDt; //OBJ_APRV_DT   대상_승인_일자
    private String objExamDeptCd; //OBJ_EXAM_DEPT_CD   대상_심사_부서_코드
    private String objLoanTerm; //OBJ_LOAN_TERM   대상_대출_기간
    private String objExtnTcnt; //OBJ_EXTN_TCNT   대상_연장_횟수
    private String objCprtBranCd; //OBJ_CPRT_BRAN_CD   대상_제휴점_코드
    private String objAssCrdtDgre; //OBJ_ASS_CRDT_DGRE   대상_ASS_신용_등급
    private String objGuarManCnt; //OBJ_GUAR_MAN_CNT   대상_보증인_수
    private String objFrstDueDt; //OBJ_FRST_DUE_DT   대상_최초_납입_일자

    //추가(2018-08-01)
    private String custNm;  //고객명
    private String clasNm;  //분류명
    private String mngDeptNm;  //부서명

    // 2018-08-01 두비스 컬럼 신규추가
    private String dcsnStrtSetlNo;    // DCSN_STRT_SETL_NO  확정_시작_결제_번호
    private String cesnStrtSetlNo;    // CESN_STRT_SETL_NO  양도_시작_결제_번호
    private String rpchStrtSetlNo;    // RPCH_STRT_SETL_NO  환매_시작_결제_번호

 	// 2018-08-01 두비스 컬럼 신규추가
    private String pdueDiscDfee;    	// 선납할인료
    private String dlyTcnt;    			// 연체회차

    // 20191002 유동화진행상태 추가
    private String flotIzePrgsStatCd; // FLOT_IZE_PRGS_STST_CD 유동화진행상태코드

    private String unprocObjFg;


    public String getFlotIzePrgsStatCd() {
		return flotIzePrgsStatCd;
	}
	public void setFlotIzePrgsStatCd(String flotIzePrgsStatCd) {
		this.flotIzePrgsStatCd = flotIzePrgsStatCd;
	}
	public void setPdueDiscDfee(String pdueDiscDfee) {this.pdueDiscDfee = pdueDiscDfee;}
    public void setDlyTcnt(String dlyTcnt) {this.dlyTcnt = dlyTcnt;}

    public String getPdueDiscDfee() { return pdueDiscDfee; }
    public String getDlyTcnt() { return dlyTcnt; }


    public String getFlotIzeDivCd() { return flotIzeDivCd; }
    public String getFlotIzeSeq() { return flotIzeSeq; }
    public String getLoanNo() { return loanNo; }
    public String getLoanSeq() { return loanSeq; }
    public String getObjDt() { return objDt; }
    public String getContManNo() { return contManNo; }
    public String getCustNo() { return custNo; }
    public String getPrdtCd() { return prdtCd; }
    public String getPrdtLrgeClasCd() { return prdtLrgeClasCd; }
    public String getPrdtMidClasCd() { return prdtMidClasCd; }
    public String getPrdtSmClasCd() { return prdtSmClasCd; }
    public String getMngDeptCd() { return mngDeptCd; }
    public String getObjLoanPamt() { return objLoanPamt; }
    public String getObjAskInt() { return objAskInt; }
    public String getObjAskDfee() { return objAskDfee; }
    public String getObjDcsnFg() { return objDcsnFg; }
    public String getObjLoanPamtRamt() { return objLoanPamtRamt; }
    public String getObjRcptPamt() { return objRcptPamt; }
    public String getObjRcptInt() { return objRcptInt; }
    public String getObjRcptDfee() { return objRcptDfee; }
    public String getObjRcptMidRmbrFee() { return objRcptMidRmbrFee; }
    public String getEvalAmt() { return evalAmt; }
    public String getDspPrft() { return dspPrft; }
    public String getDspLoss() { return dspLoss; }
    public String getDcsnDt() { return dcsnDt; }
    public String getCesnPamt() { return cesnPamt; }
    public String getCesnRcptPamt() { return cesnRcptPamt; }
    public String getCesnRcptInt() { return cesnRcptInt; }
    public String getCesnRcptDfee() { return cesnRcptDfee; }
    public String getRpchDt() { return rpchDt; }
    public String getRpchDcsnFg() { return rpchDcsnFg; }
    public String getRpchPamt() { return rpchPamt; }
    public String getRpchInt() { return rpchInt; }
    public String getRpchDfee() { return rpchDfee; }
    public String getRpchPrft() { return rpchPrft; }
    public String getRpchLoss() { return rpchLoss; }
    public String getObjGodsCd() { return objGodsCd; }
    public String getObjFcntComgFg() { return objFcntComgFg; }
    public String getObjCustTpCd() { return objCustTpCd; }
    public String getObjRmbrFrmlCd() { return objRmbrFrmlCd; }
    public String getObjLeglActsStatCd() { return objLeglActsStatCd; }
    public String getObjCrdtStatCd() { return objCrdtStatCd; }
    public String getObjDlyTcnt() { return objDlyTcnt; }
    public String getObjLngsDlyDdcnt() { return objLngsDlyDdcnt; }
    public String getObjLoanBalTims() { return objLoanBalTims; }
    public String getObjBrcvRt() { return objBrcvRt; }
    public String getObjLtv() { return objLtv; }
    public String getObjAvlbMrtgAmt() { return objAvlbMrtgAmt; }
    public String getObjLoanIntRt() { return objLoanIntRt; }
    public String getObjLoanDt() { return objLoanDt; }
    public String getObjEprtDt() { return objEprtDt; }
    public String getObjSetlBankCd() { return objSetlBankCd; }
    public String getObjSetlDd() { return objSetlDd; }
    public String getObjDueMethCd() { return objDueMethCd; }
    public String getObjMngNo() { return objMngNo; }
    public String getObjAprvDt() { return objAprvDt; }
    public String getObjExamDeptCd() { return objExamDeptCd; }
    public String getObjLoanTerm() { return objLoanTerm; }
    public String getObjExtnTcnt() { return objExtnTcnt; }
    public String getObjCprtBranCd() { return objCprtBranCd; }
    public String getObjAssCrdtDgre() { return objAssCrdtDgre; }
    public String getObjGuarManCnt() { return objGuarManCnt; }
    public String getObjFrstDueDt() { return objFrstDueDt; }

    public String getCustNm() { return custNm; }
    public String getClasNm() { return clasNm; }
    public String getMngDeptNm() { return mngDeptNm; }

    // 2018-08-01 두비스 신규추가
    public String getDcsnStrtSetlNo() { return dcsnStrtSetlNo; }  // 확정_시작_결제_번호
    public String getCesnStrtSetlNo() { return cesnStrtSetlNo; }  // 양도_시작_결제_번호
    public String getRpchStrtSetlNo() { return rpchStrtSetlNo; }  // 환매_시작_결제_번호


    public void setFlotIzeDivCd(String flotIzeDivCd) {this.flotIzeDivCd = flotIzeDivCd;}
    public void setFlotIzeSeq(String flotIzeSeq) {this.flotIzeSeq = flotIzeSeq;}
    public void setLoanNo(String loanNo) {this.loanNo = loanNo;}
    public void setLoanSeq(String loanSeq) {this.loanSeq = loanSeq;}
    public void setObjDt(String objDt) {this.objDt = objDt;}
    public void setContManNo(String contManNo) {this.contManNo = contManNo;}
    public void setCustNo(String custNo) {this.custNo = custNo;}
    public void setPrdtCd(String prdtCd) {this.prdtCd = prdtCd;}
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {this.prdtLrgeClasCd = prdtLrgeClasCd;}
    public void setPrdtMidClasCd(String prdtMidClasCd) {this.prdtMidClasCd = prdtMidClasCd;}
    public void setPrdtSmClasCd(String prdtSmClasCd) {this.prdtSmClasCd = prdtSmClasCd;}
    public void setMngDeptCd(String mngDeptCd) {this.mngDeptCd = mngDeptCd;}
    public void setObjLoanPamt(String objLoanPamt) {this.objLoanPamt = objLoanPamt;}
    public void setObjAskInt(String objAskInt) {this.objAskInt = objAskInt;}
    public void setObjAskDfee(String objAskDfee) {this.objAskDfee = objAskDfee;}
    public void setObjDcsnFg(String objDcsnFg) {this.objDcsnFg = objDcsnFg;}
    public void setObjLoanPamtRamt(String objLoanPamtRamt) {this.objLoanPamtRamt = objLoanPamtRamt;}
    public void setObjRcptPamt(String objRcptPamt) {this.objRcptPamt = objRcptPamt;}
    public void setObjRcptInt(String objRcptInt) {this.objRcptInt = objRcptInt;}
    public void setObjRcptDfee(String objRcptDfee) {this.objRcptDfee = objRcptDfee;}
    public void setObjRcptMidRmbrFee(String objRcptMidRmbrFee) {this.objRcptMidRmbrFee = objRcptMidRmbrFee;}
    public void setEvalAmt(String evalAmt) {this.evalAmt = evalAmt;}
    public void setDspPrft(String dspPrft) {this.dspPrft = dspPrft;}
    public void setDspLoss(String dspLoss) {this.dspLoss = dspLoss;}
    public void setDcsnDt(String dcsnDt) {this.dcsnDt = dcsnDt;}
    public void setCesnPamt(String cesnPamt) {this.cesnPamt = cesnPamt;}
    public void setCesnRcptPamt(String cesnRcptPamt) {this.cesnRcptPamt = cesnRcptPamt;}
    public void setCesnRcptInt(String cesnRcptInt) {this.cesnRcptInt = cesnRcptInt;}
    public void setCesnRcptDfee(String cesnRcptDfee) {this.cesnRcptDfee = cesnRcptDfee;}
    public void setRpchDt(String rpchDt) {this.rpchDt = rpchDt;}
    public void setRpchDcsnFg(String rpchDcsnFg) {this.rpchDcsnFg = rpchDcsnFg;}
    public void setRpchPamt(String rpchPamt) {this.rpchPamt = rpchPamt;}
    public void setRpchInt(String rpchInt) {this.rpchInt = rpchInt;}
    public void setRpchDfee(String rpchDfee) {this.rpchDfee = rpchDfee;}
    public void setRpchPrft(String rpchPrft) {this.rpchPrft = rpchPrft;}
    public void setRpchLoss(String rpchLoss) {this.rpchLoss = rpchLoss;}
    public void setObjGodsCd(String objGodsCd) {this.objGodsCd = objGodsCd;}
    public void setObjFcntComgFg(String objFcntComgFg) {this.objFcntComgFg = objFcntComgFg;}
    public void setObjCustTpCd(String objCustTpCd) {this.objCustTpCd = objCustTpCd;}
    public void setObjRmbrFrmlCd(String objRmbrFrmlCd) {this.objRmbrFrmlCd = objRmbrFrmlCd;}
    public void setObjLeglActsStatCd(String objLeglActsStatCd) {this.objLeglActsStatCd = objLeglActsStatCd;}
    public void setObjCrdtStatCd(String objCrdtStatCd) {this.objCrdtStatCd = objCrdtStatCd;}
    public void setObjDlyTcnt(String objDlyTcnt) {this.objDlyTcnt = objDlyTcnt;}
    public void setObjLngsDlyDdcnt(String objLngsDlyDdcnt) {this.objLngsDlyDdcnt = objLngsDlyDdcnt;}
    public void setObjLoanBalTims(String objLoanBalTims) {this.objLoanBalTims = objLoanBalTims;}
    public void setObjBrcvRt(String objBrcvRt) {this.objBrcvRt = objBrcvRt;}
    public void setObjLtv(String objLtv) {this.objLtv = objLtv;}
    public void setObjAvlbMrtgAmt(String objAvlbMrtgAmt) {this.objAvlbMrtgAmt = objAvlbMrtgAmt;}
    public void setObjLoanIntRt(String objLoanIntRt) {this.objLoanIntRt = objLoanIntRt;}
    public void setObjLoanDt(String objLoanDt) {this.objLoanDt = objLoanDt;}
    public void setObjEprtDt(String objEprtDt) {this.objEprtDt = objEprtDt;}
    public void setObjSetlBankCd(String objSetlBankCd) {this.objSetlBankCd = objSetlBankCd;}
    public void setObjSetlDd(String objSetlDd) {this.objSetlDd = objSetlDd;}
    public void setObjDueMethCd(String objDueMethCd) {this.objDueMethCd = objDueMethCd;}
    public void setObjMngNo(String objMngNo) {this.objMngNo = objMngNo;}
    public void setObjAprvDt(String objAprvDt) {this.objAprvDt = objAprvDt;}
    public void setObjExamDeptCd(String objExamDeptCd) {this.objExamDeptCd = objExamDeptCd;}
    public void setObjLoanTerm(String objLoanTerm) {this.objLoanTerm = objLoanTerm;}
    public void setObjExtnTcnt(String objExtnTcnt) {this.objExtnTcnt = objExtnTcnt;}
    public void setObjCprtBranCd(String objCprtBranCd) {this.objCprtBranCd = objCprtBranCd;}
    public void setObjAssCrdtDgre(String objAssCrdtDgre) {this.objAssCrdtDgre = objAssCrdtDgre;}
    public void setObjGuarManCnt(String objGuarManCnt) {this.objGuarManCnt = objGuarManCnt;}
    public void setObjFrstDueDt(String objFrstDueDt) {this.objFrstDueDt = objFrstDueDt;}

    public void setCustNm(String custNm) {this.custNm = custNm;}
    public void setClasNm(String clasNm) {this.clasNm = clasNm;}
    public void setMngDeptNm(String mngDeptNm) {this.mngDeptNm = mngDeptNm;}

    // 2018-08-01 두비스 신규추가
    public void setDcsnStrtSetlNo(String dcsnStrtSetlNo) {this.dcsnStrtSetlNo = dcsnStrtSetlNo;}
    public void setCesnStrtSetlNo(String cesnStrtSetlNo) {this.cesnStrtSetlNo = cesnStrtSetlNo;}
    public void setRpchStrtSetlNo(String rpchStrtSetlNo) {this.rpchStrtSetlNo = rpchStrtSetlNo;}
	public String getUnprocObjFg() {
		return unprocObjFg;
	}
	public void setUnprocObjFg(String unprocObjFg) {
		this.unprocObjFg = unprocObjFg;
	}

}
