package hanalife.b.bd.br.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.bd.br.mapper.dto.ExmpConsCostProcO01DTO;

/**
 * <pre>
 * 클래스명    : ExmpConsCostProcMapper.java Class
 * 클래스설명  : 면제품의 수납 조회, 수정 처리 Mapper
 * 프로젝트명  : 하나생명 가계대출 시스템(DOBSCAP)
 * 작성일자    : 2023. 3. 14.
 * 작성자명    : 70321 / KimMinSeok / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70321 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */

@Mapper("ExmpConsCostProcMapper")
public interface ExmpConsCostProcMapper {

	/**
     * <pre>
     * 메소드명      : selectExmpConsMng
     * 작성일자      : 2023. 3. 14.
     * 작성자(author): 70321
     * 설명          : 면제품의내역을(를) 조회 한다.
     * 메소드인수1   : 면제품의정보 입력
     * 메소드리턴값  : 면제품의정보 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<ExmpConsCostProcO01DTO> selectExmpConsMng(ExmpConsCostProcO01DTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : selectExmpConsMngCount1
     * 작성일자      : 2023. 3. 14.
     * 작성자(author): 70321
     * 설명          : 수납 할 면제품의내역을(를) 조회 한다.
     * 메소드인수1   : 수납 할 면제품의정보 입력
     * 메소드리턴값  : 수납 할 면제품의정보 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<ExmpConsCostProcO01DTO> selectExmpConsMngCount1(ExmpConsCostProcO01DTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : selectExmpConsMngCount2
     * 작성일자      : 2023. 3. 14.
     * 작성자(author): 70321
     * 설명          : 취소 할 면제품의내역을(를) 조회 한다.
     * 메소드인수1   : 취소 할 면제품의정보 입력
     * 메소드리턴값  : 취소 할 면제품의정보 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<ExmpConsCostProcO01DTO> selectExmpConsMngCount2(ExmpConsCostProcO01DTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : updateExmpConsMng
	 * 작성일자      : 2023. 3. 14.
	 * 작성자(author): 70321
	 * 설명          : 면제품의내역을(를) 수정 한다.
	 * 메소드인수1   : 면제품의정보 입력
	 * 메소드리턴값  : 면제품의정보 수정 결과
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int updateExmpConsMng(ExmpConsCostProcO01DTO inDto) throws Exception;

}
