package hanalife.b.bd.br.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : ExmpConsCostProcO01DTO.java Class
 * 클래스설명   : 면제품의 수납 조회, 수정 처리를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 8.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 8.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class ExmpConsCostProcO01DTO {

	private String procDivCd; /** 처리_구분 */
	private String loanNo; /** 대출_번호 */
	private String loanSeq; /** 대출_순번 */
	private String consShNo; /** 품의_번호 */
	private String consDt; /** 품의_일자 */
	private long exmpLoanPamt; /** 면제_대출_원금 */
	private long exmpLoanInt; /** 면제_대출_이자 */
	private long exmpDlyInt; /** 면제_연체_이자 */
	private long exmpSpayAmt; /** 면제_가지급금 */
	private long exmpDlyFee; /** 면제_연체료 */
	private long exmpTrtFee; /** 면제_취급_수수료 */
	private long exmpMidRmbrFee; /** 면제_중도_상환_수수료 */
	private long exmpAmt; /** 면제_금액 */
	private String rcptAplyDt; /** 수납_반영_일자 */
	private String rcptAplyEmpNo; /** 수납_반영_사원_번호 */
	private String lastProcEmpNo; /** 최종_처리_사원_번호 */
	private String lastProcDt; /** 최종_처리_일자 */
	private String lastProcTm; /** 최종_처리_시각 */
	private String procRsltCd; /** 처리_결과_코드 */
	private String rsltCd; /** 결과_코드 (출력용 */
	private String rsltCntn; /** 결과_내용 (출력용) */

	public String getProcDivCd() {
		return procDivCd;
	}
	public void setProcDivCd(String procDivCd) {
		this.procDivCd = procDivCd;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getConsShNo() {
		return consShNo;
	}
	public void setConsShNo(String consShNo) {
		this.consShNo = consShNo;
	}
	public String getConsDt() {
		return consDt;
	}
	public void setConsDt(String consDt) {
		this.consDt = consDt;
	}
	public long getExmpLoanPamt() {
		return exmpLoanPamt;
	}
	public void setExmpLoanPamt(long exmpLoanPamt) {
		this.exmpLoanPamt = exmpLoanPamt;
	}
	public long getExmpLoanInt() {
		return exmpLoanInt;
	}
	public void setExmpLoanInt(long exmpLoanInt) {
		this.exmpLoanInt = exmpLoanInt;
	}
	public long getExmpDlyInt() {
		return exmpDlyInt;
	}
	public void setExmpDlyInt(long exmpDlyInt) {
		this.exmpDlyInt = exmpDlyInt;
	}
	public long getExmpSpayAmt() {
		return exmpSpayAmt;
	}
	public void setExmpSpayAmt(long exmpSpayAmt) {
		this.exmpSpayAmt = exmpSpayAmt;
	}
	public long getExmpDlyFee() {
		return exmpDlyFee;
	}
	public void setExmpDlyFee(long exmpDlyFee) {
		this.exmpDlyFee = exmpDlyFee;
	}
	public long getExmpTrtFee() {
		return exmpTrtFee;
	}
	public void setExmpTrtFee(long exmpTrtFee) {
		this.exmpTrtFee = exmpTrtFee;
	}
	public long getExmpMidRmbrFee() {
		return exmpMidRmbrFee;
	}
	public void setExmpMidRmbrFee(long exmpMidRmbrFee) {
		this.exmpMidRmbrFee = exmpMidRmbrFee;
	}
	public long getExmpAmt() {
		return exmpAmt;
	}
	public void setExmpAmt(long exmpAmt) {
		this.exmpAmt = exmpAmt;
	}
	public String getRcptAplyDt() {
		return rcptAplyDt;
	}
	public void setRcptAplyDt(String rcptAplyDt) {
		this.rcptAplyDt = rcptAplyDt;
	}
	public String getRcptAplyEmpNo() {
		return rcptAplyEmpNo;
	}
	public void setRcptAplyEmpNo(String rcptAplyEmpNo) {
		this.rcptAplyEmpNo = rcptAplyEmpNo;
	}
	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}
	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}
	public String getLastProcDt() {
		return lastProcDt;
	}
	public void setLastProcDt(String lastProcDt) {
		this.lastProcDt = lastProcDt;
	}
	public String getLastProcTm() {
		return lastProcTm;
	}
	public void setLastProcTm(String lastProcTm) {
		this.lastProcTm = lastProcTm;
	}
	public String getProcRsltCd() {
		return procRsltCd;
	}
	public void setProcRsltCd(String procRsltCd) {
		this.procRsltCd = procRsltCd;
	}
	public String getRsltCd() {
		return rsltCd;
	}
	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}
	public String getRsltCntn() {
		return rsltCntn;
	}
	public void setRsltCntn(String rsltCntn) {
		this.rsltCntn = rsltCntn;
	}

}
