package hanalife.b.bd.br.service;

import hanalife.b.bd.br.vo.ExmpConsCostProcInVO;
import hanalife.b.bd.br.vo.ExmpConsCostProcOutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : ExmpConsCostProcService.java Class
 * 클래스설명   : 면제품의내역 조회 및 수정 처리 (ExmpConsCostProc) Service Interface
 * 작성일자     : 2023. 3. 13.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70321 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : readExmpConsCost : 면제품의내역 조회
 *          calcExmpConsCost : 면제품의내역 수정
 * </pre>
 */
public interface ExmpConsCostProcService {

	/**
	 * <p>메소드명      : readExmpConsCost : 면제품의내역 조회</p>
	 * <p>작성일자      : 2023. 3. 13.
	 * <p>작성자(author): 70321 / KimMinSeok
	 * <p>설명          : 면제품의내역을 조회 한다.</p>
	 * <p>메소드인수    : ExmpConsCostProcInVo </p>
	 * <p>메소드리턴값  : ExmpConsCostProcOutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public ExmpConsCostProcOutVO readExmpConsCost(ExmpConsCostProcInVO inVo) throws Exception;

	/**
	 * <p>메소드명      : calcExmpConsCost - 면제품의내역 수정</p>
	 * <p>작성일자      : 2023. 3. 13.
	 * <p>작성자(author): 70321 / KimMinSeok
	 * <p>설명          : 면제품의내역 수정</p>
	 * <p>메소드인수    : ExmpConsCostProcInVo </p>
	 * <p>메소드리턴값  : ExmpConsCostProcOutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public ExmpConsCostProcOutVO calcExmpConsCost(ExmpConsCostProcInVO inVo) throws Exception;

}
