package hanalife.b.bm.gm.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.b.bm.gm.mapper.BndByDivsManAsgnReptMapper;
import hanalife.b.bm.gm.mapper.dto.BndByDivsManAsgnReptDSSDDO01DTO;
import hanalife.b.bm.gm.mapper.dto.BndByDivsManAsgnReptDSSDDO02DTO;
import hanalife.b.bm.gm.mapper.dto.BndByDivsManAsgnReptDSSMDO01DTO;
import hanalife.b.bm.gm.service.BBMGMM02Service;
import hanalife.b.bm.gm.vo.BBMGMM02DSSDDO01VO;
import hanalife.b.bm.gm.vo.BBMGMM02DSSDDO02VO;
import hanalife.b.bm.gm.vo.BBMGMM02S01InVO;
import hanalife.b.bm.gm.vo.BBMGMM02S01OutVO;
import hanalife.b.bm.gm.vo.BBMGMM02S02OutVO;
/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BBMGMM02010601ServiceImpl.java Class
 * 클래스설명   :  채권담당자별 배정현황(BBMGMM02010601) Service Implements
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70325 / jaeheon.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBBMGMM02S01 : 채권담당자별 배정현황 조회
 * </pre>
 */
@Service("BBMGMM02Service")
public class BBMGMM02ServiceImpl implements BBMGMM02Service{
	private static final Logger LOGGER = LoggerFactory.getLogger(BBMGMM02ServiceImpl.class);

	@Autowired
	private BndByDivsManAsgnReptMapper bndByDivsManAsgnReptMapper;
	   /**
     * <pre>
     * 메소드명 :채권담당자별 배정현황: 담당자별
     * 작성일자 : 2023. 3. 14.
     * 작성자(author):
     * 메소드인수 : BBMGMM02S01InVO
     * 메소드리턴값 : BBMGMM02S01OutVO
     * 예외처리 : Exception
     * </pre>
     */
	@Override
	public BBMGMM02S01OutVO getBBMGMM02S01(BBMGMM02S01InVO inVo) throws Exception{

		/**채권담당자별 배정현황 서비스 결과값 가져오는 객체 생성 */
		BBMGMM02S01OutVO resultVo=new BBMGMM02S01OutVO();

		/** 채권담당자별 배정현황 조건입력값 객체 생성 및 대입 수행*/
		BndByDivsManAsgnReptDSSMDO01DTO i01DTO=new BndByDivsManAsgnReptDSSMDO01DTO();

		i01DTO.setAsgnStat(inVo.getBBMGMM02DSSMDO01VO().getAsgnStat());
		i01DTO.setBadDebtStat(inVo.getBBMGMM02DSSMDO01VO().getBadDebtStat());
		i01DTO.setBndDivsEmpNo(inVo.getBBMGMM02DSSMDO01VO().getBndDivsEmpNo());
		i01DTO.setBndMngPlcCd(inVo.getBBMGMM02DSSMDO01VO().getBndMngPlcCd());
		i01DTO.setComgTimsEd(inVo.getBBMGMM02DSSMDO01VO().getComgTimsEd());
		i01DTO.setComgTimsSt(inVo.getBBMGMM02DSSMDO01VO().getComgTimsSt());
		i01DTO.setCrdtStatCd(inVo.getBBMGMM02DSSMDO01VO().getCrdtStatCd());
		i01DTO.setDeptCd(inVo.getBBMGMM02DSSMDO01VO().getDeptCd());
		i01DTO.setDlyTimsEd(inVo.getBBMGMM02DSSMDO01VO().getDlyTimsEd());
		i01DTO.setDlyTimsSt(inVo.getBBMGMM02DSSMDO01VO().getDlyTimsSt());
		i01DTO.setEprtDtEd(inVo.getBBMGMM02DSSMDO01VO().getEprtDtEd());
		i01DTO.setEprtDtSt(inVo.getBBMGMM02DSSMDO01VO().getEprtDtSt());
		i01DTO.setGodCd(inVo.getBBMGMM02DSSMDO01VO().getGodCd());
		i01DTO.setLeglActnFg(inVo.getBBMGMM02DSSMDO01VO().getLeglActnFg());
		i01DTO.setLnDivsEmpNo(inVo.getBBMGMM02DSSMDO01VO().getLnDivsEmpNo());
		i01DTO.setLoanNo(inVo.getBBMGMM02DSSMDO01VO().getLoanNo());
		i01DTO.setLoanRegStat(inVo.getBBMGMM02DSSMDO01VO().getLoanRegStat());
		i01DTO.setLoanSeq(inVo.getBBMGMM02DSSMDO01VO().getLoanSeq());
		i01DTO.setPreDlyTimsEd(inVo.getBBMGMM02DSSMDO01VO().getPreDlyTimsEd());
		i01DTO.setPreDlyTimsSt(inVo.getBBMGMM02DSSMDO01VO().getPreDlyTimsSt());
		i01DTO.setProdLrgeClasCd(inVo.getBBMGMM02DSSMDO01VO().getProdLrgeClasCd());
		i01DTO.setProdMidClasCd(inVo.getBBMGMM02DSSMDO01VO().getProdMidClasCd());
		i01DTO.setSetlDtFr(inVo.getBBMGMM02DSSMDO01VO().getSetlDtFr());
		i01DTO.setSetlDtTo(inVo.getBBMGMM02DSSMDO01VO().getSetlDtTo());
		i01DTO.setTranTimsEd(inVo.getBBMGMM02DSSMDO01VO().getTranTimsEd());
		i01DTO.setTranTimsSt(inVo.getBBMGMM02DSSMDO01VO().getTranTimsSt());

		/** 채권담당자별 배정현황 쿼리 mapper를 통해 호출 */
		List<BndByDivsManAsgnReptDSSDDO01DTO> resultDTO;
		if(i01DTO.getBadDebtStat().equals("0")) {
		    /*대손채권을 선택하지 않고 조회 했을때*/
		    LOGGER.info("############ searchBT_BND_BY_DIVS_MAN_ASGN_MNG_SEARCH1 조회 #######");
		    resultDTO = bndByDivsManAsgnReptMapper.search1BT_BND_BY_DIVS_MAN_ASGN_MNG_SEARCH1(i01DTO);
		}else {
		    /*대손채권을 선택하지 않고 조회 했을때*/
		    LOGGER.info("############ searchBT_BND_BY_DIVS_MAN_ASGN_MNG_SEARCH5 조회 #######");
		    resultDTO = bndByDivsManAsgnReptMapper.search1BT_BND_BY_DIVS_MAN_ASGN_MNG_SEARCH5(i01DTO);
		}

		/** mapper에서 가져온 채권담당자별 배정현황 결과를 입력 */
		List<BBMGMM02DSSDDO01VO> listVO=new ArrayList<>();
		for(BndByDivsManAsgnReptDSSDDO01DTO i:resultDTO) {
			BBMGMM02DSSDDO01VO targetVO=new BBMGMM02DSSDDO01VO();
			targetVO.setBndDivsEmpNm(i.getBndDivsEmpNm());
			targetVO.setCount(i.getCount());
			targetVO.setDlyAmt(i.getDlyAmt());
			targetVO.setLoanAmt(i.getLoanAmt());
			targetVO.setMngDeptNm(i.getMngDeptNm());
			targetVO.setPmDlyAmt(i.getPmDlyAmt());
			targetVO.setPmLoanAmt(i.getPmLoanAmt());
			/**출력할 리스트*/
			listVO.add(targetVO);

		}
		/** return할 값에 채권담당자별 배정현황 결과 세팅*/
		resultVo.setListBBMGMM02DSSDDO01VO(listVO);

		return resultVo;
	}
    /** 명세 탭 상태에서의 조회가 일어났을때*/
    @Override
    public BBMGMM02S02OutVO getBBMGMM02S02(BBMGMM02S01InVO inVo) throws Exception {
        BBMGMM02S02OutVO resultVo = new BBMGMM02S02OutVO();

        BndByDivsManAsgnReptDSSMDO01DTO i02DTO=new BndByDivsManAsgnReptDSSMDO01DTO();

        i02DTO.setAsgnStat(inVo.getBBMGMM02DSSMDO01VO().getAsgnStat());
        i02DTO.setBadDebtStat(inVo.getBBMGMM02DSSMDO01VO().getBadDebtStat());
        i02DTO.setBndDivsEmpNo(inVo.getBBMGMM02DSSMDO01VO().getBndDivsEmpNo());
        i02DTO.setBndMngPlcCd(inVo.getBBMGMM02DSSMDO01VO().getBndMngPlcCd());
        i02DTO.setComgTimsEd(inVo.getBBMGMM02DSSMDO01VO().getComgTimsEd());
        i02DTO.setComgTimsSt(inVo.getBBMGMM02DSSMDO01VO().getComgTimsSt());
        i02DTO.setCrdtStatCd(inVo.getBBMGMM02DSSMDO01VO().getCrdtStatCd());
        i02DTO.setDeptCd(inVo.getBBMGMM02DSSMDO01VO().getDeptCd());
        i02DTO.setDlyTimsEd(inVo.getBBMGMM02DSSMDO01VO().getDlyTimsEd());
        i02DTO.setDlyTimsSt(inVo.getBBMGMM02DSSMDO01VO().getDlyTimsSt());
        i02DTO.setEprtDtEd(inVo.getBBMGMM02DSSMDO01VO().getEprtDtEd());
        i02DTO.setEprtDtSt(inVo.getBBMGMM02DSSMDO01VO().getEprtDtSt());
        i02DTO.setGodCd(inVo.getBBMGMM02DSSMDO01VO().getGodCd());
        i02DTO.setLeglActnFg(inVo.getBBMGMM02DSSMDO01VO().getLeglActnFg());
        i02DTO.setLnDivsEmpNo(inVo.getBBMGMM02DSSMDO01VO().getLnDivsEmpNo());
        i02DTO.setLoanNo(inVo.getBBMGMM02DSSMDO01VO().getLoanNo());
        i02DTO.setLoanRegStat(inVo.getBBMGMM02DSSMDO01VO().getLoanRegStat());
        i02DTO.setLoanSeq(inVo.getBBMGMM02DSSMDO01VO().getLoanSeq());
        i02DTO.setPreDlyTimsEd(inVo.getBBMGMM02DSSMDO01VO().getPreDlyTimsEd());
        i02DTO.setPreDlyTimsSt(inVo.getBBMGMM02DSSMDO01VO().getPreDlyTimsSt());
        i02DTO.setProdLrgeClasCd(inVo.getBBMGMM02DSSMDO01VO().getProdLrgeClasCd());
        i02DTO.setProdMidClasCd(inVo.getBBMGMM02DSSMDO01VO().getProdMidClasCd());
        i02DTO.setSetlDtFr(inVo.getBBMGMM02DSSMDO01VO().getSetlDtFr());
        i02DTO.setSetlDtTo(inVo.getBBMGMM02DSSMDO01VO().getSetlDtTo());
        i02DTO.setTranTimsEd(inVo.getBBMGMM02DSSMDO01VO().getTranTimsEd());
        i02DTO.setTranTimsSt(inVo.getBBMGMM02DSSMDO01VO().getTranTimsSt());

        List<BndByDivsManAsgnReptDSSDDO02DTO> resultDTO;
        if(i02DTO.getBadDebtStat().equals("0")) {
            /*대손채권을 선택하지 않고 조회했을 때*/
            LOGGER.info("############ searchBT_BND_BY_DIVS_MAN_ASGN_MNG_SEARCH7 조회");
            resultDTO = bndByDivsManAsgnReptMapper.searchBT_BND_BY_DIVS_MAN_ASGN_MNG_SEARCH7(i02DTO);
        }else {
            /*대손채권을 선택하고 조회 했을때*/
            LOGGER.info("############ searchBT_BND_BY_DIVS_MAN_ASGN_MNG_SEARCH4 조회");
            resultDTO = bndByDivsManAsgnReptMapper.searchBT_BND_BY_DIVS_MAN_ASGN_MNG_SEARCH4(i02DTO);
        }

        List<BBMGMM02DSSDDO02VO> listVO = new ArrayList<>();

        for(BndByDivsManAsgnReptDSSDDO02DTO r : resultDTO) {
            BBMGMM02DSSDDO02VO targetVo = new BBMGMM02DSSDDO02VO();

            targetVo.setBndDivsEmpNm(r.getBndDivsEmpNm());
            targetVo.setLoanNo(r.getLoanNo());
            targetVo.setLoanSeq(r.getLoanSeq());
            targetVo.setContManNm(r.getContManNm());
            targetVo.setPrdtNm(r.getPrdtNm());
            targetVo.setPrdtSmClasNm(r.getPrdtSmClasNm());
            targetVo.setBadSt(r.getBadSt());
            targetVo.setBadCnt(r.getBadCnt());
            targetVo.setBadAmt(r.getBadAmt());
            targetVo.setLeglActsDt(r.getLeglActsDt());
            targetVo.setLeglActsCnt(r.getLeglActsCnt());
            targetVo.setPmDlyTcnt(r.getPmDlyTcnt());
            targetVo.setDlyTcnt(r.getDlyTcnt());
            targetVo.setPmDlyAmt(r.getPmDlyAmt());
            targetVo.setDlyAmt(r.getDlyAmt());
            targetVo.setPmLoanAmt(r.getPmLoanAmt());
            targetVo.setLoanAmt(r.getLoanAmt());
            targetVo.setMngDeptNm(r.getMngDeptNm());
            targetVo.setChkFlg(r.getChkFlg());
            targetVo.setLoanStatNm(r.getLoanStatNm());
            targetVo.setThmmComgTims(r.getThmmComgTims());
            targetVo.setBadDebtDeprDt(r.getBadDebtDeprDt());
            targetVo.setBadDebtRcptStatNm(r.getBadDebtRcptStatNm());
            targetVo.setSetlDt(r.getSetlDt());
            targetVo.setWdrwTpNm(r.getWdrwTpNm());
            targetVo.setCustAddr(r.getCustAddr());
            targetVo.setDocKeepPlcNo(r.getDocKeepPlcNo());
            targetVo.setCprtComNo(r.getCprtComNo());
            targetVo.setCprtBranCd(r.getCprtBranCd());
            targetVo.setSetlDd(r.getSetlDd());
            targetVo.setReptCd(r.getReptCd());

            listVO.add(targetVo);
        }

        resultVo.setListBBMGMM02DSSDDO02VO(listVO);
        return resultVo;
    }




}
