package hanalife.b.cl.dl.service;

import hanalife.b.cl.dl.vo.OnlnDlyReptInVO;
import hanalife.b.cl.dl.vo.OnlnDlyReptOutVO;
/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : OnlnDlyReptService.java Class
 * 클래스설명   : 실시간연체정보 생성 (OnlnDlyReptCC) Service Interface
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : ProcRealTmpDlyInfo 실시간연체정보 생성
 * </pre>
 */
public interface OnlnDlyReptService {
	/**
	* <pre>
	* 메소드명      : ProcRealTmpDlyInfo
	* 작성일자      : 2023. 3. 14.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 실시간연체정보를 생성한다.</p>
	* 메소드인수1   : OnlnDlyReptInVO 입력
	* 메소드리턴값  : OnlnDlyReptOutVO 출력
	* 예외처리      : Exception
	* </pre>
	*/
	public OnlnDlyReptOutVO ProcRealTmpDlyInfo(OnlnDlyReptInVO inVo) throws Exception;
}

