package hanalife.b.cl.dl.vo.tmp;

@SuppressWarnings("rawtypes")
/**
 * <pre>
 * 클래스명    : AskUnrcvObjVO
 * 클래스설명 : ★★★★ 나중에 업무 VO 정리되면 해당 VO 사용 예정
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AskUnrcvObjVO {

	// 필수입력항목
		private String loanNo;		//대출_번호 필수
		private String loanSeq;		//대출_순번 필수
		private String setlDt;		//결제_일자 필수
		//선택입력항목_공통
		/**
		 * ST_LOAN_BASE.PRDT_CD
		 */
		private String prdtCd;		//상품_코드
		private String acctDt;		//회계_일자 사용안함
		private String dsrcNo;		//예가수_번호
		private String leglUnCalcFg;			//가지급금미계산여부
		private String midRmbrFeeUnCalcFg;	//중도상환미계산여부(1-미계산, 0-계산)
		private String reSetlDt;

		//리스부분중도상환 입력항목
		private int partRmbrTims;		//부분_상환_회차  리스중도상환사용
		private double partRmbrFeeRt;	//부분상환수수료율 리스중도상환사용
		private long partRmbrPamt;		//부분_상환_원금 리스중도상환사용
		//리스전액상환 입력항목
		private String sellFg;			//매각여부
		private String cmprCalcFrmlCd;	//비교계산방식코드 리스 리스중도상환사용
		private double cmprCalcRt;		//비교계산율 리스 리스중도상환사용
		private long eprtLdgrAmt;		//만기장부가 리스 리스중도상환사용
		private String mmCalcFg;			//월할계산여부(0-일할,1-월할) 리스 리스중도상환사용
		private String plntStndCd;		//범칙기준코드(금액) 리스중도상환사용
		private long yyCartax;			//년자동차세
		private long yyEnvAmt;			//년환개금
		private long custCost;			//고객비용
		private long retnOdueAmt;		//반납지연금액
		private long overDrvFee;			//초과운행수수료
		private long orgupRcvrCost;		//원상복구비용
		private long addClosGuarAmt;		//추가해지보증금
		private long deprDeprTamt;		//감가상각누계액(참조용)
		private long dspLossApprAmt;		//처분손실충당금(참조용)
		private long oprLeasAset;		//운용리스자산(참조용)
		private long addPsgDdCnt;		//(차세,환개금) 명의이전보증금 추가경과일수

		//채권마감시 연체내역 산출 사용
		private String clsFg;	//마감여부
		//중도상환거치이자 사용않함
		private long addTermInt; //추가거치이자 사용안함

		//기본대상 조회항목
		private String loanStatCd;			//대출상태코드
		private String prdtLrgeClasCd;		//상품_대분류_코드
		private String prdtMidClasCd;		//상품_중분류_코드
		private String prdtSmClasCd;			//상품_소분류_코드
		private String asymmAcctFg;			//비대칭회계여부
		private double dfeeRt;				//연체율
		/**
		 * 경과월수
		 * RF_MONTH_DIFF(NVL(TRIM(A.LOAN_DT), 결제일자), 결제일자)
		 */
		private int psgMmCnt;
		//2018-08-01 두비스 리스승계여부를 확인하기위해 추가함.
		private String loanOccrCd;			//대출발생코드
		private String execDt;				//실행일자
		/**
		 * ST_LOAN_BASE.LOAN_DT
		 */
		private String loanDt;				//대출일자
		/**
		 * ST_LOAN_BASE.LOAN_PAMT
		 */
		private long   loanAmt;				//대출원금
		/**
		 * ST_LOAN_BASE.LOAN_INT_RT
		 */
		private double loanIntRt;			//대출이자율
		/**
		 * 취급수수료
		 * ST_LOAN_BASE.TRT_FEE
		 */
		private long trtFee;

		/**
		 * 상실계산여부
		 * ST_PRDT_CLAS.DDAY_PRFT_LOSE_FG
		 */
		private String loseCalcFg;
		/**
		 * 상실계산구분(회차,경과)
		 * ST_PRDT_CLAS.DDAY_PRFT_LOSE_DIV_CD
		 */
		private String loseCalcCd;
		/**
		 * 상실계산구분값
		 * ST_PRDT_CLAS.DDAY_PRFT_LOSE_DIV_VAL
		 */
		private int    loseCalcVal;
		/**
		 * 기한상실시작회차
		 * BT_BND_CLS_BASE.DDAY_PRFT_LOSE_STRT_TIMS
		 */
		private int    ddayPrftLoseStrtTims;

		/**
		 * 발생_법적_조치_비용
		 * ST_LOAN_BASE.LEGL_ACTS_COST
		 */
		private long occrLeglActnCost;
		/**
		 * 정산_법적_조치_비용
		 * ST_LOAN_BASE.RMBR_LEGL_ACTS_COST
		 */
		private long adjLeglActnCost;
		/**
		 * 법적_조치_비용_잔액
		 * ST_LOAN_BASE.LEGL_ACTS_COST_RAMT
		 */
		private long leglActnCostRamt;

		/**
		 * 공탁금잔액
		 * BT_LEGL_ACTN_COST_TOT.LAW_COST_DEPS_AMT_RAMT
		 */
		private long depsRamt;

		/**
		 * 신용회복미수금
		 * ST_LOAN_BASE.CRDT_RCVR_UNRCV_AMT
		 */
		private long crdtRcvrUnrcvAmt;
		/**
		 * 상환신용회복미수금
		 * ST_LOAN_BASE.RMBR_CRDT_RCVR_UNRCV_AMT
		 */
		private long rmbrCrdtRcvrUnrcvAmt;
		/**
		 * 신용회복미수금잔액
		 * ST_LOAN_BASE.CRDT_RCVR_UNRCV_AMT - ST_LOAN_BASE.RMBR_CRDT_RCVR_UNRCV_AMT
		 */
		private long crdtRcvrUnrcvAmtRamt;
		//조회항목 리스중도상환관련
		private String sixPreDt;				//6개월전일자
		private String endAfAskStatCd;		//종료후청구상태코드(종료후청구상태,대지급청구발생)
		private String eprtAskMethCd;		//만기청구방법코드(원리금,잔가포함)
		private String guarAmtAdjFg;			//보증금대체여부(마지막회차 대체여부)
		private long guarAmt;				//보증금액
		private long ramtAmt;				//잔가금액
		private String leasEprtDt;			//리스만기일자
		private String leasRlEprtDt;			//리스실만기일자
		private String leasEprtDlyDt;		//리스만기연체일자
		private String unrcvProcDt;			//미수처리일자(납입일자) 리스
		private int mainFrstRank;			//주우선순위
		private int mainEndTims;				//mainEndTims
		private String closAfProcCd;			//해지후처리구분코드(L00168:1.양도,2:반환,3:재리스-동일인) - 경과이자 계산에 잔가 포함 여부
		//리스 강제해지관련
		private long pnltAdjuAmt;			//패널티조정금액
		private long dfeeAdjuAmt;			//연체료조정금
		private String ivltClosFg;			//강제해지여부
		private String nmTranGuarAmtCalcFg;	//명의이전보증금계산여부

		// 미수(인지세) 관련 항목
		private String stmpFeeUnrcvNo;
		private long stmpFeeOccrAmt;
		private long stmpFeeAdjAmt;
		private long stmpFeeRamt;

		private String bndStatCd;

		//청구미수 인덱스
		private int bndIdx; //채권_인덱스
		//결과
		private String rsltCd; //결과_코드
		private String rsltCntn; //결과_내용

		public String getLoanNo() {
			return loanNo;
		}

		public String getLoanSeq() {
			return loanSeq;
		}

		public String getSetlDt() {
			return setlDt;
		}

		public String getPrdtCd() {
			return prdtCd;
		}

		public String getAcctDt() {
			return acctDt;
		}

		public String getDsrcNo() {
			return dsrcNo;
		}

		public String getLeglUnCalcFg() {
			return leglUnCalcFg;
		}

		public String getMidRmbrFeeUnCalcFg() {
			return midRmbrFeeUnCalcFg;
		}

		public String getReSetlDt() {
			return reSetlDt;
		}

		public int getPartRmbrTims() {
			return partRmbrTims;
		}

		public double getPartRmbrFeeRt() {
			return partRmbrFeeRt;
		}

		public long getPartRmbrPamt() {
			return partRmbrPamt;
		}

		public String getSellFg() {
			return sellFg;
		}

		public String getCmprCalcFrmlCd() {
			return cmprCalcFrmlCd;
		}

		public double getCmprCalcRt() {
			return cmprCalcRt;
		}

		public long getEprtLdgrAmt() {
			return eprtLdgrAmt;
		}

		public String getMmCalcFg() {
			return mmCalcFg;
		}

		public String getPlntStndCd() {
			return plntStndCd;
		}

		public long getYyCartax() {
			return yyCartax;
		}

		public long getYyEnvAmt() {
			return yyEnvAmt;
		}

		public long getCustCost() {
			return custCost;
		}

		public long getRetnOdueAmt() {
			return retnOdueAmt;
		}

		public long getOverDrvFee() {
			return overDrvFee;
		}

		public long getOrgupRcvrCost() {
			return orgupRcvrCost;
		}

		public long getAddClosGuarAmt() {
			return addClosGuarAmt;
		}

		public long getDeprDeprTamt() {
			return deprDeprTamt;
		}

		public long getDspLossApprAmt() {
			return dspLossApprAmt;
		}

		public long getOprLeasAset() {
			return oprLeasAset;
		}

		public long getAddPsgDdCnt() {
			return addPsgDdCnt;
		}

		public String getClsFg() {
			return clsFg;
		}

		public long getAddTermInt() {
			return addTermInt;
		}

		public String getLoanStatCd() {
			return loanStatCd;
		}

		public String getPrdtLrgeClasCd() {
			return prdtLrgeClasCd;
		}

		public String getPrdtMidClasCd() {
			return prdtMidClasCd;
		}

		public String getPrdtSmClasCd() {
			return prdtSmClasCd;
		}

		public String getAsymmAcctFg() {
			return asymmAcctFg;
		}

		public double getDfeeRt() {
			return dfeeRt;
		}

		public int getPsgMmCnt() {
			return psgMmCnt;
		}

		public String getLoanOccrCd() {
			return loanOccrCd;
		}

		public String getExecDt() {
			return execDt;
		}

		public String getLoanDt() {
			return loanDt;
		}

		public long getLoanAmt() {
			return loanAmt;
		}

		public double getLoanIntRt() {
			return loanIntRt;
		}

		public long getTrtFee() {
			return trtFee;
		}

		public String getLoseCalcFg() {
			return loseCalcFg;
		}

		public String getLoseCalcCd() {
			return loseCalcCd;
		}

		public int getLoseCalcVal() {
			return loseCalcVal;
		}

		public int getDdayPrftLoseStrtTims() {
			return ddayPrftLoseStrtTims;
		}

		public long getOccrLeglActnCost() {
			return occrLeglActnCost;
		}

		public long getAdjLeglActnCost() {
			return adjLeglActnCost;
		}

		public long getLeglActnCostRamt() {
			return leglActnCostRamt;
		}

		public long getDepsRamt() {
			return depsRamt;
		}

		public long getCrdtRcvrUnrcvAmt() {
			return crdtRcvrUnrcvAmt;
		}

		public long getRmbrCrdtRcvrUnrcvAmt() {
			return rmbrCrdtRcvrUnrcvAmt;
		}

		public long getCrdtRcvrUnrcvAmtRamt() {
			return crdtRcvrUnrcvAmtRamt;
		}

		public String getSixPreDt() {
			return sixPreDt;
		}

		public String getEndAfAskStatCd() {
			return endAfAskStatCd;
		}

		public String getEprtAskMethCd() {
			return eprtAskMethCd;
		}

		public String getGuarAmtAdjFg() {
			return guarAmtAdjFg;
		}

		public long getGuarAmt() {
			return guarAmt;
		}

		public long getRamtAmt() {
			return ramtAmt;
		}

		public String getLeasEprtDt() {
			return leasEprtDt;
		}

		public String getLeasRlEprtDt() {
			return leasRlEprtDt;
		}

		public String getLeasEprtDlyDt() {
			return leasEprtDlyDt;
		}

		public String getUnrcvProcDt() {
			return unrcvProcDt;
		}

		public int getMainFrstRank() {
			return mainFrstRank;
		}

		public int getMainEndTims() {
			return mainEndTims;
		}

		public String getClosAfProcCd() {
			return closAfProcCd;
		}

		public long getPnltAdjuAmt() {
			return pnltAdjuAmt;
		}

		public long getDfeeAdjuAmt() {
			return dfeeAdjuAmt;
		}

		public String getIvltClosFg() {
			return ivltClosFg;
		}

		public String getNmTranGuarAmtCalcFg() {
			return nmTranGuarAmtCalcFg;
		}

		public String getStmpFeeUnrcvNo() {
			return stmpFeeUnrcvNo;
		}

		public long getStmpFeeOccrAmt() {
			return stmpFeeOccrAmt;
		}

		public long getStmpFeeAdjAmt() {
			return stmpFeeAdjAmt;
		}

		public long getStmpFeeRamt() {
			return stmpFeeRamt;
		}

		public String getBndStatCd() {
			return bndStatCd;
		}

		public int getBndIdx() {
			return bndIdx;
		}

		public String getRsltCd() {
			return rsltCd;
		}

		public String getRsltCntn() {
			return rsltCntn;
		}

		public void setLoanNo(String loanNo) {
			this.loanNo = loanNo;
		}

		public void setLoanSeq(String loanSeq) {
			this.loanSeq = loanSeq;
		}

		public void setSetlDt(String setlDt) {
			this.setlDt = setlDt;
		}

		public void setPrdtCd(String prdtCd) {
			this.prdtCd = prdtCd;
		}

		public void setAcctDt(String acctDt) {
			this.acctDt = acctDt;
		}

		public void setDsrcNo(String dsrcNo) {
			this.dsrcNo = dsrcNo;
		}

		public void setLeglUnCalcFg(String leglUnCalcFg) {
			this.leglUnCalcFg = leglUnCalcFg;
		}

		public void setMidRmbrFeeUnCalcFg(String midRmbrFeeUnCalcFg) {
			this.midRmbrFeeUnCalcFg = midRmbrFeeUnCalcFg;
		}

		public void setReSetlDt(String reSetlDt) {
			this.reSetlDt = reSetlDt;
		}

		public void setPartRmbrTims(int partRmbrTims) {
			this.partRmbrTims = partRmbrTims;
		}

		public void setPartRmbrFeeRt(double partRmbrFeeRt) {
			this.partRmbrFeeRt = partRmbrFeeRt;
		}

		public void setPartRmbrPamt(long partRmbrPamt) {
			this.partRmbrPamt = partRmbrPamt;
		}

		public void setSellFg(String sellFg) {
			this.sellFg = sellFg;
		}

		public void setCmprCalcFrmlCd(String cmprCalcFrmlCd) {
			this.cmprCalcFrmlCd = cmprCalcFrmlCd;
		}

		public void setCmprCalcRt(double cmprCalcRt) {
			this.cmprCalcRt = cmprCalcRt;
		}

		public void setEprtLdgrAmt(long eprtLdgrAmt) {
			this.eprtLdgrAmt = eprtLdgrAmt;
		}

		public void setMmCalcFg(String mmCalcFg) {
			this.mmCalcFg = mmCalcFg;
		}

		public void setPlntStndCd(String plntStndCd) {
			this.plntStndCd = plntStndCd;
		}

		public void setYyCartax(long yyCartax) {
			this.yyCartax = yyCartax;
		}

		public void setYyEnvAmt(long yyEnvAmt) {
			this.yyEnvAmt = yyEnvAmt;
		}

		public void setCustCost(long custCost) {
			this.custCost = custCost;
		}

		public void setRetnOdueAmt(long retnOdueAmt) {
			this.retnOdueAmt = retnOdueAmt;
		}

		public void setOverDrvFee(long overDrvFee) {
			this.overDrvFee = overDrvFee;
		}

		public void setOrgupRcvrCost(long orgupRcvrCost) {
			this.orgupRcvrCost = orgupRcvrCost;
		}

		public void setAddClosGuarAmt(long addClosGuarAmt) {
			this.addClosGuarAmt = addClosGuarAmt;
		}

		public void setDeprDeprTamt(long deprDeprTamt) {
			this.deprDeprTamt = deprDeprTamt;
		}

		public void setDspLossApprAmt(long dspLossApprAmt) {
			this.dspLossApprAmt = dspLossApprAmt;
		}

		public void setOprLeasAset(long oprLeasAset) {
			this.oprLeasAset = oprLeasAset;
		}

		public void setAddPsgDdCnt(long addPsgDdCnt) {
			this.addPsgDdCnt = addPsgDdCnt;
		}

		public void setClsFg(String clsFg) {
			this.clsFg = clsFg;
		}

		public void setAddTermInt(long addTermInt) {
			this.addTermInt = addTermInt;
		}

		public void setLoanStatCd(String loanStatCd) {
			this.loanStatCd = loanStatCd;
		}

		public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
			this.prdtLrgeClasCd = prdtLrgeClasCd;
		}

		public void setPrdtMidClasCd(String prdtMidClasCd) {
			this.prdtMidClasCd = prdtMidClasCd;
		}

		public void setPrdtSmClasCd(String prdtSmClasCd) {
			this.prdtSmClasCd = prdtSmClasCd;
		}

		public void setAsymmAcctFg(String asymmAcctFg) {
			this.asymmAcctFg = asymmAcctFg;
		}

		public void setDfeeRt(double dfeeRt) {
			this.dfeeRt = dfeeRt;
		}

		public void setPsgMmCnt(int psgMmCnt) {
			this.psgMmCnt = psgMmCnt;
		}

		public void setLoanOccrCd(String loanOccrCd) {
			this.loanOccrCd = loanOccrCd;
		}

		public void setExecDt(String execDt) {
			this.execDt = execDt;
		}

		public void setLoanDt(String loanDt) {
			this.loanDt = loanDt;
		}

		public void setLoanAmt(long loanAmt) {
			this.loanAmt = loanAmt;
		}

		public void setLoanIntRt(double loanIntRt) {
			this.loanIntRt = loanIntRt;
		}

		public void setTrtFee(long trtFee) {
			this.trtFee = trtFee;
		}

		public void setLoseCalcFg(String loseCalcFg) {
			this.loseCalcFg = loseCalcFg;
		}

		public void setLoseCalcCd(String loseCalcCd) {
			this.loseCalcCd = loseCalcCd;
		}

		public void setLoseCalcVal(int loseCalcVal) {
			this.loseCalcVal = loseCalcVal;
		}

		public void setDdayPrftLoseStrtTims(int ddayPrftLoseStrtTims) {
			this.ddayPrftLoseStrtTims = ddayPrftLoseStrtTims;
		}

		public void setOccrLeglActnCost(long occrLeglActnCost) {
			this.occrLeglActnCost = occrLeglActnCost;
		}

		public void setAdjLeglActnCost(long adjLeglActnCost) {
			this.adjLeglActnCost = adjLeglActnCost;
		}

		public void setLeglActnCostRamt(long leglActnCostRamt) {
			this.leglActnCostRamt = leglActnCostRamt;
		}

		public void setDepsRamt(long depsRamt) {
			this.depsRamt = depsRamt;
		}

		public void setCrdtRcvrUnrcvAmt(long crdtRcvrUnrcvAmt) {
			this.crdtRcvrUnrcvAmt = crdtRcvrUnrcvAmt;
		}

		public void setRmbrCrdtRcvrUnrcvAmt(long rmbrCrdtRcvrUnrcvAmt) {
			this.rmbrCrdtRcvrUnrcvAmt = rmbrCrdtRcvrUnrcvAmt;
		}

		public void setCrdtRcvrUnrcvAmtRamt(long crdtRcvrUnrcvAmtRamt) {
			this.crdtRcvrUnrcvAmtRamt = crdtRcvrUnrcvAmtRamt;
		}

		public void setSixPreDt(String sixPreDt) {
			this.sixPreDt = sixPreDt;
		}

		public void setEndAfAskStatCd(String endAfAskStatCd) {
			this.endAfAskStatCd = endAfAskStatCd;
		}

		public void setEprtAskMethCd(String eprtAskMethCd) {
			this.eprtAskMethCd = eprtAskMethCd;
		}

		public void setGuarAmtAdjFg(String guarAmtAdjFg) {
			this.guarAmtAdjFg = guarAmtAdjFg;
		}

		public void setGuarAmt(long guarAmt) {
			this.guarAmt = guarAmt;
		}

		public void setRamtAmt(long ramtAmt) {
			this.ramtAmt = ramtAmt;
		}

		public void setLeasEprtDt(String leasEprtDt) {
			this.leasEprtDt = leasEprtDt;
		}

		public void setLeasRlEprtDt(String leasRlEprtDt) {
			this.leasRlEprtDt = leasRlEprtDt;
		}

		public void setLeasEprtDlyDt(String leasEprtDlyDt) {
			this.leasEprtDlyDt = leasEprtDlyDt;
		}

		public void setUnrcvProcDt(String unrcvProcDt) {
			this.unrcvProcDt = unrcvProcDt;
		}

		public void setMainFrstRank(int mainFrstRank) {
			this.mainFrstRank = mainFrstRank;
		}

		public void setMainEndTims(int mainEndTims) {
			this.mainEndTims = mainEndTims;
		}

		public void setClosAfProcCd(String closAfProcCd) {
			this.closAfProcCd = closAfProcCd;
		}

		public void setPnltAdjuAmt(long pnltAdjuAmt) {
			this.pnltAdjuAmt = pnltAdjuAmt;
		}

		public void setDfeeAdjuAmt(long dfeeAdjuAmt) {
			this.dfeeAdjuAmt = dfeeAdjuAmt;
		}

		public void setIvltClosFg(String ivltClosFg) {
			this.ivltClosFg = ivltClosFg;
		}

		public void setNmTranGuarAmtCalcFg(String nmTranGuarAmtCalcFg) {
			this.nmTranGuarAmtCalcFg = nmTranGuarAmtCalcFg;
		}

		public void setStmpFeeUnrcvNo(String stmpFeeUnrcvNo) {
			this.stmpFeeUnrcvNo = stmpFeeUnrcvNo;
		}

		public void setStmpFeeOccrAmt(long stmpFeeOccrAmt) {
			this.stmpFeeOccrAmt = stmpFeeOccrAmt;
		}

		public void setStmpFeeAdjAmt(long stmpFeeAdjAmt) {
			this.stmpFeeAdjAmt = stmpFeeAdjAmt;
		}

		public void setStmpFeeRamt(long stmpFeeRamt) {
			this.stmpFeeRamt = stmpFeeRamt;
		}

		public void setBndStatCd(String bndStatCd) {
			this.bndStatCd = bndStatCd;
		}

		public void setBndIdx(int bndIdx) {
			this.bndIdx = bndIdx;
		}

		public void setRsltCd(String rsltCd) {
			this.rsltCd = rsltCd;
		}

		public void setRsltCntn(String rsltCntn) {
			this.rsltCntn = rsltCntn;
		}

	public int compareTo(Object o) {
		AskUnrcvObjVO inVO = (AskUnrcvObjVO)o;
		int compare = loanNo.compareTo(inVO.loanNo);
		if(compare >0){
			return 1;
		}else if( compare < 0){
			return -1;
		}

		compare = loanSeq.compareTo(inVO.loanSeq);
		return compare > 0 ? 1 : (compare < 0 ? -1 : 0);
	}

	public boolean isSuccess() {
		return "0000".equals(rsltCd);
	}
}
