package hanalife.b.cl.dl.vo.tmp;

/**
 * <pre>
 * 클래스명    : RmbrPlanVO
 * 클래스설명 : ★★★★ 나중에 업무 VO 정리되면 해당 VO 사용 예정
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RmbrPlanVO {
	private String loanNo;			//대출번호
	private String loanSeq;			//대출순번
	/**
	 * LT_LEAS_RMBR_SCHD.END_DIV_CD
	 */
	private String endDivCd;			//종료구분코드
	private int tims;				//회차
	/**
	 * <p>현재회차(조회결제일기준/영업일 미보정)</p>
	 * DUE_DT >= SETL_DT THEN TIMS
	 */
	private int curTims;
	/**
	 * <p>당월납입회차</p>
	 * RL_DUE_DT >= SETL_DT THEN TIMS
	 */
	private int thmmDueTims;
	/**
	 * <p>전월납입회차</p>
	 * MAX(RL_DUE_DT < SETL_DT THEN TIMS)
	 */
	private int bfmmDueTims;
	/**
	 * <p>상환스케쥴의 최대회차</p>
	 * MAX(TIMS)
	 */
	private int totTims;				//총회차
	private String prdtCd;			//상품코드
	/**
	 * 상환방식코드
	 * MAX(ST_RMBR_PLAN_DESC.RMBR_FRML_CD) BY TIMS
	 */
	private String rmbrFrmlCd;
	/**
	 * 납입일자
	 * MAX(ST_RMBR_PLAN_DESC.DUE_DT) BY TIMS
	 */
	private String dueDt;
	/**
	 * 실납입일자
	 * MAX(DBSRQST.RF_RL_DUE_DT(ST_RMBR_PLAN_DESC.DUE_DT)) BY TIMS
	 */
	private String rlDueDt;
	/**
	 * 최종결제일자
	 * MAX(RT_RCPT_DESC.SETL_DT)
	 */
	private String lastSetlDt;
	/**
	 * 최종결제회차
	 * MAX(RT_RCPT_DESC.TIMS)
	 */
	private int lastSetlTims;
	/**
	 * 대출만기일자
	 * MAX(DUE_DT)
	 */
	private String loanEprtDt;
	/**
	 * 대출만기일자
	 * MAX(DBSRQST.RF_RL_DUE_DT(DUE_DT))
	 */
	private String loanRlEprtDt;
	/**
	 * 대출만기회차
	 * MAX(RT_RCPT_DESC.TIMS)
	 */
	private int loanEprtTims;		//대출만기회차
	private String setlDt;			//결제일자
	private String askDivCd;			//청구구분코드
	/**
	 * 회차전원금잔액
	 * ST_RMBR_PLAN_DESC.TIMS_BF_PAMT_RAMT
	 */
	private long timsBfPamtRamt;
	/**
	 * 회차전이자잔액
	 * ST_RMBR_PLAN_DESC.TIMS_BF_INT_RAMT
	 */
	private long timsBfIntRamt;
	/**
	 * 회차후원금잔액
	 * ST_RMBR_PLAN_DESC.TIMS_AF_PAMT_RAMT
	 */
	private long timsAfPamtRamt;
	/**
	 * 회차후이자잔액
	 * ST_RMBR_PLAN_DESC.TIMS_AF_INT_RAMT
	 */
	private long timsAfIntRamt;
	/**
	 * <p>
	 * 원금
	 * 채권일때 : PAMT - SETL_PAMT
	 * 스케쥴일때 : PAMT
	 * </p>
	 */
	private long pamt;
	/**
	 * <p>
	 * 이자
	 * 채권일때 : INT - SETL_INT
	 * 스케쥴일때 : INT
	 * </p>
	 */
	private long intt;
	/**
	 * <p>
	 * 취급수수료
	 * 채권일때 : TRT_FEE - SETL_TRT_FEE
	 * 스케쥴일때 : TRT_FEE
	 * </p>
	 */
	private long trtFee;
	private long ppayInt; //선급이자
	private long addInsuFee;  //가산보험료
	private long addCartax;  //가산자동차세
	private long addEnvImprBrdnamt;  //가산환개금
	private long addAsfee;  //가산정비료
	private long vtax; //부가세
	private long ipayCartax;  //대지급자동차세
	private long ipayEnvImprBrdnamt;  //대지급환개금
	private long ipayInsuFee;  //대지급보험료
	private long ipayPnltAmt;  //대지급범칙금
	private long ipayEtc;  //대지급기타
	private long ltrmBrcvAmt;  //장기선수금

	private long setlPamt; //결제원금
	private long setlInt; //결제이자
	private long setlTrtFee;	//결제취급수수료
	private long setlPpayInt;
	private long setlAddInsuFee;
	private long setlAddCartax;
	private long setlAddEnvImprBrdnamt;
	private long setlAddAsfee;
	private long setlVtax;
	private long setlIpayCartax;
	private long setlIpayEnvImprBrdnamt;
	private long setlIpayInsuFee;
	private long setlIpayPnltAmt;
	private long setlIpayEtc;
	private long setlLtrmBrcvAmt;
	private long setlRamtAmt;  //잔가금액
	private long setlGuarAmt;  //보증금액
	/**
	 * 결제연체료<br>
	 * RT_RCPT_DESC.DFEE<br>
	 * RT_RCPT_DLY_DESC.SETL_NO = MAX(RT_RCPT_DLY_DESC.SETL_NO) BY TIMS<br>
	 */
	private long setlDfee;
	/**
	 * 발생연체료<br>
	 * RT_RCPT_DLY_DESC.OCCR_DFEE<br>
	 * RT_RCPT_DLY_DESC.SETL_NO = MAX(RT_RCPT_DLY_DESC.SETL_NO) BY TIMS<br>
	 */
	private long occrDfee;
	/**
	 * 기발생연체료<br>
	 * RT_RCPT_DLY_DESC.OCCR_DFEE - RT_RCPT_DLY_DESC.ADJ_DFEE<br>
	 * RT_RCPT_DLY_DESC.SETL_NO = MAX(RT_RCPT_DLY_DESC.SETL_NO) BY TIMS<br>
	 */
	private long preOccrDfee;
	/**
	 * 선납연체료<br>
	 * RT_RCPT_DLY_DESC.PDUE_DISC_DFEE<br>
	 * RT_RCPT_DLY_DESC.SETL_NO = MAX(RT_RCPT_DLY_DESC.SETL_NO) BY TIMS<br>
	 */
	private long pdueDfee;
	/**
	 * 면제연체료<br>
	 * RT_RCPT_DLY_DESC.EXMP_DFEE<br>
	 * RT_RCPT_DLY_DESC.SETL_NO = MAX(RT_RCPT_DLY_DESC.SETL_NO) BY TIMS<br>
	 */
	private long exmpDfee;
	/**
	 * 이자시작일자
	 * ST_RMBR_PLAN_DESC.INT_STRT_DT
	 */
	private String intStrtDt;
	/**
	 * 이자종료일자
	 * ST_RMBR_PLAN_DESC.INT_END_DT
	 */
	private String intEndDt;
	private String dlyFg; //연체여부
	/**
	 * 연체일자<br>
	 * 연체일때 실납입일자 + 1<br>
	 * RL_DUE_DT < SETL_DT THEN DBSRQST.RF_ADD_DAYS(RL_DUE_DT,1)<br>
	 */
	private String dlyDt; //연체일자
	/**
	 * 연체계산일자<br>
	 * 연체일때 기존에 결제한 일자가 있으면 그이후부터 아니면 실납입일자 + 1<br>
	 * - RL_DUE_DT < LAST_SETL_DT THEN DBSRQST.RF_ADD_DAYS(LAST_SETL_DT,1)<br>
	 * - DBSRQST.RF_ADD_DAYS(RL_DUE_DT,1)<br>
	 */
	private String dlyCalcDt; //연체계산일자
	/**
	 * 연체시작회차
	 * MIN(RL_DUE_DT < SETL_DT) THEN TIMS
	 */
	private int dlyStrtTims;
	private String loanStatCd; //대출상태코드

	/**
	 * <p>차회차 납입일자
	 */
	private String loseCalcDueDt;
	/**
	 * <p>차회차 실납입일자
	 */
	private String loseCalcRlDueDt;
	private long timsBfAskPamt  ;
	/**
	 * <p>초기세팅 0
	 */
	private long losePsgInt     ;
	/**
	 * <p>2회차이후 월이자 (다음회차의 이자, 2회차이후 월이자는 다음회차원금에 대한 이자임 )
	 */
	private long loseObjPsgInt;
	/**
	 * <p>차회차의 이자시작일자
	 */
	private String loseIntStrtDt;
	/**
	 * <p>차회차의 이자종료일자
	 */
	private String loseIntEndDt ;
	/**
	 * 초기세팅 ''
	 */
	private String loseDueDt;
	/**
	 * 초기세팅 '0'
	 */
	private String loseFg;

	private String termPartFg; //거치분할여부
	private String termPartIntEndDt; //거치분할이자종료일자
	private long termPartInt; //거치이자
	private long midTermPartInt; //중도상환거치이자
	private int unrcvTims; //미수회차
	private long pnltAmtTot6; //범칙금6개월합
	private long mainRmbrPamt; //범칙금6개월합

	//2018-08-01 두비스 선납여부
	private String preRcptFg;
	//2018-08-01 두비스 초회추가
	private int fcntTims;
	private String fcntDueDt;
	public String getLoanNo() {
		return loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public String getEndDivCd() {
		return endDivCd;
	}
	public int getTims() {
		return tims;
	}
	public int getCurTims() {
		return curTims;
	}
	public int getThmmDueTims() {
		return thmmDueTims;
	}
	public int getBfmmDueTims() {
		return bfmmDueTims;
	}
	public int getTotTims() {
		return totTims;
	}
	public String getPrdtCd() {
		return prdtCd;
	}
	public String getRmbrFrmlCd() {
		return rmbrFrmlCd;
	}
	public String getDueDt() {
		return dueDt;
	}
	public String getRlDueDt() {
		return rlDueDt;
	}
	public String getLastSetlDt() {
		return lastSetlDt;
	}
	public int getLastSetlTims() {
		return lastSetlTims;
	}
	public String getLoanEprtDt() {
		return loanEprtDt;
	}
	public String getLoanRlEprtDt() {
		return loanRlEprtDt;
	}
	public int getLoanEprtTims() {
		return loanEprtTims;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public String getAskDivCd() {
		return askDivCd;
	}
	public long getTimsBfPamtRamt() {
		return timsBfPamtRamt;
	}
	public long getTimsBfIntRamt() {
		return timsBfIntRamt;
	}
	public long getTimsAfPamtRamt() {
		return timsAfPamtRamt;
	}
	public long getTimsAfIntRamt() {
		return timsAfIntRamt;
	}
	public long getPamt() {
		return pamt;
	}
	public long getIntt() {
		return intt;
	}
	public long getTrtFee() {
		return trtFee;
	}
	public long getPpayInt() {
		return ppayInt;
	}
	public long getAddInsuFee() {
		return addInsuFee;
	}
	public long getAddCartax() {
		return addCartax;
	}
	public long getAddEnvImprBrdnamt() {
		return addEnvImprBrdnamt;
	}
	public long getAddAsfee() {
		return addAsfee;
	}
	public long getVtax() {
		return vtax;
	}
	public long getIpayCartax() {
		return ipayCartax;
	}
	public long getIpayEnvImprBrdnamt() {
		return ipayEnvImprBrdnamt;
	}
	public long getIpayInsuFee() {
		return ipayInsuFee;
	}
	public long getIpayPnltAmt() {
		return ipayPnltAmt;
	}
	public long getIpayEtc() {
		return ipayEtc;
	}
	public long getLtrmBrcvAmt() {
		return ltrmBrcvAmt;
	}
	public long getSetlPamt() {
		return setlPamt;
	}
	public long getSetlInt() {
		return setlInt;
	}
	public long getSetlTrtFee() {
		return setlTrtFee;
	}
	public long getSetlPpayInt() {
		return setlPpayInt;
	}
	public long getSetlAddInsuFee() {
		return setlAddInsuFee;
	}
	public long getSetlAddCartax() {
		return setlAddCartax;
	}
	public long getSetlAddEnvImprBrdnamt() {
		return setlAddEnvImprBrdnamt;
	}
	public long getSetlAddAsfee() {
		return setlAddAsfee;
	}
	public long getSetlVtax() {
		return setlVtax;
	}
	public long getSetlIpayCartax() {
		return setlIpayCartax;
	}
	public long getSetlIpayEnvImprBrdnamt() {
		return setlIpayEnvImprBrdnamt;
	}
	public long getSetlIpayInsuFee() {
		return setlIpayInsuFee;
	}
	public long getSetlIpayPnltAmt() {
		return setlIpayPnltAmt;
	}
	public long getSetlIpayEtc() {
		return setlIpayEtc;
	}
	public long getSetlLtrmBrcvAmt() {
		return setlLtrmBrcvAmt;
	}
	public long getSetlRamtAmt() {
		return setlRamtAmt;
	}
	public long getSetlGuarAmt() {
		return setlGuarAmt;
	}
	public long getSetlDfee() {
		return setlDfee;
	}
	public long getOccrDfee() {
		return occrDfee;
	}
	public long getPreOccrDfee() {
		return preOccrDfee;
	}
	public long getPdueDfee() {
		return pdueDfee;
	}
	public long getExmpDfee() {
		return exmpDfee;
	}
	public String getIntStrtDt() {
		return intStrtDt;
	}
	public String getIntEndDt() {
		return intEndDt;
	}
	public String getDlyFg() {
		return dlyFg;
	}
	public String getDlyDt() {
		return dlyDt;
	}
	public String getDlyCalcDt() {
		return dlyCalcDt;
	}
	public int getDlyStrtTims() {
		return dlyStrtTims;
	}
	public String getLoanStatCd() {
		return loanStatCd;
	}
	public String getLoseCalcDueDt() {
		return loseCalcDueDt;
	}
	public String getLoseCalcRlDueDt() {
		return loseCalcRlDueDt;
	}
	public long getTimsBfAskPamt() {
		return timsBfAskPamt;
	}
	public long getLosePsgInt() {
		return losePsgInt;
	}
	public long getLoseObjPsgInt() {
		return loseObjPsgInt;
	}
	public String getLoseIntStrtDt() {
		return loseIntStrtDt;
	}
	public String getLoseIntEndDt() {
		return loseIntEndDt;
	}
	public String getLoseDueDt() {
		return loseDueDt;
	}
	public String getLoseFg() {
		return loseFg;
	}
	public String getTermPartFg() {
		return termPartFg;
	}
	public String getTermPartIntEndDt() {
		return termPartIntEndDt;
	}
	public long getTermPartInt() {
		return termPartInt;
	}
	public long getMidTermPartInt() {
		return midTermPartInt;
	}
	public int getUnrcvTims() {
		return unrcvTims;
	}
	public long getPnltAmtTot6() {
		return pnltAmtTot6;
	}
	public long getMainRmbrPamt() {
		return mainRmbrPamt;
	}
	public String getPreRcptFg() {
		return preRcptFg;
	}
	public int getFcntTims() {
		return fcntTims;
	}
	public String getFcntDueDt() {
		return fcntDueDt;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public void setEndDivCd(String endDivCd) {
		this.endDivCd = endDivCd;
	}
	public void setTims(int tims) {
		this.tims = tims;
	}
	public void setCurTims(int curTims) {
		this.curTims = curTims;
	}
	public void setThmmDueTims(int thmmDueTims) {
		this.thmmDueTims = thmmDueTims;
	}
	public void setBfmmDueTims(int bfmmDueTims) {
		this.bfmmDueTims = bfmmDueTims;
	}
	public void setTotTims(int totTims) {
		this.totTims = totTims;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public void setRmbrFrmlCd(String rmbrFrmlCd) {
		this.rmbrFrmlCd = rmbrFrmlCd;
	}
	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}
	public void setRlDueDt(String rlDueDt) {
		this.rlDueDt = rlDueDt;
	}
	public void setLastSetlDt(String lastSetlDt) {
		this.lastSetlDt = lastSetlDt;
	}
	public void setLastSetlTims(int lastSetlTims) {
		this.lastSetlTims = lastSetlTims;
	}
	public void setLoanEprtDt(String loanEprtDt) {
		this.loanEprtDt = loanEprtDt;
	}
	public void setLoanRlEprtDt(String loanRlEprtDt) {
		this.loanRlEprtDt = loanRlEprtDt;
	}
	public void setLoanEprtTims(int loanEprtTims) {
		this.loanEprtTims = loanEprtTims;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public void setAskDivCd(String askDivCd) {
		this.askDivCd = askDivCd;
	}
	public void setTimsBfPamtRamt(long timsBfPamtRamt) {
		this.timsBfPamtRamt = timsBfPamtRamt;
	}
	public void setTimsBfIntRamt(long timsBfIntRamt) {
		this.timsBfIntRamt = timsBfIntRamt;
	}
	public void setTimsAfPamtRamt(long timsAfPamtRamt) {
		this.timsAfPamtRamt = timsAfPamtRamt;
	}
	public void setTimsAfIntRamt(long timsAfIntRamt) {
		this.timsAfIntRamt = timsAfIntRamt;
	}
	public void setPamt(long pamt) {
		this.pamt = pamt;
	}
	public void setIntt(long intt) {
		this.intt = intt;
	}
	public void setTrtFee(long trtFee) {
		this.trtFee = trtFee;
	}
	public void setPpayInt(long ppayInt) {
		this.ppayInt = ppayInt;
	}
	public void setAddInsuFee(long addInsuFee) {
		this.addInsuFee = addInsuFee;
	}
	public void setAddCartax(long addCartax) {
		this.addCartax = addCartax;
	}
	public void setAddEnvImprBrdnamt(long addEnvImprBrdnamt) {
		this.addEnvImprBrdnamt = addEnvImprBrdnamt;
	}
	public void setAddAsfee(long addAsfee) {
		this.addAsfee = addAsfee;
	}
	public void setVtax(long vtax) {
		this.vtax = vtax;
	}
	public void setIpayCartax(long ipayCartax) {
		this.ipayCartax = ipayCartax;
	}
	public void setIpayEnvImprBrdnamt(long ipayEnvImprBrdnamt) {
		this.ipayEnvImprBrdnamt = ipayEnvImprBrdnamt;
	}
	public void setIpayInsuFee(long ipayInsuFee) {
		this.ipayInsuFee = ipayInsuFee;
	}
	public void setIpayPnltAmt(long ipayPnltAmt) {
		this.ipayPnltAmt = ipayPnltAmt;
	}
	public void setIpayEtc(long ipayEtc) {
		this.ipayEtc = ipayEtc;
	}
	public void setLtrmBrcvAmt(long ltrmBrcvAmt) {
		this.ltrmBrcvAmt = ltrmBrcvAmt;
	}
	public void setSetlPamt(long setlPamt) {
		this.setlPamt = setlPamt;
	}
	public void setSetlInt(long setlInt) {
		this.setlInt = setlInt;
	}
	public void setSetlTrtFee(long setlTrtFee) {
		this.setlTrtFee = setlTrtFee;
	}
	public void setSetlPpayInt(long setlPpayInt) {
		this.setlPpayInt = setlPpayInt;
	}
	public void setSetlAddInsuFee(long setlAddInsuFee) {
		this.setlAddInsuFee = setlAddInsuFee;
	}
	public void setSetlAddCartax(long setlAddCartax) {
		this.setlAddCartax = setlAddCartax;
	}
	public void setSetlAddEnvImprBrdnamt(long setlAddEnvImprBrdnamt) {
		this.setlAddEnvImprBrdnamt = setlAddEnvImprBrdnamt;
	}
	public void setSetlAddAsfee(long setlAddAsfee) {
		this.setlAddAsfee = setlAddAsfee;
	}
	public void setSetlVtax(long setlVtax) {
		this.setlVtax = setlVtax;
	}
	public void setSetlIpayCartax(long setlIpayCartax) {
		this.setlIpayCartax = setlIpayCartax;
	}
	public void setSetlIpayEnvImprBrdnamt(long setlIpayEnvImprBrdnamt) {
		this.setlIpayEnvImprBrdnamt = setlIpayEnvImprBrdnamt;
	}
	public void setSetlIpayInsuFee(long setlIpayInsuFee) {
		this.setlIpayInsuFee = setlIpayInsuFee;
	}
	public void setSetlIpayPnltAmt(long setlIpayPnltAmt) {
		this.setlIpayPnltAmt = setlIpayPnltAmt;
	}
	public void setSetlIpayEtc(long setlIpayEtc) {
		this.setlIpayEtc = setlIpayEtc;
	}
	public void setSetlLtrmBrcvAmt(long setlLtrmBrcvAmt) {
		this.setlLtrmBrcvAmt = setlLtrmBrcvAmt;
	}
	public void setSetlRamtAmt(long setlRamtAmt) {
		this.setlRamtAmt = setlRamtAmt;
	}
	public void setSetlGuarAmt(long setlGuarAmt) {
		this.setlGuarAmt = setlGuarAmt;
	}
	public void setSetlDfee(long setlDfee) {
		this.setlDfee = setlDfee;
	}
	public void setOccrDfee(long occrDfee) {
		this.occrDfee = occrDfee;
	}
	public void setPreOccrDfee(long preOccrDfee) {
		this.preOccrDfee = preOccrDfee;
	}
	public void setPdueDfee(long pdueDfee) {
		this.pdueDfee = pdueDfee;
	}
	public void setExmpDfee(long exmpDfee) {
		this.exmpDfee = exmpDfee;
	}
	public void setIntStrtDt(String intStrtDt) {
		this.intStrtDt = intStrtDt;
	}
	public void setIntEndDt(String intEndDt) {
		this.intEndDt = intEndDt;
	}
	public void setDlyFg(String dlyFg) {
		this.dlyFg = dlyFg;
	}
	public void setDlyDt(String dlyDt) {
		this.dlyDt = dlyDt;
	}
	public void setDlyCalcDt(String dlyCalcDt) {
		this.dlyCalcDt = dlyCalcDt;
	}
	public void setDlyStrtTims(int dlyStrtTims) {
		this.dlyStrtTims = dlyStrtTims;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}
	public void setLoseCalcDueDt(String loseCalcDueDt) {
		this.loseCalcDueDt = loseCalcDueDt;
	}
	public void setLoseCalcRlDueDt(String loseCalcRlDueDt) {
		this.loseCalcRlDueDt = loseCalcRlDueDt;
	}
	public void setTimsBfAskPamt(long timsBfAskPamt) {
		this.timsBfAskPamt = timsBfAskPamt;
	}
	public void setLosePsgInt(long losePsgInt) {
		this.losePsgInt = losePsgInt;
	}
	public void setLoseObjPsgInt(long loseObjPsgInt) {
		this.loseObjPsgInt = loseObjPsgInt;
	}
	public void setLoseIntStrtDt(String loseIntStrtDt) {
		this.loseIntStrtDt = loseIntStrtDt;
	}
	public void setLoseIntEndDt(String loseIntEndDt) {
		this.loseIntEndDt = loseIntEndDt;
	}
	public void setLoseDueDt(String loseDueDt) {
		this.loseDueDt = loseDueDt;
	}
	public void setLoseFg(String loseFg) {
		this.loseFg = loseFg;
	}
	public void setTermPartFg(String termPartFg) {
		this.termPartFg = termPartFg;
	}
	public void setTermPartIntEndDt(String termPartIntEndDt) {
		this.termPartIntEndDt = termPartIntEndDt;
	}
	public void setTermPartInt(long termPartInt) {
		this.termPartInt = termPartInt;
	}
	public void setMidTermPartInt(long midTermPartInt) {
		this.midTermPartInt = midTermPartInt;
	}
	public void setUnrcvTims(int unrcvTims) {
		this.unrcvTims = unrcvTims;
	}
	public void setPnltAmtTot6(long pnltAmtTot6) {
		this.pnltAmtTot6 = pnltAmtTot6;
	}
	public void setMainRmbrPamt(long mainRmbrPamt) {
		this.mainRmbrPamt = mainRmbrPamt;
	}
	public void setPreRcptFg(String preRcptFg) {
		this.preRcptFg = preRcptFg;
	}
	public void setFcntTims(int fcntTims) {
		this.fcntTims = fcntTims;
	}
	public void setFcntDueDt(String fcntDueDt) {
		this.fcntDueDt = fcntDueDt;
	}
}
