package hanalife.b.cm.kf.vo;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : BtKfbEntLoanTrHistTDO
 * 클래스설명 : 은행연합회_대출_거래_이력 TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2022-12-05
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20221205][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtKfbEntLoanTrHistTDO extends AbstractVO {

    private static final long serialVersionUID = 6820881375612063057L;
    private String jobDt; //JOB_DT 작업_일자
    private String regBlckSnum; //REG_BLCK_SNUM 등록_블록_일련번호
    private String regSnum; //REG_SNUM 등록_일련번호
    private String dataSnum; //DATA_SNUM 자료_일련번호
    private String dataDivCd; //DATA_DIV_CD 전송_구분_코드
    private String regDivCd; //REG_DIV_CD 등록_구분_코드
    private String prgsStatCd; //PRGS_STAT_CD 진행_상태_코드
    private String sendDivCd; //SEND_DIV_CD 전송_구분_코드
    private String varDt; //VAR_DT 변동_일자
    private String custNo; //CUST_NO 고객번호
    private String loanNo; //LOAN_NO 대출_번호
    private String loanSeq; //LOAN_SEQ 대출_순번
    private String custNm; //CUST_NM 상호명
    private String corpRegNo; //CORP_REG_NO 법인등록번호
    private String bizNo; //BIZ_NO 사업자등록번호
    private String reprName; //REPR_NAME 대표자명
    private String bzitDivCd; //BZIT_DIV_CD 업종코드
    private String godsName; //GODS_NAME 상품명
    private String loanClosDt; //LOAN_CLOS_DT 만기일자
    private String regAmt; //REG_AMT 등록_금액
    private String chngAmt; //CHNG_AMT 변경_금액
    private String loanDivCd; //LOAN_DIV_CD 대출구분
    private String loanInt; //LOAN_INT 대출이자
    private String defrTerm; //DEFR_TERM 거치개월
    private String defrClosDt; //DEFR_CLOS_DT 거치기간_종료일
    private String brwrCd; //BRWR_CD 차주_구분
    private String rmbrFrmlCd; //RMBR_FRML_CD 상환방식코드
    private String cloRmbrAmt; //CLO_RMBR_AMT 만기지정상환금액
    private String mrtgKind; //MRTG_KIND 담보유형
    private String mrtgSpecKind; //MRTG_SPEC_KIND 담보세부종류추가
    private String firstVndrCd; //FIRST_VNDR_CD 최초_채권기관_업종코드
    private String ppFincDivCd; //PP_FINC_DIV_CD 서민금융구분
    private String spclBndMoAcntNo; //SPCL_BND_MO_ACNT_NO 모계좌번호
    private String deffRsn1; //DEFF_RSN1 연체사유코드1
    private String deffRsn2; //DEFF_RSN2 연체사유코드2
    private String dlyStrtDt; //DLY_STRT_DT 연체사유_발생일자
    private String badDebtDeprDt; //BAD_DEBT_DEPR_DT 상각일자
    private String dlyPamt; //DLY_PAMT 연체_원금
    private String dlyInt; //DLY_INT 연체_이자
    private String dlyDdcnt; //DLY_DDCNT 연체_일수
    private String lngsDlyDdcnt; //LNGS_DLY_DDCNT 최장_연체_일수
    private String applDt; //APPL_DT 대출_신청_일자
    private String loanDt; //LOAN_DT 대출_일자
    private String prdtLrgeClasCd; //PRDT_LRGE_CLAS_CD 상품_대_분류_코드
    private String loanStatCd; //LOAN_STAT_CD 대출_상태_코드
    private String frstRegEmpNo; //FRST_REG_EMP_NO 최초_등록_사원_번호
    private String lastProcEmpNo; //LAST_PROC_EMP_NO 최종_처리_사원_번호

    public String getJobDt() {
        return jobDt;
    }
    public void setJobDt(String jobDt) {
        this.jobDt = jobDt;
    }
    public String getRegBlckSnum() {
        return regBlckSnum;
    }
    public void setRegBlckSnum(String regBlckSnum) {
        this.regBlckSnum = regBlckSnum;
    }
    public String getRegSnum() {
        return regSnum;
    }
    public void setRegSnum(String regSnum) {
        this.regSnum = regSnum;
    }
    public String getDataSnum() {
        return dataSnum;
    }
    public void setDataSnum(String dataSnum) {
        this.dataSnum = dataSnum;
    }
    public String getDataDivCd() {
        return dataDivCd;
    }
    public void setDataDivCd(String dataDivCd) {
        this.dataDivCd = dataDivCd;
    }
    public String getRegDivCd() {
        return regDivCd;
    }
    public void setRegDivCd(String regDivCd) {
        this.regDivCd = regDivCd;
    }
    public String getPrgsStatCd() {
        return prgsStatCd;
    }
    public void setPrgsStatCd(String prgsStatCd) {
        this.prgsStatCd = prgsStatCd;
    }
    public String getSendDivCd() {
        return sendDivCd;
    }
    public void setSendDivCd(String sendDivCd) {
        this.sendDivCd = sendDivCd;
    }
    public String getVarDt() {
        return varDt;
    }
    public void setVarDt(String varDt) {
        this.varDt = varDt;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getCorpRegNo() {
        return corpRegNo;
    }
    public void setCorpRegNo(String corpRegNo) {
        this.corpRegNo = corpRegNo;
    }
    public String getBizNo() {
        return bizNo;
    }
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    public String getReprName() {
        return reprName;
    }
    public void setReprName(String reprName) {
        this.reprName = reprName;
    }
    public String getBzitDivCd() {
        return bzitDivCd;
    }
    public void setBzitDivCd(String bzitDivCd) {
        this.bzitDivCd = bzitDivCd;
    }
    public String getGodsName() {
        return godsName;
    }
    public void setGodsName(String godsName) {
        this.godsName = godsName;
    }
    public String getLoanClosDt() {
        return loanClosDt;
    }
    public void setLoanClosDt(String loanClosDt) {
        this.loanClosDt = loanClosDt;
    }
    public String getRegAmt() {
        return regAmt;
    }
    public void setRegAmt(String regAmt) {
        this.regAmt = regAmt;
    }
    public String getChngAmt() {
        return chngAmt;
    }
    public void setChngAmt(String chngAmt) {
        this.chngAmt = chngAmt;
    }
    public String getLoanDivCd() {
        return loanDivCd;
    }
    public void setLoanDivCd(String loanDivCd) {
        this.loanDivCd = loanDivCd;
    }
    public String getLoanInt() {
        return loanInt;
    }
    public void setLoanInt(String loanInt) {
        this.loanInt = loanInt;
    }
    public String getDefrTerm() {
        return defrTerm;
    }
    public void setDefrTerm(String defrTerm) {
        this.defrTerm = defrTerm;
    }
    public String getDefrClosDt() {
        return defrClosDt;
    }
    public void setDefrClosDt(String defrClosDt) {
        this.defrClosDt = defrClosDt;
    }
    public String getBrwrCd() {
        return brwrCd;
    }
    public void setBrwrCd(String brwrCd) {
        this.brwrCd = brwrCd;
    }
    public String getRmbrFrmlCd() {
        return rmbrFrmlCd;
    }
    public void setRmbrFrmlCd(String rmbrFrmlCd) {
        this.rmbrFrmlCd = rmbrFrmlCd;
    }
    public String getCloRmbrAmt() {
        return cloRmbrAmt;
    }
    public void setCloRmbrAmt(String cloRmbrAmt) {
        this.cloRmbrAmt = cloRmbrAmt;
    }
    public String getMrtgKind() {
        return mrtgKind;
    }
    public void setMrtgKind(String mrtgKind) {
        this.mrtgKind = mrtgKind;
    }
    public String getMrtgSpecKind() {
        return mrtgSpecKind;
    }
    public void setMrtgSpecKind(String mrtgSpecKind) {
        this.mrtgSpecKind = mrtgSpecKind;
    }
    public String getFirstVndrCd() {
        return firstVndrCd;
    }
    public void setFirstVndrCd(String firstVndrCd) {
        this.firstVndrCd = firstVndrCd;
    }
    public String getPpFincDivCd() {
        return ppFincDivCd;
    }
    public void setPpFincDivCd(String ppFincDivCd) {
        this.ppFincDivCd = ppFincDivCd;
    }
    public String getSpclBndMoAcntNo() {
        return spclBndMoAcntNo;
    }
    public void setSpclBndMoAcntNo(String spclBndMoAcntNo) {
        this.spclBndMoAcntNo = spclBndMoAcntNo;
    }
    public String getDeffRsn1() {
        return deffRsn1;
    }
    public void setDeffRsn1(String deffRsn1) {
        this.deffRsn1 = deffRsn1;
    }
    public String getDeffRsn2() {
        return deffRsn2;
    }
    public void setDeffRsn2(String deffRsn2) {
        this.deffRsn2 = deffRsn2;
    }
    public String getDlyStrtDt() {
        return dlyStrtDt;
    }
    public void setDlyStrtDt(String dlyStrtDt) {
        this.dlyStrtDt = dlyStrtDt;
    }
    public String getBadDebtDeprDt() {
        return badDebtDeprDt;
    }
    public void setBadDebtDeprDt(String badDebtDeprDt) {
        this.badDebtDeprDt = badDebtDeprDt;
    }
    public String getDlyPamt() {
        return dlyPamt;
    }
    public void setDlyPamt(String dlyPamt) {
        this.dlyPamt = dlyPamt;
    }
    public String getDlyInt() {
        return dlyInt;
    }
    public void setDlyInt(String dlyInt) {
        this.dlyInt = dlyInt;
    }
    public String getDlyDdcnt() {
        return dlyDdcnt;
    }
    public void setDlyDdcnt(String dlyDdcnt) {
        this.dlyDdcnt = dlyDdcnt;
    }
    public String getLngsDlyDdcnt() {
        return lngsDlyDdcnt;
    }
    public void setLngsDlyDdcnt(String lngsDlyDdcnt) {
        this.lngsDlyDdcnt = lngsDlyDdcnt;
    }
    public String getApplDt() {
        return applDt;
    }
    public void setApplDt(String applDt) {
        this.applDt = applDt;
    }
    public String getLoanDt() {
        return loanDt;
    }
    public void setLoanDt(String loanDt) {
        this.loanDt = loanDt;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getLoanStatCd() {
        return loanStatCd;
    }
    public void setLoanStatCd(String loanStatCd) {
        this.loanStatCd = loanStatCd;
    }
    @Override
	public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    @Override
	public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    @Override
	public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    @Override
	public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }



}
