package hanalife.b.cn.ui.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.cn.ui.mapper.dto.BtCustCnslGuidDTO;
import hanalife.b.cn.ui.mapper.dto.CustMainGuidMngDSSDDO01DTO;

@Mapper("custCnslGuidMapper")
public interface CustCnslGuidMapper {
	/**
	* <pre>
	* 메소드명      : searchCustStatInfo
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 고객상태조회
	* 메소드인수1   :  CustMainGuidMngDSSDDO01DTO
	* 메소드리턴값  :  List<CustMainGuidMngDSSDDO01DTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<CustMainGuidMngDSSDDO01DTO> searchCustStatInfo(CustMainGuidMngDSSDDO01DTO dto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : search2
	 * 작성일자      : 2023. 3. 23.
	 * 작성자(author): 70320 jaeho.jang
	 * 설명          : 통화이력 조회
	 * 메소드인수1   : BtCustCnslGuidDTO
	 * 메소드리턴값  : List<BtCustCnslGuidDTO>
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<BtCustCnslGuidDTO> search2(BtCustCnslGuidDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : updateCustStatInfo
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 고객상태수정
	* 메소드인수1   : CustMainGuidMngDSSDDO01DTO
	* 메소드리턴값  :  void
	* 예외처리      : Exception
	* </pre>
	*/
	public void updateCustStatInfo(CustMainGuidMngDSSDDO01DTO dto)  throws Exception;

	/**
	* <pre>
	* 메소드명      : insertCustStatInfo
	* 작성일자      : 2023. 3. 23.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 고객상태등록
	* 메소드인수1   : CustMainGuidMngDSSDDO01DTO
	* 메소드리턴값  :  void
	* 예외처리      : Exception
	* </pre>
	*/
	public void insertCustStatInfo(CustMainGuidMngDSSDDO01DTO dto)  throws Exception;

	/**
	* <pre>
	* 메소드명      : updateCntcPlc
	* 작성일자      : 2023. 3. 27.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 연락처정보 수정
	* 메소드인수1   :  CustMainGuidMngSDDO09
	* 메소드리턴값  :  void
	* 예외처리      : Exception
	* </pre>
	*/
	public void updateCntcPlc(BtCustCnslGuidDTO dto)  throws Exception;

	/**
	* <pre>
	* 메소드명      : updateCustTrnd
	* 작성일자      : 2023. 3. 27.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 고객성향 수정
	* 메소드인수1   :  CustMainGuidMngSDDO09
	* 메소드리턴값  :  void
	* 예외처리      : Exception
	* </pre>
	*/
	public void updateCustTrnd(BtCustCnslGuidDTO dto)  throws Exception;

	/**
	* <pre>
	* 메소드명      : updateTxtRecvFg
	* 작성일자      : 2023. 3. 27.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : [영업]문자_수신_여부 수정
	* 메소드인수1   :  CustMainGuidMngSDDO09
	* 메소드리턴값  :  void
	* 예외처리      : Exception
	* </pre>
	*/
	public void updateTxtRecvFg(BtCustCnslGuidDTO dto)  throws Exception;

	/**
	* <pre>
	* 메소드명      : createCustCnslGuid
	* 작성일자      : 2023. 3. 27.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 상담내역 등록
	* 메소드인수1   : CustMainGuidMngSDDO09
	* 메소드리턴값  : void
	* 예외처리      : Exception
	* </pre>
	*/
	public int createCustCnslGuid(BtCustCnslGuidDTO dto)  throws Exception;

}
