package hanalife.b.cn.ui.service;

import hanalife.b.cn.ui.vo.BCNUIM02S01InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S01OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S02InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S02OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S03InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S03OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S05InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S05OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S06InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S06OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S07InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S07OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S08InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S08OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S11InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S11OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S12InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S12OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S13InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S13OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S14InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S14OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S15InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S15OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S16InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S16OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S19InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S19OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S21InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S21OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S23InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S23OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S24InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S24OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02U01InVO;
import hanalife.b.cn.ui.vo.BCNUIM02U02InVO;
import hanalife.b.cn.ui.vo.BCNUIM02U03InVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM02Service.java Class
 * 클래스설명   : 채권상담관리 Service
 * 작성일자     : 2023. 3. 10.
 * 작성자명     : 70281 / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBCNUIM02S01 : 채권상담 그리드 조회
 * </pre>
 */
public interface BCNUIM02Service {

	/**
	 * <p>메소드명      : getBCNUI01S01 : 채권상담 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 채권상담관리를 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S01InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S01OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S01OutVO getBCNUIM02S01(BCNUIM02S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getBCNUI01S02 : 대출상세내역 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 대출상세내역 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S02InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S02OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S02OutVO getBCNUIM02S02(BCNUIM02S02InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getBCNUI01S03 : 대출상세내역 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 대출상세내역 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S03InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S03OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S03OutVO getBCNUIM02S03(BCNUIM02S03InVO inVo) throws Exception;


	/**
	 * <p>메소드명      : getBCNUI01S05 : 대출상세내역 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 대출상세내역 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S05InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S05OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S05OutVO getBCNUIM02S05(BCNUIM02S05InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getBCNUI01S06 : 대출상세내역 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 대출상세내역 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S06InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S06OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S06OutVO getBCNUIM02S06(BCNUIM02S06InVO inVo) throws Exception;


	/**
	 * <p>메소드명      : getBCNUI01S07 : 대출상세내역 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 대출상세내역 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S07InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S07OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S07OutVO getBCNUIM02S07(BCNUIM02S07InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getBCNUI01S08 : 대출상세내역 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 대출상세내역 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S08InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S08OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S08OutVO getBCNUIM02S08(BCNUIM02S08InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getBCNUI01S11 : 대출상세내역 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 대출상세내역 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S11InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S11OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S11OutVO getBCNUIM02S11(BCNUIM02S11InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getBCNUI01S12 : 대출상세내역 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 대출상세내역 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S12InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S12OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S12OutVO getBCNUIM02S12(BCNUIM02S12InVO inVo) throws Exception;


	/**
	 * <p>메소드명      : getBCNUI01S13 : 대출상세내역 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 대출상세내역 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S13InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S13OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S13OutVO getBCNUIM02S13(BCNUIM02S13InVO inVo) throws Exception;


	/**
	 * <p>메소드명      : getBCNUI01S14 : 대출상세내역 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 대출상세내역 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S14InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S14OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S14OutVO getBCNUIM02S14(BCNUIM02S14InVO inVo) throws Exception;


	/**
	 * <p>메소드명      : getBCNUI01S15 : 대출상세내역 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 대출상세내역 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S15InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S15OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S15OutVO getBCNUIM02S15(BCNUIM02S15InVO inVo) throws Exception;


	/**
	 * <p>메소드명      : getBCNUI01S16 : 대출상세내역 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 대출상세내역 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S16InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S16OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S16OutVO getBCNUIM02S16(BCNUIM02S16InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getBCNUI01S19 : 대출상세내역 조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author):  /
	 * <p>설명          : 대출상세내역 조회 한다.</p>
	 * <p>메소드인수    : BCNUIM02S19InVO </p>
	 * <p>메소드리턴값  : BCNUIM02S19OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIM02S19OutVO getBCNUIM02S19(BCNUIM02S19InVO inVo) throws Exception;

    /**
     * <p>메소드명      : getBCNUI01S21 : 문자발송내역 조회</p>
     * <p>작성일자      : 2023. 3. 10.
     * <p>작성자(author):  /
     * <p>설명          : 문자발송내역 조회 한다.</p>
     * <p>메소드인수    : BCNUIM02S21InVO </p>
     * <p>메소드리턴값  : BCNUIM02S21OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public BCNUIM02S21OutVO getBCNUIM02S21(BCNUIM02S21InVO inVo) throws Exception;


    /**
     * <p>메소드명      : getBCNUI01S23 : 자동이체청구이력 조회</p>
     * <p>작성일자      : 2023. 3. 10.
     * <p>작성자(author):  /
     * <p>설명          : 자동이체청구이력 조회 한다.</p>
     * <p>메소드인수    : BCNUIM02S23InVO </p>
     * <p>메소드리턴값  : BCNUIM02S23OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public BCNUIM02S23OutVO getBCNUIM02S23(BCNUIM02S23InVO inVo) throws Exception;

    /**
     * <p>메소드명      : getBCNUI01S24 : 안내장발송내역 조회</p>
     * <p>작성일자      : 2023. 3. 10.
     * <p>작성자(author):  /
     * <p>설명          : 안내장발송내역 조회 한다.</p>
     * <p>메소드인수    : BCNUIM02S24InVO </p>
     * <p>메소드리턴값  : BCNUIM02S24OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public BCNUIM02S24OutVO getBCNUIM02S24(BCNUIM02S24InVO inVo) throws Exception;

    /**
     * <p>메소드명      : getBCNUIM02U01 : 주요사항 등록/삭제 </p>
     * <p>작성일자      : 2023. 3. 10.
     * <p>작성자(author):  /
     * <p>설명          : 주요사항 등록/삭제 한다.</p>
     * <p>메소드인수    : BCNUIM02U01InVO </p>
     * <p>메소드리턴값  : </p>
     * <p>예외처리      : Exception</p>
     */
    public int getBCNUIM02U01(BCNUIM02U01InVO inVo) throws Exception;


    /**
     * <p>메소드명      : getBCNUIM02U02 : 주요메모 등록 </p>
     * <p>작성일자      : 2023. 3. 10.
     * <p>작성자(author):  /
     * <p>설명          : 주요메모 등록 한다.</p>
     * <p>메소드인수    : BCNUIM02U02InVO </p>
     * <p>메소드리턴값  : </p>
     * <p>예외처리      : Exception</p>
     */
    public int getBCNUIM02U02(BCNUIM02U02InVO inVo) throws Exception;

    /**
     * <p>메소드명      : getBCNUIM02U03 : 문자거부정보 update </p>
     * <p>작성일자      : 2023. 3. 10.
     * <p>작성자(author):  /
     * <p>설명          : 문자거부정보 update 한다.</p>
     * <p>메소드인수    : BCNUIM02U03InVO </p>
     * <p>메소드리턴값  : </p>
     * <p>예외처리      : Exception</p>
     */
    public int getBCNUIM02U03(BCNUIM02U03InVO inVo) throws Exception;
}