package hanalife.b.cn.ui.service;

import hanalife.b.cn.ui.vo.BCNUIP01S01InVO;
import hanalife.b.cn.ui.vo.BCNUIP01S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIP01Service.java Class
 * 클래스설명   : 고객상태정보 (BCNUIP01) Service Interface
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBCNUIP01S01 : 고객상태정보목록조회
 *              registerBCNUIP01I01 : 고객상태정보등록
 *              modifyBCNUIP01U01 : 고객상태정보수정
 * </pre>
 */
public interface BCNUIP01Service {

	/**
	 * <p>메소드명      : getBCNUIP01S01 : 고객상태정보목록조회</p>
	 * <p>작성일자      : 2023. 3.23.
	 * <p>작성자(author): 70320 / jaeho.jang
	 * <p>설명          : 고객상태정보 목록을 조회 한다.</p>
	 * <p>메소드인수    : BCNUIP01S01InVo </p>
	 * <p>메소드리턴값  : BCNUIP01S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIP01S01OutVO getBCNUIP01S01(BCNUIP01S01InVO inVo) throws Exception;

	/**
	* <pre>
	* 메소드명      : registerBCNUIP01I01
	* 작성일자      : 2023. 3. 28.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 고객상태정보를 등록 한다.
	* 메소드인수1   : BCNUIP01S01InVO
	* 메소드리턴값  : BCNUIP01S01OutVO
	* 예외처리      : Exception
	* </pre>
	*/
	public BCNUIP01S01OutVO registerBCNUIP01I01(BCNUIP01S01InVO inVo) throws Exception;

	/**
	* <pre>
	* 메소드명      : modifyBCNUIP01U01
	* 작성일자      : 2023. 3. 28.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 고객상태정보를 수정 한다.
	* 메소드인수1   : BCNUIP01S01InVO
	* 메소드리턴값  : BCNUIP01S01OutVO
	* 예외처리      : Exception
	* </pre>
	*/
	public BCNUIP01S01OutVO modifyBCNUIP01U01(BCNUIP01S01InVO inVo) throws Exception;

}
