package hanalife.b.cn.ui.service;

import hanalife.b.cn.ui.vo.BCNUIP02InVO;
import hanalife.b.cn.ui.vo.BCNUIP02OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIP02Service.java Class
 * 클래스설명   : SMS 발송(BCNUIP02) Service Interface
 * 작성일자     : 2023. 4.14.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4.14.][70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBCNUIP02S01 : 고객상태정보목록조회
 *              getBCNUIP02S02 : 고객상태정보등록
 *              getBCNUIP02S03 : 고객상태정보등록
 *              registerBCNUIP02I01 : 고객상태정보등록
 *              modifyBCNUIP02U01 : 고객상태정보수정
 * </pre>
 */
public interface BCNUIP02Service {

	/**
	 * <p>메소드명      : getBCNUIP02S01 : 공통메세지 목록조회</p>
	 * <p>작성일자      : 2023. 4.14.
	 * <p>작성자(author): 70320 / jaeho.jang
	 * <p>설명          : 고객상태정보 목록을 조회 한다.</p>
	 * <p>메소드인수    : BCNUIP02InVo </p>
	 * <p>메소드리턴값  : BCNUIP02OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIP02OutVO getBCNUIP02S01(BCNUIP02InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getBCNUIP02S02 : 담당자 번호 조회</p>
	 * <p>작성일자      : 2023. 4.14.
	 * <p>작성자(author): 70320 / jaeho.jang
	 * <p>설명          : 담당자 번호를 조회 한다.</p>
	 * <p>메소드인수    : BCNUIP02InVo </p>
	 * <p>메소드리턴값  : BCNUIP02OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BCNUIP02OutVO getBCNUIP02S02(BCNUIP02InVO inVo) throws Exception;

	/**
	* <pre>
	* 메소드명      : registerBCNUIP02I01
	* 작성일자      : 2023. 3. 28.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : SMS를 전송한다.
	* 메소드인수1   : BCNUIP02InVO
	* 메소드리턴값  : BCNUIP02OutVO
	* 예외처리      : Exception
	* </pre>
	*/
	public BCNUIP02OutVO registerBCNUIP02I01(BCNUIP02InVO inVo) throws Exception;

}
