package hanalife.b.cn.ui.service;

import hanalife.b.cn.ui.vo.BCNUIP04InVO;
import hanalife.b.cn.ui.vo.BCNUIP04OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIP01Service.java Class
 * 클래스설명   : 상담관리 (BCNUIP04) Service Interface
 * 작성일자     : 2023. 3.23.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3.23.][70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : createCnslGuid : 상담내역등록
 *              getBCNUIP04S01 : 상담관리 조회
 * </pre>
 */
public interface BCNUIP04Service {

	/**
	* <pre>
	* 메소드명      : createCnslGuid
	* 작성일자      : 2023. 3. 27.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 상담내역등록
	* 메소드인수1   : BCNUIP04InVO
	* 메소드리턴값  : BCNUIP04OutVO
	* 예외처리      : Exception
	* </pre>
	*/
	public BCNUIP04OutVO registerBCNUIP04I01(BCNUIP04InVO inVo) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : getBCNUIP04S01
	 * 작성일자      : 2023. 3. 27.
	 * 작성자(author): 70320 jaeho.jang
	 * 설명          : 상담관리 조회
	 * 메소드인수1   : BCNUIP04InVO
	 * 메소드리턴값  : BCNUIP04OutVO
	 * 예외처리      : Exception
	 * </pre>
	 */
	public BCNUIP04OutVO getBCNUIP04S01(BCNUIP04InVO inVo) throws Exception;

}
