package hanalife.b.cn.ui.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM01DSSMDOVO.java Class
 * 클래스설명   : 연체리스트 관리 화면에서 자바로 넘기는 VO
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70326 / YHS / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class BCNUIM01DSSMDOVO {

	private String orgCd;			/** 기관코드 */
	private String prdtCd;			/** 상품코드 */
	private String loanStatCd;		/** 대출상태코드 */
	private String eprtDtSt;		/** 만기시작일자 */
	private String eprtDtEd;		/** 만기종료일자 */
	private String crdtStatCd;		/** 신용상태코드 */
	private String bndStatCd;		/** 채권상태코드 */
	private String securityYn;		/** 담보여부 */
	private String goodCd;			/** 상품코드 */
	private String loanNo;			/** 대출번호 */
	private String loanSeq;			/** 대출순번 */
	private String thmmComgFrom;	/** 도래회차 시작회차 */
	private String thmmComgTo;		/** 도래회차 종료회차 */
	private String cntSt;			/** 연체회차 시작회차 */
	private String cntEd;			/** 연체회차 종료회차 */
	private String dlyDdcntSt;		/** 연체일수 시작일자 */
	private String dlyDdcntEd;		/** 연체일수 종료일자 */
	private String kisanSt;			/** 결제일 시작일자 */
	private String kisanEd;			/** 결제일 종료일자 */
	private String contManNo;		/** 고객번호 */
	private String thmmUnUrge;		/** 당월미독촉여부 */

	public String getOrgCd() {
		return orgCd;
	}
	public void setOrgCd(String orgCd) {
		this.orgCd = orgCd;
	}
	public String getPrdtCd() {
		return prdtCd;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public String getLoanStatCd() {
		return loanStatCd;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}
	public String getEprtDtSt() {
		return eprtDtSt;
	}
	public void setEprtDtSt(String eprtDtSt) {
		this.eprtDtSt = eprtDtSt;
	}
	public String getEprtDtEd() {
		return eprtDtEd;
	}
	public void setEprtDtEd(String eprtDtEd) {
		this.eprtDtEd = eprtDtEd;
	}
	public String getCrdtStatCd() {
		return crdtStatCd;
	}
	public void setCrdtStatCd(String crdtStatCd) {
		this.crdtStatCd = crdtStatCd;
	}
	public String getBndStatCd() {
		return bndStatCd;
	}
	public void setBndStatCd(String bndStatCd) {
		this.bndStatCd = bndStatCd;
	}
	public String getSecurityYn() {
		return securityYn;
	}
	public void setSecurityYn(String securityYn) {
		this.securityYn = securityYn;
	}
	public String getGoodCd() {
		return goodCd;
	}
	public void setGoodCd(String goodCd) {
		this.goodCd = goodCd;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getThmmComgFrom() {
		return thmmComgFrom;
	}
	public void setThmmComgFrom(String thmmComgFrom) {
		this.thmmComgFrom = thmmComgFrom;
	}
	public String getThmmComgTo() {
		return thmmComgTo;
	}
	public void setThmmComgTo(String thmmComgTo) {
		this.thmmComgTo = thmmComgTo;
	}
	public String getCntSt() {
		return cntSt;
	}
	public void setCntSt(String cntSt) {
		this.cntSt = cntSt;
	}
	public String getCntEd() {
		return cntEd;
	}
	public void setCntEd(String cntEd) {
		this.cntEd = cntEd;
	}
	public String getDlyDdcntSt() {
		return dlyDdcntSt;
	}
	public void setDlyDdcntSt(String dlyDdcntSt) {
		this.dlyDdcntSt = dlyDdcntSt;
	}
	public String getDlyDdcntEd() {
		return dlyDdcntEd;
	}
	public void setDlyDdcntEd(String dlyDdcntEd) {
		this.dlyDdcntEd = dlyDdcntEd;
	}
	public String getKisanSt() {
		return kisanSt;
	}
	public void setKisanSt(String kisanSt) {
		this.kisanSt = kisanSt;
	}
	public String getKisanEd() {
		return kisanEd;
	}
	public void setKisanEd(String kisanEd) {
		this.kisanEd = kisanEd;
	}
	public String getContManNo() {
		return contManNo;
	}
	public void setContManNo(String contManNo) {
		this.contManNo = contManNo;
	}
	public String getThmmUnUrge() {
		return thmmUnUrge;
	}
	public void setThmmUnUrge(String thmmUnUrge) {
		this.thmmUnUrge = thmmUnUrge;
	}
}
