package hanalife.b.cn.ui.web;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import hanalife.b.cn.ui.service.BCNUIM02Service;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO16VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO201VO;
import hanalife.b.cn.ui.vo.BCNUIM02DSSDDO20VO;
import hanalife.b.cn.ui.vo.BCNUIM02S01InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S01OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S02InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S02OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S03InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S03OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S05InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S05OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S06InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S06OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S07InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S07OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S08InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S08OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S11InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S11OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S12InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S12OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S13InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S13OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S14InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S14OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S15InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S15OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S16InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S16OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S19InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S19OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S21InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S21OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S23InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S23OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02S24InVO;
import hanalife.b.cn.ui.vo.BCNUIM02S24OutVO;
import hanalife.b.cn.ui.vo.BCNUIM02U01InVO;
import hanalife.b.cn.ui.vo.BCNUIM02U02InVO;
import hanalife.b.cn.ui.vo.BCNUIM02U03InVO;
import hanalife.c.co.util.XFrame5DataSetUtil;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BCNUIM02Controller.java Class
 * 클래스설명   : 연체리스트 관리 Controller
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70281 / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][ 70326 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

@RequestMapping("/b/cn/ui")
@Controller
public class BCNUIM02Controller {

	@Resource(name = "BCNUIM02Service")
	private BCNUIM02Service BCNUIM02;

	private static final Logger LOGGER = LoggerFactory.getLogger(BCNUIM02Controller.class);

	/**
	 * <p>메소드명      : BCNUIM02S01조회 / BCNUIM02S01.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author): YouHyunSik
	 * <p>설명          : 연체리스트 조회해서 가져온다.</p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S01.do")
	public String BCNUIM02S01(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S01 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S01InVO InVO = new BCNUIM02S01InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));
            InVO.setLoanSeq((String) sourceMap.get("loanSeq"));
            InVO.setCustNo((String) sourceMap.get("custNo"));
            InVO.setIvltClosFg((String) sourceMap.get("ivltClosFg"));
            InVO.setTelNo((String) sourceMap.get("telNo"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S01OutVO resultListVo = BCNUIM02.getBCNUIM02S01(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO01", resultListVo.getBCNUIM02DSSDDO01VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S01 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>메소드명      : BCNUIM02S02조회 / BCNUIM02S02.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author): YouHyunSik
	 * <p>설명          : 연체리스트 조회해서 가져온다.</p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S02.do")
	public String BCNUIM02S02(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S02 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S02InVO InVO = new BCNUIM02S02InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));
            InVO.setLoanSeq((String) sourceMap.get("loanSeq"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S02OutVO resultListVo = BCNUIM02.getBCNUIM02S02(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO02", resultListVo.getBCNUIM02DSSDDO02VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S02 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>메소드명      : BCNUIM02S03조회 / BCNUIM02S03.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author):
	 * <p>설명          : </p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S03.do")
	public String BCNUIM02S03(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S03 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S03InVO InVO = new BCNUIM02S03InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));
            InVO.setLoanSeq((String) sourceMap.get("loanSeq"));
            InVO.setSetlDt((String) sourceMap.get("setlDt"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S03OutVO resultListVo = BCNUIM02.getBCNUIM02S03(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO03", resultListVo.getBCNUIM02DSSDDO03VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S03 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>메소드명      : BCNUIM02S05조회 / BCNUIM02S05.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author):
	 * <p>설명          : </p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S05.do")
	public String BCNUIM02S05(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S05 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S05InVO InVO = new BCNUIM02S05InVO();
            InVO.setCustNo((String) sourceMap.get("custNo"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S05OutVO resultListVo = BCNUIM02.getBCNUIM02S05(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO05", resultListVo.getBCNUIM02DSSDDO05VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S05 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>메소드명      : BCNUIM02S06조회 / BCNUIM02S06.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author):
	 * <p>설명          : </p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S06.do")
	public String BCNUIM02S06(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S05 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S06InVO InVO = new BCNUIM02S06InVO();
            InVO.setCustNo((String) sourceMap.get("custNo"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S06OutVO resultListVo = BCNUIM02.getBCNUIM02S06(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO06", resultListVo.getBCNUIM02DSSDDO06VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S06 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>메소드명      : BCNUIM02S07조회 / BCNUIM02S07.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author):
	 * <p>설명          : </p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S07.do")
	public String BCNUIM02S07(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S07 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S07InVO InVO = new BCNUIM02S07InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S07OutVO resultListVo = BCNUIM02.getBCNUIM02S07(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO07", resultListVo.getBCNUIM02DSSDDO07VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S07 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>메소드명      : BCNUIM02S08조회 / BCNUIM02S08.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author):
	 * <p>설명          : </p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S08.do")
	public String BCNUIM02S08(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S08 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S08InVO InVO = new BCNUIM02S08InVO();
            InVO.setCustNo((String) sourceMap.get("custNo"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S08OutVO resultListVo = BCNUIM02.getBCNUIM02S08(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_CUST_STAT_INFO", resultListVo.getBCNUIM02DSCUSTSTATINFOVOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S08 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>메소드명      : BCNUIM02S11조회 / BCNUIM02S11.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author): YouHyunSik
	 * <p>설명          : 연체리스트 조회해서 가져온다.</p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S11.do")
	public String BCNUIM02S11(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S11 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S11InVO InVO = new BCNUIM02S11InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));
            InVO.setLoanSeq((String) sourceMap.get("loanSeq"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S11OutVO resultListVo = BCNUIM02.getBCNUIM02S11(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO11", resultListVo.getBCNUIM02DSSDDO11VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S11 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}


	/**
	 * <p>메소드명      : BCNUIM02S12조회 / BCNUIM02S12.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author):
	 * <p>설명          : 연체리스트 조회해서 가져온다.</p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S12.do")
	public String BCNUIM02S12(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S12 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S12InVO InVO = new BCNUIM02S12InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));
            InVO.setLoanSeq((String) sourceMap.get("loanSeq"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S12OutVO resultListVo = BCNUIM02.getBCNUIM02S12(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO12", resultListVo.getBCNUIM02DSSDDO12VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S12 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}


	/**
	 * <p>메소드명      : BCNUIM02S13조회 / BCNUIM02S13.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author):
	 * <p>설명          : 연체리스트 조회해서 가져온다.</p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S13.do")
	public String BCNUIM02S13(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S13 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S13InVO InVO = new BCNUIM02S13InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));
            InVO.setLoanSeq((String) sourceMap.get("loanSeq"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S13OutVO resultListVo = BCNUIM02.getBCNUIM02S13(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO13", resultListVo.getBCNUIM02DSSDDO13VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S13 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>메소드명      : BCNUIM02S14조회 / BCNUIM02S14.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author):
	 * <p>설명          : 연체리스트 조회해서 가져온다.</p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S14.do")
	public String BCNUIM02S14(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S14 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S14InVO InVO = new BCNUIM02S14InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));
            InVO.setLoanSeq((String) sourceMap.get("loanSeq"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S14OutVO resultListVo = BCNUIM02.getBCNUIM02S14(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO14", resultListVo.getBCNUIM02DSSDDO14VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S14 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}


	/**
	 * <p>메소드명      : BCNUIM02S15조회 / BCNUIM02S15.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author):
	 * <p>설명          : 연체리스트 조회해서 가져온다.</p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S15.do")
	public String BCNUIM02S15(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S15 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S15InVO InVO = new BCNUIM02S15InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));
            InVO.setLoanSeq((String) sourceMap.get("loanSeq"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S15OutVO resultListVo = BCNUIM02.getBCNUIM02S15(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO15", resultListVo.getBCNUIM02DSSDDO15VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S15 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}


	/**
	 * <p>메소드명      : BCNUIM02S16조회 / BCNUIM02S16.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author):
	 * <p>설명          : 연체리스트 조회해서 가져온다.</p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S16.do")
	public String BCNUIM02S16(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S16 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S16InVO InVO = new BCNUIM02S16InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S16OutVO resultListVo = BCNUIM02.getBCNUIM02S16(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO16", resultListVo.getBCNUIM02DSSDDO16VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S16 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>메소드명      : BCNUIM02S19조회 / BCNUIM02S19.do </p>
	 * <p>작성일자      : 2023. 3. 09.
	 * <p>작성자(author):
	 * <p>설명          : 연체리스트 조회해서 가져온다.</p>
	 * <p>예외처리      : Exception</p>
	 */
	@RequestMapping("/BCNUIM02S19.do")
	public String BCNUIM02S19(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		LOGGER.info("##### BCNUIM02Controller BCNUIM02S19 Start #####");

		try {
			/** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
			LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BCNUIM02S19InVO InVO = new BCNUIM02S19InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));
            InVO.setLoanSeq((String) sourceMap.get("loanSeq"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S19OutVO resultListVo = BCNUIM02.getBCNUIM02S19(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO19", resultListVo.getBCNUIM02DSSDDO19VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S19 Normal End #####");

		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BCNUIM02Controller Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}


    /**
     * <p>메소드명      : BCNUIM02S21조회 / BCNUIM02S21.do </p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author):
     * <p>설명          : SMS발송내역을 조회한다.</p>
     * <p>예외처리      : Exception</p>
     */
    @RequestMapping("/BCNUIM02S21.do")
    public String BCNUIM02S21(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

        LOGGER.info("##### BCNUIM02Controller BCNUIM02S21 Start #####");

        try {
            /** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
            Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
            LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

            /** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
            BCNUIM02S21InVO InVO = new BCNUIM02S21InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));
            InVO.setLoanSeq((String) sourceMap.get("loanSeq"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S21OutVO resultListVo = BCNUIM02.getBCNUIM02S21(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO21", resultListVo.getBCNUIM02DSSDDO21VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S21 Normal End #####");

        } catch (Exception e) {
            LOGGER.error("Error >>> " + e.getMessage());
            // 오류 메시지 정보 설정
            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

            LOGGER.info("##### BCNUIM02Controller Exception End #####");
        }
        return XFrame5View.XFRAME5_VIEW;
    }


    /**
     * <p>메소드명      : BCNUIM02S23조회 / BCNUIM02S23.do </p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author):
     * <p>설명          : 자동이체청구이력 조회한다.</p>
     * <p>예외처리      : Exception</p>
     */
    @RequestMapping("/BCNUIM02S23.do")
    public String BCNUIM02S23(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

        LOGGER.info("##### BCNUIM02Controller BCNUIM02S23 Start #####");

        try {
            /** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
            Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
            LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

            /** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
            BCNUIM02S23InVO InVO = new BCNUIM02S23InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));
            InVO.setLoanSeq((String) sourceMap.get("loanSeq"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S23OutVO resultListVo = BCNUIM02.getBCNUIM02S23(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO23", resultListVo.getBCNUIM02DSSDDO23VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S23 Normal End #####");

        } catch (Exception e) {
            LOGGER.error("Error >>> " + e.getMessage());
            // 오류 메시지 정보 설정
            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

            LOGGER.info("##### BCNUIM02Controller Exception End #####");
        }
        return XFrame5View.XFRAME5_VIEW;
    }


    /**
     * <p>메소드명      : BCNUIM02S24조회 / BCNUIM02S24.do </p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author):
     * <p>설명          : 안내장발송내역 조회한다.</p>
     * <p>예외처리      : Exception</p>
     */
    @RequestMapping("/BCNUIM02S24.do")
    public String BCNUIM02S24(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

        LOGGER.info("##### BCNUIM02Controller BCNUIM02S24 Start #####");

        try {
            /** XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
            Map<String, Object> sourceMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);
            LOGGER.info("##### BCNUIM02Controller sourceMap #####" + sourceMap);

            /** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
            BCNUIM02S24InVO InVO = new BCNUIM02S24InVO();
            InVO.setLoanNo((String) sourceMap.get("loanNo"));
            InVO.setLoanSeq((String) sourceMap.get("loanSeq"));

            LOGGER.info("##### JYP 셋팅완료 #####" + sourceMap);

            /** 연체리스트 업무 서비스 호출 수행 */
            BCNUIM02S24OutVO resultListVo = BCNUIM02.getBCNUIM02S24(InVO);

            /** 연체리스트 DataSet 결과값 설정 */
            XFrame5Util.setOutputData("DS_SDDO24", resultListVo.getBCNUIM02DSSDDO24VOLIST(), model);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02S24 Normal End #####");

        } catch (Exception e) {
            LOGGER.error("Error >>> " + e.getMessage());
            // 오류 메시지 정보 설정
            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

            LOGGER.info("##### BCNUIM02Controller Exception End #####");
        }
        return XFrame5View.XFRAME5_VIEW;
    }

    /**
     * 메소드명 : 주요사항 등록/삭제 처리 /BCNUIM02U01.do
     * 작성일자 : 2023. 3. 17.
     * 작성자(author): 70281
     * 설명 : 주요사항 등록/삭제 처리한다.
     * 예외처리 : Exception
     */
    @RequestMapping("/BCNUIM02U01.do")
    public String BCNUIM02U01(HttpServletRequest request, HttpServletResponse response, ModelMap model)
            throws Exception {

        LOGGER.info("##### BCNUIM02Controller BCNUIM02U01 Start #####");

        try {

            /* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
            List<Map<String, Object>> dataSetMap1 = XFrame5DataSetUtil.getXFrameDataSetList("DS_SDDO16_SEND", request,response, model); //

            LOGGER.info("############################### List Before");

            /** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
            BCNUIM02U01InVO inVO = new BCNUIM02U01InVO();

            LOGGER.info("##### JYP 확인:" + dataSetMap1.size());

            // 비용정보를 저장하는 역할을 한다.
            List<BCNUIM02DSSDDO16VO> inputList = new ArrayList<BCNUIM02DSSDDO16VO>();


            if (dataSetMap1 != null && dataSetMap1.size() > 0) {
                for (int i = 0; i < dataSetMap1.size(); i++) {
                    BCNUIM02DSSDDO16VO smdoVo = new BCNUIM02DSSDDO16VO();

                    smdoVo.setLoanNo((String) dataSetMap1.get(i).get("loanNo")); /* 대출_번호 */

                    String snum = (String) dataSetMap1.get(i).get("snum");
                   // smdoVo.setSnum((Long.parseLong(snum))); /* 일련번호 */
                    smdoVo.setRegDt((String) dataSetMap1.get(i).get("regDt")); /* 등록_일자 */
                    smdoVo.setRefrCntn((String) dataSetMap1.get(i).get("refrCntn")); /* 참고_내용 */
                    smdoVo.setImptRsn((String) dataSetMap1.get(i).get("imptRsn")); /* 중점_사유 */
                    smdoVo.setDelYn((String) dataSetMap1.get(i).get("delYn")); /* 삭제_유무 */
                    smdoVo.setLogInEmpNo((String) dataSetMap1.get(i).get("logInEmpNo")); /* 로그인사용자 */
                    smdoVo.setOperation((String) dataSetMap1.get(i).get("operation")); /* 로그인사용자 */

                    LOGGER.info("##### 입력값 확인하자 (snum)=" + dataSetMap1.get(i).get("snum") + "^");
                    LOGGER.info("##### 입력값 확인하자 (logInEmpNo)=" + dataSetMap1.get(i).get("logInEmpNo") + "^");
                    LOGGER.info("##### 입력값 확인하자 (operation)=" + dataSetMap1.get(i).get("operation") + "^");

                    inputList.add(smdoVo);

                }
            }

            inVO.setBCNUIM02DSSDDO16VO(inputList);

            LOGGER.info("##### inVO = " + inVO.toString());

            /** 법조치 본부결재단계확인 조회 업무 서비스 호출 수행 */
            BCNUIM02.getBCNUIM02U01(inVO);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02U01 Normal End #####");
        } catch (Exception e) {
            LOGGER.error("Error >>> " + e.getMessage());
            // 오류 메시지 정보 설정
            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

            LOGGER.info("##### BLMLMM02Controller BLMLMM02U07 Exception End #####");
        }
        return XFrame5View.XFRAME5_VIEW;
    }


    /**
     * 메소드명 : 주요사항 등록/삭제 처리 /BCNUIM02U02.do
     * 작성일자 : 2023. 3. 17.
     * 작성자(author): 70281
     * 설명 : 주요메모 등록 처리한다.
     * 예외처리 : Exception
     */
    @RequestMapping("/BCNUIM02U02.do")
    public String BCNUIM02U02(HttpServletRequest request, HttpServletResponse response, ModelMap model)
            throws Exception {

        LOGGER.info("##### BCNUIM02Controller BCNUIM02U02 Start #####");

        try {

            /* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
            Map<String, Object> dataSetMap1 = XFrame5DataSetUtil.getXFrameDataSet("DS_SDDO20", request, response, model); // 퓸의정보

            LOGGER.info("############################### List Before");

            /** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
            BCNUIM02U02InVO inVO = new BCNUIM02U02InVO();

            LOGGER.info("##### JYP 확인:" + dataSetMap1.size());

            BCNUIM02DSSDDO20VO smdoVo = new BCNUIM02DSSDDO20VO();

            smdoVo.setCustNo((String) dataSetMap1.get("custNo")); /*  */
            smdoVo.setCustMemo((String) dataSetMap1.get("custMemo")); /*  */
            smdoVo.setLogInEmpNo((String) dataSetMap1.get("logInEmpNo")); /*  */

            inVO.setBCNUIM02DSSDDO20VO(smdoVo);

            LOGGER.info("##### inVO = " + inVO.toString());

            BCNUIM02.getBCNUIM02U02(inVO);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02U02 Normal End #####");
        } catch (Exception e) {
            LOGGER.error("Error >>> " + e.getMessage());
            // 오류 메시지 정보 설정
            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

            LOGGER.info("##### BCNUIM02Controller BCNUIM02U02 Exception End #####");
        }
        return XFrame5View.XFRAME5_VIEW;
    }


    /**
     * 메소드명 : 문자거부정보 update /BCNUIM02U03.do
     * 작성일자 : 2023. 3. 17.
     * 작성자(author): 70281
     * 설명 : 문자거부정보 update 한다.
     * 예외처리 : Exception
     */
    @RequestMapping("/BCNUIM02U03.do")
    public String BCNUIM02U03(HttpServletRequest request, HttpServletResponse response, ModelMap model)
            throws Exception {

        LOGGER.info("##### BCNUIM02Controller BCNUIM02U03 Start #####");

        try {

            /* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
            Map<String, Object> dataSetMap1 = XFrame5DataSetUtil.getXFrameDataSet("DS_SDDO201", request, response, model);

            LOGGER.info("############################### List Before");

            /** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
            BCNUIM02U03InVO inVO = new BCNUIM02U03InVO();

            LOGGER.info("##### JYP 확인:" + dataSetMap1.size());

            BCNUIM02DSSDDO201VO smdoVo = new BCNUIM02DSSDDO201VO();

            smdoVo.setCustNo((String) dataSetMap1.get("custNo")); /*  */
            smdoVo.setLoanNo((String) dataSetMap1.get("loanNo")); /*  */
            smdoVo.setLoanSeq((String) dataSetMap1.get("loanSeq")); /*  */

            inVO.setBCNUIM02DSSDDO201VO(smdoVo);

            LOGGER.info("##### inVO = " + inVO.toString());

            BCNUIM02.getBCNUIM02U03(inVO);

            LOGGER.info("##### BCNUIM02Controller BCNUIM02U03 Normal End #####");
        } catch (Exception e) {
            LOGGER.error("Error >>> " + e.getMessage());
            // 오류 메시지 정보 설정
            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

            LOGGER.info("##### BCNUIM02Controller BCNUIM02U03 Exception End #####");
        }
        return XFrame5View.XFRAME5_VIEW;
    }
}