package hanalife.b.dl.dl.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.dl.dl.mapper.dto.DlyReptDSSDDI01DTO;
import hanalife.b.dl.dl.mapper.dto.DlyReptDSSDDO01DTO;
import hanalife.b.dl.dl.mapper.dto.DlyReptDSSDDO02DTO;
import hanalife.b.dl.dl.mapper.dto.DlyReptDSSDDO03DTO;
import hanalife.b.dl.dl.mapper.dto.DlyReptDSSDDO04DTO;

@Mapper("dlyReptMapper")
public interface DlyReptMapper {

    /**
     * <pre>
     * 메소드명      : searchDeptList
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70317 younghwe.Kim
     * 설명          : 연체현황조회(부서별 검색)을(를) 조회 한다.
     * 메소드인수1   : 연체현황조회(부서별 검색) 입력
     * 메소드리턴값  : 연체현황조회(부서별 검색) 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<DlyReptDSSDDO01DTO> searchDeptList(DlyReptDSSDDI01DTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : searchPrdtList
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70317 younghwe.Kim
     * 설명          : 연체현황조회(상품별 검색)을(를) 조회 한다.
     * 메소드인수1   : 연체현황조회(상품별 검색) 입력
     * 메소드리턴값  : 연체현황조회(상품별 검색) 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<DlyReptDSSDDO02DTO> searchPrdtList(DlyReptDSSDDI01DTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : searchDeptList
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70317 younghwe.Kim
     * 설명          : 연체현황조회(담당자별 검색)을(를) 조회 한다.
     * 메소드인수1   : 연체현황조회(담당자별 검색) 입력
     * 메소드리턴값  : 연체현황조회(담당자별 검색) 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<DlyReptDSSDDO03DTO> searchEmpList(DlyReptDSSDDI01DTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : searchDeptList
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70317 younghwe.Kim
     * 설명          : 연체현황조회(명세 검색)을(를) 조회 한다.
     * 메소드인수1   : 연체현황조회(명세 검색) 입력
     * 메소드리턴값  : 연체현황조회(명세 검색) 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<DlyReptDSSDDO04DTO> searchSpecList(DlyReptDSSDDI01DTO inDto) throws Exception;

}
