package hanalife.b.dl.dl.mapper.dto;

import java.math.BigDecimal;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DlyReptDSSDDO04DTO.java Class
 * 클래스설명   : 연체현황조회(명세)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DlyReptDSSDDO04DTO {

    private String loanNo;                      /* 대출번호 */
    private String loanSeq;                     /* 대출순번 */
    private String custNm;                      /* 상담인성명 */
    private String custNo;                      /* 고객번호 */
    private String setlDd;                      /* 결제일 */
    private String bndStatNm;                   /* 채권상태명 */
    private String dlyTcnt;                     /* 연체회차 */
    private BigDecimal dlyPamt;                 /* 연체원금 */
    private BigDecimal dlyInt;                  /* 연체이자 */
    private BigDecimal dlyAmt;                  /* 연체금액 */
    private BigDecimal loanPamtRamt;            /* 대출원금잔액 */
    private BigDecimal loanIntRamt;             /* 대출이자금액 */
    private BigDecimal bndRamt;                 /* 채권잔액 */
    private String loanStatNm;                  /* 대출상태명 */
    private String rmbrFrmlNm;
    private String leglActsStatNm;
    private String mrtgSmClasNm;
    private String lnDivsEmpNm;                 /* 여신담당자명 */
    private String lnDivsEmpNo;                 /* 여신담담자번호 */
    private String bndDivsEmpNm;                /* 채권담당자명 */
    private String bndDivsEmpNo;                /* 채권담당자번호 */
    private String makrNm;
    private String cprtComNm;                   /* 제휴사명 */
    private String cprtBranNm;                  /* 제휴지점명 */
    private String saleEmpNm;                   /* 제휴사원명 */
    private String mngDeptNm;                   /* 관리부서명 */
    private BigDecimal loanPamt;                /* 대출원금 */
    private BigDecimal loanInt;                 /* 대출이자 */
    private String loanDt;                      /* 대출일자 */
    private String loanTerm;                    /* 대출기간 */
    private BigDecimal dfee;                    /* 연체료 */
    private String eprtDt;                      /* 만기일자 */
    private String dlyDdcnt;                    /* 연체일수 */
    private String prdtClasNm;                  /* 상품분류코드명 */
    private String godsNm;
    private String custAddr;                    /* 고객주소 */
    private String custTpNm;                    /* 고객구분코드명 */
    private String docKeepNo;                   /* 서류보관번호 */
    private String leglCountRamt;               /* 법비용 */
    private String badDebtDeprDt;               /* 대손상각일자 */
    private String badDebtRcptStatCd;           /* 대손수납상태코드 */
    private String badDebtRcptStatNm;           /* 대손수납상태코드 */
    private String badDebtAcctDt;               /* 대손최종회수일자 */
    private String badDebtSetlDt;               /* 대손최종결제일자 */
    private String wdrwTpCd;                    /* 최종수납방법코드 */
    private String wdrwTpNm;                    /* 최종수납방법코드명 */
    private String prdtNm;                      /* 상품명 */
    private String unrcvRamt;                   /* 인지대 */
    private BigDecimal sumDlyAmt;               /* 총연체금액 */

    public String getLoanNo() {
        return loanNo;
    }

    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }

    public String getLoanSeq() {
        return loanSeq;
    }

    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }

    public String getCustNm() {
        return custNm;
    }

    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }

    public String getCustNo() {
        return custNo;
    }

    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }

    public String getSetlDd() {
        return setlDd;
    }

    public void setSetlDd(String setlDd) {
        this.setlDd = setlDd;
    }

    public String getBndStatNm() {
        return bndStatNm;
    }

    public void setBndStatNm(String bndStatNm) {
        this.bndStatNm = bndStatNm;
    }

    public String getDlyTcnt() {
        return dlyTcnt;
    }

    public void setDlyTcnt(String dlyTcnt) {
        this.dlyTcnt = dlyTcnt;
    }

    public BigDecimal getDlyPamt() {
        return dlyPamt;
    }

    public void setDlyPamt(BigDecimal dlyPamt) {
        this.dlyPamt = dlyPamt;
    }

    public BigDecimal getDlyInt() {
        return dlyInt;
    }

    public void setDlyInt(BigDecimal dlyInt) {
        this.dlyInt = dlyInt;
    }

    public BigDecimal getDlyAmt() {
        return dlyAmt;
    }

    public void setDlyAmt(BigDecimal dlyAmt) {
        this.dlyAmt = dlyAmt;
    }

    public BigDecimal getLoanPamtRamt() {
        return loanPamtRamt;
    }

    public void setLoanPamtRamt(BigDecimal loanPamtRamt) {
        this.loanPamtRamt = loanPamtRamt;
    }

    public BigDecimal getLoanIntRamt() {
        return loanIntRamt;
    }

    public void setLoanIntRamt(BigDecimal loanIntRamt) {
        this.loanIntRamt = loanIntRamt;
    }

    public BigDecimal getBndRamt() {
        return bndRamt;
    }

    public void setBndRamt(BigDecimal bndRamt) {
        this.bndRamt = bndRamt;
    }

    public String getLoanStatNm() {
        return loanStatNm;
    }

    public void setLoanStatNm(String loanStatNm) {
        this.loanStatNm = loanStatNm;
    }

    public String getRmbrFrmlNm() {
        return rmbrFrmlNm;
    }

    public void setRmbrFrmlNm(String rmbrFrmlNm) {
        this.rmbrFrmlNm = rmbrFrmlNm;
    }

    public String getLeglActsStatNm() {
        return leglActsStatNm;
    }

    public void setLeglActsStatNm(String leglActsStatNm) {
        this.leglActsStatNm = leglActsStatNm;
    }

    public String getMrtgSmClasNm() {
        return mrtgSmClasNm;
    }

    public void setMrtgSmClasNm(String mrtgSmClasNm) {
        this.mrtgSmClasNm = mrtgSmClasNm;
    }

    public String getLnDivsEmpNm() {
        return lnDivsEmpNm;
    }

    public void setLnDivsEmpNm(String lnDivsEmpNm) {
        this.lnDivsEmpNm = lnDivsEmpNm;
    }

    public String getLnDivsEmpNo() {
        return lnDivsEmpNo;
    }

    public void setLnDivsEmpNo(String lnDivsEmpNo) {
        this.lnDivsEmpNo = lnDivsEmpNo;
    }

    public String getBndDivsEmpNm() {
        return bndDivsEmpNm;
    }

    public void setBndDivsEmpNm(String bndDivsEmpNm) {
        this.bndDivsEmpNm = bndDivsEmpNm;
    }

    public String getBndDivsEmpNo() {
        return bndDivsEmpNo;
    }

    public void setBndDivsEmpNo(String bndDivsEmpNo) {
        this.bndDivsEmpNo = bndDivsEmpNo;
    }

    public String getMakrNm() {
        return makrNm;
    }

    public void setMakrNm(String makrNm) {
        this.makrNm = makrNm;
    }

    public String getCprtComNm() {
        return cprtComNm;
    }

    public void setCprtComNm(String cprtComNm) {
        this.cprtComNm = cprtComNm;
    }

    public String getCprtBranNm() {
        return cprtBranNm;
    }

    public void setCprtBranNm(String cprtBranNm) {
        this.cprtBranNm = cprtBranNm;
    }

    public String getSaleEmpNm() {
        return saleEmpNm;
    }

    public void setSaleEmpNm(String saleEmpNm) {
        this.saleEmpNm = saleEmpNm;
    }

    public String getMngDeptNm() {
        return mngDeptNm;
    }

    public void setMngDeptNm(String mngDeptNm) {
        this.mngDeptNm = mngDeptNm;
    }

    public BigDecimal getLoanPamt() {
        return loanPamt;
    }

    public void setLoanPamt(BigDecimal loanPamt) {
        this.loanPamt = loanPamt;
    }

    public BigDecimal getLoanInt() {
        return loanInt;
    }

    public void setLoanInt(BigDecimal loanInt) {
        this.loanInt = loanInt;
    }

    public String getLoanDt() {
        return loanDt;
    }

    public void setLoanDt(String loanDt) {
        this.loanDt = loanDt;
    }

    public String getLoanTerm() {
        return loanTerm;
    }

    public void setLoanTerm(String loanTerm) {
        this.loanTerm = loanTerm;
    }

    public BigDecimal getDfee() {
        return dfee;
    }

    public void setDfee(BigDecimal dfee) {
        this.dfee = dfee;
    }

    public String getEprtDt() {
        return eprtDt;
    }

    public void setEprtDt(String eprtDt) {
        this.eprtDt = eprtDt;
    }

    public String getDlyDdcnt() {
        return dlyDdcnt;
    }

    public void setDlyDdcnt(String dlyDdcnt) {
        this.dlyDdcnt = dlyDdcnt;
    }

    public String getPrdtClasNm() {
        return prdtClasNm;
    }

    public void setPrdtClasNm(String prdtClasNm) {
        this.prdtClasNm = prdtClasNm;
    }

    public String getGodsNm() {
        return godsNm;
    }

    public void setGodsNm(String godsNm) {
        this.godsNm = godsNm;
    }

    public String getCustAddr() {
        return custAddr;
    }

    public void setCustAddr(String custAddr) {
        this.custAddr = custAddr;
    }

    public String getCustTpNm() {
        return custTpNm;
    }

    public void setCustTpNm(String custTpNm) {
        this.custTpNm = custTpNm;
    }

    public String getDocKeepNo() {
        return docKeepNo;
    }

    public void setDocKeepNo(String docKeepNo) {
        this.docKeepNo = docKeepNo;
    }

    public String getLeglCountRamt() {
        return leglCountRamt;
    }

    public void setLeglCountRamt(String leglCountRamt) {
        this.leglCountRamt = leglCountRamt;
    }

    public String getBadDebtDeprDt() {
        return badDebtDeprDt;
    }

    public void setBadDebtDeprDt(String badDebtDeprDt) {
        this.badDebtDeprDt = badDebtDeprDt;
    }

    public String getBadDebtRcptStatCd() {
        return badDebtRcptStatCd;
    }

    public void setBadDebtRcptStatCd(String badDebtRcptStatCd) {
        this.badDebtRcptStatCd = badDebtRcptStatCd;
    }

    public String getBadDebtRcptStatNm() {
        return badDebtRcptStatNm;
    }

    public void setBadDebtRcptStatNm(String badDebtRcptStatNm) {
        this.badDebtRcptStatNm = badDebtRcptStatNm;
    }

    public String getBadDebtAcctDt() {
        return badDebtAcctDt;
    }

    public void setBadDebtAcctDt(String badDebtAcctDt) {
        this.badDebtAcctDt = badDebtAcctDt;
    }

    public String getBadDebtSetlDt() {
        return badDebtSetlDt;
    }

    public void setBadDebtSetlDt(String badDebtSetlDt) {
        this.badDebtSetlDt = badDebtSetlDt;
    }

    public String getWdrwTpCd() {
        return wdrwTpCd;
    }

    public void setWdrwTpCd(String wdrwTpCd) {
        this.wdrwTpCd = wdrwTpCd;
    }

    public String getWdrwTpNm() {
        return wdrwTpNm;
    }

    public void setWdrwTpNm(String wdrwTpNm) {
        this.wdrwTpNm = wdrwTpNm;
    }

    public String getPrdtNm() {
        return prdtNm;
    }

    public void setPrdtNm(String prdtNm) {
        this.prdtNm = prdtNm;
    }

    public String getUnrcvRamt() {
        return unrcvRamt;
    }

    public void setUnrcvRamt(String unrcvRamt) {
        this.unrcvRamt = unrcvRamt;
    }

    public BigDecimal getSumDlyAmt() {
        return sumDlyAmt;
    }

    public void setSumDlyAmt(BigDecimal sumDlyAmt) {
        this.sumDlyAmt = sumDlyAmt;
    }

}
