package hanalife.b.dl.dl.service;

import hanalife.b.dl.dl.vo.BDLDLM01S01InVO;
import hanalife.b.dl.dl.vo.BDLDLM01S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BDLDLM01Service.java Class
 * 클래스설명   : 연체현황조회 (BDLDLM01) Service Interface
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBDLDLM01S01 : 연체현황목록조회(부서별)
 * 				getBDLDLM02S01 : 연체현황목록조회(상품별)
 * 				getBDLDLM03S01 : 연체현황목록조회(담당자별)
 * 				getBDLDLM04S01 : 연체현황목록조회(명세)
 * </pre>
 */
public interface BDLDLM01Service {

    /**
     * <pre>
     * 메소드명 : getBDLDLM01S01 : 연체현황목록조회(부서별)
     * 작성일자 : 2023. 3. 6.
     * 작성자(author): 70317 / younghwe.kim
     * 설명 : 연체현황목록조회(부서별)을 조회 한다.
     * 메소드인수 : BDLDLM01S01InVo
     * 메소드리턴값 : BDLDLM01S01OutVo
     * 예외처리 : Exception
     * </pre>
     */
    public BDLDLM01S01OutVO getBDLDLM01S01(BDLDLM01S01InVO inVo) throws Exception;

    /**
     * <pre>
     * 메소드명 : getBDLDLM01S02 : 연체현황목록조회(상품별)
     * 작성일자 : 2023. 3. 6.
     * 작성자(author): 70317 / younghwe.kim
     * 설명 : 연체현황목록조회(상품별) 조회 한다.
     * 메소드인수 : BDLDLM01S01InVo
     * 메소드리턴값 : BDLDLM01S01OutVo
     * 예외처리 : Exception
     * </pre>
     */
    public BDLDLM01S01OutVO getBDLDLM01S02(BDLDLM01S01InVO inVo) throws Exception;

    /**
     * <pre>
     * 메소드명 : getBDLDLM01S03 : 연체현황목록조회(담당자별)
     * 작성일자 : 2023. 3. 6.
     * 작성자(author): 70317 / younghwe.kim
     * 설명 : 연체현황목록조회(담당자별) 조회 한다.
     * 메소드인수 : BDLDLM01S01InVo
     * 메소드리턴값 : BDLDLM01S01OutVo
     * 예외처리 : Exception
     * </pre>
     */
    public BDLDLM01S01OutVO getBDLDLM01S03(BDLDLM01S01InVO inVo) throws Exception;

    /**
     * <pre>
     * 메소드명 : getBDLDLM01S04 : 연체현황목록조회(명세)
     * 작성일자 : 2023. 3. 6.
     * 작성자(author): 70317 / younghwe.kim
     * 설명 : 연체현황목록조회(명세) 조회 한다.
     * 메소드인수 : BDLDLM01S01InVo
     * 메소드리턴값 : BDLDLM01S01OutVo
     * 예외처리 : Exception
     * </pre>
     */
    public BDLDLM01S01OutVO getBDLDLM01S04(BDLDLM01S01InVO inVo) throws Exception;

}
