package hanalife.b.dl.dl.service;


import hanalife.b.dl.dl.vo.BDLDLM02S01InVO;
import hanalife.b.dl.dl.vo.BDLDLM02S01OutVO;
import hanalife.b.dl.dl.vo.BDLDLM02S02OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BDLDLM02Service.java Class
 * 클래스설명   : BDLDLM02Service Service Interface
 * 작성일자     : 2023. 3. 17.
 * 작성자명     : 70331 / p.s.y / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 17.][70331 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBDLDLM02S01 : 결제일자별 회수실적현황조회
 *              getBDLDLM02S02 : 결제일자별 명세서      조회
 * </pre>
 */
public interface BDLDLM02Service {

    /**
     *<pre>
     * 메소드명      : getBDLDLM02S01 : 결제일자별 회수실적현황
     * 작성일자      : 2023. 3. 17.
     * 작성자(author): 70331 / P.S.Y
     * 설명          : 결제일자별 회수실적현황을 조회 한다.
     * 메소드인수    : BDLDLM02S01InVO
     * 메소드리턴값  : BDLDLM02S01OutVO
     * 예외처리      : Exception
     *</pre>
     */
    public BDLDLM02S01OutVO getBDLDLM02S01(BDLDLM02S01InVO inVo) throws Exception;

    /**
     *<pre>
     * 메소드명      : getBDLDLM02S02 : 결제일자별 명세서
     * 작성일자      : 2023. 3. 22.
     * 작성자(author): 70331 / P.S.Y
     * 설명          : 결제일자별 명세서를 조회 한다.
     * 메소드인수    : BDLDLM02S01InVO
     * 메소드리턴값  : BDLDLM02S02OutVO
     * 예외처리      : Exception
     *</pre>
     */
    public BDLDLM02S02OutVO getBDLDLM02S02(BDLDLM02S01InVO inVo) throws Exception;

}

