package hanalife.b.lm.em.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.lm.em.mapper.dto.BtLeglActnAdjDescSMDODTO;
import hanalife.b.lm.em.mapper.dto.LeglActnCostTotSDDODTO;
import hanalife.b.lm.em.mapper.dto.LeglActnCostTotSMDODTO;
import hanalife.b.lm.em.mapper.dto.LeglActnCostWdrwSDDODTO;
import hanalife.b.lm.em.mapper.dto.LeglActnCostWdrwSMDODTO;
import hanalife.b.lm.em.mapper.dto.SelectAdjCnclDescSDDODTO;
import hanalife.b.lm.em.mapper.dto.SelectAdjCnclDescSMDODTO;
import hanalife.b.lm.em.mapper.dto.SelectAdjInsDescSDDODTO;
import hanalife.b.lm.em.mapper.dto.SelectAdjInsDescSMDODTO;
import hanalife.b.lm.em.mapper.dto.StLoanBaseSDDODTO;
import hanalife.b.lm.em.mapper.dto.StLoanBaseSMDODTO;
import hanalife.b.lm.em.mapper.dto.UpdateLeglActnCostRamtSMDODTO;

@Mapper("leglActnCostProcMapper")
public interface LeglActnCostProcMapper {

	 /**
     * <pre>
     * 메소드명      : selectLeglActnCostTot
     * 작성일자      : 2023. 3. 14.
     * 작성자(author): 70281
     * 설명          : 예/가수내역을(를) 조회 한다.
     * 메소드인수1   :  입력
     * 메소드리턴값  :  출력
     * 예외처리      : Exception
     * </pre>
     */
    public LeglActnCostTotSDDODTO selectLeglActnCostTot(LeglActnCostTotSMDODTO inDto) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectLoanBase
     * 작성일자      : 2023. 3. 14.
     * 작성자(author): 70281
     * 설명          : 대출기본의 법적조치금액을(를) 조회 한다.
     * 메소드인수1   :  입력
     * 메소드리턴값  :  출력
     * 예외처리      : Exception
     * </pre>
     */
    public StLoanBaseSDDODTO selectLoanBase(StLoanBaseSMDODTO inDto) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectLoanBase
     * 작성일자      : 2023. 3. 14.
     * 작성자(author): 70281
     * 설명          : 대출기본의 법적조치금액을(를) 조회 한다.
     * 메소드인수1   :  입력
     * 메소드리턴값  :  출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<SelectAdjInsDescSDDODTO> selectAdjInsDesc(SelectAdjInsDescSMDODTO inDto) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectLeglActnCostWdrw
     * 작성일자      : 2023. 3. 14.
     * 작성자(author): 70281
     * 설명          : 법적조치비용회수에서 수납금액, 면제금액을 가져온다.
     * 메소드인수1   :  입력
     * 메소드리턴값  :  출력
     * 예외처리      : Exception
     * </pre>
     */
    public LeglActnCostWdrwSDDODTO selectLeglActnCostWdrw(LeglActnCostWdrwSMDODTO inDto) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectAdjCnclDesc
     * 작성일자      : 2023. 3. 14.
     * 작성자(author): 70281
     * 설명          : 정산취소내역을(를) 조회 한다.
     * 메소드인수1   :  입력
     * 메소드리턴값  :  출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<SelectAdjCnclDescSDDODTO> selectAdjCnclDesc(SelectAdjCnclDescSMDODTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : insertLeglActnCostWdrw
     * 작성일자      : 2023. 3. 15.
     * 작성자(author): 70281
     * 설명          : BT_법적_조치_비용_회수(를) 등록 한다.
     * 메소드인수1   : LeglActnCostWdrwDTO 입력
     * 메소드리턴값  :  출력
     * 예외처리      : Exception
     * </pre>
     */
    public int insertLeglActnCostWdrw(LeglActnCostWdrwSMDODTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insertLeglActnAdjDesc
     * 작성일자      : 2023. 3. 15.
     * 작성자(author): 70281
     * 설명          : BT_법적_조치_정산_내역(를) 등록 한다.
     * 메소드인수1   : BtLeglActnAdjDescSMDODTO 입력
     * 메소드리턴값  :  출력
     * 예외처리      : Exception
     * </pre>
     */
    public int insertLeglActnAdjDesc(BtLeglActnAdjDescSMDODTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : updateActnCostTot
     * 작성일자      : 2023. 3. 15.
     * 작성자(author): 70281
     * 설명          :BT_법적_조치_비용_집계(를) 업데이트 한다.
     * 메소드인수1   : LeglActnCostTotSMDODTO 입력
     * 메소드리턴값  :  출력
     * 예외처리      : Exception
     * </pre>
     */
    public int updateActnCostTot(LeglActnCostTotSMDODTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : updateLoanBase
     * 작성일자      : 2023. 3. 15.
     * 작성자(author): 70281
     * 설명          :정산 대출기본수정 한다.
     * 메소드인수1   : LeglActnCostTotSMDODTO 입력
     * 메소드리턴값  :  출력
     * 예외처리      : Exception
     * </pre>
     */
    public int updateLoanBase(StLoanBaseSMDODTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : updateLeglActnCostRamt
     * 작성일자      : 2023. 3. 15.
     * 작성자(author): 70281
     * 설명          :법적조치비용테이블의 법비용잔액과 정산금액(수납금액의 누적개념)을 update한다.
     * 메소드인수1   : UpdateLeglActnCostRamtSMDODTO 입력
     * 메소드리턴값  :  출력
     * 예외처리      : Exception
     * </pre>
     */
    public int updateLeglActnCostRamt(UpdateLeglActnCostRamtSMDODTO inDto) throws Exception;


}
