package hanalife.b.lm.em.vo;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
/**
 * <pre>
 * 클래스명    : LeglActnCostInVO.java Class
 * 클래스설명  : 법적조치비용정산 요청/응답 객체 관리 VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class LeglActnCostInVO {

	private List leglActnCostObjVOList; // 대상정보 객체리스트
	private List leglActnCostRsltVOList; // 상환계획개체 리스트

	public LeglActnCostInVO() {
		this.leglActnCostObjVOList = clearList(this.leglActnCostObjVOList);
		this.leglActnCostRsltVOList = clearList(this.leglActnCostRsltVOList);
	}

	public List getLeglActnCostObjVOList() {
		return leglActnCostObjVOList;
	}

	public void setLeglActnCostObjVOList(List leglActnCostObjVOList) {
		this.leglActnCostObjVOList = leglActnCostObjVOList;
	}

	public List getLeglActnCostRsltVOList() {
		return leglActnCostRsltVOList;
	}

	public void setLeglActnCostRsltVOList(List leglActnCostRsltVOList) {
		this.leglActnCostRsltVOList = leglActnCostRsltVOList;
	}

	public int sizeLeglActnCostRsltList() {
		return sizeList(leglActnCostRsltVOList);
	}

	// Public Method -----------------------------------------------------------

	public void sortLeglActnCostObj() {
		Collections.sort(leglActnCostObjVOList);
	}

	public void sortLeglActnCostRslt() {
		Collections.sort(leglActnCostRsltVOList);
	}

	// etc Method --------------------------------------------------------------

	private List clearList(List inList) {
		if (inList == null) {
			inList = new ArrayList();
		} else {
			inList.clear();
		}
		return inList;
	}

	private int sizeList(List inList) {
		if (inList == null) {
			return 0;
		}
		return inList.size();
	}

	@Override
	public String toString() {
		StringBuffer buff = new StringBuffer(100); //default
		buff.append(this.getClass().getName());
		buff.append(" [");
		buff.append(this.hashCode());
		buff.append(']');
		buff.append("\n{\n");

		appendList(buff, "1) 요청 리스트 ", leglActnCostObjVOList);
		appendList(buff, "2) 결과 리스트 ", leglActnCostRsltVOList);

		buff.append("}\n");
		return buff.toString();
	}

	private void appendIntend(StringBuffer buff, Object cntn, int intend) {
		for (int i = 0; i < intend; i++) {
			buff.append("\t");
		}
		buff.append(cntn);
	}

	private void appendList(StringBuffer buff, String title, List list) {
		appendIntend(buff, title, 1);
		buff.append("(건수:").append(list.size()).append(')').append("\n");
		for (int i = 0, n = list.size(); i < n; i++) {
			appendIntend(buff, '[' + String.valueOf(i) + ']' + list.get(i), 1);
			buff.append("\n");
		}
	}

	private void appendAttrbute(StringBuffer buff, String name, String cntn) {
		appendIntend(buff, name, 1);
		buff.append(" = |");
		buff.append(cntn);
		buff.append("|\n");
	}
}
