package hanalife.b.lm.lm.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.lm.lm.mapper.dto.LoanByActnDescMngDSBTLEGLACTNCOSTSDDODTO;
import hanalife.b.lm.lm.mapper.dto.LoanByActnDescMngSDDO01DTO;
import hanalife.b.lm.lm.mapper.dto.LoanByActnDescMngSDDO02DTO;
import hanalife.b.lm.lm.mapper.dto.LoanByActnDescMngSDDO03DTO;
import hanalife.b.lm.lm.mapper.dto.LoanByActnDescMngSMDO01DTO;;

/**
 * <pre>
 * 클래스명    : RcptMapper.java Class
 * 클래스설명  : 수납관리 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 2. 27.
 * 작성자명    : 70317 / younghwe.kim / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 2. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */

@Mapper("loanByActnDescMngMapper")
public interface LoanByActnDescMngMapper {

    /**
     * <p>메소드명      : search</p>
     * <p>설명          : 대출기간/대출원금/상품명 등 목록을 조회 한다.</p>
     * <p>메소드인수1   : List args</p>
     * <p>메소드인수2   : ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값  : 대출기간/대출원금/상품명 등 조회 결과 ArrayList</p>
     * <p>예외처리      : Exception</p>
     */
    public List<LoanByActnDescMngSDDO01DTO> search(LoanByActnDescMngSMDO01DTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchQuarantors</p>
     * <p>설명          : 관계/고객명/고객번호 등 목록을 조회 한다.</p>
     * <p>메소드인수1   : List args</p>
     * <p>메소드인수2   : ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값  : 관계/고객명/고객번호 등 조회 결과 ArrayList</p>
     * <p>예외처리      : Exception</p>
     */
    public List<LoanByActnDescMngSDDO02DTO> searchQuarantors(LoanByActnDescMngSMDO01DTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchLoanActns</p>
     * <p>설명          : 법적조치 그리드를 조회 한다.</p>
     * <p>메소드인수1   : List args</p>
     * <p>메소드인수2   : ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값  : 법적조치 그리드 조회 결과 ArrayList</p>
     * <p>예외처리      : Exception</p>
     */
    public List<LoanByActnDescMngSDDO03DTO> searchLoanActns(LoanByActnDescMngSMDO01DTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchLeglActnCost</p>
     * <p>설명          : 법적조치비용 그리드를 조회 한다.</p>
     * <p>메소드인수1   : List args</p>
     * <p>메소드인수2   : ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값  : 법적조치비용 그리드 조회 결과 ArrayList</p>
     * <p>예외처리      : Exception</p>
     */
    public List<LoanByActnDescMngDSBTLEGLACTNCOSTSDDODTO> searchLeglActnCost(LoanByActnDescMngSMDO01DTO inDto) throws Exception;

}
