package hanalife.b.lm.lm.service;

import hanalife.b.lm.lm.vo.BLMLMM02S01InVO;
import hanalife.b.lm.lm.vo.BLMLMM02S01OutVO;
import hanalife.b.lm.lm.vo.BLMLMM02S02InVO;
import hanalife.b.lm.lm.vo.BLMLMM02S02OutVO;
import hanalife.b.lm.lm.vo.BLMLMM02S03InVO;
import hanalife.b.lm.lm.vo.BLMLMM02S03OutVO;
import hanalife.b.lm.lm.vo.BLMLMM02S04InVO;
import hanalife.b.lm.lm.vo.BLMLMM02S04OutVO;
import hanalife.b.lm.lm.vo.BLMLMM02U01InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U02InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U03InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U04InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U05InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U06InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U07InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U08InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U09InVO;

/**
 * <pre>
 * 클래스명    : BLMLMM05Service.java Class
 * 클래스설명  : 수납상세 (BLMLMM05) Controller
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public interface BLMLMM02Service {

    /**
     * <p>메소드명      : BLMLMM02S01 : 법조치기본정보조회</p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치기본정보를 조회 한다.</p>
     * <p>메소드인수    : BLMLMM02S01InVo </p>
     * <p>메소드리턴값  : BLMLMM02S01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public BLMLMM02S01OutVO getBLMLMM02S01(BLMLMM02S01InVO inVo) throws Exception;

    /**
     * <p>메소드명      : BLMLMM02S02 : 법조치품의정보조회</p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치품의정보를 조회 한다.</p>
     * <p>메소드인수    : BLMLMM02S02InVo </p>
     * <p>메소드리턴값  : BLMLMM02S02OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public BLMLMM02S02OutVO getBLMLMM02S02(BLMLMM02S02InVO inVo) throws Exception;

    /**
     * <p>메소드명      : BLMLMM02S03 : 법조치품의상태조회</p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치품의상태를 조회 한다.</p>
     * <p>메소드인수    : BLMLMM02S03InVo </p>
     * <p>메소드리턴값  : BLMLMM02S03OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public BLMLMM02S03OutVO getBLMLMM02S03(BLMLMM02S03InVO inVo) throws Exception;


    /**
     * <p>메소드명      : BLMLMM02S04 : 법조치증빙내역조회</p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치증빙내역을 조회 한다.</p>
     * <p>메소드인수    : BLMLMM02S04InVo </p>
     * <p>메소드리턴값  : BLMLMM02S04OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public BLMLMM02S04OutVO getBLMLMM02S04(BLMLMM02S04InVO inVo) throws Exception;

    /**
     * <p>메소드명      : BLMLMM02U01 : 법조치품의서관리저장 </p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치증빙내역을 조회 한다.</p>
     * <p>메소드인수    : BLMLMM02U01InVo </p>
     * <p>메소드리턴값  : BLMLMM02U01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public int getBLMLMM02U01(BLMLMM02U01InVO inVo) throws Exception;

    /**
     * <p>메소드명      : BLMLMM02U02 : 법조치품의서정보저장 </p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치품의서정보저장 한다.</p>
     * <p>메소드인수    : BLMLMM02U02InVo </p>
     * <p>메소드리턴값  : </p>
     * <p>예외처리      : Exception</p>
     */
    public int getBLMLMM02U02(BLMLMM02U02InVO inVo) throws Exception;

    /**
     * <p>메소드명      : BLMLMM02U03 : 법조치품의정보취소처리 </p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치품의정보 취소처리 한다.</p>
     * <p>메소드인수    : BLMLMM02U03InVo </p>
     * <p>메소드리턴값  : </p>
     * <p>예외처리      : Exception</p>
     */
    public int getBLMLMM02U03(BLMLMM02U03InVO inVo) throws Exception;

    /**
     * <p>메소드명      : BLMLMM02U04 : 법조치품의 본부장승인처리 </p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치품의 본부장승인처리 한다.</p>
     * <p>메소드인수    : BLMLMM02U04InVo </p>
     * <p>메소드리턴값  : </p>
     * <p>예외처리      : Exception</p>
     */
    public int getBLMLMM02U04(BLMLMM02U04InVO inVo) throws Exception;

    /**
     * <p>메소드명      : BLMLMM02U05 : 법조치품의반려처리 </p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치품의반려처리 한다.</p>
     * <p>메소드인수    : BLMLMM02U05InVo </p>
     * <p>메소드리턴값  : </p>
     * <p>예외처리      : Exception</p>
     */
    public int getBLMLMM02U05(BLMLMM02U05InVO inVo) throws Exception;

    /**
     * <p>메소드명      : BLMLMM02U06 : 법조치품의거절처리 </p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치품의거절처리 한다.</p>
     * <p>메소드인수    : BLMLMM02U06InVo </p>
     * <p>메소드리턴값  : </p>
     * <p>예외처리      : Exception</p>
     */
    public int getBLMLMM02U06(BLMLMM02U06InVO inVo) throws Exception;

    /**
     * <p>메소드명      : BLMLMM02U07 : 법조치품의비용발생처리 </p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치품의비용발생처리 한다.</p>
     * <p>메소드인수    : BLMLMM02U07InVo </p>
     * <p>메소드리턴값  : </p>
     * <p>예외처리      : Exception</p>
     */
    public int getBLMLMM02U07(BLMLMM02U07InVO inVo) throws Exception;

    /**
     * <p>메소드명      : BLMLMM02U08 : 법조치품의비용취소처리 </p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치품의비용취소처리 한다.</p>
     * <p>메소드인수    : BLMLMM02U08InVo </p>
     * <p>메소드리턴값  : </p>
     * <p>예외처리      : Exception</p>
     */
    public int getBLMLMM02U08(BLMLMM02U08InVO inVo) throws Exception;


    /**
     * <p>메소드명      : BLMLMM02U09 : 법조치재산정보삭제 </p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70281
     * <p>설명          : 법조치재산정보를 삭제한다.</p>
     * <p>메소드인수    : BLMLMM02U09InVo </p>
     * <p>메소드리턴값  : </p>
     * <p>예외처리      : Exception</p>
     */
    public int getBLMLMM02U09(BLMLMM02U09InVO inVo) throws Exception;
}
