package hanalife.b.lm.lm.service;

import hanalife.b.lm.lm.vo.BLMLMM04S01InVO;
import hanalife.b.lm.lm.vo.BLMLMM04S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BLMLMM04Service.java Class
 * 클래스설명   : BLMLMM04Service Interface
 * 작성일자     : 2023. 3. 7.
 * 작성자명     :  / you.hyun.sik / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70326 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getBLMLM04S01 : 상단의 대출내역 원금/대출기간/사건번호 목록조회
 *           getBLMLM04S02 : 상단 오른쪽의 관계/고객명/고객번호 등 목록조회
 * </pre>
 */
public interface BLMLMM04Service {

	/**
	 * <p>메소드명      : getBLMLM04S01 : 상단의 대출내역 원금/대출기간/사건번호 목록조회 목록조회</p>
	 * <p>작성일자      : 2023. 3. 7.
	 * <p>작성자(author):  /
	 * <p>설명          : 상단의 대출내역 원금/대출기간/사건번호 목록을 조회 한다.</p>
	 * <p>메소드인수    : BLMLMM04S01InVO </p>
	 * <p>메소드리턴값  : BLMLMM04S01OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BLMLMM04S01OutVO getBLMLM04S01(BLMLMM04S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getBLMLM04S02 : 상단 오른쪽의 관계/고객명/고객번호 등 목록조회</p>
	 * <p>작성일자      : 2023. 3. 7.
	 * <p>작성자(author):  /
	 * <p>설명          : 상단 오른쪽의 관계/고객명/고객번호 등 목록을 조회 한다.</p>
	 * <p>메소드인수    : BLMLMM04S01InVO </p>
	 * <p>메소드리턴값  : BLMLMM04S01OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BLMLMM04S01OutVO getBLMLM04S02(BLMLMM04S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getBLMLM04S03 : 법적조치 그리드 목록조회</p>
	 * <p>작성일자      : 2023. 3. 7.
	 * <p>작성자(author):  /
	 * <p>설명          : 법적조치 그리드 목록을 조회 한다.</p>
	 * <p>메소드인수    : BLMLMM04S01InVO </p>
	 * <p>메소드리턴값  : BLMLMM04S01OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BLMLMM04S01OutVO getBLMLM04S03(BLMLMM04S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getBLMLM04S04 : 법적조치비용 그리드 목록조회</p>
	 * <p>작성일자      : 2023. 3. 7.
	 * <p>작성자(author):  /
	 * <p>설명          : 법적조치비용 그리드 목록을 조회 한다.</p>
	 * <p>메소드인수    : BLMLMM04S01InVO </p>
	 * <p>메소드리턴값  : BLMLMM04S01OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public BLMLMM04S01OutVO getBLMLM04S04(BLMLMM04S01InVO inVo) throws Exception;

}