package hanalife.b.lm.lm.vo;

import java.math.BigDecimal;

/**
 * <pre>
 * 클래스명    : BLMLMM02DSSDDO03VO.java Class
 * 클래스설명  : 법조치품의서관리 (BLMLMM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class BLMLMM02DSSDDO03VO {

	private String loanNo; //LOAN_NO   대출_번호
	private String loanSeq ; //LOAN_SEQ   대출_순번
	private String consShNo; //CONS_SH_NO   품의서_번호
	private String custNo; //CUST_NO   고객_번호
	private String prptTpCd; //PRPT_TP_CD   재산_유형_코드
	private String prptKindCd; //PRPT_KIND_CD   재산_종류_코드
	private String actnStatCd; //ACTN_STAT_CD   조치_상태_코드
	private String actnStatOccrDt; //ACTN_STAT_OCCR_DT   조치_상태_발생_일자
	private String actnTpCd; //ACTN_TP_CD   조치_유형_코드
	private String askCausCd; //ASK_CAUS_CD   청구_원인_코드
	private String caseKindCd; //CASE_KIND_CD   사건_종류_코드
	private String lwstKindCd; //LWST_KIND_CD   소송_종류_코드
	private String seizKindCd; //SEIZ_KIND_CD   압류_종류_코드
	private String judDept; //JUD_DEPT   심급
	private String jdcaReqBizNo; //JDCA_REQ_BIZ_NO   법무사_변호사_사업자등록번호
	private String jdcaReqVndrNm; //JDCA_REQ_VNDR_NM   법무_의뢰_업체명
	private String pledrJadvReqDt; //PLEDR_JADV_REQ_DT   변호사_법무사_의뢰_일자
	private String payPlc; //PAY_PLC   지급_처
	private String askDiv; //ASK_DIV   청구_구분
	private String jstDt; //JST_DT   결재_일자
	private String regDt; //REG_DT   등록_일자
	private String sueFg; //SUE_FG   제소_여부
	private String execStmtWdrwFg; //EXEC_STMT_WDRW_FG   집행_문_회수_여부
	private String ppayAmtWdrwDt; //PPAY_AMT_WDRW_DT   예납_금_회수_일자
	private String depsAmtWdrwDt; //DEPS_AMT_WDRW_DT   공탁_금_회수_일자
	private String auctDivCd; //AUCT_DIV_CD   경매_구분_코드
	private BigDecimal alotAmt; //ALOT_AMT   배당_금액
	private String alotAmtWdrwDt; //ALOT_AMT_WDRW_DT   배당_금_회수_일자
	private String distCortCd; //DIST_CORT_CD   관할_법원_코드
	private String caseNo; //CASE_NO   사건_번호
	private String endTpCd; //END_TP_CD   종료_유형_코드
	private String caseEndDt; //CASE_END_DT   사건_종료_일자
	private BigDecimal askAmt; //ASK_AMT   청구_금액
	private String prptRschExclFg; //PRPT_RSCH_EXCL_FG   재산_조사_제외_여부
	private String wdrwPossStatCd; //WDRW_POSS_STAT_CD   회수_가능_상태_코드
	private String wdrwPossTermCd; //WDRW_POSS_TERM_CD   회수_가능_기간_코드
	private BigDecimal dlyPamt; //DLY_PAMT   연체_원금
	private BigDecimal dlyInt; //DLY_INT   연체_이자
	private long dlyTims; //DLY_TIMS   연체_회차
	private BigDecimal balPamt; //BAL_PAMT   잔여_원금
	private BigDecimal loanIntRamt; //LOAN_INT_RAMT   대출_이자_잔액
	private String bndDivsManEmpNo; //BND_DIVS_MAN_EMP_NO   채권_담당자_사원번호
	private String mngDeptCd; //MNG_DEPT_CD   관리_부서_코드
	private String sueDt; //SUE_DT   제소_일자
	private String actnRsnCntn; //ACTN_RSN_CNTN   조치_사유_내용
	private String consDt; //CONS_DT   품의_일자
	private String consCnclDt; //CONS_CNCL_DT   품의_취소_일자
	private String consStatCd; //CONS_STAT_CD   품의_상태_코드
	private String consRsn; //CONS_RSN   품의_사유
	private String dutyManAprvEmpNo; //DUTY_MAN_APRV_EMP_NO   책임자_승인_사원번호
	private String dutyManAprvDt; //DUTY_MAN_APRV_DT   책임자_승인_일자
	private String dutyManOpn; //DUTY_MAN_OPN   책임자_의견
	private String tmgrAprvEmpNo; //TMGR_APRV_EMP_NO   팀장_승인_사원번호
	private String tmgrAprvDt; //TMGR_APRV_DT   팀장_승인_일자
	private String tmgrOpn; //TMGR_OPN   팀장_의견
	private String bonbAprvEmpNo; //BONB_APRV_EMP_NO   본부_승인_사원번호
	private String bonbAprvDt; //BONB_APRV_DT   본부_승인_일자
	private String bonbOpn; //BONB_OPN   본부_의견
	private String custNm; //CUST_NM   조치_대상
	private String loanRelNm; //LOAN_REL_NM   관계
	private String distCortNm; //DIST_CORT_NM   관할_법원_명
	private String custTrndNm; //CUST_TRND_NM   고객_성향_명
	private String cntcStatNm; //CNTC_STAT_NM   연락_상태_명
	private String payPlcNm; //PAY_PLC_NM   지급처_명
	private String bndDivsManEmpNm; //	BND_DIVS_MAN_EMP_NM 채권_담당자_사원_명
	private String dutyManAprvEmpNm; //	DUTY_MAN_APRV_EMP_NM 책임자_승인_사원_명
	private String tmgrAprvEmpNm; //	TMGR_APRV_EMP_NM 팀장_승인_사원_명
	private String bonbAprvEmpNm; //	BONB_APRV_EMP_NM 본부_승인_사원_명
	private String mngPlcBndDivsEmpNo; //	관리처채권담당사원번호
	private String mngPlcDivCd; //	관리처구분코드
	private String crimTpClasCd; //	관리처구분코드
	private String crimTpClasNm; //	관리처구분코드
	private String operation; //

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getConsShNo() {
		return consShNo;
	}
	public void setConsShNo(String consShNo) {
		this.consShNo = consShNo;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getPrptTpCd() {
		return prptTpCd;
	}
	public void setPrptTpCd(String prptTpCd) {
		this.prptTpCd = prptTpCd;
	}
	public String getPrptKindCd() {
		return prptKindCd;
	}
	public void setPrptKindCd(String prptKindCd) {
		this.prptKindCd = prptKindCd;
	}
	public String getActnStatCd() {
		return actnStatCd;
	}
	public void setActnStatCd(String actnStatCd) {
		this.actnStatCd = actnStatCd;
	}
	public String getActnStatOccrDt() {
		return actnStatOccrDt;
	}
	public void setActnStatOccrDt(String actnStatOccrDt) {
		this.actnStatOccrDt = actnStatOccrDt;
	}
	public String getActnTpCd() {
		return actnTpCd;
	}
	public void setActnTpCd(String actnTpCd) {
		this.actnTpCd = actnTpCd;
	}
	public String getAskCausCd() {
		return askCausCd;
	}
	public void setAskCausCd(String askCausCd) {
		this.askCausCd = askCausCd;
	}
	public String getCaseKindCd() {
		return caseKindCd;
	}
	public void setCaseKindCd(String caseKindCd) {
		this.caseKindCd = caseKindCd;
	}
	public String getLwstKindCd() {
		return lwstKindCd;
	}
	public void setLwstKindCd(String lwstKindCd) {
		this.lwstKindCd = lwstKindCd;
	}
	public String getSeizKindCd() {
		return seizKindCd;
	}
	public void setSeizKindCd(String seizKindCd) {
		this.seizKindCd = seizKindCd;
	}
	public String getJudDept() {
		return judDept;
	}
	public void setJudDept(String judDept) {
		this.judDept = judDept;
	}
	public String getJdcaReqBizNo() {
		return jdcaReqBizNo;
	}
	public void setJdcaReqBizNo(String jdcaReqBizNo) {
		this.jdcaReqBizNo = jdcaReqBizNo;
	}
	public String getJdcaReqVndrNm() {
		return jdcaReqVndrNm;
	}
	public void setJdcaReqVndrNm(String jdcaReqVndrNm) {
		this.jdcaReqVndrNm = jdcaReqVndrNm;
	}
	public String getPledrJadvReqDt() {
		return pledrJadvReqDt;
	}
	public void setPledrJadvReqDt(String pledrJadvReqDt) {
		this.pledrJadvReqDt = pledrJadvReqDt;
	}
	public String getPayPlc() {
		return payPlc;
	}
	public void setPayPlc(String payPlc) {
		this.payPlc = payPlc;
	}
	public String getAskDiv() {
		return askDiv;
	}
	public void setAskDiv(String askDiv) {
		this.askDiv = askDiv;
	}
	public String getJstDt() {
		return jstDt;
	}
	public void setJstDt(String jstDt) {
		this.jstDt = jstDt;
	}
	public String getRegDt() {
		return regDt;
	}
	public void setRegDt(String regDt) {
		this.regDt = regDt;
	}
	public String getSueFg() {
		return sueFg;
	}
	public void setSueFg(String sueFg) {
		this.sueFg = sueFg;
	}
	public String getExecStmtWdrwFg() {
		return execStmtWdrwFg;
	}
	public void setExecStmtWdrwFg(String execStmtWdrwFg) {
		this.execStmtWdrwFg = execStmtWdrwFg;
	}
	public String getPpayAmtWdrwDt() {
		return ppayAmtWdrwDt;
	}
	public void setPpayAmtWdrwDt(String ppayAmtWdrwDt) {
		this.ppayAmtWdrwDt = ppayAmtWdrwDt;
	}
	public String getDepsAmtWdrwDt() {
		return depsAmtWdrwDt;
	}
	public void setDepsAmtWdrwDt(String depsAmtWdrwDt) {
		this.depsAmtWdrwDt = depsAmtWdrwDt;
	}
	public String getAuctDivCd() {
		return auctDivCd;
	}
	public void setAuctDivCd(String auctDivCd) {
		this.auctDivCd = auctDivCd;
	}
	public BigDecimal getAlotAmt() {
		return alotAmt;
	}
	public void setAlotAmt(BigDecimal alotAmt) {
		this.alotAmt = alotAmt;
	}
	public String getAlotAmtWdrwDt() {
		return alotAmtWdrwDt;
	}
	public void setAlotAmtWdrwDt(String alotAmtWdrwDt) {
		this.alotAmtWdrwDt = alotAmtWdrwDt;
	}
	public String getDistCortCd() {
		return distCortCd;
	}
	public void setDistCortCd(String distCortCd) {
		this.distCortCd = distCortCd;
	}
	public String getCaseNo() {
		return caseNo;
	}
	public void setCaseNo(String caseNo) {
		this.caseNo = caseNo;
	}
	public String getEndTpCd() {
		return endTpCd;
	}
	public void setEndTpCd(String endTpCd) {
		this.endTpCd = endTpCd;
	}
	public String getCaseEndDt() {
		return caseEndDt;
	}
	public void setCaseEndDt(String caseEndDt) {
		this.caseEndDt = caseEndDt;
	}
	public BigDecimal getAskAmt() {
		return askAmt;
	}
	public void setAskAmt(BigDecimal askAmt) {
		this.askAmt = askAmt;
	}
	public String getPrptRschExclFg() {
		return prptRschExclFg;
	}
	public void setPrptRschExclFg(String prptRschExclFg) {
		this.prptRschExclFg = prptRschExclFg;
	}
	public String getWdrwPossStatCd() {
		return wdrwPossStatCd;
	}
	public void setWdrwPossStatCd(String wdrwPossStatCd) {
		this.wdrwPossStatCd = wdrwPossStatCd;
	}
	public String getWdrwPossTermCd() {
		return wdrwPossTermCd;
	}
	public void setWdrwPossTermCd(String wdrwPossTermCd) {
		this.wdrwPossTermCd = wdrwPossTermCd;
	}
	public BigDecimal getDlyPamt() {
		return dlyPamt;
	}
	public void setDlyPamt(BigDecimal dlyPamt) {
		this.dlyPamt = dlyPamt;
	}
	public BigDecimal getDlyInt() {
		return dlyInt;
	}
	public void setDlyInt(BigDecimal dlyInt) {
		this.dlyInt = dlyInt;
	}
	public long getDlyTims() {
		return dlyTims;
	}
	public void setDlyTims(long dlyTims) {
		this.dlyTims = dlyTims;
	}
	public BigDecimal getBalPamt() {
		return balPamt;
	}
	public void setBalPamt(BigDecimal balPamt) {
		this.balPamt = balPamt;
	}
	public BigDecimal getLoanIntRamt() {
		return loanIntRamt;
	}
	public void setLoanIntRamt(BigDecimal loanIntRamt) {
		this.loanIntRamt = loanIntRamt;
	}
	public String getBndDivsManEmpNo() {
		return bndDivsManEmpNo;
	}
	public void setBndDivsManEmpNo(String bndDivsManEmpNo) {
		this.bndDivsManEmpNo = bndDivsManEmpNo;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getSueDt() {
		return sueDt;
	}
	public void setSueDt(String sueDt) {
		this.sueDt = sueDt;
	}
	public String getActnRsnCntn() {
		return actnRsnCntn;
	}
	public void setActnRsnCntn(String actnRsnCntn) {
		this.actnRsnCntn = actnRsnCntn;
	}
	public String getConsDt() {
		return consDt;
	}
	public void setConsDt(String consDt) {
		this.consDt = consDt;
	}
	public String getConsCnclDt() {
		return consCnclDt;
	}
	public void setConsCnclDt(String consCnclDt) {
		this.consCnclDt = consCnclDt;
	}
	public String getConsStatCd() {
		return consStatCd;
	}
	public void setConsStatCd(String consStatCd) {
		this.consStatCd = consStatCd;
	}
	public String getConsRsn() {
		return consRsn;
	}
	public void setConsRsn(String consRsn) {
		this.consRsn = consRsn;
	}
	public String getDutyManAprvEmpNo() {
		return dutyManAprvEmpNo;
	}
	public void setDutyManAprvEmpNo(String dutyManAprvEmpNo) {
		this.dutyManAprvEmpNo = dutyManAprvEmpNo;
	}
	public String getDutyManAprvDt() {
		return dutyManAprvDt;
	}
	public void setDutyManAprvDt(String dutyManAprvDt) {
		this.dutyManAprvDt = dutyManAprvDt;
	}
	public String getDutyManOpn() {
		return dutyManOpn;
	}
	public void setDutyManOpn(String dutyManOpn) {
		this.dutyManOpn = dutyManOpn;
	}
	public String getTmgrAprvEmpNo() {
		return tmgrAprvEmpNo;
	}
	public void setTmgrAprvEmpNo(String tmgrAprvEmpNo) {
		this.tmgrAprvEmpNo = tmgrAprvEmpNo;
	}
	public String getTmgrAprvDt() {
		return tmgrAprvDt;
	}
	public void setTmgrAprvDt(String tmgrAprvDt) {
		this.tmgrAprvDt = tmgrAprvDt;
	}
	public String getTmgrOpn() {
		return tmgrOpn;
	}
	public void setTmgrOpn(String tmgrOpn) {
		this.tmgrOpn = tmgrOpn;
	}
	public String getBonbAprvEmpNo() {
		return bonbAprvEmpNo;
	}
	public void setBonbAprvEmpNo(String bonbAprvEmpNo) {
		this.bonbAprvEmpNo = bonbAprvEmpNo;
	}
	public String getBonbAprvDt() {
		return bonbAprvDt;
	}
	public void setBonbAprvDt(String bonbAprvDt) {
		this.bonbAprvDt = bonbAprvDt;
	}
	public String getBonbOpn() {
		return bonbOpn;
	}
	public void setBonbOpn(String bonbOpn) {
		this.bonbOpn = bonbOpn;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getLoanRelNm() {
		return loanRelNm;
	}
	public void setLoanRelNm(String loanRelNm) {
		this.loanRelNm = loanRelNm;
	}
	public String getDistCortNm() {
		return distCortNm;
	}
	public void setDistCortNm(String distCortNm) {
		this.distCortNm = distCortNm;
	}
	public String getCustTrndNm() {
		return custTrndNm;
	}
	public void setCustTrndNm(String custTrndNm) {
		this.custTrndNm = custTrndNm;
	}
	public String getCntcStatNm() {
		return cntcStatNm;
	}
	public void setCntcStatNm(String cntcStatNm) {
		this.cntcStatNm = cntcStatNm;
	}
	public String getPayPlcNm() {
		return payPlcNm;
	}
	public void setPayPlcNm(String payPlcNm) {
		this.payPlcNm = payPlcNm;
	}
	public String getBndDivsManEmpNm() {
		return bndDivsManEmpNm;
	}
	public void setBndDivsManEmpNm(String bndDivsManEmpNm) {
		this.bndDivsManEmpNm = bndDivsManEmpNm;
	}
	public String getDutyManAprvEmpNm() {
		return dutyManAprvEmpNm;
	}
	public void setDutyManAprvEmpNm(String dutyManAprvEmpNm) {
		this.dutyManAprvEmpNm = dutyManAprvEmpNm;
	}
	public String getTmgrAprvEmpNm() {
		return tmgrAprvEmpNm;
	}
	public void setTmgrAprvEmpNm(String tmgrAprvEmpNm) {
		this.tmgrAprvEmpNm = tmgrAprvEmpNm;
	}
	public String getBonbAprvEmpNm() {
		return bonbAprvEmpNm;
	}
	public void setBonbAprvEmpNm(String bonbAprvEmpNm) {
		this.bonbAprvEmpNm = bonbAprvEmpNm;
	}
	public String getMngPlcBndDivsEmpNo() {
		return mngPlcBndDivsEmpNo;
	}
	public void setMngPlcBndDivsEmpNo(String mngPlcBndDivsEmpNo) {
		this.mngPlcBndDivsEmpNo = mngPlcBndDivsEmpNo;
	}
	public String getMngPlcDivCd() {
		return mngPlcDivCd;
	}
	public void setMngPlcDivCd(String mngPlcDivCd) {
		this.mngPlcDivCd = mngPlcDivCd;
	}
	public String getCrimTpClasCd() {
		return crimTpClasCd;
	}
	public void setCrimTpClasCd(String crimTpClasCd) {
		this.crimTpClasCd = crimTpClasCd;
	}
	public String getCrimTpClasNm() {
		return crimTpClasNm;
	}
	public void setCrimTpClasNm(String crimTpClasNm) {
		this.crimTpClasNm = crimTpClasNm;
	}
	public String getOperation() {
		return operation;
	}
	public void setOperation(String operation) {
		this.operation = operation;
	}


}
