package hanalife.b.lm.lm.vo;

import java.math.BigDecimal;

/**
 * <pre>
 * 클래스명    : BLMLMM02DSSDDO04VO.java Class
 * 클래스설명  : 법조치품의서관리 (BLMLMM02) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70281 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class BLMLMM02DSSDDO04VO {

	private String loanNo;         //LOAN_NO   대출_번호
	private String loanSeq;        //LOAN_SEQ   대출_순번
	private String consShNo;       //CONS_SH_NO   품의서_번호
	private long snum;           //SNUM   전입_일자
	private String acctDt;         //ACCT_DT   회계_일자
	private String vochNo;         //VOCH_NO   전표_번호
	private BigDecimal depsAmt;        //DEPS_AMT   공탁금
	private BigDecimal etcCost;        //ETC_COST   기타_비용
	private BigDecimal depsInsuFee;    //DEPS_INSU_FEE   공탁_보험_료
	private BigDecimal stmpLrge;       //STMP_LRGE   인지_대
	private BigDecimal crtfplcLrge;    //CRTFPLC_LRGE   증지_대
	private BigDecimal dsptFee;        //DSPT_FEE   송달료
	private BigDecimal rtax;           //RTAX   등록세
	private BigDecimal ppayamt;        //PPAYAMT   예납금
	private BigDecimal pledJadvFee;    //PLED_JADV_FEE   변호_법무사_수수료
	private BigDecimal askAmt;         //ASK_AMT   청구_금액
	private String askDt;          //ASK_DT   청구_일자
	private String costCnclFg;     //COST_CNCL_FG   비용_취소_여부
	private String costOccrDivCd;  //COST_OCCR_DIV_CD   비용_발생_구분_코드
	private String costJstDivCd;   //COST_JST_DIV_CD   취소_여부
	private BigDecimal recpAmt;        //RECP_AMT   수령_금액
	private String recpDt;         //RECP_DT   수령_일자
	private String jstDt;          //JST_DT   결제_일자
	private String makeDeptCd;     //MAKE_DEPT_CD   작성_부서_코드
	private String acctDeptCd;     //ACCT_DEPT_CD   회계_부서_코드
	private String fromDb;         //chk_digit
	private String jdcaReqBizNo;   //법무사_변호사_사업자등록번호
	private String jdcaReqVndrNm;  //법무_의뢰_업체명
	private String pledrJadvReqDt; //변호사_법무사_의뢰_일자
	private String payPlc;         // 지급_처
	private String payPlcNm;       // 지급_처명
	private String askDiv;         // 청구_구분
	private String mngDeptCd;     //mngDeptCd       관리부서코드
	private String mngPlcDivCd;     //mngPlcDivCd       관리처코드
	private String mngPlcBndDivsEmpNo;     //mngPlcBndDivsEmpNo       관리처채권담당사원번호
	private String badDebtAfOccrDiv;	//대손후발생여부
	private BigDecimal pledJdcaFeeVtax;    //PLED_JDCA_FEE_VTAX  변호_법무사_수수료_부가세
	private BigDecimal etcCostVtax;        //ETC_COST_VTAX       기타_비용_부가세
	private BigDecimal adjAmt;		        //정산금액
	private BigDecimal leglActnCostRamt;	//법조치비용잔액
	private String cnclFg;		        //취소여부
	private String cnclDt;		        //취소일자
	private long orgSnum;		    //원일련번호
	private BigDecimal depsAmtAdjAmt;		// 공탁금정산금액
	private BigDecimal depsAmtRamt;		// 공탁금정산잔액
	private String operation;
	private String occrYnDivCd; // 발생여부구분코드
	private BigDecimal sumAmt; // 합계금액
	private BigDecimal sumPledJadvFeeVtax; // 합계변호법무수수료부가세
	private BigDecimal sumEtcCost; // 합계기타비용

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getConsShNo() {
		return consShNo;
	}
	public void setConsShNo(String consShNo) {
		this.consShNo = consShNo;
	}
	public long getSnum() {
		return snum;
	}
	public void setSnum(long snum) {
		this.snum = snum;
	}
	public String getAcctDt() {
		return acctDt;
	}
	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}
	public String getVochNo() {
		return vochNo;
	}
	public void setVochNo(String vochNo) {
		this.vochNo = vochNo;
	}
	public BigDecimal getDepsAmt() {
		return depsAmt;
	}
	public void setDepsAmt(BigDecimal depsAmt) {
		this.depsAmt = depsAmt;
	}
	public BigDecimal getEtcCost() {
		return etcCost;
	}
	public void setEtcCost(BigDecimal etcCost) {
		this.etcCost = etcCost;
	}
	public BigDecimal getDepsInsuFee() {
		return depsInsuFee;
	}
	public void setDepsInsuFee(BigDecimal depsInsuFee) {
		this.depsInsuFee = depsInsuFee;
	}
	public BigDecimal getStmpLrge() {
		return stmpLrge;
	}
	public void setStmpLrge(BigDecimal stmpLrge) {
		this.stmpLrge = stmpLrge;
	}
	public BigDecimal getCrtfplcLrge() {
		return crtfplcLrge;
	}
	public void setCrtfplcLrge(BigDecimal crtfplcLrge) {
		this.crtfplcLrge = crtfplcLrge;
	}
	public BigDecimal getDsptFee() {
		return dsptFee;
	}
	public void setDsptFee(BigDecimal dsptFee) {
		this.dsptFee = dsptFee;
	}
	public BigDecimal getRtax() {
		return rtax;
	}
	public void setRtax(BigDecimal rtax) {
		this.rtax = rtax;
	}
	public BigDecimal getPpayamt() {
		return ppayamt;
	}
	public void setPpayamt(BigDecimal ppayamt) {
		this.ppayamt = ppayamt;
	}
	public BigDecimal getPledJadvFee() {
		return pledJadvFee;
	}
	public void setPledJadvFee(BigDecimal pledJadvFee) {
		this.pledJadvFee = pledJadvFee;
	}
	public BigDecimal getAskAmt() {
		return askAmt;
	}
	public void setAskAmt(BigDecimal askAmt) {
		this.askAmt = askAmt;
	}
	public String getAskDt() {
		return askDt;
	}
	public void setAskDt(String askDt) {
		this.askDt = askDt;
	}
	public String getCostCnclFg() {
		return costCnclFg;
	}
	public void setCostCnclFg(String costCnclFg) {
		this.costCnclFg = costCnclFg;
	}
	public String getCostOccrDivCd() {
		return costOccrDivCd;
	}
	public void setCostOccrDivCd(String costOccrDivCd) {
		this.costOccrDivCd = costOccrDivCd;
	}
	public String getCostJstDivCd() {
		return costJstDivCd;
	}
	public void setCostJstDivCd(String costJstDivCd) {
		this.costJstDivCd = costJstDivCd;
	}
	public BigDecimal getRecpAmt() {
		return recpAmt;
	}
	public void setRecpAmt(BigDecimal recpAmt) {
		this.recpAmt = recpAmt;
	}
	public String getRecpDt() {
		return recpDt;
	}
	public void setRecpDt(String recpDt) {
		this.recpDt = recpDt;
	}
	public String getJstDt() {
		return jstDt;
	}
	public void setJstDt(String jstDt) {
		this.jstDt = jstDt;
	}
	public String getMakeDeptCd() {
		return makeDeptCd;
	}
	public void setMakeDeptCd(String makeDeptCd) {
		this.makeDeptCd = makeDeptCd;
	}
	public String getAcctDeptCd() {
		return acctDeptCd;
	}
	public void setAcctDeptCd(String acctDeptCd) {
		this.acctDeptCd = acctDeptCd;
	}
	public String getFromDb() {
		return fromDb;
	}
	public void setFromDb(String fromDb) {
		this.fromDb = fromDb;
	}
	public String getJdcaReqBizNo() {
		return jdcaReqBizNo;
	}
	public void setJdcaReqBizNo(String jdcaReqBizNo) {
		this.jdcaReqBizNo = jdcaReqBizNo;
	}
	public String getJdcaReqVndrNm() {
		return jdcaReqVndrNm;
	}
	public void setJdcaReqVndrNm(String jdcaReqVndrNm) {
		this.jdcaReqVndrNm = jdcaReqVndrNm;
	}
	public String getPledrJadvReqDt() {
		return pledrJadvReqDt;
	}
	public void setPledrJadvReqDt(String pledrJadvReqDt) {
		this.pledrJadvReqDt = pledrJadvReqDt;
	}
	public String getPayPlc() {
		return payPlc;
	}
	public void setPayPlc(String payPlc) {
		this.payPlc = payPlc;
	}
	public String getPayPlcNm() {
		return payPlcNm;
	}
	public void setPayPlcNm(String payPlcNm) {
		this.payPlcNm = payPlcNm;
	}
	public String getAskDiv() {
		return askDiv;
	}
	public void setAskDiv(String askDiv) {
		this.askDiv = askDiv;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getMngPlcDivCd() {
		return mngPlcDivCd;
	}
	public void setMngPlcDivCd(String mngPlcDivCd) {
		this.mngPlcDivCd = mngPlcDivCd;
	}
	public String getMngPlcBndDivsEmpNo() {
		return mngPlcBndDivsEmpNo;
	}
	public void setMngPlcBndDivsEmpNo(String mngPlcBndDivsEmpNo) {
		this.mngPlcBndDivsEmpNo = mngPlcBndDivsEmpNo;
	}
	public String getBadDebtAfOccrDiv() {
		return badDebtAfOccrDiv;
	}
	public void setBadDebtAfOccrDiv(String badDebtAfOccrDiv) {
		this.badDebtAfOccrDiv = badDebtAfOccrDiv;
	}
	public BigDecimal getPledJdcaFeeVtax() {
		return pledJdcaFeeVtax;
	}
	public void setPledJdcaFeeVtax(BigDecimal pledJdcaFeeVtax) {
		this.pledJdcaFeeVtax = pledJdcaFeeVtax;
	}
	public BigDecimal getEtcCostVtax() {
		return etcCostVtax;
	}
	public void setEtcCostVtax(BigDecimal etcCostVtax) {
		this.etcCostVtax = etcCostVtax;
	}
	public BigDecimal getAdjAmt() {
		return adjAmt;
	}
	public void setAdjAmt(BigDecimal adjAmt) {
		this.adjAmt = adjAmt;
	}
	public BigDecimal getLeglActnCostRamt() {
		return leglActnCostRamt;
	}
	public void setLeglActnCostRamt(BigDecimal leglActnCostRamt) {
		this.leglActnCostRamt = leglActnCostRamt;
	}
	public String getCnclFg() {
		return cnclFg;
	}
	public void setCnclFg(String cnclFg) {
		this.cnclFg = cnclFg;
	}
	public String getCnclDt() {
		return cnclDt;
	}
	public void setCnclDt(String cnclDt) {
		this.cnclDt = cnclDt;
	}
	public long getOrgSnum() {
		return orgSnum;
	}
	public void setOrgSnum(long orgSnum) {
		this.orgSnum = orgSnum;
	}
	public BigDecimal getDepsAmtAdjAmt() {
		return depsAmtAdjAmt;
	}
	public void setDepsAmtAdjAmt(BigDecimal depsAmtAdjAmt) {
		this.depsAmtAdjAmt = depsAmtAdjAmt;
	}
	public BigDecimal getDepsAmtRamt() {
		return depsAmtRamt;
	}
	public void setDepsAmtRamt(BigDecimal depsAmtRamt) {
		this.depsAmtRamt = depsAmtRamt;
	}
	public String getOperation() {
		return operation;
	}
	public void setOperation(String operation) {
		this.operation = operation;
	}
	public String getOccrYnDivCd() {
		return occrYnDivCd;
	}
	public void setOccrYnDivCd(String occrYnDivCd) {
		this.occrYnDivCd = occrYnDivCd;
	}
	public BigDecimal getSumAmt() {
		return sumAmt;
	}
	public void setSumAmt(BigDecimal sumAmt) {
		this.sumAmt = sumAmt;
	}
	public BigDecimal getSumPledJadvFeeVtax() {
		return sumPledJadvFeeVtax;
	}
	public void setSumPledJadvFeeVtax(BigDecimal sumPledJadvFeeVtax) {
		this.sumPledJadvFeeVtax = sumPledJadvFeeVtax;
	}
	public BigDecimal getSumEtcCost() {
		return sumEtcCost;
	}
	public void setSumEtcCost(BigDecimal sumEtcCost) {
		this.sumEtcCost = sumEtcCost;
	}

}
