package hanalife.b.lm.lm.web;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import hanalife.b.lm.lm.service.BLMLMM02Service;
import hanalife.b.lm.lm.vo.BLMLMM02DSPROFMNGVO;
import hanalife.b.lm.lm.vo.BLMLMM02DSPROFSMDO01VO;
import hanalife.b.lm.lm.vo.BLMLMM02DSSDDO03VO;
import hanalife.b.lm.lm.vo.BLMLMM02DSSDDO04VO;
import hanalife.b.lm.lm.vo.BLMLMM02DSSDDO05VO;
import hanalife.b.lm.lm.vo.BLMLMM02DSSMDO01VO;
import hanalife.b.lm.lm.vo.BLMLMM02DSSMDO02VO;
import hanalife.b.lm.lm.vo.BLMLMM02DSSMDO03VO;
import hanalife.b.lm.lm.vo.BLMLMM02S01InVO;
import hanalife.b.lm.lm.vo.BLMLMM02S01OutVO;
import hanalife.b.lm.lm.vo.BLMLMM02S02InVO;
import hanalife.b.lm.lm.vo.BLMLMM02S02OutVO;
import hanalife.b.lm.lm.vo.BLMLMM02S03InVO;
import hanalife.b.lm.lm.vo.BLMLMM02S03OutVO;
import hanalife.b.lm.lm.vo.BLMLMM02S04InVO;
import hanalife.b.lm.lm.vo.BLMLMM02S04OutVO;
import hanalife.b.lm.lm.vo.BLMLMM02U01InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U02InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U03InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U04InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U05InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U06InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U07InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U08InVO;
import hanalife.b.lm.lm.vo.BLMLMM02U09InVO;
import hanalife.c.co.util.XFrame5DataSetUtil;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

/**
 * <pre>
 * 클래스명    : BLMLMM02Controller
 * 클래스설명  : 법조치 품의서 관리 (BLMLMM02) Controller
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023.03.17
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.02.24][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : 법조치품의서관리 : /BLMLMM02S01.do
 * </pre>
 */
@RequestMapping("/b/lm/lm")
@Controller
public class BLMLMM02Controller {

	@Resource(name = "BLMLMM02Service")
	private BLMLMM02Service BLMLMM02;

	private static final Logger LOGGER = LoggerFactory.getLogger(BLMLMM02Controller.class);

	/**
	 * <p>
	 * 메소드명 : 법조치품의관리화면 조회 /BLMLMM02S01.do
	 * </p>
	 * <p>
	 * 작성일자 : 2023. 3. 17.
	 * <p>
	 * 작성자(author): 70281
	 * <p>
	 * 설명 : 법조치품의관리화면을 조회 한다.
	 * </p>
	 * <p>
	 * 예외처리 : Exception
	 * </p>
	 */
	@RequestMapping("/BLMLMM02S01.do")
	public String BLMLMM02S01(HttpServletRequest request, HttpServletResponse response, ModelMap model)
			throws Exception {

		LOGGER.info("##### BLMLMM02Controller BLMLMM02S01 Start #####");

		try {

			/* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> dataSetMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO01", request, response, model);

			LOGGER.info("############################### List Before");

			/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
			BLMLMM02DSSMDO01VO smdoVo = new BLMLMM02DSSMDO01VO();

			smdoVo.setLoanNo((String) dataSetMap.get("loanNo")); /* 대출번호 */
			smdoVo.setLoanSeq((String) dataSetMap.get("loanSeq")); /* 대출번호순번 */

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BLMLMM02S01InVO inVO = new BLMLMM02S01InVO();
			inVO.setBLMLMM02DSSMDO01VO(smdoVo); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

			LOGGER.info("##### inVO = " + inVO.toString());

			/** 법조치진행현황조회 업무 서비스 호출 수행 */
			BLMLMM02S01OutVO outVo = BLMLMM02.getBLMLMM02S01(inVO);

			XFrame5Util.setOutputData("DS_SDDO01", outVo.getBLMLMM02DSSDDO01VO(), model); /** 대출정보조회 */
			XFrame5Util.setOutputData("DS_SDDO02", outVo.getBLMLMM02DSSDDO02VO(), model); /** 수납목록조회 */

			LOGGER.info("##### BLMLMM02Controller BLMLMM02S01 Normal End #####");
		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM02Controller BLMLMM02S01 Exception End #####");
		}

		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>
	 * 메소드명 : 법조치품의상세정보 조회 /BLMLMM02S02.do
	 * </p>
	 * <p>
	 * 작성일자 : 2023. 3. 17.
	 * <p>
	 * 작성자(author): 70281
	 * <p>
	 * 설명 : 법조치품의상세정보 조회 한다.
	 * </p>
	 * <p>
	 * 예외처리 : Exception
	 * </p>
	 */
	@RequestMapping("/BLMLMM02S02.do")
	public String BLMLMM02S02(HttpServletRequest request, HttpServletResponse response, ModelMap model)
			throws Exception {

		LOGGER.info("##### BLMLMM02Controller BLMLMM02S02 Start #####");

		try {

			/* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> dataSetMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO02", request, response, model);

			LOGGER.info("############################### List Before");

			/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
			BLMLMM02DSSMDO02VO smdoVo = new BLMLMM02DSSMDO02VO();

			smdoVo.setLoanNo((String) dataSetMap.get("loanNo")); /* 대출번호 */
			smdoVo.setLoanSeq((String) dataSetMap.get("loanSeq")); /* 대출번호순번 */
			smdoVo.setCustNo((String) dataSetMap.get("custNo")); /* 고객번호 */
			smdoVo.setConsShNo((String) dataSetMap.get("consShNo"));/* 품의서번호 */

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BLMLMM02S02InVO inVO = new BLMLMM02S02InVO();
			inVO.setBLMLMM02DSSMDO02VO(smdoVo); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

			LOGGER.info("##### inVO = " + inVO.toString());

			/** 법조치진행현황조회 업무 서비스 호출 수행 */
			BLMLMM02S02OutVO outVo = BLMLMM02.getBLMLMM02S02(inVO);

			if (outVo.getBLMLMM02DSSDDO05VO() != null) {
				LOGGER.info("##### JYP 확인 =" + outVo.getBLMLMM02DSSDDO05VO().size());
			}

			if (outVo.getBLMLMM02DSSDDO03VO() != null) {
				XFrame5Util.setOutputData("DS_SDDO03", outVo.getBLMLMM02DSSDDO03VO(), model); /** 법조치품의정보조회 */
				LOGGER.info("##### JYP DS_SDDO03 확인");
			}

			if (outVo.getBLMLMM02DSSDDO04VO() != null) {
				XFrame5Util.setOutputData("DS_SDDO04", outVo.getBLMLMM02DSSDDO04VO(), model); /** 법조치비용조회 */
				LOGGER.info("##### JYP DS_SDDO04 확인");
			}

			if (outVo.getBLMLMM02DSSDDO05VO() != null) {
				XFrame5Util.setOutputData("DS_SDDO05", outVo.getBLMLMM02DSSDDO05VO(), model); /** 법조치재산정보조회 */
				LOGGER.info("##### JYP DS_SDDO05 확인");
			}

			if (outVo.getBLMLMM02DSPROFMNGVO() != null) {
				XFrame5Util.setOutputData("DS_PROF_MNG", outVo.getBLMLMM02DSPROFMNGVO(), model); /** 법조치재산정보조회 */
				LOGGER.info("##### JYP DS_PROF_MNG 확인");
			}

			LOGGER.info("##### BLMLMM02Controller BLMLMM02S02 Normal End #####");
		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM02Controller BLMLMM02S01 Exception End #####");
		}

		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>
	 * 메소드명 : 법조치품의 본부결재단계확인 조회 /BLMLMM02S03.do
	 * </p>
	 * <p>
	 * 작성일자 : 2023. 3. 17.
	 * <p>
	 * 작성자(author): 70281
	 * <p>
	 * 설명 : 법조치품의 본부결재단계확인 조회 한다.
	 * </p>
	 * <p>
	 * 예외처리 : Exception
	 * </p>
	 */
	@RequestMapping("/BLMLMM02S03.do")
	public String BLMLMM02S03(HttpServletRequest request, HttpServletResponse response, ModelMap model)
			throws Exception {

		LOGGER.info("##### BLMLMM02Controller BLMLMM02S03 Start #####");

		try {

			/* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> dataSetMap = XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO03", request, response, model);

			LOGGER.info("############################### List Before");

			/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
			BLMLMM02DSSMDO03VO smdoVo = new BLMLMM02DSSMDO03VO();

			smdoVo.setMngDeptCd((String) dataSetMap.get("mngDeptCd")); /* 대출번호 */

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BLMLMM02S03InVO inVO = new BLMLMM02S03InVO();
			inVO.setBLMLMM02DSSMDO03VO(smdoVo); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

			LOGGER.info("##### inVO = " + inVO.toString());

			/** 법조치 본부결재단계확인 조회 업무 서비스 호출 수행 */
			BLMLMM02S03OutVO outVo = BLMLMM02.getBLMLMM02S03(inVO);

			XFrame5Util.setOutputData("DS_SDDO06", outVo.getBLMLMM02DSSDDO06VO(), model); /** 법조치품의정보조회 */

			LOGGER.info("##### BLMLMM02Controller BLMLMM02S03 Normal End #####");
		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM02Controller BLMLMM02S03 Exception End #####");
		}

		return XFrame5View.XFRAME5_VIEW;

	}

	/**
	 * <p>
	 * 메소드명 : 법조치품의 증빙내역 조회 /BLMLMM02S04.do
	 * </p>
	 * <p>
	 * 작성일자 : 2023. 3. 17.
	 * <p>
	 * 작성자(author): 70281
	 * <p>
	 * 설명 : 법조치품의 증빙내역 조회 한다.
	 * </p>
	 * <p>
	 * 예외처리 : Exception
	 * </p>
	 */
	@RequestMapping("/BLMLMM02S04.do")
	public String BLMLMM02S04(HttpServletRequest request, HttpServletResponse response, ModelMap model)
			throws Exception {

		LOGGER.info("##### BLMLMM02Controller BLMLMM02S04 Start #####");

		try {

			/* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> dataSetMap = XFrame5DataSetUtil.getXFrameDataSet("DS_PROF_SMDO01", request, response,
					model);

			LOGGER.info("############################### List Before");

			/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
			BLMLMM02DSPROFSMDO01VO smdoVo = new BLMLMM02DSPROFSMDO01VO();

			smdoVo.setLoanNo((String) dataSetMap.get("loanNo")); /* 대출번호 */
			smdoVo.setLoanSeq((String) dataSetMap.get("loanSeq")); /* 대출번호순번 */
			smdoVo.setConsShNo((String) dataSetMap.get("consShNo")); /* 품의서번호 */
			smdoVo.setSnum((int) dataSetMap.get("snum"));/*  */

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BLMLMM02S04InVO inVO = new BLMLMM02S04InVO();
			inVO.setBLMLMM02DSPROFSMDO01VO(smdoVo); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

			LOGGER.info("##### inVO = " + inVO.toString());

			/** 법조치 본부결재단계확인 조회 업무 서비스 호출 수행 */
			BLMLMM02S04OutVO outVo = BLMLMM02.getBLMLMM02S04(inVO);

			XFrame5Util.setOutputData("DS_SDDO06", outVo.getBLMLMM02DSPROFMNGVO(), model); /** 법조치품의 증빙내역조회 */

			LOGGER.info("##### BLMLMM02Controller BLMLMM02S03 Normal End #####");
		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM02Controller BLMLMM02S03 Exception End #####");
		}

		return XFrame5View.XFRAME5_VIEW;

	}

	/**
	 * <p>
	 * 메소드명 : 법조치품의정보 저장 /BLMLMM02U01.do
	 * </p>
	 * <p>
	 * 작성일자 : 2023. 3. 17.
	 * <p>
	 * 작성자(author): 70281
	 * <p>
	 * 설명 : 법조치품의정보를 저장한다.
	 * </p>
	 * <p>
	 * 예외처리 : Exception
	 * </p>
	 */
	@RequestMapping("/BLMLMM02U01.do")
	public String BLMLMM02U01(HttpServletRequest request, HttpServletResponse response, ModelMap model)
			throws Exception {

		LOGGER.info("##### BLMLMM02Controller BLMLMM02U01 Start #####");

		try {

			/* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> dataSetMap1 = XFrame5DataSetUtil.getXFrameDataSet("DS_SDDO03", request, response,
					model); // 퓸의정보
			List<Map<String, Object>> dataSetMap2 = XFrame5DataSetUtil.getXFrameDataSetList("DS_SDDO05", request,
					response, model); // 재산정보

			LOGGER.info("############################### List Before");

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BLMLMM02U01InVO inVO = new BLMLMM02U01InVO();

			// 품의정보를 저장하는 역할을 한다.
			// List<BLMLMM02DSSDDO03VO> inputList1 = new ArrayList<BLMLMM02DSSDDO03VO>();

			// if (dataSetMap1 != null && dataSetMap1.size() > 0)
			// {
			/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
			BLMLMM02DSSDDO03VO smdoVo = new BLMLMM02DSSDDO03VO();

			smdoVo.setLoanNo((String) dataSetMap1.get("loanNo")); /*  */
			smdoVo.setLoanSeq((String) dataSetMap1.get("loanSeq")); /*  */
			smdoVo.setConsShNo((String) dataSetMap1.get("consShNo")); /*  */
			smdoVo.setCustNo((String) dataSetMap1.get("custNo")); /*  */
			smdoVo.setPrptTpCd((String) dataSetMap1.get("prptTpCd")); /*  */
			smdoVo.setPrptKindCd((String) dataSetMap1.get("prptKindCd")); /*  */
			smdoVo.setActnStatCd((String) dataSetMap1.get("actnStatCd")); /*  */
			smdoVo.setActnStatOccrDt((String) dataSetMap1.get("actnStatOccrDt")); /*  */
			smdoVo.setActnTpCd((String) dataSetMap1.get("actnTpCd")); /*  */
			smdoVo.setAskCausCd((String) dataSetMap1.get("askCausCd")); /*  */
			smdoVo.setCaseKindCd((String) dataSetMap1.get("caseKindCd")); /*  */
			smdoVo.setLwstKindCd((String) dataSetMap1.get("lwstKindCd")); /*  */
			smdoVo.setSeizKindCd((String) dataSetMap1.get("seizKindCd")); /*  */
			smdoVo.setJudDept((String) dataSetMap1.get("judDept")); /*  */
			smdoVo.setJdcaReqBizNo((String) dataSetMap1.get("jdcaReqBizNo")); /*  */
			smdoVo.setJdcaReqVndrNm((String) dataSetMap1.get("jdcaReqVndrNm")); /*  */
			smdoVo.setPledrJadvReqDt((String) dataSetMap1.get("pledrJadvReqDt")); /*  */
			smdoVo.setPayPlc((String) dataSetMap1.get("payPlc")); /*  */
			smdoVo.setAskDiv((String) dataSetMap1.get("askDiv")); /*  */
			smdoVo.setJstDt((String) dataSetMap1.get("jstDt")); /*  */
			smdoVo.setRegDt((String) dataSetMap1.get("regDt")); /*  */
			smdoVo.setSueFg((String) dataSetMap1.get("sueFg")); /*  */
			smdoVo.setExecStmtWdrwFg((String) dataSetMap1.get("execStmtWdrwFg")); /*  */
			smdoVo.setPpayAmtWdrwDt((String) dataSetMap1.get("ppayAmtWdrwDt")); /*  */
			smdoVo.setDepsAmtWdrwDt((String) dataSetMap1.get("depsAmtWdrwDt")); /*  */
			smdoVo.setAuctDivCd((String) dataSetMap1.get("auctDivCd")); /*  */
			String alotAmt = (String) dataSetMap1.get("alotAmt");
			smdoVo.setAlotAmt(new BigDecimal(Long.parseLong(alotAmt)));
			smdoVo.setAlotAmtWdrwDt((String) dataSetMap1.get("alotAmtWdrwDt")); /*  */
			smdoVo.setDistCortCd((String) dataSetMap1.get("distCortCd")); /*  */
			smdoVo.setCaseNo((String) dataSetMap1.get("caseNo")); /*  */
			smdoVo.setEndTpCd((String) dataSetMap1.get("endTpCd")); /*  */
			smdoVo.setCaseEndDt((String) dataSetMap1.get("caseEndDt")); /*  */
			String askAmt = (String) dataSetMap1.get("askAmt");
			smdoVo.setAskAmt(new BigDecimal(Long.parseLong(askAmt)));
			smdoVo.setPrptRschExclFg((String) dataSetMap1.get("prptRschExclFg")); /*  */
			smdoVo.setWdrwPossStatCd((String) dataSetMap1.get("wdrwPossStatCd")); /*  */
			smdoVo.setWdrwPossTermCd((String) dataSetMap1.get("wdrwPossTermCd")); /*  */
			String dlyPamt = (String) dataSetMap1.get("dlyPamt");
			smdoVo.setDlyPamt(new BigDecimal(Long.parseLong(dlyPamt)));
			String dlyInt = (String) dataSetMap1.get("dlyInt");
			smdoVo.setDlyInt(new BigDecimal(Long.parseLong(dlyInt)));
			String dlyTims = (String) dataSetMap1.get("dlyTims");
			smdoVo.setDlyTims((Long.parseLong(dlyTims)));
			String balPamt = (String) dataSetMap1.get("balPamt");
			smdoVo.setBalPamt(new BigDecimal(Long.parseLong(balPamt)));
			String loanIntRamt = (String) dataSetMap1.get("loanIntRamt");
			smdoVo.setLoanIntRamt(new BigDecimal(Long.parseLong(loanIntRamt)));
			smdoVo.setBndDivsManEmpNo((String) dataSetMap1.get("bndDivsManEmpNo")); /*  */
			smdoVo.setMngDeptCd((String) dataSetMap1.get("mngDeptCd")); /*  */
			smdoVo.setSueDt((String) dataSetMap1.get("sueDt")); /*  */
			smdoVo.setActnRsnCntn((String) dataSetMap1.get("actnRsnCntn")); /*  */
			smdoVo.setConsDt((String) dataSetMap1.get("consDt")); /*  */
			smdoVo.setConsCnclDt((String) dataSetMap1.get("consCnclDt")); /*  */
			smdoVo.setConsStatCd((String) dataSetMap1.get("consStatCd")); /*  */
			smdoVo.setConsRsn((String) dataSetMap1.get("consRsn")); /*  */
			smdoVo.setDutyManAprvEmpNo((String) dataSetMap1.get("dutyManAprvEmpNo")); /*  */
			smdoVo.setDutyManAprvDt((String) dataSetMap1.get("dutyManAprvDt")); /*  */
			smdoVo.setDutyManOpn((String) dataSetMap1.get("dutyManOpn")); /*  */
			smdoVo.setTmgrAprvEmpNo((String) dataSetMap1.get("tmgrAprvEmpNo")); /*  */
			smdoVo.setTmgrAprvDt((String) dataSetMap1.get("tmgrAprvDt")); /*  */
			smdoVo.setTmgrOpn((String) dataSetMap1.get("tmgrOpn")); /*  */
			smdoVo.setBonbAprvEmpNo((String) dataSetMap1.get("bonbAprvEmpNo")); /*  */
			smdoVo.setBonbAprvDt((String) dataSetMap1.get("bonbAprvDt")); /*  */
			smdoVo.setBonbOpn((String) dataSetMap1.get("bonbOpn")); /*  */
			smdoVo.setCustNm((String) dataSetMap1.get("custNm")); /*  */
			smdoVo.setLoanRelNm((String) dataSetMap1.get("loanRelNm")); /*  */
			smdoVo.setDistCortNm((String) dataSetMap1.get("distCortNm")); /*  */
			smdoVo.setCustTrndNm((String) dataSetMap1.get("custTrndNm")); /*  */
			smdoVo.setCntcStatNm((String) dataSetMap1.get("cntcStatNm")); /*  */
			smdoVo.setPayPlcNm((String) dataSetMap1.get("payPlcNm")); /*  */
			smdoVo.setBndDivsManEmpNm((String) dataSetMap1.get("bndDivsManEmpNm")); /*  */
			smdoVo.setDutyManAprvEmpNm((String) dataSetMap1.get("dutyManAprvEmpNm")); /*  */
			smdoVo.setTmgrAprvEmpNm((String) dataSetMap1.get("tmgrAprvEmpNm")); /*  */
			smdoVo.setBonbAprvEmpNm((String) dataSetMap1.get("bonbAprvEmpNm")); /*  */
			smdoVo.setMngPlcBndDivsEmpNo((String) dataSetMap1.get("mngPlcBndDivsEmpNo")); /*  */
			smdoVo.setMngPlcDivCd((String) dataSetMap1.get("mngPlcDivCd")); /*  */
			smdoVo.setCrimTpClasCd((String) dataSetMap1.get("crimTpClasCd")); /*  */
			smdoVo.setCrimTpClasNm((String) dataSetMap1.get("crimTpClasNm")); /*  */
			smdoVo.setOperation((String) dataSetMap1.get("operation")); /*  */

			LOGGER.info("############################### JYP 확인 operation" + smdoVo.getOperation());

			inVO.setBLMLMM02DSSDDO03VO(smdoVo); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

			inVO.setLogInEmpNo((String) dataSetMap1.get("logInEmpNo"));
			LOGGER.info("############################### JYP 확인 LogInEmpNo" + inVO.getLogInEmpNo());
			// }

			// 품의정보를 저장하는 역할을 한다.
			List<BLMLMM02DSSDDO05VO> inputList2 = new ArrayList<BLMLMM02DSSDDO05VO>();

			LOGGER.info("############################### JYP 건수확인좀 하자 확인:" + dataSetMap2.size());

			if (dataSetMap2 != null && dataSetMap2.size() > 0) {
				for (int i = 0; i < dataSetMap2.size(); i++) {
					/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
					BLMLMM02DSSDDO05VO smdoVo2 = new BLMLMM02DSSDDO05VO();

					smdoVo2.setLoanNo((String) dataSetMap2.get(i).get("loanNo")); /*  */
					smdoVo2.setLoanSeq((String) dataSetMap2.get(i).get("loanSeq")); /*  */
					smdoVo2.setConsShNo((String) dataSetMap2.get(i).get("consShNo")); /*  */
					smdoVo2.setPrptTpCd((String) dataSetMap2.get(i).get("prptTpCd")); /*  */
					String snum = (String) dataSetMap2.get(i).get("snum");
					smdoVo2.setSnum((Long.parseLong(snum))); /*  */
					smdoVo2.setCustNo((String) dataSetMap2.get(i).get("custNo")); /*  */
					smdoVo2.setPrptKindNm((String) dataSetMap2.get(i).get("prptKindNm")); /*  */
					smdoVo2.setArea((String) dataSetMap2.get(i).get("area")); /*  */
					smdoVo2.setGodsPlcAddr((String) dataSetMap2.get(i).get("godsPlcAddr")); /*  */
					smdoVo2.setPreRankMrtgCnt((String) dataSetMap2.get(i).get("preRankMrtgCnt")); /*  */
					smdoVo2.setPreRankMrtgAmt((String) dataSetMap2.get(i).get("preRankMrtgAmt")); /*  */
					smdoVo2.setPreRankProvSeizCnt((String) dataSetMap2.get(i).get("preRankProvSeizCnt")); /*  */
					smdoVo2.setPreRankProvSeizAmt((String) dataSetMap2.get(i).get("preRankProvSeizAmt")); /*  */
					smdoVo2.setJudgAmt((String) dataSetMap2.get(i).get("judgAmt")); /*  */
					smdoVo2.setCnvsVal((String) dataSetMap2.get(i).get("cnvsVal")); /*  */

					smdoVo2.setOperation((String) dataSetMap2.get(i).get("operation")); /*  */

					LOGGER.info("############################### JYP operation 확인좀 하자 확인:" + smdoVo2.getOperation());

					inputList2.add(smdoVo2);
				}
			}

			inVO.setBLMLMM02DSSDDO05VO(inputList2); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

			LOGGER.info("##### inVO = " + inVO.toString());

			/** 법조치 본부결재단계확인 조회 업무 서비스 호출 수행 */
			BLMLMM02.getBLMLMM02U01(inVO);

			// XFrame5Util.setOutputData("DS_SDDO06", outVo.getBLMLMM02DSPROFMNGVO(),
			// model); /** 법조치품의 증빙내역조회 */

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U01 Normal End #####");
		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U01 Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>
	 * 메소드명 : 법조치품의신청처리 /BLMLMM02U02.do
	 * </p>
	 * <p>
	 * 작성일자 : 2023. 3. 17.
	 * <p>
	 * 작성자(author): 70281
	 * <p>
	 * 설명 : 법조치품의신청 처리한다.
	 * </p>
	 * <p>
	 * 예외처리 : Exception
	 * </p>
	 */
	@RequestMapping("/BLMLMM02U02.do")
	public String BLMLMM02U02(HttpServletRequest request, HttpServletResponse response, ModelMap model)
			throws Exception {

		LOGGER.info("##### BLMLMM02Controller BLMLMM02U02 Start #####");

		try {

			/* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> dataSetMap1 = XFrame5DataSetUtil.getXFrameDataSet("DS_SDDO03", request, response,
					model); // 퓸의정보

			LOGGER.info("############################### List Before");

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BLMLMM02U02InVO inVO = new BLMLMM02U02InVO();

			/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
			BLMLMM02DSSDDO03VO smdoVo = new BLMLMM02DSSDDO03VO();

			smdoVo.setLoanNo((String) dataSetMap1.get("loanNo")); /*  */
			smdoVo.setLoanSeq((String) dataSetMap1.get("loanSeq")); /*  */
			smdoVo.setConsShNo((String) dataSetMap1.get("consShNo")); /*  */
			smdoVo.setCustNo((String) dataSetMap1.get("custNo")); /*  */
			smdoVo.setPrptTpCd((String) dataSetMap1.get("prptTpCd")); /*  */
			smdoVo.setPrptKindCd((String) dataSetMap1.get("prptKindCd")); /*  */
			smdoVo.setActnStatCd((String) dataSetMap1.get("actnStatCd")); /*  */
			smdoVo.setActnStatOccrDt((String) dataSetMap1.get("actnStatOccrDt")); /*  */
			smdoVo.setActnTpCd((String) dataSetMap1.get("actnTpCd")); /*  */
			smdoVo.setAskCausCd((String) dataSetMap1.get("askCausCd")); /*  */
			smdoVo.setCaseKindCd((String) dataSetMap1.get("caseKindCd")); /*  */
			smdoVo.setLwstKindCd((String) dataSetMap1.get("lwstKindCd")); /*  */
			smdoVo.setSeizKindCd((String) dataSetMap1.get("seizKindCd")); /*  */
			smdoVo.setJudDept((String) dataSetMap1.get("judDept")); /*  */
			smdoVo.setJdcaReqBizNo((String) dataSetMap1.get("jdcaReqBizNo")); /*  */
			smdoVo.setJdcaReqVndrNm((String) dataSetMap1.get("jdcaReqVndrNm")); /*  */
			smdoVo.setPledrJadvReqDt((String) dataSetMap1.get("pledrJadvReqDt")); /*  */
			smdoVo.setPayPlc((String) dataSetMap1.get("payPlc")); /*  */
			smdoVo.setAskDiv((String) dataSetMap1.get("askDiv")); /*  */
			smdoVo.setJstDt((String) dataSetMap1.get("jstDt")); /*  */
			smdoVo.setRegDt((String) dataSetMap1.get("regDt")); /*  */
			smdoVo.setSueFg((String) dataSetMap1.get("sueFg")); /*  */
			smdoVo.setExecStmtWdrwFg((String) dataSetMap1.get("execStmtWdrwFg")); /*  */
			smdoVo.setPpayAmtWdrwDt((String) dataSetMap1.get("ppayAmtWdrwDt")); /*  */
			smdoVo.setDepsAmtWdrwDt((String) dataSetMap1.get("depsAmtWdrwDt")); /*  */
			smdoVo.setAuctDivCd((String) dataSetMap1.get("auctDivCd")); /*  */
			String alotAmt = (String) dataSetMap1.get("alotAmt");
			smdoVo.setAlotAmt(new BigDecimal(Long.parseLong(alotAmt)));
			smdoVo.setAlotAmtWdrwDt((String) dataSetMap1.get("alotAmtWdrwDt")); /*  */
			smdoVo.setDistCortCd((String) dataSetMap1.get("distCortCd")); /*  */
			smdoVo.setCaseNo((String) dataSetMap1.get("caseNo")); /*  */
			smdoVo.setEndTpCd((String) dataSetMap1.get("endTpCd")); /*  */
			smdoVo.setCaseEndDt((String) dataSetMap1.get("caseEndDt")); /*  */
			String askAmt = (String) dataSetMap1.get("askAmt");
			smdoVo.setAskAmt(new BigDecimal(Long.parseLong(askAmt)));
			smdoVo.setPrptRschExclFg((String) dataSetMap1.get("prptRschExclFg")); /*  */
			smdoVo.setWdrwPossStatCd((String) dataSetMap1.get("wdrwPossStatCd")); /*  */
			smdoVo.setWdrwPossTermCd((String) dataSetMap1.get("wdrwPossTermCd")); /*  */
			String dlyPamt = (String) dataSetMap1.get("dlyPamt");
			smdoVo.setDlyPamt(new BigDecimal(Long.parseLong(dlyPamt)));
			String dlyInt = (String) dataSetMap1.get("dlyInt");
			smdoVo.setDlyInt(new BigDecimal(Long.parseLong(dlyInt)));
			String dlyTims = (String) dataSetMap1.get("dlyTims");
			smdoVo.setDlyTims((Long.parseLong(dlyTims)));
			String balPamt = (String) dataSetMap1.get("balPamt");
			smdoVo.setBalPamt(new BigDecimal(Long.parseLong(balPamt)));
			String loanIntRamt = (String) dataSetMap1.get("loanIntRamt");
			smdoVo.setLoanIntRamt(new BigDecimal(Long.parseLong(loanIntRamt)));
			smdoVo.setBndDivsManEmpNo((String) dataSetMap1.get("bndDivsManEmpNo")); /*  */
			smdoVo.setMngDeptCd((String) dataSetMap1.get("mngDeptCd")); /*  */
			smdoVo.setSueDt((String) dataSetMap1.get("sueDt")); /*  */
			smdoVo.setActnRsnCntn((String) dataSetMap1.get("actnRsnCntn")); /*  */
			smdoVo.setConsDt((String) dataSetMap1.get("consDt")); /*  */
			smdoVo.setConsCnclDt((String) dataSetMap1.get("consCnclDt")); /*  */
			smdoVo.setConsStatCd((String) dataSetMap1.get("consStatCd")); /*  */
			smdoVo.setConsRsn((String) dataSetMap1.get("consRsn")); /*  */
			smdoVo.setDutyManAprvEmpNo((String) dataSetMap1.get("dutyManAprvEmpNo")); /*  */
			smdoVo.setDutyManAprvDt((String) dataSetMap1.get("dutyManAprvDt")); /*  */
			smdoVo.setDutyManOpn((String) dataSetMap1.get("dutyManOpn")); /*  */
			smdoVo.setTmgrAprvEmpNo((String) dataSetMap1.get("tmgrAprvEmpNo")); /*  */
			smdoVo.setTmgrAprvDt((String) dataSetMap1.get("tmgrAprvDt")); /*  */
			smdoVo.setTmgrOpn((String) dataSetMap1.get("tmgrOpn")); /*  */
			smdoVo.setBonbAprvEmpNo((String) dataSetMap1.get("bonbAprvEmpNo")); /*  */
			smdoVo.setBonbAprvDt((String) dataSetMap1.get("bonbAprvDt")); /*  */
			smdoVo.setBonbOpn((String) dataSetMap1.get("bonbOpn")); /*  */
			smdoVo.setCustNm((String) dataSetMap1.get("custNm")); /*  */
			smdoVo.setLoanRelNm((String) dataSetMap1.get("loanRelNm")); /*  */
			smdoVo.setDistCortNm((String) dataSetMap1.get("distCortNm")); /*  */
			smdoVo.setCustTrndNm((String) dataSetMap1.get("custTrndNm")); /*  */
			smdoVo.setCntcStatNm((String) dataSetMap1.get("cntcStatNm")); /*  */
			smdoVo.setPayPlcNm((String) dataSetMap1.get("payPlcNm")); /*  */
			smdoVo.setBndDivsManEmpNm((String) dataSetMap1.get("bndDivsManEmpNm")); /*  */
			smdoVo.setDutyManAprvEmpNm((String) dataSetMap1.get("dutyManAprvEmpNm")); /*  */
			smdoVo.setTmgrAprvEmpNm((String) dataSetMap1.get("tmgrAprvEmpNm")); /*  */
			smdoVo.setBonbAprvEmpNm((String) dataSetMap1.get("bonbAprvEmpNm")); /*  */
			smdoVo.setMngPlcBndDivsEmpNo((String) dataSetMap1.get("mngPlcBndDivsEmpNo")); /*  */
			smdoVo.setMngPlcDivCd((String) dataSetMap1.get("mngPlcDivCd")); /*  */
			smdoVo.setCrimTpClasCd((String) dataSetMap1.get("crimTpClasCd")); /*  */
			smdoVo.setCrimTpClasNm((String) dataSetMap1.get("crimTpClasNm")); /*  */
			smdoVo.setOperation((String) dataSetMap1.get("operation")); /*  */

			LOGGER.info("############################### JYP 확인 operation" + smdoVo.getOperation());

			inVO.setBLMLMM02DSSDDO03VO(smdoVo); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

			inVO.setLogInEmpNo((String) dataSetMap1.get("logInEmpNo"));
			LOGGER.info("############################### JYP 확인 LogInEmpNo" + inVO.getLogInEmpNo());

			/** 법조치 본부결재단계확인 조회 업무 서비스 호출 수행 */
			BLMLMM02.getBLMLMM02U02(inVO);

			// XFrame5Util.setOutputData("DS_SDDO06", outVo.getBLMLMM02DSPROFMNGVO(),
			// model); /** 법조치품의 증빙내역조회 */

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U02 Normal End #####");
		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U02 Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>
	 * 메소드명 : 법조치품의신청 취소처리 /BLMLMM02U03.do
	 * </p>
	 * <p>
	 * 작성일자 : 2023. 3. 17.
	 * <p>
	 * 작성자(author): 70281
	 * <p>
	 * 설명 : 법조치품의신청취소 처리한다.
	 * </p>
	 * <p>
	 * 예외처리 : Exception
	 * </p>
	 */
	@RequestMapping("/BLMLMM02U03.do")
	public String BLMLMM02U03(HttpServletRequest request, HttpServletResponse response, ModelMap model)
			throws Exception {

		LOGGER.info("##### BLMLMM02Controller BLMLMM02U03 Start #####");

		try {

			/* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> dataSetMap1 = XFrame5DataSetUtil.getXFrameDataSet("DS_SDDO03", request, response,
					model); // 퓸의정보

			LOGGER.info("############################### List Before");

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BLMLMM02U03InVO inVO = new BLMLMM02U03InVO();

			// 품의정보를 저장하는 역할을 한다.
			if (dataSetMap1 != null && dataSetMap1.size() > 0) {
				/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
				BLMLMM02DSSDDO03VO smdoVo = new BLMLMM02DSSDDO03VO();

				smdoVo.setLoanNo((String) dataSetMap1.get("loanNo")); /* 대출번호 */
				smdoVo.setLoanSeq((String) dataSetMap1.get("loanSeq")); /* 대출순번 */
				smdoVo.setConsShNo((String) dataSetMap1.get("consShNo")); /* 품의서번호 */
				smdoVo.setConsRsn((String) dataSetMap1.get("consRsn")); /* 품의사유 */

				inVO.setBLMLMM02DSSDDO03VO(smdoVo); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

				inVO.setLogInEmpNo((String) dataSetMap1.get("logInEmpNo"));
			}

			LOGGER.info("##### inVO = " + inVO.toString());

			/** 법조치 본부결재단계확인 조회 업무 서비스 호출 수행 */
			BLMLMM02.getBLMLMM02U03(inVO);

			// XFrame5Util.setOutputData("DS_SDDO06", outVo.getBLMLMM02DSPROFMNGVO(),
			// model); /** 법조치품의 증빙내역조회 */

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U03 Normal End #####");
		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U03 Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>
	 * 메소드명 : 법조치품의신청 본부장승인 처리 /BLMLMM02U04.do
	 * </p>
	 * <p>
	 * 작성일자 : 2023. 3. 17.
	 * <p>
	 * 작성자(author): 70281
	 * <p>
	 * 설명 : 법조치품의신청 본부장승인 처리 처리한다.
	 * </p>
	 * <p>
	 * 예외처리 : Exception
	 * </p>
	 */
	@RequestMapping("/BLMLMM02U04.do")
	public String BLMLMM02U04(HttpServletRequest request, HttpServletResponse response, ModelMap model)
			throws Exception {

		LOGGER.info("##### BLMLMM02Controller BLMLMM02U04 Start #####");

		try {

			/* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> dataSetMap1 = XFrame5DataSetUtil.getXFrameDataSet("DS_SDDO03", request, response,
					model); // 퓸의정보

			LOGGER.info("############################### List Before");

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BLMLMM02U04InVO inVO = new BLMLMM02U04InVO();

			// 품의정보를 저장하는 역할을 한다.
			if (dataSetMap1 != null && dataSetMap1.size() > 0) {
				/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
				BLMLMM02DSSDDO03VO smdoVo = new BLMLMM02DSSDDO03VO();

				smdoVo.setLoanNo((String) dataSetMap1.get("loanNo")); /* 대출번호 */
				smdoVo.setLoanSeq((String) dataSetMap1.get("loanSeq")); /* 대출순번 */
				smdoVo.setConsShNo((String) dataSetMap1.get("consShNo")); /* 품의서번호 */
				smdoVo.setConsRsn((String) dataSetMap1.get("consRsn")); /* 품의사유 */

				inVO.setBLMLMM02DSSDDO03VO(smdoVo); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

				inVO.setLogInEmpNo((String) dataSetMap1.get("logInEmpNo"));
			}

			LOGGER.info("##### inVO = " + inVO.toString());

			/** 법조치 본부결재단계확인 조회 업무 서비스 호출 수행 */
			BLMLMM02.getBLMLMM02U04(inVO);

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U04 Normal End #####");
		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U04 Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>
	 * 메소드명 : 법조치품의신청반려 처리 /BLMLMM02U05.do
	 * </p>
	 * <p>
	 * 작성일자 : 2023. 3. 17.
	 * <p>
	 * 작성자(author): 70281
	 * <p>
	 * 설명 : 법조치품의신청반려 처리한다.
	 * </p>
	 * <p>
	 * 예외처리 : Exception
	 * </p>
	 */
	@RequestMapping("/BLMLMM02U05.do")
	public String BLMLMM02U05(HttpServletRequest request, HttpServletResponse response, ModelMap model)
			throws Exception {

		LOGGER.info("##### BLMLMM02Controller BLMLMM02U05 Start #####");

		try {

			/* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> dataSetMap1 = XFrame5DataSetUtil.getXFrameDataSet("DS_SDDO03", request, response,
					model); // 퓸의정보

			LOGGER.info("############################### List Before");

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BLMLMM02U05InVO inVO = new BLMLMM02U05InVO();

			// 품의정보를 저장하는 역할을 한다.
			if (dataSetMap1 != null && dataSetMap1.size() > 0) {

				/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
				BLMLMM02DSSDDO03VO smdoVo = new BLMLMM02DSSDDO03VO();

				smdoVo.setLoanNo((String) dataSetMap1.get("loanNo")); /* 대출번호 */
				smdoVo.setLoanSeq((String) dataSetMap1.get("loanSeq")); /* 대출순번 */
				smdoVo.setConsShNo((String) dataSetMap1.get("consShNo")); /* 품의서번호 */
				smdoVo.setConsRsn((String) dataSetMap1.get("consRsn")); /* 품의사유 */

				inVO.setBLMLMM02DSSDDO03VO(smdoVo); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

				inVO.setLogInEmpNo((String) dataSetMap1.get("logInEmpNo"));
			}

			LOGGER.info("##### inVO = " + inVO.toString());

			/** 법조치 본부결재단계확인 조회 업무 서비스 호출 수행 */
			BLMLMM02.getBLMLMM02U05(inVO);

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U05 Normal End #####");
		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U05 Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>
	 * 메소드명 : 법조치품의신청거절 처리 /BLMLMM02U06.do
	 * </p>
	 * <p>
	 * 작성일자 : 2023. 3. 17.
	 * <p>
	 * 작성자(author): 70281
	 * <p>
	 * 설명 : 법조치품의신청거절 처리한다.
	 * </p>
	 * <p>
	 * 예외처리 : Exception
	 * </p>
	 */
	@RequestMapping("/BLMLMM02U06.do")
	public String BLMLMM02U06(HttpServletRequest request, HttpServletResponse response, ModelMap model)
			throws Exception {

		LOGGER.info("##### BLMLMM02Controller BLMLMM02U06 Start #####");

		try {

			/* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> dataSetMap1 = XFrame5DataSetUtil.getXFrameDataSet("DS_SDDO03", request, response,
					model); // 퓸의정보

			LOGGER.info("############################### List Before");

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BLMLMM02U06InVO inVO = new BLMLMM02U06InVO();

			// 품의정보를 저장하는 역할을 한다.
			if (dataSetMap1 != null && dataSetMap1.size() > 0) {
				/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
				BLMLMM02DSSDDO03VO smdoVo = new BLMLMM02DSSDDO03VO();

				smdoVo.setLoanNo((String) dataSetMap1.get("loanNo")); /* 대출번호 */
				smdoVo.setLoanSeq((String) dataSetMap1.get("loanSeq")); /* 대출순번 */
				smdoVo.setConsShNo((String) dataSetMap1.get("consShNo")); /* 품의서번호 */
				smdoVo.setConsRsn((String) dataSetMap1.get("consRsn")); /* 품의사유 */

				inVO.setBLMLMM02DSSDDO03VO(smdoVo); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

				inVO.setLogInEmpNo((String) dataSetMap1.get("logInEmpNo"));

			}

			LOGGER.info("##### inVO = " + inVO.toString());

			/** 법조치 본부결재단계확인 조회 업무 서비스 호출 수행 */
			BLMLMM02.getBLMLMM02U06(inVO);

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U06 Normal End #####");
		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U06 Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>
	 * 메소드명 : 법조치품의 비용발생 처리 /BLMLMM02U07.do
	 * </p>
	 * <p>
	 * 작성일자 : 2023. 3. 17.
	 * <p>
	 * 작성자(author): 70281
	 * <p>
	 * 설명 : 법조치품의 비용발생 처리한다.
	 * </p>
	 * <p>
	 * 예외처리 : Exception
	 * </p>
	 */
	@RequestMapping("/BLMLMM02U07.do")
	public String BLMLMM02U07(HttpServletRequest request, HttpServletResponse response, ModelMap model)
			throws Exception {

		LOGGER.info("##### BLMLMM02Controller BLMLMM02U07 Start #####");

		try {

			/* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> dataSetMap1 = XFrame5DataSetUtil.getXFrameDataSet("DS_SDDO03", request, response,
					model); // 퓸의정보
			List<Map<String, Object>> dataSetMap2 = XFrame5DataSetUtil.getXFrameDataSetList("DS_SDDO04", request,
					response, model); // 비용정보
			List<Map<String, Object>> dataSetMap3 = XFrame5DataSetUtil.getXFrameDataSetList("DS_PROF_MNG", request,
					response, model); // 비용정보

			LOGGER.info("############################### List Before");

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BLMLMM02U07InVO inVO = new BLMLMM02U07InVO();

			LOGGER.info("##### JYP 확인:" + dataSetMap1.size());

			// 품의정보를 저장하는 역할을 한다.
			if (dataSetMap1 != null && dataSetMap1.size() > 0) {
				/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
				BLMLMM02DSSDDO03VO smdoVo = new BLMLMM02DSSDDO03VO();

				smdoVo.setLoanNo((String) dataSetMap1.get("loanNo")); /*  */
				smdoVo.setLoanSeq((String) dataSetMap1.get("loanSeq")); /*  */
				smdoVo.setConsShNo((String) dataSetMap1.get("consShNo")); /*  */
				smdoVo.setCustNo((String) dataSetMap1.get("custNo")); /*  */
				smdoVo.setPrptTpCd((String) dataSetMap1.get("prptTpCd")); /*  */
				smdoVo.setPrptKindCd((String) dataSetMap1.get("prptKindCd")); /*  */
				smdoVo.setActnStatCd((String) dataSetMap1.get("actnStatCd")); /*  */
				smdoVo.setActnStatOccrDt((String) dataSetMap1.get("actnStatOccrDt")); /*  */
				smdoVo.setActnTpCd((String) dataSetMap1.get("actnTpCd")); /*  */
				smdoVo.setAskCausCd((String) dataSetMap1.get("askCausCd")); /*  */
				smdoVo.setCaseKindCd((String) dataSetMap1.get("caseKindCd")); /*  */
				smdoVo.setLwstKindCd((String) dataSetMap1.get("lwstKindCd")); /*  */
				smdoVo.setSeizKindCd((String) dataSetMap1.get("seizKindCd")); /*  */
				smdoVo.setJudDept((String) dataSetMap1.get("judDept")); /*  */
				smdoVo.setJdcaReqBizNo((String) dataSetMap1.get("jdcaReqBizNo")); /*  */
				smdoVo.setJdcaReqVndrNm((String) dataSetMap1.get("jdcaReqVndrNm")); /*  */
				smdoVo.setPledrJadvReqDt((String) dataSetMap1.get("pledrJadvReqDt")); /*  */
				smdoVo.setPayPlc((String) dataSetMap1.get("payPlc")); /*  */
				smdoVo.setAskDiv((String) dataSetMap1.get("askDiv")); /*  */
				smdoVo.setJstDt((String) dataSetMap1.get("jstDt")); /*  */
				smdoVo.setRegDt((String) dataSetMap1.get("regDt")); /*  */
				smdoVo.setSueFg((String) dataSetMap1.get("sueFg")); /*  */
				smdoVo.setExecStmtWdrwFg((String) dataSetMap1.get("execStmtWdrwFg")); /*  */
				smdoVo.setPpayAmtWdrwDt((String) dataSetMap1.get("ppayAmtWdrwDt")); /*  */
				smdoVo.setDepsAmtWdrwDt((String) dataSetMap1.get("depsAmtWdrwDt")); /*  */
				smdoVo.setAuctDivCd((String) dataSetMap1.get("auctDivCd")); /*  */

				String alotAmt = (String) dataSetMap1.get("alotAmt");
				smdoVo.setAlotAmt(new BigDecimal(Long.parseLong(alotAmt)));

				smdoVo.setAlotAmtWdrwDt((String) dataSetMap1.get("alotAmtWdrwDt")); /*  */
				smdoVo.setDistCortCd((String) dataSetMap1.get("distCortCd")); /*  */
				smdoVo.setCaseNo((String) dataSetMap1.get("caseNo")); /*  */
				smdoVo.setEndTpCd((String) dataSetMap1.get("endTpCd")); /*  */
				smdoVo.setCaseEndDt((String) dataSetMap1.get("caseEndDt")); /*  */

				String askAmt = (String) dataSetMap1.get("askAmt");
				smdoVo.setAskAmt(new BigDecimal(Long.parseLong(askAmt))); /*  */

				smdoVo.setPrptRschExclFg((String) dataSetMap1.get("prptRschExclFg")); /*  */
				smdoVo.setWdrwPossStatCd((String) dataSetMap1.get("wdrwPossStatCd")); /*  */
				smdoVo.setWdrwPossTermCd((String) dataSetMap1.get("wdrwPossTermCd")); /*  */

				String dlyPamt = (String) dataSetMap1.get("dlyPamt");
				smdoVo.setDlyPamt(new BigDecimal(Long.parseLong(dlyPamt))); /*  */

				String dlyInt = (String) dataSetMap1.get("dlyInt");
				smdoVo.setDlyInt(new BigDecimal(Long.parseLong(dlyInt))); /*  */

				String dlyTims = (String) dataSetMap1.get("dlyTims");
				smdoVo.setDlyTims((Long.parseLong(dlyTims)));

				String balPamt = (String) dataSetMap1.get("balPamt");
				smdoVo.setBalPamt(new BigDecimal(Long.parseLong(balPamt))); /*  */

				String loanIntRamt = (String) dataSetMap1.get("loanIntRamt");
				smdoVo.setLoanIntRamt(new BigDecimal(Long.parseLong(loanIntRamt))); /*  */

				smdoVo.setBndDivsManEmpNo((String) dataSetMap1.get("bndDivsManEmpNo")); /*  */
				smdoVo.setMngDeptCd((String) dataSetMap1.get("mngDeptCd")); /*  */
				smdoVo.setSueDt((String) dataSetMap1.get("sueDt")); /*  */
				smdoVo.setActnRsnCntn((String) dataSetMap1.get("actnRsnCntn")); /*  */
				smdoVo.setConsDt((String) dataSetMap1.get("consDt")); /*  */
				smdoVo.setConsCnclDt((String) dataSetMap1.get("consCnclDt")); /*  */
				smdoVo.setConsStatCd((String) dataSetMap1.get("consStatCd")); /*  */
				smdoVo.setConsRsn((String) dataSetMap1.get("consRsn")); /*  */
				smdoVo.setDutyManAprvEmpNo((String) dataSetMap1.get("dutyManAprvEmpNo")); /*  */
				smdoVo.setDutyManAprvDt((String) dataSetMap1.get("dutyManAprvDt")); /*  */
				smdoVo.setDutyManOpn((String) dataSetMap1.get("dutyManOpn")); /*  */
				smdoVo.setTmgrAprvEmpNo((String) dataSetMap1.get("tmgrAprvEmpNo")); /*  */
				smdoVo.setTmgrAprvDt((String) dataSetMap1.get("tmgrAprvDt")); /*  */
				smdoVo.setTmgrOpn((String) dataSetMap1.get("tmgrOpn")); /*  */
				smdoVo.setBonbAprvEmpNo((String) dataSetMap1.get("bonbAprvEmpNo")); /*  */
				smdoVo.setBonbAprvDt((String) dataSetMap1.get("bonbAprvDt")); /*  */
				smdoVo.setBonbOpn((String) dataSetMap1.get("bonbOpn")); /*  */
				smdoVo.setCustNm((String) dataSetMap1.get("custNm")); /*  */
				smdoVo.setLoanRelNm((String) dataSetMap1.get("loanRelNm")); /*  */
				smdoVo.setDistCortNm((String) dataSetMap1.get("distCortNm")); /*  */
				smdoVo.setCustTrndNm((String) dataSetMap1.get("custTrndNm")); /*  */
				smdoVo.setCntcStatNm((String) dataSetMap1.get("cntcStatNm")); /*  */
				smdoVo.setPayPlcNm((String) dataSetMap1.get("payPlcNm")); /*  */
				smdoVo.setBndDivsManEmpNm((String) dataSetMap1.get("bndDivsManEmpNm")); /*  */
				smdoVo.setDutyManAprvEmpNm((String) dataSetMap1.get("dutyManAprvEmpNm")); /*  */
				smdoVo.setTmgrAprvEmpNm((String) dataSetMap1.get("tmgrAprvEmpNm")); /*  */
				smdoVo.setBonbAprvEmpNm((String) dataSetMap1.get("bonbAprvEmpNm")); /*  */
				smdoVo.setMngPlcBndDivsEmpNo((String) dataSetMap1.get("mngPlcBndDivsEmpNo")); /*  */
				smdoVo.setMngPlcDivCd((String) dataSetMap1.get("mngPlcDivCd")); /*  */
				smdoVo.setCrimTpClasCd((String) dataSetMap1.get("crimTpClasCd")); /*  */
				smdoVo.setCrimTpClasNm((String) dataSetMap1.get("crimTpClasNm")); /*  */
				smdoVo.setOperation((String) dataSetMap1.get("operation")); /*  */

				inVO.setBLMLMM02DSSDDO03VO(smdoVo); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

				inVO.setLogInEmpNo((String) dataSetMap1.get("logInEmpNo"));
			}

			// 비용정보를 저장하는 역할을 한다.
			List<BLMLMM02DSSDDO04VO> inputList2 = new ArrayList<BLMLMM02DSSDDO04VO>();

			LOGGER.info("##### JYP 확인:" + dataSetMap2.size());

			if (dataSetMap2 != null && dataSetMap2.size() > 0) {
				for (int i = 0; i < dataSetMap2.size(); i++) {
					BLMLMM02DSSDDO04VO smdoVo2 = new BLMLMM02DSSDDO04VO();

					smdoVo2.setLoanNo((String) dataSetMap2.get(i).get("loanNo")); /* 대출_번호 */
					smdoVo2.setLoanSeq((String) dataSetMap2.get(i).get("loanSeq")); /* 대출_순번 */
					smdoVo2.setConsShNo((String) dataSetMap2.get(i).get("consShNo")); /* 품의서_번호 */

					String snum = (String) dataSetMap2.get(i).get("snum");
					smdoVo2.setSnum((Long.parseLong(snum))); /* 전입_일자 */

					smdoVo2.setAcctDt((String) dataSetMap2.get(i).get("acctDt")); /* 회계_일자 */
					smdoVo2.setVochNo((String) dataSetMap2.get(i).get("vochNo")); /* 전표_번호 */

					String depsAmt = (String) dataSetMap2.get(i).get("depsAmt");
					smdoVo2.setDepsAmt(new BigDecimal(Long.parseLong(depsAmt))); /* 공탁금 */

					String etcCost = (String) dataSetMap2.get(i).get("etcCost");
					smdoVo2.setEtcCost(new BigDecimal(Long.parseLong(etcCost))); /* 기타_비용 */

					String depsInsuFee = (String) dataSetMap2.get(i).get("depsInsuFee");
					smdoVo2.setDepsInsuFee(new BigDecimal(Long.parseLong(depsInsuFee))); /* 공탁_보험_료 */

					String stmpLrge = (String) dataSetMap2.get(i).get("stmpLrge");
					smdoVo2.setStmpLrge(new BigDecimal(Long.parseLong(stmpLrge))); /* 인지_대 */

					String crtfplcLrge = (String) dataSetMap2.get(i).get("crtfplcLrge");
					smdoVo2.setCrtfplcLrge(new BigDecimal(Long.parseLong(crtfplcLrge))); /* 증지_대 */

					String dsptFee = (String) dataSetMap2.get(i).get("dsptFee");
					smdoVo2.setDsptFee(new BigDecimal(Long.parseLong(dsptFee))); /* 송달료 */

					String rtax = (String) dataSetMap2.get(i).get("rtax");
					smdoVo2.setRtax(new BigDecimal(Long.parseLong(rtax))); /* 등록세 */

					String ppayamt = (String) dataSetMap2.get(i).get("ppayamt");
					smdoVo2.setPpayamt(new BigDecimal(Long.parseLong(ppayamt))); /* 예납금 */

					String pledJadvFee = (String) dataSetMap2.get(i).get("pledJadvFee");
					smdoVo2.setPledJadvFee(new BigDecimal(Long.parseLong(pledJadvFee))); /* 변호_법무사_수수료 */

					String askAmt = (String) dataSetMap2.get(i).get("askAmt");
					smdoVo2.setAskAmt(new BigDecimal(Long.parseLong(askAmt))); /* 청구_금액 */

					smdoVo2.setAskDt((String) dataSetMap2.get(i).get("askDt")); /* 청구_일자 */
					smdoVo2.setCostCnclFg((String) dataSetMap2.get(i).get("costCnclFg")); /* 비용_취소_여부 */
					smdoVo2.setCostOccrDivCd((String) dataSetMap2.get(i)
							.get("costOccrDivCd")); /* 비용_발생_구분_코드[비용발생구분코드(GUBUN_CODE:B00119)] */
					smdoVo2.setCostJstDivCd((String) dataSetMap2.get(i).get("costJstDivCd")); /* 취소_여부 */

					String recpAmt = (String) dataSetMap2.get(i).get("recpAmt");
					smdoVo2.setRecpAmt(new BigDecimal(Long.parseLong(recpAmt))); /* 수령_금액 */

					smdoVo2.setRecpDt((String) dataSetMap2.get(i).get("recpDt")); /* 수령_일자 */
					smdoVo2.setJstDt((String) dataSetMap2.get(i).get("jstDt")); /* 결제_일자 */
					smdoVo2.setMakeDeptCd(
							(String) dataSetMap2.get(i).get("makeDeptCd")); /* 작성_부서_코드[계정구분코드 (GUBUN_CODE:A00009)] */
					smdoVo2.setAcctDeptCd((String) dataSetMap2.get(i)
							.get("acctDeptCd")); /* 회계_부서_코드[회계_부서_코드(HT_ORG참조)(GUBUN_CODE:A00077)] */
					smdoVo2.setJdcaReqBizNo((String) dataSetMap2.get(i).get("jdcaReqBizNo")); /* 법무사_변호사_사업자등록번호 */
					smdoVo2.setJdcaReqVndrNm((String) dataSetMap2.get(i).get("jdcaReqVndrNm")); /* 법무_의뢰_업체명 */
					smdoVo2.setPledrJadvReqDt((String) dataSetMap2.get(i).get("pledrJadvReqDt")); /* 변호사_법무사_의뢰_일자 */
					smdoVo2.setPayPlc((String) dataSetMap2.get(i).get("payPlc")); /* 지급_처 */
					smdoVo2.setAskDiv((String) dataSetMap2.get(i).get("askDiv")); /* 청구_구분 */
					smdoVo2.setBadDebtAfOccrDiv((String) dataSetMap2.get(i).get("badDebtAfOccrDiv")); /* 대손_후_발생_구분 */

					String pledJdcaFeeVtax = (String) dataSetMap2.get(i).get("pledJdcaFeeVtax");
					smdoVo2.setPledJdcaFeeVtax(new BigDecimal(Long.parseLong(pledJdcaFeeVtax))); /* 변호_법무_수수료_부가세 */

					String etcCostVtax = (String) dataSetMap2.get(i).get("etcCostVtax");
					smdoVo2.setEtcCostVtax(new BigDecimal(Long.parseLong(etcCostVtax))); /* 기타_비용_부가세 */

					String adjAmt = (String) dataSetMap2.get(i).get("adjAmt");
					smdoVo2.setAdjAmt(new BigDecimal(Long.parseLong(adjAmt))); /* 정산_금액 */

					String leglActnCostRamt = (String) dataSetMap2.get(i).get("leglActnCostRamt");
					smdoVo2.setLeglActnCostRamt(new BigDecimal(Long.parseLong(leglActnCostRamt))); /* 법적_조치_비용_잔액 */

					smdoVo2.setCnclFg((String) dataSetMap2.get(i).get("cnclFg")); /* 취소_여부 */
					smdoVo2.setCnclDt((String) dataSetMap2.get(i).get("cnclDt")); /* 취소_일자 */

					String orgSnum = (String) dataSetMap2.get(i).get("orgSnum");
					smdoVo2.setOrgSnum((Long.parseLong(orgSnum))); /* 원_일련번호 */

					String depsAmtAdjAmt = (String) dataSetMap2.get(i).get("depsAmtAdjAmt");
					smdoVo2.setDepsAmtAdjAmt(new BigDecimal(Long.parseLong(depsAmtAdjAmt))); /* 공탁금_정산_금액 */

					String depsAmtRamt = (String) dataSetMap2.get(i).get("depsAmtRamt");
					smdoVo2.setDepsAmtRamt(new BigDecimal(Long.parseLong(depsAmtRamt))); /* 공탁금_잔액 */

					smdoVo2.setOperation((String) dataSetMap2.get(i).get("operation")); /*  */

					inputList2.add(smdoVo2);

				}
			}

			inVO.setBLMLMM02DSSDDO04VO(inputList2); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

			// 비용정보를 저장하는 역할을 한다.
			/*
			 * List<BLMLMM02DSPROFMNGVO> inputList3 = new ArrayList<BLMLMM02DSPROFMNGVO>();
			 *
			 * if (dataSetMap3 != null && dataSetMap3.size() > 0) { for (int i = 0; i <
			 * dataSetMap3.size(); i++) { BLMLMM02DSPROFMNGVO smdoVo3 = new
			 * BLMLMM02DSPROFMNGVO();
			 *
			 * smdoVo3.setLoanNo((String)dataSetMap3.get(i).get("loanNo")); 대출_번호
			 * smdoVo3.setLoanSeq((String)dataSetMap3.get(i).get("loanSeq")); 대출_순번
			 * smdoVo3.setConsShNo((String)dataSetMap3.get(i).get("consShNo")); 품의서_번호
			 *
			 * String snum = (String)dataSetMap3.get(i).get("snum");
			 * smdoVo3.setSnum((Long.parseLong(snum))); 일련번호
			 *
			 * //smdoVo3.setSnum((long)dataSetMap3.get(i).get("snum"));
			 * smdoVo3.setProfSnum((String)dataSetMap3.get(i).get("profSnum")); 증빙_일련번호
			 * smdoVo3.setLeglActnCostKindCd((String)dataSetMap3.get(i).get(
			 * "leglActnCostKindCd")); 법적_조치_비용_종류_코드[법적조치비용종류코드 (GUBUN_CODE: B00243)]
			 * smdoVo3.setProfKindCd((String)dataSetMap3.get(i).get("profKindCd"));
			 * 증빙_종류_코드[증빙종류코드 (GUBUN_CODE:A00013)]
			 * smdoVo3.setSplyDt((String)dataSetMap3.get(i).get("splyDt")); 공급_일자
			 * smdoVo3.setSplyAmt((BigDecimal)dataSetMap3.get(i).get("splyAmt")); 공급_가
			 * smdoVo3.setVtax((BigDecimal)dataSetMap3.get(i).get("vtax")); 부가세
			 * smdoVo3.setAskAmt((BigDecimal)dataSetMap3.get(i).get("askAmt")); 청구_금액
			 * smdoVo3.setProfNo((String)dataSetMap3.get(i).get("profNo")); 증빙_번호
			 * smdoVo3.setPayplcDivCd((String)dataSetMap3.get(i).get("payplcDivCd"));
			 * 지급처_구분_코드 smdoVo3.setPayplcCd((String)dataSetMap3.get(i).get("payplcCd"));
			 * 지급처_코드 smdoVo3.setBusiCd((String)dataSetMap3.get(i).get("busiCd"));
			 * 거래처_코드[거래처구분코드 (GUBUN_CODE:A00005)]
			 * smdoVo3.setBusiNm((String)dataSetMap3.get(i).get("busiNm")); 거래처_명
			 * smdoVo3.setAddr((String)dataSetMap3.get(i).get("addr")); 주소
			 * smdoVo3.setAddrSpec((String)dataSetMap3.get(i).get("addrSpec")); 주소_상세
			 * smdoVo3.setReprNm((String)dataSetMap3.get(i).get("reprNm")); 대표자_명
			 * smdoVo3.setProfFileRsrvPlc((String)dataSetMap3.get(i).get("profFileRsrvPlc"))
			 * ; 증빙_파일_저장_위치
			 * smdoVo3.setProfRlFileNm((String)dataSetMap3.get(i).get("profRlFileNm"));
			 * 증빙_실_파일_명
			 * smdoVo3.setProfChngFileNm((String)dataSetMap3.get(i).get("profChngFileNm"));
			 * 증빙_변경_파일_명 smdoVo3.setTaxBillNo((String)dataSetMap3.get(i).get("taxBillNo"));
			 * 세금_계산서_번호
			 * smdoVo3.setAcctDeptCd((String)dataSetMap3.get(i).get("acctDeptCd"));
			 * 회계_부서_코드[회계_부서_코드(HT_ORG참조)(GUBUN_CODE:A00077)]
			 * smdoVo3.setApplDt((String)dataSetMap3.get(i).get("applDt")); 신청_일자
			 * smdoVo3.setApplSnum((long)dataSetMap3.get(i).get("applSnum")); 신청_일련번호
			 * smdoVo3.setOperation((String)dataSetMap3.get(i).get("operation"));
			 *
			 * inputList3.add(smdoVo3);
			 *
			 * } }
			 */

			// inVO.setBLMLMM02DSPROFMNGVO(inputList3); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입
			// */

			LOGGER.info("##### inVO = " + inVO.toString());

			/** 법조치 본부결재단계확인 조회 업무 서비스 호출 수행 */
			BLMLMM02.getBLMLMM02U07(inVO);

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U07 Normal End #####");
		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U07 Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>
	 * 메소드명 : 법조치품의 비용취소 처리 /BLMLMM02U08.do
	 * </p>
	 * <p>
	 * 작성일자 : 2023. 3. 17.
	 * <p>
	 * 작성자(author): 70281
	 * <p>
	 * 설명 : 법조치품의 비용취소 처리한다.
	 * </p>
	 * <p>
	 * 예외처리 : Exception
	 * </p>
	 */
	@RequestMapping("/BLMLMM02U08.do")
	public String BLMLMM02U08(HttpServletRequest request, HttpServletResponse response, ModelMap model)
			throws Exception {

		LOGGER.info("##### BLMLMM02Controller BLMLMM02U08 Start #####");

		try {

			/* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			Map<String, Object> dataSetMap1 = XFrame5DataSetUtil.getXFrameDataSet("DS_SDDO03", request, response,
					model); // 퓸의정보
			List<Map<String, Object>> dataSetMap2 = XFrame5DataSetUtil.getXFrameDataSetList("DS_SDDO04", request,
					response, model); // 비용정보
			List<Map<String, Object>> dataSetMap3 = XFrame5DataSetUtil.getXFrameDataSetList("DS_PROF_MNG", request,
					response, model); // 비용정보

			LOGGER.info("############################### List Before");

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BLMLMM02U08InVO inVO = new BLMLMM02U08InVO();

			// 품의정보를 저장하는 역할을 한다.
			if (dataSetMap1 != null && dataSetMap1.size() > 0) {
				/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
				BLMLMM02DSSDDO03VO smdoVo = new BLMLMM02DSSDDO03VO();

				smdoVo.setLoanNo((String) dataSetMap1.get("loanNo")); /*  */
				smdoVo.setLoanSeq((String) dataSetMap1.get("loanSeq")); /*  */
				smdoVo.setConsShNo((String) dataSetMap1.get("consShNo")); /*  */
				smdoVo.setCustNo((String) dataSetMap1.get("custNo")); /*  */
				smdoVo.setPrptTpCd((String) dataSetMap1.get("prptTpCd")); /*  */
				smdoVo.setPrptKindCd((String) dataSetMap1.get("prptKindCd")); /*  */
				smdoVo.setActnStatCd((String) dataSetMap1.get("actnStatCd")); /*  */
				smdoVo.setActnStatOccrDt((String) dataSetMap1.get("actnStatOccrDt")); /*  */
				smdoVo.setActnTpCd((String) dataSetMap1.get("actnTpCd")); /*  */
				smdoVo.setAskCausCd((String) dataSetMap1.get("askCausCd")); /*  */
				smdoVo.setCaseKindCd((String) dataSetMap1.get("caseKindCd")); /*  */
				smdoVo.setLwstKindCd((String) dataSetMap1.get("lwstKindCd")); /*  */
				smdoVo.setSeizKindCd((String) dataSetMap1.get("seizKindCd")); /*  */
				smdoVo.setJudDept((String) dataSetMap1.get("judDept")); /*  */
				smdoVo.setJdcaReqBizNo((String) dataSetMap1.get("jdcaReqBizNo")); /*  */
				smdoVo.setJdcaReqVndrNm((String) dataSetMap1.get("jdcaReqVndrNm")); /*  */
				smdoVo.setPledrJadvReqDt((String) dataSetMap1.get("pledrJadvReqDt")); /*  */
				smdoVo.setPayPlc((String) dataSetMap1.get("payPlc")); /*  */
				smdoVo.setAskDiv((String) dataSetMap1.get("askDiv")); /*  */
				smdoVo.setJstDt((String) dataSetMap1.get("jstDt")); /*  */
				smdoVo.setRegDt((String) dataSetMap1.get("regDt")); /*  */
				smdoVo.setSueFg((String) dataSetMap1.get("sueFg")); /*  */
				smdoVo.setExecStmtWdrwFg((String) dataSetMap1.get("execStmtWdrwFg")); /*  */
				smdoVo.setPpayAmtWdrwDt((String) dataSetMap1.get("ppayAmtWdrwDt")); /*  */
				smdoVo.setDepsAmtWdrwDt((String) dataSetMap1.get("depsAmtWdrwDt")); /*  */
				smdoVo.setAuctDivCd((String) dataSetMap1.get("auctDivCd")); /*  */

				String alotAmt = (String) dataSetMap1.get("alotAmt");
				smdoVo.setAlotAmt(new BigDecimal(Long.parseLong(alotAmt))); /*  */

				smdoVo.setAlotAmtWdrwDt((String) dataSetMap1.get("alotAmtWdrwDt")); /*  */
				smdoVo.setDistCortCd((String) dataSetMap1.get("distCortCd")); /*  */
				smdoVo.setCaseNo((String) dataSetMap1.get("caseNo")); /*  */
				smdoVo.setEndTpCd((String) dataSetMap1.get("endTpCd")); /*  */
				smdoVo.setCaseEndDt((String) dataSetMap1.get("caseEndDt")); /*  */

				String askAmt = (String) dataSetMap1.get("askAmt");
				smdoVo.setAskAmt(new BigDecimal(Long.parseLong(askAmt))); /*  */

				smdoVo.setPrptRschExclFg((String) dataSetMap1.get("prptRschExclFg")); /*  */
				smdoVo.setWdrwPossStatCd((String) dataSetMap1.get("wdrwPossStatCd")); /*  */
				smdoVo.setWdrwPossTermCd((String) dataSetMap1.get("wdrwPossTermCd")); /*  */

				String dlyPamt = (String) dataSetMap1.get("dlyPamt");
				smdoVo.setDlyPamt(new BigDecimal(Long.parseLong(dlyPamt))); /*  */

				String dlyInt = (String) dataSetMap1.get("dlyInt");
				smdoVo.setDlyInt(new BigDecimal(Long.parseLong(dlyInt))); /*  */

				String dlyTims = (String) dataSetMap1.get("dlyTims");
				smdoVo.setDlyTims((Long.parseLong(dlyTims))); /*  */

				String balPamt = (String) dataSetMap1.get("balPamt");
				smdoVo.setBalPamt(new BigDecimal(Long.parseLong(balPamt))); /*  */

				String loanIntRamt = (String) dataSetMap1.get("loanIntRamt");
				smdoVo.setLoanIntRamt(new BigDecimal(Long.parseLong(loanIntRamt))); /*  */

				smdoVo.setBndDivsManEmpNo((String) dataSetMap1.get("bndDivsManEmpNo")); /*  */
				smdoVo.setMngDeptCd((String) dataSetMap1.get("mngDeptCd")); /*  */
				smdoVo.setSueDt((String) dataSetMap1.get("sueDt")); /*  */
				smdoVo.setActnRsnCntn((String) dataSetMap1.get("actnRsnCntn")); /*  */
				smdoVo.setConsDt((String) dataSetMap1.get("consDt")); /*  */
				smdoVo.setConsCnclDt((String) dataSetMap1.get("consCnclDt")); /*  */
				smdoVo.setConsStatCd((String) dataSetMap1.get("consStatCd")); /*  */
				smdoVo.setConsRsn((String) dataSetMap1.get("consRsn")); /*  */
				smdoVo.setDutyManAprvEmpNo((String) dataSetMap1.get("dutyManAprvEmpNo")); /*  */
				smdoVo.setDutyManAprvDt((String) dataSetMap1.get("dutyManAprvDt")); /*  */
				smdoVo.setDutyManOpn((String) dataSetMap1.get("dutyManOpn")); /*  */
				smdoVo.setTmgrAprvEmpNo((String) dataSetMap1.get("tmgrAprvEmpNo")); /*  */
				smdoVo.setTmgrAprvDt((String) dataSetMap1.get("tmgrAprvDt")); /*  */
				smdoVo.setTmgrOpn((String) dataSetMap1.get("tmgrOpn")); /*  */
				smdoVo.setBonbAprvEmpNo((String) dataSetMap1.get("bonbAprvEmpNo")); /*  */
				smdoVo.setBonbAprvDt((String) dataSetMap1.get("bonbAprvDt")); /*  */
				smdoVo.setBonbOpn((String) dataSetMap1.get("bonbOpn")); /*  */
				smdoVo.setCustNm((String) dataSetMap1.get("custNm")); /*  */
				smdoVo.setLoanRelNm((String) dataSetMap1.get("loanRelNm")); /*  */
				smdoVo.setDistCortNm((String) dataSetMap1.get("distCortNm")); /*  */
				smdoVo.setCustTrndNm((String) dataSetMap1.get("custTrndNm")); /*  */
				smdoVo.setCntcStatNm((String) dataSetMap1.get("cntcStatNm")); /*  */
				smdoVo.setPayPlcNm((String) dataSetMap1.get("payPlcNm")); /*  */
				smdoVo.setBndDivsManEmpNm((String) dataSetMap1.get("bndDivsManEmpNm")); /*  */
				smdoVo.setDutyManAprvEmpNm((String) dataSetMap1.get("dutyManAprvEmpNm")); /*  */
				smdoVo.setTmgrAprvEmpNm((String) dataSetMap1.get("tmgrAprvEmpNm")); /*  */
				smdoVo.setBonbAprvEmpNm((String) dataSetMap1.get("bonbAprvEmpNm")); /*  */
				smdoVo.setMngPlcBndDivsEmpNo((String) dataSetMap1.get("mngPlcBndDivsEmpNo")); /*  */
				smdoVo.setMngPlcDivCd((String) dataSetMap1.get("mngPlcDivCd")); /*  */
				smdoVo.setCrimTpClasCd((String) dataSetMap1.get("crimTpClasCd")); /*  */
				smdoVo.setCrimTpClasNm((String) dataSetMap1.get("crimTpClasNm")); /*  */
				smdoVo.setOperation((String) dataSetMap1.get("operation")); /*  */

				inVO.setBLMLMM02DSSDDO03VO(smdoVo); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

				inVO.setLogInEmpNo((String) dataSetMap1.get("logInEmpNo"));
			} else {
				throw new Exception("발행할 법적조치비용이 0원입니다.");
			}

			// 비용정보를 저장하는 역할을 한다.
			List<BLMLMM02DSSDDO04VO> inputList2 = new ArrayList<BLMLMM02DSSDDO04VO>();

			if (dataSetMap2 != null && dataSetMap2.size() > 0) {
				for (int i = 0; i < dataSetMap2.size(); i++) {
					BLMLMM02DSSDDO04VO smdoVo2 = new BLMLMM02DSSDDO04VO();

					smdoVo2.setLoanNo((String) dataSetMap2.get(i).get("loanNo")); /* 대출_번호 */
					smdoVo2.setLoanSeq((String) dataSetMap2.get(i).get("loanSeq")); /* 대출_순번 */
					smdoVo2.setConsShNo((String) dataSetMap2.get(i).get("consShNo")); /* 품의서_번호 */

					String snum = (String) dataSetMap2.get(i).get("snum");
					smdoVo2.setSnum((Long.parseLong(snum))); /* 전입_일자 */

					smdoVo2.setAcctDt((String) dataSetMap2.get(i).get("acctDt")); /* 회계_일자 */
					smdoVo2.setVochNo((String) dataSetMap2.get(i).get("vochNo")); /* 전표_번호 */

					String depsAmt = (String) dataSetMap2.get(i).get("depsAmt");
					smdoVo2.setDepsAmt(new BigDecimal(Long.parseLong(depsAmt))); /* 공탁금 */

					String etcCost = (String) dataSetMap2.get(i).get("etcCost");
					smdoVo2.setEtcCost(new BigDecimal(Long.parseLong(etcCost))); /* 기타_비용 */

					String depsInsuFee = (String) dataSetMap2.get(i).get("depsInsuFee");
					smdoVo2.setDepsInsuFee(new BigDecimal(Long.parseLong(depsInsuFee))); /* 공탁_보험_료 */

					String stmpLrge = (String) dataSetMap2.get(i).get("stmpLrge");
					smdoVo2.setStmpLrge(new BigDecimal(Long.parseLong(stmpLrge))); /* 인지_대 */

					String crtfplcLrge = (String) dataSetMap2.get(i).get("crtfplcLrge");
					smdoVo2.setCrtfplcLrge(new BigDecimal(Long.parseLong(crtfplcLrge))); /* 증지_대 */

					String dsptFee = (String) dataSetMap2.get(i).get("dsptFee");
					smdoVo2.setDsptFee(new BigDecimal(Long.parseLong(dsptFee))); /* 송달료 */

					String rtax = (String) dataSetMap2.get(i).get("rtax");
					smdoVo2.setRtax(new BigDecimal(Long.parseLong(rtax))); /* 등록세 */

					String ppayamt = (String) dataSetMap2.get(i).get("ppayamt");
					smdoVo2.setPpayamt(new BigDecimal(Long.parseLong(ppayamt))); /* 예납금 */

					String pledJadvFee = (String) dataSetMap2.get(i).get("pledJadvFee");
					smdoVo2.setPledJadvFee(new BigDecimal(Long.parseLong(pledJadvFee))); /* 변호_법무사_수수료 */

					String askAmt = (String) dataSetMap2.get(i).get("askAmt");
					smdoVo2.setAskAmt(new BigDecimal(Long.parseLong(askAmt))); /* 청구_금액 */

					smdoVo2.setAskDt((String) dataSetMap2.get(i).get("askDt")); /* 청구_일자 */
					smdoVo2.setCostCnclFg((String) dataSetMap2.get(i).get("costCnclFg")); /* 비용_취소_여부 */
					smdoVo2.setCostOccrDivCd((String) dataSetMap2.get(i)
							.get("costOccrDivCd")); /* 비용_발생_구분_코드[비용발생구분코드(GUBUN_CODE:B00119)] */
					smdoVo2.setCostJstDivCd((String) dataSetMap2.get(i).get("costJstDivCd")); /* 취소_여부 */

					String recpAmt = (String) dataSetMap2.get(i).get("recpAmt");
					smdoVo2.setRecpAmt(new BigDecimal(Long.parseLong(recpAmt))); /* 수령_금액 */

					smdoVo2.setRecpDt((String) dataSetMap2.get(i).get("recpDt")); /* 수령_일자 */
					smdoVo2.setJstDt((String) dataSetMap2.get(i).get("jstDt")); /* 결제_일자 */
					smdoVo2.setMakeDeptCd(
							(String) dataSetMap2.get(i).get("makeDeptCd")); /* 작성_부서_코드[계정구분코드 (GUBUN_CODE:A00009)] */
					smdoVo2.setAcctDeptCd((String) dataSetMap2.get(i)
							.get("acctDeptCd")); /* 회계_부서_코드[회계_부서_코드(HT_ORG참조)(GUBUN_CODE:A00077)] */
					smdoVo2.setJdcaReqBizNo((String) dataSetMap2.get(i).get("jdcaReqBizNo")); /* 법무사_변호사_사업자등록번호 */
					smdoVo2.setJdcaReqVndrNm((String) dataSetMap2.get(i).get("jdcaReqVndrNm")); /* 법무_의뢰_업체명 */
					smdoVo2.setPledrJadvReqDt((String) dataSetMap2.get(i).get("pledrJadvReqDt")); /* 변호사_법무사_의뢰_일자 */
					smdoVo2.setPayPlc((String) dataSetMap2.get(i).get("payPlc")); /* 지급_처 */
					smdoVo2.setAskDiv((String) dataSetMap2.get(i).get("askDiv")); /* 청구_구분 */
					smdoVo2.setBadDebtAfOccrDiv((String) dataSetMap2.get(i).get("badDebtAfOccrDiv")); /* 대손_후_발생_구분 */

					String pledJdcaFeeVtax = (String) dataSetMap2.get(i).get("pledJdcaFeeVtax");
					smdoVo2.setPledJdcaFeeVtax(new BigDecimal(Long.parseLong(pledJdcaFeeVtax))); /* 변호_법무_수수료_부가세 */

					String etcCostVtax = (String) dataSetMap2.get(i).get("etcCostVtax");
					smdoVo2.setEtcCostVtax(new BigDecimal(Long.parseLong(etcCostVtax))); /* 기타_비용_부가세 */

					String adjAmt = (String) dataSetMap2.get(i).get("adjAmt");
					smdoVo2.setAdjAmt(new BigDecimal(Long.parseLong(adjAmt))); /* 정산_금액 */

					String leglActnCostRamt = (String) dataSetMap2.get(i).get("leglActnCostRamt");
					smdoVo2.setLeglActnCostRamt(new BigDecimal(Long.parseLong(leglActnCostRamt))); /* 법적_조치_비용_잔액 */

					smdoVo2.setCnclFg((String) dataSetMap2.get(i).get("cnclFg")); /* 취소_여부 */
					smdoVo2.setCnclDt((String) dataSetMap2.get(i).get("cnclDt")); /* 취소_일자 */

					String orgSnum = (String) dataSetMap2.get(i).get("orgSnum");
					smdoVo2.setOrgSnum((Long.parseLong(orgSnum))); /* 원_일련번호 */

					String depsAmtAdjAmt = (String) dataSetMap2.get(i).get("depsAmtAdjAmt");
					smdoVo2.setDepsAmtAdjAmt(new BigDecimal(Long.parseLong(depsAmtAdjAmt))); /* 공탁금_정산_금액 */

					String depsAmtRamt = (String) dataSetMap2.get(i).get("depsAmtRamt");
					smdoVo2.setDepsAmtRamt(new BigDecimal(Long.parseLong(depsAmtRamt))); /* 공탁금_잔액 */

					smdoVo2.setOperation((String) dataSetMap2.get(i).get("operation")); /*  */

					inputList2.add(smdoVo2);

				}
			}

			inVO.setBLMLMM02DSSDDO04VO(inputList2); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

			// 비용정보를 저장하는 역할을 한다.
			List<BLMLMM02DSPROFMNGVO> inputList3 = new ArrayList<BLMLMM02DSPROFMNGVO>();
			/*
			 * if (dataSetMap3 != null && dataSetMap3.size() > 0) { for (int i = 0; i <
			 * dataSetMap3.size(); i++) { BLMLMM02DSPROFMNGVO smdoVo3 = new
			 * BLMLMM02DSPROFMNGVO();
			 *
			 * smdoVo3.setLoanNo((String) dataSetMap3.get(i).get("loanNo")); 대출_번호
			 * smdoVo3.setLoanSeq((String) dataSetMap3.get(i).get("loanSeq")); 대출_순번
			 * smdoVo3.setConsShNo((String) dataSetMap3.get(i).get("consShNo")); 품의서_번호
			 * smdoVo3.setSnum((long) dataSetMap3.get(i).get("snum")); 일련번호
			 * smdoVo3.setProfSnum((String) dataSetMap3.get(i).get("profSnum")); 증빙_일련번호
			 * smdoVo3.setLeglActnCostKindCd((String) dataSetMap3.get(i)
			 * .get("leglActnCostKindCd")); 법적_조치_비용_종류_코드[법적조치비용종류코드 (GUBUN_CODE: B00243)]
			 * smdoVo3.setProfKindCd( (String) dataSetMap3.get(i).get("profKindCd"));
			 * 증빙_종류_코드[증빙종류코드 (GUBUN_CODE:A00013)] smdoVo3.setSplyDt((String)
			 * dataSetMap3.get(i).get("splyDt")); 공급_일자 smdoVo3.setSplyAmt((BigDecimal)
			 * dataSetMap3.get(i).get("splyAmt")); 공급_가 smdoVo3.setVtax((BigDecimal)
			 * dataSetMap3.get(i).get("vtax")); 부가세 smdoVo3.setAskAmt((BigDecimal)
			 * dataSetMap3.get(i).get("askAmt")); 청구_금액 smdoVo3.setProfNo((String)
			 * dataSetMap3.get(i).get("profNo")); 증빙_번호 smdoVo3.setPayplcDivCd((String)
			 * dataSetMap3.get(i).get("payplcDivCd")); 지급처_구분_코드
			 * smdoVo3.setPayplcCd((String) dataSetMap3.get(i).get("payplcCd")); 지급처_코드
			 * smdoVo3.setBusiCd( (String) dataSetMap3.get(i).get("busiCd")); 거래처_코드[거래처구분코드
			 * (GUBUN_CODE:A00005)] smdoVo3.setBusiNm((String)
			 * dataSetMap3.get(i).get("busiNm")); 거래처_명 smdoVo3.setAddr((String)
			 * dataSetMap3.get(i).get("addr")); 주소 smdoVo3.setAddrSpec((String)
			 * dataSetMap3.get(i).get("addrSpec")); 주소_상세 smdoVo3.setReprNm((String)
			 * dataSetMap3.get(i).get("reprNm")); 대표자_명 smdoVo3.setProfFileRsrvPlc((String)
			 * dataSetMap3.get(i).get("profFileRsrvPlc")); 증빙_파일_저장_위치
			 * smdoVo3.setProfRlFileNm((String) dataSetMap3.get(i).get("profRlFileNm"));
			 * 증빙_실_파일_명 smdoVo3.setProfChngFileNm((String)
			 * dataSetMap3.get(i).get("profChngFileNm")); 증빙_변경_파일_명
			 * smdoVo3.setTaxBillNo((String) dataSetMap3.get(i).get("taxBillNo")); 세금_계산서_번호
			 * smdoVo3.setAcctDeptCd((String) dataSetMap3.get(i) .get("acctDeptCd"));
			 * 회계_부서_코드[회계_부서_코드(HT_ORG참조)(GUBUN_CODE:A00077)] smdoVo3.setApplDt((String)
			 * dataSetMap3.get(i).get("applDt")); 신청_일자 smdoVo3.setApplSnum((long)
			 * dataSetMap3.get(i).get("applSnum")); 신청_일련번호 smdoVo3.setOperation((String)
			 * dataSetMap3.get(i).get("operation"));
			 *
			 * inputList3.add(smdoVo3);
			 *
			 * } }
			 *
			 * inVO.setBLMLMM02DSPROFMNGVO(inputList3);
			 *//** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 *//*
														*/
			LOGGER.info("##### inVO = " + inVO.toString());

			/** 법조치 본부결재단계확인 조회 업무 서비스 호출 수행 */
			BLMLMM02.getBLMLMM02U08(inVO);

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U08 Normal End #####");
		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U08 Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}

	/**
	 * <p>
	 * 메소드명 : 법조치재산정보 삭제 /BLMLMM02U09.do
	 * </p>
	 * <p>
	 * 작성일자 : 2023. 3. 17.
	 * <p>
	 * 작성자(author): 70281
	 * <p>
	 * 설명 : 법조치재산정보를 삭제한다.
	 * </p>
	 * <p>
	 * 예외처리 : Exception
	 * </p>
	 */
	@RequestMapping("/BLMLMM02U09.do")
	public String BLMLMM02U09(HttpServletRequest request, HttpServletResponse response, ModelMap model)
			throws Exception {

		LOGGER.info("##### BLMLMM02Controller BLMLMM02U09 Start #####");

		try {

			/* XFrame5 UI에서 전달된 특정 DataSet 정보를 추출한다. */
			List<Map<String, Object>> dataSetMap2 = XFrame5DataSetUtil.getXFrameDataSetList("DS_SDDO05", request,
					response, model); // 재산정보

			LOGGER.info("############################### List Before");

			/** SERVICE 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입 */
			BLMLMM02U09InVO inVO = new BLMLMM02U09InVO();

			// 품의정보를 저장하는 역할을 한다.
			List<BLMLMM02DSSDDO05VO> inputList2 = new ArrayList<BLMLMM02DSSDDO05VO>();

			if (dataSetMap2 != null && dataSetMap2.size() > 0) {
				for (int i = 0; i < dataSetMap2.size(); i++) {
					/* 법조치품의관리화면을 조회하는 업무 서비스 호출 입력값 대입 */
					BLMLMM02DSSDDO05VO smdoVo2 = new BLMLMM02DSSDDO05VO();

					smdoVo2.setLoanNo((String) dataSetMap2.get(i).get("loanNo")); /*  */
					smdoVo2.setLoanSeq((String) dataSetMap2.get(i).get("loanSeq")); /*  */
					smdoVo2.setConsShNo((String) dataSetMap2.get(i).get("consShNo")); /*  */
					smdoVo2.setPrptTpCd((String) dataSetMap2.get(i).get("prptTpCd")); /*  */
					String snum = (String) dataSetMap2.get(i).get("snum");
					smdoVo2.setSnum((Long.parseLong(snum))); /*  */
					smdoVo2.setCustNo((String) dataSetMap2.get(i).get("custNo")); /*  */
					smdoVo2.setPrptKindNm((String) dataSetMap2.get(i).get("prptKindNm")); /*  */
					smdoVo2.setArea((String) dataSetMap2.get(i).get("area")); /*  */
					smdoVo2.setGodsPlcAddr((String) dataSetMap2.get(i).get("godsPlcAddr")); /*  */
					smdoVo2.setPreRankMrtgCnt((String) dataSetMap2.get(i).get("preRankMrtgCnt")); /*  */
					smdoVo2.setPreRankMrtgAmt((String) dataSetMap2.get(i).get("preRankMrtgAmt")); /*  */
					smdoVo2.setPreRankProvSeizCnt((String) dataSetMap2.get(i).get("preRankProvSeizCnt")); /*  */
					smdoVo2.setPreRankProvSeizAmt((String) dataSetMap2.get(i).get("preRankProvSeizAmt")); /*  */
					smdoVo2.setJudgAmt((String) dataSetMap2.get(i).get("judgAmt")); /*  */
					smdoVo2.setCnvsVal((String) dataSetMap2.get(i).get("cnvsVal")); /*  */
					smdoVo2.setDelYn((String) dataSetMap2.get(i).get("delYn")); /*  */
					smdoVo2.setOperation((String) dataSetMap2.get(i).get("operation")); /*  */

					inVO.setLogInEmpNo((String) dataSetMap2.get(i).get("logInEmpNo"));

					inputList2.add(smdoVo2);
				}
			}

			inVO.setBLMLMM02DSSDDO05VO(inputList2); /** 법조치품의서관리화면 DS_SMDO 입력값 VO 객체 대입 */

			LOGGER.info("##### inVO = " + inVO.toString());

			/** 법조치 본부결재단계확인 조회 업무 서비스 호출 수행 */
			BLMLMM02.getBLMLMM02U09(inVO);

			// XFrame5Util.setOutputData("DS_SDDO06", outVo.getBLMLMM02DSPROFMNGVO(),
			// model); /** 법조치품의 증빙내역조회 */

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U09 Normal End #####");
		} catch (Exception e) {
			LOGGER.error("Error >>> " + e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

			LOGGER.info("##### BLMLMM02Controller BLMLMM02U09 Exception End #####");
		}
		return XFrame5View.XFRAME5_VIEW;
	}
}
