package hanalife.b.vi.wd.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StCustAddrDTO;
import hanalife.c.co.mapper.dto.StCustBaseDTO;

@Mapper("custMngMapper")
public interface CustMngMapper {

    /**
    * <pre>
    * 메소드명      : searchAddress
    * 작성일자      : 2023. 4. 11.
    * 작성자(author): 70320 jaeho.jang
    * 설명          : 고객유형조회
    * 메소드인수1   :  StCustBaseDTO
    * 메소드리턴값  :  List<StCustBaseDTO>
    * 예외처리      : Exception
    * </pre>
    */
    public List<StCustBaseDTO> searchCustCheck(StCustBaseDTO dto) throws Exception;

    /**
     * <pre>
     * 메소드명      : searchCustAddr
     * 작성일자      : 2023. 4. 11.
     * 작성자(author): 70320 jaeho.jang
     * 설명          : 고객주소조회
     * 메소드인수1   :  StCustBaseDTO
     * 메소드리턴값  :  List<StCustBaseDTO>
     * 예외처리      : Exception
     * </pre>
     */
    public List<StCustAddrDTO> searchCustAddr(StCustAddrDTO dto) throws Exception;
}
