package hanalife.b.vi.wd.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.b.vi.wd.mapper.dto.PrptRschMngDSSDDO01DTO;
import hanalife.b.vi.wd.mapper.dto.PrptRschMngDSSDDO02DTO;
import hanalife.b.vi.wd.mapper.dto.PrptRschMngDSSDDO03DTO;
import hanalife.b.vi.wd.mapper.dto.PrptRschMngDSSDDO04DTO;
import hanalife.b.vi.wd.mapper.dto.PrptRschMngDSSDDO05DTO;
import hanalife.b.vi.wd.mapper.dto.PrptRschMngDSSDDO06DTO;
import hanalife.b.vi.wd.mapper.dto.PrptRschMngDSSDDO07DTO;
import hanalife.b.vi.wd.mapper.dto.PrptRschMngDSSDDO08DTO;
import hanalife.b.vi.wd.mapper.dto.PrptRschMngDSSMDO01DTO;

@Mapper("prptRschMngMapper")
public interface PrptRschMngMapper {

    /** 대출내역정보 리스트 조회 */
    public List<PrptRschMngDSSDDO01DTO> search(PrptRschMngDSSMDO01DTO dto) throws Exception;

    /** 재산정보 조회 */
    public List<PrptRschMngDSSDDO02DTO> searchQuarantors(PrptRschMngDSSMDO01DTO dto) throws Exception;

    /** 총건수 리스트 정보 조회 */
    public List<PrptRschMngDSSDDO03DTO> searchSurvey(PrptRschMngDSSMDO01DTO dto) throws Exception;

    /** 부동산 TAB 리스트 정보 조회 */
    public List<PrptRschMngDSSDDO04DTO> searchEstt(PrptRschMngDSSMDO01DTO dto) throws Exception;

    /** 자동차 TAB 리스트 정보 조회 */
    public List<PrptRschMngDSSDDO05DTO> searchCar(PrptRschMngDSSMDO01DTO dto) throws Exception;

    /** 채권 TAB 리스트 정보 조회 */
    public List<PrptRschMngDSSDDO06DTO> searchBond(PrptRschMngDSSMDO01DTO dto) throws Exception;

    /** 동산 TAB 리스트 정보 조회 */
    public List<PrptRschMngDSSDDO07DTO> searchProp(PrptRschMngDSSMDO01DTO dto) throws Exception;

    /** 관련인 TAB 리스트 정보 조회 */
    public List<PrptRschMngDSSDDO08DTO> searchLoanRelMan(PrptRschMngDSSMDO01DTO dto) throws Exception;

    /** 재산_조사 등록 */
    public int insertBtPrptRsch() throws Exception;

    /** 재산_조사 수정 */
    public int updateBtPrptRsch() throws Exception;

    /** 재산_조사 삭제 */
    public int deleteBtPrptRsch() throws Exception;

    /** 부동산 재산정보 등록 */
    public int insertBtEstt() throws Exception;

    /** 부동산 재산정보 수정 */
    public int updateBtEstt() throws Exception;

    /** 부동산 재산정보 삭제 */
    public int deleteBtEstt() throws Exception;

    /** 자동차 재산정보 등록 */
    public int insertBtCar() throws Exception;

    /** 자동차 재산정보 수정 */
    public int updateBtCar() throws Exception;

    /** 자동차 재산정보 삭제 */
    public int deleteBtCar() throws Exception;

    /** 채권 재산정보 등록 */
    public int insertBtBnd() throws Exception;

    /** 채권 재산정보 수정 */
    public int updateBtBnd() throws Exception;

    /** 채권 재산정보 삭제 */
    public int deleteBtBnd() throws Exception;

    /** 동산 재산정보 등록 */
    public int insertBtProp() throws Exception;

    /** 동산 재산정보 수정 */
    public int updateBtProp() throws Exception;

    /** 동산 재산정보 삭제 */
    public int deleteBtProp() throws Exception;

    /** 대출_관계자 등록 */
    public int insertLoanRelMan() throws Exception;

    /** 대출_관계자 수정 */
    public int updateLoanRelMan() throws Exception;

    /** 대출_관계자 삭제 */
    public int deleteLoanRelMan() throws Exception;

}