package hanalife.c.bc.cc.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.bc.cc.mapper.dto.CBCCCM01DSSEARCHDTO;
import hanalife.c.co.mapper.dto.CtCommCdDescDTO;
import hanalife.c.co.mapper.dto.CtCommCdKindDTO;

/**
 * <pre>
 * 클래스명	: CBCCCM01Mapper.java Class
 * 클래스설명	: CBCCCM01Mapper
 * 프로젝트명	: 하나생명 가계대출 시스템(DOBSCAP)
 * 작성일자	: 2023.03.28.
 * 작성자명	: 70280 / 성관용 / 가계대출 시스템 구축
 * 변경이력	:
 * -----------------------------------------------------------------------------
 * [수정일자	   ][수정자 ][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.03.28.][70280][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

@Mapper("CBCCCM01Mapper")
public interface CBCCCM01Mapper
{
    /**
     * <p>메소드명			: searchCommCdList</p>
     *  작성일자			: 2023.03.28.
     *  작성자(author)	: 70280 / 성관용
     * <p>설명			: 공통코드내역을 조회한다.</p>
     * <p>메소드인수1		: List args</p>
     * <p>메소드인수2		: ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값		: 공통코드 결과 조회 PagedArrayList</p>
     * <p>예외처리			: Exception</p>
     */

    public List<CtCommCdKindDTO> searchCommCdList(CBCCCM01DSSEARCHDTO oSearchDto) throws Exception;
    public List<CtCommCdDescDTO> searchCommCdDescList(CBCCCM01DSSEARCHDTO oSearchDto) throws Exception;
    public CtCommCdKindDTO selectCtCommCdKind(CtCommCdKindDTO oInDto) throws Exception;
    public void insertCtCommCdKind(CtCommCdKindDTO oInDto) throws Exception;
    public void insertCtCommCdDesc(CtCommCdDescDTO oInDto) throws Exception;
    public void updateCtCommCdDesc(CtCommCdDescDTO oInDto) throws Exception;
    public void deleteCtCommCdDesc(CtCommCdDescDTO oInDto) throws Exception;
}