package hanalife.c.bc.cc.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.bc.cc.mapper.dto.UserMngDSUSERCNTSDDTO;
import hanalife.c.bc.cc.mapper.dto.UserMngDSUSERMNGSDCDTO;
import hanalife.c.bc.cc.mapper.dto.UserMngDSUSERMNGSDDDTO;
import hanalife.c.bc.cc.mapper.dto.UserMngDSUSERMNGSDDTO;
import hanalife.c.bc.cc.mapper.dto.UserMngDSUSERMNGSMDTO;

@Mapper("UserMngMapper")
public interface UserMngMapper {

    /**
     * <pre>
     * 메소드명      : joinUserMngSearch
     * 작성일자      : 2023. 3. 23.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : 사용자관리을(를) 조회 한다.
     * 메소드인수1   : 사용자관리 입력
     * 메소드리턴값  : 사용자관리 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<UserMngDSUSERMNGSDDTO> joinUserMngSearch(UserMngDSUSERMNGSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : selectUserCnt
	 * 작성일자      : 2023. 3. 23.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 사용자관리건수을(를) 조회 한다.
	 * 메소드인수1   : 사용자관리건수 입력
	 * 메소드리턴값  : 사용자관리건수 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<UserMngDSUSERCNTSDDTO> selectUserCnt() throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchCnt
	 * 작성일자      : 2023. 3. 23.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 사용자관리조회건수을(를) 조회 한다.
	 * 메소드인수1   : 사용자관리조회건수 입력
	 * 메소드리턴값  : 사용자관리조회건수 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<UserMngDSUSERCNTSDDTO> searchCnt(UserMngDSUSERMNGSDCDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : registerUserMng
	 * 작성일자      : 2023. 3. 23.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 사용자관리을(를) 등록 한다.
	 * 메소드인수1   : 사용자관리 입력
	 * 메소드리턴값  : 사용자관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int registerUserMng(UserMngDSUSERMNGSDCDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : updateUserMng
	 * 작성일자      : 2023. 3. 23.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 사용자관리을(를) 수정 한다.
	 * 메소드인수1   : 사용자관리 입력
	 * 메소드리턴값  : 사용자관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int updateUserMng(UserMngDSUSERMNGSDCDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : deleteUserMng
	 * 작성일자      : 2023. 3. 23.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 사용자관리을(를) 삭제 한다.
	 * 메소드인수1   : 사용자관리 입력
	 * 메소드리턴값  : 사용자관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int deleteUserMng(UserMngDSUSERMNGSDDDTO inDto) throws Exception;

}