package hanalife.c.bc.cc.service;

import hanalife.c.bc.cc.vo.CBCCCP01S01InVO;
import hanalife.c.bc.cc.vo.CBCCCP01S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CBCCCP01Service.java Class
 * 클래스설명   : 대출통합검색 (CBCCCP01) Service Interface
 * 작성일자     : 2023. 3. 10.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getCBCCCP01S01 : 대출통합검색목록조회

 * </pre>
 */
public interface CBCCCP01Service {

	/**
	 * <p>메소드명      : getCBCCCP01S01 : 대출통합검색</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 대출통합검색 한다.</p>
	 * <p>메소드인수    : CBCCCP01S01InVo </p>
	 * <p>메소드리턴값  : CBCCCP01S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public CBCCCP01S01OutVO getCBCCCP01S01(CBCCCP01S01InVO inVo) throws Exception;

}
