package hanalife.c.bc.cc.service;

import hanalife.c.bc.cc.vo.CBCCCP02S01InVO;
import hanalife.c.bc.cc.vo.CBCCCP02S01OutVO;
/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CBCCCP02Service.java Class
 * 클래스설명   : 고객검색 (CBCCCP02) Service Interface
 * 작성일자     : 2023. 3. 10.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 10.][70321 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getCBCCCP02S01 : 고객검색목록조회
 *              registerCBCCCP02I01 : 고객검색등록
 *              modifyCBCCCP02U01 : 고객검색수정
 *              removeCBCCCP02U01 : 고객검색삭제
 * </pre>
 */
public interface CBCCCP02Service {

	/**
	 * <p>메소드명      : getCBCCCP02S01 : 고객검색목록조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author): 70321 / KimMinSeok
	 * <p>설명          : 고객검색목록을 조회 한다.</p>
	 * <p>메소드인수    : CBCCCP02S01InVo </p>
	 * <p>메소드리턴값  : CBCCCP02S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public CBCCCP02S01OutVO getCBCCCP02S01(CBCCCP02S01InVO inVo) throws Exception;


}
