package hanalife.c.bc.cc.service;

import hanalife.c.bc.cc.vo.CBCCCP03S01InVO;
import hanalife.c.bc.cc.vo.CBCCCP03S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CBCCCP03Service.java Class
 * 클래스설명   : 우편번호검색 (CBCCCP03) Service Interface
 * 작성일자     : 2023. 3. 13.
 * 작성자명     : 70322 / sungjin.park / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70322 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getCBCCCP03S01 : 우편번호검색목록조회
 * </pre>
 */
public interface CBCCCP03Service {

	/**
	 * <p>메소드명      : getCBCCCP03S01 : 우편번호검색목록조회</p>
	 * <p>작성일자      : 2023. 3. 13.
	 * <p>작성자(author): 70322 / sungjin.park
	 * <p>설명          : 우편번호검색목록을 조회 한다.</p>
	 * <p>메소드인수    : CBCCCP03S01InVo </p>
	 * <p>메소드리턴값  : CBCCCP03S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public CBCCCP03S01OutVO getCBCCCP03S01(CBCCCP03S01InVO inVo) throws Exception;

}
