package hanalife.c.bc.cc.service;

import hanalife.c.bc.cc.vo.CBCCCP06U01InVO;
import hanalife.c.bc.cc.vo.CBCCCP06U01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CBCCCP06Uervice.java Class
 * 클래스설명   : 비밀번호 변경 (CBCCCP06) Service Interface
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70324 / WoongHee.Lee / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70324 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : updatePswd     : 비밀번호 변경
 *           updateInitPswd : 비밀번호 초기화
 * </pre>
 */
public interface CBCCCP06Service {

	/**
	 * <p>메소드명      : updatePswd : 비밀번호 변경</p>
	 * <p>작성일자      : 2023. 3. 27.
	 * <p>작성자(author): 70324 / WoongHee.Lee
	 * <p>설명          : 비밀번호를 변경한다.</p>
	 * <p>메소드인수    : CBCCCP06U01InVO </p>
	 * <p>메소드리턴값  : CBCCCP06U01OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public CBCCCP06U01OutVO updatePswd(CBCCCP06U01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : updateInitPswd : 비밀번호 초기화</p>
	 * <p>작성일자      : 2023. 3. 27.
	 * <p>작성자(author): 70324 / WoongHee.Lee
	 * <p>설명          : 비밀번호를 초기화한다.</p>
	 * <p>메소드인수    : CBCCCP06U01InVO </p>
	 * <p>메소드리턴값  : CBCCCP06U01OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public CBCCCP06U01OutVO updateInitPswd(CBCCCP06U01InVO inVo) throws Exception;

}
