package hanalife.c.cm.cm.mapper;

import java.util.List;
import java.util.Map;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

@Mapper("hlflCmmMapper")
public interface HlflCmmMapper {

	/**
	 * Data 목록을 조회한다.
	 * @return 글 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectDataList(Map<String, Object> param) throws Exception;
	
	
	/**
	 * Code 목록을 조회한다.
	 * @return 글 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectCmmCdList(Map<String, Object> param) throws Exception;
	
	/**
	 * Code 종류 목록을 조회한다.
	 * @return 글 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectCmmCdKindList(Map<String, Object> param) throws Exception;
	
	/**
	 * 로그인한 사용자 정보를 조회한다.
	 * @return 글 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectLoginUserInfo(Map<String, Object> param) throws Exception;

	/**
	 * 부서 정보를 조회한다.
	 * @return 부서 목록
	 * @exception Exception
	 */
	List<Map<String, Object>> selectDeptInfo(Map<String, Object> param) throws Exception;
	
	
	/**
	 * 파일 정보를 입력한다.
	 * @exception Exception
	 */
	void insertFileInfo(Map<String, Object> param) throws Exception;
}


