package hanalife.c.cm.cm.web;

import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import hanalife.c.cm.cm.service.HlflCmmService;
import xdataset5spring.XFrame5Util;
import hanalife.c.co.util.StringUtil;
import xdataset5spring.XFrame5View;

@Controller
public class HlflCmmController {

	@Resource(name = "HaflCmmService")
	private HlflCmmService cmmService;

	private Log log = LogFactory.getLog(this.getClass());

	@RequestMapping("/xframe5.do")
	public String xframe5(HttpServletRequest request, HttpServletResponse response) throws Exception {
		return "index";
	}

	@RequestMapping("/selectGridDataList.do")
	public String selectGridDataList(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		log.info("##### HaflCmmController selectDataList Start #####");
		
		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

			//XFrame5Util.printMetaInfoMap(reqMap);
			//Util.printDataSetfromMap(reqMap);

			//parameter로 활용할 dataset 정보를 가져온다.
			Map<String,Object> param = XFrame5Util.getDataMap(reqMap, "DS_SQL_INFO_SEND", 0);

			log.info("############################### List Before");

			List<Map<String, Object>> list = cmmService.selectDataList(param);

			XFrame5Util.setOutputData("DS_SQL_INFO", list, model);
			
			
			
		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}

		return XFrame5View.XFRAME5_VIEW;
	}


	@RequestMapping("/selectDataList.do")
	public String selectDataList(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		log.info("##### HaflCmmController selectDataList Start #####");

		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

//			XFrame5Util.printMetaInfoMap(reqMap);
//			Util.printDataSetfromMap(reqMap);

			// dataset 정보를 가지고 있는 dataset 정보를 읽는다.
			Map<String,Object> reqInfo = XFrame5Util.getDataMap(reqMap, "DS_REQ", 0);

			log.info("### \n"+reqInfo);

			// request dataset과 response dataset을 가져온다.
			String resDataSet =  StringUtil.NVL((String)reqInfo.get("resDataSet"));
			String reqDataSet =  StringUtil.NVL((String)reqInfo.get("reqDataSet"));

			//parameter로 활용할 dataset 정보를 가져온다.
			Map<String,Object> param = XFrame5Util.getDataMap(reqMap, reqDataSet, 0);

			log.info("############################### List Before");

			List<Map<String, Object>> list = cmmService.selectDataList(param);

			XFrame5Util.setOutputData(resDataSet, list, model);

		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}

		return XFrame5View.XFRAME5_VIEW;
	}
	
	@RequestMapping("/cmm/selectCmmCdList.do")
	public String selectCmmCdList(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		log.info("##### HaflCmmController selectCmmCdList Start #####");

		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

//			XFrame5Util.printMetaInfoMap(reqMap);
//			Util.printDataSetfromMap(reqMap);

			//parameter로 활용할 dataset 정보를 가져온다.
			Map<String,Object> param = XFrame5Util.getDataMap(reqMap, "G_COM_CODE", 0);

			List<Map<String, Object>> list = cmmService.selectCmmCdList(param);

			//cdKindNo
			String cdKindNo =  StringUtil.NVL((String)param.get("cdKindNo"));

			XFrame5Util.setOutputData("DS_CD_"+cdKindNo, list, model);

		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}

		return XFrame5View.XFRAME5_VIEW;
	}
	
	
	@RequestMapping("/cmm/selectCmmCdKindList.do")
	public String selectCmmCdKindList(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		log.info("##### HaflCmmController selectCmmCdList Start #####");

		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

//			XFrame5Util.printMetaInfoMap(reqMap);
//			Util.printDataSetfromMap(reqMap);

			//parameter로 활용할 dataset 정보를 가져온다.
			Map<String,Object> param = XFrame5Util.getDataMap(reqMap, "DS_CD_REQ", 0);

			List<Map<String, Object>> list = cmmService.selectCmmCdKindList(param);

			XFrame5Util.setOutputData("DS_CD_KIND", list, model);

		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}

		return XFrame5View.XFRAME5_VIEW;
	}
	
	
	
	@RequestMapping("/cmm/selectDeptInfo.do")
	public String selectDeptInfo(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		log.info("##### HaflCmmController selectDeptInfo Start #####");

		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

//			XFrame5Util.printMetaInfoMap(reqMap);
//			Util.printDataSetfromMap(reqMap);

			Map<String,Object> param = XFrame5Util.getDataMap(reqMap, "DS_COM_SQLID_REQ", 0);
			
			String returnDS = StringUtil.NVL((String)param.get("returnDS"));

			List<Map<String, Object>> list = cmmService.selectDeptInfo(param);

			XFrame5Util.setOutputData( returnDS , list, model);

		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}

		return XFrame5View.XFRAME5_VIEW;
	}

	@ResponseBody
	@RequestMapping("/cm/err/find400ErrorView.do")
	public  void find400ErrorView(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {
		StringBuffer sb = new StringBuffer();
		log.info("##### find400ErrorView #####");
		try {
			//model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			//model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "잘못된 요청 입니다.");
			//throw new Exception ("잘못된 요청 입니다.");

			String errorUri = StringUtil.NVL((String)request.getAttribute("javax.servlet.error.request_uri"));
			if(errorUri.lastIndexOf("/")>-1) {
				errorUri=errorUri.substring((errorUri.lastIndexOf("/")+1));
			}	
			
			if(errorUri.endsWith(".js")) {
				sb.append("\n    GM.MessageBox(screen, 'Sever Error', '오류코드 : 400 \\n오류내용 : 잘못된 요청입니다.' , GM.StopSign, GM.OK, 1); ");
			}else {
				sb.append("\n   <script type='text/javascript'>                                                                                   ");
				sb.append("\n   <!--                                                                                                              ");
				sb.append("\n    GM.MessageBox(screen, 'Sever Error', '오류코드 : 400 \\n오류내용 : 잘못된 요청입니다.' , GM.StopSign, GM.OK, 1); ");
				sb.append("\n   //-->                                                                                                             ");
				sb.append("\n   </script>                                                                                                         ");
			}
			
			response.setContentType("text/html; charset=utf-8");
			response.setCharacterEncoding("utf-8");
			PrintWriter out = response.getWriter();
			out.print(sb);
			out.flush();
			
		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}
		
		//return XFrame5View.XFRAME5_VIEW;
	}
	
	@ResponseBody
	@RequestMapping("/cm/err/find404ErrorView.do")
	public void find404ErrorView(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {
		StringBuffer sb = new StringBuffer();
			
		log.info("##### find404ErrorView #####");
		try {		
			/*
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "요청한 페이지를 찾을수 없습니다.\n시스템 관리자에게 문의해 주세요.");
			throw new Exception ("요청한 페이지를 찾을수 없습니다.\n시스템 관리자에게 문의해 주세요.");
			*/
			
			/*log.info(request.getAttribute("javax.servlet.error.request_uri"));
			log.info(request.getAttribute("javax.servlet.error.servlet_name"));
			log.info(request.getAttribute("javax.servlet.error.exception"));
			log.info(request.getAttribute("javax.servlet.error.exception_type"));
			log.info(request.getAttribute("javax.servlet.error.status_code"));*/
			
			String errorUri = StringUtil.NVL((String)request.getAttribute("javax.servlet.error.request_uri"));
			if(errorUri.lastIndexOf("/")>-1) {
				errorUri=errorUri.substring((errorUri.lastIndexOf("/")+1));
			}	
			
			if(errorUri.endsWith(".js")) {
				sb.append("\n    GM.MessageBox(screen, 'Sever Error', '오류코드 : 404 \\n오류내용 : 요청하신 파일을 찾을수 없습니다.\\n대상파일 : "+errorUri+"' , GM.StopSign, GM.OK, 1); ");
			}else {
				sb.append("\n   <script type='text/javascript'>                                                                                                                           ");
				sb.append("\n   <!--                                                                                                                                                      ");
				sb.append("\n    GM.MessageBox(screen, 'Sever Error', '오류코드 : 404 \\n오류내용 : 요청하신 파일을 찾을수 없습니다.\\n대상파일 : "+errorUri+"' , GM.StopSign, GM.OK, 1); ");
				sb.append("\n   //-->                                                                                                                                                     ");
				sb.append("\n   </script>                                                                                                                                                 ");
			}
			
			response.setContentType("text/html; charset=utf-8");
			response.setCharacterEncoding("utf-8");
			PrintWriter out = response.getWriter();
			out.print(sb);
			out.flush();
			
		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}
	}
	
	@ResponseBody
	@RequestMapping("/cm/err/find500ErrorView.do")
	public void find500ErrorView(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {
		StringBuffer sb = new StringBuffer();
		log.info("##### find500ErrorView #####");
		try {		
			//model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			//model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "시스템이 응답할수 없습니다.\n시스템 관리자에게 문의해 주세요.");
			//throw new Exception ("시스템이 응답할수 없습니다.\n시스템 관리자에게 문의해 주세요.");
			
			String errorUri = StringUtil.NVL((String)request.getAttribute("javax.servlet.error.request_uri"));
			if(errorUri.lastIndexOf("/")>-1) {
				errorUri=errorUri.substring((errorUri.lastIndexOf("/")+1));
			}	
			
			if(errorUri.endsWith(".js")) {
				sb.append("\n    GM.MessageBox(screen, 'Sever Error', '오류코드 : 500 \\n오류내용 : 시스템이 응답할수 없습니다.\\n시스템 관리자에게 문의해 주세요.' , GM.StopSign, GM.OK, 1); ");
			}else {
				sb.append("\n   <script type='text/javascript'>                                                                                   ");
				sb.append("\n   <!--                                                                                                              ");
				sb.append("\n    GM.MessageBox(screen, 'Sever Error', '오류코드 : 500 \\n오류내용 : 시스템이 응답할수 없습니다.\\n시스템 관리자에게 문의해 주세요.' , GM.StopSign, GM.OK, 1); ");
				sb.append("\n   //-->                                                                                                             ");
				sb.append("\n   </script>                                                                                                         ");
			}
			
			response.setContentType("text/html; charset=utf-8");
			response.setCharacterEncoding("utf-8");
			PrintWriter out = response.getWriter();
			out.print(sb);
			out.flush();
			
		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}
		//return XFrame5View.XFRAME5_VIEW;
	}
	
	@RequestMapping("/insertFileInfo.do")
	public String insertFileInfo(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {
		//log.info("##### HlflCmmController insertLoginInfo Start #####");
		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);
			
//			XFrame5Util.printMetaInfoMap(reqMap);
//			Util.printDataSetfromMap(reqMap);

			//parameter로 활용할 dataset 정보를 가져온다.
			List<Map<String,Object>> pramList = XFrame5Util.getDataMapList(reqMap, "DS_FILES_INFO");
			
			Map<String, Object> param = new HashMap<String,Object>();
			param.put("paramList", pramList);
			
			cmmService.insertFileInfo(param);
			
			//System.out.println(param);
			
			List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();
			list.add(param);
			
			XFrame5Util.setOutputData("DS_FILE_INSERT_INFO", list, model);
			
		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}
		return XFrame5View.XFRAME5_VIEW;
	}
 
}
