package hanalife.c.cm.lg.mapper;

import java.util.List;
import java.util.Map;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

@Mapper("LoginMapper")
public interface LoginMapper {

	/**
	 * Login시 사용자 정보 조회
	 * @param USER_NO
	 * @return List
	 * @exception Exception
	 */
	List<Map<String, Object>> selectUser(Map<String, Object> param) throws Exception;
	
	/**
	 * Login시 사용자 권한 정보 조회
	 * @param USER_NO
	 * @return List
	 * @exception Exception
	 */
	List<Map<String, Object>> selectUserRole(Map<String, Object> param) throws Exception;

	/**
	 * Login시 Login 정보 등록
	 * @param USER_NO, IP, SESSION_ID
	 * @return N/A
	 * @exception Exception
	 */
	void insertLogin(Map<String, Object> param) throws Exception;
	
	/**
	 * Login시 Login 이력 등록
	 * @param USER_NO, IP, SESSION_ID
	 * @return N/A
	 * @exception Exception
	 */
	void insertLoginHist(Map<String, Object> param) throws Exception;
	
	/**
	 * Login시 Login 이력 갱신
	 * @param USER_NO, IP, SESSION_ID
	 * @return N/A
	 * @exception Exception
	 */
	void updateLoginHist(Map<String, Object> param) throws Exception;	
	
	/**
	 * Login시 비밀번호가 틀린경우 횟수 증가
	 * @param USER_NO
	 * @return N/A
	 * @exception Exception
	 */
	void updatePswdErrCnt(Map<String, Object> param) throws Exception;
	
	/**
	 * Login시 비밀번호가 틀린경우 횟수 증가
	 * @param USER_NO
	 * @return N/A
	 * @exception Exception
	 */
	void updatePswdCntZero(Map<String, Object> param) throws Exception;
	
	/**
	 * LogOut 처리 
	 * @param USER_NO
	 * @return N/A
	 * @exception Exception
	 */
	void systemLogOut(Map<String, Object> param) throws Exception;

}
