package hanalife.c.cm.lg.service;

import java.util.List;
import java.util.Map;


public interface LoginService {

	/**
	 * LogIn 처리
	 * @param	USER_NO, PSWD
	 * @return	User 정보
	 * @exception Exception
	 */
	List<Map<String, Object>> selectUser(Map<String, Object> param) throws Exception;

	
	/**
	 * 사용자 권한(Role) 조회 
	 * @param	USER_NO
	 * @return	User Role 정보
	 * @exception Exception
	 */
	List<Map<String, Object>> selectUserRole(Map<String, Object> param) throws Exception;
	
	
	/**
	 * Login시 비밀번호가 틀린경우 횟수 증가
	 * @param USER_NO
	 * @return N/A
	 * @exception Exception
	 */
	void updatePswdErrCnt(Map<String, Object> param) throws Exception;
	
	
	/**
	 * 정상 Login시 비밀번호가 틀린경우 0 셋팅
	 * @param USER_NO
	 * @return N/A
	 * @exception Exception
	 */
	void updatePswdCntZero(Map<String, Object> param) throws Exception;
	
	/**
	 * Login시 Login 이력 등록
	 * @param USER_NO, IP, SESSION_ID
	 * @return N/A
	 * @exception Exception
	 */
	void insertLogin(Map<String, Object> param) throws Exception;
	
	
	/**
	 * LogOut 처리 
	 * @param USER_NO
	 * @return N/A
	 * @exception Exception
	 */
	void systemLogOut(Map<String, Object> param) throws Exception;

}
