package hanalife.c.cm.lg.web;

import java.net.Inet4Address;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import hanalife.c.cm.lg.service.LoginService;
import hanalife.c.co.contants.Constants;
import hanalife.c.co.util.StringUtil;
import hanalife.c.co.util.XFrame5DataSetUtil;
import hanalife.framework.comm.util.BeanUtil;
import hanalife.framework.comm.vo.UserSessionVO;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

@RequestMapping("/c/cm/lg")
@Controller
public class LoginController {

	@Resource(name = "LoginService")
	private LoginService loginService;

	private Log log = LogFactory.getLog(this.getClass());

	@RequestMapping("/xframe5.do")
	public Object xframe5(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {
		return "index";
	}

	@RequestMapping("/selectUser.do")
	public String selectUser(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		log.info("##### LoginController selectUser Start #####");

		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

//			XFrame5Util.printMetaInfoMap(reqMap);
			XFrame5DataSetUtil.printDataSetfromMap(reqMap);

			//parameter로 활용할 dataset 정보를 가져온다.
			Map<String,Object> param = XFrame5Util.getDataMap(reqMap, "DS_USER_REQ", 0);

			HttpSession session = request.getSession();
			
			String userNo = (String)param.get("userNo");
			String pswd   = (String)param.get("pswd");
			String ecPswd = StringUtil.encodeBase64String(pswd); 
			String reqIp  = (String)param.get("ip");
			String sesnId = session.getId();

			if (reqIp == null || "".equals( reqIp.trim() ) ) {
				reqIp = Inet4Address.getLocalHost().getHostAddress();  //IPv4 가져오기
				//reqIp = request.getRemoteAddr();                     //Ipv6 가져오기
			}
			
			param.put("ipAddr", reqIp);
			param.put("sesnId", sesnId);
			param.put("basicPwd", StringUtil.NVL(Constants.PSWD));

			
			//log.info("############################### List Before");
			//log.info("********************************************************************************");
			//log.info("########## userNo = ########" + userNo);
			//log.info("########## pswd   = ########" + pswd);
			//log.info("########## ecPswd = ########" + ecPswd);
			//log.info("########## reqIp  = ########" + reqIp);
			//log.info("사용자세션 : " + session);
			//log.info("사용자세션id : " + sesnId);
			//log.info("********************************************************************************");

			List<Map<String, Object>> list = loginService.selectUser(param);
			
			Map<String, Object> userInfo = new HashMap<String, Object>() ;  
			
			String loginErrorCode = "{\"loginErrorCode\":\"-2000\"}";
			
			if(list.size() > 0) {
				
				userInfo = list.get(0);
				
				String reqPswdChk = (String)userInfo.get("reqPswdChk");
				
				//로그인 시도를 같은 ID로 5회 이상 시도하였을 경우
				int pswdErrCnt =  Integer.parseInt(userInfo.get("pswdErrCnt").toString())+1;
				if( pswdErrCnt >= 3 && pswdErrCnt < 5 && "N".equals(reqPswdChk)) {
					loginService.updatePswdErrCnt(param);
					model.addAttribute(XFrame5View.XFRAME5_USER_HEADER, loginErrorCode);
					model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
					model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "로그인 비밀번호 연속3회 이상 오류입니다.\n현재"+pswdErrCnt+"회 오류, 5회 이상 오류시 계정이 사용중지 됩니다.");
					throw new Exception ("로그인 비밀번호 연속3회 이상 오류입니다.\n현재 "+pswdErrCnt+"회 오류, 5회 이상시 계정이 사용중지 됩니다.");
				}
				if(pswdErrCnt >= 5 && "N".equals(reqPswdChk)) {
					loginService.updatePswdErrCnt(param);
					model.addAttribute(XFrame5View.XFRAME5_USER_HEADER, loginErrorCode);
					model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
					model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "로그인 비밀번호 연속5회 오류로 계정이 잠김상태입니다.\n시스템 관리자에 문의하세요.");
					throw new Exception ("로그인 비밀번호 연속5회 오류로 계정이 잠김상태입니다.\n시스템 관리자에 문의하세요.");
				}
				
				String useFg = (String)userInfo.get("useFg");
				// 0 잠김 , 1 풀림..
				if("0".equals(useFg)) {
					model.addAttribute(XFrame5View.XFRAME5_USER_HEADER, loginErrorCode);
					model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
					model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "로그인 계정이 잠김상태입니다.\n시스템 관리자에 문의하세요.");
					throw new Exception ("로그인 계정이 잠김상태입니다.\n시스템 관리자에 문의하세요.");
				}
				
				//비밀번호가 틀릴 경우
				if("N".equals(reqPswdChk)) {
					loginService.updatePswdErrCnt(param);
					model.addAttribute(XFrame5View.XFRAME5_USER_HEADER, loginErrorCode);
					model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
					model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "아이디/패스워드를 확인해 주세요.");
					throw new Exception ("아이디/패스워드를 확인해 주세요.");
				}
				
				String pswdInitChk = (String)userInfo.get("pswdInitChk");
				//초기화된 비밀번호를 사용하고 있는 경우
				if( "Y".equals(pswdInitChk) && "Y".equals(reqPswdChk) ) {
					loginErrorCode = "{\"loginErrorCode\":\"-2000\", \"pswdInitChk\":\"Y\"}";
					model.addAttribute(XFrame5View.XFRAME5_USER_HEADER, loginErrorCode);
					model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
					model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "초기화 된 비밀번호는 변경 후 로그인이 가능합니다.\n비밀번호를 변경 하시겠습니까?");
					throw new Exception ("초기화 된 비밀번호는 변경 후 로그인이 가능합니다.\n비밀번호를 변경 하시겠습니까?");
				}
				
				int chgTerm = Integer.parseInt(userInfo.get("pwcdChngTerm").toString());
				if( chgTerm >90) {
					loginErrorCode = "{\"loginErrorCode\":\"-2000\" , \"pswdInitChk\":\"Y\"}";
					model.addAttribute(XFrame5View.XFRAME5_USER_HEADER, loginErrorCode);
					model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
					model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "비밀번호가 변경된지 90일을 초과하였습니다.\n비밀번호 변경시에만 로그인이 가능합니다.\n비밀번호를 변경 하시겠습니까?");
					throw new Exception ("비밀번호가 변경된지 90일을 초과하였습니다.\n비밀번호 변경시에만 로그인이 가능합니다.\n비밀번호를 변경 하시겠습니까?");
				}
				
				//XFrame5Util.setOutputData("GL_DS_USER", list, model);
				XFrame5Util.setOutputData("DS_USER_LOGIN_INFO", list, model);
				
				List<Map<String, Object>> userRole = loginService.selectUserRole(param);
				
 				//사용자 정보를 sessionVo에 넣어 준다.
				//session.setAttribute("CUSER", list);
				
				System.out.println(userInfo);
				session.setAttribute("UserSessionVO", BeanUtil.mapToBean(userInfo , new UserSessionVO() ));
				session.setAttribute("macAddr", param.get("macAddr"));
				session.setAttribute("reqIp", reqIp);
				session.setAttribute("userRole", userRole);
				session.setAttribute("DEBUG_FLAG", StringUtil.nvl((String)userInfo.get("debugFlag") , "INFO" ) );
				session.setAttribute("USER_ID"   , StringUtil.nvl((String)userInfo.get("userNo")) );
				session.setAttribute("USER_NM"   , StringUtil.nvl((String)userInfo.get("userNm")) );
				session.setAttribute("DEPT_CD"   , StringUtil.nvl((String)userInfo.get("onworkDeptCd")) );
				session.setAttribute("DEPT_NM"   , StringUtil.nvl((String)userInfo.get("onworkDeptNm")) );
				
				
				//XFrame5Util.setOutputData("G_USER_ROLE", userRole, model);
				
				//Util.getUserRollGbn(session, "SYS01");
				
				// 데이터를 세션에 넣은 후 로그인 준비가 된 상태에서 물어봐야 함.. 
				String ipAddrLoginGbn = (String)userInfo.get("ipAddrLoginGbn");
				String loginIpAddr = (String)userInfo.get("loginIpAddr");
				
				//HLFLHttpSessionListener.getSessionIdCheck( ipAddrLoginGbn ,  StringUtil.nvl((String)userInfo.get("userNo")) );
				
				if(!"Y".equals(ipAddrLoginGbn) && !reqIp.equals(loginIpAddr) ){
					loginErrorCode = "{\"loginErrorCode\":\"-2000\", \"loginIpAddr\":\""+loginIpAddr+"\"}";
					model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
					model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "IP["+loginIpAddr+"]"+"에서 접속하신 기록이 남아 있습니다.\n다시 접속하시겠습니까?");
					//model.addAttribute(XFrame5View.XFRAME5_USER_HEADER, loginIpAddr);
					model.addAttribute(XFrame5View.XFRAME5_USER_HEADER, loginErrorCode);
					throw new Exception ("IP["+loginIpAddr+"]"+"에서 접속하신 기록이 남아 있습니다.\n다시 접속하시겠습니까?");
				}
				
			}else {
				//DB에 조회된 사용자가 없을 경우
				if(list.size() == 0) {
					model.addAttribute(XFrame5View.XFRAME5_USER_HEADER, loginErrorCode);
					model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
					model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, "등록되지 않은 사용자입니다.\n시스템 가입절차를 수행해 주세요.");
					throw new Exception ("등록되지 않은 사용자입니다.\n시스템 가입절차를 수행해 주세요.");
				}
			}
			loginService.updatePswdCntZero(param);
		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}

		return XFrame5View.XFRAME5_VIEW;
	}
	
	@RequestMapping("/selectLoginUserInfo.do")
	public String selectLoginUserInfo(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

		log.info("##### LoginController selectLoginUserInfo Start #####");

		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

//			XFrame5Util.printMetaInfoMap(reqMap);
//			XFrame5DataSetUtil.printDataSetfromMap(reqMap);

			//parameter로 활용할 dataset 정보를 가져온다.
			Map<String,Object> param = XFrame5Util.getDataMap(reqMap, "DS_USER_REQ", 0);

			List<Map<String, Object>> list = loginService.selectUser(param);
			
			//XFrame5Util.setOutputData("GL_DS_USER", list, model);
			XFrame5Util.setOutputData("DS_USER_LOGIN_INFO", list, model);

		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
			// 오류 메시지 정보 설정
			model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
			model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
		}

		return XFrame5View.XFRAME5_VIEW;
	}
	
	@RequestMapping("/insertLoginInfo.do")
	public String insertLoginInfo(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {
		log.info("##### LoginController insertLoginInfo Start #####");
		try {
			Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);
			
			XFrame5DataSetUtil.printDataSetfromMap(reqMap);

			//parameter로 활용할 dataset 정보를 가져온다.
			Map<String,Object> param = XFrame5Util.getDataMap(reqMap, "DS_USER_REQ", 0);

			HttpSession session = request.getSession();
			
			String reqIp  = "";
			

			if (reqIp == null || "".equals( reqIp.trim() ) ) {
				reqIp = Inet4Address.getLocalHost().getHostAddress();  //IPv4 가져오기
			}
			
			String sesnId = session.getId();
			
			param.put("ipAddr", reqIp);
			param.put("sesnId", sesnId);
			
			loginService.insertLogin(param);
			
			List<Map<String, Object>> list = new ArrayList();
			
			XFrame5Util.setOutputData("DS_USER_LOGIN_INFO", list, model);
			log.info("##### LoginController insertLoginInfo End #####");
		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
		}
		return XFrame5View.XFRAME5_VIEW;
	}
	
	@RequestMapping("/systemLogOut.do")
	public void systemLogOut(HttpServletRequest request, HttpServletResponse response, ModelMap model, @RequestParam Map<String, Object> param) throws Exception {
		log.info("##### LoginController systemLogOut Start #####");
		try {
			//parameter로 활용할 dataset 정보를 가져온다.
			HttpSession session = request.getSession();
			
			String sesnId = session.getId();
			param.put("sesnId", sesnId);
			loginService.systemLogOut(param);
			
			session.invalidate();
		} catch (Exception e) {
			log.error("Error >>> "+e.getMessage());
		}
	}
	

}
