package hanalife.c.cm.sp.mapper;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.cm.sp.vo.chkAccNmVO;
import hanalife.c.cm.sp.vo.sendEmailVO;
import hanalife.c.cm.sp.vo.sendFaxVO;
import hanalife.c.cm.sp.vo.sendSmsVO;

@Mapper("callSpMapper")
public interface callSpMapper {

	/**
	 * 하나생명 SMS 발송 SP 호출
	 * @param sendSmsVO
	 * @return sendSmsVO
	 * @exception Exception
	 */
	public sendSmsVO sendSms(sendSmsVO param) throws Exception;

	/**
	 * 하나생명 Email 발송 SP 호출
	 * @param sendEmailVO
	 * @return sendEmailVO
	 * @exception Exception
	 */
	public sendEmailVO sendEmail(sendEmailVO param) throws Exception;

	/**
	 * 하나생명 FAX 발송 정보 등록
	 * @param sendFaxlVO
	 * @return N/A
	 * @exception Exception
	 */
	public void sendFax(sendFaxVO param) throws Exception;

	/**
	 * 에금주 체크 방법
	 * @param chkAccNmVO
	 * @return chkAccNmVO
	 * @exception Exception
	 */
	public chkAccNmVO chkAccNm(chkAccNmVO param) throws Exception;

}


