package hanalife.c.cm.sp.service.impl;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.c.cm.sp.mapper.callSpMapper;
import hanalife.c.cm.sp.service.callSpService;
import hanalife.c.cm.sp.vo.chkAccNmVO;
import hanalife.c.cm.sp.vo.sendEmailVO;
import hanalife.c.cm.sp.vo.sendFaxVO;
import hanalife.c.cm.sp.vo.sendSmsVO;


@Service("callSpService")
public class callSpServiceImpl extends EgovAbstractServiceImpl implements callSpService{


	private Log log = LogFactory.getLog(this.getClass());

	@Autowired
	private callSpMapper callSpMapper;


	/**
	 * 하나생명 SMS 발송 SP 호출
	 * @param sendSmsVO
	 * @return sendSmsVO
	 * @exception Exception
	 */
	@Override
	public sendSmsVO sendSms(sendSmsVO param) throws Exception {
		log.info("############################### sendSms impl");
		sendSmsVO result = callSpMapper.sendSms(param);
		return result ;
	}

	/**
	 * 하나생명 Email 발송 SP 호출
	 * @param sendEmailVO
	 * @return sendEmailVO
	 * @exception Exception
	 */
	@Override
	public sendEmailVO sendEmail(sendEmailVO param) throws Exception {
		log.info("############################### sendEmail impl");
		sendEmailVO result = callSpMapper.sendEmail(param);
		return result ;
	}

	/**
	 * 하나생명 FAX 발송 정보 등록
	 * @param sendFaxVO
	 * @return n/a
	 * @exception Exception
	 */
	@Override
	public void sendFax(sendFaxVO param) throws Exception {
		log.info("############################### sendFax impl");
		callSpMapper.sendFax(param);
//		return result ;
	}

	/**
	 * 에금주 체크 방법
	 * @param chkAccNmVO
	 * @return chkAccNmVO
	 * @exception Exception
	 */
	@Override
	public chkAccNmVO chkAccNm(chkAccNmVO param) throws Exception {
		log.info("############################### chkAccNmVO impl");
		chkAccNmVO result = callSpMapper.chkAccNm(param);
		return result ;
	}

}
