package hanalife.c.co.co.web;

import java.util.Map;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;

import hanalife.c.co.co.service.CCOCOP01Service;
import hanalife.c.co.co.vo.CCOCOP01S01DSSMDOVO;
import hanalife.c.co.co.vo.CCOCOP01S01InVO;
import hanalife.c.co.co.vo.CCOCOP01S01OutVO;
import hanalife.c.co.util.XFrame5DataSetUtil;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

@RequestMapping("/c/co/co")
@Controller
public class CCOCOP01Controller {
    /**
     * <pre>
     * 메소드명 : 사원조회 /CCOCOP01S01.do
     * 작성일자 : 2023. 3. 08.
     * 작성자(author): 70325
     * 설명 : 사원조회
     * 예외처리 : Exception
     * </pre>
     */


	@Resource(name = "CCOCOP01Service")
	private CCOCOP01Service CCOCOP01Service;

    private static final Logger LOGGER = LoggerFactory.getLogger(CCOCOP01Controller.class);


	@RequestMapping("/CCOCOP01S01.do")
	public String CCOCOP01S01(ModelMap model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		LOGGER.info("##### CCOCOP01Controller CCOCOP01S01 Start #####");
		try {
			// 컨트롤러에 전달된 Data 추출
			Map<String, Object> sourceMap=XFrame5DataSetUtil.getXFrameDataSet("DS_SMDO", request, response, model);

			//  inVO에 입력값 대입
			CCOCOP01S01DSSMDOVO targetVo=new CCOCOP01S01DSSMDOVO();
			targetVo.setKorName((String)sourceMap.get("korName")); /** 사원명 */ // why??

			// service호출: inVO에 앞서 set한 타겟VO 대입
			CCOCOP01S01InVO inVO=new CCOCOP01S01InVO();
			inVO.setCCOCOP01S01DS_SMDOVO(targetVo);

			// inVO에서 OutVO 호출
			CCOCOP01S01OutVO resultListVo=CCOCOP01Service.getCCOCOP01S01(inVO);

			// 결과값 설정
	        XFrame5Util.setOutputData("DS_SDDO", resultListVo.getListCCOCOP01S01DSSDDOVO(), model);

	        LOGGER.info("##### CCOCOP01Controller CCOCOP01 Normal End #####");

		}catch(Exception e){
	        LOGGER.error("Error >>> "+e.getMessage());
	        // 오류 메시지 정보 설정;
	        model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
	        model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());

	        LOGGER.info("##### CCOCOP01Controller CCOCOP01 Exception End #####");

		}
		return XFrame5View.XFRAME5_VIEW;
	}

}
