package hanalife.c.co.mapper;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.SearchLoanSeqDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SearchLoanSeqMapper.java Class
 * 클래스설명   : 대출번호조회 및 체크 유틸리티 Interface Mapper
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("SearchLoanSeqMapper")
public interface SearchLoanSeqMapper {

    /**
     * <pre>
     * 메소드명      : checkExistLoan
     * 작성일자      : 2023. 3. 9.
     * 작성자(author): 70317 / younghwe.kim / 가계대출 시스템 구축
     * 설명          : 대출번호 존재여부 조회 한다.
     * 메소드인수1   : SearchLoanSeqDTO 입력
     * 메소드리턴값  : SearchLoanSeqDTO 출력
     * 예외처리      : Exception
     * </pre>
     */
	public SearchLoanSeqDTO checkExistLoan(SearchLoanSeqDTO inDto) throws Exception;

}
