package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StFtImgRecvNotiDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtImgRecvNotiMapper.java Class
 * 클래스설명   : ST_피노텍_이미지_수신_통지(ST_FT_IMG_RECV_NOTI) 조회(목록), 등록, 수정, 삭제, 제거 Interface Mapper
 * 작성일자     : 2023. 4. 17
 * 작성자명     : 70319 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 29.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StFtImgRecvNotiMapper")
public interface StFtImgRecvNotiMapper {

    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST_피노텍_이미지_수신_통지(ST_FT_IMG_RECV_NOTI) 조회
     * 메소드인수1   : {StFtImgRecvNotiDTO} inDto
     * 메소드리턴값  : {StFtImgRecvNotiDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StFtImgRecvNotiDTO> selectList(StFtImgRecvNotiDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST_피노텍_이미지_수신_통지(ST_FT_IMG_RECV_NOTI) 등록(신규)
     * 메소드인수1   : {StFtImgRecvNotiDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StFtImgRecvNotiDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : update
     * 설명          : ST_피노텍_이미지_수신_통지(ST_FT_IMG_RECV_NOTI) 변경(수정)
     * 메소드인수1   : {StFtImgRecvNotiDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int update(StFtImgRecvNotiDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : remove
     * 설명          : ST_피노텍_이미지_수신_통지(ST_FT_IMG_RECV_NOTI) 제거(테이블에서 삭제)
     * 메소드인수1   : {StFtImgRecvNotiDTO}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int remove(StFtImgRecvNotiDTO inDto) throws Exception;

}
