package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StHiRigtRschCnfmDocMoveiHshdDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StHiRigtRschCnfmDocMoveiHshdMapper.java Class
 * 클래스설명   : ST_하나손보_권리_조사_확인서_전입세대(ST_HI_RIGT_RSCH_CNFM_DOC_MOVEI_HSHD) 조회(목록), 등록, 수정, 삭제, 제거 Interface Mapper
 * 작성일자     : 2023. 4. 26.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 26.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StHiRigtRschCnfmDocMoveiHshdMapper")
public interface StHiRigtRschCnfmDocMoveiHshdMapper {

    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST_하나손보_권리_조사_확인서_전입세대(ST_HI_RIGT_RSCH_CNFM_DOC_MOVEI_HSHD) 조회
     * 메소드인수1   : {StHiRigtRschCnfmDocMoveiHshdDTO} inDto
     * 메소드리턴값  : {StHiRigtRschCnfmDocMoveiHshdDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StHiRigtRschCnfmDocMoveiHshdDTO> selectList(StHiRigtRschCnfmDocMoveiHshdDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST_하나손보_권리_조사_확인서_전입세대(ST_HI_RIGT_RSCH_CNFM_DOC_MOVEI_HSHD) 등록(신규)
     * 메소드인수1   : {StHiRigtRschCnfmDocMoveiHshdDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StHiRigtRschCnfmDocMoveiHshdDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : update
     * 설명          : ST_하나손보_권리_조사_확인서_전입세대(ST_HI_RIGT_RSCH_CNFM_DOC_MOVEI_HSHD) 변경(수정)
     * 메소드인수1   : {StHiRigtRschCnfmDocMoveiHshdDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int update(StHiRigtRschCnfmDocMoveiHshdDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : remove
     * 설명          : ST_하나손보_권리_조사_확인서_전입세대(ST_HI_RIGT_RSCH_CNFM_DOC_MOVEI_HSHD) 제거(테이블에서 삭제)
     * 메소드인수1   : {StHiRigtRschCnfmDocMoveiHshdDTO}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int remove(StHiRigtRschCnfmDocMoveiHshdDTO inDto) throws Exception;

}
