package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StHiRigtRschReptRetyExfnCnfmDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StHiRigtRschReptRetyExfnCnfmMapper.java Class
 * 클래스설명   : ST_하나손보_권리_조사_보고서_등기부확인(ST_HI_RIGT_RSCH_REPT_RETY_EXFN_CNFM) 조회(목록), 등록, 수정, 삭제, 제거 Interface Mapper
 * 작성일자     : 2023. 4. 13.
 * 작성자명     : 70319 / jeongseon.shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StHiRigtRschReptRetyExfnCnfmMapper")
public interface StHiRigtRschReptRetyExfnCnfmMapper {

    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST_하나손보_권리_조사_보고서_등기부확인(ST_HI_RIGT_RSCH_REPT_RETY_EXFN_CNFM) 조회
     * 메소드인수1   : {StHiRigtRschReptRetyExfnCnfmDTO} inDto
     * 메소드리턴값  : {StHiRigtRschReptRetyExfnCnfmDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StHiRigtRschReptRetyExfnCnfmDTO> selectList(StHiRigtRschReptRetyExfnCnfmDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST_하나손보_권리_조사_보고서_등기부확인(ST_HI_RIGT_RSCH_REPT_RETY_EXFN_CNFM) 등록(신규)
     * 메소드인수1   : {StHiRigtRschReptRetyExfnCnfmDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StHiRigtRschReptRetyExfnCnfmDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : update
     * 설명          : ST_하나손보_권리_조사_보고서_등기부확인(ST_HI_RIGT_RSCH_REPT_RETY_EXFN_CNFM) 변경(수정)
     * 메소드인수1   : {StHiRigtRschReptRetyExfnCnfmDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int update(StHiRigtRschReptRetyExfnCnfmDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : remove
     * 설명          : ST_하나손보_권리_조사_보고서_등기부확인(ST_HI_RIGT_RSCH_REPT_RETY_EXFN_CNFM) 제거(테이블에서 삭제)
     * 메소드인수1   : {StHiRigtRschReptRetyExfnCnfmDTO}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int remove(StHiRigtRschReptRetyExfnCnfmDTO inDto) throws Exception;

}
