package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StKfbCrdtIntgInfoDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbCrdtIntgInfoMapper.java Class
 * 클래스설명   : ST_신정원_신용통합정보(ST_KFB_CRDT_INTG_INFO) 조회(목록), 등록, 수정, 삭제, 제거 Interface Mapper
 * 작성일자     : 2023. 4. 15
 * 작성자명     : 70319 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 15.][70278 ][최초작성]
 * [2023. 4. 26.][70278 ][클래스명 변경 KIS=>KFB]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StKfbCrdtIntgInfoMapper")
public interface StKfbCrdtIntgInfoMapper {

    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST_신정원_신용통합정보(ST_KFB_CRDT_INTG_INFO) 조회
     * 메소드인수1   : {StKfbCrdtIntgInfoDTO} inDto
     * 메소드리턴값  : {StKfbCrdtIntgInfoDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StKfbCrdtIntgInfoDTO> selectList(StKfbCrdtIntgInfoDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST_신정원_신용통합정보(ST_KFB_CRDT_INTG_INFO) 등록(신규)
     * 메소드인수1   : {StKfbCrdtIntgInfoDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StKfbCrdtIntgInfoDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : update
     * 설명          : ST_신정원_신용통합정보(ST_KFB_CRDT_INTG_INFO) 변경(수정)
     * 메소드인수1   : {StKfbCrdtIntgInfoDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int update(StKfbCrdtIntgInfoDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : remove
     * 설명          : ST_신정원_신용통합정보(ST_KFB_CRDT_INTG_INFO) 제거(테이블에서 삭제)
     * 메소드인수1   : {StKfbCrdtIntgInfoDTO}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int remove(StKfbCrdtIntgInfoDTO inDto) throws Exception;

}
