package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StKfbCrdtIntgInfoRelManHistDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbCrdtIntgInfoRelManHistMapper.java Class
 * 클래스설명   : ST_신정원_신용통합정보_관련인_이력(회보)(ST_KFB_CRDT_INTG_INFO_REL_MAN_HIST) 조회(목록), 등록, 수정, 삭제, 제거 Interface Mapper
 * 작성일자     : 2023. 6. 5.
 * 작성자명     : 70319 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 6. 5.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StKfbCrdtIntgInfoRelManHistMapper")
public interface StKfbCrdtIntgInfoRelManHistMapper {

    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST_신정원_신용통합정보_관련인_이력(회보)(ST_KFB_CRDT_INTG_INFO_REL_MAN_HIST) 조회
     * 메소드인수1   : {StKfbCrdtIntgInfoRelManHistDTO} inDto
     * 메소드리턴값  : {StKfbCrdtIntgInfoRelManHistDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StKfbCrdtIntgInfoRelManHistDTO> selectList(StKfbCrdtIntgInfoRelManHistDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST_신정원_신용통합정보_관련인_이력(회보)(ST_KFB_CRDT_INTG_INFO_REL_MAN_HIST) 등록(신규)
     * 메소드인수1   : {StKfbCrdtIntgInfoRelManHistDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StKfbCrdtIntgInfoRelManHistDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : update
     * 설명          : ST_신정원_신용통합정보_관련인_이력(회보)(ST_KFB_CRDT_INTG_INFO_REL_MAN_HIST) 변경(수정)
     * 메소드인수1   : {StKfbCrdtIntgInfoRelManHistDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int update(StKfbCrdtIntgInfoRelManHistDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : remove
     * 설명          : ST_신정원_신용통합정보_관련인_이력(회보)(ST_KFB_CRDT_INTG_INFO_REL_MAN_HIST) 제거(테이블에서 삭제)
     * 메소드인수1   : {StKfbCrdtIntgInfoRelManHistDTO}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int remove(StKfbCrdtIntgInfoRelManHistDTO inDto) throws Exception;

}
