package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StKfbCrdtIntgInfoResiNoChngHistDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbCrdtIntgInfoResiNoChngHistMapper.java Class
 * 클래스설명   : ST_신정원_신용통합정보_주민등록변동자_이력(회보)(ST_KFB_CRDT_INTG_INFO_RESI_NO_CHNG_HIST) 조회(목록), 등록, 수정, 삭제, 제거 Interface Mapper
 * 작성일자     : 2023. 6. 5.
 * 작성자명     : 70319 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 6. 5.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StKfbCrdtIntgInfoResiNoChngHistMapper")
public interface StKfbCrdtIntgInfoResiNoChngHistMapper {

    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST_신정원_신용통합정보_주민등록변동자_이력(회보)(ST_KFB_CRDT_INTG_INFO_RESI_NO_CHNG_HIST) 조회
     * 메소드인수1   : {StKfbCrdtIntgInfoResiNoChngHistDTO} inDto
     * 메소드리턴값  : {StKfbCrdtIntgInfoResiNoChngHistDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StKfbCrdtIntgInfoResiNoChngHistDTO> selectList(StKfbCrdtIntgInfoResiNoChngHistDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST_신정원_신용통합정보_주민등록변동자_이력(회보)(ST_KFB_CRDT_INTG_INFO_RESI_NO_CHNG_HIST) 등록(신규)
     * 메소드인수1   : {StKfbCrdtIntgInfoResiNoChngHistDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StKfbCrdtIntgInfoResiNoChngHistDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : update
     * 설명          : ST_신정원_신용통합정보_주민등록변동자_이력(회보)(ST_KFB_CRDT_INTG_INFO_RESI_NO_CHNG_HIST) 변경(수정)
     * 메소드인수1   : {StKfbCrdtIntgInfoResiNoChngHistDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int update(StKfbCrdtIntgInfoResiNoChngHistDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : remove
     * 설명          : ST_신정원_신용통합정보_주민등록변동자_이력(회보)(ST_KFB_CRDT_INTG_INFO_RESI_NO_CHNG_HIST) 제거(테이블에서 삭제)
     * 메소드인수1   : {StKfbCrdtIntgInfoResiNoChngHistDTO}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int remove(StKfbCrdtIntgInfoResiNoChngHistDTO inDto) throws Exception;

}
