package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StLoanMnrtCutApplMngDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StLoanMnrtCutApplMngMapper.java Class
 * 클래스설명   : ST_금리_인하_신청_관리(ST_LOAN_MNRT_CUT_APPL_MNG) 조회(목록), 등록, 수정, 삭제, 제거 Interface Mapper
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StLoanMnrtCutApplMngMapper")
public interface StLoanMnrtCutApplMngMapper {

    /**
     * <pre>
     * 메소드명      : select
     * 설명          : ST_금리_인하_신청_관리(ST_LOAN_MNRT_CUT_APPL_MNG) 조회
     * 메소드인수1   : {StLoanMnrtCutApplMngDTO} inDto(영업일자:yyyyMMdd)
     * 메소드리턴값  : {StLoanMnrtCutApplMngDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public StLoanMnrtCutApplMngDTO select(StLoanMnrtCutApplMngDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST_금리_인하_신청_관리(ST_LOAN_MNRT_CUT_APPL_MNG) 목록조회
     * 메소드인수1   : {StLoanMnrtCutApplMngDTO} inDto(영업일자:yyyyMMdd)
     * 메소드리턴값  : {List<StLoanMnrtCutApplMngDTO>}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StLoanMnrtCutApplMngDTO> selectList(StLoanMnrtCutApplMngDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST_금리_인하_신청_관리(ST_LOAN_MNRT_CUT_APPL_MNG) 등록(신규)
     * 메소드인수1   : {StLoanMnrtCutApplMngDTO} inDto(영업일자:yyyyMMdd)
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StLoanMnrtCutApplMngDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : update
     * 설명          : ST_금리_인하_신청_관리(ST_LOAN_MNRT_CUT_APPL_MNG) 변경(수정)
     * 메소드인수1   : {StLoanMnrtCutApplMngDTO} inDto(영업일자:yyyyMMdd)
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int update(StLoanMnrtCutApplMngDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : remove
     * 설명          : ST_금리_인하_신청_관리(ST_LOAN_MNRT_CUT_APPL_MNG) 제거(테이블에서 삭제)
     * 메소드인수1   : {StLoanMnrtCutApplMngDTO}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int remove(StLoanMnrtCutApplMngDTO inDto) throws Exception;

}
