package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StRuleSubHistDTO;


/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StRuleSubHistMapper.java Class
 * 클래스설명   : ST-RULE SUB_HIST(ST_RULE_SUB_HIST) 조회(목록), 등록, 수정, 삭제
 * 작성일자     : 2023.04.13.
 * 작성자명     : 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.04.13.][70280 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StRuleSubHistMapper")
public interface StRuleSubHistMapper
{
    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST_RULE_SUB_HIST(ST_RULE_SUB_HIST) 목록조회
     * 메소드인수1   : {StRuleSubHistDTO}
     * 메소드리턴값  : {List<StRuleSubMapper>}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StRuleSubHistDTO> selectList(StRuleSubHistDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST-RULE SUB-HIST(ST_RULE_SUB_HIST) 목록조회
     * 메소드인수1   : {StRuleSubHistDTO}
     * 메소드리턴값  : int
     * 예외처리      : Exception
     * </pre>
     */
    public StRuleSubHistDTO selectNextValSeqNo(StRuleSubHistDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST-RULE SUB_HIST(ST_RULE_SUB_HIST) 등록(신규)
     * 메소드인수1   : {StRuleSubHistDTO}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StRuleSubHistDTO inDto) throws Exception;
}