package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StRuleSubDTO;


/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StRuleSubMapper.java Class
 * 클래스설명   : ST-RULE MAIN(ST_RULE_MAIN) 조회(목록), 등록, 수정, 삭제
 * 작성일자     : 2023.04.13.
 * 작성자명     : 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.04.13.][70280 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StRuleSubMapper")
public interface StRuleSubMapper
{
    /**
     * <pre>
     * 메소드명      : select
     * 설명          : ST-RULE MAIN(ST_RULE_MAIN) 조회
     * 메소드인수1   : {StRuleSubMapper}
     * 메소드리턴값  : {StRuleSubMapper}
     * 예외처리      : Exception
     * </pre>
     */
    public StRuleSubDTO select(StRuleSubDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST-RULE MAIN(ST_RULE_MAIN) 목록조회
     * 메소드인수1   : {StRuleSubMapper}
     * 메소드리턴값  : {List<StRuleSubMapper>}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StRuleSubDTO> selectList(StRuleSubDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST-RULE MAIN(ST_RULE_MAIN) 등록(신규)
     * 메소드인수1   : {StRuleSubMapper}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StRuleSubDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : update
     * 설명          : ST-RULE MAIN(ST_RULE_MAIN) 변경(수정)
     * 메소드인수1   : {StRuleSubMapper}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int update(StRuleSubDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : delete
     * 설명          : ST-RULE MAIN(ST_RULE_MAIN) 삭제(테이블에서 삭제)
     * 메소드인수1   : {StRuleSubMapper}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int delete(StRuleSubDTO inDto) throws Exception;
}