package hanalife.c.co.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StSgiInsuAcdtNotiDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StSgiInsuAcdtNotiMapper.java Class
 * 클래스설명   : ST_SGI_보험사고통보(ST_SGI_INSU_ACDT_NOTI) 조회(목록), 등록, 수정, 삭제, 제거 Interface Mapper
 * 작성일자     : 2023. 4. 17
 * 작성자명     : 70319 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Mapper("StSgiInsuAcdtNotiMapper")
public interface StSgiInsuAcdtNotiMapper {

    /**
     * <pre>
     * 메소드명      : selectList
     * 설명          : ST_SGI_보험사고통보(ST_SGI_INSU_ACDT_NOTI) 조회
     * 메소드인수1   : {StSgiInsuAcdtNotiDTO} inDto
     * 메소드리턴값  : {StSgiInsuAcdtNotiDTO}
     * 예외처리      : Exception
     * </pre>
     */
    public List<StSgiInsuAcdtNotiDTO> selectList(StSgiInsuAcdtNotiDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : insert
     * 설명          : ST_SGI_보험사고통보(ST_SGI_INSU_ACDT_NOTI) 등록(신규)
     * 메소드인수1   : {StSgiInsuAcdtNotiDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int insert(StSgiInsuAcdtNotiDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : update
     * 설명          : ST_SGI_보험사고통보(ST_SGI_INSU_ACDT_NOTI) 변경(수정)
     * 메소드인수1   : {StSgiInsuAcdtNotiDTO} inDto
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int update(StSgiInsuAcdtNotiDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : remove
     * 설명          : ST_SGI_보험사고통보(ST_SGI_INSU_ACDT_NOTI) 제거(테이블에서 삭제)
     * 메소드인수1   : {StSgiInsuAcdtNotiDTO}
     * 메소드리턴값  : {int}
     * 예외처리      : Exception
     * </pre>
     */
    public int remove(StSgiInsuAcdtNotiDTO inDto) throws Exception;

}
