package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : AtFincClsDTO.java Class
 * 클래스설명   : AT_재무_마감(AT_FINC_CLS)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 18.
 * 작성자명     : 70279 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 18.][70279 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AtFincClsDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String acctDt; /* 회계_일자 */
    private String deptCd; /* 부서_코드[부서코드(HT_ORG참조)] */
    private String bsnClsFg; /* 업무_마감_여부 */
    private String acctClsFg; /* 회계_마감_여부 */
    private String delFg; /* 삭제_여부 */



    public String getAcctDt() {
		return acctDt;
	}



	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}



	public String getDeptCd() {
		return deptCd;
	}



	public void setDeptCd(String deptCd) {
		this.deptCd = deptCd;
	}



	public String getBsnClsFg() {
		return bsnClsFg;
	}



	public void setBsnClsFg(String bsnClsFg) {
		this.bsnClsFg = bsnClsFg;
	}



	public String getAcctClsFg() {
		return acctClsFg;
	}



	public void setAcctClsFg(String acctClsFg) {
		this.acctClsFg = acctClsFg;
	}



	public String getDelFg() {
		return delFg;
	}



	public void setDelFg(String delFg) {
		this.delFg = delFg;
	}



	public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
