package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : AtTrAcctDescDTO.java Class
 * 클래스설명   : 거래계정내역(AT_TR_ACCT_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 15.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 15.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AtTrAcctDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String trTpDivCd  = "";  /* 거래유형구분코드 */
    private String trStagDivCd  = "";  /* 거래단계구분코드 */
    private String dcDivCd  = "";  /* 차대구분코드 */
    private String acctCd  = "";  /* 계정코드 */
    private String amtItemDivCd  = "";  /* 금액항목구분코드 */
    private String calcFg  = "";  /* 계산여부 */
    private String calcTpCd  = "";  /* 계산식코드 */
    private String acctClasStndCd  = "";  /* 계정분류기준코드 */
    private String clasCd  = "";  /* 분류코드 */
    private String acctDivCd  = "";  /* 회계구분코드 */

    public String getTrTpDivCd() {
        return trTpDivCd;
    }
    public void setTrTpDivCd(String trTpDivCd) {
        this.trTpDivCd = trTpDivCd;
    }
    public String getTrStagDivCd() {
        return trStagDivCd;
    }
    public void setTrStagDivCd(String trStagDivCd) {
        this.trStagDivCd = trStagDivCd;
    }
    public String getDcDivCd() {
        return dcDivCd;
    }
    public void setDcDivCd(String dcDivCd) {
        this.dcDivCd = dcDivCd;
    }
    public String getAcctCd() {
        return acctCd;
    }
    public void setAcctCd(String acctCd) {
        this.acctCd = acctCd;
    }
    public String getAmtItemDivCd() {
        return amtItemDivCd;
    }
    public void setAmtItemDivCd(String amtItemDivCd) {
        this.amtItemDivCd = amtItemDivCd;
    }
    public String getCalcFg() {
        return calcFg;
    }
    public void setCalcFg(String calcFg) {
        this.calcFg = calcFg;
    }
    public String getCalcTpCd() {
        return calcTpCd;
    }
    public void setCalcTpCd(String calcTpCd) {
        this.calcTpCd = calcTpCd;
    }
    public String getAcctClasStndCd() {
        return acctClasStndCd;
    }
    public void setAcctClasStndCd(String acctClasStndCd) {
        this.acctClasStndCd = acctClasStndCd;
    }
    public String getClasCd() {
        return clasCd;
    }
    public void setClasCd(String clasCd) {
        this.clasCd = clasCd;
    }
    public String getAcctDivCd() {
        return acctDivCd;
    }
    public void setAcctDivCd(String acctDivCd) {
        this.acctDivCd = acctDivCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
