package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : AtTrCalcDescDTO.java Class
 * 클래스설명   : AT_거래코드항목설명(AT_TR_CALC_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 21.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 21.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AtTrCalcDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String calcTpCd  = "";  /* 계산식코드 */
    private long calcSnum  = 0;  /* 계산일련번호 */
    private String amtItemDivCd  = "";  /* 금액항목구분코드 */
    private String opDivCd  = "";  /* 연산자구분코드 */

    public String getCalcTpCd() {
        return calcTpCd;
    }
    public void setCalcTpCd(String calcTpCd) {
        this.calcTpCd = calcTpCd;
    }
    public long getCalcSnum() {
        return calcSnum;
    }
    public void setCalcSnum(long calcSnum) {
        this.calcSnum = calcSnum;
    }
    public String getAmtItemDivCd() {
        return amtItemDivCd;
    }
    public void setAmtItemDivCd(String amtItemDivCd) {
        this.amtItemDivCd = amtItemDivCd;
    }
    public String getOpDivCd() {
        return opDivCd;
    }
    public void setOpDivCd(String opDivCd) {
        this.opDivCd = opDivCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
