package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : AtTrTpBaseDTO.java Class
 * 클래스설명   : AT_거래형태수수료(AT_TR_TP_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 21.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 21.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AtTrTpBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String trTpDivCd  = "";  /* 거래유형구분코드 */
    private String trStagDivCd  = "";  /* 거래단계구분코드 */
    private String tranTpCd  = "";  /* 이체유형코드 */
    private String sysDivCd  = "";  /* ORIGINAL NAME:SYSDIVCD */
    private String jstObjFg  = "";  /* 여부회피여부 */
    private String trMngItemCd  = "";  /* 거래관리항목코드 */
    private String useFg  = "";  /* 사용여부 */

    public String getTrTpDivCd() {
        return trTpDivCd;
    }
    public void setTrTpDivCd(String trTpDivCd) {
        this.trTpDivCd = trTpDivCd;
    }
    public String getTrStagDivCd() {
        return trStagDivCd;
    }
    public void setTrStagDivCd(String trStagDivCd) {
        this.trStagDivCd = trStagDivCd;
    }
    public String getTranTpCd() {
        return tranTpCd;
    }
    public void setTranTpCd(String tranTpCd) {
        this.tranTpCd = tranTpCd;
    }
    public String getSysDivCd() {
        return sysDivCd;
    }
    public void setSysDivCd(String sysDivCd) {
        this.sysDivCd = sysDivCd;
    }
    public String getJstObjFg() {
        return jstObjFg;
    }
    public void setJstObjFg(String jstObjFg) {
        this.jstObjFg = jstObjFg;
    }
    public String getTrMngItemCd() {
        return trMngItemCd;
    }
    public void setTrMngItemCd(String trMngItemCd) {
        this.trMngItemCd = trMngItemCd;
    }
    public String getUseFg() {
        return useFg;
    }
    public void setUseFg(String useFg) {
        this.useFg = useFg;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
