package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BtBndClsBaseDTO.java Class
 * 클래스설명   : BT-채권마감기본 를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 21.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 21.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtBndClsBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 검색항목 - 계정계 고객정보 중 대출번호 */
    private String loanSeq  = "";  /* 상담대출순번 */
    private String clsDt  = "";  /* 마감일자 */
    private String prdtCd  = "";  /* 상품코드 */
    private String godsCd  = "";  /* 물품코드 */
    private String contManNo  = "";  /* 계약자번호 */
    private String prdtLrgeClasCd  = "";  /* 상품대분류코드 */
    private String prdtMidClasCd  = "";  /* 상품중분류코드 */
    private String prdtSmClasCd  = "";  /* 관리상품소분류코드 */
    private String mngPrdtLrgeClasCd  = "";  /* 관리상품대분류코드 */
    private String mngPrdtMidClasCd  = "";  /* 관리상품중분류코드 */
    private String mngPrdtSmClasCd  = "";  /* 관리상품소분류코드 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String occrDeptCd  = "";  /* 발생부서코드 */
    private String bndMngPlcCd  = "";  /* 채권관리처코드 */
    private String bndMngPlcTranDt  = "";  /* 채권관리처이관일자 */
    private String lnDiv  = "";  /* 여신구분 */
    private String reptCd  = "";  /* 보고코드 */
    private String loanStatCd  = "";  /* 대출상태코드 */
    private String bndStatCd  = "";  /* 채권상태코드 */
    private long loanIntRt  = 0;  /* 대출이자율 */
    private String setlDd  = "";  /* 결제일 */
    private long loanTerm  = 0;  /* 대출기간 */
    private String loanDt  = "";  /* 대출일자 */
    private String loanChngDt  = "";  /* 대출변경일자 */
    private String eprtDt  = "";  /* 만기일자 */
    private String endDt  = "";  /* 종국일 */
    private String saleEmpResiNo  = "";  /* 판매사원주민등록번호 */
    private String examJudgCd  = "";  /* 심사판정코드 */
    private String examDgreCd  = "";  /* 심사등급코드 */
    private BigDecimal loanPamt  = BigDecimal.ZERO;  /* 대출원금 */
    private BigDecimal loanInt  = BigDecimal.ZERO;  /* 대출이자 */
    private BigDecimal leasGuarAmt  = BigDecimal.ZERO;  /* 리스보증금 */
    private BigDecimal leasRmnVal  = BigDecimal.ZERO;  /* 리스잔존가치 */
    private long loanBalTims  = 0;  /* 대출잔여회차 */
    private BigDecimal loanPamtRamt  = BigDecimal.ZERO;  /* 연체회차사용여부 */
    private BigDecimal loanIntRamt  = BigDecimal.ZERO;  /* 대출이자잔액 */
    private long brcvRt  = 0;  /* 선수율 */
    private String dueMethCd  = "";  /* 납입방법코드 */
    private String lnDivsEmpNo  = "";  /* 여신담당사번 */
    private String aidTmgrEmpNo  = "";  /* 지원팀장사원번호 */
    private String bonbMgrEmpNo  = "";  /* 지점팀장사원번호 */
    private String lastAprvEmpNo  = "";  /* 최종승인사원번호 */
    private String bndDivsEmpNo  = "";  /* 채권담당사원번호 */
    private String frstBndDivsEmpNo  = "";  /* 최초채권담당사원번호 */
    private String smkdAnotComDlyFg  = "";  /* 동종타사연체여부 */
    private String crdtStatCd  = "";  /* 신용상태코드 */
    private long crdtBadCnt  = 0;  /* 신용불량건수 */
    private BigDecimal crdtBadAmt  = BigDecimal.ZERO;  /* 신용불량금액 */
    private String anotComCrdtStatCd  = "";  /* 타사신용상태코드 */
    private long anotComCrdtBadCnt  = 0;  /* 타사신용불량건수 */
    private BigDecimal anotComCrdtBadAmt  = BigDecimal.ZERO;  /* 타사신용불량금액 */
    private String leglActsObjFg  = "";  /* 법적조치대상여부 */
    private String leglActsObjDt  = "";  /* 법적조치대상일자 */
    private String leglActsWdrwObjFg  = "";  /* 법적조치회수대상여부 */
    private String leglActsWdrwObjDt  = "";  /* 법적조치회수대상일자 */
    private String frstActnDt  = "";  /* 최초조치일자 */
    private String leglActsTpCd  = "";  /* 법적조치유형코드 */
    private String leglActsStatCd  = "";  /* 법적조치상태코드 */
    private String badDebtObjFg  = "";  /* 대손대상여부 */
    private String badDebtProcStatCd  = "";  /* 대손대상제외여부 */
    private String badDebtAfEndTpCd  = "";  /* 대손후종료유형코드 */
    private String flotIzeDivCd  = "";  /* 유동화구분코드 */
    private String flotIzeSeq  = "";  /* 유동화차수 */
    private String flotIzeRpchFg  = "";  /* 유동화환매여부 */
    private String flotIzeCesnLoanFg  = "";  /* 유동화양도대출여부 */
    private BigDecimal flotIzeDcsnBalPamt  = BigDecimal.ZERO;  /* 유동화확정잔여원금 */
    private String crdtRcvrStatCd  = "";  /* 신용회복상태코드 */
    private String cprtComNo  = "";  /* 제휴사번호 */
    private String cprtBranCd  = "";  /* 제휴점코드 */
    private String collComCd  = "";  /* 추심회사코드 */
    private String badBndSellComCd  = "";  /* 불량채권매각회사코드 */
    private String rcptStatCd  = "";  /* 수납상태코드 */
    private String newReflFg  = "";  /* 신규반영여부 */
    private String rmbrFrmlCd  = "";  /* 상환방식코드 */
    private String carMrtgSetFg  = "";  /* 자동차담보설정여부 */
    private String mrtgSmClasCd  = "";  /* 담보소분류코드 */
    private String valdMrtgCd  = "";  /* 유효담보코드 */
    private long setRto  = 0;  /* 설정비율 */
    private String carsGodsCd  = "";  /* 차량물품코드 */
    private String loanNormIzeFg  = "";  /* 대출정상화여부 */
    private String asetSondTpClasCd  = "";  /* 자산건전성분류코드 */
    private String asetSondTpDivCd  = "";  /* 자산건전성구분코드 */
    private String asetSondTpChngCd  = "";  /* 자산건전성변경코드 */
    private BigDecimal badDebtApprAmt  = BigDecimal.ZERO;  /* 대손충당금강제조정액 */
    private BigDecimal badDebtTotApprAmt  = BigDecimal.ZERO;  /* 대손합산충당금 */
    private String rcntSetlDt  = "";  /* 최근결제일자 */
    private BigDecimal rcntSetlAmt  = BigDecimal.ZERO;  /* 최근결제금액 */
    private long lastSetlTims  = 0;  /* 최종결제회차 */
    private long uncomgBalTims  = 0;  /* 미도래잔여회차 */
    private BigDecimal uncomgPamtRamt  = BigDecimal.ZERO;  /* 미도래원금잔액 */
    private BigDecimal uncomgIntRamt  = BigDecimal.ZERO;  /* 미도래이자잔액 */
    private BigDecimal uncomgCartaxRamt  = BigDecimal.ZERO;  /* 미도래자동차세잔액 */
    private BigDecimal uncomgInsuFeeRamt  = BigDecimal.ZERO;  /* 미도래보험료잔액 */
    private BigDecimal uncomgEnvamtRamt  = BigDecimal.ZERO;  /* 미도래환경금잔액 */
    private BigDecimal uncomgAsfeeRamt  = BigDecimal.ZERO;  /* 미도래정비료잔액 */
    private String fcntComgFg  = "";  /* 초회도래여부 */
    private BigDecimal spayAmt  = BigDecimal.ZERO;  /* 가지급금 */
    private long rlComgTims  = 0;  /* 실도래회차 */
    private String thmmDueDt  = "";  /* 당월납입일자 */
    private String thmmComgDt  = "";  /* 당월도래일자 */
    private long thmmComgTims  = 0;  /* 당월도래회차 */
    private BigDecimal thmmComgPamt  = BigDecimal.ZERO;  /* 당월도래원금 */
    private BigDecimal thmmComgInt  = BigDecimal.ZERO;  /* 당월도래이자 */
    private BigDecimal thmmComgCartax  = BigDecimal.ZERO;  /* 당월도래자동차세 */
    private BigDecimal thmmComgInsuFee  = BigDecimal.ZERO;  /* 당월도래보험료 */
    private BigDecimal thmmComgEnvamt  = BigDecimal.ZERO;  /* 당월도래환경금 */
    private BigDecimal thmmComgAsfee  = BigDecimal.ZERO;  /* 당월도래정비료 */
    private BigDecimal thmmOccrPnltAmt  = BigDecimal.ZERO;  /* 당월발생범칙금 */
    private BigDecimal adjuThmmPamt  = BigDecimal.ZERO;  /* 조정당월원금 */
    private BigDecimal adjuBfmmDlyPamt  = BigDecimal.ZERO;  /* 조정전월연체원금 */
    private BigDecimal adjuThmmInt  = BigDecimal.ZERO;  /* 조정당월이자 */
    private BigDecimal adjuBfmmDlyInt  = BigDecimal.ZERO;  /* 조정전월연체이자 */
    private BigDecimal adjuThmmCartax  = BigDecimal.ZERO;  /* 조정당월자동차세 */
    private BigDecimal adjuBfmmDlyCartax  = BigDecimal.ZERO;  /* 조정전월연체자동차세 */
    private BigDecimal adjuThmmInsuFee  = BigDecimal.ZERO;  /* 조정당월보험료 */
    private BigDecimal adjuBfmmDlyInsuFee  = BigDecimal.ZERO;  /* 조정전월연체보험료 */
    private BigDecimal adjuThmmEnvamt  = BigDecimal.ZERO;  /* 조정당월환경금 */
    private BigDecimal adjuBfmmDlyEnvamt  = BigDecimal.ZERO;  /* 조정전월연체환경금 */
    private BigDecimal adjuThmmAsfee  = BigDecimal.ZERO;  /* 조정당월정비료 */
    private BigDecimal adjuBfmmDlyAsfee  = BigDecimal.ZERO;  /* 조정전월연체정비료 */
    private BigDecimal adjuThmmPnltAmt  = BigDecimal.ZERO;  /* 조정당월범칙금 */
    private BigDecimal adjuBfmmPnltAmt  = BigDecimal.ZERO;  /* 조정전월범칙금 */
    private String mmDlyFg  = "";  /* 월연체여부 */
    private String initDlyDivCd  = "";  /* 초기연체구분코드 */
    private long amtVsDlyWdrw  = 0;  /* 금액대비연체회수 */
    private long frstDlyTims  = 0;  /* 최초연체회차 */
    private String frstDlyDt  = "";  /* 최초연체일자 */
    private long lngsDlyDdcnt  = 0;  /* 최장연체일수 */
    private long totDlyDdcnt  = 0;  /* 누적연체일수 */
    private String pureDlyFg  = "";  /* 순수연체여부 */
    private long dlyTcnt  = 0;  /* 연체횟수 */
    private long dlyDdcnt  = 0;  /* 연체일수 */
    private BigDecimal dlyPamt  = BigDecimal.ZERO;  /* 연체원금 */
    private BigDecimal dlyInt  = BigDecimal.ZERO;  /* 연체이자 */
    private BigDecimal dlyCartax  = BigDecimal.ZERO;  /* 연체자동차세 */
    private BigDecimal dlyInsuFee  = BigDecimal.ZERO;  /* 연체보험료 */
    private BigDecimal dlyEnvamt  = BigDecimal.ZERO;  /* 연체환경금 */
    private BigDecimal dlyAsfee  = BigDecimal.ZERO;  /* 연체정비료 */
    private BigDecimal dlyPnltAmt  = BigDecimal.ZERO;  /* 연체범칙금 */
    private BigDecimal dfee  = BigDecimal.ZERO;  /* 연체료 */
    private BigDecimal dlyBndAmt  = BigDecimal.ZERO;  /* 연체채권금액 */
    private String bfmmDlyFg  = "";  /* 전월연체여부 */
    private BigDecimal leglActnCostRamt  = BigDecimal.ZERO;  /* 법적조치비용잔액 */
    private BigDecimal unrcvInt  = BigDecimal.ZERO;  /* 미수이자 */
    private BigDecimal psgInt  = BigDecimal.ZERO;  /* 경과이자 */
    private BigDecimal crdtRcvrUnrcvAmt  = BigDecimal.ZERO;  /* 신용회복미수금 */
    private BigDecimal exemPamt  = BigDecimal.ZERO;  /* 감면원금 */
    private String wdrwTpCd  = "";  /* 회수유형코드 */
    private BigDecimal setlThmmComgPamt  = BigDecimal.ZERO;  /* 결제당월도래원금 */
    private BigDecimal setlThmmComgInt  = BigDecimal.ZERO;  /* 결제당월도래이자 */
    private BigDecimal setlThmmComgDfee  = BigDecimal.ZERO;  /* 결제당월도래연체료 */
    private BigDecimal setlThmmDlyPamt  = BigDecimal.ZERO;  /* 결제당월연체원금 */
    private BigDecimal setlThmmDlyInt  = BigDecimal.ZERO;  /* 결제당월연체이자 */
    private BigDecimal setlThmmDfee  = BigDecimal.ZERO;  /* 결제당월연체료 */
    private BigDecimal setlBfmmDlyPamt  = BigDecimal.ZERO;  /* 결제전월연체원금 */
    private BigDecimal setlBfmmDlyInt  = BigDecimal.ZERO;  /* 결제전월연체이자 */
    private BigDecimal setlBfmmDfee  = BigDecimal.ZERO;  /* 결제전월연체료 */
    private BigDecimal setlThmmComgCartax  = BigDecimal.ZERO;  /* 결제당월도래자동차세 */
    private BigDecimal setlBfmmDlyCartax  = BigDecimal.ZERO;  /* 결제전월연체자동차세 */
    private BigDecimal setlThmmComgInsuFee  = BigDecimal.ZERO;  /* 결제당월도래보험료 */
    private BigDecimal setlBfmmDlyInsuFee  = BigDecimal.ZERO;  /* 결제전월연체보험료 */
    private BigDecimal setlThmmComgEnvamt  = BigDecimal.ZERO;  /* 결제당월도래환경금 */
    private BigDecimal setlBfmmDlyEnvamt  = BigDecimal.ZERO;  /* 결제전월연체환경금 */
    private BigDecimal setlThmmComgAsfee  = BigDecimal.ZERO;  /* 결제당월도래정비료 */
    private BigDecimal setlBfmmDlyAsfee  = BigDecimal.ZERO;  /* 결제전월연체정비료 */
    private BigDecimal setlThmmPnltAmt  = BigDecimal.ZERO;  /* 결제당월범칙금 */
    private BigDecimal setlBfmmDlyPnltAmt  = BigDecimal.ZERO;  /* 결제전월연체범칙금 */
    private String custCntcPlc  = "";  /* 고객연락처 */
    private String lastPrmsDt  = "";  /* 최종약속일자 */
    private String lastCurDt  = "";  /* 최종통화일자 */
    private String bndOldNewFg  = "";  /* 채권구1신여부 */
    private String bndRoleDivCd  = "";  /* 채권직무구분코드 */
    private String bndRoleTpCd  = "";  /* 채권직무유형코드 */
    private String bndWeakTpCd  = "";  /* 채권부실유형코드 */
    private long rcptBaseSetlNo  = 0;  /* 수납기본결제번호 */
    private long rmbrPlanTrSnum  = 0;  /* 상환계획거래일련번호 */
    private BigDecimal rmbrPamt  = BigDecimal.ZERO;  /* 상환원금 */
    private BigDecimal rmbrInt  = BigDecimal.ZERO;  /* 상환이자 */
    private BigDecimal rmbrDfee  = BigDecimal.ZERO;  /* 상환연체료 */
    private BigDecimal discDfee  = BigDecimal.ZERO;  /* 할인연체료 */
    private BigDecimal exmpPamt  = BigDecimal.ZERO;  /* 면제원금 */
    private BigDecimal exmpInt  = BigDecimal.ZERO;  /* 면제이자 */
    private BigDecimal exmpDfee  = BigDecimal.ZERO;  /* 면제연체료 */
    private BigDecimal exmpLeglActsCost  = BigDecimal.ZERO;  /* 면제법적조치비용 */
    private BigDecimal exmpMidRmbrFee  = BigDecimal.ZERO;  /* 면제중도상환수수료 */
    private BigDecimal midRmbrFee  = BigDecimal.ZERO;  /* 중도상환수수료 */
    private BigDecimal midRmbrInt  = BigDecimal.ZERO;  /* 중도상환이자 */
    private long rlDlyTcnt  = 0;  /* 실연체횟수 */
    private long rlDlyDdcnt  = 0;  /* 실연체일수 */
    private BigDecimal rlDlyPamt  = BigDecimal.ZERO;  /* 실연체원금 */
    private BigDecimal rlDlyInt  = BigDecimal.ZERO;  /* 실연체이자 */
    private BigDecimal rlDfee  = BigDecimal.ZERO;  /* 실연체료 */
    private long rlDlyStrtTims  = 0;  /* 실연체시작회차 */
    private String rlDlyStrtDt  = "";  /* 실연체시작일자 */
    private long rlFrstDlyTims  = 0;  /* 실최초연체회차 */
    private String rlFrstDlyDt  = "";  /* 실최초연체일자 */
    private long rlTotDlyTcnt  = 0;  /* 실누적연체횟수 */
    private long rlTotDlyDdcnt  = 0;  /* 실누적연체일수 */
    private String contDt  = "";  /* 약정일자 */
    private String contNo  = "";  /* 약정번호 */
    private BigDecimal gainAmt  = BigDecimal.ZERO;  /* 취득금액 */
    private BigDecimal ldgrVamt  = BigDecimal.ZERO;  /* 장부가액 */
    private String leasStatCd  = "";  /* 리스상태코드 */
    private String cartaxEnvamtAdjMethCd  = "";  /* 자동차세환경금정산방법코드 */
    private String leasEprtDt  = "";  /* 리스만기일자 */
    private long leasTerm  = 0;  /* 리스기간 */
    private BigDecimal addCartax  = BigDecimal.ZERO;  /* 차세 */
    private BigDecimal addInsuFee  = BigDecimal.ZERO;  /* 보험료 */
    private BigDecimal addEnvamt  = BigDecimal.ZERO;  /* 가산환경금 */
    private BigDecimal addAsfee  = BigDecimal.ZERO;  /* 가산정비료 */
    private BigDecimal ipayCartax  = BigDecimal.ZERO;  /* 대지급자동차세 */
    private BigDecimal ipayInsuFee  = BigDecimal.ZERO;  /* 대지급보험료 */
    private BigDecimal ipayEnvamt  = BigDecimal.ZERO;  /* 대지급환경금 */
    private BigDecimal ipayPnltAmt  = BigDecimal.ZERO;  /* 대지급범칙금 */
    private BigDecimal ipayEtc  = BigDecimal.ZERO;  /* 대지급기타 */
    private BigDecimal vtax  = BigDecimal.ZERO;  /* 부가세 */
    private BigDecimal addCartaxRamt  = BigDecimal.ZERO;  /* 가산자동차세잔액 */
    private BigDecimal addInsuFeeRamt  = BigDecimal.ZERO;  /* 가산보험료잔액 */
    private BigDecimal addEnvamtRamt  = BigDecimal.ZERO;  /* 가산환경금잔액 */
    private BigDecimal addAsfeeRamt  = BigDecimal.ZERO;  /* 가산정비료잔액 */
    private BigDecimal ipayCartaxRamt  = BigDecimal.ZERO;  /* 대지급자동차세잔액 */
    private BigDecimal ipayInsuFeeRamt  = BigDecimal.ZERO;  /* 대지급보험료잔액 */
    private BigDecimal ipayEnvamtRamt  = BigDecimal.ZERO;  /* 대지급환경금잔액 */
    private BigDecimal ipayPnltAmtRamt  = BigDecimal.ZERO;  /* 대지급범칙금잔액 */
    private BigDecimal ipayEtcRamt  = BigDecimal.ZERO;  /* 대지급기타잔액 */
    private BigDecimal vtaxRamt  = BigDecimal.ZERO;  /* 부가세잔액 */
    private BigDecimal addLeasfee  = BigDecimal.ZERO;  /* 가산리스료 */
    private BigDecimal ipayAmt  = BigDecimal.ZERO;  /* 대지급금 */
    private BigDecimal addLeasfeeRamt  = BigDecimal.ZERO;  /* 가산리스료잔액 */
    private BigDecimal ipayAmtRamt  = BigDecimal.ZERO;  /* 대지급금잔액 */
    private BigDecimal asetDspLossAmt  = BigDecimal.ZERO;  /* 자산처분손실금 */
    private BigDecimal badDebtApprAmtSpay  = BigDecimal.ZERO;  /* 대손충당금가지급 */
    private BigDecimal badDebtApprAmtLeasEtc  = BigDecimal.ZERO;  /* 대손충당금리스기타 */
    private BigDecimal uncomgVtaxRamt  = BigDecimal.ZERO;  /* 미도래부가세잔액 */
    private BigDecimal thmmOccrEtc  = BigDecimal.ZERO;  /* 당월발생기타 */
    private BigDecimal thmmComgVtax  = BigDecimal.ZERO;  /* 당월도래부가세 */
    private BigDecimal thmmComgLeasEtc  = BigDecimal.ZERO;  /* 당월도래리스기타 */
    private BigDecimal adjuThmmEtc  = BigDecimal.ZERO;  /* 조정당월기타 */
    private BigDecimal adjuBfmmEtc  = BigDecimal.ZERO;  /* 조정전월기타 */
    private BigDecimal adjuThmmVtax  = BigDecimal.ZERO;  /* 조정당월부가세 */
    private BigDecimal adjuBfmmDlyVtax  = BigDecimal.ZERO;  /* 조정전월연체부가세 */
    private BigDecimal adjuThmmLeasEtc  = BigDecimal.ZERO;  /* 조정당월리스기타 */
    private BigDecimal adjuBfmmLeasEtc  = BigDecimal.ZERO;  /* 조정전월리스기타 */
    private BigDecimal leasBndAmt  = BigDecimal.ZERO;  /* 리스채권금액 */
    private BigDecimal dlyEtc  = BigDecimal.ZERO;  /* 연체기타 */
    private BigDecimal dlyVtax  = BigDecimal.ZERO;  /* 연체부가세 */
    private BigDecimal dlyLeasEtc  = BigDecimal.ZERO;  /* 연체리스기타 */
    private BigDecimal setlThmmEtc  = BigDecimal.ZERO;  /* 결제당월기타 */
    private BigDecimal setlBfmmDlyEtc  = BigDecimal.ZERO;  /* 결제전월연체기타 */
    private BigDecimal setlThmmComgVtax  = BigDecimal.ZERO;  /* 결제당월도래부가세 */
    private BigDecimal setlBfmmDlyVtax  = BigDecimal.ZERO;  /* 결제전월연체부가세 */
    private BigDecimal setlThmmLeasEtc  = BigDecimal.ZERO;  /* 결제당월리스기타 */
    private BigDecimal setlBfmmLeasEtc  = BigDecimal.ZERO;  /* 결제전월리스기타 */
    private BigDecimal rlDlyCartax  = BigDecimal.ZERO;  /* 실연체자동차세 */
    private BigDecimal rlDlyInsuFee  = BigDecimal.ZERO;  /* 실연체보험료 */
    private BigDecimal rlDlyEnvamt  = BigDecimal.ZERO;  /* 실연체환경금 */
    private BigDecimal rlDlyPnltAmt  = BigDecimal.ZERO;  /* 실연체범칙금 */
    private BigDecimal rlDlyAsfee  = BigDecimal.ZERO;  /* 실연체정비료 */
    private BigDecimal rlDlyEtc  = BigDecimal.ZERO;  /* 실연체기타 */
    private BigDecimal rlDlyVtax  = BigDecimal.ZERO;  /* 실연체부가세 */
    private BigDecimal rlDlyLeasEtc  = BigDecimal.ZERO;  /* 실연체리스기타 */
    private String mngPlcBndDivsEmpNo  = "";  /* 관리처채권담당사원번호 */
    private BigDecimal unrcvAmtOprLeasfee  = BigDecimal.ZERO;  /* 미수금운용리스료 */
    private String mngPlcDivCd  = "";  /* 관리처구분코드 */
    private String mngPlcTranDivCd  = "";  /* 관리처이관구분코드 */
    private String bndLoanLastFg  = "";  /* 채권대출최종여부 */
    private BigDecimal thmmComgAddCartax  = BigDecimal.ZERO;  /* 당월도래가산자동차세 */
    private BigDecimal thmmComgAddInsuFee  = BigDecimal.ZERO;  /* 당월도래가산보험료 */
    private BigDecimal thmmComgAddEnvamt  = BigDecimal.ZERO;  /* 당월도래가산환경금 */
    private BigDecimal thmmComgIpayCartax  = BigDecimal.ZERO;  /* 당월도래대지급자동차세 */
    private BigDecimal thmmComgIpayInsuFee  = BigDecimal.ZERO;  /* 당월도래대지급보험료 */
    private BigDecimal thmmComgIpayEnvamt  = BigDecimal.ZERO;  /* 당월도래대지급환경금 */
    private BigDecimal thmmComgLtrmBrcvAmt  = BigDecimal.ZERO;  /* 당월도래장기선수금 */
    private BigDecimal dlyAddCartax  = BigDecimal.ZERO;  /* 연체가산자동차세 */
    private BigDecimal dlyAddInsuFee  = BigDecimal.ZERO;  /* 연체가산보험료 */
    private BigDecimal dlyAddEnvamt  = BigDecimal.ZERO;  /* 연체가산환경금 */
    private BigDecimal dlyIpayCartax  = BigDecimal.ZERO;  /* 연체대지급자동차세 */
    private BigDecimal dlyIpayInsuFee  = BigDecimal.ZERO;  /* 연체대지급보험료 */
    private BigDecimal dlyIpayEnvamt  = BigDecimal.ZERO;  /* 연체대지급환경금 */
    private BigDecimal dlyLtrmBrcvAmt  = BigDecimal.ZERO;  /* 연체장기선수금 */
    private BigDecimal brcvAmtLeasfeeRamt  = BigDecimal.ZERO;  /* 선수금리스료잔액 */
    private String mmstrMngDeptCd  = "";  /* 월초관리부서코드 */
    private String mmstrMngPlcDivCd  = "";  /* 월초관리처구분코드 */
    private String mmstrBndDivsEmpNo  = "";  /* 월초채권담당사원번호 */
    private long mmstrDlyTcnt  = 0;  /* 월초연체횟수 */
    private BigDecimal mmstrDlyPamt  = BigDecimal.ZERO;  /* 월초연체원금 */
    private BigDecimal mmstrDlyInt  = BigDecimal.ZERO;  /* 월초연체이자 */
    private BigDecimal mmstrLoanPamtRamt  = BigDecimal.ZERO;  /* 월초대출원금잔액 */
    private BigDecimal mmstrLoanIntRamt  = BigDecimal.ZERO;  /* 월초대출이자잔액 */
    private String mboClasNo  = "";  /* MBO분류번호 */
    private String mmstrLoanStatCd  = "";  /* 월초대출상태코드 */
    private String mmstrBndLoanLastFg  = "";  /* 월초채권대출최종여부 */
    private String mmstrAsetSondTpClasCd  = "";  /* 월초자산건전성분류코드 */
    private String mmstrPrdtSmClasCd  = "";  /* 월초상품소분류코드 */
    private BigDecimal mmstrBadDebtApprAmt  = BigDecimal.ZERO;  /* 월초대손충당금 */
    private BigDecimal trtFee  = BigDecimal.ZERO;  /* 취급수수료 */
    private BigDecimal rmbrTrtFee  = BigDecimal.ZERO;  /* 상환취급수수료 */
    private BigDecimal exmpTrtFee  = BigDecimal.ZERO;  /* 면제취급수수료 */
    private BigDecimal trtFeeRamt  = BigDecimal.ZERO;  /* 취급수수료잔액 */
    private BigDecimal dlyTrtFee  = BigDecimal.ZERO;  /* 연체취급수수료 */
    private BigDecimal thmmComgTrtFee  = BigDecimal.ZERO;  /* 당월도래취급수수료 */
    private BigDecimal uncomgTrtFee  = BigDecimal.ZERO;  /* 미도래취급수수료 */
    private BigDecimal setlThmmComgTrtFee  = BigDecimal.ZERO;  /* 결제당월도래취급수수료 */
    private BigDecimal setlThmmDlyTrtFee  = BigDecimal.ZERO;  /* 결제당월연체취급수수료 */
    private BigDecimal setlBfmmDlyTrtFee  = BigDecimal.ZERO;  /* 결제전월연체취급수수료 */
    private BigDecimal adjuThmmTrtFee  = BigDecimal.ZERO;  /* 조정당월취급수수료 */
    private BigDecimal adjuBfmmTrtFee  = BigDecimal.ZERO;  /* 조정전월취급수수료 */
    private BigDecimal rlDlyTrtFee  = BigDecimal.ZERO;  /* 실연체취급수수료 */
    private String loanAsetSondTpClasCd  = "";  /* 대출자산건전성분류코드 */
    private BigDecimal loanBadDebtApprAmt  = BigDecimal.ZERO;  /* 대출대손충당금 */
    private BigDecimal loanBadDebtTotApprAmt  = BigDecimal.ZERO;  /* 대출대손합산충당금 */
    private String custLeglActnFg  = "";  /* 고객법적조치여부 */
    private long custLoanPrgsCnt  = 0;  /* 고객대출진행건수 */
    private BigDecimal loanBadDebtApprAmtSpay  = BigDecimal.ZERO;  /* 대출대손충당금가지급 */
    private BigDecimal loanBadDebtApprAmtLeas  = BigDecimal.ZERO;  /* 대출대손충당금리스 */
    private long bssAvsco  = 0;  /* BSS평점 */
    private long bssDgre  = 0;  /* BSS등급 */
    private long rssAvsco  = 0;  /* RSS평점 */
    private long rssDgre  = 0;  /* RSS등급 */
    private long bsRsCombDgre  = 0;  /* BSRS결합등급 */
    private String bsNode  = "";  /* 항목기준순번노드 */
    private String wdrwPlcDivCd  = "";  /* 회수처구분코드 */
    private String bsActionCd  = "";  /* BSACTION코드 */
    private String bsLevl  = "";  /* BS레벨 */
    private String bsEarlActionCd  = "";  /* BS조기ACTION코드 */
    private long mmstrBssAvsco  = 0;  /* 월초BSS평점 */
    private long mmstrBssDgre  = 0;  /* 월초BSS등급 */
    private long mmstrRssAvsco  = 0;  /* 월초RSS평점 */
    private long mmstrRssDgre  = 0;  /* 월초RSS등급 */
    private long mmstrBsRsCombDgre  = 0;  /* 월초BSRS결합등급 */
    private String mmstrBsNode  = "";  /* 월초BSNODE */
    private String mmstrWdrwPlcDivCd  = "";  /* 월초회수처구분코드 */
    private String mmstrBsActionCd  = "";  /* 월초BSACTION코드 */
    private String mmstrBsLevl  = "";  /* 월초BS레벨 */
    private String mmstrBsEarlActionCd  = "";  /* 월초BS조기ACTION코드 */
    private String clsBizDt  = "";  /* 폐업일자 */
    private BigDecimal mmstrBadDebtTotApprAmt  = BigDecimal.ZERO;  /* 월초대손합산충당금 */
    private BigDecimal bklMrtgAmt  = BigDecimal.ZERO;  /* 요주의담보금액 */
    private BigDecimal fixMrtgAmt  = BigDecimal.ZERO;  /* 고정담보금액 */
    private BigDecimal bklMrtgAdmtRamt  = BigDecimal.ZERO;  /* 요주의담보인정잔액 */
    private BigDecimal fixMrtgAdmtRamt  = BigDecimal.ZERO;  /* 고정담보인정잔액 */
    private BigDecimal wdrwDobtMrtgAdmtRamt  = BigDecimal.ZERO;  /* 회수의문담보인정잔액 */
    private BigDecimal bklMrtgApprAmt  = BigDecimal.ZERO;  /* 요주의담보충당금 */
    private BigDecimal fixMrtgApprAmt  = BigDecimal.ZERO;  /* 고정담보충당금 */
    private BigDecimal wdrwDobtMrtgApprAmt  = BigDecimal.ZERO;  /* 회수의문담보충당금 */
    private String mrtgExecBndFg  = "";  /* 담보실행채권여부 */
    private long totDdcnt  = 0;  /* 합산일수 */
    private long psgDdcnt  = 0;  /* 경과일수 */
    private BigDecimal bfmmUnrcvObjInt  = BigDecimal.ZERO;  /* 전월미수대상이자 */
    private BigDecimal thmmUnrcvObjInt  = BigDecimal.ZERO;  /* 당월미수대상이자 */
    private BigDecimal unrcvObjInt  = BigDecimal.ZERO;  /* 미수대상이자 */
    private BigDecimal setlUnrcvInt  = BigDecimal.ZERO;  /* 결제미수이자 */
    private BigDecimal brcvInt  = BigDecimal.ZERO;  /* 선수이자 */
    private BigDecimal apprAmtUnrcvInt  = BigDecimal.ZERO;  /* 충당금미수이자 */
    private BigDecimal loanApprAmtUnrcvInt  = BigDecimal.ZERO;  /* 대출충당금미수이자 */
    private long dlyStrtTims  = 0;  /* 연체시작회차 */
    private String dlyStrtDt  = "";  /* 최초연체일자 */
    private String asetSondTpLeglActnFg  = "";  /* 자산건전성법적조치여부 */
    private String custTpCd  = "";  /* 고객유형코드 */
    private String crdtCustNo  = "";  /* 신용고객번호 */
    private String asetSondTpCalcCd  = "";  /* 자산건전성계산코드 */
    private String rlDueDt  = "";  /* 실납입일자 */
    private String extnFg  = "";  /* 연장여부 */
    private BigDecimal niceDlyAmt  = BigDecimal.ZERO;  /* 한신정연체금액 */
    private String rlnRcgnFg  = "";  /* 대환인식여부 */
    private String corrStatCdKgap  = "";  /* 보정상태코드KGAP */
    private String corrStatCdIfrs  = "";  /* 보정상태코드IFRS */
    private String bndDeptCd  = "";  /* 확보부서코드 */
    private long ddayPrftLoseStrtTims  = 0;  /* 기한이익상실시작회차 */
    private BigDecimal fixDebtApprAmt  = BigDecimal.ZERO;  /* 고정충당금 */
    private BigDecimal dobtDebtAppAmt  = BigDecimal.ZERO;  /* 회수의문충당금 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getClsDt() {
        return clsDt;
    }
    public void setClsDt(String clsDt) {
        this.clsDt = clsDt;
    }
    public String getPrdtCd() {
        return prdtCd;
    }
    public void setPrdtCd(String prdtCd) {
        this.prdtCd = prdtCd;
    }
    public String getGodsCd() {
        return godsCd;
    }
    public void setGodsCd(String godsCd) {
        this.godsCd = godsCd;
    }
    public String getContManNo() {
        return contManNo;
    }
    public void setContManNo(String contManNo) {
        this.contManNo = contManNo;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getPrdtMidClasCd() {
        return prdtMidClasCd;
    }
    public void setPrdtMidClasCd(String prdtMidClasCd) {
        this.prdtMidClasCd = prdtMidClasCd;
    }
    public String getPrdtSmClasCd() {
        return prdtSmClasCd;
    }
    public void setPrdtSmClasCd(String prdtSmClasCd) {
        this.prdtSmClasCd = prdtSmClasCd;
    }
    public String getMngPrdtLrgeClasCd() {
        return mngPrdtLrgeClasCd;
    }
    public void setMngPrdtLrgeClasCd(String mngPrdtLrgeClasCd) {
        this.mngPrdtLrgeClasCd = mngPrdtLrgeClasCd;
    }
    public String getMngPrdtMidClasCd() {
        return mngPrdtMidClasCd;
    }
    public void setMngPrdtMidClasCd(String mngPrdtMidClasCd) {
        this.mngPrdtMidClasCd = mngPrdtMidClasCd;
    }
    public String getMngPrdtSmClasCd() {
        return mngPrdtSmClasCd;
    }
    public void setMngPrdtSmClasCd(String mngPrdtSmClasCd) {
        this.mngPrdtSmClasCd = mngPrdtSmClasCd;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getOccrDeptCd() {
        return occrDeptCd;
    }
    public void setOccrDeptCd(String occrDeptCd) {
        this.occrDeptCd = occrDeptCd;
    }
    public String getBndMngPlcCd() {
        return bndMngPlcCd;
    }
    public void setBndMngPlcCd(String bndMngPlcCd) {
        this.bndMngPlcCd = bndMngPlcCd;
    }
    public String getBndMngPlcTranDt() {
        return bndMngPlcTranDt;
    }
    public void setBndMngPlcTranDt(String bndMngPlcTranDt) {
        this.bndMngPlcTranDt = bndMngPlcTranDt;
    }
    public String getLnDiv() {
        return lnDiv;
    }
    public void setLnDiv(String lnDiv) {
        this.lnDiv = lnDiv;
    }
    public String getReptCd() {
        return reptCd;
    }
    public void setReptCd(String reptCd) {
        this.reptCd = reptCd;
    }
    public String getLoanStatCd() {
        return loanStatCd;
    }
    public void setLoanStatCd(String loanStatCd) {
        this.loanStatCd = loanStatCd;
    }
    public String getBndStatCd() {
        return bndStatCd;
    }
    public void setBndStatCd(String bndStatCd) {
        this.bndStatCd = bndStatCd;
    }
    public long getLoanIntRt() {
        return loanIntRt;
    }
    public void setLoanIntRt(long loanIntRt) {
        this.loanIntRt = loanIntRt;
    }
    public String getSetlDd() {
        return setlDd;
    }
    public void setSetlDd(String setlDd) {
        this.setlDd = setlDd;
    }
    public long getLoanTerm() {
        return loanTerm;
    }
    public void setLoanTerm(long loanTerm) {
        this.loanTerm = loanTerm;
    }
    public String getLoanDt() {
        return loanDt;
    }
    public void setLoanDt(String loanDt) {
        this.loanDt = loanDt;
    }
    public String getLoanChngDt() {
        return loanChngDt;
    }
    public void setLoanChngDt(String loanChngDt) {
        this.loanChngDt = loanChngDt;
    }
    public String getEprtDt() {
        return eprtDt;
    }
    public void setEprtDt(String eprtDt) {
        this.eprtDt = eprtDt;
    }
    public String getEndDt() {
        return endDt;
    }
    public void setEndDt(String endDt) {
        this.endDt = endDt;
    }
    public String getSaleEmpResiNo() {
        return saleEmpResiNo;
    }
    public void setSaleEmpResiNo(String saleEmpResiNo) {
        this.saleEmpResiNo = saleEmpResiNo;
    }
    public String getExamJudgCd() {
        return examJudgCd;
    }
    public void setExamJudgCd(String examJudgCd) {
        this.examJudgCd = examJudgCd;
    }
    public String getExamDgreCd() {
        return examDgreCd;
    }
    public void setExamDgreCd(String examDgreCd) {
        this.examDgreCd = examDgreCd;
    }
    public BigDecimal getLoanPamt() {
        return loanPamt;
    }
    public void setLoanPamt(BigDecimal loanPamt) {
        this.loanPamt = loanPamt;
    }
    public BigDecimal getLoanInt() {
        return loanInt;
    }
    public void setLoanInt(BigDecimal loanInt) {
        this.loanInt = loanInt;
    }
    public BigDecimal getLeasGuarAmt() {
        return leasGuarAmt;
    }
    public void setLeasGuarAmt(BigDecimal leasGuarAmt) {
        this.leasGuarAmt = leasGuarAmt;
    }
    public BigDecimal getLeasRmnVal() {
        return leasRmnVal;
    }
    public void setLeasRmnVal(BigDecimal leasRmnVal) {
        this.leasRmnVal = leasRmnVal;
    }
    public long getLoanBalTims() {
        return loanBalTims;
    }
    public void setLoanBalTims(long loanBalTims) {
        this.loanBalTims = loanBalTims;
    }
    public BigDecimal getLoanPamtRamt() {
        return loanPamtRamt;
    }
    public void setLoanPamtRamt(BigDecimal loanPamtRamt) {
        this.loanPamtRamt = loanPamtRamt;
    }
    public BigDecimal getLoanIntRamt() {
        return loanIntRamt;
    }
    public void setLoanIntRamt(BigDecimal loanIntRamt) {
        this.loanIntRamt = loanIntRamt;
    }
    public long getBrcvRt() {
        return brcvRt;
    }
    public void setBrcvRt(long brcvRt) {
        this.brcvRt = brcvRt;
    }
    public String getDueMethCd() {
        return dueMethCd;
    }
    public void setDueMethCd(String dueMethCd) {
        this.dueMethCd = dueMethCd;
    }
    public String getLnDivsEmpNo() {
        return lnDivsEmpNo;
    }
    public void setLnDivsEmpNo(String lnDivsEmpNo) {
        this.lnDivsEmpNo = lnDivsEmpNo;
    }
    public String getAidTmgrEmpNo() {
        return aidTmgrEmpNo;
    }
    public void setAidTmgrEmpNo(String aidTmgrEmpNo) {
        this.aidTmgrEmpNo = aidTmgrEmpNo;
    }
    public String getBonbMgrEmpNo() {
        return bonbMgrEmpNo;
    }
    public void setBonbMgrEmpNo(String bonbMgrEmpNo) {
        this.bonbMgrEmpNo = bonbMgrEmpNo;
    }
    public String getLastAprvEmpNo() {
        return lastAprvEmpNo;
    }
    public void setLastAprvEmpNo(String lastAprvEmpNo) {
        this.lastAprvEmpNo = lastAprvEmpNo;
    }
    public String getBndDivsEmpNo() {
        return bndDivsEmpNo;
    }
    public void setBndDivsEmpNo(String bndDivsEmpNo) {
        this.bndDivsEmpNo = bndDivsEmpNo;
    }
    public String getFrstBndDivsEmpNo() {
        return frstBndDivsEmpNo;
    }
    public void setFrstBndDivsEmpNo(String frstBndDivsEmpNo) {
        this.frstBndDivsEmpNo = frstBndDivsEmpNo;
    }
    public String getSmkdAnotComDlyFg() {
        return smkdAnotComDlyFg;
    }
    public void setSmkdAnotComDlyFg(String smkdAnotComDlyFg) {
        this.smkdAnotComDlyFg = smkdAnotComDlyFg;
    }
    public String getCrdtStatCd() {
        return crdtStatCd;
    }
    public void setCrdtStatCd(String crdtStatCd) {
        this.crdtStatCd = crdtStatCd;
    }
    public long getCrdtBadCnt() {
        return crdtBadCnt;
    }
    public void setCrdtBadCnt(long crdtBadCnt) {
        this.crdtBadCnt = crdtBadCnt;
    }
    public BigDecimal getCrdtBadAmt() {
        return crdtBadAmt;
    }
    public void setCrdtBadAmt(BigDecimal crdtBadAmt) {
        this.crdtBadAmt = crdtBadAmt;
    }
    public String getAnotComCrdtStatCd() {
        return anotComCrdtStatCd;
    }
    public void setAnotComCrdtStatCd(String anotComCrdtStatCd) {
        this.anotComCrdtStatCd = anotComCrdtStatCd;
    }
    public long getAnotComCrdtBadCnt() {
        return anotComCrdtBadCnt;
    }
    public void setAnotComCrdtBadCnt(long anotComCrdtBadCnt) {
        this.anotComCrdtBadCnt = anotComCrdtBadCnt;
    }
    public BigDecimal getAnotComCrdtBadAmt() {
        return anotComCrdtBadAmt;
    }
    public void setAnotComCrdtBadAmt(BigDecimal anotComCrdtBadAmt) {
        this.anotComCrdtBadAmt = anotComCrdtBadAmt;
    }
    public String getLeglActsObjFg() {
        return leglActsObjFg;
    }
    public void setLeglActsObjFg(String leglActsObjFg) {
        this.leglActsObjFg = leglActsObjFg;
    }
    public String getLeglActsObjDt() {
        return leglActsObjDt;
    }
    public void setLeglActsObjDt(String leglActsObjDt) {
        this.leglActsObjDt = leglActsObjDt;
    }
    public String getLeglActsWdrwObjFg() {
        return leglActsWdrwObjFg;
    }
    public void setLeglActsWdrwObjFg(String leglActsWdrwObjFg) {
        this.leglActsWdrwObjFg = leglActsWdrwObjFg;
    }
    public String getLeglActsWdrwObjDt() {
        return leglActsWdrwObjDt;
    }
    public void setLeglActsWdrwObjDt(String leglActsWdrwObjDt) {
        this.leglActsWdrwObjDt = leglActsWdrwObjDt;
    }
    public String getFrstActnDt() {
        return frstActnDt;
    }
    public void setFrstActnDt(String frstActnDt) {
        this.frstActnDt = frstActnDt;
    }
    public String getLeglActsTpCd() {
        return leglActsTpCd;
    }
    public void setLeglActsTpCd(String leglActsTpCd) {
        this.leglActsTpCd = leglActsTpCd;
    }
    public String getLeglActsStatCd() {
        return leglActsStatCd;
    }
    public void setLeglActsStatCd(String leglActsStatCd) {
        this.leglActsStatCd = leglActsStatCd;
    }
    public String getBadDebtObjFg() {
        return badDebtObjFg;
    }
    public void setBadDebtObjFg(String badDebtObjFg) {
        this.badDebtObjFg = badDebtObjFg;
    }
    public String getBadDebtProcStatCd() {
        return badDebtProcStatCd;
    }
    public void setBadDebtProcStatCd(String badDebtProcStatCd) {
        this.badDebtProcStatCd = badDebtProcStatCd;
    }
    public String getBadDebtAfEndTpCd() {
        return badDebtAfEndTpCd;
    }
    public void setBadDebtAfEndTpCd(String badDebtAfEndTpCd) {
        this.badDebtAfEndTpCd = badDebtAfEndTpCd;
    }
    public String getFlotIzeDivCd() {
        return flotIzeDivCd;
    }
    public void setFlotIzeDivCd(String flotIzeDivCd) {
        this.flotIzeDivCd = flotIzeDivCd;
    }
    public String getFlotIzeSeq() {
        return flotIzeSeq;
    }
    public void setFlotIzeSeq(String flotIzeSeq) {
        this.flotIzeSeq = flotIzeSeq;
    }
    public String getFlotIzeRpchFg() {
        return flotIzeRpchFg;
    }
    public void setFlotIzeRpchFg(String flotIzeRpchFg) {
        this.flotIzeRpchFg = flotIzeRpchFg;
    }
    public String getFlotIzeCesnLoanFg() {
        return flotIzeCesnLoanFg;
    }
    public void setFlotIzeCesnLoanFg(String flotIzeCesnLoanFg) {
        this.flotIzeCesnLoanFg = flotIzeCesnLoanFg;
    }
    public BigDecimal getFlotIzeDcsnBalPamt() {
        return flotIzeDcsnBalPamt;
    }
    public void setFlotIzeDcsnBalPamt(BigDecimal flotIzeDcsnBalPamt) {
        this.flotIzeDcsnBalPamt = flotIzeDcsnBalPamt;
    }
    public String getCrdtRcvrStatCd() {
        return crdtRcvrStatCd;
    }
    public void setCrdtRcvrStatCd(String crdtRcvrStatCd) {
        this.crdtRcvrStatCd = crdtRcvrStatCd;
    }
    public String getCprtComNo() {
        return cprtComNo;
    }
    public void setCprtComNo(String cprtComNo) {
        this.cprtComNo = cprtComNo;
    }
    public String getCprtBranCd() {
        return cprtBranCd;
    }
    public void setCprtBranCd(String cprtBranCd) {
        this.cprtBranCd = cprtBranCd;
    }
    public String getCollComCd() {
        return collComCd;
    }
    public void setCollComCd(String collComCd) {
        this.collComCd = collComCd;
    }
    public String getBadBndSellComCd() {
        return badBndSellComCd;
    }
    public void setBadBndSellComCd(String badBndSellComCd) {
        this.badBndSellComCd = badBndSellComCd;
    }
    public String getRcptStatCd() {
        return rcptStatCd;
    }
    public void setRcptStatCd(String rcptStatCd) {
        this.rcptStatCd = rcptStatCd;
    }
    public String getNewReflFg() {
        return newReflFg;
    }
    public void setNewReflFg(String newReflFg) {
        this.newReflFg = newReflFg;
    }
    public String getRmbrFrmlCd() {
        return rmbrFrmlCd;
    }
    public void setRmbrFrmlCd(String rmbrFrmlCd) {
        this.rmbrFrmlCd = rmbrFrmlCd;
    }
    public String getCarMrtgSetFg() {
        return carMrtgSetFg;
    }
    public void setCarMrtgSetFg(String carMrtgSetFg) {
        this.carMrtgSetFg = carMrtgSetFg;
    }
    public String getMrtgSmClasCd() {
        return mrtgSmClasCd;
    }
    public void setMrtgSmClasCd(String mrtgSmClasCd) {
        this.mrtgSmClasCd = mrtgSmClasCd;
    }
    public String getValdMrtgCd() {
        return valdMrtgCd;
    }
    public void setValdMrtgCd(String valdMrtgCd) {
        this.valdMrtgCd = valdMrtgCd;
    }
    public long getSetRto() {
        return setRto;
    }
    public void setSetRto(long setRto) {
        this.setRto = setRto;
    }
    public String getCarsGodsCd() {
        return carsGodsCd;
    }
    public void setCarsGodsCd(String carsGodsCd) {
        this.carsGodsCd = carsGodsCd;
    }
    public String getLoanNormIzeFg() {
        return loanNormIzeFg;
    }
    public void setLoanNormIzeFg(String loanNormIzeFg) {
        this.loanNormIzeFg = loanNormIzeFg;
    }
    public String getAsetSondTpClasCd() {
        return asetSondTpClasCd;
    }
    public void setAsetSondTpClasCd(String asetSondTpClasCd) {
        this.asetSondTpClasCd = asetSondTpClasCd;
    }
    public String getAsetSondTpDivCd() {
        return asetSondTpDivCd;
    }
    public void setAsetSondTpDivCd(String asetSondTpDivCd) {
        this.asetSondTpDivCd = asetSondTpDivCd;
    }
    public String getAsetSondTpChngCd() {
        return asetSondTpChngCd;
    }
    public void setAsetSondTpChngCd(String asetSondTpChngCd) {
        this.asetSondTpChngCd = asetSondTpChngCd;
    }
    public BigDecimal getBadDebtApprAmt() {
        return badDebtApprAmt;
    }
    public void setBadDebtApprAmt(BigDecimal badDebtApprAmt) {
        this.badDebtApprAmt = badDebtApprAmt;
    }
    public BigDecimal getBadDebtTotApprAmt() {
        return badDebtTotApprAmt;
    }
    public void setBadDebtTotApprAmt(BigDecimal badDebtTotApprAmt) {
        this.badDebtTotApprAmt = badDebtTotApprAmt;
    }
    public String getRcntSetlDt() {
        return rcntSetlDt;
    }
    public void setRcntSetlDt(String rcntSetlDt) {
        this.rcntSetlDt = rcntSetlDt;
    }
    public BigDecimal getRcntSetlAmt() {
        return rcntSetlAmt;
    }
    public void setRcntSetlAmt(BigDecimal rcntSetlAmt) {
        this.rcntSetlAmt = rcntSetlAmt;
    }
    public long getLastSetlTims() {
        return lastSetlTims;
    }
    public void setLastSetlTims(long lastSetlTims) {
        this.lastSetlTims = lastSetlTims;
    }
    public long getUncomgBalTims() {
        return uncomgBalTims;
    }
    public void setUncomgBalTims(long uncomgBalTims) {
        this.uncomgBalTims = uncomgBalTims;
    }
    public BigDecimal getUncomgPamtRamt() {
        return uncomgPamtRamt;
    }
    public void setUncomgPamtRamt(BigDecimal uncomgPamtRamt) {
        this.uncomgPamtRamt = uncomgPamtRamt;
    }
    public BigDecimal getUncomgIntRamt() {
        return uncomgIntRamt;
    }
    public void setUncomgIntRamt(BigDecimal uncomgIntRamt) {
        this.uncomgIntRamt = uncomgIntRamt;
    }
    public BigDecimal getUncomgCartaxRamt() {
        return uncomgCartaxRamt;
    }
    public void setUncomgCartaxRamt(BigDecimal uncomgCartaxRamt) {
        this.uncomgCartaxRamt = uncomgCartaxRamt;
    }
    public BigDecimal getUncomgInsuFeeRamt() {
        return uncomgInsuFeeRamt;
    }
    public void setUncomgInsuFeeRamt(BigDecimal uncomgInsuFeeRamt) {
        this.uncomgInsuFeeRamt = uncomgInsuFeeRamt;
    }
    public BigDecimal getUncomgEnvamtRamt() {
        return uncomgEnvamtRamt;
    }
    public void setUncomgEnvamtRamt(BigDecimal uncomgEnvamtRamt) {
        this.uncomgEnvamtRamt = uncomgEnvamtRamt;
    }
    public BigDecimal getUncomgAsfeeRamt() {
        return uncomgAsfeeRamt;
    }
    public void setUncomgAsfeeRamt(BigDecimal uncomgAsfeeRamt) {
        this.uncomgAsfeeRamt = uncomgAsfeeRamt;
    }
    public String getFcntComgFg() {
        return fcntComgFg;
    }
    public void setFcntComgFg(String fcntComgFg) {
        this.fcntComgFg = fcntComgFg;
    }
    public BigDecimal getSpayAmt() {
        return spayAmt;
    }
    public void setSpayAmt(BigDecimal spayAmt) {
        this.spayAmt = spayAmt;
    }
    public long getRlComgTims() {
        return rlComgTims;
    }
    public void setRlComgTims(long rlComgTims) {
        this.rlComgTims = rlComgTims;
    }
    public String getThmmDueDt() {
        return thmmDueDt;
    }
    public void setThmmDueDt(String thmmDueDt) {
        this.thmmDueDt = thmmDueDt;
    }
    public String getThmmComgDt() {
        return thmmComgDt;
    }
    public void setThmmComgDt(String thmmComgDt) {
        this.thmmComgDt = thmmComgDt;
    }
    public long getThmmComgTims() {
        return thmmComgTims;
    }
    public void setThmmComgTims(long thmmComgTims) {
        this.thmmComgTims = thmmComgTims;
    }
    public BigDecimal getThmmComgPamt() {
        return thmmComgPamt;
    }
    public void setThmmComgPamt(BigDecimal thmmComgPamt) {
        this.thmmComgPamt = thmmComgPamt;
    }
    public BigDecimal getThmmComgInt() {
        return thmmComgInt;
    }
    public void setThmmComgInt(BigDecimal thmmComgInt) {
        this.thmmComgInt = thmmComgInt;
    }
    public BigDecimal getThmmComgCartax() {
        return thmmComgCartax;
    }
    public void setThmmComgCartax(BigDecimal thmmComgCartax) {
        this.thmmComgCartax = thmmComgCartax;
    }
    public BigDecimal getThmmComgInsuFee() {
        return thmmComgInsuFee;
    }
    public void setThmmComgInsuFee(BigDecimal thmmComgInsuFee) {
        this.thmmComgInsuFee = thmmComgInsuFee;
    }
    public BigDecimal getThmmComgEnvamt() {
        return thmmComgEnvamt;
    }
    public void setThmmComgEnvamt(BigDecimal thmmComgEnvamt) {
        this.thmmComgEnvamt = thmmComgEnvamt;
    }
    public BigDecimal getThmmComgAsfee() {
        return thmmComgAsfee;
    }
    public void setThmmComgAsfee(BigDecimal thmmComgAsfee) {
        this.thmmComgAsfee = thmmComgAsfee;
    }
    public BigDecimal getThmmOccrPnltAmt() {
        return thmmOccrPnltAmt;
    }
    public void setThmmOccrPnltAmt(BigDecimal thmmOccrPnltAmt) {
        this.thmmOccrPnltAmt = thmmOccrPnltAmt;
    }
    public BigDecimal getAdjuThmmPamt() {
        return adjuThmmPamt;
    }
    public void setAdjuThmmPamt(BigDecimal adjuThmmPamt) {
        this.adjuThmmPamt = adjuThmmPamt;
    }
    public BigDecimal getAdjuBfmmDlyPamt() {
        return adjuBfmmDlyPamt;
    }
    public void setAdjuBfmmDlyPamt(BigDecimal adjuBfmmDlyPamt) {
        this.adjuBfmmDlyPamt = adjuBfmmDlyPamt;
    }
    public BigDecimal getAdjuThmmInt() {
        return adjuThmmInt;
    }
    public void setAdjuThmmInt(BigDecimal adjuThmmInt) {
        this.adjuThmmInt = adjuThmmInt;
    }
    public BigDecimal getAdjuBfmmDlyInt() {
        return adjuBfmmDlyInt;
    }
    public void setAdjuBfmmDlyInt(BigDecimal adjuBfmmDlyInt) {
        this.adjuBfmmDlyInt = adjuBfmmDlyInt;
    }
    public BigDecimal getAdjuThmmCartax() {
        return adjuThmmCartax;
    }
    public void setAdjuThmmCartax(BigDecimal adjuThmmCartax) {
        this.adjuThmmCartax = adjuThmmCartax;
    }
    public BigDecimal getAdjuBfmmDlyCartax() {
        return adjuBfmmDlyCartax;
    }
    public void setAdjuBfmmDlyCartax(BigDecimal adjuBfmmDlyCartax) {
        this.adjuBfmmDlyCartax = adjuBfmmDlyCartax;
    }
    public BigDecimal getAdjuThmmInsuFee() {
        return adjuThmmInsuFee;
    }
    public void setAdjuThmmInsuFee(BigDecimal adjuThmmInsuFee) {
        this.adjuThmmInsuFee = adjuThmmInsuFee;
    }
    public BigDecimal getAdjuBfmmDlyInsuFee() {
        return adjuBfmmDlyInsuFee;
    }
    public void setAdjuBfmmDlyInsuFee(BigDecimal adjuBfmmDlyInsuFee) {
        this.adjuBfmmDlyInsuFee = adjuBfmmDlyInsuFee;
    }
    public BigDecimal getAdjuThmmEnvamt() {
        return adjuThmmEnvamt;
    }
    public void setAdjuThmmEnvamt(BigDecimal adjuThmmEnvamt) {
        this.adjuThmmEnvamt = adjuThmmEnvamt;
    }
    public BigDecimal getAdjuBfmmDlyEnvamt() {
        return adjuBfmmDlyEnvamt;
    }
    public void setAdjuBfmmDlyEnvamt(BigDecimal adjuBfmmDlyEnvamt) {
        this.adjuBfmmDlyEnvamt = adjuBfmmDlyEnvamt;
    }
    public BigDecimal getAdjuThmmAsfee() {
        return adjuThmmAsfee;
    }
    public void setAdjuThmmAsfee(BigDecimal adjuThmmAsfee) {
        this.adjuThmmAsfee = adjuThmmAsfee;
    }
    public BigDecimal getAdjuBfmmDlyAsfee() {
        return adjuBfmmDlyAsfee;
    }
    public void setAdjuBfmmDlyAsfee(BigDecimal adjuBfmmDlyAsfee) {
        this.adjuBfmmDlyAsfee = adjuBfmmDlyAsfee;
    }
    public BigDecimal getAdjuThmmPnltAmt() {
        return adjuThmmPnltAmt;
    }
    public void setAdjuThmmPnltAmt(BigDecimal adjuThmmPnltAmt) {
        this.adjuThmmPnltAmt = adjuThmmPnltAmt;
    }
    public BigDecimal getAdjuBfmmPnltAmt() {
        return adjuBfmmPnltAmt;
    }
    public void setAdjuBfmmPnltAmt(BigDecimal adjuBfmmPnltAmt) {
        this.adjuBfmmPnltAmt = adjuBfmmPnltAmt;
    }
    public String getMmDlyFg() {
        return mmDlyFg;
    }
    public void setMmDlyFg(String mmDlyFg) {
        this.mmDlyFg = mmDlyFg;
    }
    public String getInitDlyDivCd() {
        return initDlyDivCd;
    }
    public void setInitDlyDivCd(String initDlyDivCd) {
        this.initDlyDivCd = initDlyDivCd;
    }
    public long getAmtVsDlyWdrw() {
        return amtVsDlyWdrw;
    }
    public void setAmtVsDlyWdrw(long amtVsDlyWdrw) {
        this.amtVsDlyWdrw = amtVsDlyWdrw;
    }
    public long getFrstDlyTims() {
        return frstDlyTims;
    }
    public void setFrstDlyTims(long frstDlyTims) {
        this.frstDlyTims = frstDlyTims;
    }
    public String getFrstDlyDt() {
        return frstDlyDt;
    }
    public void setFrstDlyDt(String frstDlyDt) {
        this.frstDlyDt = frstDlyDt;
    }
    public long getLngsDlyDdcnt() {
        return lngsDlyDdcnt;
    }
    public void setLngsDlyDdcnt(long lngsDlyDdcnt) {
        this.lngsDlyDdcnt = lngsDlyDdcnt;
    }
    public long getTotDlyDdcnt() {
        return totDlyDdcnt;
    }
    public void setTotDlyDdcnt(long totDlyDdcnt) {
        this.totDlyDdcnt = totDlyDdcnt;
    }
    public String getPureDlyFg() {
        return pureDlyFg;
    }
    public void setPureDlyFg(String pureDlyFg) {
        this.pureDlyFg = pureDlyFg;
    }
    public long getDlyTcnt() {
        return dlyTcnt;
    }
    public void setDlyTcnt(long dlyTcnt) {
        this.dlyTcnt = dlyTcnt;
    }
    public long getDlyDdcnt() {
        return dlyDdcnt;
    }
    public void setDlyDdcnt(long dlyDdcnt) {
        this.dlyDdcnt = dlyDdcnt;
    }
    public BigDecimal getDlyPamt() {
        return dlyPamt;
    }
    public void setDlyPamt(BigDecimal dlyPamt) {
        this.dlyPamt = dlyPamt;
    }
    public BigDecimal getDlyInt() {
        return dlyInt;
    }
    public void setDlyInt(BigDecimal dlyInt) {
        this.dlyInt = dlyInt;
    }
    public BigDecimal getDlyCartax() {
        return dlyCartax;
    }
    public void setDlyCartax(BigDecimal dlyCartax) {
        this.dlyCartax = dlyCartax;
    }
    public BigDecimal getDlyInsuFee() {
        return dlyInsuFee;
    }
    public void setDlyInsuFee(BigDecimal dlyInsuFee) {
        this.dlyInsuFee = dlyInsuFee;
    }
    public BigDecimal getDlyEnvamt() {
        return dlyEnvamt;
    }
    public void setDlyEnvamt(BigDecimal dlyEnvamt) {
        this.dlyEnvamt = dlyEnvamt;
    }
    public BigDecimal getDlyAsfee() {
        return dlyAsfee;
    }
    public void setDlyAsfee(BigDecimal dlyAsfee) {
        this.dlyAsfee = dlyAsfee;
    }
    public BigDecimal getDlyPnltAmt() {
        return dlyPnltAmt;
    }
    public void setDlyPnltAmt(BigDecimal dlyPnltAmt) {
        this.dlyPnltAmt = dlyPnltAmt;
    }
    public BigDecimal getDfee() {
        return dfee;
    }
    public void setDfee(BigDecimal dfee) {
        this.dfee = dfee;
    }
    public BigDecimal getDlyBndAmt() {
        return dlyBndAmt;
    }
    public void setDlyBndAmt(BigDecimal dlyBndAmt) {
        this.dlyBndAmt = dlyBndAmt;
    }
    public String getBfmmDlyFg() {
        return bfmmDlyFg;
    }
    public void setBfmmDlyFg(String bfmmDlyFg) {
        this.bfmmDlyFg = bfmmDlyFg;
    }
    public BigDecimal getLeglActnCostRamt() {
        return leglActnCostRamt;
    }
    public void setLeglActnCostRamt(BigDecimal leglActnCostRamt) {
        this.leglActnCostRamt = leglActnCostRamt;
    }
    public BigDecimal getUnrcvInt() {
        return unrcvInt;
    }
    public void setUnrcvInt(BigDecimal unrcvInt) {
        this.unrcvInt = unrcvInt;
    }
    public BigDecimal getPsgInt() {
        return psgInt;
    }
    public void setPsgInt(BigDecimal psgInt) {
        this.psgInt = psgInt;
    }
    public BigDecimal getCrdtRcvrUnrcvAmt() {
        return crdtRcvrUnrcvAmt;
    }
    public void setCrdtRcvrUnrcvAmt(BigDecimal crdtRcvrUnrcvAmt) {
        this.crdtRcvrUnrcvAmt = crdtRcvrUnrcvAmt;
    }
    public BigDecimal getExemPamt() {
        return exemPamt;
    }
    public void setExemPamt(BigDecimal exemPamt) {
        this.exemPamt = exemPamt;
    }
    public String getWdrwTpCd() {
        return wdrwTpCd;
    }
    public void setWdrwTpCd(String wdrwTpCd) {
        this.wdrwTpCd = wdrwTpCd;
    }
    public BigDecimal getSetlThmmComgPamt() {
        return setlThmmComgPamt;
    }
    public void setSetlThmmComgPamt(BigDecimal setlThmmComgPamt) {
        this.setlThmmComgPamt = setlThmmComgPamt;
    }
    public BigDecimal getSetlThmmComgInt() {
        return setlThmmComgInt;
    }
    public void setSetlThmmComgInt(BigDecimal setlThmmComgInt) {
        this.setlThmmComgInt = setlThmmComgInt;
    }
    public BigDecimal getSetlThmmComgDfee() {
        return setlThmmComgDfee;
    }
    public void setSetlThmmComgDfee(BigDecimal setlThmmComgDfee) {
        this.setlThmmComgDfee = setlThmmComgDfee;
    }
    public BigDecimal getSetlThmmDlyPamt() {
        return setlThmmDlyPamt;
    }
    public void setSetlThmmDlyPamt(BigDecimal setlThmmDlyPamt) {
        this.setlThmmDlyPamt = setlThmmDlyPamt;
    }
    public BigDecimal getSetlThmmDlyInt() {
        return setlThmmDlyInt;
    }
    public void setSetlThmmDlyInt(BigDecimal setlThmmDlyInt) {
        this.setlThmmDlyInt = setlThmmDlyInt;
    }
    public BigDecimal getSetlThmmDfee() {
        return setlThmmDfee;
    }
    public void setSetlThmmDfee(BigDecimal setlThmmDfee) {
        this.setlThmmDfee = setlThmmDfee;
    }
    public BigDecimal getSetlBfmmDlyPamt() {
        return setlBfmmDlyPamt;
    }
    public void setSetlBfmmDlyPamt(BigDecimal setlBfmmDlyPamt) {
        this.setlBfmmDlyPamt = setlBfmmDlyPamt;
    }
    public BigDecimal getSetlBfmmDlyInt() {
        return setlBfmmDlyInt;
    }
    public void setSetlBfmmDlyInt(BigDecimal setlBfmmDlyInt) {
        this.setlBfmmDlyInt = setlBfmmDlyInt;
    }
    public BigDecimal getSetlBfmmDfee() {
        return setlBfmmDfee;
    }
    public void setSetlBfmmDfee(BigDecimal setlBfmmDfee) {
        this.setlBfmmDfee = setlBfmmDfee;
    }
    public BigDecimal getSetlThmmComgCartax() {
        return setlThmmComgCartax;
    }
    public void setSetlThmmComgCartax(BigDecimal setlThmmComgCartax) {
        this.setlThmmComgCartax = setlThmmComgCartax;
    }
    public BigDecimal getSetlBfmmDlyCartax() {
        return setlBfmmDlyCartax;
    }
    public void setSetlBfmmDlyCartax(BigDecimal setlBfmmDlyCartax) {
        this.setlBfmmDlyCartax = setlBfmmDlyCartax;
    }
    public BigDecimal getSetlThmmComgInsuFee() {
        return setlThmmComgInsuFee;
    }
    public void setSetlThmmComgInsuFee(BigDecimal setlThmmComgInsuFee) {
        this.setlThmmComgInsuFee = setlThmmComgInsuFee;
    }
    public BigDecimal getSetlBfmmDlyInsuFee() {
        return setlBfmmDlyInsuFee;
    }
    public void setSetlBfmmDlyInsuFee(BigDecimal setlBfmmDlyInsuFee) {
        this.setlBfmmDlyInsuFee = setlBfmmDlyInsuFee;
    }
    public BigDecimal getSetlThmmComgEnvamt() {
        return setlThmmComgEnvamt;
    }
    public void setSetlThmmComgEnvamt(BigDecimal setlThmmComgEnvamt) {
        this.setlThmmComgEnvamt = setlThmmComgEnvamt;
    }
    public BigDecimal getSetlBfmmDlyEnvamt() {
        return setlBfmmDlyEnvamt;
    }
    public void setSetlBfmmDlyEnvamt(BigDecimal setlBfmmDlyEnvamt) {
        this.setlBfmmDlyEnvamt = setlBfmmDlyEnvamt;
    }
    public BigDecimal getSetlThmmComgAsfee() {
        return setlThmmComgAsfee;
    }
    public void setSetlThmmComgAsfee(BigDecimal setlThmmComgAsfee) {
        this.setlThmmComgAsfee = setlThmmComgAsfee;
    }
    public BigDecimal getSetlBfmmDlyAsfee() {
        return setlBfmmDlyAsfee;
    }
    public void setSetlBfmmDlyAsfee(BigDecimal setlBfmmDlyAsfee) {
        this.setlBfmmDlyAsfee = setlBfmmDlyAsfee;
    }
    public BigDecimal getSetlThmmPnltAmt() {
        return setlThmmPnltAmt;
    }
    public void setSetlThmmPnltAmt(BigDecimal setlThmmPnltAmt) {
        this.setlThmmPnltAmt = setlThmmPnltAmt;
    }
    public BigDecimal getSetlBfmmDlyPnltAmt() {
        return setlBfmmDlyPnltAmt;
    }
    public void setSetlBfmmDlyPnltAmt(BigDecimal setlBfmmDlyPnltAmt) {
        this.setlBfmmDlyPnltAmt = setlBfmmDlyPnltAmt;
    }
    public String getCustCntcPlc() {
        return custCntcPlc;
    }
    public void setCustCntcPlc(String custCntcPlc) {
        this.custCntcPlc = custCntcPlc;
    }
    public String getLastPrmsDt() {
        return lastPrmsDt;
    }
    public void setLastPrmsDt(String lastPrmsDt) {
        this.lastPrmsDt = lastPrmsDt;
    }
    public String getLastCurDt() {
        return lastCurDt;
    }
    public void setLastCurDt(String lastCurDt) {
        this.lastCurDt = lastCurDt;
    }
    public String getBndOldNewFg() {
        return bndOldNewFg;
    }
    public void setBndOldNewFg(String bndOldNewFg) {
        this.bndOldNewFg = bndOldNewFg;
    }
    public String getBndRoleDivCd() {
        return bndRoleDivCd;
    }
    public void setBndRoleDivCd(String bndRoleDivCd) {
        this.bndRoleDivCd = bndRoleDivCd;
    }
    public String getBndRoleTpCd() {
        return bndRoleTpCd;
    }
    public void setBndRoleTpCd(String bndRoleTpCd) {
        this.bndRoleTpCd = bndRoleTpCd;
    }
    public String getBndWeakTpCd() {
        return bndWeakTpCd;
    }
    public void setBndWeakTpCd(String bndWeakTpCd) {
        this.bndWeakTpCd = bndWeakTpCd;
    }
    public long getRcptBaseSetlNo() {
        return rcptBaseSetlNo;
    }
    public void setRcptBaseSetlNo(long rcptBaseSetlNo) {
        this.rcptBaseSetlNo = rcptBaseSetlNo;
    }
    public long getRmbrPlanTrSnum() {
        return rmbrPlanTrSnum;
    }
    public void setRmbrPlanTrSnum(long rmbrPlanTrSnum) {
        this.rmbrPlanTrSnum = rmbrPlanTrSnum;
    }
    public BigDecimal getRmbrPamt() {
        return rmbrPamt;
    }
    public void setRmbrPamt(BigDecimal rmbrPamt) {
        this.rmbrPamt = rmbrPamt;
    }
    public BigDecimal getRmbrInt() {
        return rmbrInt;
    }
    public void setRmbrInt(BigDecimal rmbrInt) {
        this.rmbrInt = rmbrInt;
    }
    public BigDecimal getRmbrDfee() {
        return rmbrDfee;
    }
    public void setRmbrDfee(BigDecimal rmbrDfee) {
        this.rmbrDfee = rmbrDfee;
    }
    public BigDecimal getDiscDfee() {
        return discDfee;
    }
    public void setDiscDfee(BigDecimal discDfee) {
        this.discDfee = discDfee;
    }
    public BigDecimal getExmpPamt() {
        return exmpPamt;
    }
    public void setExmpPamt(BigDecimal exmpPamt) {
        this.exmpPamt = exmpPamt;
    }
    public BigDecimal getExmpInt() {
        return exmpInt;
    }
    public void setExmpInt(BigDecimal exmpInt) {
        this.exmpInt = exmpInt;
    }
    public BigDecimal getExmpDfee() {
        return exmpDfee;
    }
    public void setExmpDfee(BigDecimal exmpDfee) {
        this.exmpDfee = exmpDfee;
    }
    public BigDecimal getExmpLeglActsCost() {
        return exmpLeglActsCost;
    }
    public void setExmpLeglActsCost(BigDecimal exmpLeglActsCost) {
        this.exmpLeglActsCost = exmpLeglActsCost;
    }
    public BigDecimal getExmpMidRmbrFee() {
        return exmpMidRmbrFee;
    }
    public void setExmpMidRmbrFee(BigDecimal exmpMidRmbrFee) {
        this.exmpMidRmbrFee = exmpMidRmbrFee;
    }
    public BigDecimal getMidRmbrFee() {
        return midRmbrFee;
    }
    public void setMidRmbrFee(BigDecimal midRmbrFee) {
        this.midRmbrFee = midRmbrFee;
    }
    public BigDecimal getMidRmbrInt() {
        return midRmbrInt;
    }
    public void setMidRmbrInt(BigDecimal midRmbrInt) {
        this.midRmbrInt = midRmbrInt;
    }
    public long getRlDlyTcnt() {
        return rlDlyTcnt;
    }
    public void setRlDlyTcnt(long rlDlyTcnt) {
        this.rlDlyTcnt = rlDlyTcnt;
    }
    public long getRlDlyDdcnt() {
        return rlDlyDdcnt;
    }
    public void setRlDlyDdcnt(long rlDlyDdcnt) {
        this.rlDlyDdcnt = rlDlyDdcnt;
    }
    public BigDecimal getRlDlyPamt() {
        return rlDlyPamt;
    }
    public void setRlDlyPamt(BigDecimal rlDlyPamt) {
        this.rlDlyPamt = rlDlyPamt;
    }
    public BigDecimal getRlDlyInt() {
        return rlDlyInt;
    }
    public void setRlDlyInt(BigDecimal rlDlyInt) {
        this.rlDlyInt = rlDlyInt;
    }
    public BigDecimal getRlDfee() {
        return rlDfee;
    }
    public void setRlDfee(BigDecimal rlDfee) {
        this.rlDfee = rlDfee;
    }
    public long getRlDlyStrtTims() {
        return rlDlyStrtTims;
    }
    public void setRlDlyStrtTims(long rlDlyStrtTims) {
        this.rlDlyStrtTims = rlDlyStrtTims;
    }
    public String getRlDlyStrtDt() {
        return rlDlyStrtDt;
    }
    public void setRlDlyStrtDt(String rlDlyStrtDt) {
        this.rlDlyStrtDt = rlDlyStrtDt;
    }
    public long getRlFrstDlyTims() {
        return rlFrstDlyTims;
    }
    public void setRlFrstDlyTims(long rlFrstDlyTims) {
        this.rlFrstDlyTims = rlFrstDlyTims;
    }
    public String getRlFrstDlyDt() {
        return rlFrstDlyDt;
    }
    public void setRlFrstDlyDt(String rlFrstDlyDt) {
        this.rlFrstDlyDt = rlFrstDlyDt;
    }
    public long getRlTotDlyTcnt() {
        return rlTotDlyTcnt;
    }
    public void setRlTotDlyTcnt(long rlTotDlyTcnt) {
        this.rlTotDlyTcnt = rlTotDlyTcnt;
    }
    public long getRlTotDlyDdcnt() {
        return rlTotDlyDdcnt;
    }
    public void setRlTotDlyDdcnt(long rlTotDlyDdcnt) {
        this.rlTotDlyDdcnt = rlTotDlyDdcnt;
    }
    public String getContDt() {
        return contDt;
    }
    public void setContDt(String contDt) {
        this.contDt = contDt;
    }
    public String getContNo() {
        return contNo;
    }
    public void setContNo(String contNo) {
        this.contNo = contNo;
    }
    public BigDecimal getGainAmt() {
        return gainAmt;
    }
    public void setGainAmt(BigDecimal gainAmt) {
        this.gainAmt = gainAmt;
    }
    public BigDecimal getLdgrVamt() {
        return ldgrVamt;
    }
    public void setLdgrVamt(BigDecimal ldgrVamt) {
        this.ldgrVamt = ldgrVamt;
    }
    public String getLeasStatCd() {
        return leasStatCd;
    }
    public void setLeasStatCd(String leasStatCd) {
        this.leasStatCd = leasStatCd;
    }
    public String getCartaxEnvamtAdjMethCd() {
        return cartaxEnvamtAdjMethCd;
    }
    public void setCartaxEnvamtAdjMethCd(String cartaxEnvamtAdjMethCd) {
        this.cartaxEnvamtAdjMethCd = cartaxEnvamtAdjMethCd;
    }
    public String getLeasEprtDt() {
        return leasEprtDt;
    }
    public void setLeasEprtDt(String leasEprtDt) {
        this.leasEprtDt = leasEprtDt;
    }
    public long getLeasTerm() {
        return leasTerm;
    }
    public void setLeasTerm(long leasTerm) {
        this.leasTerm = leasTerm;
    }
    public BigDecimal getAddCartax() {
        return addCartax;
    }
    public void setAddCartax(BigDecimal addCartax) {
        this.addCartax = addCartax;
    }
    public BigDecimal getAddInsuFee() {
        return addInsuFee;
    }
    public void setAddInsuFee(BigDecimal addInsuFee) {
        this.addInsuFee = addInsuFee;
    }
    public BigDecimal getAddEnvamt() {
        return addEnvamt;
    }
    public void setAddEnvamt(BigDecimal addEnvamt) {
        this.addEnvamt = addEnvamt;
    }
    public BigDecimal getAddAsfee() {
        return addAsfee;
    }
    public void setAddAsfee(BigDecimal addAsfee) {
        this.addAsfee = addAsfee;
    }
    public BigDecimal getIpayCartax() {
        return ipayCartax;
    }
    public void setIpayCartax(BigDecimal ipayCartax) {
        this.ipayCartax = ipayCartax;
    }
    public BigDecimal getIpayInsuFee() {
        return ipayInsuFee;
    }
    public void setIpayInsuFee(BigDecimal ipayInsuFee) {
        this.ipayInsuFee = ipayInsuFee;
    }
    public BigDecimal getIpayEnvamt() {
        return ipayEnvamt;
    }
    public void setIpayEnvamt(BigDecimal ipayEnvamt) {
        this.ipayEnvamt = ipayEnvamt;
    }
    public BigDecimal getIpayPnltAmt() {
        return ipayPnltAmt;
    }
    public void setIpayPnltAmt(BigDecimal ipayPnltAmt) {
        this.ipayPnltAmt = ipayPnltAmt;
    }
    public BigDecimal getIpayEtc() {
        return ipayEtc;
    }
    public void setIpayEtc(BigDecimal ipayEtc) {
        this.ipayEtc = ipayEtc;
    }
    public BigDecimal getVtax() {
        return vtax;
    }
    public void setVtax(BigDecimal vtax) {
        this.vtax = vtax;
    }
    public BigDecimal getAddCartaxRamt() {
        return addCartaxRamt;
    }
    public void setAddCartaxRamt(BigDecimal addCartaxRamt) {
        this.addCartaxRamt = addCartaxRamt;
    }
    public BigDecimal getAddInsuFeeRamt() {
        return addInsuFeeRamt;
    }
    public void setAddInsuFeeRamt(BigDecimal addInsuFeeRamt) {
        this.addInsuFeeRamt = addInsuFeeRamt;
    }
    public BigDecimal getAddEnvamtRamt() {
        return addEnvamtRamt;
    }
    public void setAddEnvamtRamt(BigDecimal addEnvamtRamt) {
        this.addEnvamtRamt = addEnvamtRamt;
    }
    public BigDecimal getAddAsfeeRamt() {
        return addAsfeeRamt;
    }
    public void setAddAsfeeRamt(BigDecimal addAsfeeRamt) {
        this.addAsfeeRamt = addAsfeeRamt;
    }
    public BigDecimal getIpayCartaxRamt() {
        return ipayCartaxRamt;
    }
    public void setIpayCartaxRamt(BigDecimal ipayCartaxRamt) {
        this.ipayCartaxRamt = ipayCartaxRamt;
    }
    public BigDecimal getIpayInsuFeeRamt() {
        return ipayInsuFeeRamt;
    }
    public void setIpayInsuFeeRamt(BigDecimal ipayInsuFeeRamt) {
        this.ipayInsuFeeRamt = ipayInsuFeeRamt;
    }
    public BigDecimal getIpayEnvamtRamt() {
        return ipayEnvamtRamt;
    }
    public void setIpayEnvamtRamt(BigDecimal ipayEnvamtRamt) {
        this.ipayEnvamtRamt = ipayEnvamtRamt;
    }
    public BigDecimal getIpayPnltAmtRamt() {
        return ipayPnltAmtRamt;
    }
    public void setIpayPnltAmtRamt(BigDecimal ipayPnltAmtRamt) {
        this.ipayPnltAmtRamt = ipayPnltAmtRamt;
    }
    public BigDecimal getIpayEtcRamt() {
        return ipayEtcRamt;
    }
    public void setIpayEtcRamt(BigDecimal ipayEtcRamt) {
        this.ipayEtcRamt = ipayEtcRamt;
    }
    public BigDecimal getVtaxRamt() {
        return vtaxRamt;
    }
    public void setVtaxRamt(BigDecimal vtaxRamt) {
        this.vtaxRamt = vtaxRamt;
    }
    public BigDecimal getAddLeasfee() {
        return addLeasfee;
    }
    public void setAddLeasfee(BigDecimal addLeasfee) {
        this.addLeasfee = addLeasfee;
    }
    public BigDecimal getIpayAmt() {
        return ipayAmt;
    }
    public void setIpayAmt(BigDecimal ipayAmt) {
        this.ipayAmt = ipayAmt;
    }
    public BigDecimal getAddLeasfeeRamt() {
        return addLeasfeeRamt;
    }
    public void setAddLeasfeeRamt(BigDecimal addLeasfeeRamt) {
        this.addLeasfeeRamt = addLeasfeeRamt;
    }
    public BigDecimal getIpayAmtRamt() {
        return ipayAmtRamt;
    }
    public void setIpayAmtRamt(BigDecimal ipayAmtRamt) {
        this.ipayAmtRamt = ipayAmtRamt;
    }
    public BigDecimal getAsetDspLossAmt() {
        return asetDspLossAmt;
    }
    public void setAsetDspLossAmt(BigDecimal asetDspLossAmt) {
        this.asetDspLossAmt = asetDspLossAmt;
    }
    public BigDecimal getBadDebtApprAmtSpay() {
        return badDebtApprAmtSpay;
    }
    public void setBadDebtApprAmtSpay(BigDecimal badDebtApprAmtSpay) {
        this.badDebtApprAmtSpay = badDebtApprAmtSpay;
    }
    public BigDecimal getBadDebtApprAmtLeasEtc() {
        return badDebtApprAmtLeasEtc;
    }
    public void setBadDebtApprAmtLeasEtc(BigDecimal badDebtApprAmtLeasEtc) {
        this.badDebtApprAmtLeasEtc = badDebtApprAmtLeasEtc;
    }
    public BigDecimal getUncomgVtaxRamt() {
        return uncomgVtaxRamt;
    }
    public void setUncomgVtaxRamt(BigDecimal uncomgVtaxRamt) {
        this.uncomgVtaxRamt = uncomgVtaxRamt;
    }
    public BigDecimal getThmmOccrEtc() {
        return thmmOccrEtc;
    }
    public void setThmmOccrEtc(BigDecimal thmmOccrEtc) {
        this.thmmOccrEtc = thmmOccrEtc;
    }
    public BigDecimal getThmmComgVtax() {
        return thmmComgVtax;
    }
    public void setThmmComgVtax(BigDecimal thmmComgVtax) {
        this.thmmComgVtax = thmmComgVtax;
    }
    public BigDecimal getThmmComgLeasEtc() {
        return thmmComgLeasEtc;
    }
    public void setThmmComgLeasEtc(BigDecimal thmmComgLeasEtc) {
        this.thmmComgLeasEtc = thmmComgLeasEtc;
    }
    public BigDecimal getAdjuThmmEtc() {
        return adjuThmmEtc;
    }
    public void setAdjuThmmEtc(BigDecimal adjuThmmEtc) {
        this.adjuThmmEtc = adjuThmmEtc;
    }
    public BigDecimal getAdjuBfmmEtc() {
        return adjuBfmmEtc;
    }
    public void setAdjuBfmmEtc(BigDecimal adjuBfmmEtc) {
        this.adjuBfmmEtc = adjuBfmmEtc;
    }
    public BigDecimal getAdjuThmmVtax() {
        return adjuThmmVtax;
    }
    public void setAdjuThmmVtax(BigDecimal adjuThmmVtax) {
        this.adjuThmmVtax = adjuThmmVtax;
    }
    public BigDecimal getAdjuBfmmDlyVtax() {
        return adjuBfmmDlyVtax;
    }
    public void setAdjuBfmmDlyVtax(BigDecimal adjuBfmmDlyVtax) {
        this.adjuBfmmDlyVtax = adjuBfmmDlyVtax;
    }
    public BigDecimal getAdjuThmmLeasEtc() {
        return adjuThmmLeasEtc;
    }
    public void setAdjuThmmLeasEtc(BigDecimal adjuThmmLeasEtc) {
        this.adjuThmmLeasEtc = adjuThmmLeasEtc;
    }
    public BigDecimal getAdjuBfmmLeasEtc() {
        return adjuBfmmLeasEtc;
    }
    public void setAdjuBfmmLeasEtc(BigDecimal adjuBfmmLeasEtc) {
        this.adjuBfmmLeasEtc = adjuBfmmLeasEtc;
    }
    public BigDecimal getLeasBndAmt() {
        return leasBndAmt;
    }
    public void setLeasBndAmt(BigDecimal leasBndAmt) {
        this.leasBndAmt = leasBndAmt;
    }
    public BigDecimal getDlyEtc() {
        return dlyEtc;
    }
    public void setDlyEtc(BigDecimal dlyEtc) {
        this.dlyEtc = dlyEtc;
    }
    public BigDecimal getDlyVtax() {
        return dlyVtax;
    }
    public void setDlyVtax(BigDecimal dlyVtax) {
        this.dlyVtax = dlyVtax;
    }
    public BigDecimal getDlyLeasEtc() {
        return dlyLeasEtc;
    }
    public void setDlyLeasEtc(BigDecimal dlyLeasEtc) {
        this.dlyLeasEtc = dlyLeasEtc;
    }
    public BigDecimal getSetlThmmEtc() {
        return setlThmmEtc;
    }
    public void setSetlThmmEtc(BigDecimal setlThmmEtc) {
        this.setlThmmEtc = setlThmmEtc;
    }
    public BigDecimal getSetlBfmmDlyEtc() {
        return setlBfmmDlyEtc;
    }
    public void setSetlBfmmDlyEtc(BigDecimal setlBfmmDlyEtc) {
        this.setlBfmmDlyEtc = setlBfmmDlyEtc;
    }
    public BigDecimal getSetlThmmComgVtax() {
        return setlThmmComgVtax;
    }
    public void setSetlThmmComgVtax(BigDecimal setlThmmComgVtax) {
        this.setlThmmComgVtax = setlThmmComgVtax;
    }
    public BigDecimal getSetlBfmmDlyVtax() {
        return setlBfmmDlyVtax;
    }
    public void setSetlBfmmDlyVtax(BigDecimal setlBfmmDlyVtax) {
        this.setlBfmmDlyVtax = setlBfmmDlyVtax;
    }
    public BigDecimal getSetlThmmLeasEtc() {
        return setlThmmLeasEtc;
    }
    public void setSetlThmmLeasEtc(BigDecimal setlThmmLeasEtc) {
        this.setlThmmLeasEtc = setlThmmLeasEtc;
    }
    public BigDecimal getSetlBfmmLeasEtc() {
        return setlBfmmLeasEtc;
    }
    public void setSetlBfmmLeasEtc(BigDecimal setlBfmmLeasEtc) {
        this.setlBfmmLeasEtc = setlBfmmLeasEtc;
    }
    public BigDecimal getRlDlyCartax() {
        return rlDlyCartax;
    }
    public void setRlDlyCartax(BigDecimal rlDlyCartax) {
        this.rlDlyCartax = rlDlyCartax;
    }
    public BigDecimal getRlDlyInsuFee() {
        return rlDlyInsuFee;
    }
    public void setRlDlyInsuFee(BigDecimal rlDlyInsuFee) {
        this.rlDlyInsuFee = rlDlyInsuFee;
    }
    public BigDecimal getRlDlyEnvamt() {
        return rlDlyEnvamt;
    }
    public void setRlDlyEnvamt(BigDecimal rlDlyEnvamt) {
        this.rlDlyEnvamt = rlDlyEnvamt;
    }
    public BigDecimal getRlDlyPnltAmt() {
        return rlDlyPnltAmt;
    }
    public void setRlDlyPnltAmt(BigDecimal rlDlyPnltAmt) {
        this.rlDlyPnltAmt = rlDlyPnltAmt;
    }
    public BigDecimal getRlDlyAsfee() {
        return rlDlyAsfee;
    }
    public void setRlDlyAsfee(BigDecimal rlDlyAsfee) {
        this.rlDlyAsfee = rlDlyAsfee;
    }
    public BigDecimal getRlDlyEtc() {
        return rlDlyEtc;
    }
    public void setRlDlyEtc(BigDecimal rlDlyEtc) {
        this.rlDlyEtc = rlDlyEtc;
    }
    public BigDecimal getRlDlyVtax() {
        return rlDlyVtax;
    }
    public void setRlDlyVtax(BigDecimal rlDlyVtax) {
        this.rlDlyVtax = rlDlyVtax;
    }
    public BigDecimal getRlDlyLeasEtc() {
        return rlDlyLeasEtc;
    }
    public void setRlDlyLeasEtc(BigDecimal rlDlyLeasEtc) {
        this.rlDlyLeasEtc = rlDlyLeasEtc;
    }
    public String getMngPlcBndDivsEmpNo() {
        return mngPlcBndDivsEmpNo;
    }
    public void setMngPlcBndDivsEmpNo(String mngPlcBndDivsEmpNo) {
        this.mngPlcBndDivsEmpNo = mngPlcBndDivsEmpNo;
    }
    public BigDecimal getUnrcvAmtOprLeasfee() {
        return unrcvAmtOprLeasfee;
    }
    public void setUnrcvAmtOprLeasfee(BigDecimal unrcvAmtOprLeasfee) {
        this.unrcvAmtOprLeasfee = unrcvAmtOprLeasfee;
    }
    public String getMngPlcDivCd() {
        return mngPlcDivCd;
    }
    public void setMngPlcDivCd(String mngPlcDivCd) {
        this.mngPlcDivCd = mngPlcDivCd;
    }
    public String getMngPlcTranDivCd() {
        return mngPlcTranDivCd;
    }
    public void setMngPlcTranDivCd(String mngPlcTranDivCd) {
        this.mngPlcTranDivCd = mngPlcTranDivCd;
    }
    public String getBndLoanLastFg() {
        return bndLoanLastFg;
    }
    public void setBndLoanLastFg(String bndLoanLastFg) {
        this.bndLoanLastFg = bndLoanLastFg;
    }
    public BigDecimal getThmmComgAddCartax() {
        return thmmComgAddCartax;
    }
    public void setThmmComgAddCartax(BigDecimal thmmComgAddCartax) {
        this.thmmComgAddCartax = thmmComgAddCartax;
    }
    public BigDecimal getThmmComgAddInsuFee() {
        return thmmComgAddInsuFee;
    }
    public void setThmmComgAddInsuFee(BigDecimal thmmComgAddInsuFee) {
        this.thmmComgAddInsuFee = thmmComgAddInsuFee;
    }
    public BigDecimal getThmmComgAddEnvamt() {
        return thmmComgAddEnvamt;
    }
    public void setThmmComgAddEnvamt(BigDecimal thmmComgAddEnvamt) {
        this.thmmComgAddEnvamt = thmmComgAddEnvamt;
    }
    public BigDecimal getThmmComgIpayCartax() {
        return thmmComgIpayCartax;
    }
    public void setThmmComgIpayCartax(BigDecimal thmmComgIpayCartax) {
        this.thmmComgIpayCartax = thmmComgIpayCartax;
    }
    public BigDecimal getThmmComgIpayInsuFee() {
        return thmmComgIpayInsuFee;
    }
    public void setThmmComgIpayInsuFee(BigDecimal thmmComgIpayInsuFee) {
        this.thmmComgIpayInsuFee = thmmComgIpayInsuFee;
    }
    public BigDecimal getThmmComgIpayEnvamt() {
        return thmmComgIpayEnvamt;
    }
    public void setThmmComgIpayEnvamt(BigDecimal thmmComgIpayEnvamt) {
        this.thmmComgIpayEnvamt = thmmComgIpayEnvamt;
    }
    public BigDecimal getThmmComgLtrmBrcvAmt() {
        return thmmComgLtrmBrcvAmt;
    }
    public void setThmmComgLtrmBrcvAmt(BigDecimal thmmComgLtrmBrcvAmt) {
        this.thmmComgLtrmBrcvAmt = thmmComgLtrmBrcvAmt;
    }
    public BigDecimal getDlyAddCartax() {
        return dlyAddCartax;
    }
    public void setDlyAddCartax(BigDecimal dlyAddCartax) {
        this.dlyAddCartax = dlyAddCartax;
    }
    public BigDecimal getDlyAddInsuFee() {
        return dlyAddInsuFee;
    }
    public void setDlyAddInsuFee(BigDecimal dlyAddInsuFee) {
        this.dlyAddInsuFee = dlyAddInsuFee;
    }
    public BigDecimal getDlyAddEnvamt() {
        return dlyAddEnvamt;
    }
    public void setDlyAddEnvamt(BigDecimal dlyAddEnvamt) {
        this.dlyAddEnvamt = dlyAddEnvamt;
    }
    public BigDecimal getDlyIpayCartax() {
        return dlyIpayCartax;
    }
    public void setDlyIpayCartax(BigDecimal dlyIpayCartax) {
        this.dlyIpayCartax = dlyIpayCartax;
    }
    public BigDecimal getDlyIpayInsuFee() {
        return dlyIpayInsuFee;
    }
    public void setDlyIpayInsuFee(BigDecimal dlyIpayInsuFee) {
        this.dlyIpayInsuFee = dlyIpayInsuFee;
    }
    public BigDecimal getDlyIpayEnvamt() {
        return dlyIpayEnvamt;
    }
    public void setDlyIpayEnvamt(BigDecimal dlyIpayEnvamt) {
        this.dlyIpayEnvamt = dlyIpayEnvamt;
    }
    public BigDecimal getDlyLtrmBrcvAmt() {
        return dlyLtrmBrcvAmt;
    }
    public void setDlyLtrmBrcvAmt(BigDecimal dlyLtrmBrcvAmt) {
        this.dlyLtrmBrcvAmt = dlyLtrmBrcvAmt;
    }
    public BigDecimal getBrcvAmtLeasfeeRamt() {
        return brcvAmtLeasfeeRamt;
    }
    public void setBrcvAmtLeasfeeRamt(BigDecimal brcvAmtLeasfeeRamt) {
        this.brcvAmtLeasfeeRamt = brcvAmtLeasfeeRamt;
    }
    public String getMmstrMngDeptCd() {
        return mmstrMngDeptCd;
    }
    public void setMmstrMngDeptCd(String mmstrMngDeptCd) {
        this.mmstrMngDeptCd = mmstrMngDeptCd;
    }
    public String getMmstrMngPlcDivCd() {
        return mmstrMngPlcDivCd;
    }
    public void setMmstrMngPlcDivCd(String mmstrMngPlcDivCd) {
        this.mmstrMngPlcDivCd = mmstrMngPlcDivCd;
    }
    public String getMmstrBndDivsEmpNo() {
        return mmstrBndDivsEmpNo;
    }
    public void setMmstrBndDivsEmpNo(String mmstrBndDivsEmpNo) {
        this.mmstrBndDivsEmpNo = mmstrBndDivsEmpNo;
    }
    public long getMmstrDlyTcnt() {
        return mmstrDlyTcnt;
    }
    public void setMmstrDlyTcnt(long mmstrDlyTcnt) {
        this.mmstrDlyTcnt = mmstrDlyTcnt;
    }
    public BigDecimal getMmstrDlyPamt() {
        return mmstrDlyPamt;
    }
    public void setMmstrDlyPamt(BigDecimal mmstrDlyPamt) {
        this.mmstrDlyPamt = mmstrDlyPamt;
    }
    public BigDecimal getMmstrDlyInt() {
        return mmstrDlyInt;
    }
    public void setMmstrDlyInt(BigDecimal mmstrDlyInt) {
        this.mmstrDlyInt = mmstrDlyInt;
    }
    public BigDecimal getMmstrLoanPamtRamt() {
        return mmstrLoanPamtRamt;
    }
    public void setMmstrLoanPamtRamt(BigDecimal mmstrLoanPamtRamt) {
        this.mmstrLoanPamtRamt = mmstrLoanPamtRamt;
    }
    public BigDecimal getMmstrLoanIntRamt() {
        return mmstrLoanIntRamt;
    }
    public void setMmstrLoanIntRamt(BigDecimal mmstrLoanIntRamt) {
        this.mmstrLoanIntRamt = mmstrLoanIntRamt;
    }
    public String getMboClasNo() {
        return mboClasNo;
    }
    public void setMboClasNo(String mboClasNo) {
        this.mboClasNo = mboClasNo;
    }
    public String getMmstrLoanStatCd() {
        return mmstrLoanStatCd;
    }
    public void setMmstrLoanStatCd(String mmstrLoanStatCd) {
        this.mmstrLoanStatCd = mmstrLoanStatCd;
    }
    public String getMmstrBndLoanLastFg() {
        return mmstrBndLoanLastFg;
    }
    public void setMmstrBndLoanLastFg(String mmstrBndLoanLastFg) {
        this.mmstrBndLoanLastFg = mmstrBndLoanLastFg;
    }
    public String getMmstrAsetSondTpClasCd() {
        return mmstrAsetSondTpClasCd;
    }
    public void setMmstrAsetSondTpClasCd(String mmstrAsetSondTpClasCd) {
        this.mmstrAsetSondTpClasCd = mmstrAsetSondTpClasCd;
    }
    public String getMmstrPrdtSmClasCd() {
        return mmstrPrdtSmClasCd;
    }
    public void setMmstrPrdtSmClasCd(String mmstrPrdtSmClasCd) {
        this.mmstrPrdtSmClasCd = mmstrPrdtSmClasCd;
    }
    public BigDecimal getMmstrBadDebtApprAmt() {
        return mmstrBadDebtApprAmt;
    }
    public void setMmstrBadDebtApprAmt(BigDecimal mmstrBadDebtApprAmt) {
        this.mmstrBadDebtApprAmt = mmstrBadDebtApprAmt;
    }
    public BigDecimal getTrtFee() {
        return trtFee;
    }
    public void setTrtFee(BigDecimal trtFee) {
        this.trtFee = trtFee;
    }
    public BigDecimal getRmbrTrtFee() {
        return rmbrTrtFee;
    }
    public void setRmbrTrtFee(BigDecimal rmbrTrtFee) {
        this.rmbrTrtFee = rmbrTrtFee;
    }
    public BigDecimal getExmpTrtFee() {
        return exmpTrtFee;
    }
    public void setExmpTrtFee(BigDecimal exmpTrtFee) {
        this.exmpTrtFee = exmpTrtFee;
    }
    public BigDecimal getTrtFeeRamt() {
        return trtFeeRamt;
    }
    public void setTrtFeeRamt(BigDecimal trtFeeRamt) {
        this.trtFeeRamt = trtFeeRamt;
    }
    public BigDecimal getDlyTrtFee() {
        return dlyTrtFee;
    }
    public void setDlyTrtFee(BigDecimal dlyTrtFee) {
        this.dlyTrtFee = dlyTrtFee;
    }
    public BigDecimal getThmmComgTrtFee() {
        return thmmComgTrtFee;
    }
    public void setThmmComgTrtFee(BigDecimal thmmComgTrtFee) {
        this.thmmComgTrtFee = thmmComgTrtFee;
    }
    public BigDecimal getUncomgTrtFee() {
        return uncomgTrtFee;
    }
    public void setUncomgTrtFee(BigDecimal uncomgTrtFee) {
        this.uncomgTrtFee = uncomgTrtFee;
    }
    public BigDecimal getSetlThmmComgTrtFee() {
        return setlThmmComgTrtFee;
    }
    public void setSetlThmmComgTrtFee(BigDecimal setlThmmComgTrtFee) {
        this.setlThmmComgTrtFee = setlThmmComgTrtFee;
    }
    public BigDecimal getSetlThmmDlyTrtFee() {
        return setlThmmDlyTrtFee;
    }
    public void setSetlThmmDlyTrtFee(BigDecimal setlThmmDlyTrtFee) {
        this.setlThmmDlyTrtFee = setlThmmDlyTrtFee;
    }
    public BigDecimal getSetlBfmmDlyTrtFee() {
        return setlBfmmDlyTrtFee;
    }
    public void setSetlBfmmDlyTrtFee(BigDecimal setlBfmmDlyTrtFee) {
        this.setlBfmmDlyTrtFee = setlBfmmDlyTrtFee;
    }
    public BigDecimal getAdjuThmmTrtFee() {
        return adjuThmmTrtFee;
    }
    public void setAdjuThmmTrtFee(BigDecimal adjuThmmTrtFee) {
        this.adjuThmmTrtFee = adjuThmmTrtFee;
    }
    public BigDecimal getAdjuBfmmTrtFee() {
        return adjuBfmmTrtFee;
    }
    public void setAdjuBfmmTrtFee(BigDecimal adjuBfmmTrtFee) {
        this.adjuBfmmTrtFee = adjuBfmmTrtFee;
    }
    public BigDecimal getRlDlyTrtFee() {
        return rlDlyTrtFee;
    }
    public void setRlDlyTrtFee(BigDecimal rlDlyTrtFee) {
        this.rlDlyTrtFee = rlDlyTrtFee;
    }
    public String getLoanAsetSondTpClasCd() {
        return loanAsetSondTpClasCd;
    }
    public void setLoanAsetSondTpClasCd(String loanAsetSondTpClasCd) {
        this.loanAsetSondTpClasCd = loanAsetSondTpClasCd;
    }
    public BigDecimal getLoanBadDebtApprAmt() {
        return loanBadDebtApprAmt;
    }
    public void setLoanBadDebtApprAmt(BigDecimal loanBadDebtApprAmt) {
        this.loanBadDebtApprAmt = loanBadDebtApprAmt;
    }
    public BigDecimal getLoanBadDebtTotApprAmt() {
        return loanBadDebtTotApprAmt;
    }
    public void setLoanBadDebtTotApprAmt(BigDecimal loanBadDebtTotApprAmt) {
        this.loanBadDebtTotApprAmt = loanBadDebtTotApprAmt;
    }
    public String getCustLeglActnFg() {
        return custLeglActnFg;
    }
    public void setCustLeglActnFg(String custLeglActnFg) {
        this.custLeglActnFg = custLeglActnFg;
    }
    public long getCustLoanPrgsCnt() {
        return custLoanPrgsCnt;
    }
    public void setCustLoanPrgsCnt(long custLoanPrgsCnt) {
        this.custLoanPrgsCnt = custLoanPrgsCnt;
    }
    public BigDecimal getLoanBadDebtApprAmtSpay() {
        return loanBadDebtApprAmtSpay;
    }
    public void setLoanBadDebtApprAmtSpay(BigDecimal loanBadDebtApprAmtSpay) {
        this.loanBadDebtApprAmtSpay = loanBadDebtApprAmtSpay;
    }
    public BigDecimal getLoanBadDebtApprAmtLeas() {
        return loanBadDebtApprAmtLeas;
    }
    public void setLoanBadDebtApprAmtLeas(BigDecimal loanBadDebtApprAmtLeas) {
        this.loanBadDebtApprAmtLeas = loanBadDebtApprAmtLeas;
    }
    public long getBssAvsco() {
        return bssAvsco;
    }
    public void setBssAvsco(long bssAvsco) {
        this.bssAvsco = bssAvsco;
    }
    public long getBssDgre() {
        return bssDgre;
    }
    public void setBssDgre(long bssDgre) {
        this.bssDgre = bssDgre;
    }
    public long getRssAvsco() {
        return rssAvsco;
    }
    public void setRssAvsco(long rssAvsco) {
        this.rssAvsco = rssAvsco;
    }
    public long getRssDgre() {
        return rssDgre;
    }
    public void setRssDgre(long rssDgre) {
        this.rssDgre = rssDgre;
    }
    public long getBsRsCombDgre() {
        return bsRsCombDgre;
    }
    public void setBsRsCombDgre(long bsRsCombDgre) {
        this.bsRsCombDgre = bsRsCombDgre;
    }
    public String getBsNode() {
        return bsNode;
    }
    public void setBsNode(String bsNode) {
        this.bsNode = bsNode;
    }
    public String getWdrwPlcDivCd() {
        return wdrwPlcDivCd;
    }
    public void setWdrwPlcDivCd(String wdrwPlcDivCd) {
        this.wdrwPlcDivCd = wdrwPlcDivCd;
    }
    public String getBsActionCd() {
        return bsActionCd;
    }
    public void setBsActionCd(String bsActionCd) {
        this.bsActionCd = bsActionCd;
    }
    public String getBsLevl() {
        return bsLevl;
    }
    public void setBsLevl(String bsLevl) {
        this.bsLevl = bsLevl;
    }
    public String getBsEarlActionCd() {
        return bsEarlActionCd;
    }
    public void setBsEarlActionCd(String bsEarlActionCd) {
        this.bsEarlActionCd = bsEarlActionCd;
    }
    public long getMmstrBssAvsco() {
        return mmstrBssAvsco;
    }
    public void setMmstrBssAvsco(long mmstrBssAvsco) {
        this.mmstrBssAvsco = mmstrBssAvsco;
    }
    public long getMmstrBssDgre() {
        return mmstrBssDgre;
    }
    public void setMmstrBssDgre(long mmstrBssDgre) {
        this.mmstrBssDgre = mmstrBssDgre;
    }
    public long getMmstrRssAvsco() {
        return mmstrRssAvsco;
    }
    public void setMmstrRssAvsco(long mmstrRssAvsco) {
        this.mmstrRssAvsco = mmstrRssAvsco;
    }
    public long getMmstrRssDgre() {
        return mmstrRssDgre;
    }
    public void setMmstrRssDgre(long mmstrRssDgre) {
        this.mmstrRssDgre = mmstrRssDgre;
    }
    public long getMmstrBsRsCombDgre() {
        return mmstrBsRsCombDgre;
    }
    public void setMmstrBsRsCombDgre(long mmstrBsRsCombDgre) {
        this.mmstrBsRsCombDgre = mmstrBsRsCombDgre;
    }
    public String getMmstrBsNode() {
        return mmstrBsNode;
    }
    public void setMmstrBsNode(String mmstrBsNode) {
        this.mmstrBsNode = mmstrBsNode;
    }
    public String getMmstrWdrwPlcDivCd() {
        return mmstrWdrwPlcDivCd;
    }
    public void setMmstrWdrwPlcDivCd(String mmstrWdrwPlcDivCd) {
        this.mmstrWdrwPlcDivCd = mmstrWdrwPlcDivCd;
    }
    public String getMmstrBsActionCd() {
        return mmstrBsActionCd;
    }
    public void setMmstrBsActionCd(String mmstrBsActionCd) {
        this.mmstrBsActionCd = mmstrBsActionCd;
    }
    public String getMmstrBsLevl() {
        return mmstrBsLevl;
    }
    public void setMmstrBsLevl(String mmstrBsLevl) {
        this.mmstrBsLevl = mmstrBsLevl;
    }
    public String getMmstrBsEarlActionCd() {
        return mmstrBsEarlActionCd;
    }
    public void setMmstrBsEarlActionCd(String mmstrBsEarlActionCd) {
        this.mmstrBsEarlActionCd = mmstrBsEarlActionCd;
    }
    public String getClsBizDt() {
        return clsBizDt;
    }
    public void setClsBizDt(String clsBizDt) {
        this.clsBizDt = clsBizDt;
    }
    public BigDecimal getMmstrBadDebtTotApprAmt() {
        return mmstrBadDebtTotApprAmt;
    }
    public void setMmstrBadDebtTotApprAmt(BigDecimal mmstrBadDebtTotApprAmt) {
        this.mmstrBadDebtTotApprAmt = mmstrBadDebtTotApprAmt;
    }
    public BigDecimal getBklMrtgAmt() {
        return bklMrtgAmt;
    }
    public void setBklMrtgAmt(BigDecimal bklMrtgAmt) {
        this.bklMrtgAmt = bklMrtgAmt;
    }
    public BigDecimal getFixMrtgAmt() {
        return fixMrtgAmt;
    }
    public void setFixMrtgAmt(BigDecimal fixMrtgAmt) {
        this.fixMrtgAmt = fixMrtgAmt;
    }
    public BigDecimal getBklMrtgAdmtRamt() {
        return bklMrtgAdmtRamt;
    }
    public void setBklMrtgAdmtRamt(BigDecimal bklMrtgAdmtRamt) {
        this.bklMrtgAdmtRamt = bklMrtgAdmtRamt;
    }
    public BigDecimal getFixMrtgAdmtRamt() {
        return fixMrtgAdmtRamt;
    }
    public void setFixMrtgAdmtRamt(BigDecimal fixMrtgAdmtRamt) {
        this.fixMrtgAdmtRamt = fixMrtgAdmtRamt;
    }
    public BigDecimal getWdrwDobtMrtgAdmtRamt() {
        return wdrwDobtMrtgAdmtRamt;
    }
    public void setWdrwDobtMrtgAdmtRamt(BigDecimal wdrwDobtMrtgAdmtRamt) {
        this.wdrwDobtMrtgAdmtRamt = wdrwDobtMrtgAdmtRamt;
    }
    public BigDecimal getBklMrtgApprAmt() {
        return bklMrtgApprAmt;
    }
    public void setBklMrtgApprAmt(BigDecimal bklMrtgApprAmt) {
        this.bklMrtgApprAmt = bklMrtgApprAmt;
    }
    public BigDecimal getFixMrtgApprAmt() {
        return fixMrtgApprAmt;
    }
    public void setFixMrtgApprAmt(BigDecimal fixMrtgApprAmt) {
        this.fixMrtgApprAmt = fixMrtgApprAmt;
    }
    public BigDecimal getWdrwDobtMrtgApprAmt() {
        return wdrwDobtMrtgApprAmt;
    }
    public void setWdrwDobtMrtgApprAmt(BigDecimal wdrwDobtMrtgApprAmt) {
        this.wdrwDobtMrtgApprAmt = wdrwDobtMrtgApprAmt;
    }
    public String getMrtgExecBndFg() {
        return mrtgExecBndFg;
    }
    public void setMrtgExecBndFg(String mrtgExecBndFg) {
        this.mrtgExecBndFg = mrtgExecBndFg;
    }
    public long getTotDdcnt() {
        return totDdcnt;
    }
    public void setTotDdcnt(long totDdcnt) {
        this.totDdcnt = totDdcnt;
    }
    public long getPsgDdcnt() {
        return psgDdcnt;
    }
    public void setPsgDdcnt(long psgDdcnt) {
        this.psgDdcnt = psgDdcnt;
    }
    public BigDecimal getBfmmUnrcvObjInt() {
        return bfmmUnrcvObjInt;
    }
    public void setBfmmUnrcvObjInt(BigDecimal bfmmUnrcvObjInt) {
        this.bfmmUnrcvObjInt = bfmmUnrcvObjInt;
    }
    public BigDecimal getThmmUnrcvObjInt() {
        return thmmUnrcvObjInt;
    }
    public void setThmmUnrcvObjInt(BigDecimal thmmUnrcvObjInt) {
        this.thmmUnrcvObjInt = thmmUnrcvObjInt;
    }
    public BigDecimal getUnrcvObjInt() {
        return unrcvObjInt;
    }
    public void setUnrcvObjInt(BigDecimal unrcvObjInt) {
        this.unrcvObjInt = unrcvObjInt;
    }
    public BigDecimal getSetlUnrcvInt() {
        return setlUnrcvInt;
    }
    public void setSetlUnrcvInt(BigDecimal setlUnrcvInt) {
        this.setlUnrcvInt = setlUnrcvInt;
    }
    public BigDecimal getBrcvInt() {
        return brcvInt;
    }
    public void setBrcvInt(BigDecimal brcvInt) {
        this.brcvInt = brcvInt;
    }
    public BigDecimal getApprAmtUnrcvInt() {
        return apprAmtUnrcvInt;
    }
    public void setApprAmtUnrcvInt(BigDecimal apprAmtUnrcvInt) {
        this.apprAmtUnrcvInt = apprAmtUnrcvInt;
    }
    public BigDecimal getLoanApprAmtUnrcvInt() {
        return loanApprAmtUnrcvInt;
    }
    public void setLoanApprAmtUnrcvInt(BigDecimal loanApprAmtUnrcvInt) {
        this.loanApprAmtUnrcvInt = loanApprAmtUnrcvInt;
    }
    public long getDlyStrtTims() {
        return dlyStrtTims;
    }
    public void setDlyStrtTims(long dlyStrtTims) {
        this.dlyStrtTims = dlyStrtTims;
    }
    public String getDlyStrtDt() {
        return dlyStrtDt;
    }
    public void setDlyStrtDt(String dlyStrtDt) {
        this.dlyStrtDt = dlyStrtDt;
    }
    public String getAsetSondTpLeglActnFg() {
        return asetSondTpLeglActnFg;
    }
    public void setAsetSondTpLeglActnFg(String asetSondTpLeglActnFg) {
        this.asetSondTpLeglActnFg = asetSondTpLeglActnFg;
    }
    public String getCustTpCd() {
        return custTpCd;
    }
    public void setCustTpCd(String custTpCd) {
        this.custTpCd = custTpCd;
    }
    public String getCrdtCustNo() {
        return crdtCustNo;
    }
    public void setCrdtCustNo(String crdtCustNo) {
        this.crdtCustNo = crdtCustNo;
    }
    public String getAsetSondTpCalcCd() {
        return asetSondTpCalcCd;
    }
    public void setAsetSondTpCalcCd(String asetSondTpCalcCd) {
        this.asetSondTpCalcCd = asetSondTpCalcCd;
    }
    public String getRlDueDt() {
        return rlDueDt;
    }
    public void setRlDueDt(String rlDueDt) {
        this.rlDueDt = rlDueDt;
    }
    public String getExtnFg() {
        return extnFg;
    }
    public void setExtnFg(String extnFg) {
        this.extnFg = extnFg;
    }
    public BigDecimal getNiceDlyAmt() {
        return niceDlyAmt;
    }
    public void setNiceDlyAmt(BigDecimal niceDlyAmt) {
        this.niceDlyAmt = niceDlyAmt;
    }
    public String getRlnRcgnFg() {
        return rlnRcgnFg;
    }
    public void setRlnRcgnFg(String rlnRcgnFg) {
        this.rlnRcgnFg = rlnRcgnFg;
    }
    public String getCorrStatCdKgap() {
        return corrStatCdKgap;
    }
    public void setCorrStatCdKgap(String corrStatCdKgap) {
        this.corrStatCdKgap = corrStatCdKgap;
    }
    public String getCorrStatCdIfrs() {
        return corrStatCdIfrs;
    }
    public void setCorrStatCdIfrs(String corrStatCdIfrs) {
        this.corrStatCdIfrs = corrStatCdIfrs;
    }
    public String getBndDeptCd() {
        return bndDeptCd;
    }
    public void setBndDeptCd(String bndDeptCd) {
        this.bndDeptCd = bndDeptCd;
    }
    public long getDdayPrftLoseStrtTims() {
        return ddayPrftLoseStrtTims;
    }
    public void setDdayPrftLoseStrtTims(long ddayPrftLoseStrtTims) {
        this.ddayPrftLoseStrtTims = ddayPrftLoseStrtTims;
    }
    public BigDecimal getFixDebtApprAmt() {
        return fixDebtApprAmt;
    }
    public void setFixDebtApprAmt(BigDecimal fixDebtApprAmt) {
        this.fixDebtApprAmt = fixDebtApprAmt;
    }
    public BigDecimal getDobtDebtAppAmt() {
        return dobtDebtAppAmt;
    }
    public void setDobtDebtAppAmt(BigDecimal dobtDebtAppAmt) {
        this.dobtDebtAppAmt = dobtDebtAppAmt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
