package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BtCustRefInfoDTO.java Class
 * 클래스설명   : BT_고객_참조_정보 를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 21.
 * 작성자명     : 70281 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 21.][70281 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtCustRefInfoDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo = "";      //LOAN_NO       대출_번호
    private String snum = "";        //SNUM          일련_번호
    private String regDt = "";       //REG_DT        등록_일자
    private String regNm = "";       //REG_NM        등록_자명
    private String imptRsn = "";     //IMPT_RSN      중점_사유
    private String refrCntn = "";    //REFR_CNTN     참고_내용
    private String delYn = "";       //DEL_YN        삭제_유무

    private String custNo = "";    //고객번호
    private String custMemo = "";  //주요메모
    private String regTm = "";     //등록시각
    private String crudGb = "";

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getSnum() {
        return snum;
    }
    public void setSnum(String snum) {
        this.snum = snum;
    }
    public String getRegDt() {
        return regDt;
    }
    public void setRegDt(String regDt) {
        this.regDt = regDt;
    }
    public String getRegNm() {
        return regNm;
    }
    public void setRegNm(String regNm) {
        this.regNm = regNm;
    }
    public String getImptRsn() {
        return imptRsn;
    }
    public void setImptRsn(String imptRsn) {
        this.imptRsn = imptRsn;
    }
    public String getRefrCntn() {
        return refrCntn;
    }
    public void setRefrCntn(String refrCntn) {
        this.refrCntn = refrCntn;
    }
    public String getDelYn() {
        return delYn;
    }
    public void setDelYn(String delYn) {
        this.delYn = delYn;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getCustMemo() {
        return custMemo;
    }
    public void setCustMemo(String custMemo) {
        this.custMemo = custMemo;
    }
    public String getRegTm() {
        return regTm;
    }
    public void setRegTm(String regTm) {
        this.regTm = regTm;
    }
    public String getCrudGb() {
        return crudGb;
    }
    public void setCrudGb(String crudGb) {
        this.crudGb = crudGb;
    }
}
