package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BtLeglActnCostTotDTO.java Class
 * 클래스설명   : BT-법적조치비용집계(BT_LEGL_ACTN_COST_TOT)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 21.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 21.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtLeglActnCostTotDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private BigDecimal lawCostAskDepsAmt  = BigDecimal.ZERO;  /* 법비용청구공탁금 */
    private BigDecimal lawCostAskAmt  = BigDecimal.ZERO;  /* 법비용청구금액 */
    private BigDecimal lawCostAdjAmt  = BigDecimal.ZERO;  /* 법비용정산금액 */
    private BigDecimal lawCostAdjDepsAmt  = BigDecimal.ZERO;  /* 법비용정산공탁금 */
    private BigDecimal lawCostRamt  = BigDecimal.ZERO;  /* 법비용잔액 */
    private BigDecimal badDebtAfSpayAmt  = BigDecimal.ZERO;  /* 대손후가지급금액 */
    private BigDecimal lawCostExmpAmt  = BigDecimal.ZERO;  /* 법비용면제금액 */
    private BigDecimal lawCostDepsAmtRamt  = BigDecimal.ZERO;  /* 법비용공탁금잔액 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public BigDecimal getLawCostAskDepsAmt() {
        return lawCostAskDepsAmt;
    }
    public void setLawCostAskDepsAmt(BigDecimal lawCostAskDepsAmt) {
        this.lawCostAskDepsAmt = lawCostAskDepsAmt;
    }
    public BigDecimal getLawCostAskAmt() {
        return lawCostAskAmt;
    }
    public void setLawCostAskAmt(BigDecimal lawCostAskAmt) {
        this.lawCostAskAmt = lawCostAskAmt;
    }
    public BigDecimal getLawCostAdjAmt() {
        return lawCostAdjAmt;
    }
    public void setLawCostAdjAmt(BigDecimal lawCostAdjAmt) {
        this.lawCostAdjAmt = lawCostAdjAmt;
    }
    public BigDecimal getLawCostAdjDepsAmt() {
        return lawCostAdjDepsAmt;
    }
    public void setLawCostAdjDepsAmt(BigDecimal lawCostAdjDepsAmt) {
        this.lawCostAdjDepsAmt = lawCostAdjDepsAmt;
    }
    public BigDecimal getLawCostRamt() {
        return lawCostRamt;
    }
    public void setLawCostRamt(BigDecimal lawCostRamt) {
        this.lawCostRamt = lawCostRamt;
    }
    public BigDecimal getBadDebtAfSpayAmt() {
        return badDebtAfSpayAmt;
    }
    public void setBadDebtAfSpayAmt(BigDecimal badDebtAfSpayAmt) {
        this.badDebtAfSpayAmt = badDebtAfSpayAmt;
    }
    public BigDecimal getLawCostExmpAmt() {
        return lawCostExmpAmt;
    }
    public void setLawCostExmpAmt(BigDecimal lawCostExmpAmt) {
        this.lawCostExmpAmt = lawCostExmpAmt;
    }
    public BigDecimal getLawCostDepsAmtRamt() {
        return lawCostDepsAmtRamt;
    }
    public void setLawCostDepsAmtRamt(BigDecimal lawCostDepsAmtRamt) {
        this.lawCostDepsAmtRamt = lawCostDepsAmtRamt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
