package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BtLoanCrimDescDTO.java Class
 * 클래스설명   : BT-대출범죄내역(BT_LOAN_CRIM_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 21.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 21.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtLoanCrimDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private long crimDescNo  = 0;  /* 범죄내역번호 */
    private long lastCrimHistNo  = 0;  /* 최종범죄이력번호 */
    private String crimTpClasCd  = "";  /* 범죄유형분류코드 */
    private String frstStmpDt  = "";  /* 최초인지일자 */
    private String dwscLossCd  = "";  /* 당사손실코드 */
    private String cnclDt  = "";  /* 취소일자 */
    private String cnclFg  = "";  /* 취소여부 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public long getCrimDescNo() {
        return crimDescNo;
    }
    public void setCrimDescNo(long crimDescNo) {
        this.crimDescNo = crimDescNo;
    }
    public long getLastCrimHistNo() {
        return lastCrimHistNo;
    }
    public void setLastCrimHistNo(long lastCrimHistNo) {
        this.lastCrimHistNo = lastCrimHistNo;
    }
    public String getCrimTpClasCd() {
        return crimTpClasCd;
    }
    public void setCrimTpClasCd(String crimTpClasCd) {
        this.crimTpClasCd = crimTpClasCd;
    }
    public String getFrstStmpDt() {
        return frstStmpDt;
    }
    public void setFrstStmpDt(String frstStmpDt) {
        this.frstStmpDt = frstStmpDt;
    }
    public String getDwscLossCd() {
        return dwscLossCd;
    }
    public void setDwscLossCd(String dwscLossCd) {
        this.dwscLossCd = dwscLossCd;
    }
    public String getCnclDt() {
        return cnclDt;
    }
    public void setCnclDt(String cnclDt) {
        this.cnclDt = cnclDt;
    }
    public String getCnclFg() {
        return cnclFg;
    }
    public void setCnclFg(String cnclFg) {
        this.cnclFg = cnclFg;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
