package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : BtTempAfddDlyInfoDTO.java Class
 * 클래스설명   : BT-임시익일연체정보(BT_TEMP_AFDD_DLY_INFO)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class BtTempAfddDlyInfoDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String stndDt  = "";  /* 기준일자 */
    private long dlyTcnt  = 0;  /* 연체횟수 */
    private long dlyDdcnt  = 0;  /* 연체일수 */
    private BigDecimal dlyPamt  = BigDecimal.ZERO;  /* 연체원금 */
    private BigDecimal dlyInt  = BigDecimal.ZERO;  /* 연체이자 */
    private BigDecimal dfee  = BigDecimal.ZERO;  /* 연체료 */
    private BigDecimal dlyAddCartax  = BigDecimal.ZERO;  /* 연체가산자동차세 */
    private BigDecimal dlyAddInsuFee  = BigDecimal.ZERO;  /* 연체가산보험료 */
    private BigDecimal dlyAddEnvamt  = BigDecimal.ZERO;  /* 연체가산환경금 */
    private BigDecimal dlyAddAsfee  = BigDecimal.ZERO;  /* 연체가산정비료 */
    private BigDecimal dlyIpayCartax  = BigDecimal.ZERO;  /* 연체대지급자동차세 */
    private BigDecimal dlyIpayInsuFee  = BigDecimal.ZERO;  /* 연체대지급보험료 */
    private BigDecimal dlyIpayEnvamt  = BigDecimal.ZERO;  /* 연체대지급환경금 */
    private BigDecimal dlyIpayPnltAmt  = BigDecimal.ZERO;  /* 연체대지급범칙금 */
    private BigDecimal dlyIpayEtc  = BigDecimal.ZERO;  /* 연체대지급기타 */
    private BigDecimal dlyVtax  = BigDecimal.ZERO;  /* 연체부가세 */
    private long dlyStrtTims  = 0;  /* 연체시작회차 */
    private BigDecimal pamtRamt  = BigDecimal.ZERO;  /* 원금잔액 */
    private BigDecimal intRamt  = BigDecimal.ZERO;  /* 이자잔액 */
    private BigDecimal addCartaxRamt  = BigDecimal.ZERO;  /* 가산자동차세잔액 */
    private BigDecimal addInsuFeeRamt  = BigDecimal.ZERO;  /* 가산보험료잔액 */
    private BigDecimal addEnvamtRamt  = BigDecimal.ZERO;  /* 가산환경금잔액 */
    private BigDecimal addAsfeeRamt  = BigDecimal.ZERO;  /* 가산정비료잔액 */
    private BigDecimal ipayCartaxRamt  = BigDecimal.ZERO;  /* 대지급자동차세잔액 */
    private BigDecimal ipayInsuFeeRamt  = BigDecimal.ZERO;  /* 대지급보험료잔액 */
    private BigDecimal ipayEnvamtRamt  = BigDecimal.ZERO;  /* 대지급환경금잔액 */
    private BigDecimal ipayPnltAmtRamt  = BigDecimal.ZERO;  /* 대지급범칙금잔액 */
    private BigDecimal ipayEtcRamt  = BigDecimal.ZERO;  /* 대지급기타잔액 */
    private BigDecimal vtaxRamt  = BigDecimal.ZERO;  /* 부가세잔액 */
    private String thmmComgDt  = "";  /* 당월도래일자 */
    private long thmmComgTims  = 0;  /* 당월도래회차 */
    private BigDecimal thmmComgPamt  = BigDecimal.ZERO;  /* 당월도래원금 */
    private BigDecimal thmmComgInt  = BigDecimal.ZERO;  /* 당월도래이자 */
    private BigDecimal thmmComgCartax  = BigDecimal.ZERO;  /* 당월도래자동차세 */
    private BigDecimal thmmComgInsuFee  = BigDecimal.ZERO;  /* 당월도래보험료 */
    private BigDecimal thmmComgEnvamt  = BigDecimal.ZERO;  /* 당월도래환경금 */
    private BigDecimal thmmComgAsfee  = BigDecimal.ZERO;  /* 당월도래정비료 */
    private BigDecimal thmmOccrPnltAmt  = BigDecimal.ZERO;  /* 당월발생범칙금 */
    private BigDecimal thmmOccrEtc  = BigDecimal.ZERO;  /* 당월발생기타 */
    private BigDecimal thmmComgVtax  = BigDecimal.ZERO;  /* 당월도래부가세 */
    private BigDecimal occrLeglActnCost  = BigDecimal.ZERO;  /* 발생법적조치비용 */
    private BigDecimal adjLeglActnCost  = BigDecimal.ZERO;  /* 정산법적조치비용 */
    private BigDecimal leglActnCostRamt  = BigDecimal.ZERO;  /* 법적조치비용잔액 */
    private long totTims  = 0;  /* 총회차 */
    private String rmbrFrmlCd  = "";  /* 상환방식코드 */
    private String loanEprtDt  = "";  /* 대출만기일자 */
    private long loanEprtTims  = 0;  /* 대출만기회차 */
    private long loanTotMmCnt  = 0;  /* 대출총개월수 */
    private String setlDt  = "";  /* 결제일자 */
    private String thmmDueDt  = "";  /* 당월납입일자 */
    private String thmmRlDueDt  = "";  /* 당월실납입일자 */
    private long thmmDueTims  = 0;  /* 당월납입회차 */
    private BigDecimal normPamt  = BigDecimal.ZERO;  /* 정상원금 */
    private BigDecimal normInt  = BigDecimal.ZERO;  /* 정상이자 */
    private BigDecimal normAddCartax  = BigDecimal.ZERO;  /* 정상가산자동차세 */
    private BigDecimal normAddInsuFee  = BigDecimal.ZERO;  /* 정상가산보험료 */
    private BigDecimal normAddEnvamt  = BigDecimal.ZERO;  /* 정상가산환경금 */
    private BigDecimal normAddAsfee  = BigDecimal.ZERO;  /* 정상가산정비료 */
    private BigDecimal normIpayCartax  = BigDecimal.ZERO;  /* 정상대지급자동차세 */
    private BigDecimal normIpayInsuFee  = BigDecimal.ZERO;  /* 정상대지급보험료 */
    private BigDecimal normIpayEnvamt  = BigDecimal.ZERO;  /* 정상대지급환경금 */
    private BigDecimal normIpayPnltAmt  = BigDecimal.ZERO;  /* 정상대지급범칙금 */
    private BigDecimal normIpayEtc  = BigDecimal.ZERO;  /* 정상대지급기타 */
    private BigDecimal normVtax  = BigDecimal.ZERO;  /* 정상부가세 */
    private BigDecimal normPsgInt  = BigDecimal.ZERO;  /* 정상경과이자 */
    private String lastSetlDt  = "";  /* 최종결제일자 */
    private long lastSetlTims  = 0;  /* 최종결제회차 */
    private BigDecimal dlyLeasEtc  = BigDecimal.ZERO;  /* 연체리스기타 */
    private BigDecimal dlyLtrmBrcvAmt  = BigDecimal.ZERO;  /* 연체장기선수금 */
    private BigDecimal thmmComgLeasEtc  = BigDecimal.ZERO;  /* 당월도래리스기타 */
    private BigDecimal thmmComgLtrmBrcvAmt  = BigDecimal.ZERO;  /* 당월도래장기선수금 */
    private BigDecimal brcvAmtLeasfeeRamt  = BigDecimal.ZERO;  /* 선수금리스료잔액 */
    private BigDecimal dlyTrtFee  = BigDecimal.ZERO;  /* 연체취급수수료 */
    private BigDecimal trtFeeRamt  = BigDecimal.ZERO;  /* 취급수수료잔액 */
    private BigDecimal thmmComgTrtFee  = BigDecimal.ZERO;  /* 당월도래취급수수료 */
    private BigDecimal normTrtFee  = BigDecimal.ZERO;  /* 정상취급수수료 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getStndDt() {
        return stndDt;
    }
    public void setStndDt(String stndDt) {
        this.stndDt = stndDt;
    }
    public long getDlyTcnt() {
        return dlyTcnt;
    }
    public void setDlyTcnt(long dlyTcnt) {
        this.dlyTcnt = dlyTcnt;
    }
    public long getDlyDdcnt() {
        return dlyDdcnt;
    }
    public void setDlyDdcnt(long dlyDdcnt) {
        this.dlyDdcnt = dlyDdcnt;
    }
    public BigDecimal getDlyPamt() {
        return dlyPamt;
    }
    public void setDlyPamt(BigDecimal dlyPamt) {
        this.dlyPamt = dlyPamt;
    }
    public BigDecimal getDlyInt() {
        return dlyInt;
    }
    public void setDlyInt(BigDecimal dlyInt) {
        this.dlyInt = dlyInt;
    }
    public BigDecimal getDfee() {
        return dfee;
    }
    public void setDfee(BigDecimal dfee) {
        this.dfee = dfee;
    }
    public BigDecimal getDlyAddCartax() {
        return dlyAddCartax;
    }
    public void setDlyAddCartax(BigDecimal dlyAddCartax) {
        this.dlyAddCartax = dlyAddCartax;
    }
    public BigDecimal getDlyAddInsuFee() {
        return dlyAddInsuFee;
    }
    public void setDlyAddInsuFee(BigDecimal dlyAddInsuFee) {
        this.dlyAddInsuFee = dlyAddInsuFee;
    }
    public BigDecimal getDlyAddEnvamt() {
        return dlyAddEnvamt;
    }
    public void setDlyAddEnvamt(BigDecimal dlyAddEnvamt) {
        this.dlyAddEnvamt = dlyAddEnvamt;
    }
    public BigDecimal getDlyAddAsfee() {
        return dlyAddAsfee;
    }
    public void setDlyAddAsfee(BigDecimal dlyAddAsfee) {
        this.dlyAddAsfee = dlyAddAsfee;
    }
    public BigDecimal getDlyIpayCartax() {
        return dlyIpayCartax;
    }
    public void setDlyIpayCartax(BigDecimal dlyIpayCartax) {
        this.dlyIpayCartax = dlyIpayCartax;
    }
    public BigDecimal getDlyIpayInsuFee() {
        return dlyIpayInsuFee;
    }
    public void setDlyIpayInsuFee(BigDecimal dlyIpayInsuFee) {
        this.dlyIpayInsuFee = dlyIpayInsuFee;
    }
    public BigDecimal getDlyIpayEnvamt() {
        return dlyIpayEnvamt;
    }
    public void setDlyIpayEnvamt(BigDecimal dlyIpayEnvamt) {
        this.dlyIpayEnvamt = dlyIpayEnvamt;
    }
    public BigDecimal getDlyIpayPnltAmt() {
        return dlyIpayPnltAmt;
    }
    public void setDlyIpayPnltAmt(BigDecimal dlyIpayPnltAmt) {
        this.dlyIpayPnltAmt = dlyIpayPnltAmt;
    }
    public BigDecimal getDlyIpayEtc() {
        return dlyIpayEtc;
    }
    public void setDlyIpayEtc(BigDecimal dlyIpayEtc) {
        this.dlyIpayEtc = dlyIpayEtc;
    }
    public BigDecimal getDlyVtax() {
        return dlyVtax;
    }
    public void setDlyVtax(BigDecimal dlyVtax) {
        this.dlyVtax = dlyVtax;
    }
    public long getDlyStrtTims() {
        return dlyStrtTims;
    }
    public void setDlyStrtTims(long dlyStrtTims) {
        this.dlyStrtTims = dlyStrtTims;
    }
    public BigDecimal getPamtRamt() {
        return pamtRamt;
    }
    public void setPamtRamt(BigDecimal pamtRamt) {
        this.pamtRamt = pamtRamt;
    }
    public BigDecimal getIntRamt() {
        return intRamt;
    }
    public void setIntRamt(BigDecimal intRamt) {
        this.intRamt = intRamt;
    }
    public BigDecimal getAddCartaxRamt() {
        return addCartaxRamt;
    }
    public void setAddCartaxRamt(BigDecimal addCartaxRamt) {
        this.addCartaxRamt = addCartaxRamt;
    }
    public BigDecimal getAddInsuFeeRamt() {
        return addInsuFeeRamt;
    }
    public void setAddInsuFeeRamt(BigDecimal addInsuFeeRamt) {
        this.addInsuFeeRamt = addInsuFeeRamt;
    }
    public BigDecimal getAddEnvamtRamt() {
        return addEnvamtRamt;
    }
    public void setAddEnvamtRamt(BigDecimal addEnvamtRamt) {
        this.addEnvamtRamt = addEnvamtRamt;
    }
    public BigDecimal getAddAsfeeRamt() {
        return addAsfeeRamt;
    }
    public void setAddAsfeeRamt(BigDecimal addAsfeeRamt) {
        this.addAsfeeRamt = addAsfeeRamt;
    }
    public BigDecimal getIpayCartaxRamt() {
        return ipayCartaxRamt;
    }
    public void setIpayCartaxRamt(BigDecimal ipayCartaxRamt) {
        this.ipayCartaxRamt = ipayCartaxRamt;
    }
    public BigDecimal getIpayInsuFeeRamt() {
        return ipayInsuFeeRamt;
    }
    public void setIpayInsuFeeRamt(BigDecimal ipayInsuFeeRamt) {
        this.ipayInsuFeeRamt = ipayInsuFeeRamt;
    }
    public BigDecimal getIpayEnvamtRamt() {
        return ipayEnvamtRamt;
    }
    public void setIpayEnvamtRamt(BigDecimal ipayEnvamtRamt) {
        this.ipayEnvamtRamt = ipayEnvamtRamt;
    }
    public BigDecimal getIpayPnltAmtRamt() {
        return ipayPnltAmtRamt;
    }
    public void setIpayPnltAmtRamt(BigDecimal ipayPnltAmtRamt) {
        this.ipayPnltAmtRamt = ipayPnltAmtRamt;
    }
    public BigDecimal getIpayEtcRamt() {
        return ipayEtcRamt;
    }
    public void setIpayEtcRamt(BigDecimal ipayEtcRamt) {
        this.ipayEtcRamt = ipayEtcRamt;
    }
    public BigDecimal getVtaxRamt() {
        return vtaxRamt;
    }
    public void setVtaxRamt(BigDecimal vtaxRamt) {
        this.vtaxRamt = vtaxRamt;
    }
    public String getThmmComgDt() {
        return thmmComgDt;
    }
    public void setThmmComgDt(String thmmComgDt) {
        this.thmmComgDt = thmmComgDt;
    }
    public long getThmmComgTims() {
        return thmmComgTims;
    }
    public void setThmmComgTims(long thmmComgTims) {
        this.thmmComgTims = thmmComgTims;
    }
    public BigDecimal getThmmComgPamt() {
        return thmmComgPamt;
    }
    public void setThmmComgPamt(BigDecimal thmmComgPamt) {
        this.thmmComgPamt = thmmComgPamt;
    }
    public BigDecimal getThmmComgInt() {
        return thmmComgInt;
    }
    public void setThmmComgInt(BigDecimal thmmComgInt) {
        this.thmmComgInt = thmmComgInt;
    }
    public BigDecimal getThmmComgCartax() {
        return thmmComgCartax;
    }
    public void setThmmComgCartax(BigDecimal thmmComgCartax) {
        this.thmmComgCartax = thmmComgCartax;
    }
    public BigDecimal getThmmComgInsuFee() {
        return thmmComgInsuFee;
    }
    public void setThmmComgInsuFee(BigDecimal thmmComgInsuFee) {
        this.thmmComgInsuFee = thmmComgInsuFee;
    }
    public BigDecimal getThmmComgEnvamt() {
        return thmmComgEnvamt;
    }
    public void setThmmComgEnvamt(BigDecimal thmmComgEnvamt) {
        this.thmmComgEnvamt = thmmComgEnvamt;
    }
    public BigDecimal getThmmComgAsfee() {
        return thmmComgAsfee;
    }
    public void setThmmComgAsfee(BigDecimal thmmComgAsfee) {
        this.thmmComgAsfee = thmmComgAsfee;
    }
    public BigDecimal getThmmOccrPnltAmt() {
        return thmmOccrPnltAmt;
    }
    public void setThmmOccrPnltAmt(BigDecimal thmmOccrPnltAmt) {
        this.thmmOccrPnltAmt = thmmOccrPnltAmt;
    }
    public BigDecimal getThmmOccrEtc() {
        return thmmOccrEtc;
    }
    public void setThmmOccrEtc(BigDecimal thmmOccrEtc) {
        this.thmmOccrEtc = thmmOccrEtc;
    }
    public BigDecimal getThmmComgVtax() {
        return thmmComgVtax;
    }
    public void setThmmComgVtax(BigDecimal thmmComgVtax) {
        this.thmmComgVtax = thmmComgVtax;
    }
    public BigDecimal getOccrLeglActnCost() {
        return occrLeglActnCost;
    }
    public void setOccrLeglActnCost(BigDecimal occrLeglActnCost) {
        this.occrLeglActnCost = occrLeglActnCost;
    }
    public BigDecimal getAdjLeglActnCost() {
        return adjLeglActnCost;
    }
    public void setAdjLeglActnCost(BigDecimal adjLeglActnCost) {
        this.adjLeglActnCost = adjLeglActnCost;
    }
    public BigDecimal getLeglActnCostRamt() {
        return leglActnCostRamt;
    }
    public void setLeglActnCostRamt(BigDecimal leglActnCostRamt) {
        this.leglActnCostRamt = leglActnCostRamt;
    }
    public long getTotTims() {
        return totTims;
    }
    public void setTotTims(long totTims) {
        this.totTims = totTims;
    }
    public String getRmbrFrmlCd() {
        return rmbrFrmlCd;
    }
    public void setRmbrFrmlCd(String rmbrFrmlCd) {
        this.rmbrFrmlCd = rmbrFrmlCd;
    }
    public String getLoanEprtDt() {
        return loanEprtDt;
    }
    public void setLoanEprtDt(String loanEprtDt) {
        this.loanEprtDt = loanEprtDt;
    }
    public long getLoanEprtTims() {
        return loanEprtTims;
    }
    public void setLoanEprtTims(long loanEprtTims) {
        this.loanEprtTims = loanEprtTims;
    }
    public long getLoanTotMmCnt() {
        return loanTotMmCnt;
    }
    public void setLoanTotMmCnt(long loanTotMmCnt) {
        this.loanTotMmCnt = loanTotMmCnt;
    }
    public String getSetlDt() {
        return setlDt;
    }
    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }
    public String getThmmDueDt() {
        return thmmDueDt;
    }
    public void setThmmDueDt(String thmmDueDt) {
        this.thmmDueDt = thmmDueDt;
    }
    public String getThmmRlDueDt() {
        return thmmRlDueDt;
    }
    public void setThmmRlDueDt(String thmmRlDueDt) {
        this.thmmRlDueDt = thmmRlDueDt;
    }
    public long getThmmDueTims() {
        return thmmDueTims;
    }
    public void setThmmDueTims(long thmmDueTims) {
        this.thmmDueTims = thmmDueTims;
    }
    public BigDecimal getNormPamt() {
        return normPamt;
    }
    public void setNormPamt(BigDecimal normPamt) {
        this.normPamt = normPamt;
    }
    public BigDecimal getNormInt() {
        return normInt;
    }
    public void setNormInt(BigDecimal normInt) {
        this.normInt = normInt;
    }
    public BigDecimal getNormAddCartax() {
        return normAddCartax;
    }
    public void setNormAddCartax(BigDecimal normAddCartax) {
        this.normAddCartax = normAddCartax;
    }
    public BigDecimal getNormAddInsuFee() {
        return normAddInsuFee;
    }
    public void setNormAddInsuFee(BigDecimal normAddInsuFee) {
        this.normAddInsuFee = normAddInsuFee;
    }
    public BigDecimal getNormAddEnvamt() {
        return normAddEnvamt;
    }
    public void setNormAddEnvamt(BigDecimal normAddEnvamt) {
        this.normAddEnvamt = normAddEnvamt;
    }
    public BigDecimal getNormAddAsfee() {
        return normAddAsfee;
    }
    public void setNormAddAsfee(BigDecimal normAddAsfee) {
        this.normAddAsfee = normAddAsfee;
    }
    public BigDecimal getNormIpayCartax() {
        return normIpayCartax;
    }
    public void setNormIpayCartax(BigDecimal normIpayCartax) {
        this.normIpayCartax = normIpayCartax;
    }
    public BigDecimal getNormIpayInsuFee() {
        return normIpayInsuFee;
    }
    public void setNormIpayInsuFee(BigDecimal normIpayInsuFee) {
        this.normIpayInsuFee = normIpayInsuFee;
    }
    public BigDecimal getNormIpayEnvamt() {
        return normIpayEnvamt;
    }
    public void setNormIpayEnvamt(BigDecimal normIpayEnvamt) {
        this.normIpayEnvamt = normIpayEnvamt;
    }
    public BigDecimal getNormIpayPnltAmt() {
        return normIpayPnltAmt;
    }
    public void setNormIpayPnltAmt(BigDecimal normIpayPnltAmt) {
        this.normIpayPnltAmt = normIpayPnltAmt;
    }
    public BigDecimal getNormIpayEtc() {
        return normIpayEtc;
    }
    public void setNormIpayEtc(BigDecimal normIpayEtc) {
        this.normIpayEtc = normIpayEtc;
    }
    public BigDecimal getNormVtax() {
        return normVtax;
    }
    public void setNormVtax(BigDecimal normVtax) {
        this.normVtax = normVtax;
    }
    public BigDecimal getNormPsgInt() {
        return normPsgInt;
    }
    public void setNormPsgInt(BigDecimal normPsgInt) {
        this.normPsgInt = normPsgInt;
    }
    public String getLastSetlDt() {
        return lastSetlDt;
    }
    public void setLastSetlDt(String lastSetlDt) {
        this.lastSetlDt = lastSetlDt;
    }
    public long getLastSetlTims() {
        return lastSetlTims;
    }
    public void setLastSetlTims(long lastSetlTims) {
        this.lastSetlTims = lastSetlTims;
    }
    public BigDecimal getDlyLeasEtc() {
        return dlyLeasEtc;
    }
    public void setDlyLeasEtc(BigDecimal dlyLeasEtc) {
        this.dlyLeasEtc = dlyLeasEtc;
    }
    public BigDecimal getDlyLtrmBrcvAmt() {
        return dlyLtrmBrcvAmt;
    }
    public void setDlyLtrmBrcvAmt(BigDecimal dlyLtrmBrcvAmt) {
        this.dlyLtrmBrcvAmt = dlyLtrmBrcvAmt;
    }
    public BigDecimal getThmmComgLeasEtc() {
        return thmmComgLeasEtc;
    }
    public void setThmmComgLeasEtc(BigDecimal thmmComgLeasEtc) {
        this.thmmComgLeasEtc = thmmComgLeasEtc;
    }
    public BigDecimal getThmmComgLtrmBrcvAmt() {
        return thmmComgLtrmBrcvAmt;
    }
    public void setThmmComgLtrmBrcvAmt(BigDecimal thmmComgLtrmBrcvAmt) {
        this.thmmComgLtrmBrcvAmt = thmmComgLtrmBrcvAmt;
    }
    public BigDecimal getBrcvAmtLeasfeeRamt() {
        return brcvAmtLeasfeeRamt;
    }
    public void setBrcvAmtLeasfeeRamt(BigDecimal brcvAmtLeasfeeRamt) {
        this.brcvAmtLeasfeeRamt = brcvAmtLeasfeeRamt;
    }
    public BigDecimal getDlyTrtFee() {
        return dlyTrtFee;
    }
    public void setDlyTrtFee(BigDecimal dlyTrtFee) {
        this.dlyTrtFee = dlyTrtFee;
    }
    public BigDecimal getTrtFeeRamt() {
        return trtFeeRamt;
    }
    public void setTrtFeeRamt(BigDecimal trtFeeRamt) {
        this.trtFeeRamt = trtFeeRamt;
    }
    public BigDecimal getThmmComgTrtFee() {
        return thmmComgTrtFee;
    }
    public void setThmmComgTrtFee(BigDecimal thmmComgTrtFee) {
        this.thmmComgTrtFee = thmmComgTrtFee;
    }
    public BigDecimal getNormTrtFee() {
        return normTrtFee;
    }
    public void setNormTrtFee(BigDecimal normTrtFee) {
        this.normTrtFee = normTrtFee;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
