package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : CtCommCdKindDTO.java Class
 * 클래스설명   : CT-공통코드종류(CT_COMM_CD_KIND)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CtCommCdKindDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String cdKindNo             = "";   /* 코드종류번호     */
    private String cdKindNm             = "";   /* 코드종류명       */
    private String cdKindShrtNm         = "";   /* 코드종류단축명   */
    private String bsnZoneCd            = "";   /* 업무영역코드     */
    private String rqstDeptCd           = "";   /* 요청부서코드     */
    private String mngDeptCd            = "";   /* 관리부서코드     */
    private String etcRmrk              = "";   /* 기타비고         */
    private String clas1Rmrk            = "";   /* 분류1비고        */
    private String clas2Rmrk            = "";   /* 분류2비고        */

    private String pKeyCdKindNo         = "";   /* 업데이트 키. 코드중류번호 */

    public String getCdKindNo() {
        return cdKindNo;
    }
    public void setCdKindNo(String cdKindNo) {
        this.cdKindNo = cdKindNo;
    }
    public String getCdKindNm() {
        return cdKindNm;
    }
    public void setCdKindNm(String cdKindNm) {
        this.cdKindNm = cdKindNm;
    }
    public String getCdKindShrtNm() {
        return cdKindShrtNm;
    }
    public void setCdKindShrtNm(String cdKindShrtNm) {
        this.cdKindShrtNm = cdKindShrtNm;
    }
    public String getBsnZoneCd() {
        return bsnZoneCd;
    }
    public void setBsnZoneCd(String bsnZoneCd) {
        this.bsnZoneCd = bsnZoneCd;
    }
    public String getRqstDeptCd() {
        return rqstDeptCd;
    }
    public void setRqstDeptCd(String rqstDeptCd) {
        this.rqstDeptCd = rqstDeptCd;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getEtcRmrk() {
        return etcRmrk;
    }
    public void setEtcRmrk(String etcRmrk) {
        this.etcRmrk = etcRmrk;
    }
    public String getClas1Rmrk() {
        return clas1Rmrk;
    }
    public void setClas1Rmrk(String clas1Rmrk) {
        this.clas1Rmrk = clas1Rmrk;
    }
    public String getClas2Rmrk() {
        return clas2Rmrk;
    }
    public void setClas2Rmrk(String clas2Rmrk) {
        this.clas2Rmrk = clas2Rmrk;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
    public String getpKeyCdKindNo()
    {
        return pKeyCdKindNo;
    }
    public void setpKeyCdKindNo(String pKeyCdKindNo)
    {
        this.pKeyCdKindNo = pKeyCdKindNo;
    }
}
