package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : HtOrgDTO.java Class
 * 클래스설명   : HT-기관코드(HT_ORG)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class HtOrgDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String deptCd  = "";  /* 계정계에서 업무처리 한 취급 부서 코드 */
    private String deptNm  = "";  /* 부서명 */
    private String deptEngnm  = "";  /* 부서영문명 */
    private String deptAbbrnm  = "";  /* 부서ABBRNM */
    private String deptFullnm  = "";  /* 부서총칭 */
    private String upDeptCd  = "";  /* 업부서코드 */
    private String deptMgrEmpNo  = "";  /* 부서팀장직원번호 */
    private String docDivsEmpNo  = "";  /* 서식이관직원번호 */
    private String zipCd  = "";  /* 우편번호 */
    private String addrCi  = "";  /* 주소시 */
    private String addrGu  = "";  /* 주소구 */
    private String addrDong  = "";  /* 주소동 */
    private String addrSpec  = "";  /* 주소상세 */
    private String offcTelNo1  = "";  /* 직장전화번호1 */
    private String offcTelNo2  = "";  /* 사무실전화번호2 */
    private String offcTelNo3  = "";  /* 직장전화번호3 */
    private String innoNo  = "";  /* 내선번호 */
    private String faxNo1  = "";  /* 팩스전화번호1 */
    private String faxNo2  = "";  /* 팩스전화번호2 */
    private String faxNo3  = "";  /* 팩스전화번호3 */
    private String seqCd  = "";  /* 순번코드 */
    private String levlCd  = "";  /* 레벨코드 */
    private String mnbrDivCd  = "";  /* 본사구분코드 */
    private String levlDivCd  = "";  /* 레벨구분코드 */
    private String charDivCd  = "";  /* 항목구분코드 */
    private String dnrmYn  = "";  /* DNRM유무 */
    private String cprtBranDivCd  = "";  /* 제휴점구분코드 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String mngBrnchCd  = "";  /* 관리지점코드 */
    private String acctDeptCd  = "";  /* 회계부서코드 */
    private String budgDeptCd  = "";  /* 예산부서코드 */
    private String distWficeCd  = "";  /* 배분구청코드 */
    private String declWficeCd  = "";  /* 신고구청코드 */
    private String bizNo  = "";  /* 사업자등록번호 */
    private String hrUseFg  = "";  /* HR사용여부 */
    private String saleUseFg  = "";  /* 판매사용여부 */
    private String acctUseFg  = "";  /* 회계사용여부 */
    private String hrAplyEmpNo  = "";  /* HR적용직원번호 */
    private String saleAplyEmpNo  = "";  /* 판매적용직원번호 */
    private String acctAplyEmpNo  = "";  /* 회계적용직원번호 */
    private String hrAplyDt  = "";  /* HR적용일자 */
    private String saleAplyDt  = "";  /* 판매적용일자 */
    private String acctAplyDt  = "";  /* 회계적용일자 */
    private String hrDisuEmpNo  = "";  /* HR폐지직원번호 */
    private String saleDisuEmpNo  = "";  /* 판매폐지직원번호 */
    private String acctDisuEmpNo  = "";  /* 회계폐지직원번호 */
    private String hrDisuDt  = "";  /* HR폐지일자 */
    private String saleDisuDt  = "";  /* 판매폐지일자 */
    private String acctDisuDt  = "";  /* 회계폐지일자 */
    private String acctDeptFg  = "";  /* 회계부서여부 */
    private String budgDeptFg  = "";  /* 예산부서여부 */
    private String needMonyDeptFg  = "";  /* 필요자금부서여부 */
    private String acctUpDeptCd  = "";  /* 회계업부서코드 */
    private String hrMnbrDivCd  = "";  /* HR채권구분코드 */
    private String stafDeptFg  = "";  /* STAF부서여부 */
    private String saleMnbrDivCd  = "";  /* 판매채권구분코드 */
    private String loanDeptDivCd  = "";  /* 대출부서구분코드 */

    public String getDeptCd() {
        return deptCd;
    }
    public void setDeptCd(String deptCd) {
        this.deptCd = deptCd;
    }
    public String getDeptNm() {
        return deptNm;
    }
    public void setDeptNm(String deptNm) {
        this.deptNm = deptNm;
    }
    public String getDeptEngnm() {
        return deptEngnm;
    }
    public void setDeptEngnm(String deptEngnm) {
        this.deptEngnm = deptEngnm;
    }
    public String getDeptAbbrnm() {
        return deptAbbrnm;
    }
    public void setDeptAbbrnm(String deptAbbrnm) {
        this.deptAbbrnm = deptAbbrnm;
    }
    public String getDeptFullnm() {
        return deptFullnm;
    }
    public void setDeptFullnm(String deptFullnm) {
        this.deptFullnm = deptFullnm;
    }
    public String getUpDeptCd() {
        return upDeptCd;
    }
    public void setUpDeptCd(String upDeptCd) {
        this.upDeptCd = upDeptCd;
    }
    public String getDeptMgrEmpNo() {
        return deptMgrEmpNo;
    }
    public void setDeptMgrEmpNo(String deptMgrEmpNo) {
        this.deptMgrEmpNo = deptMgrEmpNo;
    }
    public String getDocDivsEmpNo() {
        return docDivsEmpNo;
    }
    public void setDocDivsEmpNo(String docDivsEmpNo) {
        this.docDivsEmpNo = docDivsEmpNo;
    }
    public String getZipCd() {
        return zipCd;
    }
    public void setZipCd(String zipCd) {
        this.zipCd = zipCd;
    }
    public String getAddrCi() {
        return addrCi;
    }
    public void setAddrCi(String addrCi) {
        this.addrCi = addrCi;
    }
    public String getAddrGu() {
        return addrGu;
    }
    public void setAddrGu(String addrGu) {
        this.addrGu = addrGu;
    }
    public String getAddrDong() {
        return addrDong;
    }
    public void setAddrDong(String addrDong) {
        this.addrDong = addrDong;
    }
    public String getAddrSpec() {
        return addrSpec;
    }
    public void setAddrSpec(String addrSpec) {
        this.addrSpec = addrSpec;
    }
    public String getOffcTelNo1() {
        return offcTelNo1;
    }
    public void setOffcTelNo1(String offcTelNo1) {
        this.offcTelNo1 = offcTelNo1;
    }
    public String getOffcTelNo2() {
        return offcTelNo2;
    }
    public void setOffcTelNo2(String offcTelNo2) {
        this.offcTelNo2 = offcTelNo2;
    }
    public String getOffcTelNo3() {
        return offcTelNo3;
    }
    public void setOffcTelNo3(String offcTelNo3) {
        this.offcTelNo3 = offcTelNo3;
    }
    public String getInnoNo() {
        return innoNo;
    }
    public void setInnoNo(String innoNo) {
        this.innoNo = innoNo;
    }
    public String getFaxNo1() {
        return faxNo1;
    }
    public void setFaxNo1(String faxNo1) {
        this.faxNo1 = faxNo1;
    }
    public String getFaxNo2() {
        return faxNo2;
    }
    public void setFaxNo2(String faxNo2) {
        this.faxNo2 = faxNo2;
    }
    public String getFaxNo3() {
        return faxNo3;
    }
    public void setFaxNo3(String faxNo3) {
        this.faxNo3 = faxNo3;
    }
    public String getSeqCd() {
        return seqCd;
    }
    public void setSeqCd(String seqCd) {
        this.seqCd = seqCd;
    }
    public String getLevlCd() {
        return levlCd;
    }
    public void setLevlCd(String levlCd) {
        this.levlCd = levlCd;
    }
    public String getMnbrDivCd() {
        return mnbrDivCd;
    }
    public void setMnbrDivCd(String mnbrDivCd) {
        this.mnbrDivCd = mnbrDivCd;
    }
    public String getLevlDivCd() {
        return levlDivCd;
    }
    public void setLevlDivCd(String levlDivCd) {
        this.levlDivCd = levlDivCd;
    }
    public String getCharDivCd() {
        return charDivCd;
    }
    public void setCharDivCd(String charDivCd) {
        this.charDivCd = charDivCd;
    }
    public String getDnrmYn() {
        return dnrmYn;
    }
    public void setDnrmYn(String dnrmYn) {
        this.dnrmYn = dnrmYn;
    }
    public String getCprtBranDivCd() {
        return cprtBranDivCd;
    }
    public void setCprtBranDivCd(String cprtBranDivCd) {
        this.cprtBranDivCd = cprtBranDivCd;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getMngBrnchCd() {
        return mngBrnchCd;
    }
    public void setMngBrnchCd(String mngBrnchCd) {
        this.mngBrnchCd = mngBrnchCd;
    }
    public String getAcctDeptCd() {
        return acctDeptCd;
    }
    public void setAcctDeptCd(String acctDeptCd) {
        this.acctDeptCd = acctDeptCd;
    }
    public String getBudgDeptCd() {
        return budgDeptCd;
    }
    public void setBudgDeptCd(String budgDeptCd) {
        this.budgDeptCd = budgDeptCd;
    }
    public String getDistWficeCd() {
        return distWficeCd;
    }
    public void setDistWficeCd(String distWficeCd) {
        this.distWficeCd = distWficeCd;
    }
    public String getDeclWficeCd() {
        return declWficeCd;
    }
    public void setDeclWficeCd(String declWficeCd) {
        this.declWficeCd = declWficeCd;
    }
    public String getBizNo() {
        return bizNo;
    }
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    public String getHrUseFg() {
        return hrUseFg;
    }
    public void setHrUseFg(String hrUseFg) {
        this.hrUseFg = hrUseFg;
    }
    public String getSaleUseFg() {
        return saleUseFg;
    }
    public void setSaleUseFg(String saleUseFg) {
        this.saleUseFg = saleUseFg;
    }
    public String getAcctUseFg() {
        return acctUseFg;
    }
    public void setAcctUseFg(String acctUseFg) {
        this.acctUseFg = acctUseFg;
    }
    public String getHrAplyEmpNo() {
        return hrAplyEmpNo;
    }
    public void setHrAplyEmpNo(String hrAplyEmpNo) {
        this.hrAplyEmpNo = hrAplyEmpNo;
    }
    public String getSaleAplyEmpNo() {
        return saleAplyEmpNo;
    }
    public void setSaleAplyEmpNo(String saleAplyEmpNo) {
        this.saleAplyEmpNo = saleAplyEmpNo;
    }
    public String getAcctAplyEmpNo() {
        return acctAplyEmpNo;
    }
    public void setAcctAplyEmpNo(String acctAplyEmpNo) {
        this.acctAplyEmpNo = acctAplyEmpNo;
    }
    public String getHrAplyDt() {
        return hrAplyDt;
    }
    public void setHrAplyDt(String hrAplyDt) {
        this.hrAplyDt = hrAplyDt;
    }
    public String getSaleAplyDt() {
        return saleAplyDt;
    }
    public void setSaleAplyDt(String saleAplyDt) {
        this.saleAplyDt = saleAplyDt;
    }
    public String getAcctAplyDt() {
        return acctAplyDt;
    }
    public void setAcctAplyDt(String acctAplyDt) {
        this.acctAplyDt = acctAplyDt;
    }
    public String getHrDisuEmpNo() {
        return hrDisuEmpNo;
    }
    public void setHrDisuEmpNo(String hrDisuEmpNo) {
        this.hrDisuEmpNo = hrDisuEmpNo;
    }
    public String getSaleDisuEmpNo() {
        return saleDisuEmpNo;
    }
    public void setSaleDisuEmpNo(String saleDisuEmpNo) {
        this.saleDisuEmpNo = saleDisuEmpNo;
    }
    public String getAcctDisuEmpNo() {
        return acctDisuEmpNo;
    }
    public void setAcctDisuEmpNo(String acctDisuEmpNo) {
        this.acctDisuEmpNo = acctDisuEmpNo;
    }
    public String getHrDisuDt() {
        return hrDisuDt;
    }
    public void setHrDisuDt(String hrDisuDt) {
        this.hrDisuDt = hrDisuDt;
    }
    public String getSaleDisuDt() {
        return saleDisuDt;
    }
    public void setSaleDisuDt(String saleDisuDt) {
        this.saleDisuDt = saleDisuDt;
    }
    public String getAcctDisuDt() {
        return acctDisuDt;
    }
    public void setAcctDisuDt(String acctDisuDt) {
        this.acctDisuDt = acctDisuDt;
    }
    public String getAcctDeptFg() {
        return acctDeptFg;
    }
    public void setAcctDeptFg(String acctDeptFg) {
        this.acctDeptFg = acctDeptFg;
    }
    public String getBudgDeptFg() {
        return budgDeptFg;
    }
    public void setBudgDeptFg(String budgDeptFg) {
        this.budgDeptFg = budgDeptFg;
    }
    public String getNeedMonyDeptFg() {
        return needMonyDeptFg;
    }
    public void setNeedMonyDeptFg(String needMonyDeptFg) {
        this.needMonyDeptFg = needMonyDeptFg;
    }
    public String getAcctUpDeptCd() {
        return acctUpDeptCd;
    }
    public void setAcctUpDeptCd(String acctUpDeptCd) {
        this.acctUpDeptCd = acctUpDeptCd;
    }
    public String getHrMnbrDivCd() {
        return hrMnbrDivCd;
    }
    public void setHrMnbrDivCd(String hrMnbrDivCd) {
        this.hrMnbrDivCd = hrMnbrDivCd;
    }
    public String getStafDeptFg() {
        return stafDeptFg;
    }
    public void setStafDeptFg(String stafDeptFg) {
        this.stafDeptFg = stafDeptFg;
    }
    public String getSaleMnbrDivCd() {
        return saleMnbrDivCd;
    }
    public void setSaleMnbrDivCd(String saleMnbrDivCd) {
        this.saleMnbrDivCd = saleMnbrDivCd;
    }
    public String getLoanDeptDivCd() {
        return loanDeptDivCd;
    }
    public void setLoanDeptDivCd(String loanDeptDivCd) {
        this.loanDeptDivCd = loanDeptDivCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
