package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtAutoTranAcntGramSnrDTO.java Class
 * 클래스설명   : RT-자동이체계좌전문송수신(RT_AUTO_TRAN_ACNT_GRAM_SNR)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 30.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 30.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtAutoTranAcntGramSnrDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String sendDt  = "";  /* 전송일자 */
    private String trOrgCd  = "";  /* 거래기관코드 */
    private String recvDt  = "";  /* 수취일자 */
    private String trsmProcStatCd  = "";  /* 송신처리상태코드 */
    private String trsmProcDt  = "";  /* 송신처리일자 */
    private String trsmProcTm  = "";  /* 송신처리시각 */
    private String recvProcStatCd  = "";  /* 수신처리상태코드 */
    private String recvProcDt  = "";  /* 수신처리일자 */
    private String recvProcTm  = "";  /* 수신처리시각 */

    public String getSendDt() {
        return sendDt;
    }
    public void setSendDt(String sendDt) {
        this.sendDt = sendDt;
    }
    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }
    public String getRecvDt() {
        return recvDt;
    }
    public void setRecvDt(String recvDt) {
        this.recvDt = recvDt;
    }
    public String getTrsmProcStatCd() {
        return trsmProcStatCd;
    }
    public void setTrsmProcStatCd(String trsmProcStatCd) {
        this.trsmProcStatCd = trsmProcStatCd;
    }
    public String getTrsmProcDt() {
        return trsmProcDt;
    }
    public void setTrsmProcDt(String trsmProcDt) {
        this.trsmProcDt = trsmProcDt;
    }
    public String getTrsmProcTm() {
        return trsmProcTm;
    }
    public void setTrsmProcTm(String trsmProcTm) {
        this.trsmProcTm = trsmProcTm;
    }
    public String getRecvProcStatCd() {
        return recvProcStatCd;
    }
    public void setRecvProcStatCd(String recvProcStatCd) {
        this.recvProcStatCd = recvProcStatCd;
    }
    public String getRecvProcDt() {
        return recvProcDt;
    }
    public void setRecvProcDt(String recvProcDt) {
        this.recvProcDt = recvProcDt;
    }
    public String getRecvProcTm() {
        return recvProcTm;
    }
    public void setRecvProcTm(String recvProcTm) {
        this.recvProcTm = recvProcTm;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
