package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtAutoTranPlanBaseDTO.java Class
 * 클래스설명   : RT-자동이체계획기본(RT_AUTO_TRAN_PLAN_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtAutoTranPlanBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String rlDueDt  = "";  /* 실납입일자 */
    private String trOrgCd  = "";  /* 거래기관코드 */
    private String minSetlDd  = "";  /* 최소결제일 */
    private String maxSetlDd  = "";  /* 최대결제일 */
    private String minDueDt  = "";  /* 최소납입일자 */
    private String maxDueDt  = "";  /* 최대납입일자 */
    private String askStatCd  = "";  /* 청구상태코드 */
    private String procStatCd  = "";  /* 처리상태코드 */
    private String clsDt  = "";  /* 마감일자 */
    private String trsmDt  = "";  /* 송신일자 */
    private String recvDt  = "";  /* 수신일자 */
    private String setlDt  = "";  /* 결제일자 */
    private String acctDt  = "";  /* 회계일자 */
    private BigDecimal clsCnt  = BigDecimal.ZERO;  /* 마감건수 */
    private BigDecimal clsAmt  = BigDecimal.ZERO;  /* 마감금액 */
    private BigDecimal slctCnt  = BigDecimal.ZERO;  /* 선정건수 */
    private BigDecimal slctAmt  = BigDecimal.ZERO;  /* 선정금액 */
    private BigDecimal askCnt  = BigDecimal.ZERO;  /* 청구건수 */
    private BigDecimal askAmt  = BigDecimal.ZERO;  /* 청구금액 */
    private BigDecimal intgAskCnt  = BigDecimal.ZERO;  /* 통합청구건수 */
    private BigDecimal intgAskAmt  = BigDecimal.ZERO;  /* 통합청구금액 */
    private BigDecimal intgSetlCnt  = BigDecimal.ZERO;  /* 통합결제건수 */
    private BigDecimal intgSetlAmt  = BigDecimal.ZERO;  /* 통합결제금액 */
    private BigDecimal setlCnt  = BigDecimal.ZERO;  /* 결제건수 */
    private BigDecimal setlAmt  = BigDecimal.ZERO;  /* 결제금액 */
    private String clsFg  = "";  /* 마감여부 */
    private String feeAcctDt  = "";  /* 수수료회계일자 */
    private long feeTranNo  = 0;  /* 수수료이체번호 */

    public String getRlDueDt() {
        return rlDueDt;
    }
    public void setRlDueDt(String rlDueDt) {
        this.rlDueDt = rlDueDt;
    }
    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }
    public String getMinSetlDd() {
        return minSetlDd;
    }
    public void setMinSetlDd(String minSetlDd) {
        this.minSetlDd = minSetlDd;
    }
    public String getMaxSetlDd() {
        return maxSetlDd;
    }
    public void setMaxSetlDd(String maxSetlDd) {
        this.maxSetlDd = maxSetlDd;
    }
    public String getMinDueDt() {
        return minDueDt;
    }
    public void setMinDueDt(String minDueDt) {
        this.minDueDt = minDueDt;
    }
    public String getMaxDueDt() {
        return maxDueDt;
    }
    public void setMaxDueDt(String maxDueDt) {
        this.maxDueDt = maxDueDt;
    }
    public String getAskStatCd() {
        return askStatCd;
    }
    public void setAskStatCd(String askStatCd) {
        this.askStatCd = askStatCd;
    }
    public String getProcStatCd() {
        return procStatCd;
    }
    public void setProcStatCd(String procStatCd) {
        this.procStatCd = procStatCd;
    }
    public String getClsDt() {
        return clsDt;
    }
    public void setClsDt(String clsDt) {
        this.clsDt = clsDt;
    }
    public String getTrsmDt() {
        return trsmDt;
    }
    public void setTrsmDt(String trsmDt) {
        this.trsmDt = trsmDt;
    }
    public String getRecvDt() {
        return recvDt;
    }
    public void setRecvDt(String recvDt) {
        this.recvDt = recvDt;
    }
    public String getSetlDt() {
        return setlDt;
    }
    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }
    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public BigDecimal getClsCnt() {
        return clsCnt;
    }
    public void setClsCnt(BigDecimal clsCnt) {
        this.clsCnt = clsCnt;
    }
    public BigDecimal getClsAmt() {
        return clsAmt;
    }
    public void setClsAmt(BigDecimal clsAmt) {
        this.clsAmt = clsAmt;
    }
    public BigDecimal getSlctCnt() {
        return slctCnt;
    }
    public void setSlctCnt(BigDecimal slctCnt) {
        this.slctCnt = slctCnt;
    }
    public BigDecimal getSlctAmt() {
        return slctAmt;
    }
    public void setSlctAmt(BigDecimal slctAmt) {
        this.slctAmt = slctAmt;
    }
    public BigDecimal getAskCnt() {
        return askCnt;
    }
    public void setAskCnt(BigDecimal askCnt) {
        this.askCnt = askCnt;
    }
    public BigDecimal getAskAmt() {
        return askAmt;
    }
    public void setAskAmt(BigDecimal askAmt) {
        this.askAmt = askAmt;
    }
    public BigDecimal getIntgAskCnt() {
        return intgAskCnt;
    }
    public void setIntgAskCnt(BigDecimal intgAskCnt) {
        this.intgAskCnt = intgAskCnt;
    }
    public BigDecimal getIntgAskAmt() {
        return intgAskAmt;
    }
    public void setIntgAskAmt(BigDecimal intgAskAmt) {
        this.intgAskAmt = intgAskAmt;
    }
    public BigDecimal getIntgSetlCnt() {
        return intgSetlCnt;
    }
    public void setIntgSetlCnt(BigDecimal intgSetlCnt) {
        this.intgSetlCnt = intgSetlCnt;
    }
    public BigDecimal getIntgSetlAmt() {
        return intgSetlAmt;
    }
    public void setIntgSetlAmt(BigDecimal intgSetlAmt) {
        this.intgSetlAmt = intgSetlAmt;
    }
    public BigDecimal getSetlCnt() {
        return setlCnt;
    }
    public void setSetlCnt(BigDecimal setlCnt) {
        this.setlCnt = setlCnt;
    }
    public BigDecimal getSetlAmt() {
        return setlAmt;
    }
    public void setSetlAmt(BigDecimal setlAmt) {
        this.setlAmt = setlAmt;
    }
    public String getClsFg() {
        return clsFg;
    }
    public void setClsFg(String clsFg) {
        this.clsFg = clsFg;
    }
    public String getFeeAcctDt() {
        return feeAcctDt;
    }
    public void setFeeAcctDt(String feeAcctDt) {
        this.feeAcctDt = feeAcctDt;
    }
    public long getFeeTranNo() {
        return feeTranNo;
    }
    public void setFeeTranNo(long feeTranNo) {
        this.feeTranNo = feeTranNo;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
