package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtAutoTranRecvDescDTO.java Class
 * 클래스설명   : RT-자동이체통합수취항목설명(RT_AUTO_TRAN_RECV_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 30.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 30.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtAutoTranRecvDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String rlDueDt  = "";  /* 실납입일자 */
    private String trOrgCd  = "";  /* 거래기관코드 */
    private BigDecimal sendSnum  = BigDecimal.ZERO;  /* 전송일련번호 */
    private String loanNo  = "";  /* 검색항목 - 계정계 고객정보 중 대출번호 */
    private BigDecimal rsltAmt  = BigDecimal.ZERO;  /* 실적금액 */
    private String oamtErrCd  = "";  /* 출금오류코드 */
    private String recvDt  = "";  /* 수신일자 */
    private String oamtCd  = "";  /* 출금횟수코드 */
    private String loanSeq  = "";  /* 상담대출순번 */
    private String oamtErrNm  = "";  /* 출금에러명 */

    public String getRlDueDt() {
        return rlDueDt;
    }
    public void setRlDueDt(String rlDueDt) {
        this.rlDueDt = rlDueDt;
    }
    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }
    public BigDecimal getSendSnum() {
        return sendSnum;
    }
    public void setSendSnum(BigDecimal sendSnum) {
        this.sendSnum = sendSnum;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public BigDecimal getRsltAmt() {
        return rsltAmt;
    }
    public void setRsltAmt(BigDecimal rsltAmt) {
        this.rsltAmt = rsltAmt;
    }
    public String getOamtErrCd() {
        return oamtErrCd;
    }
    public void setOamtErrCd(String oamtErrCd) {
        this.oamtErrCd = oamtErrCd;
    }
    public String getRecvDt() {
        return recvDt;
    }
    public void setRecvDt(String recvDt) {
        this.recvDt = recvDt;
    }
    public String getOamtCd() {
        return oamtCd;
    }
    public void setOamtCd(String oamtCd) {
        this.oamtCd = oamtCd;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getOamtErrNm() {
        return oamtErrNm;
    }
    public void setOamtErrNm(String oamtErrNm) {
        this.oamtErrNm = oamtErrNm;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
