package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtClsBaseDTO.java Class
 * 클래스설명   : RT-마감기본(RT_CLS_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtClsBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String acctDt  = "";  /* 회계일자 */
    private String acctUnitCd  = "";  /* 회계단위코드 */
    private String acctDeptCd  = "";  /* 회계부서코드 */
    private String tranTpCd  = "";  /* 이체유형코드 */
    private long tranNo  = 0;  /* 이체번호 */
    private String tranFg  = "";  /* 이체여부 */
    private String tranDt  = "";  /* 이체일자 */
    private String tranTm  = "";  /* 이체시각 */
    private String tranEmpNo  = "";  /* 이체사원번호 */
    private String vochClsFg  = "";  /* 전표마감여부 */
    private String vochNo  = "";  /* 전표번호 */
    private String vochClsDt  = "";  /* 전표마감일자 */
    private String vochClsTm  = "";  /* 전표마감시각 */
    private String vochClsEmpNo  = "";  /* 전표마감사원번호 */

    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public String getAcctUnitCd() {
        return acctUnitCd;
    }
    public void setAcctUnitCd(String acctUnitCd) {
        this.acctUnitCd = acctUnitCd;
    }
    public String getAcctDeptCd() {
        return acctDeptCd;
    }
    public void setAcctDeptCd(String acctDeptCd) {
        this.acctDeptCd = acctDeptCd;
    }
    public String getTranTpCd() {
        return tranTpCd;
    }
    public void setTranTpCd(String tranTpCd) {
        this.tranTpCd = tranTpCd;
    }
    public long getTranNo() {
        return tranNo;
    }
    public void setTranNo(long tranNo) {
        this.tranNo = tranNo;
    }
    public String getTranFg() {
        return tranFg;
    }
    public void setTranFg(String tranFg) {
        this.tranFg = tranFg;
    }
    public String getTranDt() {
        return tranDt;
    }
    public void setTranDt(String tranDt) {
        this.tranDt = tranDt;
    }
    public String getTranTm() {
        return tranTm;
    }
    public void setTranTm(String tranTm) {
        this.tranTm = tranTm;
    }
    public String getTranEmpNo() {
        return tranEmpNo;
    }
    public void setTranEmpNo(String tranEmpNo) {
        this.tranEmpNo = tranEmpNo;
    }
    public String getVochClsFg() {
        return vochClsFg;
    }
    public void setVochClsFg(String vochClsFg) {
        this.vochClsFg = vochClsFg;
    }
    public String getVochNo() {
        return vochNo;
    }
    public void setVochNo(String vochNo) {
        this.vochNo = vochNo;
    }
    public String getVochClsDt() {
        return vochClsDt;
    }
    public void setVochClsDt(String vochClsDt) {
        this.vochClsDt = vochClsDt;
    }
    public String getVochClsTm() {
        return vochClsTm;
    }
    public void setVochClsTm(String vochClsTm) {
        this.vochClsTm = vochClsTm;
    }
    public String getVochClsEmpNo() {
        return vochClsEmpNo;
    }
    public void setVochClsEmpNo(String vochClsEmpNo) {
        this.vochClsEmpNo = vochClsEmpNo;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
