package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtCyclClsBaseDTO.java Class
 * 클래스설명   : RT-주기마감기본(RT_CYCL_CLS_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 29.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtCyclClsBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String cyclClsCd  = "";  /* 주기마감코드 */
    private String cyclClsNm  = "";  /* 주기마감명 */
    private String cyclClsDesc  = "";  /* 주기마감설명 */
    private String cyclCd  = "";  /* 주기코드 */
    private long dueSchdDd  = 0;  /* 납입예정일 */
    private long clsSchdDd  = 0;  /* 마감예정일 */
    private long dlvrSchdDd  = 0;  /* 발송예정일 */
    
    public String getCyclClsCd() {
        return cyclClsCd;
    }
    public void setCyclClsCd(String cyclClsCd) {
        this.cyclClsCd = cyclClsCd;
    }
    public String getCyclClsNm() {
        return cyclClsNm;
    }
    public void setCyclClsNm(String cyclClsNm) {
        this.cyclClsNm = cyclClsNm;
    }
    public String getCyclClsDesc() {
        return cyclClsDesc;
    }
    public void setCyclClsDesc(String cyclClsDesc) {
        this.cyclClsDesc = cyclClsDesc;
    }
    public String getCyclCd() {
        return cyclCd;
    }
    public void setCyclCd(String cyclCd) {
        this.cyclCd = cyclCd;
    }
    public long getDueSchdDd() {
        return dueSchdDd;
    }
    public void setDueSchdDd(long dueSchdDd) {
        this.dueSchdDd = dueSchdDd;
    }
    public long getClsSchdDd() {
        return clsSchdDd;
    }
    public void setClsSchdDd(long clsSchdDd) {
        this.clsSchdDd = clsSchdDd;
    }
    public long getDlvrSchdDd() {
        return dlvrSchdDd;
    }
    public void setDlvrSchdDd(long dlvrSchdDd) {
        this.dlvrSchdDd = dlvrSchdDd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
    
}
