package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtDlvrClsDescDTO.java Class
 * 클래스설명   : RT-발송마감내역(RT_DLVR_CLS_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtDlvrClsDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String clsDt  = "";  /* 마감일자 */
    private BigDecimal clsSnum  = BigDecimal.ZERO;  /* 마감일련번호 */
    private String cyclClsCd  = "";  /* 주기마감코드 */
    private String dueDt  = "";  /* 납입일자 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String prdtCd  = "";  /* 상품코드 */
    private String prdtLrgeClasCd  = "";  /* 상품대분류코드 */
    private String prdtMidClasCd  = "";  /* 상품중분류코드 */
    private String prdtSmClasCd  = "";  /* 상품소분류코드 */
    private String prdtMidClasNm  = "";  /* 상품중분류명 */
    private String godsCd  = "";  /* 물품코드 */
    private String godsNm  = "";  /* 물품명 */
    private String rmbrFrmlNm  = "";  /* 상환방식명 */
    private String acctUnitCd  = "";  /* 회계단위코드 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String loanStatCd  = "";  /* 대출상태코드 */
    private String loanStatNm  = "";  /* 대출상태명 */
    private BigDecimal loanPamt  = BigDecimal.ZERO;  /* 대출원금 */
    private BigDecimal loanPamtRamt  = BigDecimal.ZERO;  /* 대출원금잔액 */
    private BigDecimal loanInt  = BigDecimal.ZERO;  /* 대출이자 */
    private BigDecimal loanIntRamt  = BigDecimal.ZERO;  /* 대출이자잔액 */
    private BigDecimal baseLeasfeeRamt  = BigDecimal.ZERO;  /* 기본리스료잔액 */
    private BigDecimal addLeasfeeRamt  = BigDecimal.ZERO;  /* 가산리스료잔액 */
    private BigDecimal leasfeeRamt  = BigDecimal.ZERO;  /* 리스료잔액 */
    private BigDecimal ppayIntRamt  = BigDecimal.ZERO;  /* 선급이자잔액 */
    private BigDecimal addCartaxRamt  = BigDecimal.ZERO;  /* 가산자동차세잔액 */
    private BigDecimal addEnvImprBrdnamtRamt  = BigDecimal.ZERO;  /* 가산환경개선부담금잔액 */
    private BigDecimal addInsuFeeRamt  = BigDecimal.ZERO;  /* 가산보험료잔액 */
    private BigDecimal addAsfeeRamt  = BigDecimal.ZERO;  /* 가산정비료잔액 */
    private BigDecimal addVtaxRamt  = BigDecimal.ZERO;  /* 가산부가세잔액 */
    private BigDecimal ipayCartaxRamt  = BigDecimal.ZERO;  /* 대지급자동차세잔액 */
    private BigDecimal ipayEnvImprBrdnamtRamt  = BigDecimal.ZERO;  /* 대지급환경개선부담금잔액 */
    private BigDecimal ipayInsuFeeRamt  = BigDecimal.ZERO;  /* 대지급보험료잔액 */
    private BigDecimal ipayPnltAmtRamt  = BigDecimal.ZERO;  /* 대지급범칙금잔액 */
    private BigDecimal ipayEtcRamt  = BigDecimal.ZERO;  /* 대지급기타잔액 */
    private BigDecimal cartaxRamt  = BigDecimal.ZERO;  /* 자동차세잔액 */
    private BigDecimal envImprBrdnamtRamt  = BigDecimal.ZERO;  /* 환경개선부담금잔액 */
    private BigDecimal insuFeeRamt  = BigDecimal.ZERO;  /* 보험료잔액 */
    private BigDecimal ltrmBrcvAmtRamt  = BigDecimal.ZERO;  /* 장기선수금액잔액 */
    private BigDecimal brcvAmtLeasfeeRamt  = BigDecimal.ZERO;  /* 선수금리스료잔액 */
    private long loanIntRt  = 0;  /* 대출이자율 */
    private long loanTerm  = 0;  /* 대출기간 */
    private long totTims  = 0;  /* 총회차 */
    private String loanDt  = "";  /* 대출일자 */
    private String eprtDt  = "";  /* 만기일자 */
    private String leasEprtDt  = "";  /* 리스만기일자 */
    private String payDt  = "";  /* 지급일자 */
    private long dueCycl  = 0;  /* 납입주기 */
    private String dueMethCd  = "";  /* 납입방법코드 */
    private String eprtAskMethCd  = "";  /* 만기청구방법코드 */
    private String setlDd  = "";  /* 결제일 */
    private String fcntDueDt  = "";  /* 초회납입일자 */
    private String endDt  = "";  /* 종료일자 */
    private long dfeeRt  = 0;  /* 연체료율 */
    private long trtFeeRt  = 0;  /* 취급수수료율 */
    private long midRmbrFeeRt  = 0;  /* 중도상환수수료율 */
    private long defrTerm  = 0;  /* 거치기간 */
    private String defrStrtDt  = "";  /* 거치시작일자 */
    private String defrEndDt  = "";  /* 거치종료일자 */
    private String contMan  = "";  /* 계약자 */
    private String contManNo  = "";  /* 계약자번호 */
    private String contManAddr1  = "";  /* 계약자주소1 */
    private String contManAddr2  = "";  /* 계약자주소2 */
    private String rlDueManNo  = "";  /* 실납입자번호 */
    private String rlDueMan  = "";  /* 실납입자 */
    private String autoTranBankCd  = "";  /* 자동이체은행코드 */
    private String autoTranBankNm  = "";  /* 자동이체은행명 */
    private String acntNo  = "";  /* 계좌번호 */
    private String acntStatCd  = "";  /* 계좌상태코드 */
    private String depoOwnnm  = "";  /* 예금주명 */
    private String depoOwnNo  = "";  /* 예금주번호 */
    private String depoOwnRelCd  = "";  /* 예금주관계코드 */
    private String imgAcntBankCd  = "";  /* 가상계좌은행코드 */
    private String imgAcntBankNm  = "";  /* 가상계좌은행명 */
    private String imgAcntNo  = "";  /* 가상계좌번호 */
    private String mrtgSmClasNm  = "";  /* 담보소분류명 */
    private String godsPlcAddr1  = "";  /* 물건지주소1 */
    private String godsPlcAddr2  = "";  /* 물건지주소2 */
    private BigDecimal bldArea  = BigDecimal.ZERO;  /* 건물면적 */
    private String setDt  = "";  /* 설정일자 */
    private String gainDt  = "";  /* 취득일자 */
    private String carsNo  = "";  /* 차량번호 */
    private String insuEprtDt  = "";  /* 보험만기일자 */
    private String askExclDt  = "";  /* 청구제외일자 */
    private BigDecimal fcntPiamt  = BigDecimal.ZERO;  /* 초회원리금 */
    private BigDecimal piamt  = BigDecimal.ZERO;  /* 원리금 */
    private BigDecimal eprtPiamt  = BigDecimal.ZERO;  /* 만기원리금 */
    private BigDecimal eprtPamt  = BigDecimal.ZERO;  /* 만기원금 */
    private BigDecimal askAmt  = BigDecimal.ZERO;  /* 청구금액 */
    private BigDecimal askBaseLeasfee  = BigDecimal.ZERO;  /* 청구기본리스료 */
    private BigDecimal askAddLeasfee  = BigDecimal.ZERO;  /* 청구가산리스료 */
    private BigDecimal askLeasfee  = BigDecimal.ZERO;  /* 청구리스료 */
    private BigDecimal askPamt  = BigDecimal.ZERO;  /* 청구원금 */
    private BigDecimal askInt  = BigDecimal.ZERO;  /* 청구이자 */
    private BigDecimal askPpayInt  = BigDecimal.ZERO;  /* 청구선급이자 */
    private BigDecimal askAddCartax  = BigDecimal.ZERO;  /* 청구가산자동차세 */
    private BigDecimal askAddEnvImprBrdnamt  = BigDecimal.ZERO;  /* 청구가산환경개선부담금 */
    private BigDecimal askAddInsuFee  = BigDecimal.ZERO;  /* 청구가산보험료 */
    private BigDecimal askAddAsfee  = BigDecimal.ZERO;  /* 청구가산정비료 */
    private BigDecimal askVtax  = BigDecimal.ZERO;  /* 청구부가세 */
    private BigDecimal askIpayCartax  = BigDecimal.ZERO;  /* 청구대지급자동차세 */
    private BigDecimal askIpayEnvImprBrdnamt  = BigDecimal.ZERO;  /* 청구대지급환경개선부담금 */
    private BigDecimal askIpayInsuFee  = BigDecimal.ZERO;  /* 청구대지급보험료 */
    private BigDecimal askIpayPnltAmt  = BigDecimal.ZERO;  /* 청구대지급범칙금 */
    private BigDecimal askIpayEtc  = BigDecimal.ZERO;  /* 청구대지급기타 */
    private BigDecimal askCartax  = BigDecimal.ZERO;  /* 청구자동차세 */
    private BigDecimal askEnvImprBrdnamt  = BigDecimal.ZERO;  /* 청구환경개선부담금 */
    private BigDecimal askInsuFee  = BigDecimal.ZERO;  /* 청구보험료 */
    private BigDecimal askLtrmBrcvAmt  = BigDecimal.ZERO;  /* 청구장기선수금액 */
    private BigDecimal askDfee  = BigDecimal.ZERO;  /* 청구연체료 */
    private BigDecimal askLeglActnCost  = BigDecimal.ZERO;  /* 청구법적조치비용 */
    private BigDecimal normAmt  = BigDecimal.ZERO;  /* 정상금액 */
    private BigDecimal normBaseLeasfee  = BigDecimal.ZERO;  /* 정상기본리스료 */
    private BigDecimal normAddLeasfee  = BigDecimal.ZERO;  /* 정상가산리스료 */
    private BigDecimal normLeasfee  = BigDecimal.ZERO;  /* 정상리스료 */
    private BigDecimal normPamt  = BigDecimal.ZERO;  /* 정상원금 */
    private BigDecimal normInt  = BigDecimal.ZERO;  /* 정상이자 */
    private BigDecimal normPpayInt  = BigDecimal.ZERO;  /* 정상선급이자 */
    private BigDecimal normAddCartax  = BigDecimal.ZERO;  /* 정상가산자동차세 */
    private BigDecimal normAddEnvImprBrdnamt  = BigDecimal.ZERO;  /* 정상가산환경개선부담금 */
    private BigDecimal normAddInsuFee  = BigDecimal.ZERO;  /* 정상가산보험료 */
    private BigDecimal normAddAsfee  = BigDecimal.ZERO;  /* 정상가산정비료 */
    private BigDecimal normVtax  = BigDecimal.ZERO;  /* 정상부가세 */
    private BigDecimal normIpayCartax  = BigDecimal.ZERO;  /* 정상대지급자동차세 */
    private BigDecimal normIpayEnvImprBrdnamt  = BigDecimal.ZERO;  /* 정상대지급환경개선부담금 */
    private BigDecimal normIpayInsuFee  = BigDecimal.ZERO;  /* 정상대지급보험료 */
    private BigDecimal normIpayPnltAmt  = BigDecimal.ZERO;  /* 정상대지급범칙금 */
    private BigDecimal normIpayEtc  = BigDecimal.ZERO;  /* 정상대지급기타 */
    private BigDecimal normCartax  = BigDecimal.ZERO;  /* 정상자동차세 */
    private BigDecimal normEnvImprBrdnamt  = BigDecimal.ZERO;  /* 정상환경개선부담금 */
    private BigDecimal normInsuFee  = BigDecimal.ZERO;  /* 정상보험료 */
    private BigDecimal normLtrmBrcvAmt  = BigDecimal.ZERO;  /* 정상장기선수금액 */
    private long normTims  = 0;  /* 정상회차 */
    private BigDecimal dlyAmt  = BigDecimal.ZERO;  /* 연체금액 */
    private BigDecimal dlyBaseLeasfee  = BigDecimal.ZERO;  /* 연체기본리스료 */
    private BigDecimal dlyAddLeasfee  = BigDecimal.ZERO;  /* 연체가산리스료 */
    private BigDecimal dlyLeasfee  = BigDecimal.ZERO;  /* 연체리스료 */
    private BigDecimal dlyPamt  = BigDecimal.ZERO;  /* 연체원금 */
    private BigDecimal dlyInt  = BigDecimal.ZERO;  /* 연체이자 */
    private BigDecimal dlyPpayInt  = BigDecimal.ZERO;  /* 연체선급이자 */
    private BigDecimal dlyAddCartax  = BigDecimal.ZERO;  /* 연체가산자동차세 */
    private BigDecimal dlyAddEnvImprBrdnamt  = BigDecimal.ZERO;  /* 연체가산환경개선부담금 */
    private BigDecimal dlyAddInsuFee  = BigDecimal.ZERO;  /* 연체가산보험료 */
    private BigDecimal dlyAddAsfee  = BigDecimal.ZERO;  /* 연체가산정비료 */
    private BigDecimal dlyVtax  = BigDecimal.ZERO;  /* 연체부가세 */
    private BigDecimal dlyIpayCartax  = BigDecimal.ZERO;  /* 연체대지급자동차세 */
    private BigDecimal dlyIpayEnvImprBrdnamt  = BigDecimal.ZERO;  /* 연체대지급환경개선부담금 */
    private BigDecimal dlyIpayInsuFee  = BigDecimal.ZERO;  /* 연체대지급보험료 */
    private BigDecimal dlyIpayPnltAmt  = BigDecimal.ZERO;  /* 연체대지급범칙금 */
    private BigDecimal dlyIpayEtc  = BigDecimal.ZERO;  /* 연체대지급기타 */
    private BigDecimal dlyCartax  = BigDecimal.ZERO;  /* 연체자동차세 */
    private BigDecimal dlyEnvImprBrdnamt  = BigDecimal.ZERO;  /* 연체환경개선부담금 */
    private BigDecimal dlyInsuFee  = BigDecimal.ZERO;  /* 연체보험료 */
    private BigDecimal dlyLtrmBrcvAmt  = BigDecimal.ZERO;  /* 연체장기선수금액 */
    private BigDecimal dfee  = BigDecimal.ZERO;  /* 연체료 */
    private long dlyDdcnt  = 0;  /* 연체일수 */
    private long dlyTcnt  = 0;  /* 연체횟수 */
    private String dlyStrtDt  = "";  /* 연체시작일자 */
    private long dlyStrtTims  = 0;  /* 연체시작회차 */
    private long dlyEndTims  = 0;  /* 연체종료회차 */
    private String dlyFg  = "";  /* 연체여부 */
    private String lastSetlDt  = "";  /* 최종결제일자 */
    private String frstSetlDt  = "";  /* 최초결제일자 */
    private BigDecimal dueAfPiamtRamt  = BigDecimal.ZERO;  /* 납입후원리금잔액 */
    private BigDecimal anulSumAmt  = BigDecimal.ZERO;  /* 연간합계금액 */
    private BigDecimal incoDeduObjAmt  = BigDecimal.ZERO;  /* 소득공제대상금액 */
    private String occrDlyStrtDt  = "";  /* 발생연체시작일자 */
    private BigDecimal occrDlyPamt  = BigDecimal.ZERO;  /* 발생연체원금 */
    private BigDecimal occrDlyInt  = BigDecimal.ZERO;  /* 발생연체이자 */
    private long occrDlyDdcnt  = 0;  /* 발생연체일수 */
    private String occrLastSetlDt  = "";  /* 발생최종결제일자 */
    private String dsptMan  = "";  /* 발신자 */
    private String dsptZipCd  = "";  /* 발신우편번호 */
    private String dsptAddr1  = "";  /* 발신주소1 */
    private String dsptAddr2  = "";  /* 발신주소2 */
    private String dsptEmal  = "";  /* 발신전자메일 */
    private String recvMan  = "";  /* 수신자 */
    private String recvManNo  = "";  /* 수신자번호 */
    private String recvZipCd  = "";  /* 수신우편번호 */
    private String recvAddr1  = "";  /* 수신주소1 */
    private String recvAddr2  = "";  /* 수신주소2 */
    private String recvEmal  = "";  /* 수신전자메일 */
    private String recvFax1  = "";  /* 수신팩스1 */
    private String recvFax2  = "";  /* 수신팩스2 */
    private String recvFax3  = "";  /* 수신팩스3 */
    private String askPlcDivCd  = "";  /* 청구지구분코드 */
    private String emalAskFg  = "";  /* 전자메일청구여부 */
    private String loanRelCd  = "";  /* 대출관계코드 */
    private String rlDueManFg  = "";  /* 실납입자여부 */
    private String deptnm  = "";  /* 부서명 */
    private String deptZipCd  = "";  /* 부서우편번호 */
    private String deptAddr1  = "";  /* 부서주소1 */
    private String deptAddr2  = "";  /* 부서주소2 */
    private String deptTel1  = "";  /* 부서전화1 */
    private String deptTel2  = "";  /* 부서전화2 */
    private String deptTel3  = "";  /* 부서전화3 */
    private String deptFax1  = "";  /* 부서팩스1 */
    private String deptFax2  = "";  /* 부서팩스2 */
    private String deptFax3  = "";  /* 부서팩스3 */
    private String repr  = "";  /* 대표자 */
    private String reprZipCd  = "";  /* 대표우편번호 */
    private String reprAddr1  = "";  /* 대표주소1 */
    private String reprAddr2  = "";  /* 대표주소2 */
    private String reprTel1  = "";  /* 대표전화1 */
    private String reprTel2  = "";  /* 대표전화2 */
    private String reprTel3  = "";  /* 대표전화3 */
    private String reprUrl  = "";  /* 대표URL */
    private String dlvrDt  = "";  /* 발송일자 */
    private String dlvrStatCd  = "";  /* 발송상태코드 */
    private String orgClsDt  = "";  /* 원마감일자 */
    private BigDecimal orgClsSnum  = BigDecimal.ZERO;  /* 원마감일련번호 */
    private String dlvrDataCrteCd  = "";  /* 발송자료생성코드 */
    private String dlvrExclCd  = "";  /* 발송제외코드 */
    private String dlvrFg  = "";  /* 발송여부 */
    private String reDlvrFg  = "";  /* 재발송여부 */
    private String intgDlvrFg  = "";  /* 통합발송여부 */
    private String intgDlvrClsDt  = "";  /* 통합발송마감일자 */
    private BigDecimal intgDlvrSnum  = BigDecimal.ZERO;  /* 통합발송일련번호 */
    private long intgCnt  = 0;  /* 통합건수 */
    private String billNo  = "";  /* 계산서번호 */
    private String billBusiNo  = "";  /* 계산서거래처번호 */
    private String billAddrDivCd  = "";  /* 계산서주소구분코드 */
    private String billIssuFg  = "";  /* 계산서발행여부 */
    private BigDecimal splyAmt  = BigDecimal.ZERO;  /* 공급금액 */
    private BigDecimal tax  = BigDecimal.ZERO;  /* 세액 */
    private String dlvrThngCd  = "";  /* 발송물코드 */
    private String subDlvrThngCd  = "";  /* 보조발송물코드 */
    private String rsndRsnCd  = "";  /* 반송사유코드 */
    private String crteDt  = "";  /* 생성일자 */
    private BigDecimal extsAmt  = BigDecimal.ZERO;  /* 유예금액 */
    private String ucarRetnDt  = "";  /* 중고차반납일자 */
    private String finctrcnfmDocPrps  = "";  /* 금융거래확인서용도 */
    private String nodlycnfmDocSubmplc  = "";  /* 무연체확인서제출처 */
    private String debtramtcdocUseObj  = "";  /* 부채잔액증명서사용목적 */
    private String carsSetRt  = "";  /* 차량설정율 */
    private BigDecimal carsSetAmt  = BigDecimal.ZERO;  /* 차량설정금액 */
    private String carsSetCd  = "";  /* 차량설정코드 */
    private BigDecimal trtFee  = BigDecimal.ZERO;  /* 취급수수료 */
    private BigDecimal trtFeeRamt  = BigDecimal.ZERO;  /* 취급수수료잔액 */
    private BigDecimal askTrtFee  = BigDecimal.ZERO;  /* 청구취급수수료 */
    private BigDecimal normTrtFee  = BigDecimal.ZERO;  /* 정상취급수수료 */
    private BigDecimal dlyTrtFee  = BigDecimal.ZERO;  /* 연체취급수수료 */
    private BigDecimal mmTrtFee  = BigDecimal.ZERO;  /* 월취급수수료 */
    private String trtFeeIstpFg  = "";  /* 취급수수료분납여부 */
    private String hpNo1  = "";  /* 휴대폰번호1 */
    private String hpNo2  = "";  /* 휴대폰번호2 */
    private String hpNo3  = "";  /* 휴대폰번호3 */
    private String smsSendFg  = "";  /* SMS전송여부 */
    private String smsSendStatCd  = "";  /* SMS전송상태코드 */
    private String smsSendRsltCd  = "";  /* SMS전송결과코드 */
    private String mrtgFg  = "";  /* 담보여부 */
    private String mngPlcDivCd  = "";  /* 관리처구분코드 */
    private String smsCntn  = "";  /* SMS내용 */
    private long guidNo  = 0;  /* 안내번호 */
    private long guidSnum  = 0;  /* 안내일련번호 */
    private String eprtExtnDivCd  = "";  /* 만기연장구분코드 */
    private long factIntRt  = 0;  /* 실제이자율 */
    private BigDecimal setFee  = BigDecimal.ZERO;  /* 설정료 */
    private BigDecimal stmpFee  = BigDecimal.ZERO;  /* 인지대 */
    private BigDecimal notaFee  = BigDecimal.ZERO;  /* 공증료 */
    private BigDecimal etcFee  = BigDecimal.ZERO;  /* 기타수수료 */
    private String clsBizFg  = "";  /* 폐업여부 */
    private String clsBizDt  = "";  /* 폐업일자 */
    private String hpCertFg  = "";  /* 핸드폰인증여부 */
    private String faxDlvrDeptTel  = "";  /* 팩스발송부서전화 */
    private String faxDlvrDeptFax  = "";  /* 팩스발송부서팩스 */

    public String getClsDt() {
        return clsDt;
    }
    public void setClsDt(String clsDt) {
        this.clsDt = clsDt;
    }
    public BigDecimal getClsSnum() {
        return clsSnum;
    }
    public void setClsSnum(BigDecimal clsSnum) {
        this.clsSnum = clsSnum;
    }
    public String getCyclClsCd() {
        return cyclClsCd;
    }
    public void setCyclClsCd(String cyclClsCd) {
        this.cyclClsCd = cyclClsCd;
    }
    public String getDueDt() {
        return dueDt;
    }
    public void setDueDt(String dueDt) {
        this.dueDt = dueDt;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getPrdtCd() {
        return prdtCd;
    }
    public void setPrdtCd(String prdtCd) {
        this.prdtCd = prdtCd;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getPrdtMidClasCd() {
        return prdtMidClasCd;
    }
    public void setPrdtMidClasCd(String prdtMidClasCd) {
        this.prdtMidClasCd = prdtMidClasCd;
    }
    public String getPrdtSmClasCd() {
        return prdtSmClasCd;
    }
    public void setPrdtSmClasCd(String prdtSmClasCd) {
        this.prdtSmClasCd = prdtSmClasCd;
    }
    public String getPrdtMidClasNm() {
        return prdtMidClasNm;
    }
    public void setPrdtMidClasNm(String prdtMidClasNm) {
        this.prdtMidClasNm = prdtMidClasNm;
    }
    public String getGodsCd() {
        return godsCd;
    }
    public void setGodsCd(String godsCd) {
        this.godsCd = godsCd;
    }
    public String getGodsNm() {
        return godsNm;
    }
    public void setGodsNm(String godsNm) {
        this.godsNm = godsNm;
    }
    public String getRmbrFrmlNm() {
        return rmbrFrmlNm;
    }
    public void setRmbrFrmlNm(String rmbrFrmlNm) {
        this.rmbrFrmlNm = rmbrFrmlNm;
    }
    public String getAcctUnitCd() {
        return acctUnitCd;
    }
    public void setAcctUnitCd(String acctUnitCd) {
        this.acctUnitCd = acctUnitCd;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getLoanStatCd() {
        return loanStatCd;
    }
    public void setLoanStatCd(String loanStatCd) {
        this.loanStatCd = loanStatCd;
    }
    public String getLoanStatNm() {
        return loanStatNm;
    }
    public void setLoanStatNm(String loanStatNm) {
        this.loanStatNm = loanStatNm;
    }
    public BigDecimal getLoanPamt() {
        return loanPamt;
    }
    public void setLoanPamt(BigDecimal loanPamt) {
        this.loanPamt = loanPamt;
    }
    public BigDecimal getLoanPamtRamt() {
        return loanPamtRamt;
    }
    public void setLoanPamtRamt(BigDecimal loanPamtRamt) {
        this.loanPamtRamt = loanPamtRamt;
    }
    public BigDecimal getLoanInt() {
        return loanInt;
    }
    public void setLoanInt(BigDecimal loanInt) {
        this.loanInt = loanInt;
    }
    public BigDecimal getLoanIntRamt() {
        return loanIntRamt;
    }
    public void setLoanIntRamt(BigDecimal loanIntRamt) {
        this.loanIntRamt = loanIntRamt;
    }
    public BigDecimal getBaseLeasfeeRamt() {
        return baseLeasfeeRamt;
    }
    public void setBaseLeasfeeRamt(BigDecimal baseLeasfeeRamt) {
        this.baseLeasfeeRamt = baseLeasfeeRamt;
    }
    public BigDecimal getAddLeasfeeRamt() {
        return addLeasfeeRamt;
    }
    public void setAddLeasfeeRamt(BigDecimal addLeasfeeRamt) {
        this.addLeasfeeRamt = addLeasfeeRamt;
    }
    public BigDecimal getLeasfeeRamt() {
        return leasfeeRamt;
    }
    public void setLeasfeeRamt(BigDecimal leasfeeRamt) {
        this.leasfeeRamt = leasfeeRamt;
    }
    public BigDecimal getPpayIntRamt() {
        return ppayIntRamt;
    }
    public void setPpayIntRamt(BigDecimal ppayIntRamt) {
        this.ppayIntRamt = ppayIntRamt;
    }
    public BigDecimal getAddCartaxRamt() {
        return addCartaxRamt;
    }
    public void setAddCartaxRamt(BigDecimal addCartaxRamt) {
        this.addCartaxRamt = addCartaxRamt;
    }
    public BigDecimal getAddEnvImprBrdnamtRamt() {
        return addEnvImprBrdnamtRamt;
    }
    public void setAddEnvImprBrdnamtRamt(BigDecimal addEnvImprBrdnamtRamt) {
        this.addEnvImprBrdnamtRamt = addEnvImprBrdnamtRamt;
    }
    public BigDecimal getAddInsuFeeRamt() {
        return addInsuFeeRamt;
    }
    public void setAddInsuFeeRamt(BigDecimal addInsuFeeRamt) {
        this.addInsuFeeRamt = addInsuFeeRamt;
    }
    public BigDecimal getAddAsfeeRamt() {
        return addAsfeeRamt;
    }
    public void setAddAsfeeRamt(BigDecimal addAsfeeRamt) {
        this.addAsfeeRamt = addAsfeeRamt;
    }
    public BigDecimal getAddVtaxRamt() {
        return addVtaxRamt;
    }
    public void setAddVtaxRamt(BigDecimal addVtaxRamt) {
        this.addVtaxRamt = addVtaxRamt;
    }
    public BigDecimal getIpayCartaxRamt() {
        return ipayCartaxRamt;
    }
    public void setIpayCartaxRamt(BigDecimal ipayCartaxRamt) {
        this.ipayCartaxRamt = ipayCartaxRamt;
    }
    public BigDecimal getIpayEnvImprBrdnamtRamt() {
        return ipayEnvImprBrdnamtRamt;
    }
    public void setIpayEnvImprBrdnamtRamt(BigDecimal ipayEnvImprBrdnamtRamt) {
        this.ipayEnvImprBrdnamtRamt = ipayEnvImprBrdnamtRamt;
    }
    public BigDecimal getIpayInsuFeeRamt() {
        return ipayInsuFeeRamt;
    }
    public void setIpayInsuFeeRamt(BigDecimal ipayInsuFeeRamt) {
        this.ipayInsuFeeRamt = ipayInsuFeeRamt;
    }
    public BigDecimal getIpayPnltAmtRamt() {
        return ipayPnltAmtRamt;
    }
    public void setIpayPnltAmtRamt(BigDecimal ipayPnltAmtRamt) {
        this.ipayPnltAmtRamt = ipayPnltAmtRamt;
    }
    public BigDecimal getIpayEtcRamt() {
        return ipayEtcRamt;
    }
    public void setIpayEtcRamt(BigDecimal ipayEtcRamt) {
        this.ipayEtcRamt = ipayEtcRamt;
    }
    public BigDecimal getCartaxRamt() {
        return cartaxRamt;
    }
    public void setCartaxRamt(BigDecimal cartaxRamt) {
        this.cartaxRamt = cartaxRamt;
    }
    public BigDecimal getEnvImprBrdnamtRamt() {
        return envImprBrdnamtRamt;
    }
    public void setEnvImprBrdnamtRamt(BigDecimal envImprBrdnamtRamt) {
        this.envImprBrdnamtRamt = envImprBrdnamtRamt;
    }
    public BigDecimal getInsuFeeRamt() {
        return insuFeeRamt;
    }
    public void setInsuFeeRamt(BigDecimal insuFeeRamt) {
        this.insuFeeRamt = insuFeeRamt;
    }
    public BigDecimal getLtrmBrcvAmtRamt() {
        return ltrmBrcvAmtRamt;
    }
    public void setLtrmBrcvAmtRamt(BigDecimal ltrmBrcvAmtRamt) {
        this.ltrmBrcvAmtRamt = ltrmBrcvAmtRamt;
    }
    public BigDecimal getBrcvAmtLeasfeeRamt() {
        return brcvAmtLeasfeeRamt;
    }
    public void setBrcvAmtLeasfeeRamt(BigDecimal brcvAmtLeasfeeRamt) {
        this.brcvAmtLeasfeeRamt = brcvAmtLeasfeeRamt;
    }
    public long getLoanIntRt() {
        return loanIntRt;
    }
    public void setLoanIntRt(long loanIntRt) {
        this.loanIntRt = loanIntRt;
    }
    public long getLoanTerm() {
        return loanTerm;
    }
    public void setLoanTerm(long loanTerm) {
        this.loanTerm = loanTerm;
    }
    public long getTotTims() {
        return totTims;
    }
    public void setTotTims(long totTims) {
        this.totTims = totTims;
    }
    public String getLoanDt() {
        return loanDt;
    }
    public void setLoanDt(String loanDt) {
        this.loanDt = loanDt;
    }
    public String getEprtDt() {
        return eprtDt;
    }
    public void setEprtDt(String eprtDt) {
        this.eprtDt = eprtDt;
    }
    public String getLeasEprtDt() {
        return leasEprtDt;
    }
    public void setLeasEprtDt(String leasEprtDt) {
        this.leasEprtDt = leasEprtDt;
    }
    public String getPayDt() {
        return payDt;
    }
    public void setPayDt(String payDt) {
        this.payDt = payDt;
    }
    public long getDueCycl() {
        return dueCycl;
    }
    public void setDueCycl(long dueCycl) {
        this.dueCycl = dueCycl;
    }
    public String getDueMethCd() {
        return dueMethCd;
    }
    public void setDueMethCd(String dueMethCd) {
        this.dueMethCd = dueMethCd;
    }
    public String getEprtAskMethCd() {
        return eprtAskMethCd;
    }
    public void setEprtAskMethCd(String eprtAskMethCd) {
        this.eprtAskMethCd = eprtAskMethCd;
    }
    public String getSetlDd() {
        return setlDd;
    }
    public void setSetlDd(String setlDd) {
        this.setlDd = setlDd;
    }
    public String getFcntDueDt() {
        return fcntDueDt;
    }
    public void setFcntDueDt(String fcntDueDt) {
        this.fcntDueDt = fcntDueDt;
    }
    public String getEndDt() {
        return endDt;
    }
    public void setEndDt(String endDt) {
        this.endDt = endDt;
    }
    public long getDfeeRt() {
        return dfeeRt;
    }
    public void setDfeeRt(long dfeeRt) {
        this.dfeeRt = dfeeRt;
    }
    public long getTrtFeeRt() {
        return trtFeeRt;
    }
    public void setTrtFeeRt(long trtFeeRt) {
        this.trtFeeRt = trtFeeRt;
    }
    public long getMidRmbrFeeRt() {
        return midRmbrFeeRt;
    }
    public void setMidRmbrFeeRt(long midRmbrFeeRt) {
        this.midRmbrFeeRt = midRmbrFeeRt;
    }
    public long getDefrTerm() {
        return defrTerm;
    }
    public void setDefrTerm(long defrTerm) {
        this.defrTerm = defrTerm;
    }
    public String getDefrStrtDt() {
        return defrStrtDt;
    }
    public void setDefrStrtDt(String defrStrtDt) {
        this.defrStrtDt = defrStrtDt;
    }
    public String getDefrEndDt() {
        return defrEndDt;
    }
    public void setDefrEndDt(String defrEndDt) {
        this.defrEndDt = defrEndDt;
    }
    public String getContMan() {
        return contMan;
    }
    public void setContMan(String contMan) {
        this.contMan = contMan;
    }
    public String getContManNo() {
        return contManNo;
    }
    public void setContManNo(String contManNo) {
        this.contManNo = contManNo;
    }
    public String getContManAddr1() {
        return contManAddr1;
    }
    public void setContManAddr1(String contManAddr1) {
        this.contManAddr1 = contManAddr1;
    }
    public String getContManAddr2() {
        return contManAddr2;
    }
    public void setContManAddr2(String contManAddr2) {
        this.contManAddr2 = contManAddr2;
    }
    public String getRlDueManNo() {
        return rlDueManNo;
    }
    public void setRlDueManNo(String rlDueManNo) {
        this.rlDueManNo = rlDueManNo;
    }
    public String getRlDueMan() {
        return rlDueMan;
    }
    public void setRlDueMan(String rlDueMan) {
        this.rlDueMan = rlDueMan;
    }
    public String getAutoTranBankCd() {
        return autoTranBankCd;
    }
    public void setAutoTranBankCd(String autoTranBankCd) {
        this.autoTranBankCd = autoTranBankCd;
    }
    public String getAutoTranBankNm() {
        return autoTranBankNm;
    }
    public void setAutoTranBankNm(String autoTranBankNm) {
        this.autoTranBankNm = autoTranBankNm;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getAcntStatCd() {
        return acntStatCd;
    }
    public void setAcntStatCd(String acntStatCd) {
        this.acntStatCd = acntStatCd;
    }
    public String getDepoOwnnm() {
        return depoOwnnm;
    }
    public void setDepoOwnnm(String depoOwnnm) {
        this.depoOwnnm = depoOwnnm;
    }
    public String getDepoOwnNo() {
        return depoOwnNo;
    }
    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }
    public String getDepoOwnRelCd() {
        return depoOwnRelCd;
    }
    public void setDepoOwnRelCd(String depoOwnRelCd) {
        this.depoOwnRelCd = depoOwnRelCd;
    }
    public String getImgAcntBankCd() {
        return imgAcntBankCd;
    }
    public void setImgAcntBankCd(String imgAcntBankCd) {
        this.imgAcntBankCd = imgAcntBankCd;
    }
    public String getImgAcntBankNm() {
        return imgAcntBankNm;
    }
    public void setImgAcntBankNm(String imgAcntBankNm) {
        this.imgAcntBankNm = imgAcntBankNm;
    }
    public String getImgAcntNo() {
        return imgAcntNo;
    }
    public void setImgAcntNo(String imgAcntNo) {
        this.imgAcntNo = imgAcntNo;
    }
    public String getMrtgSmClasNm() {
        return mrtgSmClasNm;
    }
    public void setMrtgSmClasNm(String mrtgSmClasNm) {
        this.mrtgSmClasNm = mrtgSmClasNm;
    }
    public String getGodsPlcAddr1() {
        return godsPlcAddr1;
    }
    public void setGodsPlcAddr1(String godsPlcAddr1) {
        this.godsPlcAddr1 = godsPlcAddr1;
    }
    public String getGodsPlcAddr2() {
        return godsPlcAddr2;
    }
    public void setGodsPlcAddr2(String godsPlcAddr2) {
        this.godsPlcAddr2 = godsPlcAddr2;
    }
    public BigDecimal getBldArea() {
        return bldArea;
    }
    public void setBldArea(BigDecimal bldArea) {
        this.bldArea = bldArea;
    }
    public String getSetDt() {
        return setDt;
    }
    public void setSetDt(String setDt) {
        this.setDt = setDt;
    }
    public String getGainDt() {
        return gainDt;
    }
    public void setGainDt(String gainDt) {
        this.gainDt = gainDt;
    }
    public String getCarsNo() {
        return carsNo;
    }
    public void setCarsNo(String carsNo) {
        this.carsNo = carsNo;
    }
    public String getInsuEprtDt() {
        return insuEprtDt;
    }
    public void setInsuEprtDt(String insuEprtDt) {
        this.insuEprtDt = insuEprtDt;
    }
    public String getAskExclDt() {
        return askExclDt;
    }
    public void setAskExclDt(String askExclDt) {
        this.askExclDt = askExclDt;
    }
    public BigDecimal getFcntPiamt() {
        return fcntPiamt;
    }
    public void setFcntPiamt(BigDecimal fcntPiamt) {
        this.fcntPiamt = fcntPiamt;
    }
    public BigDecimal getPiamt() {
        return piamt;
    }
    public void setPiamt(BigDecimal piamt) {
        this.piamt = piamt;
    }
    public BigDecimal getEprtPiamt() {
        return eprtPiamt;
    }
    public void setEprtPiamt(BigDecimal eprtPiamt) {
        this.eprtPiamt = eprtPiamt;
    }
    public BigDecimal getEprtPamt() {
        return eprtPamt;
    }
    public void setEprtPamt(BigDecimal eprtPamt) {
        this.eprtPamt = eprtPamt;
    }
    public BigDecimal getAskAmt() {
        return askAmt;
    }
    public void setAskAmt(BigDecimal askAmt) {
        this.askAmt = askAmt;
    }
    public BigDecimal getAskBaseLeasfee() {
        return askBaseLeasfee;
    }
    public void setAskBaseLeasfee(BigDecimal askBaseLeasfee) {
        this.askBaseLeasfee = askBaseLeasfee;
    }
    public BigDecimal getAskAddLeasfee() {
        return askAddLeasfee;
    }
    public void setAskAddLeasfee(BigDecimal askAddLeasfee) {
        this.askAddLeasfee = askAddLeasfee;
    }
    public BigDecimal getAskLeasfee() {
        return askLeasfee;
    }
    public void setAskLeasfee(BigDecimal askLeasfee) {
        this.askLeasfee = askLeasfee;
    }
    public BigDecimal getAskPamt() {
        return askPamt;
    }
    public void setAskPamt(BigDecimal askPamt) {
        this.askPamt = askPamt;
    }
    public BigDecimal getAskInt() {
        return askInt;
    }
    public void setAskInt(BigDecimal askInt) {
        this.askInt = askInt;
    }
    public BigDecimal getAskPpayInt() {
        return askPpayInt;
    }
    public void setAskPpayInt(BigDecimal askPpayInt) {
        this.askPpayInt = askPpayInt;
    }
    public BigDecimal getAskAddCartax() {
        return askAddCartax;
    }
    public void setAskAddCartax(BigDecimal askAddCartax) {
        this.askAddCartax = askAddCartax;
    }
    public BigDecimal getAskAddEnvImprBrdnamt() {
        return askAddEnvImprBrdnamt;
    }
    public void setAskAddEnvImprBrdnamt(BigDecimal askAddEnvImprBrdnamt) {
        this.askAddEnvImprBrdnamt = askAddEnvImprBrdnamt;
    }
    public BigDecimal getAskAddInsuFee() {
        return askAddInsuFee;
    }
    public void setAskAddInsuFee(BigDecimal askAddInsuFee) {
        this.askAddInsuFee = askAddInsuFee;
    }
    public BigDecimal getAskAddAsfee() {
        return askAddAsfee;
    }
    public void setAskAddAsfee(BigDecimal askAddAsfee) {
        this.askAddAsfee = askAddAsfee;
    }
    public BigDecimal getAskVtax() {
        return askVtax;
    }
    public void setAskVtax(BigDecimal askVtax) {
        this.askVtax = askVtax;
    }
    public BigDecimal getAskIpayCartax() {
        return askIpayCartax;
    }
    public void setAskIpayCartax(BigDecimal askIpayCartax) {
        this.askIpayCartax = askIpayCartax;
    }
    public BigDecimal getAskIpayEnvImprBrdnamt() {
        return askIpayEnvImprBrdnamt;
    }
    public void setAskIpayEnvImprBrdnamt(BigDecimal askIpayEnvImprBrdnamt) {
        this.askIpayEnvImprBrdnamt = askIpayEnvImprBrdnamt;
    }
    public BigDecimal getAskIpayInsuFee() {
        return askIpayInsuFee;
    }
    public void setAskIpayInsuFee(BigDecimal askIpayInsuFee) {
        this.askIpayInsuFee = askIpayInsuFee;
    }
    public BigDecimal getAskIpayPnltAmt() {
        return askIpayPnltAmt;
    }
    public void setAskIpayPnltAmt(BigDecimal askIpayPnltAmt) {
        this.askIpayPnltAmt = askIpayPnltAmt;
    }
    public BigDecimal getAskIpayEtc() {
        return askIpayEtc;
    }
    public void setAskIpayEtc(BigDecimal askIpayEtc) {
        this.askIpayEtc = askIpayEtc;
    }
    public BigDecimal getAskCartax() {
        return askCartax;
    }
    public void setAskCartax(BigDecimal askCartax) {
        this.askCartax = askCartax;
    }
    public BigDecimal getAskEnvImprBrdnamt() {
        return askEnvImprBrdnamt;
    }
    public void setAskEnvImprBrdnamt(BigDecimal askEnvImprBrdnamt) {
        this.askEnvImprBrdnamt = askEnvImprBrdnamt;
    }
    public BigDecimal getAskInsuFee() {
        return askInsuFee;
    }
    public void setAskInsuFee(BigDecimal askInsuFee) {
        this.askInsuFee = askInsuFee;
    }
    public BigDecimal getAskLtrmBrcvAmt() {
        return askLtrmBrcvAmt;
    }
    public void setAskLtrmBrcvAmt(BigDecimal askLtrmBrcvAmt) {
        this.askLtrmBrcvAmt = askLtrmBrcvAmt;
    }
    public BigDecimal getAskDfee() {
        return askDfee;
    }
    public void setAskDfee(BigDecimal askDfee) {
        this.askDfee = askDfee;
    }
    public BigDecimal getAskLeglActnCost() {
        return askLeglActnCost;
    }
    public void setAskLeglActnCost(BigDecimal askLeglActnCost) {
        this.askLeglActnCost = askLeglActnCost;
    }
    public BigDecimal getNormAmt() {
        return normAmt;
    }
    public void setNormAmt(BigDecimal normAmt) {
        this.normAmt = normAmt;
    }
    public BigDecimal getNormBaseLeasfee() {
        return normBaseLeasfee;
    }
    public void setNormBaseLeasfee(BigDecimal normBaseLeasfee) {
        this.normBaseLeasfee = normBaseLeasfee;
    }
    public BigDecimal getNormAddLeasfee() {
        return normAddLeasfee;
    }
    public void setNormAddLeasfee(BigDecimal normAddLeasfee) {
        this.normAddLeasfee = normAddLeasfee;
    }
    public BigDecimal getNormLeasfee() {
        return normLeasfee;
    }
    public void setNormLeasfee(BigDecimal normLeasfee) {
        this.normLeasfee = normLeasfee;
    }
    public BigDecimal getNormPamt() {
        return normPamt;
    }
    public void setNormPamt(BigDecimal normPamt) {
        this.normPamt = normPamt;
    }
    public BigDecimal getNormInt() {
        return normInt;
    }
    public void setNormInt(BigDecimal normInt) {
        this.normInt = normInt;
    }
    public BigDecimal getNormPpayInt() {
        return normPpayInt;
    }
    public void setNormPpayInt(BigDecimal normPpayInt) {
        this.normPpayInt = normPpayInt;
    }
    public BigDecimal getNormAddCartax() {
        return normAddCartax;
    }
    public void setNormAddCartax(BigDecimal normAddCartax) {
        this.normAddCartax = normAddCartax;
    }
    public BigDecimal getNormAddEnvImprBrdnamt() {
        return normAddEnvImprBrdnamt;
    }
    public void setNormAddEnvImprBrdnamt(BigDecimal normAddEnvImprBrdnamt) {
        this.normAddEnvImprBrdnamt = normAddEnvImprBrdnamt;
    }
    public BigDecimal getNormAddInsuFee() {
        return normAddInsuFee;
    }
    public void setNormAddInsuFee(BigDecimal normAddInsuFee) {
        this.normAddInsuFee = normAddInsuFee;
    }
    public BigDecimal getNormAddAsfee() {
        return normAddAsfee;
    }
    public void setNormAddAsfee(BigDecimal normAddAsfee) {
        this.normAddAsfee = normAddAsfee;
    }
    public BigDecimal getNormVtax() {
        return normVtax;
    }
    public void setNormVtax(BigDecimal normVtax) {
        this.normVtax = normVtax;
    }
    public BigDecimal getNormIpayCartax() {
        return normIpayCartax;
    }
    public void setNormIpayCartax(BigDecimal normIpayCartax) {
        this.normIpayCartax = normIpayCartax;
    }
    public BigDecimal getNormIpayEnvImprBrdnamt() {
        return normIpayEnvImprBrdnamt;
    }
    public void setNormIpayEnvImprBrdnamt(BigDecimal normIpayEnvImprBrdnamt) {
        this.normIpayEnvImprBrdnamt = normIpayEnvImprBrdnamt;
    }
    public BigDecimal getNormIpayInsuFee() {
        return normIpayInsuFee;
    }
    public void setNormIpayInsuFee(BigDecimal normIpayInsuFee) {
        this.normIpayInsuFee = normIpayInsuFee;
    }
    public BigDecimal getNormIpayPnltAmt() {
        return normIpayPnltAmt;
    }
    public void setNormIpayPnltAmt(BigDecimal normIpayPnltAmt) {
        this.normIpayPnltAmt = normIpayPnltAmt;
    }
    public BigDecimal getNormIpayEtc() {
        return normIpayEtc;
    }
    public void setNormIpayEtc(BigDecimal normIpayEtc) {
        this.normIpayEtc = normIpayEtc;
    }
    public BigDecimal getNormCartax() {
        return normCartax;
    }
    public void setNormCartax(BigDecimal normCartax) {
        this.normCartax = normCartax;
    }
    public BigDecimal getNormEnvImprBrdnamt() {
        return normEnvImprBrdnamt;
    }
    public void setNormEnvImprBrdnamt(BigDecimal normEnvImprBrdnamt) {
        this.normEnvImprBrdnamt = normEnvImprBrdnamt;
    }
    public BigDecimal getNormInsuFee() {
        return normInsuFee;
    }
    public void setNormInsuFee(BigDecimal normInsuFee) {
        this.normInsuFee = normInsuFee;
    }
    public BigDecimal getNormLtrmBrcvAmt() {
        return normLtrmBrcvAmt;
    }
    public void setNormLtrmBrcvAmt(BigDecimal normLtrmBrcvAmt) {
        this.normLtrmBrcvAmt = normLtrmBrcvAmt;
    }
    public long getNormTims() {
        return normTims;
    }
    public void setNormTims(long normTims) {
        this.normTims = normTims;
    }
    public BigDecimal getDlyAmt() {
        return dlyAmt;
    }
    public void setDlyAmt(BigDecimal dlyAmt) {
        this.dlyAmt = dlyAmt;
    }
    public BigDecimal getDlyBaseLeasfee() {
        return dlyBaseLeasfee;
    }
    public void setDlyBaseLeasfee(BigDecimal dlyBaseLeasfee) {
        this.dlyBaseLeasfee = dlyBaseLeasfee;
    }
    public BigDecimal getDlyAddLeasfee() {
        return dlyAddLeasfee;
    }
    public void setDlyAddLeasfee(BigDecimal dlyAddLeasfee) {
        this.dlyAddLeasfee = dlyAddLeasfee;
    }
    public BigDecimal getDlyLeasfee() {
        return dlyLeasfee;
    }
    public void setDlyLeasfee(BigDecimal dlyLeasfee) {
        this.dlyLeasfee = dlyLeasfee;
    }
    public BigDecimal getDlyPamt() {
        return dlyPamt;
    }
    public void setDlyPamt(BigDecimal dlyPamt) {
        this.dlyPamt = dlyPamt;
    }
    public BigDecimal getDlyInt() {
        return dlyInt;
    }
    public void setDlyInt(BigDecimal dlyInt) {
        this.dlyInt = dlyInt;
    }
    public BigDecimal getDlyPpayInt() {
        return dlyPpayInt;
    }
    public void setDlyPpayInt(BigDecimal dlyPpayInt) {
        this.dlyPpayInt = dlyPpayInt;
    }
    public BigDecimal getDlyAddCartax() {
        return dlyAddCartax;
    }
    public void setDlyAddCartax(BigDecimal dlyAddCartax) {
        this.dlyAddCartax = dlyAddCartax;
    }
    public BigDecimal getDlyAddEnvImprBrdnamt() {
        return dlyAddEnvImprBrdnamt;
    }
    public void setDlyAddEnvImprBrdnamt(BigDecimal dlyAddEnvImprBrdnamt) {
        this.dlyAddEnvImprBrdnamt = dlyAddEnvImprBrdnamt;
    }
    public BigDecimal getDlyAddInsuFee() {
        return dlyAddInsuFee;
    }
    public void setDlyAddInsuFee(BigDecimal dlyAddInsuFee) {
        this.dlyAddInsuFee = dlyAddInsuFee;
    }
    public BigDecimal getDlyAddAsfee() {
        return dlyAddAsfee;
    }
    public void setDlyAddAsfee(BigDecimal dlyAddAsfee) {
        this.dlyAddAsfee = dlyAddAsfee;
    }
    public BigDecimal getDlyVtax() {
        return dlyVtax;
    }
    public void setDlyVtax(BigDecimal dlyVtax) {
        this.dlyVtax = dlyVtax;
    }
    public BigDecimal getDlyIpayCartax() {
        return dlyIpayCartax;
    }
    public void setDlyIpayCartax(BigDecimal dlyIpayCartax) {
        this.dlyIpayCartax = dlyIpayCartax;
    }
    public BigDecimal getDlyIpayEnvImprBrdnamt() {
        return dlyIpayEnvImprBrdnamt;
    }
    public void setDlyIpayEnvImprBrdnamt(BigDecimal dlyIpayEnvImprBrdnamt) {
        this.dlyIpayEnvImprBrdnamt = dlyIpayEnvImprBrdnamt;
    }
    public BigDecimal getDlyIpayInsuFee() {
        return dlyIpayInsuFee;
    }
    public void setDlyIpayInsuFee(BigDecimal dlyIpayInsuFee) {
        this.dlyIpayInsuFee = dlyIpayInsuFee;
    }
    public BigDecimal getDlyIpayPnltAmt() {
        return dlyIpayPnltAmt;
    }
    public void setDlyIpayPnltAmt(BigDecimal dlyIpayPnltAmt) {
        this.dlyIpayPnltAmt = dlyIpayPnltAmt;
    }
    public BigDecimal getDlyIpayEtc() {
        return dlyIpayEtc;
    }
    public void setDlyIpayEtc(BigDecimal dlyIpayEtc) {
        this.dlyIpayEtc = dlyIpayEtc;
    }
    public BigDecimal getDlyCartax() {
        return dlyCartax;
    }
    public void setDlyCartax(BigDecimal dlyCartax) {
        this.dlyCartax = dlyCartax;
    }
    public BigDecimal getDlyEnvImprBrdnamt() {
        return dlyEnvImprBrdnamt;
    }
    public void setDlyEnvImprBrdnamt(BigDecimal dlyEnvImprBrdnamt) {
        this.dlyEnvImprBrdnamt = dlyEnvImprBrdnamt;
    }
    public BigDecimal getDlyInsuFee() {
        return dlyInsuFee;
    }
    public void setDlyInsuFee(BigDecimal dlyInsuFee) {
        this.dlyInsuFee = dlyInsuFee;
    }
    public BigDecimal getDlyLtrmBrcvAmt() {
        return dlyLtrmBrcvAmt;
    }
    public void setDlyLtrmBrcvAmt(BigDecimal dlyLtrmBrcvAmt) {
        this.dlyLtrmBrcvAmt = dlyLtrmBrcvAmt;
    }
    public BigDecimal getDfee() {
        return dfee;
    }
    public void setDfee(BigDecimal dfee) {
        this.dfee = dfee;
    }
    public long getDlyDdcnt() {
        return dlyDdcnt;
    }
    public void setDlyDdcnt(long dlyDdcnt) {
        this.dlyDdcnt = dlyDdcnt;
    }
    public long getDlyTcnt() {
        return dlyTcnt;
    }
    public void setDlyTcnt(long dlyTcnt) {
        this.dlyTcnt = dlyTcnt;
    }
    public String getDlyStrtDt() {
        return dlyStrtDt;
    }
    public void setDlyStrtDt(String dlyStrtDt) {
        this.dlyStrtDt = dlyStrtDt;
    }
    public long getDlyStrtTims() {
        return dlyStrtTims;
    }
    public void setDlyStrtTims(long dlyStrtTims) {
        this.dlyStrtTims = dlyStrtTims;
    }
    public long getDlyEndTims() {
        return dlyEndTims;
    }
    public void setDlyEndTims(long dlyEndTims) {
        this.dlyEndTims = dlyEndTims;
    }
    public String getDlyFg() {
        return dlyFg;
    }
    public void setDlyFg(String dlyFg) {
        this.dlyFg = dlyFg;
    }
    public String getLastSetlDt() {
        return lastSetlDt;
    }
    public void setLastSetlDt(String lastSetlDt) {
        this.lastSetlDt = lastSetlDt;
    }
    public String getFrstSetlDt() {
        return frstSetlDt;
    }
    public void setFrstSetlDt(String frstSetlDt) {
        this.frstSetlDt = frstSetlDt;
    }
    public BigDecimal getDueAfPiamtRamt() {
        return dueAfPiamtRamt;
    }
    public void setDueAfPiamtRamt(BigDecimal dueAfPiamtRamt) {
        this.dueAfPiamtRamt = dueAfPiamtRamt;
    }
    public BigDecimal getAnulSumAmt() {
        return anulSumAmt;
    }
    public void setAnulSumAmt(BigDecimal anulSumAmt) {
        this.anulSumAmt = anulSumAmt;
    }
    public BigDecimal getIncoDeduObjAmt() {
        return incoDeduObjAmt;
    }
    public void setIncoDeduObjAmt(BigDecimal incoDeduObjAmt) {
        this.incoDeduObjAmt = incoDeduObjAmt;
    }
    public String getOccrDlyStrtDt() {
        return occrDlyStrtDt;
    }
    public void setOccrDlyStrtDt(String occrDlyStrtDt) {
        this.occrDlyStrtDt = occrDlyStrtDt;
    }
    public BigDecimal getOccrDlyPamt() {
        return occrDlyPamt;
    }
    public void setOccrDlyPamt(BigDecimal occrDlyPamt) {
        this.occrDlyPamt = occrDlyPamt;
    }
    public BigDecimal getOccrDlyInt() {
        return occrDlyInt;
    }
    public void setOccrDlyInt(BigDecimal occrDlyInt) {
        this.occrDlyInt = occrDlyInt;
    }
    public long getOccrDlyDdcnt() {
        return occrDlyDdcnt;
    }
    public void setOccrDlyDdcnt(long occrDlyDdcnt) {
        this.occrDlyDdcnt = occrDlyDdcnt;
    }
    public String getOccrLastSetlDt() {
        return occrLastSetlDt;
    }
    public void setOccrLastSetlDt(String occrLastSetlDt) {
        this.occrLastSetlDt = occrLastSetlDt;
    }
    public String getDsptMan() {
        return dsptMan;
    }
    public void setDsptMan(String dsptMan) {
        this.dsptMan = dsptMan;
    }
    public String getDsptZipCd() {
        return dsptZipCd;
    }
    public void setDsptZipCd(String dsptZipCd) {
        this.dsptZipCd = dsptZipCd;
    }
    public String getDsptAddr1() {
        return dsptAddr1;
    }
    public void setDsptAddr1(String dsptAddr1) {
        this.dsptAddr1 = dsptAddr1;
    }
    public String getDsptAddr2() {
        return dsptAddr2;
    }
    public void setDsptAddr2(String dsptAddr2) {
        this.dsptAddr2 = dsptAddr2;
    }
    public String getDsptEmal() {
        return dsptEmal;
    }
    public void setDsptEmal(String dsptEmal) {
        this.dsptEmal = dsptEmal;
    }
    public String getRecvMan() {
        return recvMan;
    }
    public void setRecvMan(String recvMan) {
        this.recvMan = recvMan;
    }
    public String getRecvManNo() {
        return recvManNo;
    }
    public void setRecvManNo(String recvManNo) {
        this.recvManNo = recvManNo;
    }
    public String getRecvZipCd() {
        return recvZipCd;
    }
    public void setRecvZipCd(String recvZipCd) {
        this.recvZipCd = recvZipCd;
    }
    public String getRecvAddr1() {
        return recvAddr1;
    }
    public void setRecvAddr1(String recvAddr1) {
        this.recvAddr1 = recvAddr1;
    }
    public String getRecvAddr2() {
        return recvAddr2;
    }
    public void setRecvAddr2(String recvAddr2) {
        this.recvAddr2 = recvAddr2;
    }
    public String getRecvEmal() {
        return recvEmal;
    }
    public void setRecvEmal(String recvEmal) {
        this.recvEmal = recvEmal;
    }
    public String getRecvFax1() {
        return recvFax1;
    }
    public void setRecvFax1(String recvFax1) {
        this.recvFax1 = recvFax1;
    }
    public String getRecvFax2() {
        return recvFax2;
    }
    public void setRecvFax2(String recvFax2) {
        this.recvFax2 = recvFax2;
    }
    public String getRecvFax3() {
        return recvFax3;
    }
    public void setRecvFax3(String recvFax3) {
        this.recvFax3 = recvFax3;
    }
    public String getAskPlcDivCd() {
        return askPlcDivCd;
    }
    public void setAskPlcDivCd(String askPlcDivCd) {
        this.askPlcDivCd = askPlcDivCd;
    }
    public String getEmalAskFg() {
        return emalAskFg;
    }
    public void setEmalAskFg(String emalAskFg) {
        this.emalAskFg = emalAskFg;
    }
    public String getLoanRelCd() {
        return loanRelCd;
    }
    public void setLoanRelCd(String loanRelCd) {
        this.loanRelCd = loanRelCd;
    }
    public String getRlDueManFg() {
        return rlDueManFg;
    }
    public void setRlDueManFg(String rlDueManFg) {
        this.rlDueManFg = rlDueManFg;
    }
    public String getDeptnm() {
        return deptnm;
    }
    public void setDeptnm(String deptnm) {
        this.deptnm = deptnm;
    }
    public String getDeptZipCd() {
        return deptZipCd;
    }
    public void setDeptZipCd(String deptZipCd) {
        this.deptZipCd = deptZipCd;
    }
    public String getDeptAddr1() {
        return deptAddr1;
    }
    public void setDeptAddr1(String deptAddr1) {
        this.deptAddr1 = deptAddr1;
    }
    public String getDeptAddr2() {
        return deptAddr2;
    }
    public void setDeptAddr2(String deptAddr2) {
        this.deptAddr2 = deptAddr2;
    }
    public String getDeptTel1() {
        return deptTel1;
    }
    public void setDeptTel1(String deptTel1) {
        this.deptTel1 = deptTel1;
    }
    public String getDeptTel2() {
        return deptTel2;
    }
    public void setDeptTel2(String deptTel2) {
        this.deptTel2 = deptTel2;
    }
    public String getDeptTel3() {
        return deptTel3;
    }
    public void setDeptTel3(String deptTel3) {
        this.deptTel3 = deptTel3;
    }
    public String getDeptFax1() {
        return deptFax1;
    }
    public void setDeptFax1(String deptFax1) {
        this.deptFax1 = deptFax1;
    }
    public String getDeptFax2() {
        return deptFax2;
    }
    public void setDeptFax2(String deptFax2) {
        this.deptFax2 = deptFax2;
    }
    public String getDeptFax3() {
        return deptFax3;
    }
    public void setDeptFax3(String deptFax3) {
        this.deptFax3 = deptFax3;
    }
    public String getRepr() {
        return repr;
    }
    public void setRepr(String repr) {
        this.repr = repr;
    }
    public String getReprZipCd() {
        return reprZipCd;
    }
    public void setReprZipCd(String reprZipCd) {
        this.reprZipCd = reprZipCd;
    }
    public String getReprAddr1() {
        return reprAddr1;
    }
    public void setReprAddr1(String reprAddr1) {
        this.reprAddr1 = reprAddr1;
    }
    public String getReprAddr2() {
        return reprAddr2;
    }
    public void setReprAddr2(String reprAddr2) {
        this.reprAddr2 = reprAddr2;
    }
    public String getReprTel1() {
        return reprTel1;
    }
    public void setReprTel1(String reprTel1) {
        this.reprTel1 = reprTel1;
    }
    public String getReprTel2() {
        return reprTel2;
    }
    public void setReprTel2(String reprTel2) {
        this.reprTel2 = reprTel2;
    }
    public String getReprTel3() {
        return reprTel3;
    }
    public void setReprTel3(String reprTel3) {
        this.reprTel3 = reprTel3;
    }
    public String getReprUrl() {
        return reprUrl;
    }
    public void setReprUrl(String reprUrl) {
        this.reprUrl = reprUrl;
    }
    public String getDlvrDt() {
        return dlvrDt;
    }
    public void setDlvrDt(String dlvrDt) {
        this.dlvrDt = dlvrDt;
    }
    public String getDlvrStatCd() {
        return dlvrStatCd;
    }
    public void setDlvrStatCd(String dlvrStatCd) {
        this.dlvrStatCd = dlvrStatCd;
    }
    public String getOrgClsDt() {
        return orgClsDt;
    }
    public void setOrgClsDt(String orgClsDt) {
        this.orgClsDt = orgClsDt;
    }
    public BigDecimal getOrgClsSnum() {
        return orgClsSnum;
    }
    public void setOrgClsSnum(BigDecimal orgClsSnum) {
        this.orgClsSnum = orgClsSnum;
    }
    public String getDlvrDataCrteCd() {
        return dlvrDataCrteCd;
    }
    public void setDlvrDataCrteCd(String dlvrDataCrteCd) {
        this.dlvrDataCrteCd = dlvrDataCrteCd;
    }
    public String getDlvrExclCd() {
        return dlvrExclCd;
    }
    public void setDlvrExclCd(String dlvrExclCd) {
        this.dlvrExclCd = dlvrExclCd;
    }
    public String getDlvrFg() {
        return dlvrFg;
    }
    public void setDlvrFg(String dlvrFg) {
        this.dlvrFg = dlvrFg;
    }
    public String getReDlvrFg() {
        return reDlvrFg;
    }
    public void setReDlvrFg(String reDlvrFg) {
        this.reDlvrFg = reDlvrFg;
    }
    public String getIntgDlvrFg() {
        return intgDlvrFg;
    }
    public void setIntgDlvrFg(String intgDlvrFg) {
        this.intgDlvrFg = intgDlvrFg;
    }
    public String getIntgDlvrClsDt() {
        return intgDlvrClsDt;
    }
    public void setIntgDlvrClsDt(String intgDlvrClsDt) {
        this.intgDlvrClsDt = intgDlvrClsDt;
    }
    public BigDecimal getIntgDlvrSnum() {
        return intgDlvrSnum;
    }
    public void setIntgDlvrSnum(BigDecimal intgDlvrSnum) {
        this.intgDlvrSnum = intgDlvrSnum;
    }
    public long getIntgCnt() {
        return intgCnt;
    }
    public void setIntgCnt(long intgCnt) {
        this.intgCnt = intgCnt;
    }
    public String getBillNo() {
        return billNo;
    }
    public void setBillNo(String billNo) {
        this.billNo = billNo;
    }
    public String getBillBusiNo() {
        return billBusiNo;
    }
    public void setBillBusiNo(String billBusiNo) {
        this.billBusiNo = billBusiNo;
    }
    public String getBillAddrDivCd() {
        return billAddrDivCd;
    }
    public void setBillAddrDivCd(String billAddrDivCd) {
        this.billAddrDivCd = billAddrDivCd;
    }
    public String getBillIssuFg() {
        return billIssuFg;
    }
    public void setBillIssuFg(String billIssuFg) {
        this.billIssuFg = billIssuFg;
    }
    public BigDecimal getSplyAmt() {
        return splyAmt;
    }
    public void setSplyAmt(BigDecimal splyAmt) {
        this.splyAmt = splyAmt;
    }
    public BigDecimal getTax() {
        return tax;
    }
    public void setTax(BigDecimal tax) {
        this.tax = tax;
    }
    public String getDlvrThngCd() {
        return dlvrThngCd;
    }
    public void setDlvrThngCd(String dlvrThngCd) {
        this.dlvrThngCd = dlvrThngCd;
    }
    public String getSubDlvrThngCd() {
        return subDlvrThngCd;
    }
    public void setSubDlvrThngCd(String subDlvrThngCd) {
        this.subDlvrThngCd = subDlvrThngCd;
    }
    public String getRsndRsnCd() {
        return rsndRsnCd;
    }
    public void setRsndRsnCd(String rsndRsnCd) {
        this.rsndRsnCd = rsndRsnCd;
    }
    public String getCrteDt() {
        return crteDt;
    }
    public void setCrteDt(String crteDt) {
        this.crteDt = crteDt;
    }
    public BigDecimal getExtsAmt() {
        return extsAmt;
    }
    public void setExtsAmt(BigDecimal extsAmt) {
        this.extsAmt = extsAmt;
    }
    public String getUcarRetnDt() {
        return ucarRetnDt;
    }
    public void setUcarRetnDt(String ucarRetnDt) {
        this.ucarRetnDt = ucarRetnDt;
    }
    public String getFinctrcnfmDocPrps() {
        return finctrcnfmDocPrps;
    }
    public void setFinctrcnfmDocPrps(String finctrcnfmDocPrps) {
        this.finctrcnfmDocPrps = finctrcnfmDocPrps;
    }
    public String getNodlycnfmDocSubmplc() {
        return nodlycnfmDocSubmplc;
    }
    public void setNodlycnfmDocSubmplc(String nodlycnfmDocSubmplc) {
        this.nodlycnfmDocSubmplc = nodlycnfmDocSubmplc;
    }
    public String getDebtramtcdocUseObj() {
        return debtramtcdocUseObj;
    }
    public void setDebtramtcdocUseObj(String debtramtcdocUseObj) {
        this.debtramtcdocUseObj = debtramtcdocUseObj;
    }
    public String getCarsSetRt() {
        return carsSetRt;
    }
    public void setCarsSetRt(String carsSetRt) {
        this.carsSetRt = carsSetRt;
    }
    public BigDecimal getCarsSetAmt() {
        return carsSetAmt;
    }
    public void setCarsSetAmt(BigDecimal carsSetAmt) {
        this.carsSetAmt = carsSetAmt;
    }
    public String getCarsSetCd() {
        return carsSetCd;
    }
    public void setCarsSetCd(String carsSetCd) {
        this.carsSetCd = carsSetCd;
    }
    public BigDecimal getTrtFee() {
        return trtFee;
    }
    public void setTrtFee(BigDecimal trtFee) {
        this.trtFee = trtFee;
    }
    public BigDecimal getTrtFeeRamt() {
        return trtFeeRamt;
    }
    public void setTrtFeeRamt(BigDecimal trtFeeRamt) {
        this.trtFeeRamt = trtFeeRamt;
    }
    public BigDecimal getAskTrtFee() {
        return askTrtFee;
    }
    public void setAskTrtFee(BigDecimal askTrtFee) {
        this.askTrtFee = askTrtFee;
    }
    public BigDecimal getNormTrtFee() {
        return normTrtFee;
    }
    public void setNormTrtFee(BigDecimal normTrtFee) {
        this.normTrtFee = normTrtFee;
    }
    public BigDecimal getDlyTrtFee() {
        return dlyTrtFee;
    }
    public void setDlyTrtFee(BigDecimal dlyTrtFee) {
        this.dlyTrtFee = dlyTrtFee;
    }
    public BigDecimal getMmTrtFee() {
        return mmTrtFee;
    }
    public void setMmTrtFee(BigDecimal mmTrtFee) {
        this.mmTrtFee = mmTrtFee;
    }
    public String getTrtFeeIstpFg() {
        return trtFeeIstpFg;
    }
    public void setTrtFeeIstpFg(String trtFeeIstpFg) {
        this.trtFeeIstpFg = trtFeeIstpFg;
    }
    public String getHpNo1() {
        return hpNo1;
    }
    public void setHpNo1(String hpNo1) {
        this.hpNo1 = hpNo1;
    }
    public String getHpNo2() {
        return hpNo2;
    }
    public void setHpNo2(String hpNo2) {
        this.hpNo2 = hpNo2;
    }
    public String getHpNo3() {
        return hpNo3;
    }
    public void setHpNo3(String hpNo3) {
        this.hpNo3 = hpNo3;
    }
    public String getSmsSendFg() {
        return smsSendFg;
    }
    public void setSmsSendFg(String smsSendFg) {
        this.smsSendFg = smsSendFg;
    }
    public String getSmsSendStatCd() {
        return smsSendStatCd;
    }
    public void setSmsSendStatCd(String smsSendStatCd) {
        this.smsSendStatCd = smsSendStatCd;
    }
    public String getSmsSendRsltCd() {
        return smsSendRsltCd;
    }
    public void setSmsSendRsltCd(String smsSendRsltCd) {
        this.smsSendRsltCd = smsSendRsltCd;
    }
    public String getMrtgFg() {
        return mrtgFg;
    }
    public void setMrtgFg(String mrtgFg) {
        this.mrtgFg = mrtgFg;
    }
    public String getMngPlcDivCd() {
        return mngPlcDivCd;
    }
    public void setMngPlcDivCd(String mngPlcDivCd) {
        this.mngPlcDivCd = mngPlcDivCd;
    }
    public String getSmsCntn() {
        return smsCntn;
    }
    public void setSmsCntn(String smsCntn) {
        this.smsCntn = smsCntn;
    }
    public long getGuidNo() {
        return guidNo;
    }
    public void setGuidNo(long guidNo) {
        this.guidNo = guidNo;
    }
    public long getGuidSnum() {
        return guidSnum;
    }
    public void setGuidSnum(long guidSnum) {
        this.guidSnum = guidSnum;
    }
    public String getEprtExtnDivCd() {
        return eprtExtnDivCd;
    }
    public void setEprtExtnDivCd(String eprtExtnDivCd) {
        this.eprtExtnDivCd = eprtExtnDivCd;
    }
    public long getFactIntRt() {
        return factIntRt;
    }
    public void setFactIntRt(long factIntRt) {
        this.factIntRt = factIntRt;
    }
    public BigDecimal getSetFee() {
        return setFee;
    }
    public void setSetFee(BigDecimal setFee) {
        this.setFee = setFee;
    }
    public BigDecimal getStmpFee() {
        return stmpFee;
    }
    public void setStmpFee(BigDecimal stmpFee) {
        this.stmpFee = stmpFee;
    }
    public BigDecimal getNotaFee() {
        return notaFee;
    }
    public void setNotaFee(BigDecimal notaFee) {
        this.notaFee = notaFee;
    }
    public BigDecimal getEtcFee() {
        return etcFee;
    }
    public void setEtcFee(BigDecimal etcFee) {
        this.etcFee = etcFee;
    }
    public String getClsBizFg() {
        return clsBizFg;
    }
    public void setClsBizFg(String clsBizFg) {
        this.clsBizFg = clsBizFg;
    }
    public String getClsBizDt() {
        return clsBizDt;
    }
    public void setClsBizDt(String clsBizDt) {
        this.clsBizDt = clsBizDt;
    }
    public String getHpCertFg() {
        return hpCertFg;
    }
    public void setHpCertFg(String hpCertFg) {
        this.hpCertFg = hpCertFg;
    }
    public String getFaxDlvrDeptTel() {
        return faxDlvrDeptTel;
    }
    public void setFaxDlvrDeptTel(String faxDlvrDeptTel) {
        this.faxDlvrDeptTel = faxDlvrDeptTel;
    }
    public String getFaxDlvrDeptFax() {
        return faxDlvrDeptFax;
    }
    public void setFaxDlvrDeptFax(String faxDlvrDeptFax) {
        this.faxDlvrDeptFax = faxDlvrDeptFax;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
