package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtDlvrDescDTO.java Class
 * 클래스설명   : RT-발송내역(RT_DLVR_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtDlvrDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String clsDt  = "";  /* 마감일자 */
    private BigDecimal clsSnum  = BigDecimal.ZERO;  /* 마감일련번호 */
    private String dueDt  = "";  /* 납입일자 */
    private String dlvrDt  = "";  /* 발송일자 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String dlvrThngCd  = "";  /* 발송물코드 */
    private String subDlvrThngCd  = "";  /* 보조발송물코드 */
    private String prdtLrgeClasCd  = "";  /* 상품대분류코드 */
    private String prdtMidClasCd  = "";  /* 상품중분류코드 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private BigDecimal askAmt  = BigDecimal.ZERO;  /* 청구금액 */
    private BigDecimal askPamt  = BigDecimal.ZERO;  /* 청구원금 */
    private BigDecimal askInt  = BigDecimal.ZERO;  /* 청구이자 */
    private BigDecimal askDfee  = BigDecimal.ZERO;  /* 청구연체료 */
    private BigDecimal askLeglActnCost  = BigDecimal.ZERO;  /* 청구법적조치비용 */
    private String recvMan  = "";  /* 수신자 */
    private String recvManNo  = "";  /* 수신자번호 */
    private String recvZipCd  = "";  /* 수신우편번호 */
    private String recvAddr1  = "";  /* 수신주소1 */
    private String recvAddr2  = "";  /* 수신주소2 */
    private String recvEmal  = "";  /* 수신전자메일 */
    private String recvFax1  = "";  /* 수신팩스1 */
    private String recvFax2  = "";  /* 수신팩스2 */
    private String recvFax3  = "";  /* 수신팩스3 */
    private String loanRelCd  = "";  /* 대출관계코드 */
    private String bankCd  = "";  /* 은행코드 */
    private String acntNo  = "";  /* 계좌번호 */
    private String depoOwnnm  = "";  /* 예금주명 */
    private String depoOwnNo  = "";  /* 예금주번호 */
    private String depoOwnRelCd  = "";  /* 예금주관계코드 */
    private String emalDsptFg  = "";  /* 전자메일발신여부 */
    private String emalRecvFg  = "";  /* 전자메일수신여부 */
    private String intgDlvrFg  = "";  /* 통합발송여부 */
    private long intgCnt  = 0;  /* 통합건수 */
    private String issuBillNo  = "";  /* 발행계산서번호 */
    private long issuSnum  = 0;  /* 발행일련번호 */
    private String reDlvrFg  = "";  /* 재발송여부 */
    private String hpNo1  = "";  /* 휴대폰번호1 */
    private String hpNo2  = "";  /* 휴대폰번호2 */
    private String hpNo3  = "";  /* 휴대폰번호3 */
    private BigDecimal faxRqstSnum  = BigDecimal.ZERO;  /* 팩스요청일련번호 */
    private String cnslFg  = "";  /* 상담여부 */
    private String recvManResiNo  = "";  /* 수신지주민번호 */

    private String dlvrThngNm = "";
    private String guidDueDt = "";

    public String getClsDt() {
        return clsDt;
    }
    public void setClsDt(String clsDt) {
        this.clsDt = clsDt;
    }
    public BigDecimal getClsSnum() {
        return clsSnum;
    }
    public void setClsSnum(BigDecimal clsSnum) {
        this.clsSnum = clsSnum;
    }
    public String getDueDt() {
        return dueDt;
    }
    public void setDueDt(String dueDt) {
        this.dueDt = dueDt;
    }
    public String getDlvrDt() {
        return dlvrDt;
    }
    public void setDlvrDt(String dlvrDt) {
        this.dlvrDt = dlvrDt;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getDlvrThngCd() {
        return dlvrThngCd;
    }
    public void setDlvrThngCd(String dlvrThngCd) {
        this.dlvrThngCd = dlvrThngCd;
    }
    public String getSubDlvrThngCd() {
        return subDlvrThngCd;
    }
    public void setSubDlvrThngCd(String subDlvrThngCd) {
        this.subDlvrThngCd = subDlvrThngCd;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getPrdtMidClasCd() {
        return prdtMidClasCd;
    }
    public void setPrdtMidClasCd(String prdtMidClasCd) {
        this.prdtMidClasCd = prdtMidClasCd;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public BigDecimal getAskAmt() {
        return askAmt;
    }
    public void setAskAmt(BigDecimal askAmt) {
        this.askAmt = askAmt;
    }
    public BigDecimal getAskPamt() {
        return askPamt;
    }
    public void setAskPamt(BigDecimal askPamt) {
        this.askPamt = askPamt;
    }
    public BigDecimal getAskInt() {
        return askInt;
    }
    public void setAskInt(BigDecimal askInt) {
        this.askInt = askInt;
    }
    public BigDecimal getAskDfee() {
        return askDfee;
    }
    public void setAskDfee(BigDecimal askDfee) {
        this.askDfee = askDfee;
    }
    public BigDecimal getAskLeglActnCost() {
        return askLeglActnCost;
    }
    public void setAskLeglActnCost(BigDecimal askLeglActnCost) {
        this.askLeglActnCost = askLeglActnCost;
    }
    public String getRecvMan() {
        return recvMan;
    }
    public void setRecvMan(String recvMan) {
        this.recvMan = recvMan;
    }
    public String getRecvManNo() {
        return recvManNo;
    }
    public void setRecvManNo(String recvManNo) {
        this.recvManNo = recvManNo;
    }
    public String getRecvZipCd() {
        return recvZipCd;
    }
    public void setRecvZipCd(String recvZipCd) {
        this.recvZipCd = recvZipCd;
    }
    public String getRecvAddr1() {
        return recvAddr1;
    }
    public void setRecvAddr1(String recvAddr1) {
        this.recvAddr1 = recvAddr1;
    }
    public String getRecvAddr2() {
        return recvAddr2;
    }
    public void setRecvAddr2(String recvAddr2) {
        this.recvAddr2 = recvAddr2;
    }
    public String getRecvEmal() {
        return recvEmal;
    }
    public void setRecvEmal(String recvEmal) {
        this.recvEmal = recvEmal;
    }
    public String getRecvFax1() {
        return recvFax1;
    }
    public void setRecvFax1(String recvFax1) {
        this.recvFax1 = recvFax1;
    }
    public String getRecvFax2() {
        return recvFax2;
    }
    public void setRecvFax2(String recvFax2) {
        this.recvFax2 = recvFax2;
    }
    public String getRecvFax3() {
        return recvFax3;
    }
    public void setRecvFax3(String recvFax3) {
        this.recvFax3 = recvFax3;
    }
    public String getLoanRelCd() {
        return loanRelCd;
    }
    public void setLoanRelCd(String loanRelCd) {
        this.loanRelCd = loanRelCd;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getDepoOwnnm() {
        return depoOwnnm;
    }
    public void setDepoOwnnm(String depoOwnnm) {
        this.depoOwnnm = depoOwnnm;
    }
    public String getDepoOwnNo() {
        return depoOwnNo;
    }
    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }
    public String getDepoOwnRelCd() {
        return depoOwnRelCd;
    }
    public void setDepoOwnRelCd(String depoOwnRelCd) {
        this.depoOwnRelCd = depoOwnRelCd;
    }
    public String getEmalDsptFg() {
        return emalDsptFg;
    }
    public void setEmalDsptFg(String emalDsptFg) {
        this.emalDsptFg = emalDsptFg;
    }
    public String getEmalRecvFg() {
        return emalRecvFg;
    }
    public void setEmalRecvFg(String emalRecvFg) {
        this.emalRecvFg = emalRecvFg;
    }
    public String getIntgDlvrFg() {
        return intgDlvrFg;
    }
    public void setIntgDlvrFg(String intgDlvrFg) {
        this.intgDlvrFg = intgDlvrFg;
    }
    public long getIntgCnt() {
        return intgCnt;
    }
    public void setIntgCnt(long intgCnt) {
        this.intgCnt = intgCnt;
    }
    public String getIssuBillNo() {
        return issuBillNo;
    }
    public void setIssuBillNo(String issuBillNo) {
        this.issuBillNo = issuBillNo;
    }
    public long getIssuSnum() {
        return issuSnum;
    }
    public void setIssuSnum(long issuSnum) {
        this.issuSnum = issuSnum;
    }
    public String getReDlvrFg() {
        return reDlvrFg;
    }
    public void setReDlvrFg(String reDlvrFg) {
        this.reDlvrFg = reDlvrFg;
    }
    public String getHpNo1() {
        return hpNo1;
    }
    public void setHpNo1(String hpNo1) {
        this.hpNo1 = hpNo1;
    }
    public String getHpNo2() {
        return hpNo2;
    }
    public void setHpNo2(String hpNo2) {
        this.hpNo2 = hpNo2;
    }
    public String getHpNo3() {
        return hpNo3;
    }
    public void setHpNo3(String hpNo3) {
        this.hpNo3 = hpNo3;
    }
    public BigDecimal getFaxRqstSnum() {
        return faxRqstSnum;
    }
    public void setFaxRqstSnum(BigDecimal faxRqstSnum) {
        this.faxRqstSnum = faxRqstSnum;
    }
    public String getCnslFg() {
        return cnslFg;
    }
    public void setCnslFg(String cnslFg) {
        this.cnslFg = cnslFg;
    }
    public String getRecvManResiNo() {
        return recvManResiNo;
    }
    public void setRecvManResiNo(String recvManResiNo) {
        this.recvManResiNo = recvManResiNo;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
	public String getDlvrThngNm() {
		return dlvrThngNm;
	}
	public void setDlvrThngNm(String dlvrThngNm) {
		this.dlvrThngNm = dlvrThngNm;
	}
	public String getGuidDueDt() {
		return guidDueDt;
	}
	public void setGuidDueDt(String guidDueDt) {
		this.guidDueDt = guidDueDt;
	}

}
