package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtDlvrTimsDescDTO.java Class
 * 클래스설명   : RT-발송회차내역(RT_DLVR_TIMS_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtDlvrTimsDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String clsDt  = "";  /* 마감일자 */
    private BigDecimal clsSnum  = BigDecimal.ZERO;  /* 마감일련번호 */
    private long timsSnum  = 0;  /* 회차일련번호 */
    private String dueDt  = "";  /* 납입일자 */
    private long tims  = 0;  /* 회차 */
    private BigDecimal mmPiamt  = BigDecimal.ZERO;  /* 월원리금 */
    private BigDecimal timsAfPamtRamt  = BigDecimal.ZERO;  /* 회차후원금잔액 */
    private BigDecimal mmPamt  = BigDecimal.ZERO;  /* 월원금 */
    private BigDecimal mmInt  = BigDecimal.ZERO;  /* 월이자 */
    private BigDecimal setlAmt  = BigDecimal.ZERO;  /* 결제금액 */
    private String setlDt  = "";  /* 결제일자 */
    private long rcptStrtTims  = 0;  /* 수납시작회차 */
    private BigDecimal rcptEndTims  = BigDecimal.ZERO;  /* 수납종료회차 */
    private BigDecimal rcptBaseLeasfee  = BigDecimal.ZERO;  /* 수납기본리스료 */
    private BigDecimal rcptAddLeasfee  = BigDecimal.ZERO;  /* 수납가산리스료 */
    private BigDecimal rcptLeasfee  = BigDecimal.ZERO;  /* 수납리스료 */
    private BigDecimal rcptPamt  = BigDecimal.ZERO;  /* 수납원금 */
    private BigDecimal rcptInt  = BigDecimal.ZERO;  /* 수납이자 */
    private BigDecimal rcptPpayInt  = BigDecimal.ZERO;  /* 수납선급이자 */
    private BigDecimal rcptAddCartax  = BigDecimal.ZERO;  /* 수납가산자동차세 */
    private BigDecimal rcptAddEnvImprBrdnamt  = BigDecimal.ZERO;  /* 수납가산환경개선부담금 */
    private BigDecimal rcptAddInsuFee  = BigDecimal.ZERO;  /* 수납가산보험료 */
    private BigDecimal rcptAddAsfee  = BigDecimal.ZERO;  /* 수납가산정비료 */
    private BigDecimal rcptVtax  = BigDecimal.ZERO;  /* 수납부가세 */
    private BigDecimal rcptIpayCartax  = BigDecimal.ZERO;  /* 수납대지급자동차세 */
    private BigDecimal rcptIpayEnvImprBrdnamt  = BigDecimal.ZERO;  /* 수납대지급환경개선부담금 */
    private BigDecimal rcptIpayInsuFee  = BigDecimal.ZERO;  /* 수납대지급보험료 */
    private BigDecimal rcptIpayPnltAmt  = BigDecimal.ZERO;  /* 수납대지급범칙금 */
    private BigDecimal rcptIpayEtc  = BigDecimal.ZERO;  /* 수납대지급기타 */
    private BigDecimal rcptCartax  = BigDecimal.ZERO;  /* 수납자동차세 */
    private BigDecimal rcptEnvImprBrdnamt  = BigDecimal.ZERO;  /* 수납환경개선부담금 */
    private BigDecimal rcptInsuFee  = BigDecimal.ZERO;  /* 수납보험료 */
    private BigDecimal rcptLtrmBrcvAmt  = BigDecimal.ZERO;  /* 수납장기선수금액 */
    private BigDecimal dfee  = BigDecimal.ZERO;  /* 연체료 */
    private String bfmmStrtDt  = "";  /* 전월시작일자 */
    private String bfmmEndDt  = "";  /* 전월종료일자 */

    public String getClsDt() {
        return clsDt;
    }
    public void setClsDt(String clsDt) {
        this.clsDt = clsDt;
    }
    public BigDecimal getClsSnum() {
        return clsSnum;
    }
    public void setClsSnum(BigDecimal clsSnum) {
        this.clsSnum = clsSnum;
    }
    public long getTimsSnum() {
        return timsSnum;
    }
    public void setTimsSnum(long timsSnum) {
        this.timsSnum = timsSnum;
    }
    public String getDueDt() {
        return dueDt;
    }
    public void setDueDt(String dueDt) {
        this.dueDt = dueDt;
    }
    public long getTims() {
        return tims;
    }
    public void setTims(long tims) {
        this.tims = tims;
    }
    public BigDecimal getMmPiamt() {
        return mmPiamt;
    }
    public void setMmPiamt(BigDecimal mmPiamt) {
        this.mmPiamt = mmPiamt;
    }
    public BigDecimal getTimsAfPamtRamt() {
        return timsAfPamtRamt;
    }
    public void setTimsAfPamtRamt(BigDecimal timsAfPamtRamt) {
        this.timsAfPamtRamt = timsAfPamtRamt;
    }
    public BigDecimal getMmPamt() {
        return mmPamt;
    }
    public void setMmPamt(BigDecimal mmPamt) {
        this.mmPamt = mmPamt;
    }
    public BigDecimal getMmInt() {
        return mmInt;
    }
    public void setMmInt(BigDecimal mmInt) {
        this.mmInt = mmInt;
    }
    public BigDecimal getSetlAmt() {
        return setlAmt;
    }
    public void setSetlAmt(BigDecimal setlAmt) {
        this.setlAmt = setlAmt;
    }
    public String getSetlDt() {
        return setlDt;
    }
    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }
    public long getRcptStrtTims() {
        return rcptStrtTims;
    }
    public void setRcptStrtTims(long rcptStrtTims) {
        this.rcptStrtTims = rcptStrtTims;
    }
    public BigDecimal getRcptEndTims() {
        return rcptEndTims;
    }
    public void setRcptEndTims(BigDecimal rcptEndTims) {
        this.rcptEndTims = rcptEndTims;
    }
    public BigDecimal getRcptBaseLeasfee() {
        return rcptBaseLeasfee;
    }
    public void setRcptBaseLeasfee(BigDecimal rcptBaseLeasfee) {
        this.rcptBaseLeasfee = rcptBaseLeasfee;
    }
    public BigDecimal getRcptAddLeasfee() {
        return rcptAddLeasfee;
    }
    public void setRcptAddLeasfee(BigDecimal rcptAddLeasfee) {
        this.rcptAddLeasfee = rcptAddLeasfee;
    }
    public BigDecimal getRcptLeasfee() {
        return rcptLeasfee;
    }
    public void setRcptLeasfee(BigDecimal rcptLeasfee) {
        this.rcptLeasfee = rcptLeasfee;
    }
    public BigDecimal getRcptPamt() {
        return rcptPamt;
    }
    public void setRcptPamt(BigDecimal rcptPamt) {
        this.rcptPamt = rcptPamt;
    }
    public BigDecimal getRcptInt() {
        return rcptInt;
    }
    public void setRcptInt(BigDecimal rcptInt) {
        this.rcptInt = rcptInt;
    }
    public BigDecimal getRcptPpayInt() {
        return rcptPpayInt;
    }
    public void setRcptPpayInt(BigDecimal rcptPpayInt) {
        this.rcptPpayInt = rcptPpayInt;
    }
    public BigDecimal getRcptAddCartax() {
        return rcptAddCartax;
    }
    public void setRcptAddCartax(BigDecimal rcptAddCartax) {
        this.rcptAddCartax = rcptAddCartax;
    }
    public BigDecimal getRcptAddEnvImprBrdnamt() {
        return rcptAddEnvImprBrdnamt;
    }
    public void setRcptAddEnvImprBrdnamt(BigDecimal rcptAddEnvImprBrdnamt) {
        this.rcptAddEnvImprBrdnamt = rcptAddEnvImprBrdnamt;
    }
    public BigDecimal getRcptAddInsuFee() {
        return rcptAddInsuFee;
    }
    public void setRcptAddInsuFee(BigDecimal rcptAddInsuFee) {
        this.rcptAddInsuFee = rcptAddInsuFee;
    }
    public BigDecimal getRcptAddAsfee() {
        return rcptAddAsfee;
    }
    public void setRcptAddAsfee(BigDecimal rcptAddAsfee) {
        this.rcptAddAsfee = rcptAddAsfee;
    }
    public BigDecimal getRcptVtax() {
        return rcptVtax;
    }
    public void setRcptVtax(BigDecimal rcptVtax) {
        this.rcptVtax = rcptVtax;
    }
    public BigDecimal getRcptIpayCartax() {
        return rcptIpayCartax;
    }
    public void setRcptIpayCartax(BigDecimal rcptIpayCartax) {
        this.rcptIpayCartax = rcptIpayCartax;
    }
    public BigDecimal getRcptIpayEnvImprBrdnamt() {
        return rcptIpayEnvImprBrdnamt;
    }
    public void setRcptIpayEnvImprBrdnamt(BigDecimal rcptIpayEnvImprBrdnamt) {
        this.rcptIpayEnvImprBrdnamt = rcptIpayEnvImprBrdnamt;
    }
    public BigDecimal getRcptIpayInsuFee() {
        return rcptIpayInsuFee;
    }
    public void setRcptIpayInsuFee(BigDecimal rcptIpayInsuFee) {
        this.rcptIpayInsuFee = rcptIpayInsuFee;
    }
    public BigDecimal getRcptIpayPnltAmt() {
        return rcptIpayPnltAmt;
    }
    public void setRcptIpayPnltAmt(BigDecimal rcptIpayPnltAmt) {
        this.rcptIpayPnltAmt = rcptIpayPnltAmt;
    }
    public BigDecimal getRcptIpayEtc() {
        return rcptIpayEtc;
    }
    public void setRcptIpayEtc(BigDecimal rcptIpayEtc) {
        this.rcptIpayEtc = rcptIpayEtc;
    }
    public BigDecimal getRcptCartax() {
        return rcptCartax;
    }
    public void setRcptCartax(BigDecimal rcptCartax) {
        this.rcptCartax = rcptCartax;
    }
    public BigDecimal getRcptEnvImprBrdnamt() {
        return rcptEnvImprBrdnamt;
    }
    public void setRcptEnvImprBrdnamt(BigDecimal rcptEnvImprBrdnamt) {
        this.rcptEnvImprBrdnamt = rcptEnvImprBrdnamt;
    }
    public BigDecimal getRcptInsuFee() {
        return rcptInsuFee;
    }
    public void setRcptInsuFee(BigDecimal rcptInsuFee) {
        this.rcptInsuFee = rcptInsuFee;
    }
    public BigDecimal getRcptLtrmBrcvAmt() {
        return rcptLtrmBrcvAmt;
    }
    public void setRcptLtrmBrcvAmt(BigDecimal rcptLtrmBrcvAmt) {
        this.rcptLtrmBrcvAmt = rcptLtrmBrcvAmt;
    }
    public BigDecimal getDfee() {
        return dfee;
    }
    public void setDfee(BigDecimal dfee) {
        this.dfee = dfee;
    }
    public String getBfmmStrtDt() {
        return bfmmStrtDt;
    }
    public void setBfmmStrtDt(String bfmmStrtDt) {
        this.bfmmStrtDt = bfmmStrtDt;
    }
    public String getBfmmEndDt() {
        return bfmmEndDt;
    }
    public void setBfmmEndDt(String bfmmEndDt) {
        this.bfmmEndDt = bfmmEndDt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
