package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtDlvrTotDescDTO.java Class
 * 클래스설명   : RT-발송집계내역(RT_DLVR_TOT_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtDlvrTotDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String dlvrDt  = "";  /* 발송일자 */
    private String dueDt  = "";  /* 납입일자 */
    private String acctUnitCd  = "";  /* 회계단위코드 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String dlvrThngCd  = "";  /* 발송물코드 */
    private String prdtLrgeClasCd  = "";  /* 상품대분류코드 */
    private String prdtMidClasCd  = "";  /* 상품중분류코드 */
    private BigDecimal askCnt  = BigDecimal.ZERO;  /* 청구건수 */
    private BigDecimal askAmt  = BigDecimal.ZERO;  /* 청구금액 */
    private BigDecimal rsndCnt  = BigDecimal.ZERO;  /* 반송건수 */
    private BigDecimal rsndAmt  = BigDecimal.ZERO;  /* 반송금액 */
    private BigDecimal corrCnt  = BigDecimal.ZERO;  /* 보정건수 */
    private BigDecimal corrAmt  = BigDecimal.ZERO;  /* 보정금액 */

    public String getDlvrDt() {
        return dlvrDt;
    }
    public void setDlvrDt(String dlvrDt) {
        this.dlvrDt = dlvrDt;
    }
    public String getDueDt() {
        return dueDt;
    }
    public void setDueDt(String dueDt) {
        this.dueDt = dueDt;
    }
    public String getAcctUnitCd() {
        return acctUnitCd;
    }
    public void setAcctUnitCd(String acctUnitCd) {
        this.acctUnitCd = acctUnitCd;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getDlvrThngCd() {
        return dlvrThngCd;
    }
    public void setDlvrThngCd(String dlvrThngCd) {
        this.dlvrThngCd = dlvrThngCd;
    }
    public String getPrdtLrgeClasCd() {
        return prdtLrgeClasCd;
    }
    public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
        this.prdtLrgeClasCd = prdtLrgeClasCd;
    }
    public String getPrdtMidClasCd() {
        return prdtMidClasCd;
    }
    public void setPrdtMidClasCd(String prdtMidClasCd) {
        this.prdtMidClasCd = prdtMidClasCd;
    }
    public BigDecimal getAskCnt() {
        return askCnt;
    }
    public void setAskCnt(BigDecimal askCnt) {
        this.askCnt = askCnt;
    }
    public BigDecimal getAskAmt() {
        return askAmt;
    }
    public void setAskAmt(BigDecimal askAmt) {
        this.askAmt = askAmt;
    }
    public BigDecimal getRsndCnt() {
        return rsndCnt;
    }
    public void setRsndCnt(BigDecimal rsndCnt) {
        this.rsndCnt = rsndCnt;
    }
    public BigDecimal getRsndAmt() {
        return rsndAmt;
    }
    public void setRsndAmt(BigDecimal rsndAmt) {
        this.rsndAmt = rsndAmt;
    }
    public BigDecimal getCorrCnt() {
        return corrCnt;
    }
    public void setCorrCnt(BigDecimal corrCnt) {
        this.corrCnt = corrCnt;
    }
    public BigDecimal getCorrAmt() {
        return corrAmt;
    }
    public void setCorrAmt(BigDecimal corrAmt) {
        this.corrAmt = corrAmt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
