package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtDsrcChngHistDTO.java Class
 * 클래스설명   : RT-예가수변경이력(RT_DSRC_CHNG_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtDsrcChngHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String dsrcNo  = "";  /* 예가수번호 */
    private long histSnum  = 0;  /* 이력일련번호 */
    private String chngDiv  = "";  /* 변경구분 */
    private String chngBf  = "";  /* 변경전 */
    private String chngAf  = "";  /* 변경후 */
    private String rmrk  = "";  /* 비고 */
    private String empNo = "";  /* 처리자사번 */

    public String getDsrcNo() {
        return dsrcNo;
    }
    public void setDsrcNo(String dsrcNo) {
        this.dsrcNo = dsrcNo;
    }
    public long getHistSnum() {
        return histSnum;
    }
    public void setHistSnum(long histSnum) {
        this.histSnum = histSnum;
    }
    public String getChngDiv() {
        return chngDiv;
    }
    public void setChngDiv(String chngDiv) {
        this.chngDiv = chngDiv;
    }
    public String getChngBf() {
        return chngBf;
    }
    public void setChngBf(String chngBf) {
        this.chngBf = chngBf;
    }
    public String getChngAf() {
        return chngAf;
    }
    public void setChngAf(String chngAf) {
        this.chngAf = chngAf;
    }
    public String getRmrk() {
        return rmrk;
    }
    public void setRmrk(String rmrk) {
        this.rmrk = rmrk;
    }
    public String getEmpNo() {
		return empNo;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
