package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtRcptBaseDTO.java Class
 * 클래스설명   : RT-수납기분(RT_RCPT_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 22.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtRcptBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private long setlNo  = 0;  /* 결제번호 */
    private String acctDt  = "";  /* 회계일자 */
    private String isrtDt  = "";  /* 입력일자 */
    private String acctUnitCd  = "";  /* 회계단위코드 */
    private String isrtDeptCd  = "";  /* 입력부서코드 */
    private String trTpCd  = "";  /* 거래유형코드 */
    private long trSnum  = 0;  /* 거래일련번호 */
    private String prdtCd  = "";  /* 상품코드 */
    private String prdtLrgeClasCd  = "";  /* 상품대분류코드 */
    private String prdtMidClasCd  = "";  /* 상품중분류코드 */
    private String prdtSmClasCd  = "";  /* 상품소분류코드 */
    private String rcptTpCd  = "";  /* 수납유형코드 */
    private String setlDivCd  = "";  /* 결제구분코드 */
    private String dsrcNo  = "";  /* 예가수번호 */
    private String dsrcAdjCd  = "";  /* 예가수정산코드 */
    private String dsrcOccrCd  = "";  /* 예가수발생코드 */
    private String setlFrstRank  = "";  /* 결제우선순위 */
    private String setlDt  = "";  /* 결제일자 */
    private String bankCd  = "";  /* 은행코드 */
    private String acntNo  = "";  /* 계좌번호 */
    private BigDecimal setlAmt  = BigDecimal.ZERO;  /* 결제금액 */
    private BigDecimal dsrcAdjAmt  = BigDecimal.ZERO;  /* 예가수정산금액 */
    private String exmpConsNo  = "";  /* 면제품의번호 */
    private BigDecimal exmpAmt  = BigDecimal.ZERO;  /* 면제금액 */
    private BigDecimal pdueDiscDfee  = BigDecimal.ZERO;  /* 선납할인연체료 */
    private BigDecimal rcptAmt  = BigDecimal.ZERO;  /* 수납금액 */
    private BigDecimal cashAmt  = BigDecimal.ZERO;  /* 현금금액 */
    private BigDecimal chkAmt  = BigDecimal.ZERO;  /* 수표금액 */
    private BigDecimal rcptPamt  = BigDecimal.ZERO;  /* 수납원금 */
    private BigDecimal rcptInt  = BigDecimal.ZERO;  /* 수납이자 */
    private BigDecimal rcptDfee  = BigDecimal.ZERO;  /* 수납연체료 */
    private BigDecimal leglActnCost  = BigDecimal.ZERO;  /* 법적조치비용 */
    private BigDecimal midRmbrPamt  = BigDecimal.ZERO;  /* 중도상환원금 */
    private BigDecimal midRmbrInt  = BigDecimal.ZERO;  /* 중도상환이자 */
    private BigDecimal midRmbrFee  = BigDecimal.ZERO;  /* 중도상환수수료 */
    private long trtFeeDisc  = 0;  /* 취급수수료할인 */
    private BigDecimal crdtRcvrUnrcvAmt  = BigDecimal.ZERO;  /* 신용회복미수금 */
    private BigDecimal exmpPamt  = BigDecimal.ZERO;  /* 면제원금 */
    private BigDecimal exmpInt  = BigDecimal.ZERO;  /* 면제이자 */
    private BigDecimal exmpDfee  = BigDecimal.ZERO;  /* 면제연체료 */
    private BigDecimal exmpLeglActnCost  = BigDecimal.ZERO;  /* 면제법적조치비용 */
    private BigDecimal exmpMidRmbrFee  = BigDecimal.ZERO;  /* 면제중도상환수수료 */
    private BigDecimal dsrcOccrAmt  = BigDecimal.ZERO;  /* 예가수발생금액 */
    private BigDecimal rcptAfPamtRamt  = BigDecimal.ZERO;  /* 수납후원금잔액 */
    private long rcptStrtTims  = 0;  /* 수납시작회차 */
    private long rcptEndTims  = 0;  /* 수납종료회차 */
    private String unCnfmFg  = "";  /* 미확인여부 */
    private String rfndFg  = "";  /* 환불여부 */
    private String exmpFg  = "";  /* 면제여부 */
    private String cnclFg  = "";  /* 취소여부 */
    private String cnclDt  = "";  /* 취소일자 */
    private String loanStatCd  = "";  /* 대출상태코드 */
    private String bndStatCd  = "";  /* 채권상태코드 */
    private String bndDivsEmpNo  = "";  /* 채권담당사원번호 */
    private String dmscDeptCd  = "";  /* 자판부서코드 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private long trTranNo  = 0;  /* 거래이체번호 */
    private String mngAcctUnitCd  = "";  /* 관리회계단위코드 */
    private String flotIzeJobDt  = "";  /* 유동화작업일자 */
    private String flotIzeAdjFg  = "";  /* 유동화정산여부 */
    private String partCnclCd  = "";  /* 부분취소코드 */
    private long planTrSnum  = 0;  /* 계획거래일련번호 */
    private long planSubSnum  = 0;  /* 계획보조일련번호 */
    private BigDecimal rcptPpayInt  = BigDecimal.ZERO;  /* 수납선급이자 */
    private BigDecimal rcptAddInsuFee  = BigDecimal.ZERO;  /* 보험료 */
    private BigDecimal rcptAddCartax  = BigDecimal.ZERO;  /* 차세 */
    private BigDecimal rcptAddEnvImprBrdnamt  = BigDecimal.ZERO;  /* 환개금 */
    private BigDecimal rcptAddAsfee  = BigDecimal.ZERO;  /* 수납가산정비료 */
    private BigDecimal rcptIpayInsuFee  = BigDecimal.ZERO;  /* 수납대지급보험료 */
    private BigDecimal rcptIpayCartax  = BigDecimal.ZERO;  /* 수납대지급자동차세 */
    private BigDecimal rcptIpayEnvImprBrdnamt  = BigDecimal.ZERO;  /* 수납대지급환경개선부담금 */
    private BigDecimal rcptIpayPnltAmt  = BigDecimal.ZERO;  /* 수납대지급범칙금 */
    private BigDecimal rcptIpayEtc  = BigDecimal.ZERO;  /* 수납대지급기타 */
    private BigDecimal rcptVtax  = BigDecimal.ZERO;  /* 수납부가세 */
    private BigDecimal ltrmBrcvAmt  = BigDecimal.ZERO;  /* 장기선수금액 */
    private BigDecimal ramtAmt  = BigDecimal.ZERO;  /* 잔가금액 */
    private BigDecimal guarAmt  = BigDecimal.ZERO;  /* 보증금액 */
    private BigDecimal midRmbrPpayInt  = BigDecimal.ZERO;  /* 중도상환선급이자 */
    private BigDecimal midRmbrAddInsuFee  = BigDecimal.ZERO;  /* 중도상환가산보험료 */
    private BigDecimal midRmbrAddCartax  = BigDecimal.ZERO;  /* 중도상환가산자동차세 */
    private BigDecimal midRmbrAddEnvImprBrdnamt  = BigDecimal.ZERO;  /* 중도상환가산환경개선부담금 */
    private BigDecimal midRmbrAddAsfee  = BigDecimal.ZERO;  /* 중도상환가산정비료 */
    private BigDecimal midRmbrVtax  = BigDecimal.ZERO;  /* 중도상환부가세 */
    private String nmChngDsrcNo  = "";  /* 명의변경예가수번호 */
    private BigDecimal nmChngGuarAmt  = BigDecimal.ZERO;  /* 명의변경보증금 */
    private BigDecimal custCost  = BigDecimal.ZERO;  /* 고객비용 */
    private BigDecimal retnOdueAmt  = BigDecimal.ZERO;  /* 반납지연금액 */
    private BigDecimal overDrvFee  = BigDecimal.ZERO;  /* 초과운행수수료 */
    private BigDecimal orgupRcvrCost  = BigDecimal.ZERO;  /* 원상복구비용 */
    private String carsSellDsrcNo  = "";  /* 차량매각예가수번호 */
    private BigDecimal carsSellAmt  = BigDecimal.ZERO;  /* 차량매각대금 */
    private BigDecimal nmChngExmpGuarAmt  = BigDecimal.ZERO;  /* 명의변경면제보증금 */
    private BigDecimal deprDeprTamt  = BigDecimal.ZERO;  /* 감가상각누계액 */
    private BigDecimal dspLossApprAmt  = BigDecimal.ZERO;  /* 처분손실충당금 */
    private BigDecimal oprLeasAset  = BigDecimal.ZERO;  /* 운용리스자산 */
    private String sysPathCd  = "";  /* 시스템경로코드 */
    private BigDecimal rcptTrtFee  = BigDecimal.ZERO;  /* 수납취급수수료 */
    private BigDecimal exmpTrtFee  = BigDecimal.ZERO;  /* 면제취급수수료 */
    private BigDecimal rcptAfTrtFeeRamt  = BigDecimal.ZERO;  /* 수납후취급수수료잔액 */
    private BigDecimal midRmbrTrtFee  = BigDecimal.ZERO;  /* 중도상환취급수수료 */
    private BigDecimal cdwCost  = BigDecimal.ZERO;  /* 버퍼비용 */
    private BigDecimal gapnotiCost  = BigDecimal.ZERO;  /* 차고지비용 */
    private long bfLoseStrtTims  = 0;  /* 이전상실시작회차 */
    private BigDecimal stmpFee  = BigDecimal.ZERO;  /* 인지대 */

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public long getSetlNo() {
		return setlNo;
	}
	public void setSetlNo(long setlNo) {
		this.setlNo = setlNo;
	}
	public String getAcctDt() {
		return acctDt;
	}
	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}
	public String getIsrtDt() {
		return isrtDt;
	}
	public void setIsrtDt(String isrtDt) {
		this.isrtDt = isrtDt;
	}
	public String getAcctUnitCd() {
		return acctUnitCd;
	}
	public void setAcctUnitCd(String acctUnitCd) {
		this.acctUnitCd = acctUnitCd;
	}
	public String getIsrtDeptCd() {
		return isrtDeptCd;
	}
	public void setIsrtDeptCd(String isrtDeptCd) {
		this.isrtDeptCd = isrtDeptCd;
	}
	public String getTrTpCd() {
		return trTpCd;
	}
	public void setTrTpCd(String trTpCd) {
		this.trTpCd = trTpCd;
	}
	public long getTrSnum() {
		return trSnum;
	}
	public void setTrSnum(long trSnum) {
		this.trSnum = trSnum;
	}
	public String getPrdtCd() {
		return prdtCd;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}
	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}
	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}
	public String getPrdtSmClasCd() {
		return prdtSmClasCd;
	}
	public void setPrdtSmClasCd(String prdtSmClasCd) {
		this.prdtSmClasCd = prdtSmClasCd;
	}
	public String getRcptTpCd() {
		return rcptTpCd;
	}
	public void setRcptTpCd(String rcptTpCd) {
		this.rcptTpCd = rcptTpCd;
	}
	public String getSetlDivCd() {
		return setlDivCd;
	}
	public void setSetlDivCd(String setlDivCd) {
		this.setlDivCd = setlDivCd;
	}
	public String getDsrcNo() {
		return dsrcNo;
	}
	public void setDsrcNo(String dsrcNo) {
		this.dsrcNo = dsrcNo;
	}
	public String getDsrcAdjCd() {
		return dsrcAdjCd;
	}
	public void setDsrcAdjCd(String dsrcAdjCd) {
		this.dsrcAdjCd = dsrcAdjCd;
	}
	public String getDsrcOccrCd() {
		return dsrcOccrCd;
	}
	public void setDsrcOccrCd(String dsrcOccrCd) {
		this.dsrcOccrCd = dsrcOccrCd;
	}
	public String getSetlFrstRank() {
		return setlFrstRank;
	}
	public void setSetlFrstRank(String setlFrstRank) {
		this.setlFrstRank = setlFrstRank;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getBankCd() {
		return bankCd;
	}
	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}
	public String getAcntNo() {
		return acntNo;
	}
	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}
	public BigDecimal getSetlAmt() {
		return setlAmt;
	}
	public void setSetlAmt(BigDecimal setlAmt) {
		this.setlAmt = setlAmt;
	}
	public BigDecimal getDsrcAdjAmt() {
		return dsrcAdjAmt;
	}
	public void setDsrcAdjAmt(BigDecimal dsrcAdjAmt) {
		this.dsrcAdjAmt = dsrcAdjAmt;
	}
	public String getExmpConsNo() {
		return exmpConsNo;
	}
	public void setExmpConsNo(String exmpConsNo) {
		this.exmpConsNo = exmpConsNo;
	}
	public BigDecimal getExmpAmt() {
		return exmpAmt;
	}
	public void setExmpAmt(BigDecimal exmpAmt) {
		this.exmpAmt = exmpAmt;
	}
	public BigDecimal getPdueDiscDfee() {
		return pdueDiscDfee;
	}
	public void setPdueDiscDfee(BigDecimal pdueDiscDfee) {
		this.pdueDiscDfee = pdueDiscDfee;
	}
	public BigDecimal getRcptAmt() {
		return rcptAmt;
	}
	public void setRcptAmt(BigDecimal rcptAmt) {
		this.rcptAmt = rcptAmt;
	}
	public BigDecimal getCashAmt() {
		return cashAmt;
	}
	public void setCashAmt(BigDecimal cashAmt) {
		this.cashAmt = cashAmt;
	}
	public BigDecimal getChkAmt() {
		return chkAmt;
	}
	public void setChkAmt(BigDecimal chkAmt) {
		this.chkAmt = chkAmt;
	}
	public BigDecimal getRcptPamt() {
		return rcptPamt;
	}
	public void setRcptPamt(BigDecimal rcptPamt) {
		this.rcptPamt = rcptPamt;
	}
	public BigDecimal getRcptInt() {
		return rcptInt;
	}
	public void setRcptInt(BigDecimal rcptInt) {
		this.rcptInt = rcptInt;
	}
	public BigDecimal getRcptDfee() {
		return rcptDfee;
	}
	public void setRcptDfee(BigDecimal rcptDfee) {
		this.rcptDfee = rcptDfee;
	}
	public BigDecimal getLeglActnCost() {
		return leglActnCost;
	}
	public void setLeglActnCost(BigDecimal leglActnCost) {
		this.leglActnCost = leglActnCost;
	}
	public BigDecimal getMidRmbrPamt() {
		return midRmbrPamt;
	}
	public void setMidRmbrPamt(BigDecimal midRmbrPamt) {
		this.midRmbrPamt = midRmbrPamt;
	}
	public BigDecimal getMidRmbrInt() {
		return midRmbrInt;
	}
	public void setMidRmbrInt(BigDecimal midRmbrInt) {
		this.midRmbrInt = midRmbrInt;
	}
	public BigDecimal getMidRmbrFee() {
		return midRmbrFee;
	}
	public void setMidRmbrFee(BigDecimal midRmbrFee) {
		this.midRmbrFee = midRmbrFee;
	}
	public long getTrtFeeDisc() {
		return trtFeeDisc;
	}
	public void setTrtFeeDisc(long trtFeeDisc) {
		this.trtFeeDisc = trtFeeDisc;
	}
	public BigDecimal getCrdtRcvrUnrcvAmt() {
		return crdtRcvrUnrcvAmt;
	}
	public void setCrdtRcvrUnrcvAmt(BigDecimal crdtRcvrUnrcvAmt) {
		this.crdtRcvrUnrcvAmt = crdtRcvrUnrcvAmt;
	}
	public BigDecimal getExmpPamt() {
		return exmpPamt;
	}
	public void setExmpPamt(BigDecimal exmpPamt) {
		this.exmpPamt = exmpPamt;
	}
	public BigDecimal getExmpInt() {
		return exmpInt;
	}
	public void setExmpInt(BigDecimal exmpInt) {
		this.exmpInt = exmpInt;
	}
	public BigDecimal getExmpDfee() {
		return exmpDfee;
	}
	public void setExmpDfee(BigDecimal exmpDfee) {
		this.exmpDfee = exmpDfee;
	}
	public BigDecimal getExmpLeglActnCost() {
		return exmpLeglActnCost;
	}
	public void setExmpLeglActnCost(BigDecimal exmpLeglActnCost) {
		this.exmpLeglActnCost = exmpLeglActnCost;
	}
	public BigDecimal getExmpMidRmbrFee() {
		return exmpMidRmbrFee;
	}
	public void setExmpMidRmbrFee(BigDecimal exmpMidRmbrFee) {
		this.exmpMidRmbrFee = exmpMidRmbrFee;
	}
	public BigDecimal getDsrcOccrAmt() {
		return dsrcOccrAmt;
	}
	public void setDsrcOccrAmt(BigDecimal dsrcOccrAmt) {
		this.dsrcOccrAmt = dsrcOccrAmt;
	}
	public BigDecimal getRcptAfPamtRamt() {
		return rcptAfPamtRamt;
	}
	public void setRcptAfPamtRamt(BigDecimal rcptAfPamtRamt) {
		this.rcptAfPamtRamt = rcptAfPamtRamt;
	}
	public long getRcptStrtTims() {
		return rcptStrtTims;
	}
	public void setRcptStrtTims(long rcptStrtTims) {
		this.rcptStrtTims = rcptStrtTims;
	}
	public long getRcptEndTims() {
		return rcptEndTims;
	}
	public void setRcptEndTims(long rcptEndTims) {
		this.rcptEndTims = rcptEndTims;
	}
	public String getUnCnfmFg() {
		return unCnfmFg;
	}
	public void setUnCnfmFg(String unCnfmFg) {
		this.unCnfmFg = unCnfmFg;
	}
	public String getRfndFg() {
		return rfndFg;
	}
	public void setRfndFg(String rfndFg) {
		this.rfndFg = rfndFg;
	}
	public String getExmpFg() {
		return exmpFg;
	}
	public void setExmpFg(String exmpFg) {
		this.exmpFg = exmpFg;
	}
	public String getCnclFg() {
		return cnclFg;
	}
	public void setCnclFg(String cnclFg) {
		this.cnclFg = cnclFg;
	}
	public String getCnclDt() {
		return cnclDt;
	}
	public void setCnclDt(String cnclDt) {
		this.cnclDt = cnclDt;
	}
	public String getLoanStatCd() {
		return loanStatCd;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}
	public String getBndStatCd() {
		return bndStatCd;
	}
	public void setBndStatCd(String bndStatCd) {
		this.bndStatCd = bndStatCd;
	}
	public String getBndDivsEmpNo() {
		return bndDivsEmpNo;
	}
	public void setBndDivsEmpNo(String bndDivsEmpNo) {
		this.bndDivsEmpNo = bndDivsEmpNo;
	}
	public String getDmscDeptCd() {
		return dmscDeptCd;
	}
	public void setDmscDeptCd(String dmscDeptCd) {
		this.dmscDeptCd = dmscDeptCd;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public long getTrTranNo() {
		return trTranNo;
	}
	public void setTrTranNo(long trTranNo) {
		this.trTranNo = trTranNo;
	}
	public String getMngAcctUnitCd() {
		return mngAcctUnitCd;
	}
	public void setMngAcctUnitCd(String mngAcctUnitCd) {
		this.mngAcctUnitCd = mngAcctUnitCd;
	}
	public String getFlotIzeJobDt() {
		return flotIzeJobDt;
	}
	public void setFlotIzeJobDt(String flotIzeJobDt) {
		this.flotIzeJobDt = flotIzeJobDt;
	}
	public String getFlotIzeAdjFg() {
		return flotIzeAdjFg;
	}
	public void setFlotIzeAdjFg(String flotIzeAdjFg) {
		this.flotIzeAdjFg = flotIzeAdjFg;
	}
	public String getPartCnclCd() {
		return partCnclCd;
	}
	public void setPartCnclCd(String partCnclCd) {
		this.partCnclCd = partCnclCd;
	}
	public long getPlanTrSnum() {
		return planTrSnum;
	}
	public void setPlanTrSnum(long planTrSnum) {
		this.planTrSnum = planTrSnum;
	}
	public long getPlanSubSnum() {
		return planSubSnum;
	}
	public void setPlanSubSnum(long planSubSnum) {
		this.planSubSnum = planSubSnum;
	}
	public BigDecimal getRcptPpayInt() {
		return rcptPpayInt;
	}
	public void setRcptPpayInt(BigDecimal rcptPpayInt) {
		this.rcptPpayInt = rcptPpayInt;
	}
	public BigDecimal getRcptAddInsuFee() {
		return rcptAddInsuFee;
	}
	public void setRcptAddInsuFee(BigDecimal rcptAddInsuFee) {
		this.rcptAddInsuFee = rcptAddInsuFee;
	}
	public BigDecimal getRcptAddCartax() {
		return rcptAddCartax;
	}
	public void setRcptAddCartax(BigDecimal rcptAddCartax) {
		this.rcptAddCartax = rcptAddCartax;
	}
	public BigDecimal getRcptAddEnvImprBrdnamt() {
		return rcptAddEnvImprBrdnamt;
	}
	public void setRcptAddEnvImprBrdnamt(BigDecimal rcptAddEnvImprBrdnamt) {
		this.rcptAddEnvImprBrdnamt = rcptAddEnvImprBrdnamt;
	}
	public BigDecimal getRcptAddAsfee() {
		return rcptAddAsfee;
	}
	public void setRcptAddAsfee(BigDecimal rcptAddAsfee) {
		this.rcptAddAsfee = rcptAddAsfee;
	}
	public BigDecimal getRcptIpayInsuFee() {
		return rcptIpayInsuFee;
	}
	public void setRcptIpayInsuFee(BigDecimal rcptIpayInsuFee) {
		this.rcptIpayInsuFee = rcptIpayInsuFee;
	}
	public BigDecimal getRcptIpayCartax() {
		return rcptIpayCartax;
	}
	public void setRcptIpayCartax(BigDecimal rcptIpayCartax) {
		this.rcptIpayCartax = rcptIpayCartax;
	}
	public BigDecimal getRcptIpayEnvImprBrdnamt() {
		return rcptIpayEnvImprBrdnamt;
	}
	public void setRcptIpayEnvImprBrdnamt(BigDecimal rcptIpayEnvImprBrdnamt) {
		this.rcptIpayEnvImprBrdnamt = rcptIpayEnvImprBrdnamt;
	}
	public BigDecimal getRcptIpayPnltAmt() {
		return rcptIpayPnltAmt;
	}
	public void setRcptIpayPnltAmt(BigDecimal rcptIpayPnltAmt) {
		this.rcptIpayPnltAmt = rcptIpayPnltAmt;
	}
	public BigDecimal getRcptIpayEtc() {
		return rcptIpayEtc;
	}
	public void setRcptIpayEtc(BigDecimal rcptIpayEtc) {
		this.rcptIpayEtc = rcptIpayEtc;
	}
	public BigDecimal getRcptVtax() {
		return rcptVtax;
	}
	public void setRcptVtax(BigDecimal rcptVtax) {
		this.rcptVtax = rcptVtax;
	}
	public BigDecimal getLtrmBrcvAmt() {
		return ltrmBrcvAmt;
	}
	public void setLtrmBrcvAmt(BigDecimal ltrmBrcvAmt) {
		this.ltrmBrcvAmt = ltrmBrcvAmt;
	}
	public BigDecimal getRamtAmt() {
		return ramtAmt;
	}
	public void setRamtAmt(BigDecimal ramtAmt) {
		this.ramtAmt = ramtAmt;
	}
	public BigDecimal getGuarAmt() {
		return guarAmt;
	}
	public void setGuarAmt(BigDecimal guarAmt) {
		this.guarAmt = guarAmt;
	}
	public BigDecimal getMidRmbrPpayInt() {
		return midRmbrPpayInt;
	}
	public void setMidRmbrPpayInt(BigDecimal midRmbrPpayInt) {
		this.midRmbrPpayInt = midRmbrPpayInt;
	}
	public BigDecimal getMidRmbrAddInsuFee() {
		return midRmbrAddInsuFee;
	}
	public void setMidRmbrAddInsuFee(BigDecimal midRmbrAddInsuFee) {
		this.midRmbrAddInsuFee = midRmbrAddInsuFee;
	}
	public BigDecimal getMidRmbrAddCartax() {
		return midRmbrAddCartax;
	}
	public void setMidRmbrAddCartax(BigDecimal midRmbrAddCartax) {
		this.midRmbrAddCartax = midRmbrAddCartax;
	}
	public BigDecimal getMidRmbrAddEnvImprBrdnamt() {
		return midRmbrAddEnvImprBrdnamt;
	}
	public void setMidRmbrAddEnvImprBrdnamt(BigDecimal midRmbrAddEnvImprBrdnamt) {
		this.midRmbrAddEnvImprBrdnamt = midRmbrAddEnvImprBrdnamt;
	}
	public BigDecimal getMidRmbrAddAsfee() {
		return midRmbrAddAsfee;
	}
	public void setMidRmbrAddAsfee(BigDecimal midRmbrAddAsfee) {
		this.midRmbrAddAsfee = midRmbrAddAsfee;
	}
	public BigDecimal getMidRmbrVtax() {
		return midRmbrVtax;
	}
	public void setMidRmbrVtax(BigDecimal midRmbrVtax) {
		this.midRmbrVtax = midRmbrVtax;
	}
	public String getNmChngDsrcNo() {
		return nmChngDsrcNo;
	}
	public void setNmChngDsrcNo(String nmChngDsrcNo) {
		this.nmChngDsrcNo = nmChngDsrcNo;
	}
	public BigDecimal getNmChngGuarAmt() {
		return nmChngGuarAmt;
	}
	public void setNmChngGuarAmt(BigDecimal nmChngGuarAmt) {
		this.nmChngGuarAmt = nmChngGuarAmt;
	}
	public BigDecimal getCustCost() {
		return custCost;
	}
	public void setCustCost(BigDecimal custCost) {
		this.custCost = custCost;
	}
	public BigDecimal getRetnOdueAmt() {
		return retnOdueAmt;
	}
	public void setRetnOdueAmt(BigDecimal retnOdueAmt) {
		this.retnOdueAmt = retnOdueAmt;
	}
	public BigDecimal getOverDrvFee() {
		return overDrvFee;
	}
	public void setOverDrvFee(BigDecimal overDrvFee) {
		this.overDrvFee = overDrvFee;
	}
	public BigDecimal getOrgupRcvrCost() {
		return orgupRcvrCost;
	}
	public void setOrgupRcvrCost(BigDecimal orgupRcvrCost) {
		this.orgupRcvrCost = orgupRcvrCost;
	}
	public String getCarsSellDsrcNo() {
		return carsSellDsrcNo;
	}
	public void setCarsSellDsrcNo(String carsSellDsrcNo) {
		this.carsSellDsrcNo = carsSellDsrcNo;
	}
	public BigDecimal getCarsSellAmt() {
		return carsSellAmt;
	}
	public void setCarsSellAmt(BigDecimal carsSellAmt) {
		this.carsSellAmt = carsSellAmt;
	}
	public BigDecimal getNmChngExmpGuarAmt() {
		return nmChngExmpGuarAmt;
	}
	public void setNmChngExmpGuarAmt(BigDecimal nmChngExmpGuarAmt) {
		this.nmChngExmpGuarAmt = nmChngExmpGuarAmt;
	}
	public BigDecimal getDeprDeprTamt() {
		return deprDeprTamt;
	}
	public void setDeprDeprTamt(BigDecimal deprDeprTamt) {
		this.deprDeprTamt = deprDeprTamt;
	}
	public BigDecimal getDspLossApprAmt() {
		return dspLossApprAmt;
	}
	public void setDspLossApprAmt(BigDecimal dspLossApprAmt) {
		this.dspLossApprAmt = dspLossApprAmt;
	}
	public BigDecimal getOprLeasAset() {
		return oprLeasAset;
	}
	public void setOprLeasAset(BigDecimal oprLeasAset) {
		this.oprLeasAset = oprLeasAset;
	}
	public String getSysPathCd() {
		return sysPathCd;
	}
	public void setSysPathCd(String sysPathCd) {
		this.sysPathCd = sysPathCd;
	}
	public BigDecimal getRcptTrtFee() {
		return rcptTrtFee;
	}
	public void setRcptTrtFee(BigDecimal rcptTrtFee) {
		this.rcptTrtFee = rcptTrtFee;
	}
	public BigDecimal getExmpTrtFee() {
		return exmpTrtFee;
	}
	public void setExmpTrtFee(BigDecimal exmpTrtFee) {
		this.exmpTrtFee = exmpTrtFee;
	}
	public BigDecimal getRcptAfTrtFeeRamt() {
		return rcptAfTrtFeeRamt;
	}
	public void setRcptAfTrtFeeRamt(BigDecimal rcptAfTrtFeeRamt) {
		this.rcptAfTrtFeeRamt = rcptAfTrtFeeRamt;
	}
	public BigDecimal getMidRmbrTrtFee() {
		return midRmbrTrtFee;
	}
	public void setMidRmbrTrtFee(BigDecimal midRmbrTrtFee) {
		this.midRmbrTrtFee = midRmbrTrtFee;
	}
	public BigDecimal getCdwCost() {
		return cdwCost;
	}
	public void setCdwCost(BigDecimal cdwCost) {
		this.cdwCost = cdwCost;
	}
	public BigDecimal getGapnotiCost() {
		return gapnotiCost;
	}
	public void setGapnotiCost(BigDecimal gapnotiCost) {
		this.gapnotiCost = gapnotiCost;
	}
	public long getBfLoseStrtTims() {
		return bfLoseStrtTims;
	}
	public void setBfLoseStrtTims(long bfLoseStrtTims) {
		this.bfLoseStrtTims = bfLoseStrtTims;
	}
	public BigDecimal getStmpFee() {
		return stmpFee;
	}
	public void setStmpFee(BigDecimal stmpFee) {
		this.stmpFee = stmpFee;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}

}
