package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtRcptChkDescDTO.java Class
 * 클래스설명   : RT-수납수표내역(RT_RCPT_CHK_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 22.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtRcptChkDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private long setlNo  = 0;  /* 결제번호 */
    private String chkNo  = "";  /* 수표번호 */
    private BigDecimal setlAmt  = BigDecimal.ZERO;  /* 결제금액 */
    private BigDecimal chkAmt  = BigDecimal.ZERO;  /* 수표금액 */
    private String issuBankCd  = "";  /* 발행은행코드 */
    private String issuBrnchCd  = "";  /* 발행지점코드 */
    private String issuDt  = "";  /* 발행일자 */
    private String chkCnfmNo  = "";  /* 수표확인번호 */
    private String cnclFg  = "";  /* 취소여부 */
    private String cnclDt  = "";  /* 취소일자 */
    private String chkReadman  = "";  /* 수표조회자 */
    private String ivltRegFg  = "";  /* 강제등록여부 */
    private String rmrk  = "";  /* 비고 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public long getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(long setlNo) {
        this.setlNo = setlNo;
    }
    public String getChkNo() {
        return chkNo;
    }
    public void setChkNo(String chkNo) {
        this.chkNo = chkNo;
    }
    public BigDecimal getSetlAmt() {
        return setlAmt;
    }
    public void setSetlAmt(BigDecimal setlAmt) {
        this.setlAmt = setlAmt;
    }
    public BigDecimal getChkAmt() {
        return chkAmt;
    }
    public void setChkAmt(BigDecimal chkAmt) {
        this.chkAmt = chkAmt;
    }
    public String getIssuBankCd() {
        return issuBankCd;
    }
    public void setIssuBankCd(String issuBankCd) {
        this.issuBankCd = issuBankCd;
    }
    public String getIssuBrnchCd() {
        return issuBrnchCd;
    }
    public void setIssuBrnchCd(String issuBrnchCd) {
        this.issuBrnchCd = issuBrnchCd;
    }
    public String getIssuDt() {
        return issuDt;
    }
    public void setIssuDt(String issuDt) {
        this.issuDt = issuDt;
    }
    public String getChkCnfmNo() {
        return chkCnfmNo;
    }
    public void setChkCnfmNo(String chkCnfmNo) {
        this.chkCnfmNo = chkCnfmNo;
    }
    public String getCnclFg() {
        return cnclFg;
    }
    public void setCnclFg(String cnclFg) {
        this.cnclFg = cnclFg;
    }
    public String getCnclDt() {
        return cnclDt;
    }
    public void setCnclDt(String cnclDt) {
        this.cnclDt = cnclDt;
    }
    public String getChkReadman() {
        return chkReadman;
    }
    public void setChkReadman(String chkReadman) {
        this.chkReadman = chkReadman;
    }
    public String getIvltRegFg() {
        return ivltRegFg;
    }
    public void setIvltRegFg(String ivltRegFg) {
        this.ivltRegFg = ivltRegFg;
    }
    public String getRmrk() {
        return rmrk;
    }
    public void setRmrk(String rmrk) {
        this.rmrk = rmrk;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
