package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtRcptDescDTO.java Class
 * 클래스설명   : RT-수납내역(RT_RCPT_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 22.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtRcptDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 검색항목 - 계정계 고객정보 중 대출번호 */
    private String loanSeq  = "";  /* 상담대출순번 */
    private long setlNo  = 0;  /* 결제번호 */
    private long setlSnum  = 0;  /* 결제일련번호 */
    private long tims  = 0;  /* 회차 */
    private String dueDt  = "";  /* 납입일자 */
    private String acctDt  = "";  /* 회계일자 */
    private String rcptTpCd  = "";  /* 수납유형코드 */
    private String setlDivCd  = "";  /* 결제구분코드 */
    private String setlDt  = "";  /* 결제일자 */
    private BigDecimal mmPamt  = BigDecimal.ZERO;  /* 월원금 */
    private BigDecimal mmInt  = BigDecimal.ZERO;  /* 월이자 */
    private BigDecimal dfee  = BigDecimal.ZERO;  /* 연체료 */
    private BigDecimal pdueDiscDfee  = BigDecimal.ZERO;  /* 선납할인연체료 */
    private BigDecimal midRmbrPamt  = BigDecimal.ZERO;  /* 중도상환원금 */
    private BigDecimal midRmbrInt  = BigDecimal.ZERO;  /* 중도상환이자 */
    private BigDecimal midRmbrFee  = BigDecimal.ZERO;  /* 중도상환수수료 */
    private BigDecimal trtFeeDisc  = BigDecimal.ZERO;  /* 취급수수료할인 */
    private BigDecimal exmpPamt  = BigDecimal.ZERO;  /* 면제원금 */
    private BigDecimal exmpInt  = BigDecimal.ZERO;  /* 면제이자 */
    private BigDecimal exmpDfee  = BigDecimal.ZERO;  /* 면제연체료 */
    private BigDecimal exmpMidRmbrFee  = BigDecimal.ZERO;  /* 면제중도상환수수료 */
    private String pdueFg  = "";  /* 선납여부 */
    private String dlyFg  = "";  /* 연체여부 */
    private String exmpFg  = "";  /* 면제여부 */
    private String cnclFg  = "";  /* 취소여부 */
    private String cnclDt  = "";  /* 취소일자 */
    private String partCnclCd  = "";  /* 부분취소코드 */
    private BigDecimal ppayInt  = BigDecimal.ZERO;  /* 선급이자 */
    private BigDecimal addInsuFee  = BigDecimal.ZERO;  /* 보험료 */
    private BigDecimal addCartax  = BigDecimal.ZERO;  /* 차세 */
    private BigDecimal addEnvImprBrdnamt  = BigDecimal.ZERO;  /* 환개금 */
    private BigDecimal addAsfee  = BigDecimal.ZERO;  /* 가산정비료 */
    private BigDecimal ipayInsuFee  = BigDecimal.ZERO;  /* 대지급보험료 */
    private BigDecimal ipayCartax  = BigDecimal.ZERO;  /* 대지급자동차세 */
    private BigDecimal ipayEnvImprBrdnamt  = BigDecimal.ZERO;  /* 대지급환경개선부담금 */
    private BigDecimal ipayPnltAmt  = BigDecimal.ZERO;  /* 대지급범칙금 */
    private BigDecimal ipayEtc  = BigDecimal.ZERO;  /* 대지급기타 */
    private BigDecimal vtax  = BigDecimal.ZERO;  /* 부가세 */
    private BigDecimal ltrmBrcvAmt  = BigDecimal.ZERO;  /* 장기선수금액 */
    private BigDecimal ramtAmt  = BigDecimal.ZERO;  /* 잔가금액 */
    private BigDecimal guarAmt  = BigDecimal.ZERO;  /* 보증금 */
    private String endDivCd  = "";  /* 회차구분코드 */
    private BigDecimal trtFee  = BigDecimal.ZERO;  /* 취급수수료 */
    private BigDecimal exmpTrtFee  = BigDecimal.ZERO;  /* 면제취급수수료 */
    private BigDecimal midRmbrTrtFee  = BigDecimal.ZERO;  /* 중도상환취급수수료 */
    private BigDecimal cdwCost  = BigDecimal.ZERO;  /* 버퍼비용 */
    private BigDecimal gapnotiCost  = BigDecimal.ZERO;  /* 차고지비용 */
    private BigDecimal cortMaxAmt  = BigDecimal.ZERO;  /* 법정카드최장연체일수(미해제)금액 */
    private BigDecimal calcMidRmbrFee  = BigDecimal.ZERO;  /* 코드중분류회차금 */
    private BigDecimal calcPsgInt  = BigDecimal.ZERO;  /* 코드기간경과이자잔액 */
    private int orgSetlNo;           //원_결제_번호

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public long getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(long setlNo) {
        this.setlNo = setlNo;
    }
    public long getSetlSnum() {
        return setlSnum;
    }
    public void setSetlSnum(long setlSnum) {
        this.setlSnum = setlSnum;
    }
    public long getTims() {
        return tims;
    }
    public void setTims(long tims) {
        this.tims = tims;
    }
    public String getDueDt() {
        return dueDt;
    }
    public void setDueDt(String dueDt) {
        this.dueDt = dueDt;
    }
    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public String getRcptTpCd() {
        return rcptTpCd;
    }
    public void setRcptTpCd(String rcptTpCd) {
        this.rcptTpCd = rcptTpCd;
    }
    public String getSetlDivCd() {
        return setlDivCd;
    }
    public void setSetlDivCd(String setlDivCd) {
        this.setlDivCd = setlDivCd;
    }
    public String getSetlDt() {
        return setlDt;
    }
    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }
    public BigDecimal getMmPamt() {
        return mmPamt;
    }
    public void setMmPamt(BigDecimal mmPamt) {
        this.mmPamt = mmPamt;
    }
    public BigDecimal getMmInt() {
        return mmInt;
    }
    public void setMmInt(BigDecimal mmInt) {
        this.mmInt = mmInt;
    }
    public BigDecimal getDfee() {
        return dfee;
    }
    public void setDfee(BigDecimal dfee) {
        this.dfee = dfee;
    }
    public BigDecimal getPdueDiscDfee() {
        return pdueDiscDfee;
    }
    public void setPdueDiscDfee(BigDecimal pdueDiscDfee) {
        this.pdueDiscDfee = pdueDiscDfee;
    }
    public BigDecimal getMidRmbrPamt() {
        return midRmbrPamt;
    }
    public void setMidRmbrPamt(BigDecimal midRmbrPamt) {
        this.midRmbrPamt = midRmbrPamt;
    }
    public BigDecimal getMidRmbrInt() {
        return midRmbrInt;
    }
    public void setMidRmbrInt(BigDecimal midRmbrInt) {
        this.midRmbrInt = midRmbrInt;
    }
    public BigDecimal getMidRmbrFee() {
        return midRmbrFee;
    }
    public void setMidRmbrFee(BigDecimal midRmbrFee) {
        this.midRmbrFee = midRmbrFee;
    }
    public BigDecimal getTrtFeeDisc() {
        return trtFeeDisc;
    }
    public void setTrtFeeDisc(BigDecimal trtFeeDisc) {
        this.trtFeeDisc = trtFeeDisc;
    }
    public BigDecimal getExmpPamt() {
        return exmpPamt;
    }
    public void setExmpPamt(BigDecimal exmpPamt) {
        this.exmpPamt = exmpPamt;
    }
    public BigDecimal getExmpInt() {
        return exmpInt;
    }
    public void setExmpInt(BigDecimal exmpInt) {
        this.exmpInt = exmpInt;
    }
    public BigDecimal getExmpDfee() {
        return exmpDfee;
    }
    public void setExmpDfee(BigDecimal exmpDfee) {
        this.exmpDfee = exmpDfee;
    }
    public BigDecimal getExmpMidRmbrFee() {
        return exmpMidRmbrFee;
    }
    public void setExmpMidRmbrFee(BigDecimal exmpMidRmbrFee) {
        this.exmpMidRmbrFee = exmpMidRmbrFee;
    }
    public String getPdueFg() {
        return pdueFg;
    }
    public void setPdueFg(String pdueFg) {
        this.pdueFg = pdueFg;
    }
    public String getDlyFg() {
        return dlyFg;
    }
    public void setDlyFg(String dlyFg) {
        this.dlyFg = dlyFg;
    }
    public String getExmpFg() {
        return exmpFg;
    }
    public void setExmpFg(String exmpFg) {
        this.exmpFg = exmpFg;
    }
    public String getCnclFg() {
        return cnclFg;
    }
    public void setCnclFg(String cnclFg) {
        this.cnclFg = cnclFg;
    }
    public String getCnclDt() {
        return cnclDt;
    }
    public void setCnclDt(String cnclDt) {
        this.cnclDt = cnclDt;
    }
    public String getPartCnclCd() {
        return partCnclCd;
    }
    public void setPartCnclCd(String partCnclCd) {
        this.partCnclCd = partCnclCd;
    }
    public BigDecimal getPpayInt() {
        return ppayInt;
    }
    public void setPpayInt(BigDecimal ppayInt) {
        this.ppayInt = ppayInt;
    }
    public BigDecimal getAddInsuFee() {
        return addInsuFee;
    }
    public void setAddInsuFee(BigDecimal addInsuFee) {
        this.addInsuFee = addInsuFee;
    }
    public BigDecimal getAddCartax() {
        return addCartax;
    }
    public void setAddCartax(BigDecimal addCartax) {
        this.addCartax = addCartax;
    }
    public BigDecimal getAddEnvImprBrdnamt() {
        return addEnvImprBrdnamt;
    }
    public void setAddEnvImprBrdnamt(BigDecimal addEnvImprBrdnamt) {
        this.addEnvImprBrdnamt = addEnvImprBrdnamt;
    }
    public BigDecimal getAddAsfee() {
        return addAsfee;
    }
    public void setAddAsfee(BigDecimal addAsfee) {
        this.addAsfee = addAsfee;
    }
    public BigDecimal getIpayInsuFee() {
        return ipayInsuFee;
    }
    public void setIpayInsuFee(BigDecimal ipayInsuFee) {
        this.ipayInsuFee = ipayInsuFee;
    }
    public BigDecimal getIpayCartax() {
        return ipayCartax;
    }
    public void setIpayCartax(BigDecimal ipayCartax) {
        this.ipayCartax = ipayCartax;
    }
    public BigDecimal getIpayEnvImprBrdnamt() {
        return ipayEnvImprBrdnamt;
    }
    public void setIpayEnvImprBrdnamt(BigDecimal ipayEnvImprBrdnamt) {
        this.ipayEnvImprBrdnamt = ipayEnvImprBrdnamt;
    }
    public BigDecimal getIpayPnltAmt() {
        return ipayPnltAmt;
    }
    public void setIpayPnltAmt(BigDecimal ipayPnltAmt) {
        this.ipayPnltAmt = ipayPnltAmt;
    }
    public BigDecimal getIpayEtc() {
        return ipayEtc;
    }
    public void setIpayEtc(BigDecimal ipayEtc) {
        this.ipayEtc = ipayEtc;
    }
    public BigDecimal getVtax() {
        return vtax;
    }
    public void setVtax(BigDecimal vtax) {
        this.vtax = vtax;
    }
    public BigDecimal getLtrmBrcvAmt() {
        return ltrmBrcvAmt;
    }
    public void setLtrmBrcvAmt(BigDecimal ltrmBrcvAmt) {
        this.ltrmBrcvAmt = ltrmBrcvAmt;
    }
    public BigDecimal getRamtAmt() {
        return ramtAmt;
    }
    public void setRamtAmt(BigDecimal ramtAmt) {
        this.ramtAmt = ramtAmt;
    }
    public BigDecimal getGuarAmt() {
        return guarAmt;
    }
    public void setGuarAmt(BigDecimal guarAmt) {
        this.guarAmt = guarAmt;
    }
    public String getEndDivCd() {
        return endDivCd;
    }
    public void setEndDivCd(String endDivCd) {
        this.endDivCd = endDivCd;
    }
    public BigDecimal getTrtFee() {
        return trtFee;
    }
    public void setTrtFee(BigDecimal trtFee) {
        this.trtFee = trtFee;
    }
    public BigDecimal getExmpTrtFee() {
        return exmpTrtFee;
    }
    public void setExmpTrtFee(BigDecimal exmpTrtFee) {
        this.exmpTrtFee = exmpTrtFee;
    }
    public BigDecimal getMidRmbrTrtFee() {
        return midRmbrTrtFee;
    }
    public void setMidRmbrTrtFee(BigDecimal midRmbrTrtFee) {
        this.midRmbrTrtFee = midRmbrTrtFee;
    }
    public BigDecimal getCdwCost() {
        return cdwCost;
    }
    public void setCdwCost(BigDecimal cdwCost) {
        this.cdwCost = cdwCost;
    }
    public BigDecimal getGapnotiCost() {
        return gapnotiCost;
    }
    public void setGapnotiCost(BigDecimal gapnotiCost) {
        this.gapnotiCost = gapnotiCost;
    }
    public BigDecimal getCortMaxAmt() {
        return cortMaxAmt;
    }
    public void setCortMaxAmt(BigDecimal cortMaxAmt) {
        this.cortMaxAmt = cortMaxAmt;
    }
    public BigDecimal getCalcMidRmbrFee() {
        return calcMidRmbrFee;
    }
    public void setCalcMidRmbrFee(BigDecimal calcMidRmbrFee) {
        this.calcMidRmbrFee = calcMidRmbrFee;
    }
    public BigDecimal getCalcPsgInt() {
        return calcPsgInt;
    }
    public void setCalcPsgInt(BigDecimal calcPsgInt) {
        this.calcPsgInt = calcPsgInt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
    public int getOrgSetlNo() {
        return orgSetlNo;
    }
    public void setOrgSetlNo(int orgSetlNo) {
        this.orgSetlNo = orgSetlNo;
    }

}
