package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtRcptDlyDescDTO.java Class
 * 클래스설명   : RT-수납연체내역(RT_RCPT_DLY_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 22.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtRcptDlyDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private long setlNo  = 0;  /* 결제번호 */
    private long setlSnum  = 0;  /* 결제일련번호 */
    private long tims  = 0;  /* 회차 */
    private String dueDt  = "";  /* 납입일자 */
    private String acctDt  = "";  /* 회계일자 */
    private String setlDt  = "";  /* 결제일자 */
    private BigDecimal mmPamt  = BigDecimal.ZERO;  /* 월원금 */
    private BigDecimal mmInt  = BigDecimal.ZERO;  /* 월이자 */
    private BigDecimal dfee  = BigDecimal.ZERO;  /* 연체료 */
    private long dlyDdcnt  = 0;  /* 연체일수 */
    private long dlyMmCnt  = 0;  /* 연체개월수 */
    private BigDecimal occrDfee  = BigDecimal.ZERO;  /* 발생연체료 */
    private BigDecimal unrcvDfee  = BigDecimal.ZERO;  /* 미수연체료 */
    private BigDecimal adjDfee  = BigDecimal.ZERO;  /* 정산연체료 */
    private BigDecimal exmpDfee  = BigDecimal.ZERO;  /* 면제연체료 */
    private BigDecimal pdueDiscDfee  = BigDecimal.ZERO;  /* 선납할인연체료 */
    private String loseDlyStrtDt  = "";  /* 상실연체시작일자 */
    private String loseDueDt  = "";  /* 상실납입일자 */
    private String loseDt  = "";  /* 상실일자 */
    private BigDecimal loseMmPamt  = BigDecimal.ZERO;  /* 상실월원금 */
    private BigDecimal loseMmInt  = BigDecimal.ZERO;  /* 상실월이자 */
    private BigDecimal losePamtRamt  = BigDecimal.ZERO;  /* 상실원금잔액 */
    private BigDecimal losePiamtDfee  = BigDecimal.ZERO;  /* 상실원리금연체료 */
    private BigDecimal loseIntDfee  = BigDecimal.ZERO;  /* 상실이자연체료 */
    private BigDecimal loseRamtDfee  = BigDecimal.ZERO;  /* 상실잔액연체료 */
    private String loseFg  = "";  /* 상실여부 */
    private String lastSetlDt  = "";  /* 최종결제일자 */
    private String cnclFg  = "";  /* 취소여부 */
    private String cnclDt  = "";  /* 취소일자 */
    private String partCnclCd  = "";  /* 부분취소코드 */
    private BigDecimal ppayInt  = BigDecimal.ZERO;  /* 선급이자 */
    private BigDecimal addInsuFee  = BigDecimal.ZERO;  /* 보험료 */
    private BigDecimal addCartax  = BigDecimal.ZERO;  /* 차세 */
    private BigDecimal addEnvImprBrdnamt  = BigDecimal.ZERO;  /* 환개금 */
    private BigDecimal addAsfee  = BigDecimal.ZERO;  /* 가산정비료 */
    private BigDecimal ipayInsuFee  = BigDecimal.ZERO;  /* 대지급보험료 */
    private BigDecimal ipayCartax  = BigDecimal.ZERO;  /* 대지급자동차세 */
    private BigDecimal ipayEnvImprBrdnamt  = BigDecimal.ZERO;  /* 대지급환경개선부담금 */
    private BigDecimal ipayPnltAmt  = BigDecimal.ZERO;  /* 대지급범칙금 */
    private BigDecimal ipayEtc  = BigDecimal.ZERO;  /* 대지급기타 */
    private BigDecimal vtax  = BigDecimal.ZERO;  /* 부가세 */
    private BigDecimal ltrmBrcvAmt  = BigDecimal.ZERO;  /* 장기선수금액 */
    private BigDecimal ramtAmt  = BigDecimal.ZERO;  /* 잔가금액 */
    private BigDecimal guarAmt  = BigDecimal.ZERO;  /* 보증금액 */
    private BigDecimal trtFee  = BigDecimal.ZERO;  /* 취급수수료 */
    private String loseRvvlFg  = "";  /* 상실부활여부 */
    private String rlDueDt  = "";  /* 실납입일자 */
    private String dlyStrtDt  = "";  /* 연체시작일자 */
    private String dlyCalcStrtDt  = "";  /* 연체계산시작일자 */
    private String loseDlyEndDt  = "";  /* 상실연체종료일자 */
    private BigDecimal loseObjInt  = BigDecimal.ZERO;  /* 상실대상이자 */
    private BigDecimal cdwCost  = BigDecimal.ZERO;  /* 버퍼비용 */
    private BigDecimal gapnotiCost  = BigDecimal.ZERO;  /* 차고지비용 */
    private int orgSetlNo;           //원_결제_번호

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public long getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(long setlNo) {
        this.setlNo = setlNo;
    }
    public long getSetlSnum() {
        return setlSnum;
    }
    public void setSetlSnum(long setlSnum) {
        this.setlSnum = setlSnum;
    }
    public long getTims() {
        return tims;
    }
    public void setTims(long tims) {
        this.tims = tims;
    }
    public String getDueDt() {
        return dueDt;
    }
    public void setDueDt(String dueDt) {
        this.dueDt = dueDt;
    }
    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public String getSetlDt() {
        return setlDt;
    }
    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }
    public BigDecimal getMmPamt() {
        return mmPamt;
    }
    public void setMmPamt(BigDecimal mmPamt) {
        this.mmPamt = mmPamt;
    }
    public BigDecimal getMmInt() {
        return mmInt;
    }
    public void setMmInt(BigDecimal mmInt) {
        this.mmInt = mmInt;
    }
    public BigDecimal getDfee() {
        return dfee;
    }
    public void setDfee(BigDecimal dfee) {
        this.dfee = dfee;
    }
    public long getDlyDdcnt() {
        return dlyDdcnt;
    }
    public void setDlyDdcnt(long dlyDdcnt) {
        this.dlyDdcnt = dlyDdcnt;
    }
    public long getDlyMmCnt() {
        return dlyMmCnt;
    }
    public void setDlyMmCnt(long dlyMmCnt) {
        this.dlyMmCnt = dlyMmCnt;
    }
    public BigDecimal getOccrDfee() {
        return occrDfee;
    }
    public void setOccrDfee(BigDecimal occrDfee) {
        this.occrDfee = occrDfee;
    }
    public BigDecimal getUnrcvDfee() {
        return unrcvDfee;
    }
    public void setUnrcvDfee(BigDecimal unrcvDfee) {
        this.unrcvDfee = unrcvDfee;
    }
    public BigDecimal getAdjDfee() {
        return adjDfee;
    }
    public void setAdjDfee(BigDecimal adjDfee) {
        this.adjDfee = adjDfee;
    }
    public BigDecimal getExmpDfee() {
        return exmpDfee;
    }
    public void setExmpDfee(BigDecimal exmpDfee) {
        this.exmpDfee = exmpDfee;
    }
    public BigDecimal getPdueDiscDfee() {
        return pdueDiscDfee;
    }
    public void setPdueDiscDfee(BigDecimal pdueDiscDfee) {
        this.pdueDiscDfee = pdueDiscDfee;
    }
    public String getLoseDlyStrtDt() {
        return loseDlyStrtDt;
    }
    public void setLoseDlyStrtDt(String loseDlyStrtDt) {
        this.loseDlyStrtDt = loseDlyStrtDt;
    }
    public String getLoseDueDt() {
        return loseDueDt;
    }
    public void setLoseDueDt(String loseDueDt) {
        this.loseDueDt = loseDueDt;
    }
    public String getLoseDt() {
        return loseDt;
    }
    public void setLoseDt(String loseDt) {
        this.loseDt = loseDt;
    }
    public BigDecimal getLoseMmPamt() {
        return loseMmPamt;
    }
    public void setLoseMmPamt(BigDecimal loseMmPamt) {
        this.loseMmPamt = loseMmPamt;
    }
    public BigDecimal getLoseMmInt() {
        return loseMmInt;
    }
    public void setLoseMmInt(BigDecimal loseMmInt) {
        this.loseMmInt = loseMmInt;
    }
    public BigDecimal getLosePamtRamt() {
        return losePamtRamt;
    }
    public void setLosePamtRamt(BigDecimal losePamtRamt) {
        this.losePamtRamt = losePamtRamt;
    }
    public BigDecimal getLosePiamtDfee() {
        return losePiamtDfee;
    }
    public void setLosePiamtDfee(BigDecimal losePiamtDfee) {
        this.losePiamtDfee = losePiamtDfee;
    }
    public BigDecimal getLoseIntDfee() {
        return loseIntDfee;
    }
    public void setLoseIntDfee(BigDecimal loseIntDfee) {
        this.loseIntDfee = loseIntDfee;
    }
    public BigDecimal getLoseRamtDfee() {
        return loseRamtDfee;
    }
    public void setLoseRamtDfee(BigDecimal loseRamtDfee) {
        this.loseRamtDfee = loseRamtDfee;
    }
    public String getLoseFg() {
        return loseFg;
    }
    public void setLoseFg(String loseFg) {
        this.loseFg = loseFg;
    }
    public String getLastSetlDt() {
        return lastSetlDt;
    }
    public void setLastSetlDt(String lastSetlDt) {
        this.lastSetlDt = lastSetlDt;
    }
    public String getCnclFg() {
        return cnclFg;
    }
    public void setCnclFg(String cnclFg) {
        this.cnclFg = cnclFg;
    }
    public String getCnclDt() {
        return cnclDt;
    }
    public void setCnclDt(String cnclDt) {
        this.cnclDt = cnclDt;
    }
    public String getPartCnclCd() {
        return partCnclCd;
    }
    public void setPartCnclCd(String partCnclCd) {
        this.partCnclCd = partCnclCd;
    }
    public BigDecimal getPpayInt() {
        return ppayInt;
    }
    public void setPpayInt(BigDecimal ppayInt) {
        this.ppayInt = ppayInt;
    }
    public BigDecimal getAddInsuFee() {
        return addInsuFee;
    }
    public void setAddInsuFee(BigDecimal addInsuFee) {
        this.addInsuFee = addInsuFee;
    }
    public BigDecimal getAddCartax() {
        return addCartax;
    }
    public void setAddCartax(BigDecimal addCartax) {
        this.addCartax = addCartax;
    }
    public BigDecimal getAddEnvImprBrdnamt() {
        return addEnvImprBrdnamt;
    }
    public void setAddEnvImprBrdnamt(BigDecimal addEnvImprBrdnamt) {
        this.addEnvImprBrdnamt = addEnvImprBrdnamt;
    }
    public BigDecimal getAddAsfee() {
        return addAsfee;
    }
    public void setAddAsfee(BigDecimal addAsfee) {
        this.addAsfee = addAsfee;
    }
    public BigDecimal getIpayInsuFee() {
        return ipayInsuFee;
    }
    public void setIpayInsuFee(BigDecimal ipayInsuFee) {
        this.ipayInsuFee = ipayInsuFee;
    }
    public BigDecimal getIpayCartax() {
        return ipayCartax;
    }
    public void setIpayCartax(BigDecimal ipayCartax) {
        this.ipayCartax = ipayCartax;
    }
    public BigDecimal getIpayEnvImprBrdnamt() {
        return ipayEnvImprBrdnamt;
    }
    public void setIpayEnvImprBrdnamt(BigDecimal ipayEnvImprBrdnamt) {
        this.ipayEnvImprBrdnamt = ipayEnvImprBrdnamt;
    }
    public BigDecimal getIpayPnltAmt() {
        return ipayPnltAmt;
    }
    public void setIpayPnltAmt(BigDecimal ipayPnltAmt) {
        this.ipayPnltAmt = ipayPnltAmt;
    }
    public BigDecimal getIpayEtc() {
        return ipayEtc;
    }
    public void setIpayEtc(BigDecimal ipayEtc) {
        this.ipayEtc = ipayEtc;
    }
    public BigDecimal getVtax() {
        return vtax;
    }
    public void setVtax(BigDecimal vtax) {
        this.vtax = vtax;
    }
    public BigDecimal getLtrmBrcvAmt() {
        return ltrmBrcvAmt;
    }
    public void setLtrmBrcvAmt(BigDecimal ltrmBrcvAmt) {
        this.ltrmBrcvAmt = ltrmBrcvAmt;
    }
    public BigDecimal getRamtAmt() {
        return ramtAmt;
    }
    public void setRamtAmt(BigDecimal ramtAmt) {
        this.ramtAmt = ramtAmt;
    }
    public BigDecimal getGuarAmt() {
        return guarAmt;
    }
    public void setGuarAmt(BigDecimal guarAmt) {
        this.guarAmt = guarAmt;
    }
    public BigDecimal getTrtFee() {
        return trtFee;
    }
    public void setTrtFee(BigDecimal trtFee) {
        this.trtFee = trtFee;
    }
    public String getLoseRvvlFg() {
        return loseRvvlFg;
    }
    public void setLoseRvvlFg(String loseRvvlFg) {
        this.loseRvvlFg = loseRvvlFg;
    }
    public String getRlDueDt() {
        return rlDueDt;
    }
    public void setRlDueDt(String rlDueDt) {
        this.rlDueDt = rlDueDt;
    }
    public String getDlyStrtDt() {
        return dlyStrtDt;
    }
    public void setDlyStrtDt(String dlyStrtDt) {
        this.dlyStrtDt = dlyStrtDt;
    }
    public String getDlyCalcStrtDt() {
        return dlyCalcStrtDt;
    }
    public void setDlyCalcStrtDt(String dlyCalcStrtDt) {
        this.dlyCalcStrtDt = dlyCalcStrtDt;
    }
    public String getLoseDlyEndDt() {
        return loseDlyEndDt;
    }
    public void setLoseDlyEndDt(String loseDlyEndDt) {
        this.loseDlyEndDt = loseDlyEndDt;
    }
    public BigDecimal getLoseObjInt() {
        return loseObjInt;
    }
    public void setLoseObjInt(BigDecimal loseObjInt) {
        this.loseObjInt = loseObjInt;
    }
    public BigDecimal getCdwCost() {
        return cdwCost;
    }
    public void setCdwCost(BigDecimal cdwCost) {
        this.cdwCost = cdwCost;
    }
    public BigDecimal getGapnotiCost() {
        return gapnotiCost;
    }
    public void setGapnotiCost(BigDecimal gapnotiCost) {
        this.gapnotiCost = gapnotiCost;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
    public int getOrgSetlNo() {
        return orgSetlNo;
    }
    public void setOrgSetlNo(int orgSetlNo) {
        this.orgSetlNo = orgSetlNo;
    }
}
