package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtRcptDsrcDescDTO.java Class
 * 클래스설명   : RT_수납_예가수_내역(RT_RCPT_DSRC_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtRcptDsrcDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String dsrcNo = "";           /* 예가수_번호 */
    private long dsrcSnum = 0;           /* 예가수_일련번호 */
    private String loanNo = "";           /* 대출_번호 */
    private String loanSeq = "";          /* 대출_순번 */
    private long setlNo = 0;             /* 결제_번호 */
    private String rcptTpCd = "";         /* 수납_유형_코드[수납_유형_코드(GUBUN_CODE:R00012)] */
    private String acctDt = "";           /* 회계_일자 */
    private String dsrcOccrCd = "";       /* 예가수_발생_코드[예가수발생코드(GUBUN_CODE:R00001)] */
    private String dsrcAdjCd = "";        /* 예가수_정산_코드[예가수정산코드(GUBUN_CODE:R00002)] */
    private String setlDt = "";           /* 결제일자 */
    private BigDecimal dsrcOccrAmt = BigDecimal.ZERO;  /* 예가수_발생_금액 */
    private BigDecimal dsrcRamt = BigDecimal.ZERO;     /* 예가수_잔액 */
    private BigDecimal dsrcAdjAmt = BigDecimal.ZERO;   /* 예가수_정산_금액 */
    private String isrtDeptCd = "";       /* 입력_부서_코드[입력부서코드(HT_ORG참조)] */
    private String adjDeptCd = "";        /* 정산_부서_코드[정산부서코드(HT_ORG참조)] */
    private String rmk = "";              /* 적요 */
    private String cnclFg = "";           /* 취소_여부 */
    private String cnclDt = "";           /* 취소_일자 */
    private String custNo = "";           /* 고객_번호 */

	public String getDsrcNo() {
		return dsrcNo;
	}
	public void setDsrcNo(String dsrcNo) {
		this.dsrcNo = dsrcNo;
	}
	public long getDsrcSnum() {
		return dsrcSnum;
	}
	public void setDsrcSnum(long dsrcSnum) {
		this.dsrcSnum = dsrcSnum;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public long getSetlNo() {
		return setlNo;
	}
	public void setSetlNo(long setlNo) {
		this.setlNo = setlNo;
	}
	public String getRcptTpCd() {
		return rcptTpCd;
	}
	public void setRcptTpCd(String rcptTpCd) {
		this.rcptTpCd = rcptTpCd;
	}
	public String getAcctDt() {
		return acctDt;
	}
	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}
	public String getDsrcOccrCd() {
		return dsrcOccrCd;
	}
	public void setDsrcOccrCd(String dsrcOccrCd) {
		this.dsrcOccrCd = dsrcOccrCd;
	}
	public String getDsrcAdjCd() {
		return dsrcAdjCd;
	}
	public void setDsrcAdjCd(String dsrcAdjCd) {
		this.dsrcAdjCd = dsrcAdjCd;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public BigDecimal getDsrcOccrAmt() {
		return dsrcOccrAmt;
	}
	public void setDsrcOccrAmt(BigDecimal dsrcOccrAmt) {
		this.dsrcOccrAmt = dsrcOccrAmt;
	}
	public BigDecimal getDsrcRamt() {
		return dsrcRamt;
	}
	public void setDsrcRamt(BigDecimal dsrcRamt) {
		this.dsrcRamt = dsrcRamt;
	}
	public BigDecimal getDsrcAdjAmt() {
		return dsrcAdjAmt;
	}
	public void setDsrcAdjAmt(BigDecimal dsrcAdjAmt) {
		this.dsrcAdjAmt = dsrcAdjAmt;
	}
	public String getIsrtDeptCd() {
		return isrtDeptCd;
	}
	public void setIsrtDeptCd(String isrtDeptCd) {
		this.isrtDeptCd = isrtDeptCd;
	}
	public String getAdjDeptCd() {
		return adjDeptCd;
	}
	public void setAdjDeptCd(String adjDeptCd) {
		this.adjDeptCd = adjDeptCd;
	}
	public String getRmk() {
		return rmk;
	}
	public void setRmk(String rmk) {
		this.rmk = rmk;
	}
	public String getCnclFg() {
		return cnclFg;
	}
	public void setCnclFg(String cnclFg) {
		this.cnclFg = cnclFg;
	}
	public String getCnclDt() {
		return cnclDt;
	}
	public void setCnclDt(String cnclDt) {
		this.cnclDt = cnclDt;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
}
