package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtRcptPdueDescDTO.java Class
 * 클래스설명   : RT_수납_선납_내역(RT_RCPT_PDUE_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70279 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtRcptPdueDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo = "";                          /* 대출_번호 */
    private String loanSeq = "";                         /* 대출_순번 */
    private long setlNo = 0;                            /* 결제_번호 */
    private long setlSnum = 0;                          /* 결제_일련번호 */
    private String occrAdjDivCd = "";                    /* 발생_정산_구분코드[발생_정산_구분코드(GUBUN_CODE:R00009)] */
    private BigDecimal pdueDiscDfee = BigDecimal.ZERO;   /* 선납_할인_연체료 */
    private String cnclFg = "";                          /* 취소_여부 */
    private String cnclDt = "";                          /* 취소_일자 */
    private String partCnclCd = "";                      /* 부분_취소_코드[부분_취소_코드(GUBUN_CODE:R00066)] */
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public long getSetlNo() {
		return setlNo;
	}
	public void setSetlNo(long setlNo) {
		this.setlNo = setlNo;
	}
	public long getSetlSnum() {
		return setlSnum;
	}
	public void setSetlSnum(long setlSnum) {
		this.setlSnum = setlSnum;
	}
	public String getOccrAdjDivCd() {
		return occrAdjDivCd;
	}
	public void setOccrAdjDivCd(String occrAdjDivCd) {
		this.occrAdjDivCd = occrAdjDivCd;
	}
	public BigDecimal getPdueDiscDfee() {
		return pdueDiscDfee;
	}
	public void setPdueDiscDfee(BigDecimal pdueDiscDfee) {
		this.pdueDiscDfee = pdueDiscDfee;
	}
	public String getCnclFg() {
		return cnclFg;
	}
	public void setCnclFg(String cnclFg) {
		this.cnclFg = cnclFg;
	}
	public String getCnclDt() {
		return cnclDt;
	}
	public void setCnclDt(String cnclDt) {
		this.cnclDt = cnclDt;
	}
	public String getPartCnclCd() {
		return partCnclCd;
	}
	public void setPartCnclCd(String partCnclCd) {
		this.partCnclCd = partCnclCd;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}

}
