package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtRcptRfndAsocOutDescDTO.java Class
 * 클래스설명   : RT-수납환불조합출금내역(RT_RCPT_RFND_ASOC_OUT_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtRcptRfndAsocOutDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String dsrcNo  = "";  /* 예가수번호 */
    private String payCase  = "";  /* 승인취소구분 */
    private long rfndSnum  = 0;  /* 환불일련번호 */
    private String loanNo  = "";  /* 대출번호 */
    private String custNo  = "";  /* 고객번호 */
    private String custNm  = "";  /* 고객명 */
    private String acntNo  = "";  /* 계좌번호 */
    private String bankCd  = "";  /* 은행코드 */
    private String bankNm  = "";  /* 은행명 */
    private String virtAcctIsps  = "";  /* 가상계좌발급인 */
    private BigDecimal dsrcAdjAmt  = BigDecimal.ZERO;  /* 예가수정산금액 */
    private String setlDt  = "";  /* 결제일자 */
    private String setlTm  = "";  /* 결제시간 */
    private String rqstEmpNo  = "";  /* 요청사원번호 */
    private String ioDivCd  = "";  /* 입출구분코드 */
    private String resTranKey  = "";  /* 응답대출수납거래KEY */
    private String resPayCase  = "";  /* 응답승인취소구분 */
    private String resPaySeq  = "";  /* 응답결제순번 */

    public String getDsrcNo() {
        return dsrcNo;
    }
    public void setDsrcNo(String dsrcNo) {
        this.dsrcNo = dsrcNo;
    }
    public String getPayCase() {
        return payCase;
    }
    public void setPayCase(String payCase) {
        this.payCase = payCase;
    }
    public long getRfndSnum() {
        return rfndSnum;
    }
    public void setRfndSnum(long rfndSnum) {
        this.rfndSnum = rfndSnum;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getBankNm() {
        return bankNm;
    }
    public void setBankNm(String bankNm) {
        this.bankNm = bankNm;
    }
    public String getVirtAcctIsps() {
        return virtAcctIsps;
    }
    public void setVirtAcctIsps(String virtAcctIsps) {
        this.virtAcctIsps = virtAcctIsps;
    }
    public BigDecimal getDsrcAdjAmt() {
        return dsrcAdjAmt;
    }
    public void setDsrcAdjAmt(BigDecimal dsrcAdjAmt) {
        this.dsrcAdjAmt = dsrcAdjAmt;
    }
    public String getSetlDt() {
        return setlDt;
    }
    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }
    public String getSetlTm() {
        return setlTm;
    }
    public void setSetlTm(String setlTm) {
        this.setlTm = setlTm;
    }
    public String getRqstEmpNo() {
        return rqstEmpNo;
    }
    public void setRqstEmpNo(String rqstEmpNo) {
        this.rqstEmpNo = rqstEmpNo;
    }
    public String getIoDivCd() {
        return ioDivCd;
    }
    public void setIoDivCd(String ioDivCd) {
        this.ioDivCd = ioDivCd;
    }
    public String getResTranKey() {
        return resTranKey;
    }
    public void setResTranKey(String resTranKey) {
        this.resTranKey = resTranKey;
    }
    public String getResPayCase() {
        return resPayCase;
    }
    public void setResPayCase(String resPayCase) {
        this.resPayCase = resPayCase;
    }
    public String getResPaySeq() {
        return resPaySeq;
    }
    public void setResPaySeq(String resPaySeq) {
        this.resPaySeq = resPaySeq;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
