package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtRcptRfndDescDTO.java Class
 * 클래스설명   : RT-수납환불내역(RT_RCPT_RFND_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtRcptRfndDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String dsrcNo  = "";  /* 예가수번호 */
    private long rfndSnum  = 0;  /* 환불일련번호 */
    private String rfndLoanNo  = "";  /* 환불대출번호 */
    private String rfndLoanSeq  = "";  /* 환불대출순번 */
    private String rfndDt  = "";  /* 환불일자 */
    private String acctDt  = "";  /* 회계일자 */
    private String rfndStatCd  = "";  /* 환불상태코드 */
    private String rcptTpCd  = "";  /* 수납유형코드 */
    private String rfndRsnCd  = "";  /* 환불사유코드 */
    private BigDecimal dsrcOccrAmt  = BigDecimal.ZERO;  /* 예가수발생금액 */
    private BigDecimal dsrcRamt  = BigDecimal.ZERO;  /* 예가수잔액 */
    private BigDecimal dsrcAdjAmt  = BigDecimal.ZERO;  /* 예가수정산금액 */
    private String autoTranAplyFg  = "";  /* 자동이체적용여부 */
    private String bankCd  = "";  /* 은행코드 */
    private String acntNo  = "";  /* 계좌번호 */
    private String depoOwnNo  = "";  /* 예금주번호 */
    private String depoOwnnm  = "";  /* 예금주명 */
    private String depoOwnRelCd  = "";  /* 예금주관계코드 */
    private String acntCnfmNo  = "";  /* 계좌확인번호 */
    private String acntCnfmDt  = "";  /* 계좌확인일자 */
    private String acntCnfmTm  = "";  /* 계좌확인시각 */
    private String acntRsltCd  = "";  /* 계좌결과코드 */
    private String ivltRegFg  = "";  /* 강제등록여부 */
    private String cnfmDepoOwnnm  = "";  /* 확인예금주명 */
    private String payNo  = "";  /* 지급번호 */
    private String rfndRsltCd  = "";  /* 환불결과코드 */
    private String isrtDeptCd  = "";  /* 입력부서코드 */
    private String adjDeptCd  = "";  /* 정산부서코드 */
    private long dsrcSnum  = 0;  /* 예가수일련번호 */
    private String setlFg  = "";  /* 결제여부 */
    private long setlNo  = 0;  /* 결제번호 */
    private String cnclFg  = "";  /* 취소여부 */
    private String cnclDt  = "";  /* 취소일자 */
    private long cnclDsrcSnum  = 0;  /* 취소예가수일련번호 */
    private String cnclSetlFg  = "";  /* 취소결제여부 */
    private long cnclSetlNo  = 0;  /* 취소결제번호 */
    private String trOrgCd  = "";  /* 거래기관코드 */
    private String sysPathCd  = "";  /* 시스템경로코드 */
    private String cntcPlcTel1  = "";  /* 연락처전화1 */
    private String cntcPlcTel2  = "";  /* 연락처전화2 */
    private String cntcPlcTel3  = "";  /* 연락처전화3 */
    private String smsSendStatCd  = "";  /* SMS전송상태코드 */
    private String smsSendTxt  = "";  /* SMS전송문자 */
    private String smsSendFg  = "";  /* SMS전송여부 */
    private String payAgrDocRecpDt  = "";  /* 지급동의서수령일자 */

    public String getDsrcNo() {
        return dsrcNo;
    }
    public void setDsrcNo(String dsrcNo) {
        this.dsrcNo = dsrcNo;
    }
    public long getRfndSnum() {
        return rfndSnum;
    }
    public void setRfndSnum(long rfndSnum) {
        this.rfndSnum = rfndSnum;
    }
    public String getRfndLoanNo() {
        return rfndLoanNo;
    }
    public void setRfndLoanNo(String rfndLoanNo) {
        this.rfndLoanNo = rfndLoanNo;
    }
    public String getRfndLoanSeq() {
        return rfndLoanSeq;
    }
    public void setRfndLoanSeq(String rfndLoanSeq) {
        this.rfndLoanSeq = rfndLoanSeq;
    }
    public String getRfndDt() {
        return rfndDt;
    }
    public void setRfndDt(String rfndDt) {
        this.rfndDt = rfndDt;
    }
    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public String getRfndStatCd() {
        return rfndStatCd;
    }
    public void setRfndStatCd(String rfndStatCd) {
        this.rfndStatCd = rfndStatCd;
    }
    public String getRcptTpCd() {
        return rcptTpCd;
    }
    public void setRcptTpCd(String rcptTpCd) {
        this.rcptTpCd = rcptTpCd;
    }
    public String getRfndRsnCd() {
        return rfndRsnCd;
    }
    public void setRfndRsnCd(String rfndRsnCd) {
        this.rfndRsnCd = rfndRsnCd;
    }
    public BigDecimal getDsrcOccrAmt() {
        return dsrcOccrAmt;
    }
    public void setDsrcOccrAmt(BigDecimal dsrcOccrAmt) {
        this.dsrcOccrAmt = dsrcOccrAmt;
    }
    public BigDecimal getDsrcRamt() {
        return dsrcRamt;
    }
    public void setDsrcRamt(BigDecimal dsrcRamt) {
        this.dsrcRamt = dsrcRamt;
    }
    public BigDecimal getDsrcAdjAmt() {
        return dsrcAdjAmt;
    }
    public void setDsrcAdjAmt(BigDecimal dsrcAdjAmt) {
        this.dsrcAdjAmt = dsrcAdjAmt;
    }
    public String getAutoTranAplyFg() {
        return autoTranAplyFg;
    }
    public void setAutoTranAplyFg(String autoTranAplyFg) {
        this.autoTranAplyFg = autoTranAplyFg;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getDepoOwnNo() {
        return depoOwnNo;
    }
    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }
    public String getDepoOwnnm() {
        return depoOwnnm;
    }
    public void setDepoOwnnm(String depoOwnnm) {
        this.depoOwnnm = depoOwnnm;
    }
    public String getDepoOwnRelCd() {
        return depoOwnRelCd;
    }
    public void setDepoOwnRelCd(String depoOwnRelCd) {
        this.depoOwnRelCd = depoOwnRelCd;
    }
    public String getAcntCnfmNo() {
        return acntCnfmNo;
    }
    public void setAcntCnfmNo(String acntCnfmNo) {
        this.acntCnfmNo = acntCnfmNo;
    }
    public String getAcntCnfmDt() {
        return acntCnfmDt;
    }
    public void setAcntCnfmDt(String acntCnfmDt) {
        this.acntCnfmDt = acntCnfmDt;
    }
    public String getAcntCnfmTm() {
        return acntCnfmTm;
    }
    public void setAcntCnfmTm(String acntCnfmTm) {
        this.acntCnfmTm = acntCnfmTm;
    }
    public String getAcntRsltCd() {
        return acntRsltCd;
    }
    public void setAcntRsltCd(String acntRsltCd) {
        this.acntRsltCd = acntRsltCd;
    }
    public String getIvltRegFg() {
        return ivltRegFg;
    }
    public void setIvltRegFg(String ivltRegFg) {
        this.ivltRegFg = ivltRegFg;
    }
    public String getCnfmDepoOwnnm() {
        return cnfmDepoOwnnm;
    }
    public void setCnfmDepoOwnnm(String cnfmDepoOwnnm) {
        this.cnfmDepoOwnnm = cnfmDepoOwnnm;
    }
    public String getPayNo() {
        return payNo;
    }
    public void setPayNo(String payNo) {
        this.payNo = payNo;
    }
    public String getRfndRsltCd() {
        return rfndRsltCd;
    }
    public void setRfndRsltCd(String rfndRsltCd) {
        this.rfndRsltCd = rfndRsltCd;
    }
    public String getIsrtDeptCd() {
        return isrtDeptCd;
    }
    public void setIsrtDeptCd(String isrtDeptCd) {
        this.isrtDeptCd = isrtDeptCd;
    }
    public String getAdjDeptCd() {
        return adjDeptCd;
    }
    public void setAdjDeptCd(String adjDeptCd) {
        this.adjDeptCd = adjDeptCd;
    }
    public long getDsrcSnum() {
        return dsrcSnum;
    }
    public void setDsrcSnum(long dsrcSnum) {
        this.dsrcSnum = dsrcSnum;
    }
    public String getSetlFg() {
        return setlFg;
    }
    public void setSetlFg(String setlFg) {
        this.setlFg = setlFg;
    }
    public long getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(long setlNo) {
        this.setlNo = setlNo;
    }
    public String getCnclFg() {
        return cnclFg;
    }
    public void setCnclFg(String cnclFg) {
        this.cnclFg = cnclFg;
    }
    public String getCnclDt() {
        return cnclDt;
    }
    public void setCnclDt(String cnclDt) {
        this.cnclDt = cnclDt;
    }
    public long getCnclDsrcSnum() {
        return cnclDsrcSnum;
    }
    public void setCnclDsrcSnum(long cnclDsrcSnum) {
        this.cnclDsrcSnum = cnclDsrcSnum;
    }
    public String getCnclSetlFg() {
        return cnclSetlFg;
    }
    public void setCnclSetlFg(String cnclSetlFg) {
        this.cnclSetlFg = cnclSetlFg;
    }
    public long getCnclSetlNo() {
        return cnclSetlNo;
    }
    public void setCnclSetlNo(long cnclSetlNo) {
        this.cnclSetlNo = cnclSetlNo;
    }
    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }
    public String getSysPathCd() {
        return sysPathCd;
    }
    public void setSysPathCd(String sysPathCd) {
        this.sysPathCd = sysPathCd;
    }
    public String getCntcPlcTel1() {
        return cntcPlcTel1;
    }
    public void setCntcPlcTel1(String cntcPlcTel1) {
        this.cntcPlcTel1 = cntcPlcTel1;
    }
    public String getCntcPlcTel2() {
        return cntcPlcTel2;
    }
    public void setCntcPlcTel2(String cntcPlcTel2) {
        this.cntcPlcTel2 = cntcPlcTel2;
    }
    public String getCntcPlcTel3() {
        return cntcPlcTel3;
    }
    public void setCntcPlcTel3(String cntcPlcTel3) {
        this.cntcPlcTel3 = cntcPlcTel3;
    }
    public String getSmsSendStatCd() {
        return smsSendStatCd;
    }
    public void setSmsSendStatCd(String smsSendStatCd) {
        this.smsSendStatCd = smsSendStatCd;
    }
    public String getSmsSendTxt() {
        return smsSendTxt;
    }
    public void setSmsSendTxt(String smsSendTxt) {
        this.smsSendTxt = smsSendTxt;
    }
    public String getSmsSendFg() {
        return smsSendFg;
    }
    public void setSmsSendFg(String smsSendFg) {
        this.smsSendFg = smsSendFg;
    }
    public String getPayAgrDocRecpDt() {
        return payAgrDocRecpDt;
    }
    public void setPayAgrDocRecpDt(String payAgrDocRecpDt) {
        this.payAgrDocRecpDt = payAgrDocRecpDt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
