package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtTrBankDescDTO.java Class
 * 클래스설명   : RT-거래은행내역(RT_TR_BANK_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtTrBankDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String rcptTpCd  = "";  /* 수납유형코드 */
    private String bankCd  = "";  /* 은행코드 */
    private long bankSnum  = 0;  /* 코드전입 */
    private String strtDueDt  = "";  /* 시작납입일자 */
    private String endDueDt  = "";  /* 종료납입일자 */
    private String trOrgCd  = "";  /* 거래기관코드 */

    public String getRcptTpCd() {
        return rcptTpCd;
    }
    public void setRcptTpCd(String rcptTpCd) {
        this.rcptTpCd = rcptTpCd;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public long getBankSnum() {
        return bankSnum;
    }
    public void setBankSnum(long bankSnum) {
        this.bankSnum = bankSnum;
    }
    public String getStrtDueDt() {
        return strtDueDt;
    }
    public void setStrtDueDt(String strtDueDt) {
        this.strtDueDt = strtDueDt;
    }
    public String getEndDueDt() {
        return endDueDt;
    }
    public void setEndDueDt(String endDueDt) {
        this.endDueDt = endDueDt;
    }
    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
