package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtTrOrgDescDTO.java Class
 * 클래스설명   : RT-거래기관내역(RT_TR_ORG_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtTrOrgDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String trOrgCd  = "";  /* 거래기관코드 */
    private long snum  = 0;  /* 일련번호 */
    private String rcptTpCd  = "";  /* 수납유형코드 */
    private String bankCd  = "";  /* 은행코드 */
    private String useFg  = "";  /* 사용여부 */
    private String strtDt  = "";  /* 시작일자 */
    private String endDt  = "";  /* 종료일자 */

    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }
    public long getSnum() {
        return snum;
    }
    public void setSnum(long snum) {
        this.snum = snum;
    }
    public String getRcptTpCd() {
        return rcptTpCd;
    }
    public void setRcptTpCd(String rcptTpCd) {
        this.rcptTpCd = rcptTpCd;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getUseFg() {
        return useFg;
    }
    public void setUseFg(String useFg) {
        this.useFg = useFg;
    }
    public String getStrtDt() {
        return strtDt;
    }
    public void setStrtDt(String strtDt) {
        this.strtDt = strtDt;
    }
    public String getEndDt() {
        return endDt;
    }
    public void setEndDt(String endDt) {
        this.endDt = endDt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
