package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RtTrOrgHistDTO.java Class
 * 클래스설명   : RT-거래기관이력(RT_TR_ORG_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtTrOrgHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String trOrgCd  = "";  /* 거래기관코드 */
    private long orgSnum  = 0;  /* 기관일련번호 */
    private String strtDueDt  = "";  /* 시작납입일자 */
    private String endDueDt  = "";  /* 종료납입일자 */
    private String bankCd  = "";  /* 은행코드 */
    private String moAcntNo  = "";  /* 모계좌번호 */
    private String feeSetlMethCd  = "";  /* 수수료결제방법코드 */
    private long askFee  = 0;  /* 청구수수료 */
    private long oamtFee  = 0;  /* 출금수수료 */
    private String trOrgNm  = "";  /* 거래기관명 */
    private String acctUnitCd  = "";  /* 회계단위코드 */
    private String rcptTpCd  = "";  /* 수납유형코드 */
    private String cyclCd  = "";  /* 주기코드 */
    private String vndrCd  = "";  /* 업체코드 */
    private String autoTranOamtTpCd  = "";  /* 자동이체출금유형코드 */
    private String autoTranRsltTpCd  = "";  /* 자동이체결과유형코드 */
    private long trsmSchdDd  = 0;  /* 송신예정일 */
    private long recvSchdDd  = 0;  /* 수신예정일 */
    private long setlSchdDd  = 0;  /* 결제예정일 */
    private long acctSchdDd  = 0;  /* 회계예정일 */
    private String bankBrnchCd  = "";  /* 은행지점코드 */
    private String dupAcntPrmsFg  = "";  /* 중복계좌허용여부 */
    private String oamtAcntRegFg  = "";  /* 출금계좌등록여부 */
    private BigDecimal baseFee  = BigDecimal.ZERO;  /* 기본수수료 */

    public String getTrOrgCd() {
        return trOrgCd;
    }
    public void setTrOrgCd(String trOrgCd) {
        this.trOrgCd = trOrgCd;
    }
    public long getOrgSnum() {
        return orgSnum;
    }
    public void setOrgSnum(long orgSnum) {
        this.orgSnum = orgSnum;
    }
    public String getStrtDueDt() {
        return strtDueDt;
    }
    public void setStrtDueDt(String strtDueDt) {
        this.strtDueDt = strtDueDt;
    }
    public String getEndDueDt() {
        return endDueDt;
    }
    public void setEndDueDt(String endDueDt) {
        this.endDueDt = endDueDt;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getMoAcntNo() {
        return moAcntNo;
    }
    public void setMoAcntNo(String moAcntNo) {
        this.moAcntNo = moAcntNo;
    }
    public String getFeeSetlMethCd() {
        return feeSetlMethCd;
    }
    public void setFeeSetlMethCd(String feeSetlMethCd) {
        this.feeSetlMethCd = feeSetlMethCd;
    }
    public long getAskFee() {
        return askFee;
    }
    public void setAskFee(long askFee) {
        this.askFee = askFee;
    }
    public long getOamtFee() {
        return oamtFee;
    }
    public void setOamtFee(long oamtFee) {
        this.oamtFee = oamtFee;
    }
    public String getTrOrgNm() {
        return trOrgNm;
    }
    public void setTrOrgNm(String trOrgNm) {
        this.trOrgNm = trOrgNm;
    }
    public String getAcctUnitCd() {
        return acctUnitCd;
    }
    public void setAcctUnitCd(String acctUnitCd) {
        this.acctUnitCd = acctUnitCd;
    }
    public String getRcptTpCd() {
        return rcptTpCd;
    }
    public void setRcptTpCd(String rcptTpCd) {
        this.rcptTpCd = rcptTpCd;
    }
    public String getCyclCd() {
        return cyclCd;
    }
    public void setCyclCd(String cyclCd) {
        this.cyclCd = cyclCd;
    }
    public String getVndrCd() {
        return vndrCd;
    }
    public void setVndrCd(String vndrCd) {
        this.vndrCd = vndrCd;
    }
    public String getAutoTranOamtTpCd() {
        return autoTranOamtTpCd;
    }
    public void setAutoTranOamtTpCd(String autoTranOamtTpCd) {
        this.autoTranOamtTpCd = autoTranOamtTpCd;
    }
    public String getAutoTranRsltTpCd() {
        return autoTranRsltTpCd;
    }
    public void setAutoTranRsltTpCd(String autoTranRsltTpCd) {
        this.autoTranRsltTpCd = autoTranRsltTpCd;
    }
    public long getTrsmSchdDd() {
        return trsmSchdDd;
    }
    public void setTrsmSchdDd(long trsmSchdDd) {
        this.trsmSchdDd = trsmSchdDd;
    }
    public long getRecvSchdDd() {
        return recvSchdDd;
    }
    public void setRecvSchdDd(long recvSchdDd) {
        this.recvSchdDd = recvSchdDd;
    }
    public long getSetlSchdDd() {
        return setlSchdDd;
    }
    public void setSetlSchdDd(long setlSchdDd) {
        this.setlSchdDd = setlSchdDd;
    }
    public long getAcctSchdDd() {
        return acctSchdDd;
    }
    public void setAcctSchdDd(long acctSchdDd) {
        this.acctSchdDd = acctSchdDd;
    }
    public String getBankBrnchCd() {
        return bankBrnchCd;
    }
    public void setBankBrnchCd(String bankBrnchCd) {
        this.bankBrnchCd = bankBrnchCd;
    }
    public String getDupAcntPrmsFg() {
        return dupAcntPrmsFg;
    }
    public void setDupAcntPrmsFg(String dupAcntPrmsFg) {
        this.dupAcntPrmsFg = dupAcntPrmsFg;
    }
    public String getOamtAcntRegFg() {
        return oamtAcntRegFg;
    }
    public void setOamtAcntRegFg(String oamtAcntRegFg) {
        this.oamtAcntRegFg = oamtAcntRegFg;
    }
    public BigDecimal getBaseFee() {
        return baseFee;
    }
    public void setBaseFee(BigDecimal baseFee) {
        this.baseFee = baseFee;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
