package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StAcAcntBaseDTO.java Class
 * 클래스설명   : ST-AC계좌기본(ST_AC_ACNT_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 29.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StAcAcntBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String empNo  = "";  /* 사원번호 */
    private long snum  = 0;  /* 일련번호 */
    private String bankCd  = "";  /* 은행코드 */
    private String acntNo  = "";  /* 계좌번호 */
    private String depoOwnNo  = "";  /* 예금주번호 */
    private String depoOwnNm  = "";  /* 예금주명 */
    private String bizManNo  = "";  /* 사업자번호 */
    private String cprtComNo  = "";  /* 제휴사번호 */
    private String cprtBranCd  = "";  /* 제휴점코드 */
    
    public String getEmpNo() {
        return empNo;
    }
    public void setEmpNo(String empNo) {
        this.empNo = empNo;
    }
    public long getSnum() {
        return snum;
    }
    public void setSnum(long snum) {
        this.snum = snum;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getDepoOwnNo() {
        return depoOwnNo;
    }
    public void setDepoOwnNo(String depoOwnNo) {
        this.depoOwnNo = depoOwnNo;
    }
    public String getDepoOwnNm() {
        return depoOwnNm;
    }
    public void setDepoOwnNm(String depoOwnNm) {
        this.depoOwnNm = depoOwnNm;
    }
    public String getBizManNo() {
        return bizManNo;
    }
    public void setBizManNo(String bizManNo) {
        this.bizManNo = bizManNo;
    }
    public String getCprtComNo() {
        return cprtComNo;
    }
    public void setCprtComNo(String cprtComNo) {
        this.cprtComNo = cprtComNo;
    }
    public String getCprtBranCd() {
        return cprtBranCd;
    }
    public void setCprtBranCd(String cprtBranCd) {
        this.cprtBranCd = cprtBranCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
