package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StCnslAddrDTO.java Class
 * 클래스설명   : ST-상담주소(ST_CNSL_ADDR)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 30.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 30.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StCnslAddrDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String cnslNo  = "";  /* 상담번호 */
    private String addrDivCd  = "";  /* 주소구분코드 */
    private String zipCd  = "";  /* 우편번호 */
    private String addrCi  = "";  /* 주소시 */
    private String addrGu  = "";  /* 주소구 */
    private String addrDong  = "";  /* 주소동 */
    private String addrSpec  = "";  /* 주소상세 */

    public String getCnslNo() {
        return cnslNo;
    }
    public void setCnslNo(String cnslNo) {
        this.cnslNo = cnslNo;
    }
    public String getAddrDivCd() {
        return addrDivCd;
    }
    public void setAddrDivCd(String addrDivCd) {
        this.addrDivCd = addrDivCd;
    }
    public String getZipCd() {
        return zipCd;
    }
    public void setZipCd(String zipCd) {
        this.zipCd = zipCd;
    }
    public String getAddrCi() {
        return addrCi;
    }
    public void setAddrCi(String addrCi) {
        this.addrCi = addrCi;
    }
    public String getAddrGu() {
        return addrGu;
    }
    public void setAddrGu(String addrGu) {
        this.addrGu = addrGu;
    }
    public String getAddrDong() {
        return addrDong;
    }
    public void setAddrDong(String addrDong) {
        this.addrDong = addrDong;
    }
    public String getAddrSpec() {
        return addrSpec;
    }
    public void setAddrSpec(String addrSpec) {
        this.addrSpec = addrSpec;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
