package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StCnslBaseDTO.java Class
 * 클래스설명   : ST-상담기본(ST_CNSL_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 29.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StCnslBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String cnslNo  = "";  /* 상담번호 */
    private String custNo  = "";  /* 고객번호 */
    private String cnslSnum  = "";  /* 상담일련번호 */
    private String prdtCd  = "";  /* 상품코드 */
    private String godsCd  = "";  /* 물품코드 */
    private String cprtComNo  = "";  /* 제휴사번호 */
    private String cprtBranCd  = "";  /* 제휴점코드 */
    private String cnslDt  = "";  /* 상담일자 */
    private String readDt  = "";  /* 조회일자 */
    private String mngDeptCd  = "";  /* 관리부서코드 */
    private String lnDivsEmpNo  = "";  /* 여신담당사원번호 */
    private String saleEmpResiNo  = "";  /* 판매사원주민등록번호 */
    private BigDecimal applAmt  = BigDecimal.ZERO;  /* 신청금액 */
    private long loanTerm  = 0;  /* 대출기간 */
    private String carsMdlYear  = "";  /* 차량년식 */
    private BigDecimal ucarMkpr  = BigDecimal.ZERO;  /* 중고차시세 */
    private BigDecimal godsPrce  = BigDecimal.ZERO;  /* 물품가격 */
    private long brcvRt  = 0;  /* 선수율 */
    private String carsSetCd  = "";  /* 차량설정코드 */
    private BigDecimal carsSetAmt  = BigDecimal.ZERO;  /* 차량설정금액 */
    private String examJudgCd  = "";  /* 심사판정코드 */
    private String examDgreCd  = "";  /* 심사등급코드 */
    private String arvmCd  = "";  /* 전결권자코드 */
    private BigDecimal loanPossAmt  = BigDecimal.ZERO;  /* 대출가능금액 */
    private String excpAprvCondCd  = "";  /* 예외승인조건코드 */
    private BigDecimal avlbMrtgAmt  = BigDecimal.ZERO;  /* 가용담보금액 */
    private long guarManCnt  = 0;  /* 보증인수 */
    private BigDecimal guarManLimAmt  = BigDecimal.ZERO;  /* 보증인한도금액 */
    private long rcnt1MmContCnslCnt  = 0;  /* 최근1개월계약상담건수 */
    private long rcnt1MmGuarCnslCnt  = 0;  /* 최근1개월보증상담건수 */
    private String cnslComafProcCd  = "";  /* 상담사후처리코드 */
    private String cnslOpn  = "";  /* 상담의견 */
    private String othDeptCnslFg  = "";  /* 타부서상담여부 */
    private String crdtInfoPrtuAgrFg  = "";  /* 신용정보활용동의여부 */
    private BigDecimal gainPcst  = BigDecimal.ZERO;  /* 취득원가 */
    private BigDecimal guarAmt  = BigDecimal.ZERO;  /* 보증금 */
    private BigDecimal ramt  = BigDecimal.ZERO;  /* 잔가 */
    private long intRt  = 0;  /* 이자율 */
    private BigDecimal leasPdueFee  = BigDecimal.ZERO;  /* 리스선납료 */
    private long guarAmtRt  = 0;  /* 보증금율 */
    private String guarAmtRtCalclaw  = "";  /* 보증금율계산법 */
    private long ramtRt  = 0;  /* 잔가율 */
    private long intnPrftRt  = 0;  /* 내부수익율 */
    private String regNm  = "";  /* 등록명의 */
    private long defrTerm  = 0;  /* 거치기간 */
    private BigDecimal crdtgiveTotLim  = BigDecimal.ZERO;  /* 신용공여총한도 */
    private BigDecimal othLoanTotAmt  = BigDecimal.ZERO;  /* 타대출총금액 */
    private BigDecimal lnLimDdctAmt  = BigDecimal.ZERO;  /* 여신한도차감액 */
    private long corpRcnt1mmContCnslCnt  = 0;  /* 법인최근1개월계약상담건수 */
    private long corpRcnt1mmGuarCnslCnt  = 0;  /* 법인최근1개월보증상담건수 */
    private long reprRcnt1mmContCnslCnt  = 0;  /* 대표자최근1개월계약상담건수 */
    private long reprRcnt1mmGuarCnslCnt  = 0;  /* 대표자최근1개월보증상담건수 */
    private long takeInRcnt1mmContCnslCnt  = 0;  /* 지입최근1개월계약상담건수 */
    private long takeInRcnt1mmGuarCnslCnt  = 0;  /* 지입최근1개월보증상담건수 */
    private BigDecimal cptlLoanAmtIncr  = BigDecimal.ZERO;  /* 캐피탈대출금증가 */
    private long reprOthcptl1mmLoanCnt  = 0;  /* 대표자타캐피탈1개월대출건수 */
    private BigDecimal reprOthcptl1mmLoanAmt  = BigDecimal.ZERO;  /* 대표자타캐피탈1개월대출금액 */
    private long takeInOthcptl1mmLoanCnt  = 0;  /* 지입타캐피탈1개월대출건수 */
    private BigDecimal takeInOthcptl1mmLoanAmt  = BigDecimal.ZERO;  /* 지입타캐피탈1개월대출금액 */
    private String aplyMdlDivCd  = "";  /* 적용모형구분코드 */
    private BigDecimal incdCost  = BigDecimal.ZERO;  /* 부대비용 */
    private String cnslPrdtDivCd  = "";  /* 상담상품구분코드 */
    private String intRtDivCd  = "";  /* 이자율구분코드 */
    private String monyPrpsCd  = "";  /* 자금용도코드 */
    private String loanTpCd  = "";  /* 대출유형코드 */
    private String rmbrMethCd  = "";  /* 상환방법코드 */
    private String empDivCd  = "";  /* 임직원구분코드 */
    private String setFeeDivCd  = "";  /* 설정료구분코드 */
    private String trtFeeDivCd  = "";  /* 취급수수료구분코드 */
    private String loanApplDivCd  = "";  /* 대출신청구분코드 */
    private String loanSchdDt  = "";  /* 대출예정일자 */
    private long baseIntRt  = 0;  /* 기본이자율 */
    private long aosIntRt  = 0;  /* 가감이자율 */
    private long trtFeeRt  = 0;  /* 취급수수료율 */
    private BigDecimal needIncoAmt  = BigDecimal.ZERO;  /* 필요소득금액 */
    private BigDecimal applIncoAmt  = BigDecimal.ZERO;  /* 신청소득금액 */
    private BigDecimal mmInstAmt  = BigDecimal.ZERO;  /* 월할부금 */
    private BigDecimal mmInt  = BigDecimal.ZERO;  /* 월이자 */
    private long ltvr  = 0;  /* LTVR */
    private long dtir  = 0;  /* DTIR */
    private long dtirContMan  = 0;  /* DTIR계약자 */
    private long dtirSum  = 0;  /* DTIR합계 */
    private long stndMnrt  = 0;  /* 기준금리 */
    private long addMnrt  = 0;  /* 추가금리 */
    private BigDecimal mrtgLimAmt  = BigDecimal.ZERO;  /* 담보한도금액 */
    private long applLtvr  = 0;  /* 신청LTVR */
    private BigDecimal dtirLimAmt  = BigDecimal.ZERO;  /* DTIR한도금액 */
    private BigDecimal justLimAmt  = BigDecimal.ZERO;  /* 적정한도금액 */
    private long justStndMnrt  = 0;  /* 적정기준금리 */
    private long justAddMnrt  = 0;  /* 적정추가금리 */
    private long justAosMnrt  = 0;  /* 적정가감금리 */
    private long justTrtFeeRt  = 0;  /* 적정취급수수료율 */
    private long justLtvr  = 0;  /* 적정LTVR */
    private long justDtir  = 0;  /* 적정DTIR */
    private BigDecimal vtaxPayAmt  = BigDecimal.ZERO;  /* 부가세납부액 */
    private String plCustTp  = "";  /* PL고객유형 */
    private String recoPath  = "";  /* 인지경로 */
    private String tmResino  = "";  /* TM주민번호 */
    private long addIntRt2  = 0;  /* 추가이자율2 */
    private long aosIntRt2  = 0;  /* 가감이자율2 */
    private long addIntRt3  = 0;  /* 추가이자율3 */
    private long aosIntRt3  = 0;  /* 가감이자율3 */
    private long spclDiscIntRt  = 0;  /* 특별할인이자율 */
    private String plPrdtDiv  = "";  /* PL상품구분 */
    private String plCnslDiv  = "";  /* PL상담구분 */
    private String acptPathCd  = "";  /* 접수경로코드 */
    private String guarAmtRamtObjCd  = "";  /* 보증금잔가대상코드 */
    private long arvmAddIntRt  = 0;  /* 전결권자가산이자율 */
    private String vsitEmpNo  = "";  /* 방문사원번호 */
    private String moggSpclPrdtDivCd  = "";  /* 모기지특수상품구분코드 */
    private String moggIncrAmtFg  = "";  /* 모기지증액여부 */
    private String loanSucsCnslFg  = "";  /* 대출승계상담여부 */
    private String cnslAnalLrgeClasCd  = "";  /* 상담분석대분류코드 */
    private String cnslAnalMidClasCd  = "";  /* 상담분석중분류코드 */
    private String plCprtCom1rank  = "";  /* PL제휴사1순위 */
    private String plCprtCom2rank  = "";  /* PL제휴사2순위 */
    private String plCprtCom3rank  = "";  /* PL제휴사3순위 */
    private String plCprtCom4rank  = "";  /* PL제휴사4순위 */
    private String crdtPasrComrDivCd  = "";  /* 신용승용상용구분코드 */
    private String trtFeeFg  = "";  /* 취급수수료여부 */
    private BigDecimal custTrtFee  = BigDecimal.ZERO;  /* 고객취급수수료 */
    private String reuseTrtDiscFg  = "";  /* 재이용취급할인여부 */
    private BigDecimal maxSetPossAmt  = BigDecimal.ZERO;  /* 최고설정가능금액 */
    private String reuseCustObjFg  = "";  /* 재이용고객대상여부 */
    private String instEmpResiNo  = "";  /* 할부사원주민등록번호 */
    private String instCprtComNo  = "";  /* 할부제휴사번호 */
    private String instCprtBranCd  = "";  /* 할부제휴점코드 */
    private String carNo  = "";  /* 차량번호 */
    private long umsSeq  = 0;  /* UMS일련번호 */
    private BigDecimal carRegAmt  = BigDecimal.ZERO;  /* 차량등록금액 */
    private String godsClasCd  = "";  /* 물품분류코드 */
    private String snum  = "";  /* 일련번호 */
    private String niceCarCode  = "";  /* NICE 차량코드 */
    private String listNo  = "";  /* 상장번호 */

    public String getCnslNo() {
        return cnslNo;
    }
    public void setCnslNo(String cnslNo) {
        this.cnslNo = cnslNo;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getCnslSnum() {
        return cnslSnum;
    }
    public void setCnslSnum(String cnslSnum) {
        this.cnslSnum = cnslSnum;
    }
    public String getPrdtCd() {
        return prdtCd;
    }
    public void setPrdtCd(String prdtCd) {
        this.prdtCd = prdtCd;
    }
    public String getGodsCd() {
        return godsCd;
    }
    public void setGodsCd(String godsCd) {
        this.godsCd = godsCd;
    }
    public String getCprtComNo() {
        return cprtComNo;
    }
    public void setCprtComNo(String cprtComNo) {
        this.cprtComNo = cprtComNo;
    }
    public String getCprtBranCd() {
        return cprtBranCd;
    }
    public void setCprtBranCd(String cprtBranCd) {
        this.cprtBranCd = cprtBranCd;
    }
    public String getCnslDt() {
        return cnslDt;
    }
    public void setCnslDt(String cnslDt) {
        this.cnslDt = cnslDt;
    }
    public String getReadDt() {
        return readDt;
    }
    public void setReadDt(String readDt) {
        this.readDt = readDt;
    }
    public String getMngDeptCd() {
        return mngDeptCd;
    }
    public void setMngDeptCd(String mngDeptCd) {
        this.mngDeptCd = mngDeptCd;
    }
    public String getLnDivsEmpNo() {
        return lnDivsEmpNo;
    }
    public void setLnDivsEmpNo(String lnDivsEmpNo) {
        this.lnDivsEmpNo = lnDivsEmpNo;
    }
    public String getSaleEmpResiNo() {
        return saleEmpResiNo;
    }
    public void setSaleEmpResiNo(String saleEmpResiNo) {
        this.saleEmpResiNo = saleEmpResiNo;
    }
    public BigDecimal getApplAmt() {
        return applAmt;
    }
    public void setApplAmt(BigDecimal applAmt) {
        this.applAmt = applAmt;
    }
    public long getLoanTerm() {
        return loanTerm;
    }
    public void setLoanTerm(long loanTerm) {
        this.loanTerm = loanTerm;
    }
    public String getCarsMdlYear() {
        return carsMdlYear;
    }
    public void setCarsMdlYear(String carsMdlYear) {
        this.carsMdlYear = carsMdlYear;
    }
    public BigDecimal getUcarMkpr() {
        return ucarMkpr;
    }
    public void setUcarMkpr(BigDecimal ucarMkpr) {
        this.ucarMkpr = ucarMkpr;
    }
    public BigDecimal getGodsPrce() {
        return godsPrce;
    }
    public void setGodsPrce(BigDecimal godsPrce) {
        this.godsPrce = godsPrce;
    }
    public long getBrcvRt() {
        return brcvRt;
    }
    public void setBrcvRt(long brcvRt) {
        this.brcvRt = brcvRt;
    }
    public String getCarsSetCd() {
        return carsSetCd;
    }
    public void setCarsSetCd(String carsSetCd) {
        this.carsSetCd = carsSetCd;
    }
    public BigDecimal getCarsSetAmt() {
        return carsSetAmt;
    }
    public void setCarsSetAmt(BigDecimal carsSetAmt) {
        this.carsSetAmt = carsSetAmt;
    }
    public String getExamJudgCd() {
        return examJudgCd;
    }
    public void setExamJudgCd(String examJudgCd) {
        this.examJudgCd = examJudgCd;
    }
    public String getExamDgreCd() {
        return examDgreCd;
    }
    public void setExamDgreCd(String examDgreCd) {
        this.examDgreCd = examDgreCd;
    }
    public String getArvmCd() {
        return arvmCd;
    }
    public void setArvmCd(String arvmCd) {
        this.arvmCd = arvmCd;
    }
    public BigDecimal getLoanPossAmt() {
        return loanPossAmt;
    }
    public void setLoanPossAmt(BigDecimal loanPossAmt) {
        this.loanPossAmt = loanPossAmt;
    }
    public String getExcpAprvCondCd() {
        return excpAprvCondCd;
    }
    public void setExcpAprvCondCd(String excpAprvCondCd) {
        this.excpAprvCondCd = excpAprvCondCd;
    }
    public BigDecimal getAvlbMrtgAmt() {
        return avlbMrtgAmt;
    }
    public void setAvlbMrtgAmt(BigDecimal avlbMrtgAmt) {
        this.avlbMrtgAmt = avlbMrtgAmt;
    }
    public long getGuarManCnt() {
        return guarManCnt;
    }
    public void setGuarManCnt(long guarManCnt) {
        this.guarManCnt = guarManCnt;
    }
    public BigDecimal getGuarManLimAmt() {
        return guarManLimAmt;
    }
    public void setGuarManLimAmt(BigDecimal guarManLimAmt) {
        this.guarManLimAmt = guarManLimAmt;
    }
    public long getRcnt1MmContCnslCnt() {
        return rcnt1MmContCnslCnt;
    }
    public void setRcnt1MmContCnslCnt(long rcnt1MmContCnslCnt) {
        this.rcnt1MmContCnslCnt = rcnt1MmContCnslCnt;
    }
    public long getRcnt1MmGuarCnslCnt() {
        return rcnt1MmGuarCnslCnt;
    }
    public void setRcnt1MmGuarCnslCnt(long rcnt1MmGuarCnslCnt) {
        this.rcnt1MmGuarCnslCnt = rcnt1MmGuarCnslCnt;
    }
    public String getCnslComafProcCd() {
        return cnslComafProcCd;
    }
    public void setCnslComafProcCd(String cnslComafProcCd) {
        this.cnslComafProcCd = cnslComafProcCd;
    }
    public String getCnslOpn() {
        return cnslOpn;
    }
    public void setCnslOpn(String cnslOpn) {
        this.cnslOpn = cnslOpn;
    }
    public String getOthDeptCnslFg() {
        return othDeptCnslFg;
    }
    public void setOthDeptCnslFg(String othDeptCnslFg) {
        this.othDeptCnslFg = othDeptCnslFg;
    }
    public String getCrdtInfoPrtuAgrFg() {
        return crdtInfoPrtuAgrFg;
    }
    public void setCrdtInfoPrtuAgrFg(String crdtInfoPrtuAgrFg) {
        this.crdtInfoPrtuAgrFg = crdtInfoPrtuAgrFg;
    }
    public BigDecimal getGainPcst() {
        return gainPcst;
    }
    public void setGainPcst(BigDecimal gainPcst) {
        this.gainPcst = gainPcst;
    }
    public BigDecimal getGuarAmt() {
        return guarAmt;
    }
    public void setGuarAmt(BigDecimal guarAmt) {
        this.guarAmt = guarAmt;
    }
    public BigDecimal getRamt() {
        return ramt;
    }
    public void setRamt(BigDecimal ramt) {
        this.ramt = ramt;
    }
    public long getIntRt() {
        return intRt;
    }
    public void setIntRt(long intRt) {
        this.intRt = intRt;
    }
    public BigDecimal getLeasPdueFee() {
        return leasPdueFee;
    }
    public void setLeasPdueFee(BigDecimal leasPdueFee) {
        this.leasPdueFee = leasPdueFee;
    }
    public long getGuarAmtRt() {
        return guarAmtRt;
    }
    public void setGuarAmtRt(long guarAmtRt) {
        this.guarAmtRt = guarAmtRt;
    }
    public String getGuarAmtRtCalclaw() {
        return guarAmtRtCalclaw;
    }
    public void setGuarAmtRtCalclaw(String guarAmtRtCalclaw) {
        this.guarAmtRtCalclaw = guarAmtRtCalclaw;
    }
    public long getRamtRt() {
        return ramtRt;
    }
    public void setRamtRt(long ramtRt) {
        this.ramtRt = ramtRt;
    }
    public long getIntnPrftRt() {
        return intnPrftRt;
    }
    public void setIntnPrftRt(long intnPrftRt) {
        this.intnPrftRt = intnPrftRt;
    }
    public String getRegNm() {
        return regNm;
    }
    public void setRegNm(String regNm) {
        this.regNm = regNm;
    }
    public long getDefrTerm() {
        return defrTerm;
    }
    public void setDefrTerm(long defrTerm) {
        this.defrTerm = defrTerm;
    }
    public BigDecimal getCrdtgiveTotLim() {
        return crdtgiveTotLim;
    }
    public void setCrdtgiveTotLim(BigDecimal crdtgiveTotLim) {
        this.crdtgiveTotLim = crdtgiveTotLim;
    }
    public BigDecimal getOthLoanTotAmt() {
        return othLoanTotAmt;
    }
    public void setOthLoanTotAmt(BigDecimal othLoanTotAmt) {
        this.othLoanTotAmt = othLoanTotAmt;
    }
    public BigDecimal getLnLimDdctAmt() {
        return lnLimDdctAmt;
    }
    public void setLnLimDdctAmt(BigDecimal lnLimDdctAmt) {
        this.lnLimDdctAmt = lnLimDdctAmt;
    }
    public long getCorpRcnt1mmContCnslCnt() {
        return corpRcnt1mmContCnslCnt;
    }
    public void setCorpRcnt1mmContCnslCnt(long corpRcnt1mmContCnslCnt) {
        this.corpRcnt1mmContCnslCnt = corpRcnt1mmContCnslCnt;
    }
    public long getCorpRcnt1mmGuarCnslCnt() {
        return corpRcnt1mmGuarCnslCnt;
    }
    public void setCorpRcnt1mmGuarCnslCnt(long corpRcnt1mmGuarCnslCnt) {
        this.corpRcnt1mmGuarCnslCnt = corpRcnt1mmGuarCnslCnt;
    }
    public long getReprRcnt1mmContCnslCnt() {
        return reprRcnt1mmContCnslCnt;
    }
    public void setReprRcnt1mmContCnslCnt(long reprRcnt1mmContCnslCnt) {
        this.reprRcnt1mmContCnslCnt = reprRcnt1mmContCnslCnt;
    }
    public long getReprRcnt1mmGuarCnslCnt() {
        return reprRcnt1mmGuarCnslCnt;
    }
    public void setReprRcnt1mmGuarCnslCnt(long reprRcnt1mmGuarCnslCnt) {
        this.reprRcnt1mmGuarCnslCnt = reprRcnt1mmGuarCnslCnt;
    }
    public long getTakeInRcnt1mmContCnslCnt() {
        return takeInRcnt1mmContCnslCnt;
    }
    public void setTakeInRcnt1mmContCnslCnt(long takeInRcnt1mmContCnslCnt) {
        this.takeInRcnt1mmContCnslCnt = takeInRcnt1mmContCnslCnt;
    }
    public long getTakeInRcnt1mmGuarCnslCnt() {
        return takeInRcnt1mmGuarCnslCnt;
    }
    public void setTakeInRcnt1mmGuarCnslCnt(long takeInRcnt1mmGuarCnslCnt) {
        this.takeInRcnt1mmGuarCnslCnt = takeInRcnt1mmGuarCnslCnt;
    }
    public BigDecimal getCptlLoanAmtIncr() {
        return cptlLoanAmtIncr;
    }
    public void setCptlLoanAmtIncr(BigDecimal cptlLoanAmtIncr) {
        this.cptlLoanAmtIncr = cptlLoanAmtIncr;
    }
    public long getReprOthcptl1mmLoanCnt() {
        return reprOthcptl1mmLoanCnt;
    }
    public void setReprOthcptl1mmLoanCnt(long reprOthcptl1mmLoanCnt) {
        this.reprOthcptl1mmLoanCnt = reprOthcptl1mmLoanCnt;
    }
    public BigDecimal getReprOthcptl1mmLoanAmt() {
        return reprOthcptl1mmLoanAmt;
    }
    public void setReprOthcptl1mmLoanAmt(BigDecimal reprOthcptl1mmLoanAmt) {
        this.reprOthcptl1mmLoanAmt = reprOthcptl1mmLoanAmt;
    }
    public long getTakeInOthcptl1mmLoanCnt() {
        return takeInOthcptl1mmLoanCnt;
    }
    public void setTakeInOthcptl1mmLoanCnt(long takeInOthcptl1mmLoanCnt) {
        this.takeInOthcptl1mmLoanCnt = takeInOthcptl1mmLoanCnt;
    }
    public BigDecimal getTakeInOthcptl1mmLoanAmt() {
        return takeInOthcptl1mmLoanAmt;
    }
    public void setTakeInOthcptl1mmLoanAmt(BigDecimal takeInOthcptl1mmLoanAmt) {
        this.takeInOthcptl1mmLoanAmt = takeInOthcptl1mmLoanAmt;
    }
    public String getAplyMdlDivCd() {
        return aplyMdlDivCd;
    }
    public void setAplyMdlDivCd(String aplyMdlDivCd) {
        this.aplyMdlDivCd = aplyMdlDivCd;
    }
    public BigDecimal getIncdCost() {
        return incdCost;
    }
    public void setIncdCost(BigDecimal incdCost) {
        this.incdCost = incdCost;
    }
    public String getCnslPrdtDivCd() {
        return cnslPrdtDivCd;
    }
    public void setCnslPrdtDivCd(String cnslPrdtDivCd) {
        this.cnslPrdtDivCd = cnslPrdtDivCd;
    }
    public String getIntRtDivCd() {
        return intRtDivCd;
    }
    public void setIntRtDivCd(String intRtDivCd) {
        this.intRtDivCd = intRtDivCd;
    }
    public String getMonyPrpsCd() {
        return monyPrpsCd;
    }
    public void setMonyPrpsCd(String monyPrpsCd) {
        this.monyPrpsCd = monyPrpsCd;
    }
    public String getLoanTpCd() {
        return loanTpCd;
    }
    public void setLoanTpCd(String loanTpCd) {
        this.loanTpCd = loanTpCd;
    }
    public String getRmbrMethCd() {
        return rmbrMethCd;
    }
    public void setRmbrMethCd(String rmbrMethCd) {
        this.rmbrMethCd = rmbrMethCd;
    }
    public String getEmpDivCd() {
        return empDivCd;
    }
    public void setEmpDivCd(String empDivCd) {
        this.empDivCd = empDivCd;
    }
    public String getSetFeeDivCd() {
        return setFeeDivCd;
    }
    public void setSetFeeDivCd(String setFeeDivCd) {
        this.setFeeDivCd = setFeeDivCd;
    }
    public String getTrtFeeDivCd() {
        return trtFeeDivCd;
    }
    public void setTrtFeeDivCd(String trtFeeDivCd) {
        this.trtFeeDivCd = trtFeeDivCd;
    }
    public String getLoanApplDivCd() {
        return loanApplDivCd;
    }
    public void setLoanApplDivCd(String loanApplDivCd) {
        this.loanApplDivCd = loanApplDivCd;
    }
    public String getLoanSchdDt() {
        return loanSchdDt;
    }
    public void setLoanSchdDt(String loanSchdDt) {
        this.loanSchdDt = loanSchdDt;
    }
    public long getBaseIntRt() {
        return baseIntRt;
    }
    public void setBaseIntRt(long baseIntRt) {
        this.baseIntRt = baseIntRt;
    }
    public long getAosIntRt() {
        return aosIntRt;
    }
    public void setAosIntRt(long aosIntRt) {
        this.aosIntRt = aosIntRt;
    }
    public long getTrtFeeRt() {
        return trtFeeRt;
    }
    public void setTrtFeeRt(long trtFeeRt) {
        this.trtFeeRt = trtFeeRt;
    }
    public BigDecimal getNeedIncoAmt() {
        return needIncoAmt;
    }
    public void setNeedIncoAmt(BigDecimal needIncoAmt) {
        this.needIncoAmt = needIncoAmt;
    }
    public BigDecimal getApplIncoAmt() {
        return applIncoAmt;
    }
    public void setApplIncoAmt(BigDecimal applIncoAmt) {
        this.applIncoAmt = applIncoAmt;
    }
    public BigDecimal getMmInstAmt() {
        return mmInstAmt;
    }
    public void setMmInstAmt(BigDecimal mmInstAmt) {
        this.mmInstAmt = mmInstAmt;
    }
    public BigDecimal getMmInt() {
        return mmInt;
    }
    public void setMmInt(BigDecimal mmInt) {
        this.mmInt = mmInt;
    }
    public long getLtvr() {
        return ltvr;
    }
    public void setLtvr(long ltvr) {
        this.ltvr = ltvr;
    }
    public long getDtir() {
        return dtir;
    }
    public void setDtir(long dtir) {
        this.dtir = dtir;
    }
    public long getDtirContMan() {
        return dtirContMan;
    }
    public void setDtirContMan(long dtirContMan) {
        this.dtirContMan = dtirContMan;
    }
    public long getDtirSum() {
        return dtirSum;
    }
    public void setDtirSum(long dtirSum) {
        this.dtirSum = dtirSum;
    }
    public long getStndMnrt() {
        return stndMnrt;
    }
    public void setStndMnrt(long stndMnrt) {
        this.stndMnrt = stndMnrt;
    }
    public long getAddMnrt() {
        return addMnrt;
    }
    public void setAddMnrt(long addMnrt) {
        this.addMnrt = addMnrt;
    }
    public BigDecimal getMrtgLimAmt() {
        return mrtgLimAmt;
    }
    public void setMrtgLimAmt(BigDecimal mrtgLimAmt) {
        this.mrtgLimAmt = mrtgLimAmt;
    }
    public long getApplLtvr() {
        return applLtvr;
    }
    public void setApplLtvr(long applLtvr) {
        this.applLtvr = applLtvr;
    }
    public BigDecimal getDtirLimAmt() {
        return dtirLimAmt;
    }
    public void setDtirLimAmt(BigDecimal dtirLimAmt) {
        this.dtirLimAmt = dtirLimAmt;
    }
    public BigDecimal getJustLimAmt() {
        return justLimAmt;
    }
    public void setJustLimAmt(BigDecimal justLimAmt) {
        this.justLimAmt = justLimAmt;
    }
    public long getJustStndMnrt() {
        return justStndMnrt;
    }
    public void setJustStndMnrt(long justStndMnrt) {
        this.justStndMnrt = justStndMnrt;
    }
    public long getJustAddMnrt() {
        return justAddMnrt;
    }
    public void setJustAddMnrt(long justAddMnrt) {
        this.justAddMnrt = justAddMnrt;
    }
    public long getJustAosMnrt() {
        return justAosMnrt;
    }
    public void setJustAosMnrt(long justAosMnrt) {
        this.justAosMnrt = justAosMnrt;
    }
    public long getJustTrtFeeRt() {
        return justTrtFeeRt;
    }
    public void setJustTrtFeeRt(long justTrtFeeRt) {
        this.justTrtFeeRt = justTrtFeeRt;
    }
    public long getJustLtvr() {
        return justLtvr;
    }
    public void setJustLtvr(long justLtvr) {
        this.justLtvr = justLtvr;
    }
    public long getJustDtir() {
        return justDtir;
    }
    public void setJustDtir(long justDtir) {
        this.justDtir = justDtir;
    }
    public BigDecimal getVtaxPayAmt() {
        return vtaxPayAmt;
    }
    public void setVtaxPayAmt(BigDecimal vtaxPayAmt) {
        this.vtaxPayAmt = vtaxPayAmt;
    }
    public String getPlCustTp() {
        return plCustTp;
    }
    public void setPlCustTp(String plCustTp) {
        this.plCustTp = plCustTp;
    }
    public String getRecoPath() {
        return recoPath;
    }
    public void setRecoPath(String recoPath) {
        this.recoPath = recoPath;
    }
    public String getTmResino() {
        return tmResino;
    }
    public void setTmResino(String tmResino) {
        this.tmResino = tmResino;
    }
    public long getAddIntRt2() {
        return addIntRt2;
    }
    public void setAddIntRt2(long addIntRt2) {
        this.addIntRt2 = addIntRt2;
    }
    public long getAosIntRt2() {
        return aosIntRt2;
    }
    public void setAosIntRt2(long aosIntRt2) {
        this.aosIntRt2 = aosIntRt2;
    }
    public long getAddIntRt3() {
        return addIntRt3;
    }
    public void setAddIntRt3(long addIntRt3) {
        this.addIntRt3 = addIntRt3;
    }
    public long getAosIntRt3() {
        return aosIntRt3;
    }
    public void setAosIntRt3(long aosIntRt3) {
        this.aosIntRt3 = aosIntRt3;
    }
    public long getSpclDiscIntRt() {
        return spclDiscIntRt;
    }
    public void setSpclDiscIntRt(long spclDiscIntRt) {
        this.spclDiscIntRt = spclDiscIntRt;
    }
    public String getPlPrdtDiv() {
        return plPrdtDiv;
    }
    public void setPlPrdtDiv(String plPrdtDiv) {
        this.plPrdtDiv = plPrdtDiv;
    }
    public String getPlCnslDiv() {
        return plCnslDiv;
    }
    public void setPlCnslDiv(String plCnslDiv) {
        this.plCnslDiv = plCnslDiv;
    }
    public String getAcptPathCd() {
        return acptPathCd;
    }
    public void setAcptPathCd(String acptPathCd) {
        this.acptPathCd = acptPathCd;
    }
    public String getGuarAmtRamtObjCd() {
        return guarAmtRamtObjCd;
    }
    public void setGuarAmtRamtObjCd(String guarAmtRamtObjCd) {
        this.guarAmtRamtObjCd = guarAmtRamtObjCd;
    }
    public long getArvmAddIntRt() {
        return arvmAddIntRt;
    }
    public void setArvmAddIntRt(long arvmAddIntRt) {
        this.arvmAddIntRt = arvmAddIntRt;
    }
    public String getVsitEmpNo() {
        return vsitEmpNo;
    }
    public void setVsitEmpNo(String vsitEmpNo) {
        this.vsitEmpNo = vsitEmpNo;
    }
    public String getMoggSpclPrdtDivCd() {
        return moggSpclPrdtDivCd;
    }
    public void setMoggSpclPrdtDivCd(String moggSpclPrdtDivCd) {
        this.moggSpclPrdtDivCd = moggSpclPrdtDivCd;
    }
    public String getMoggIncrAmtFg() {
        return moggIncrAmtFg;
    }
    public void setMoggIncrAmtFg(String moggIncrAmtFg) {
        this.moggIncrAmtFg = moggIncrAmtFg;
    }
    public String getLoanSucsCnslFg() {
        return loanSucsCnslFg;
    }
    public void setLoanSucsCnslFg(String loanSucsCnslFg) {
        this.loanSucsCnslFg = loanSucsCnslFg;
    }
    public String getCnslAnalLrgeClasCd() {
        return cnslAnalLrgeClasCd;
    }
    public void setCnslAnalLrgeClasCd(String cnslAnalLrgeClasCd) {
        this.cnslAnalLrgeClasCd = cnslAnalLrgeClasCd;
    }
    public String getCnslAnalMidClasCd() {
        return cnslAnalMidClasCd;
    }
    public void setCnslAnalMidClasCd(String cnslAnalMidClasCd) {
        this.cnslAnalMidClasCd = cnslAnalMidClasCd;
    }
    public String getPlCprtCom1rank() {
        return plCprtCom1rank;
    }
    public void setPlCprtCom1rank(String plCprtCom1rank) {
        this.plCprtCom1rank = plCprtCom1rank;
    }
    public String getPlCprtCom2rank() {
        return plCprtCom2rank;
    }
    public void setPlCprtCom2rank(String plCprtCom2rank) {
        this.plCprtCom2rank = plCprtCom2rank;
    }
    public String getPlCprtCom3rank() {
        return plCprtCom3rank;
    }
    public void setPlCprtCom3rank(String plCprtCom3rank) {
        this.plCprtCom3rank = plCprtCom3rank;
    }
    public String getPlCprtCom4rank() {
        return plCprtCom4rank;
    }
    public void setPlCprtCom4rank(String plCprtCom4rank) {
        this.plCprtCom4rank = plCprtCom4rank;
    }
    public String getCrdtPasrComrDivCd() {
        return crdtPasrComrDivCd;
    }
    public void setCrdtPasrComrDivCd(String crdtPasrComrDivCd) {
        this.crdtPasrComrDivCd = crdtPasrComrDivCd;
    }
    public String getTrtFeeFg() {
        return trtFeeFg;
    }
    public void setTrtFeeFg(String trtFeeFg) {
        this.trtFeeFg = trtFeeFg;
    }
    public BigDecimal getCustTrtFee() {
        return custTrtFee;
    }
    public void setCustTrtFee(BigDecimal custTrtFee) {
        this.custTrtFee = custTrtFee;
    }
    public String getReuseTrtDiscFg() {
        return reuseTrtDiscFg;
    }
    public void setReuseTrtDiscFg(String reuseTrtDiscFg) {
        this.reuseTrtDiscFg = reuseTrtDiscFg;
    }
    public BigDecimal getMaxSetPossAmt() {
        return maxSetPossAmt;
    }
    public void setMaxSetPossAmt(BigDecimal maxSetPossAmt) {
        this.maxSetPossAmt = maxSetPossAmt;
    }
    public String getReuseCustObjFg() {
        return reuseCustObjFg;
    }
    public void setReuseCustObjFg(String reuseCustObjFg) {
        this.reuseCustObjFg = reuseCustObjFg;
    }
    public String getInstEmpResiNo() {
        return instEmpResiNo;
    }
    public void setInstEmpResiNo(String instEmpResiNo) {
        this.instEmpResiNo = instEmpResiNo;
    }
    public String getInstCprtComNo() {
        return instCprtComNo;
    }
    public void setInstCprtComNo(String instCprtComNo) {
        this.instCprtComNo = instCprtComNo;
    }
    public String getInstCprtBranCd() {
        return instCprtBranCd;
    }
    public void setInstCprtBranCd(String instCprtBranCd) {
        this.instCprtBranCd = instCprtBranCd;
    }
    public String getCarNo() {
        return carNo;
    }
    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }
    public long getUmsSeq() {
        return umsSeq;
    }
    public void setUmsSeq(long umsSeq) {
        this.umsSeq = umsSeq;
    }
    public BigDecimal getCarRegAmt() {
        return carRegAmt;
    }
    public void setCarRegAmt(BigDecimal carRegAmt) {
        this.carRegAmt = carRegAmt;
    }
    public String getGodsClasCd() {
        return godsClasCd;
    }
    public void setGodsClasCd(String godsClasCd) {
        this.godsClasCd = godsClasCd;
    }
    public String getSnum() {
        return snum;
    }
    public void setSnum(String snum) {
        this.snum = snum;
    }
    public String getNiceCarCode() {
        return niceCarCode;
    }
    public void setNiceCarCode(String niceCarCode) {
        this.niceCarCode = niceCarCode;
    }
    public String getListNo() {
        return listNo;
    }
    public void setListNo(String listNo) {
        this.listNo = listNo;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
