package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StCnslCntcPlcDTO.java Class
 * 클래스설명   : ST-상담연락처(ST_CNSL_CNTC_PLC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 30.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 30.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StCnslCntcPlcDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String cnslNo  = "";  /* 상담번호 */
    private String cntcPlcDivCd  = "";  /* 연락처구분코드 */
    private String cntcPlcTel0  = "";  /* 연락처전화0 */
    private String cntcPlcTel1  = "";  /* 연락처전화1 */
    private String cntcPlcTel2  = "";  /* 연락처전화2 */
    private String cntcPlcTel3  = "";  /* 연락처전화3 */
    private String cntcPlcTelinno  = "";  /* 연락처전화내선 */

    public String getCnslNo() {
        return cnslNo;
    }
    public void setCnslNo(String cnslNo) {
        this.cnslNo = cnslNo;
    }
    public String getCntcPlcDivCd() {
        return cntcPlcDivCd;
    }
    public void setCntcPlcDivCd(String cntcPlcDivCd) {
        this.cntcPlcDivCd = cntcPlcDivCd;
    }
    public String getCntcPlcTel0() {
        return cntcPlcTel0;
    }
    public void setCntcPlcTel0(String cntcPlcTel0) {
        this.cntcPlcTel0 = cntcPlcTel0;
    }
    public String getCntcPlcTel1() {
        return cntcPlcTel1;
    }
    public void setCntcPlcTel1(String cntcPlcTel1) {
        this.cntcPlcTel1 = cntcPlcTel1;
    }
    public String getCntcPlcTel2() {
        return cntcPlcTel2;
    }
    public void setCntcPlcTel2(String cntcPlcTel2) {
        this.cntcPlcTel2 = cntcPlcTel2;
    }
    public String getCntcPlcTel3() {
        return cntcPlcTel3;
    }
    public void setCntcPlcTel3(String cntcPlcTel3) {
        this.cntcPlcTel3 = cntcPlcTel3;
    }
    public String getCntcPlcTelinno() {
        return cntcPlcTelinno;
    }
    public void setCntcPlcTelinno(String cntcPlcTelinno) {
        this.cntcPlcTelinno = cntcPlcTelinno;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
