package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StCnslCvrtCustDescDTO.java Class
 * 클래스설명   : ST-상담연락처(ST_CNSL_CVRT_CUST_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 30.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 30.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StCnslCvrtCustDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String cnslNo  = "";  /* 상담번호 */
    private String custNo  = "";  /* 고객번호 */
    private String mainContManFg  = "";  /* 주계약자여부 */
    private String bfCnslNo  = "";  /* 전상담번호 */

    public String getCnslNo() {
        return cnslNo;
    }
    public void setCnslNo(String cnslNo) {
        this.cnslNo = cnslNo;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getMainContManFg() {
        return mainContManFg;
    }
    public void setMainContManFg(String mainContManFg) {
        this.mainContManFg = mainContManFg;
    }
    public String getBfCnslNo() {
        return bfCnslNo;
    }
    public void setBfCnslNo(String bfCnslNo) {
        this.bfCnslNo = bfCnslNo;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
