package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StCprtContDTO.java Class
 * 클래스설명   : ST_제휴_약정(ST_CPRT_CONT)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70279 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StCprtContDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String cprtComNo = ""; /* 제휴사_번호 */
    private String cprtBranCd = ""; /* 제휴점_코드 */
    private String prdtClasCd = ""; /* 상품_분류_코드 */
    private String limMngFg = ""; /* 한도_관리_여부 */
    private BigDecimal limAmt = BigDecimal.ZERO; /* 한도_금액 */
    private BigDecimal limRamt = BigDecimal.ZERO; /* 한도_잔액 */
    private String limAdjuEmpNo = ""; /* 한도_조정_사원번호 */
    private String bankCd = ""; /* 은행_코드 */
    private String acntNo = ""; /* 계좌번호 */
    private String depoOwnNo = ""; /* 예금주_번호 */
    private String depoOwnnm = ""; /* 예금주명 */
    private String contClosFg = ""; /* 약정_해지_여부 */
    private String contClosDt = ""; /* 약정_해지_일자 */
    private String lnDivsEmpNo = ""; /* 여신_담당_사원번호 */

	public String getCprtComNo() {
		return cprtComNo;
	}
	public void setCprtComNo(String cprtComNo) {
		this.cprtComNo = cprtComNo;
	}
	public String getCprtBranCd() {
		return cprtBranCd;
	}
	public void setCprtBranCd(String cprtBranCd) {
		this.cprtBranCd = cprtBranCd;
	}
	public String getPrdtClasCd() {
		return prdtClasCd;
	}
	public void setPrdtClasCd(String prdtClasCd) {
		this.prdtClasCd = prdtClasCd;
	}
	public String getLimMngFg() {
		return limMngFg;
	}
	public void setLimMngFg(String limMngFg) {
		this.limMngFg = limMngFg;
	}
	public BigDecimal getLimAmt() {
		return limAmt;
	}
	public void setLimAmt(BigDecimal limAmt) {
		this.limAmt = limAmt;
	}
	public BigDecimal getLimRamt() {
		return limRamt;
	}
	public void setLimRamt(BigDecimal limRamt) {
		this.limRamt = limRamt;
	}
	public String getLimAdjuEmpNo() {
		return limAdjuEmpNo;
	}
	public void setLimAdjuEmpNo(String limAdjuEmpNo) {
		this.limAdjuEmpNo = limAdjuEmpNo;
	}
	public String getBankCd() {
		return bankCd;
	}
	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}
	public String getAcntNo() {
		return acntNo;
	}
	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}
	public String getDepoOwnNo() {
		return depoOwnNo;
	}
	public void setDepoOwnNo(String depoOwnNo) {
		this.depoOwnNo = depoOwnNo;
	}
	public String getDepoOwnnm() {
		return depoOwnnm;
	}
	public void setDepoOwnnm(String depoOwnnm) {
		this.depoOwnnm = depoOwnnm;
	}
	public String getContClosFg() {
		return contClosFg;
	}
	public void setContClosFg(String contClosFg) {
		this.contClosFg = contClosFg;
	}
	public String getContClosDt() {
		return contClosDt;
	}
	public void setContClosDt(String contClosDt) {
		this.contClosDt = contClosDt;
	}
	public String getLnDivsEmpNo() {
		return lnDivsEmpNo;
	}
	public void setLnDivsEmpNo(String lnDivsEmpNo) {
		this.lnDivsEmpNo = lnDivsEmpNo;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
}
