package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StCssIncomeDTO.java Class
 * 클래스설명   : 연소득(ST_CSS_INCOME) 테이블 DTO(VO)
 * 작성일자     : 2023.04.04.
 * 작성자명     : 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.04.04.][70280][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class StCssIncomeDTO extends AbstractVO
{
    private static final long serialVersionUID = 1L;

    private String loanCnslNo;             /* 대출상담번호                */
    private String prodGbCd;               /* 상품구분코드                */
    private String incoObjDivCd;           /* 소득대상구분코드            */
    private String incoKindDivCd;          /* 소득종류구분코드            */
    private String incoProfDocCd;          /* 소득증빙서류코드            */
    private String incoDataSubmTermCd;     /* 소득자료제출기간코드        */
    private BigDecimal rcntYyIncoAmt;      /* 최근년도연소득금액          */
    private BigDecimal rcntBfYyIncoAmt;    /* 최근년도직전년도연소득금액  */
    private BigDecimal cvrtYyIncoAmt;      /* 환산_연_소득_금액           */
    private BigDecimal selfIncoSum;        /* 본인 소득 합계              */
    private BigDecimal spusIncoSum;        /* 배우자 소득 합계            */
    private BigDecimal yyIncoSumAmt;       /* 소득 합계 (본인 + 배우자 )  */
    private BigDecimal declIncoCnt;        /* 신고소득 합산 건수          */

    public String getLoanCnslNo()
    {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo)
    {
        this.loanCnslNo = loanCnslNo;
    }
    public String getProdGbCd()
    {
        return prodGbCd;
    }
    public void setProdGbCd(String prodGbCd)
    {
        this.prodGbCd = prodGbCd;
    }
    public String getIncoObjDivCd()
    {
        return incoObjDivCd;
    }
    public void setIncoObjDivCd(String incoObjDivCd)
    {
        this.incoObjDivCd = incoObjDivCd;
    }
    public String getIncoKindDivCd()
    {
        return incoKindDivCd;
    }
    public void setIncoKindDivCd(String incoKindDivCd)
    {
        this.incoKindDivCd = incoKindDivCd;
    }
    public String getIncoProfDocCd()
    {
        return incoProfDocCd;
    }
    public void setIncoProfDocCd(String incoProfDocCd)
    {
        this.incoProfDocCd = incoProfDocCd;
    }
    public String getIncoDataSubmTermCd()
    {
        return incoDataSubmTermCd;
    }
    public void setIncoDataSubmTermCd(String incoDataSubmTermCd)
    {
        this.incoDataSubmTermCd = incoDataSubmTermCd;
    }
    public BigDecimal getRcntYyIncoAmt()
    {
        return rcntYyIncoAmt;
    }
    public void setRcntYyIncoAmt(BigDecimal rcntYyIncoAmt)
    {
        this.rcntYyIncoAmt = rcntYyIncoAmt;
    }
    public BigDecimal getRcntBfYyIncoAmt()
    {
        return rcntBfYyIncoAmt;
    }
    public void setRcntBfYyIncoAmt(BigDecimal rcntBfYyIncoAmt)
    {
        this.rcntBfYyIncoAmt = rcntBfYyIncoAmt;
    }
    public BigDecimal getCvrtYyIncoAmt()
    {
        return cvrtYyIncoAmt;
    }
    public void setCvrtYyIncoAmt(BigDecimal cvrtYyIncoAmt)
    {
        this.cvrtYyIncoAmt = cvrtYyIncoAmt;
    }
    public static long getSerialversionuid()
    {
        return serialVersionUID;
    }
    public BigDecimal getSelfIncoSum()
    {
        return selfIncoSum;
    }
    public void setSelfIncoSum(BigDecimal selfIncoSum)
    {
        this.selfIncoSum = selfIncoSum;
    }
    public BigDecimal getSpusIncoSum()
    {
        return spusIncoSum;
    }
    public void setSpusIncoSum(BigDecimal spusIncoSum)
    {
        this.spusIncoSum = spusIncoSum;
    }
    public BigDecimal getYyIncoSumAmt()
    {
        return yyIncoSumAmt;
    }
    public void setYyIncoSumAmt(BigDecimal yyIncoSumAmt)
    {
        this.yyIncoSumAmt = yyIncoSumAmt;
    }
    public BigDecimal getDeclIncoCnt()
    {
        return declIncoCnt;
    }
    public void setDeclIncoCnt(BigDecimal declIncoCnt)
    {
        this.declIncoCnt = declIncoCnt;
    }
}