package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StCustAddrDTO.java Class
 * 클래스설명   : ST-고객주소(ST_CUST_ADDR)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StCustAddrDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String custNo  = "";  /* 고객번호 */
    private String addrDivCd  = "";  /* 주소구분코드 */
    private String addrDivNm  = "";  /* 주소구분 */
    private String baseAddr  = "";  /* 기본주소 */
    private String addrSpec  = "";  /* 주소상세 */
    private String rsndRsnCd  = "";  /* 반송사유코드 */
    private String addrRoad  = "";  /* 주소도로 */
    private String roadNmAddrFg  = "";  /* 도로명주소여부 */
    private String zipCd  = "";  /* 우편번호 */


    public String getAddrDivNm() {
		return addrDivNm;
	}
	public void setAddrDivNm(String addrDivNm) {
		this.addrDivNm = addrDivNm;
	}
	public String getZipCd() {
		return zipCd;
	}
	public void setZipCd(String zipCd) {
		this.zipCd = zipCd;
	}
	public String getCustNo() {
		return custNo;
	}
	public String getAddrDivCd() {
		return addrDivCd;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public void setAddrDivCd(String addrDivCd) {
		this.addrDivCd = addrDivCd;
	}
    public String getBaseAddr() {
        return baseAddr;
    }
    public void setBaseAddr(String baseAddr) {
        this.baseAddr = baseAddr;
    }
    public String getAddrSpec() {
        return addrSpec;
    }
    public void setAddrSpec(String addrSpec) {
        this.addrSpec = addrSpec;
    }
    public String getRsndRsnCd() {
        return rsndRsnCd;
    }
    public void setRsndRsnCd(String rsndRsnCd) {
        this.rsndRsnCd = rsndRsnCd;
    }
    public String getAddrRoad() {
        return addrRoad;
    }
    public void setAddrRoad(String addrRoad) {
        this.addrRoad = addrRoad;
    }
    public String getRoadNmAddrFg() {
        return roadNmAddrFg;
    }
    public void setRoadNmAddrFg(String roadNmAddrFg) {
        this.roadNmAddrFg = roadNmAddrFg;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }
}
