package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StCustCntcPlcDTO.java Class
 * 클래스설명   : ST-고객연락처(ST_CUST_CNTC_PLC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StCustCntcPlcDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String custNo  = "";  /* 고객번호 */
    private String cntcPlcDivCd  = "";  /* 연락처구분코드 */
    private String cntcPlcTel0  = "";  /* 연락처전화0 */
    private String cntcPlcTel1  = "";  /* 연락처전화1 */
    private String cntcPlcTel2  = "";  /* 연락처전화2 */
    private String cntcPlcTel3  = "";  /* 연락처전화3 */
    private String cntcPlcTelInno  = "";  /* 연락처전화내선 */
    private String cntcStatCd  = "";  /* 연락상태코드 */
    private String cntcPlcRelCd  = "";  /* 연락처관계코드 */

    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getCntcPlcDivCd() {
        return cntcPlcDivCd;
    }
    public void setCntcPlcDivCd(String cntcPlcDivCd) {
        this.cntcPlcDivCd = cntcPlcDivCd;
    }
    public String getCntcPlcTel0() {
        return cntcPlcTel0;
    }
    public void setCntcPlcTel0(String cntcPlcTel0) {
        this.cntcPlcTel0 = cntcPlcTel0;
    }
    public String getCntcPlcTel1() {
        return cntcPlcTel1;
    }
    public void setCntcPlcTel1(String cntcPlcTel1) {
        this.cntcPlcTel1 = cntcPlcTel1;
    }
    public String getCntcPlcTel2() {
        return cntcPlcTel2;
    }
    public void setCntcPlcTel2(String cntcPlcTel2) {
        this.cntcPlcTel2 = cntcPlcTel2;
    }
    public String getCntcPlcTel3() {
        return cntcPlcTel3;
    }
    public void setCntcPlcTel3(String cntcPlcTel3) {
        this.cntcPlcTel3 = cntcPlcTel3;
    }
    public String getCntcPlcTelInno() {
        return cntcPlcTelInno;
    }
    public void setCntcPlcTelInno(String cntcPlcTelInno) {
        this.cntcPlcTelInno = cntcPlcTelInno;
    }
    public String getCntcStatCd() {
        return cntcStatCd;
    }
    public void setCntcStatCd(String cntcStatCd) {
        this.cntcStatCd = cntcStatCd;
    }
    public String getCntcPlcRelCd() {
        return cntcPlcRelCd;
    }
    public void setCntcPlcRelCd(String cntcPlcRelCd) {
        this.cntcPlcRelCd = cntcPlcRelCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
