package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StDferIncdPrftBaseDTO.java Class
 * 클래스설명   : ST_이연_부대_수익_기본(ST_DFER_INCD_PRFT_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 29.
 * 작성자명     : 70279 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70279 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StDferIncdPrftBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo = ""; /* 대출_번호 */
    private String loanSeq = ""; /* 대출_순번 */
    private String dferIncdPrftDivCd = ""; /* 이연_부대_수익_구분코드 */
    private long snum = 0; /* 일련번호 */
    private String occrDt = ""; /* 발생_일자 */
    private long loanTerm = 0; /* 대출_기간 */
    private BigDecimal totAmt = BigDecimal.ZERO; /* 총_금액 */
    private long preProcTims = 0; /* 기_처리_회차 */
    private BigDecimal preProcAmt = BigDecimal.ZERO; /* 기_처리_금액 */
    private BigDecimal balAmt = BigDecimal.ZERO; /* 잔여_금액 */
    private String loanStatCd = ""; /* 대출_상태_코드 */
    private String loanEndDt = ""; /* 대출_종료일자 */
    private String loanEndCnclDt = ""; /* 대출_종료_취소_일자 */
    private String cmplFg = ""; /* 완료_여부 */
    private String cmplDt = ""; /* 완료_일자 */

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getDferIncdPrftDivCd() {
		return dferIncdPrftDivCd;
	}
	public void setDferIncdPrftDivCd(String dferIncdPrftDivCd) {
		this.dferIncdPrftDivCd = dferIncdPrftDivCd;
	}
	public long getSnum() {
		return snum;
	}
	public void setSnum(long snum) {
		this.snum = snum;
	}
	public String getOccrDt() {
		return occrDt;
	}
	public void setOccrDt(String occrDt) {
		this.occrDt = occrDt;
	}
	public long getLoanTerm() {
		return loanTerm;
	}
	public void setLoanTerm(long loanTerm) {
		this.loanTerm = loanTerm;
	}
	public BigDecimal getTotAmt() {
		return totAmt;
	}
	public void setTotAmt(BigDecimal totAmt) {
		this.totAmt = totAmt;
	}
	public long getPreProcTims() {
		return preProcTims;
	}
	public void setPreProcTims(long preProcTims) {
		this.preProcTims = preProcTims;
	}
	public BigDecimal getPreProcAmt() {
		return preProcAmt;
	}
	public void setPreProcAmt(BigDecimal preProcAmt) {
		this.preProcAmt = preProcAmt;
	}
	public BigDecimal getBalAmt() {
		return balAmt;
	}
	public void setBalAmt(BigDecimal balAmt) {
		this.balAmt = balAmt;
	}
	public String getLoanStatCd() {
		return loanStatCd;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}
	public String getLoanEndDt() {
		return loanEndDt;
	}
	public void setLoanEndDt(String loanEndDt) {
		this.loanEndDt = loanEndDt;
	}
	public String getLoanEndCnclDt() {
		return loanEndCnclDt;
	}
	public void setLoanEndCnclDt(String loanEndCnclDt) {
		this.loanEndCnclDt = loanEndCnclDt;
	}
	public String getCmplFg() {
		return cmplFg;
	}
	public void setCmplFg(String cmplFg) {
		this.cmplFg = cmplFg;
	}
	public String getCmplDt() {
		return cmplDt;
	}
	public void setCmplDt(String cmplDt) {
		this.cmplDt = cmplDt;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}

}
