package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StDferIncdPrftDistDescDTO.java Class
 * 클래스설명   : ST_이연_부대_수익_배분_내역(ST_DFER_INCD_PRFT_DIST_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 29.
 * 작성자명     : 70279 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70279 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StDferIncdPrftDistDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String stndYymm = ""; /* 기준_년월 */
    private String empNo = ""; /* 사원_번호 */
    private String loanNo = ""; /* 대출_번호 */
    private String loanSeq = ""; /* 대출_순번 */
    private String dferIncdPrftDivCd = ""; /* 이연_부대_수익_구분코드 */
    private long snum = 0; /* 일련번호 */
    private BigDecimal totAmt = BigDecimal.ZERO; /* 총_금액 */
    private String dferFg = ""; /* 이연_여부 */

	public String getStndYymm() {
		return stndYymm;
	}
	public void setStndYymm(String stndYymm) {
		this.stndYymm = stndYymm;
	}
	public String getEmpNo() {
		return empNo;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getDferIncdPrftDivCd() {
		return dferIncdPrftDivCd;
	}
	public void setDferIncdPrftDivCd(String dferIncdPrftDivCd) {
		this.dferIncdPrftDivCd = dferIncdPrftDivCd;
	}
	public long getSnum() {
		return snum;
	}
	public void setSnum(long snum) {
		this.snum = snum;
	}
	public BigDecimal getTotAmt() {
		return totAmt;
	}
	public void setTotAmt(BigDecimal totAmt) {
		this.totAmt = totAmt;
	}
	public String getDferFg() {
		return dferFg;
	}
	public void setDferFg(String dferFg) {
		this.dferFg = dferFg;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
}
