package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StElecRegDTO.java Class
 * 클래스설명   : 전자등기원장(ST_ELEC_REG)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 5. 08.
 * 작성자명     : 70319 / jeongseon.shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 5. 08.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StElecRegDTO extends AbstractVO {

	private String loanApplNo="";                     /* 대출신청번호 */
	private String regReqNo="";                       /* 등기의뢰번호 */
	private String hlMngNo="";                        /* 하나생명 관리번호 */
	private String ftMngNo="";                        /* 피노텍 관리번호 */
	private String elecRegTpCd="";                    /* 전자등기_등기유형코드 */
	private String elecRegLoanPayCd="";               /* 전자등기_대출지급코드 */
	private String elecRegFaceDiv="";                 /* 전자등기_대면_구분 */
	private String newReRewFg="";                     /* 전자등기_신규재의뢰여부 */
	private String prdtDiv="";                        /* 전자등기_상품구분 */
	private String closPrgsDiv="";                    /* 전자등기_말소진행구분 */
	private String obankRmbrFg="";                    /* 전자등기_타행상환여부 */
	private String esttPclrNo1="";                    /* 전자등기_부동산고유번호 */
	private String landRigtSetDiv1="";                /* 전자등기_지상권설정여부 */
	private String setContDt="";                      /* 설정계약일 */
	private String setCur="";                         /* 설정통화 */
	private String regCdocNo="";                      /* 등기번호 */
	private String rqstInfo="";                       /* 설정요청정보 */
	private String mrtgdDebtRang="";                  /* 피담보채무의범위 */
	private String lmitMrtgTrKindNm="";               /* 한정근담보종류명 */
	private String flmoRigtClacTime="";               /* 근저당권결산기 */
	private String flmoRigtClacTimeAsgnTpDt="";       /* 근저당권결산기_지정형일자 */
	private String spcCntrMtr="";                     /* 특약사항 */
	private String copyRecpFg="";                     /* 사본수령여부 */
	private String impMtrDescFg="";                   /* 중요사항설명여부 */
	private String wdrwRigtGiveupFg="";               /* 철회권포기여부 */
	private String currMgrNm="";                      /* 지배인명 */
	private String gaztDt="";                         /* 부임일자 */
	private String telNo="";                          /* 연락처 */
	private String debtCustRcgn="";                   /* 채무자_고객식별자 */
	private String mrtgOffrManSameFg="";              /* 담보제공자와동일인여부 */
	private String mrtg1CustRcgn="";                  /* 담보제공자_고객식별자 */
	private String mrtg1SignFrml="";                  /* 담보제공자_서명방식 */
	private String mrtg1EsttPclrNo="";                /* 담보제공자_등기필정보_일련번호 */
	private String monyPrps="";                       /* 자금구분 */
	private String regPrgsStatCd="";                  /* 등기진행상태코드 */
	private String elecRegReqGramNo="";               /* 전자등기의뢰전문번호 */
	private String caseDivsManGramNo="";              /* 사건담당자전문번호 */
	private String docExamRsltGramNo="";              /* 서류심사결과전문번호 */
	private String elSignCustReptGramNo="";           /* 전자서명고객보고전문번호 */
	private String elSignCustReptCmplGramNo="";       /* 전자서명고객보고완료전문번호 */
	private String elSignBkReptGramNo="";             /* 전자서명은행보고전문번호 */
	private String elSignTotCmplReptGramNo="";        /* 전자서명전체완료보고전문번호 */
	private String elSignCmplYn="";                   /* 전자서명완료여부 */
	private String rmbrGramNo="";                     /* 상환금전문번호 */
	private String regCostGramNo="";                  /* 등기비용전문번호 */
	private int feeSumAmt=0;                          /* 수수료합계금액 */
	private int bankSumAmt=0;                         /* 은행합계금액 */
	private String blotExecNotiGramNo="";             /* 기표실행통지전문번호 */
	private String regExecNotiGramNo="";              /* 등기실행통지전문번호 */
	private String regAcptCnfmGramNo="";              /* 등기접수확인전문번호 */
	private String rlnRegAcptCnfmGramNo="";           /* 대환등기접수확인전문번호 */
	private String regProcCmplGramNo="";              /* 등기처리완료전문번호 */
	private String regProcRslt="";                    /* 등기처리결과 */
	private String regAcptNo="";                      /* 등기접수번호 */
	private String regApplCorrGramNo="";              /* 등기신청보정전문번호 */
	private String regApplDsmlGramNo="";              /* 등기신청각하전문번호 */
	private String chngRqstGramNo="";                 /* 변경요청전문번호 */
	private String regCnclGramNo="";                  /* 등기취소전문번호 */

	public String getLoanApplNo() {
		return loanApplNo;
	}
	public void setLoanApplNo(String loanApplNo) {
		this.loanApplNo = loanApplNo;
	}
	public String getRegReqNo() {
		return regReqNo;
	}
	public void setRegReqNo(String regReqNo) {
		this.regReqNo = regReqNo;
	}
	public String getHlMngNo() {
		return hlMngNo;
	}
	public void setHlMngNo(String hlMngNo) {
		this.hlMngNo = hlMngNo;
	}
	public String getFtMngNo() {
		return ftMngNo;
	}
	public void setFtMngNo(String ftMngNo) {
		this.ftMngNo = ftMngNo;
	}
	public String getElecRegTpCd() {
		return elecRegTpCd;
	}
	public void setElecRegTpCd(String elecRegTpCd) {
		this.elecRegTpCd = elecRegTpCd;
	}
	public String getElecRegLoanPayCd() {
		return elecRegLoanPayCd;
	}
	public void setElecRegLoanPayCd(String elecRegLoanPayCd) {
		this.elecRegLoanPayCd = elecRegLoanPayCd;
	}
	public String getElecRegFaceDiv() {
		return elecRegFaceDiv;
	}
	public void setElecRegFaceDiv(String elecRegFaceDiv) {
		this.elecRegFaceDiv = elecRegFaceDiv;
	}
	public String getNewReRewFg() {
		return newReRewFg;
	}
	public void setNewReRewFg(String newReRewFg) {
		this.newReRewFg = newReRewFg;
	}
	public String getPrdtDiv() {
		return prdtDiv;
	}
	public void setPrdtDiv(String prdtDiv) {
		this.prdtDiv = prdtDiv;
	}
	public String getClosPrgsDiv() {
		return closPrgsDiv;
	}
	public void setClosPrgsDiv(String closPrgsDiv) {
		this.closPrgsDiv = closPrgsDiv;
	}
	public String getObankRmbrFg() {
		return obankRmbrFg;
	}
	public void setObankRmbrFg(String obankRmbrFg) {
		this.obankRmbrFg = obankRmbrFg;
	}
	public String getEsttPclrNo1() {
		return esttPclrNo1;
	}
	public void setEsttPclrNo1(String esttPclrNo1) {
		this.esttPclrNo1 = esttPclrNo1;
	}
	public String getLandRigtSetDiv1() {
		return landRigtSetDiv1;
	}
	public void setLandRigtSetDiv1(String landRigtSetDiv1) {
		this.landRigtSetDiv1 = landRigtSetDiv1;
	}
	public String getSetContDt() {
		return setContDt;
	}
	public void setSetContDt(String setContDt) {
		this.setContDt = setContDt;
	}
	public String getSetCur() {
		return setCur;
	}
	public void setSetCur(String setCur) {
		this.setCur = setCur;
	}
	public String getRegCdocNo() {
		return regCdocNo;
	}
	public void setRegCdocNo(String regCdocNo) {
		this.regCdocNo = regCdocNo;
	}
	public String getRqstInfo() {
		return rqstInfo;
	}
	public void setRqstInfo(String rqstInfo) {
		this.rqstInfo = rqstInfo;
	}
	public String getMrtgdDebtRang() {
		return mrtgdDebtRang;
	}
	public void setMrtgdDebtRang(String mrtgdDebtRang) {
		this.mrtgdDebtRang = mrtgdDebtRang;
	}
	public String getLmitMrtgTrKindNm() {
		return lmitMrtgTrKindNm;
	}
	public void setLmitMrtgTrKindNm(String lmitMrtgTrKindNm) {
		this.lmitMrtgTrKindNm = lmitMrtgTrKindNm;
	}
	public String getFlmoRigtClacTime() {
		return flmoRigtClacTime;
	}
	public void setFlmoRigtClacTime(String flmoRigtClacTime) {
		this.flmoRigtClacTime = flmoRigtClacTime;
	}
	public String getFlmoRigtClacTimeAsgnTpDt() {
		return flmoRigtClacTimeAsgnTpDt;
	}
	public void setFlmoRigtClacTimeAsgnTpDt(String flmoRigtClacTimeAsgnTpDt) {
		this.flmoRigtClacTimeAsgnTpDt = flmoRigtClacTimeAsgnTpDt;
	}
	public String getSpcCntrMtr() {
		return spcCntrMtr;
	}
	public void setSpcCntrMtr(String spcCntrMtr) {
		this.spcCntrMtr = spcCntrMtr;
	}
	public String getCopyRecpFg() {
		return copyRecpFg;
	}
	public void setCopyRecpFg(String copyRecpFg) {
		this.copyRecpFg = copyRecpFg;
	}
	public String getImpMtrDescFg() {
		return impMtrDescFg;
	}
	public void setImpMtrDescFg(String impMtrDescFg) {
		this.impMtrDescFg = impMtrDescFg;
	}
	public String getWdrwRigtGiveupFg() {
		return wdrwRigtGiveupFg;
	}
	public void setWdrwRigtGiveupFg(String wdrwRigtGiveupFg) {
		this.wdrwRigtGiveupFg = wdrwRigtGiveupFg;
	}
	public String getCurrMgrNm() {
		return currMgrNm;
	}
	public void setCurrMgrNm(String currMgrNm) {
		this.currMgrNm = currMgrNm;
	}
	public String getGaztDt() {
		return gaztDt;
	}
	public void setGaztDt(String gaztDt) {
		this.gaztDt = gaztDt;
	}
	public String getTelNo() {
		return telNo;
	}
	public void setTelNo(String telNo) {
		this.telNo = telNo;
	}
	public String getDebtCustRcgn() {
		return debtCustRcgn;
	}
	public void setDebtCustRcgn(String debtCustRcgn) {
		this.debtCustRcgn = debtCustRcgn;
	}
	public String getMrtgOffrManSameFg() {
		return mrtgOffrManSameFg;
	}
	public void setMrtgOffrManSameFg(String mrtgOffrManSameFg) {
		this.mrtgOffrManSameFg = mrtgOffrManSameFg;
	}
	public String getMrtg1CustRcgn() {
		return mrtg1CustRcgn;
	}
	public void setMrtg1CustRcgn(String mrtg1CustRcgn) {
		this.mrtg1CustRcgn = mrtg1CustRcgn;
	}
	public String getMrtg1SignFrml() {
		return mrtg1SignFrml;
	}
	public void setMrtg1SignFrml(String mrtg1SignFrml) {
		this.mrtg1SignFrml = mrtg1SignFrml;
	}
	public String getMrtg1EsttPclrNo() {
		return mrtg1EsttPclrNo;
	}
	public void setMrtg1EsttPclrNo(String mrtg1EsttPclrNo) {
		this.mrtg1EsttPclrNo = mrtg1EsttPclrNo;
	}
	public String getMonyPrps() {
		return monyPrps;
	}
	public void setMonyPrps(String monyPrps) {
		this.monyPrps = monyPrps;
	}
	public String getRegPrgsStatCd() {
		return regPrgsStatCd;
	}
	public void setRegPrgsStatCd(String regPrgsStatCd) {
		this.regPrgsStatCd = regPrgsStatCd;
	}
	public String getElecRegReqGramNo() {
		return elecRegReqGramNo;
	}
	public void setElecRegReqGramNo(String elecRegReqGramNo) {
		this.elecRegReqGramNo = elecRegReqGramNo;
	}
	public String getCaseDivsManGramNo() {
		return caseDivsManGramNo;
	}
	public void setCaseDivsManGramNo(String caseDivsManGramNo) {
		this.caseDivsManGramNo = caseDivsManGramNo;
	}
	public String getDocExamRsltGramNo() {
		return docExamRsltGramNo;
	}
	public void setDocExamRsltGramNo(String docExamRsltGramNo) {
		this.docExamRsltGramNo = docExamRsltGramNo;
	}
	public String getElSignCustReptGramNo() {
		return elSignCustReptGramNo;
	}
	public void setElSignCustReptGramNo(String elSignCustReptGramNo) {
		this.elSignCustReptGramNo = elSignCustReptGramNo;
	}
	public String getElSignCustReptCmplGramNo() {
		return elSignCustReptCmplGramNo;
	}
	public void setElSignCustReptCmplGramNo(String elSignCustReptCmplGramNo) {
		this.elSignCustReptCmplGramNo = elSignCustReptCmplGramNo;
	}
	public String getElSignBkReptGramNo() {
		return elSignBkReptGramNo;
	}
	public void setElSignBkReptGramNo(String elSignBkReptGramNo) {
		this.elSignBkReptGramNo = elSignBkReptGramNo;
	}
	public String getElSignTotCmplReptGramNo() {
		return elSignTotCmplReptGramNo;
	}
	public void setElSignTotCmplReptGramNo(String elSignTotCmplReptGramNo) {
		this.elSignTotCmplReptGramNo = elSignTotCmplReptGramNo;
	}
	public String getElSignCmplYn() {
		return elSignCmplYn;
	}
	public void setElSignCmplYn(String elSignCmplYn) {
		this.elSignCmplYn = elSignCmplYn;
	}
	public String getRmbrGramNo() {
		return rmbrGramNo;
	}
	public void setRmbrGramNo(String rmbrGramNo) {
		this.rmbrGramNo = rmbrGramNo;
	}
	public String getRegCostGramNo() {
		return regCostGramNo;
	}
	public void setRegCostGramNo(String regCostGramNo) {
		this.regCostGramNo = regCostGramNo;
	}
	public int getFeeSumAmt() {
		return feeSumAmt;
	}
	public void setFeeSumAmt(int feeSumAmt) {
		this.feeSumAmt = feeSumAmt;
	}
	public int getBankSumAmt() {
		return bankSumAmt;
	}
	public void setBankSumAmt(int bankSumAmt) {
		this.bankSumAmt = bankSumAmt;
	}
	public String getBlotExecNotiGramNo() {
		return blotExecNotiGramNo;
	}
	public void setBlotExecNotiGramNo(String blotExecNotiGramNo) {
		this.blotExecNotiGramNo = blotExecNotiGramNo;
	}
	public String getRegExecNotiGramNo() {
		return regExecNotiGramNo;
	}
	public void setRegExecNotiGramNo(String regExecNotiGramNo) {
		this.regExecNotiGramNo = regExecNotiGramNo;
	}
	public String getRegAcptCnfmGramNo() {
		return regAcptCnfmGramNo;
	}
	public void setRegAcptCnfmGramNo(String regAcptCnfmGramNo) {
		this.regAcptCnfmGramNo = regAcptCnfmGramNo;
	}
	public String getRlnRegAcptCnfmGramNo() {
		return rlnRegAcptCnfmGramNo;
	}
	public void setRlnRegAcptCnfmGramNo(String rlnRegAcptCnfmGramNo) {
		this.rlnRegAcptCnfmGramNo = rlnRegAcptCnfmGramNo;
	}
	public String getRegProcCmplGramNo() {
		return regProcCmplGramNo;
	}
	public void setRegProcCmplGramNo(String regProcCmplGramNo) {
		this.regProcCmplGramNo = regProcCmplGramNo;
	}
	public String getRegProcRslt() {
		return regProcRslt;
	}
	public void setRegProcRslt(String regProcRslt) {
		this.regProcRslt = regProcRslt;
	}
	public String getRegAcptNo() {
		return regAcptNo;
	}
	public void setRegAcptNo(String regAcptNo) {
		this.regAcptNo = regAcptNo;
	}
	public String getRegApplCorrGramNo() {
		return regApplCorrGramNo;
	}
	public void setRegApplCorrGramNo(String regApplCorrGramNo) {
		this.regApplCorrGramNo = regApplCorrGramNo;
	}
	public String getRegApplDsmlGramNo() {
		return regApplDsmlGramNo;
	}
	public void setRegApplDsmlGramNo(String regApplDsmlGramNo) {
		this.regApplDsmlGramNo = regApplDsmlGramNo;
	}
	public String getChngRqstGramNo() {
		return chngRqstGramNo;
	}
	public void setChngRqstGramNo(String chngRqstGramNo) {
		this.chngRqstGramNo = chngRqstGramNo;
	}
	public String getRegCnclGramNo() {
		return regCnclGramNo;
	}
	public void setRegCnclGramNo(String regCnclGramNo) {
		this.regCnclGramNo = regCnclGramNo;
	}
}
