package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명 	: 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명  	: StExecCostDTO.java Class
 * 클래스설명	: 여신실행제비용정보(ST_EXEC_COST)를(을) 위한 테이블 DTO(VO)
 * 작성일자  	: 2023. 6. 07.
 * 작성자명  	: 70319 / JeongSeon.Shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 6. 07.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StExecCostDTO extends AbstractVO {

	private String loanApplNo="";                     /* 대출신청번호 */
	private String totaMngmGbCd="";                   /* 제비용관리구분코드 */
	private int custCost=0;                           /* 고객부담금액 */
	private int bankCost=0;                           /* 은행부담금액 */
	private int totaCostTotAmt=0;                     /* 제비용부담금액합계 */
	private String busiCompNo="";                     /* 관리업체관리번호 */

	public String getLoanApplNo() {
		return loanApplNo;
	}
	public void setLoanApplNo(String loanApplNo) {
		this.loanApplNo = loanApplNo;
	}
	public String getTotaMngmGbCd() {
		return totaMngmGbCd;
	}
	public void setTotaMngmGbCd(String totaMngmGbCd) {
		this.totaMngmGbCd = totaMngmGbCd;
	}
	public int getCustCost() {
		return custCost;
	}
	public void setCustCost(int custCost) {
		this.custCost = custCost;
	}
	public int getBankCost() {
		return bankCost;
	}
	public void setBankCost(int bankCost) {
		this.bankCost = bankCost;
	}
	public int getTotaCostTotAmt() {
		return totaCostTotAmt;
	}
	public void setTotaCostTotAmt(int totaCostTotAmt) {
		this.totaCostTotAmt = totaCostTotAmt;
	}
	public String getBusiCompNo() {
		return busiCompNo;
	}
	public void setBusiCompNo(String busiCompNo) {
		this.busiCompNo = busiCompNo;
	}
}
