package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtCaseProcDivsManInfoDTO.java Class
 * 클래스설명    : ST_피노텍_사건_처리_담당자_정보(ST_FT_CASE_PROC_DIVS_MAN_INFO)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 28.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtCaseProcDivsManInfoDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String divsManNm = "";                      /* 담당자명 */
    private String divsManTelNo = "";                   /* 담당자 전화번호 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getDivsManNm() {
        return divsManNm;
    }
    public void setDivsManNm(String divsManNm) {
        this.divsManNm = divsManNm;
    }
    public String getDivsManTelNo() {
        return divsManTelNo;
    }
    public void setDivsManTelNo(String divsManTelNo) {
        this.divsManTelNo = divsManTelNo;
    }
}
