package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtFlmoRigtSetReqMrtgOffrDTO.java Class
 * 클래스설명    : ST_피노텍_근저당권_설정_의뢰_담보_제공자(ST_FT_FLMO_RIGT_SET_REQ_MRTG_OFFR)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 28.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * [2023. 6. 13.][70278 ][항목변경]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtFlmoRigtSetReqMrtgOffrDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /** 전문일련번호 */
    private int subSeq = 0;                             /** 서브 일련번호 */
    private String custRcgn = "";                       /** 고객 식별자 */
    private String custNm = "";                         /** 이름 */
    private String resiNoAfDgt = "";                    /** 주민번호 뒷자리 */
    private String signFrml = "";                       /** 서명 방식 */
    private String cntcPlc = "";                        /** 연락처 */
    private String esttPclrNo1 = "";                    /** 부동산고유번호1 */
    private String regdInfoFg1 = "";                    /** 등기필정보 여부1 */
    private String esttPclrNo2 = "";                    /** 부동산고유번호2 */
    private String regdInfoFg2 = "";                    /** 등기필정보 여부2 */
    private String esttPclrNo3 = "";                    /** 부동산고유번호3 */
    private String regdInfoFg3 = "";                    /** 등기필정보 여부3 */

    public String getGramSeq() {
        return gramSeq;
    }
    public int getSubSeq() {
        return subSeq;
    }
    public String getCustRcgn() {
        return custRcgn;
    }
    public String getCustNm() {
        return custNm;
    }
    public String getResiNoAfDgt() {
        return resiNoAfDgt;
    }
    public String getSignFrml() {
        return signFrml;
    }
    public String getCntcPlc() {
        return cntcPlc;
    }
    public String getEsttPclrNo1() {
        return esttPclrNo1;
    }
    public String getRegdInfoFg1() {
        return regdInfoFg1;
    }
    public String getEsttPclrNo2() {
        return esttPclrNo2;
    }
    public String getRegdInfoFg2() {
        return regdInfoFg2;
    }
    public String getEsttPclrNo3() {
        return esttPclrNo3;
    }
    public String getRegdInfoFg3() {
        return regdInfoFg3;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public void setSubSeq(int subSeq) {
        this.subSeq = subSeq;
    }
    public void setCustRcgn(String custRcgn) {
        this.custRcgn = custRcgn;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public void setResiNoAfDgt(String resiNoAfDgt) {
        this.resiNoAfDgt = resiNoAfDgt;
    }
    public void setSignFrml(String signFrml) {
        this.signFrml = signFrml;
    }
    public void setCntcPlc(String cntcPlc) {
        this.cntcPlc = cntcPlc;
    }
    public void setEsttPclrNo1(String esttPclrNo1) {
        this.esttPclrNo1 = esttPclrNo1;
    }
    public void setRegdInfoFg1(String regdInfoFg1) {
        this.regdInfoFg1 = regdInfoFg1;
    }
    public void setEsttPclrNo2(String esttPclrNo2) {
        this.esttPclrNo2 = esttPclrNo2;
    }
    public void setRegdInfoFg2(String regdInfoFg2) {
        this.regdInfoFg2 = regdInfoFg2;
    }
    public void setEsttPclrNo3(String esttPclrNo3) {
        this.esttPclrNo3 = esttPclrNo3;
    }
    public void setRegdInfoFg3(String regdInfoFg3) {
        this.regdInfoFg3 = regdInfoFg3;
    }

}
