package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtFlmoRigtSetReqRlnClosDTO.java Class
 * 클래스설명    : ST_피노텍_근저당권_설정_의뢰_대환_말소(ST_FT_FLMO_RIGT_SET_REQ_RLN_CLOS)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 28.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtFlmoRigtSetReqRlnClosDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private int subSeq = 0;                             /* 서브 일련번호 */
    private String rlnClosEsttPclrNo1 = "";             /* 부동산고유번호1 */
    private String preSeqClosRankNo1 = "";              /* 선순위 말소-순위번호1 */
    private String preSeqClosAcptDt1 = "";              /* 선순위 말소-접수일자1 */
    private String preSeqClosAcptNo1 = "";              /* 선순위 말소-접수번호1 */
    private String preSeqClosRankNo2 = "";              /* 선순위 말소-순위번호2 */
    private String preSeqClosAcptDt2 = "";              /* 선순위 말소-접수일자2 */
    private String preSeqClosAcptNo2 = "";              /* 선순위 말소-접수번호2 */
    private String preSeqClosRankNo3 = "";              /* 선순위 말소-순위번호3 */
    private String preSeqClosAcptDt3 = "";              /* 선순위 말소-접수일자3 */
    private String preSeqClosAcptNo3 = "";              /* 선순위 말소-접수번호3 */
    private String preSeqClosRankNo4 = "";              /* 선순위 말소-순위번호4 */
    private String preSeqClosAcptDt4 = "";              /* 선순위 말소-접수일자4 */
    private String preSeqClosAcptNo4 = "";              /* 선순위 말소-접수번호5 */
    private String preSeqClosRankNo5 = "";              /* 선순위 말소-순위번호5 */
    private String preSeqClosAcptDt5 = "";              /* 선순위 말소-접수일자5 */
    private String preSeqClosAcptNo5 = "";              /* 선순위 말소-접수번호5 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public int getSubSeq() {
        return subSeq;
    }
    public void setSubSeq(int subSeq) {
        this.subSeq = subSeq;
    }
    public String getRlnClosEsttPclrNo1() {
        return rlnClosEsttPclrNo1;
    }
    public void setRlnClosEsttPclrNo1(String rlnClosEsttPclrNo1) {
        this.rlnClosEsttPclrNo1 = rlnClosEsttPclrNo1;
    }
    public String getPreSeqClosRankNo1() {
        return preSeqClosRankNo1;
    }
    public void setPreSeqClosRankNo1(String preSeqClosRankNo1) {
        this.preSeqClosRankNo1 = preSeqClosRankNo1;
    }
    public String getPreSeqClosAcptDt1() {
        return preSeqClosAcptDt1;
    }
    public void setPreSeqClosAcptDt1(String preSeqClosAcptDt1) {
        this.preSeqClosAcptDt1 = preSeqClosAcptDt1;
    }
    public String getPreSeqClosAcptNo1() {
        return preSeqClosAcptNo1;
    }
    public void setPreSeqClosAcptNo1(String preSeqClosAcptNo1) {
        this.preSeqClosAcptNo1 = preSeqClosAcptNo1;
    }
    public String getPreSeqClosRankNo2() {
        return preSeqClosRankNo2;
    }
    public void setPreSeqClosRankNo2(String preSeqClosRankNo2) {
        this.preSeqClosRankNo2 = preSeqClosRankNo2;
    }
    public String getPreSeqClosAcptDt2() {
        return preSeqClosAcptDt2;
    }
    public void setPreSeqClosAcptDt2(String preSeqClosAcptDt2) {
        this.preSeqClosAcptDt2 = preSeqClosAcptDt2;
    }
    public String getPreSeqClosAcptNo2() {
        return preSeqClosAcptNo2;
    }
    public void setPreSeqClosAcptNo2(String preSeqClosAcptNo2) {
        this.preSeqClosAcptNo2 = preSeqClosAcptNo2;
    }
    public String getPreSeqClosRankNo3() {
        return preSeqClosRankNo3;
    }
    public void setPreSeqClosRankNo3(String preSeqClosRankNo3) {
        this.preSeqClosRankNo3 = preSeqClosRankNo3;
    }
    public String getPreSeqClosAcptDt3() {
        return preSeqClosAcptDt3;
    }
    public void setPreSeqClosAcptDt3(String preSeqClosAcptDt3) {
        this.preSeqClosAcptDt3 = preSeqClosAcptDt3;
    }
    public String getPreSeqClosAcptNo3() {
        return preSeqClosAcptNo3;
    }
    public void setPreSeqClosAcptNo3(String preSeqClosAcptNo3) {
        this.preSeqClosAcptNo3 = preSeqClosAcptNo3;
    }
    public String getPreSeqClosRankNo4() {
        return preSeqClosRankNo4;
    }
    public void setPreSeqClosRankNo4(String preSeqClosRankNo4) {
        this.preSeqClosRankNo4 = preSeqClosRankNo4;
    }
    public String getPreSeqClosAcptDt4() {
        return preSeqClosAcptDt4;
    }
    public void setPreSeqClosAcptDt4(String preSeqClosAcptDt4) {
        this.preSeqClosAcptDt4 = preSeqClosAcptDt4;
    }
    public String getPreSeqClosAcptNo4() {
        return preSeqClosAcptNo4;
    }
    public void setPreSeqClosAcptNo4(String preSeqClosAcptNo4) {
        this.preSeqClosAcptNo4 = preSeqClosAcptNo4;
    }
    public String getPreSeqClosRankNo5() {
        return preSeqClosRankNo5;
    }
    public void setPreSeqClosRankNo5(String preSeqClosRankNo5) {
        this.preSeqClosRankNo5 = preSeqClosRankNo5;
    }
    public String getPreSeqClosAcptDt5() {
        return preSeqClosAcptDt5;
    }
    public void setPreSeqClosAcptDt5(String preSeqClosAcptDt5) {
        this.preSeqClosAcptDt5 = preSeqClosAcptDt5;
    }
    public String getPreSeqClosAcptNo5() {
        return preSeqClosAcptNo5;
    }
    public void setPreSeqClosAcptNo5(String preSeqClosAcptNo5) {
        this.preSeqClosAcptNo5 = preSeqClosAcptNo5;
    }
}
