package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtRegAcptCnfmReptDTO.java Class
 * 클래스설명    : ST_피노텍_등기_접수_확인_보고(ST_FT_REG_ACPT_CNFM_REPT)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 28.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtRegAcptCnfmReptDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private int subSeq = 0;                             /* 서브 일련번호 */
    private String regTpCd = "";                        /* 등기 유형 코드 */
    private String esttPclrNo = "";                     /* 부동산고유번호 */
    private String regOffcNm = "";                      /* 등기소명 */
    private String regAcptNo = "";                      /* 등기접수번호 */
    private String regAcptDt = "";                      /* 등기접수일자 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public int getSubSeq() {
        return subSeq;
    }
    public void setSubSeq(int subSeq) {
        this.subSeq = subSeq;
    }
    public String getRegTpCd() {
        return regTpCd;
    }
    public void setRegTpCd(String regTpCd) {
        this.regTpCd = regTpCd;
    }
    public String getEsttPclrNo() {
        return esttPclrNo;
    }
    public void setEsttPclrNo(String esttPclrNo) {
        this.esttPclrNo = esttPclrNo;
    }
    public String getRegOffcNm() {
        return regOffcNm;
    }
    public void setRegOffcNm(String regOffcNm) {
        this.regOffcNm = regOffcNm;
    }
    public String getRegAcptNo() {
        return regAcptNo;
    }
    public void setRegAcptNo(String regAcptNo) {
        this.regAcptNo = regAcptNo;
    }
    public String getRegAcptDt() {
        return regAcptDt;
    }
    public void setRegAcptDt(String regAcptDt) {
        this.regAcptDt = regAcptDt;
    }
}
