package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtRegCostCtntReptDTO.java Class
 * 클래스설명    : ST_피노텍_등기_비용_내용_보고(ST_FT_REG_COST_CTNT_REPT)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 28.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtRegCostCtntReptDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                                          /* 전문일련번호 */
    private int costOccrCnt = 0;                                          /* 비용 발생 개수 */
    private BigDecimal chngCostcClosAgntSum = BigDecimal.ZERO;            /* 변경비용(말소대행) */
    private BigDecimal bndDiscAmt = BigDecimal.ZERO;                      /* 채권할인금액 */
    private BigDecimal custBrdnAmtSum = BigDecimal.ZERO;                  /* 고객부담금계 */
    private BigDecimal taxTaxsSum = BigDecimal.ZERO;                      /* 공과금 합계 */
    private BigDecimal jdcaAgncManFee = BigDecimal.ZERO;                  /* 법무대리인 수수료 */
    private BigDecimal jdcaAgncManVtax = BigDecimal.ZERO;                 /* 법무대리인 부가가치세 */
    private BigDecimal soluVndrFee = BigDecimal.ZERO;                     /* 솔루션업체 이용수수료 */
    private BigDecimal soluVndrVtax = BigDecimal.ZERO;                    /* 솔루션업체 부가가치세 */
    private BigDecimal trstSignCostOccrCnt = BigDecimal.ZERO;             /* 위임 서명 비용 발생 건수 */
    private BigDecimal trstSignCostTotSum = BigDecimal.ZERO;              /* 위임 서명 비용 총합 */
    private BigDecimal trstSignCostTotSumVtax = BigDecimal.ZERO;          /* 위임 서명 비용 총합 부가가치세 */
    private BigDecimal feeTotSum = BigDecimal.ZERO;                       /* 수수료 합계 */
    private BigDecimal bankTotSum = BigDecimal.ZERO;                      /* 은행 합계 */
    private BigDecimal costTotSum = BigDecimal.ZERO;                      /* 비용 합계 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public int getCostOccrCnt() {
        return costOccrCnt;
    }
    public void setCostOccrCnt(int costOccrCnt) {
        this.costOccrCnt = costOccrCnt;
    }
    public BigDecimal getChngCostcClosAgntSum() {
        return chngCostcClosAgntSum;
    }
    public void setChngCostcClosAgntSum(BigDecimal chngCostcClosAgntSum) {
        this.chngCostcClosAgntSum = chngCostcClosAgntSum;
    }
    public BigDecimal getBndDiscAmt() {
        return bndDiscAmt;
    }
    public void setBndDiscAmt(BigDecimal bndDiscAmt) {
        this.bndDiscAmt = bndDiscAmt;
    }
    public BigDecimal getCustBrdnAmtSum() {
        return custBrdnAmtSum;
    }
    public void setCustBrdnAmtSum(BigDecimal custBrdnAmtSum) {
        this.custBrdnAmtSum = custBrdnAmtSum;
    }
    public BigDecimal getTaxTaxsSum() {
        return taxTaxsSum;
    }
    public void setTaxTaxsSum(BigDecimal taxTaxsSum) {
        this.taxTaxsSum = taxTaxsSum;
    }
    public BigDecimal getJdcaAgncManFee() {
        return jdcaAgncManFee;
    }
    public void setJdcaAgncManFee(BigDecimal jdcaAgncManFee) {
        this.jdcaAgncManFee = jdcaAgncManFee;
    }
    public BigDecimal getJdcaAgncManVtax() {
        return jdcaAgncManVtax;
    }
    public void setJdcaAgncManVtax(BigDecimal jdcaAgncManVtax) {
        this.jdcaAgncManVtax = jdcaAgncManVtax;
    }
    public BigDecimal getSoluVndrFee() {
        return soluVndrFee;
    }
    public void setSoluVndrFee(BigDecimal soluVndrFee) {
        this.soluVndrFee = soluVndrFee;
    }
    public BigDecimal getSoluVndrVtax() {
        return soluVndrVtax;
    }
    public void setSoluVndrVtax(BigDecimal soluVndrVtax) {
        this.soluVndrVtax = soluVndrVtax;
    }
    public BigDecimal getTrstSignCostOccrCnt() {
        return trstSignCostOccrCnt;
    }
    public void setTrstSignCostOccrCnt(BigDecimal trstSignCostOccrCnt) {
        this.trstSignCostOccrCnt = trstSignCostOccrCnt;
    }
    public BigDecimal getTrstSignCostTotSum() {
        return trstSignCostTotSum;
    }
    public void setTrstSignCostTotSum(BigDecimal trstSignCostTotSum) {
        this.trstSignCostTotSum = trstSignCostTotSum;
    }
    public BigDecimal getTrstSignCostTotSumVtax() {
        return trstSignCostTotSumVtax;
    }
    public void setTrstSignCostTotSumVtax(BigDecimal trstSignCostTotSumVtax) {
        this.trstSignCostTotSumVtax = trstSignCostTotSumVtax;
    }
    public BigDecimal getFeeTotSum() {
        return feeTotSum;
    }
    public void setFeeTotSum(BigDecimal feeTotSum) {
        this.feeTotSum = feeTotSum;
    }
    public BigDecimal getBankTotSum() {
        return bankTotSum;
    }
    public void setBankTotSum(BigDecimal bankTotSum) {
        this.bankTotSum = bankTotSum;
    }
    public BigDecimal getCostTotSum() {
        return costTotSum;
    }
    public void setCostTotSum(BigDecimal costTotSum) {
        this.costTotSum = costTotSum;
    }
}
