package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtRegCostCtntReptSpecCostDTO.java Class
 * 클래스설명    : ST_피노텍_등기_비용_내용_보고_상세_비용(ST_FT_REG_COST_CTNT_REPT_SPEC_COST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 28.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtRegCostCtntReptSpecCostDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                                    /* 전문일련번호 */
    private int subSeq = 0;                                         /* 서브 일련번호 */
    private String regTpCd = "";                                    /* 등기 유형 코드 */
    private BigDecimal regOccrCnt = BigDecimal.ZERO;                /* 등기 발생 건수 */
    private BigDecimal chngCostcClosAgnt = BigDecimal.ZERO;         /* 변경비용(말소대행) */
    private BigDecimal custBrdnAmt = BigDecimal.ZERO;               /* 고객부담금계 */
    private BigDecimal rtax = BigDecimal.ZERO;                      /* a 등록세 */
    private BigDecimal etax = BigDecimal.ZERO;                      /* b 교육세 */
    private BigDecimal stmpAmt = BigDecimal.ZERO;                   /* c 증지(등기신청수수료) */
    private BigDecimal taxTaxsSum = BigDecimal.ZERO;                /* 공과금계(a+b+c) */
    private BigDecimal resiCdocPeruCost = BigDecimal.ZERO;          /* 등초본 열람 비용 */
    private BigDecimal jdcaAgncManFee = BigDecimal.ZERO;            /* 법무대리인 수수료 */
    private BigDecimal jdcaAgncManVtax = BigDecimal.ZERO;           /* 법무대리인 부가가치세 */
    private BigDecimal soluVndrFee = BigDecimal.ZERO;               /* 솔루션업체 수수료 */
    private BigDecimal soluVndrVtax = BigDecimal.ZERO;              /* 솔루션업체 부가가치세 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public int getSubSeq() {
        return subSeq;
    }
    public void setSubSeq(int subSeq) {
        this.subSeq = subSeq;
    }
    public String getRegTpCd() {
        return regTpCd;
    }
    public void setRegTpCd(String regTpCd) {
        this.regTpCd = regTpCd;
    }
    public BigDecimal getRegOccrCnt() {
        return regOccrCnt;
    }
    public void setRegOccrCnt(BigDecimal regOccrCnt) {
        this.regOccrCnt = regOccrCnt;
    }
    public BigDecimal getChngCostcClosAgnt() {
        return chngCostcClosAgnt;
    }
    public void setChngCostcClosAgnt(BigDecimal chngCostcClosAgnt) {
        this.chngCostcClosAgnt = chngCostcClosAgnt;
    }
    public BigDecimal getCustBrdnAmt() {
        return custBrdnAmt;
    }
    public void setCustBrdnAmt(BigDecimal custBrdnAmt) {
        this.custBrdnAmt = custBrdnAmt;
    }
    public BigDecimal getRtax() {
        return rtax;
    }
    public void setRtax(BigDecimal rtax) {
        this.rtax = rtax;
    }
    public BigDecimal getEtax() {
        return etax;
    }
    public void setEtax(BigDecimal etax) {
        this.etax = etax;
    }
    public BigDecimal getStmpAmt() {
        return stmpAmt;
    }
    public void setStmpAmt(BigDecimal stmpAmt) {
        this.stmpAmt = stmpAmt;
    }
    public BigDecimal getTaxTaxsSum() {
        return taxTaxsSum;
    }
    public void setTaxTaxsSum(BigDecimal taxTaxsSum) {
        this.taxTaxsSum = taxTaxsSum;
    }
    public BigDecimal getResiCdocPeruCost() {
        return resiCdocPeruCost;
    }
    public void setResiCdocPeruCost(BigDecimal resiCdocPeruCost) {
        this.resiCdocPeruCost = resiCdocPeruCost;
    }
    public BigDecimal getJdcaAgncManFee() {
        return jdcaAgncManFee;
    }
    public void setJdcaAgncManFee(BigDecimal jdcaAgncManFee) {
        this.jdcaAgncManFee = jdcaAgncManFee;
    }
    public BigDecimal getJdcaAgncManVtax() {
        return jdcaAgncManVtax;
    }
    public void setJdcaAgncManVtax(BigDecimal jdcaAgncManVtax) {
        this.jdcaAgncManVtax = jdcaAgncManVtax;
    }
    public BigDecimal getSoluVndrFee() {
        return soluVndrFee;
    }
    public void setSoluVndrFee(BigDecimal soluVndrFee) {
        this.soluVndrFee = soluVndrFee;
    }
    public BigDecimal getSoluVndrVtax() {
        return soluVndrVtax;
    }
    public void setSoluVndrVtax(BigDecimal soluVndrVtax) {
        this.soluVndrVtax = soluVndrVtax;
    }
}
