package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StFtRegdInfoNotiDTO.java Class
 * 클래스설명    : ST_피노텍_등기필_정보_통지(ST_FT_REGD_INFO_NOTI)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * [2023. 4. 29.][70278 ][클래스명 변경 ST_FP => ST_FT]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StFtRegdInfoNotiDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private int subSeq = 0;                             /* 서브 일련번호 */
    private String custRcgn = "";                       /* 고객 식별자1 */
    private String esttPclrNo1 = "";                    /* 부동산고유번호1 */
    private String snum1 = "";                          /* 등기필정보-일련번호 */
    private String pswd11 = "";                         /* 비밀번호1 */
    private String pswd12 = "";                         /* 비밀번호2 */
    private String esttPclrNo2 = "";                    /* 부동산고유번호2 */
    private String snum2 = "";                          /* 등기필정보-일련번호 */
    private String pswd21 = "";                         /* 비밀번호1 */
    private String pswd22 = "";                         /* 비밀번호2 */
    private String esttPclrNo3 = "";                    /* 부동산고유번호3 */
    private String snum3 = "";                          /* 등기필정보-일련번호 */
    private String pswd31 = "";                         /* 비밀번호1 */
    private String pswd32 = "";                         /* 비밀번호2 */
    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public int getSubSeq() {
        return subSeq;
    }
    public void setSubSeq(int subSeq) {
        this.subSeq = subSeq;
    }
    public String getCustRcgn() {
        return custRcgn;
    }
    public void setCustRcgn(String custRcgn) {
        this.custRcgn = custRcgn;
    }
    public String getEsttPclrNo1() {
        return esttPclrNo1;
    }
    public void setEsttPclrNo1(String esttPclrNo1) {
        this.esttPclrNo1 = esttPclrNo1;
    }
    public String getSnum1() {
        return snum1;
    }
    public void setSnum1(String snum1) {
        this.snum1 = snum1;
    }
    public String getPswd11() {
        return pswd11;
    }
    public void setPswd11(String pswd11) {
        this.pswd11 = pswd11;
    }
    public String getPswd12() {
        return pswd12;
    }
    public void setPswd12(String pswd12) {
        this.pswd12 = pswd12;
    }
    public String getEsttPclrNo2() {
        return esttPclrNo2;
    }
    public void setEsttPclrNo2(String esttPclrNo2) {
        this.esttPclrNo2 = esttPclrNo2;
    }
    public String getSnum2() {
        return snum2;
    }
    public void setSnum2(String snum2) {
        this.snum2 = snum2;
    }
    public String getPswd21() {
        return pswd21;
    }
    public void setPswd21(String pswd21) {
        this.pswd21 = pswd21;
    }
    public String getPswd22() {
        return pswd22;
    }
    public void setPswd22(String pswd22) {
        this.pswd22 = pswd22;
    }
    public String getEsttPclrNo3() {
        return esttPclrNo3;
    }
    public void setEsttPclrNo3(String esttPclrNo3) {
        this.esttPclrNo3 = esttPclrNo3;
    }
    public String getSnum3() {
        return snum3;
    }
    public void setSnum3(String snum3) {
        this.snum3 = snum3;
    }
    public String getPswd31() {
        return pswd31;
    }
    public void setPswd31(String pswd31) {
        this.pswd31 = pswd31;
    }
    public String getPswd32() {
        return pswd32;
    }
    public void setPswd32(String pswd32) {
        this.pswd32 = pswd32;
    }
}
