package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StHiLoanRmbrEndDTO.java Class
 * 클래스설명   : ST_하나손보_대출_상환_종료(ST_HI_LOAN_RMBR_END)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 13.
 * 작성자명     : 70319 / jeongseon.shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70319 ][최초작성]
 * [2023. 5. 24.][70278 ] 테이블 명 변경에따른 클래스명 변경
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StHiLoanRmbrEndDTO extends AbstractVO {

    private static long serialVersionUID = 1L;

    private String gramSeq = "";  /* 전문일련번호 */
    private String rmbrYn = "";  /* 상환유무(완제유무) */
    private String rmbrDt = "";  /* 상환일자 */
    private String rschRmrk = "";  /* 비고 */
    private String reqBrnchNm = "";  /* 의뢰지점명 */
    private String divsManNm = "";  /* 담당자명 */
    private String divsManTelNo = "";  /* 담당자전화 */
    private String divsManFaxNo = "";  /* 담당자 팩스 */
    private String prpItem = "";  /* 예비 */

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
	public static void setSerialVersionUID(long serialVersionUID) {
		StHiLoanRmbrEndDTO.serialVersionUID = serialVersionUID;
	}
	public String getGramSeq() {
		return gramSeq;
	}
	public void setGramSeq(String gramSeq) {
		this.gramSeq = gramSeq;
	}
	public String getRmbrYn() {
		return rmbrYn;
	}
	public void setRmbrYn(String rmbrYn) {
		this.rmbrYn = rmbrYn;
	}
	public String getRmbrDt() {
		return rmbrDt;
	}
	public void setRmbrDt(String rmbrDt) {
		this.rmbrDt = rmbrDt;
	}
	public String getRschRmrk() {
		return rschRmrk;
	}
	public void setRschRmrk(String rschRmrk) {
		this.rschRmrk = rschRmrk;
	}
	public String getReqBrnchNm() {
		return reqBrnchNm;
	}
	public void setReqBrnchNm(String reqBrnchNm) {
		this.reqBrnchNm = reqBrnchNm;
	}
	public String getDivsManNm() {
		return divsManNm;
	}
	public void setDivsManNm(String divsManNm) {
		this.divsManNm = divsManNm;
	}
	public String getDivsManTelNo() {
		return divsManTelNo;
	}
	public void setDivsManTelNo(String divsManTelNo) {
		this.divsManTelNo = divsManTelNo;
	}
	public String getDivsManFaxNo() {
		return divsManFaxNo;
	}
	public void setDivsManFaxNo(String divsManFaxNo) {
		this.divsManFaxNo = divsManFaxNo;
	}
	public String getPrpItem() {
		return prpItem;
	}
	public void setPrpItem(String prpItem) {
		this.prpItem = prpItem;
	}

}
