package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StHiOnlnMstrDTO.java Class
 * 클래스설명   : ST_하나손보_온라인_마스터(ST_HI_ONLN_MSTR)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 13.
 * 작성자명     : 70319 / jeongseon.shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StHiOnlnMstrDTO extends AbstractVO {

    private static long serialVersionUID = 1L;

    private String gramSeq = "";  /* 전문일련번호 */
    private String loanCnslNo = "";  /* 대출상담번호 */
    private String loanApplNo = "";  /* 대출신청번호 */
    private String loanNo = "";  /* 대출번호 */
    private String custNo = "";  /* 고객번호 */
    private String sendComCd = "";  /* 전송회사코드 */
    private String gramKindCd = "";  /* 전문종별코드 */
    private String bsnDivCd = "";  /* 업무구분코드 */
    private int imgApndCnt = 0;  /* 이미지첨부건수 */
    private String gramSendTm = "";  /* 전문전송시간 */
    private String rspnCd = "";  /* 응답코드 */
    private String addErrMsg = "";  /* 추가에러내용(한글) */
    private String hiGramSeq = "";  /* 전문순번 */
    private String gramContYn = "";  /* 전문연속여부 */
    private String prpCommInfo = "";  /* 예비 공통정보 */
    private String hlflReqNo = "";  /* 하나생명의뢰번호 */
    private String insuComMngNo = "";  /* 보험사관리번호 */
    private String realivMngNo = "";  /* 리얼아이브이관리번호 */

	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	public static void setSerialversionuid(long serialversionuid) {
		serialVersionUID = serialversionuid;
	}
	public String getGramSeq() {
		return gramSeq;
	}
	public void setGramSeq(String gramSeq) {
		this.gramSeq = gramSeq;
	}
	public String getLoanCnslNo() {
		return loanCnslNo;
	}
	public void setLoanCnslNo(String loanCnslNo) {
		this.loanCnslNo = loanCnslNo;
	}
	public String getLoanApplNo() {
		return loanApplNo;
	}
	public void setLoanApplNo(String loanApplNo) {
		this.loanApplNo = loanApplNo;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getSendComCd() {
		return sendComCd;
	}
	public void setSendComCd(String sendComCd) {
		this.sendComCd = sendComCd;
	}
	public String getGramKindCd() {
		return gramKindCd;
	}
	public void setGramKindCd(String gramKindCd) {
		this.gramKindCd = gramKindCd;
	}
	public String getBsnDivCd() {
		return bsnDivCd;
	}
	public void setBsnDivCd(String bsnDivCd) {
		this.bsnDivCd = bsnDivCd;
	}
	public int getImgApndCnt() {
		return imgApndCnt;
	}
	public void setImgApndCnt(int imgApndCnt) {
		this.imgApndCnt = imgApndCnt;
	}
	public String getGramSendTm() {
		return gramSendTm;
	}
	public void setGramSendTm(String gramSendTm) {
		this.gramSendTm = gramSendTm;
	}
	public String getRspnCd() {
		return rspnCd;
	}
	public void setRspnCd(String rspnCd) {
		this.rspnCd = rspnCd;
	}
	public String getAddErrMsg() {
		return addErrMsg;
	}
	public void setAddErrMsg(String addErrMsg) {
		this.addErrMsg = addErrMsg;
	}
	public String getHiGramSeq() {
		return hiGramSeq;
	}
	public void setHiGramSeq(String hiGramSeq) {
		this.hiGramSeq = hiGramSeq;
	}
	public String getGramContYn() {
		return gramContYn;
	}
	public void setGramContYn(String gramContYn) {
		this.gramContYn = gramContYn;
	}
	public String getPrpCommInfo() {
		return prpCommInfo;
	}
	public void setPrpCommInfo(String prpCommInfo) {
		this.prpCommInfo = prpCommInfo;
	}
	public String getHlflReqNo() {
		return hlflReqNo;
	}
	public void setHlflReqNo(String hlflReqNo) {
		this.hlflReqNo = hlflReqNo;
	}
	public String getInsuComMngNo() {
		return insuComMngNo;
	}
	public void setInsuComMngNo(String insuComMngNo) {
		this.insuComMngNo = insuComMngNo;
	}
	public String getRealivMngNo() {
		return realivMngNo;
	}
	public void setRealivMngNo(String realivMngNo) {
		this.realivMngNo = realivMngNo;
	}

}
