package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StHiRigtRschCnfmDocDTO.java Class
 * 클래스설명   : ST_하나손보_권리_조사_확인서(ST_HI_RIGT_RSCH_CNFM_DOC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 13.
 * 작성자명     : 70319 / jeongseon.shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70319 ][최초작성]
 * [2023. 4. 26.][70278 KiHwan.Park][테이블변경에 의한 수정]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StHiRigtRschCnfmDocDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String cnfmDocSeq = "";                     /* 확인서차수 */
    private String retyExfnVarYn = "";                  /* 등기부변동유무 */
    private String varCntn = "";                        /* 변동내용 */
    private String moveiHshdYn = "";                    /* 전입세대유무 */
    private String rschDttm = "";                       /* 조사일시 */
    private String rschManNm = "";                      /* 조사자명 */
    private String telNo = "";                          /* 전화번호 */
    private String rschRmrk = "";                       /* 비고 */
    private int moveiHshdInfoArryCnt = 0;               /* 배열갯수 */
    private String genRmrk = "";                        /* 비고 */
    private String rigtStndDttm = "";                   /* 권리기준일시 */
    private String rigtRschDt = "";                     /* 권리조사일 */
    private String rschMan = "";                        /* 조사자 */
    private String cntcPlc = "";                        /* 연락처 */
    private String faxNo = "";                          /* 팩스번호 */
    private String moveiHshdVarYn = "";                 /* 전입세대 변동 유무 */
    private String prpItem = "";                        /* 예비 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getCnfmDocSeq() {
        return cnfmDocSeq;
    }
    public void setCnfmDocSeq(String cnfmDocSeq) {
        this.cnfmDocSeq = cnfmDocSeq;
    }
    public String getRetyExfnVarYn() {
        return retyExfnVarYn;
    }
    public void setRetyExfnVarYn(String retyExfnVarYn) {
        this.retyExfnVarYn = retyExfnVarYn;
    }
    public String getVarCntn() {
        return varCntn;
    }
    public void setVarCntn(String varCntn) {
        this.varCntn = varCntn;
    }
    public String getMoveiHshdYn() {
        return moveiHshdYn;
    }
    public void setMoveiHshdYn(String moveiHshdYn) {
        this.moveiHshdYn = moveiHshdYn;
    }
    public String getRschDttm() {
        return rschDttm;
    }
    public void setRschDttm(String rschDttm) {
        this.rschDttm = rschDttm;
    }
    public String getRschManNm() {
        return rschManNm;
    }
    public void setRschManNm(String rschManNm) {
        this.rschManNm = rschManNm;
    }
    public String getTelNo() {
        return telNo;
    }
    public void setTelNo(String telNo) {
        this.telNo = telNo;
    }
    public String getRschRmrk() {
        return rschRmrk;
    }
    public void setRschRmrk(String rschRmrk) {
        this.rschRmrk = rschRmrk;
    }
    public int getMoveiHshdInfoArryCnt() {
        return moveiHshdInfoArryCnt;
    }
    public void setMoveiHshdInfoArryCnt(int moveiHshdInfoArryCnt) {
        this.moveiHshdInfoArryCnt = moveiHshdInfoArryCnt;
    }
    public String getGenRmrk() {
        return genRmrk;
    }
    public void setGenRmrk(String genRmrk) {
        this.genRmrk = genRmrk;
    }
    public String getRigtStndDttm() {
        return rigtStndDttm;
    }
    public void setRigtStndDttm(String rigtStndDttm) {
        this.rigtStndDttm = rigtStndDttm;
    }
    public String getRigtRschDt() {
        return rigtRschDt;
    }
    public void setRigtRschDt(String rigtRschDt) {
        this.rigtRschDt = rigtRschDt;
    }
    public String getRschMan() {
        return rschMan;
    }
    public void setRschMan(String rschMan) {
        this.rschMan = rschMan;
    }
    public String getCntcPlc() {
        return cntcPlc;
    }
    public void setCntcPlc(String cntcPlc) {
        this.cntcPlc = cntcPlc;
    }
    public String getFaxNo() {
        return faxNo;
    }
    public void setFaxNo(String faxNo) {
        this.faxNo = faxNo;
    }
    public String getMoveiHshdVarYn() {
        return moveiHshdVarYn;
    }
    public void setMoveiHshdVarYn(String moveiHshdVarYn) {
        this.moveiHshdVarYn = moveiHshdVarYn;
    }
    public String getPrpItem() {
        return prpItem;
    }
    public void setPrpItem(String prpItem) {
        this.prpItem = prpItem;
    }
}
