package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StHiRigtRschReptRentDTO.java Class
 * 클래스설명   : ST_하나손보_권리_조사_보고서_임대차(ST_HI_RIGT_RSCH_REPT_RENT)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 13.
 * 작성자명     : 70319 / jeongseon.shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StHiRigtRschReptRentDTO extends AbstractVO {

    private static long serialVersionUID = 1L;

    private String gramSeq = "";  /* 전문일련번호 */
    private int rentInfoSeq = 0;  /* 임대차내역 연번 */
    private String leasManNm = "";  /* 임차인명 */
    private int rentRoomCnt = 0;  /* 임대방수 */
    private String freeResiFg = "";  /* 무상거주여부 */
    private long leasGuarCnt = 0;  /* 임차보증금 */
    private long mmRent = 0;  /* 월세 */
    private String resiMoveiDt = "";  /* 주민등록전입일 */
    private String peruDt = "";  /* 열람일자 */

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
	public static void setSerialVersionUID(long serialVersionUID) {
		StHiRigtRschReptRentDTO.serialVersionUID = serialVersionUID;
	}
	public String getGramSeq() {
		return gramSeq;
	}
	public void setGramSeq(String gramSeq) {
		this.gramSeq = gramSeq;
	}
	public int getRentInfoSeq() {
		return rentInfoSeq;
	}
	public void setRentInfoSeq(int rentInfoSeq) {
		this.rentInfoSeq = rentInfoSeq;
	}
	public String getLeasManNm() {
		return leasManNm;
	}
	public void setLeasManNm(String leasManNm) {
		this.leasManNm = leasManNm;
	}
	public int getRentRoomCnt() {
		return rentRoomCnt;
	}
	public void setRentRoomCnt(int rentRoomCnt) {
		this.rentRoomCnt = rentRoomCnt;
	}
	public String getFreeResiFg() {
		return freeResiFg;
	}
	public void setFreeResiFg(String freeResiFg) {
		this.freeResiFg = freeResiFg;
	}
	public long getLeasGuarCnt() {
		return leasGuarCnt;
	}
	public void setLeasGuarCnt(long leasGuarCnt) {
		this.leasGuarCnt = leasGuarCnt;
	}
	public long getMmRent() {
		return mmRent;
	}
	public void setMmRent(long mmRent) {
		this.mmRent = mmRent;
	}
	public String getResiMoveiDt() {
		return resiMoveiDt;
	}
	public void setResiMoveiDt(String resiMoveiDt) {
		this.resiMoveiDt = resiMoveiDt;
	}
	public String getPeruDt() {
		return peruDt;
	}
	public void setPeruDt(String peruDt) {
		this.peruDt = peruDt;
	}

}
