package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKbAptInfoDTO.java Class
 * 클래스설명   : StKbAptInfo 테이블 DTO
 * 작성일자     : 2023.06.16.
 * 작성자명     : 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.04.14.][70280][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class StKbAptInfoDTO extends AbstractVO
{
    private String      esttGodsCd;             // 부동산물건코드
    private String      provNm;                 // 시도명
    private String      cigunguNm;              // 시군구명
    private String      guNm;                   // 구명
    private String      eubmyundongNm;          // 읍면동명
    private String      riNm;                   // 리명
    private String      stno;                   // 번지
    private String      etcStno;                // 기타번지
    private String      aptNm;                  // 아파트명
    private BigDecimal  totHshdcnt;             // 총세대수
    private BigDecimal  totDongcnt;             // 총동수
    private BigDecimal  grpMaxflor;             // 단지최고층
    private BigDecimal  grpMinflor;             // 단지최저층
    private String      cmplYymm;               // 준공년월
    private String      consVndrNm;             // 건설업체명
    private String      heatFrml;               // 난방방식
    private String      heatFuel;               // 난방연료
    private BigDecimal  parkQty;                // 주차대수
    private String      mngOffcTelNo;           // 관리사무소전화번호
    private String      bunygRigtFg;            // 분양권여부
    private String      inHousYymm;             // 입주년월
    private String      grpFeat;                // 단지특징
    private String      zipCd;                  // 우편번호
    private String      housShopMixFg;          // 주상복합여부
    private String      villaRowHousFg;         // 빌라연립여부
    private String      ldongCd;                // 법정동코드
    private String      rimdlFg;                // 리모델여부
    private String      roadNmZipCd;            // 도로명우편번호
    private String      roadNmEubmyunNo;        // 도로명읍면번호
    private String      roadNmSubNo;            // 도로명보조번호
    private String      roadNmZoneNo;           // 도로명구역번호
    private String      udgdDiv;                // 지하구분
    private String      roadNmBldgMainNo;       // 도로명건물메인번호
    private String      roadNmBldgSubNo;        // 도로명건물보조번호
    private String      roadNmBldgMngNo;        // 도로명건물관리번호
    private String      roadBaseAddr;           // 도로기본주소
    private String      roadSpecAddr;           // 도로상세주소
    private BigDecimal  xPos;                   // x좌표값
    private BigDecimal  yPos;                   // y좌표값
    private String      mkprExpstYn;            // 시세노출여부
    private String      pntpKind;               // 평형종류
    private String      wficeNm;                // 구청명
    private String      dongOffcNm;             // 동사무소명
    private String      poliBoxNm;              // 파출소명
    private String      offcroomdocNm;          // 소방서명
    private String      bankNm;                 // 은행명
    private String      hospNm;                 // 병원명
    private String      sportCntrNm;            // 스포츠센터명
    private String      shopCntrNm;             // 쇼핑센터명
    private String      schlNm;                 // 학교명
    private String      parkNm;                 // 공원명
    private String      genbusNo;               // 일반버스번호
    private String      seatbusNo;              // 좌석버스번호
    private String      subwLineNm;             // 지하철노선명
    private String      subwStanNm;             // 지하철역명
    private String      needTm;                 // 소요시간
    private String      frstRegDt;              // 최초등록일자
    private String      frstRegTm;              // 최초등록시각
    private String      frstRegEmpNo;           // 최초등록사원번호
    private String      lastProcDt;             // 최종처리일자
    private String      lastProcTm;             // 최종처리시각
    private String      lastProcEmpNo;          // 최종처리사원번호

    public String getEsttGodsCd()
    {
        return esttGodsCd;
    }
    public void setEsttGodsCd(String esttGodsCd)
    {
        this.esttGodsCd = esttGodsCd;
    }
    public String getProvNm()
    {
        return provNm;
    }
    public void setProvNm(String provNm)
    {
        this.provNm = provNm;
    }
    public String getCigunguNm()
    {
        return cigunguNm;
    }
    public void setCigunguNm(String cigunguNm)
    {
        this.cigunguNm = cigunguNm;
    }
    public String getGuNm()
    {
        return guNm;
    }
    public void setGuNm(String guNm)
    {
        this.guNm = guNm;
    }
    public String getEubmyundongNm()
    {
        return eubmyundongNm;
    }
    public void setEubmyundongNm(String eubmyundongNm)
    {
        this.eubmyundongNm = eubmyundongNm;
    }
    public String getRiNm()
    {
        return riNm;
    }
    public void setRiNm(String riNm)
    {
        this.riNm = riNm;
    }
    public String getStno()
    {
        return stno;
    }
    public void setStno(String stno)
    {
        this.stno = stno;
    }
    public String getEtcStno()
    {
        return etcStno;
    }
    public void setEtcStno(String etcStno)
    {
        this.etcStno = etcStno;
    }
    public String getAptNm()
    {
        return aptNm;
    }
    public void setAptNm(String aptNm)
    {
        this.aptNm = aptNm;
    }
    public BigDecimal getTotHshdcnt()
    {
        return totHshdcnt;
    }
    public void setTotHshdcnt(BigDecimal totHshdcnt)
    {
        this.totHshdcnt = totHshdcnt;
    }
    public BigDecimal getTotDongcnt()
    {
        return totDongcnt;
    }
    public void setTotDongcnt(BigDecimal totDongcnt)
    {
        this.totDongcnt = totDongcnt;
    }
    public BigDecimal getGrpMaxflor()
    {
        return grpMaxflor;
    }
    public void setGrpMaxflor(BigDecimal grpMaxflor)
    {
        this.grpMaxflor = grpMaxflor;
    }
    public BigDecimal getGrpMinflor()
    {
        return grpMinflor;
    }
    public void setGrpMinflor(BigDecimal grpMinflor)
    {
        this.grpMinflor = grpMinflor;
    }
    public String getCmplYymm()
    {
        return cmplYymm;
    }
    public void setCmplYymm(String cmplYymm)
    {
        this.cmplYymm = cmplYymm;
    }
    public String getConsVndrNm()
    {
        return consVndrNm;
    }
    public void setConsVndrNm(String consVndrNm)
    {
        this.consVndrNm = consVndrNm;
    }
    public String getHeatFrml()
    {
        return heatFrml;
    }
    public void setHeatFrml(String heatFrml)
    {
        this.heatFrml = heatFrml;
    }
    public String getHeatFuel()
    {
        return heatFuel;
    }
    public void setHeatFuel(String heatFuel)
    {
        this.heatFuel = heatFuel;
    }
    public BigDecimal getParkQty()
    {
        return parkQty;
    }
    public void setParkQty(BigDecimal parkQty)
    {
        this.parkQty = parkQty;
    }
    public String getMngOffcTelNo()
    {
        return mngOffcTelNo;
    }
    public void setMngOffcTelNo(String mngOffcTelNo)
    {
        this.mngOffcTelNo = mngOffcTelNo;
    }
    public String getBunygRigtFg()
    {
        return bunygRigtFg;
    }
    public void setBunygRigtFg(String bunygRigtFg)
    {
        this.bunygRigtFg = bunygRigtFg;
    }
    public String getInHousYymm()
    {
        return inHousYymm;
    }
    public void setInHousYymm(String inHousYymm)
    {
        this.inHousYymm = inHousYymm;
    }
    public String getGrpFeat()
    {
        return grpFeat;
    }
    public void setGrpFeat(String grpFeat)
    {
        this.grpFeat = grpFeat;
    }
    public String getZipCd()
    {
        return zipCd;
    }
    public void setZipCd(String zipCd)
    {
        this.zipCd = zipCd;
    }
    public String getHousShopMixFg()
    {
        return housShopMixFg;
    }
    public void setHousShopMixFg(String housShopMixFg)
    {
        this.housShopMixFg = housShopMixFg;
    }
    public String getVillaRowHousFg()
    {
        return villaRowHousFg;
    }
    public void setVillaRowHousFg(String villaRowHousFg)
    {
        this.villaRowHousFg = villaRowHousFg;
    }
    public String getLdongCd()
    {
        return ldongCd;
    }
    public void setLdongCd(String ldongCd)
    {
        this.ldongCd = ldongCd;
    }
    public String getRimdlFg()
    {
        return rimdlFg;
    }
    public void setRimdlFg(String rimdlFg)
    {
        this.rimdlFg = rimdlFg;
    }
    public String getRoadNmZipCd()
    {
        return roadNmZipCd;
    }
    public void setRoadNmZipCd(String roadNmZipCd)
    {
        this.roadNmZipCd = roadNmZipCd;
    }
    public String getRoadNmEubmyunNo()
    {
        return roadNmEubmyunNo;
    }
    public void setRoadNmEubmyunNo(String roadNmEubmyunNo)
    {
        this.roadNmEubmyunNo = roadNmEubmyunNo;
    }
    public String getRoadNmSubNo()
    {
        return roadNmSubNo;
    }
    public void setRoadNmSubNo(String roadNmSubNo)
    {
        this.roadNmSubNo = roadNmSubNo;
    }
    public String getRoadNmZoneNo()
    {
        return roadNmZoneNo;
    }
    public void setRoadNmZoneNo(String roadNmZoneNo)
    {
        this.roadNmZoneNo = roadNmZoneNo;
    }
    public String getUdgdDiv()
    {
        return udgdDiv;
    }
    public void setUdgdDiv(String udgdDiv)
    {
        this.udgdDiv = udgdDiv;
    }
    public String getRoadNmBldgMainNo()
    {
        return roadNmBldgMainNo;
    }
    public void setRoadNmBldgMainNo(String roadNmBldgMainNo)
    {
        this.roadNmBldgMainNo = roadNmBldgMainNo;
    }
    public String getRoadNmBldgSubNo()
    {
        return roadNmBldgSubNo;
    }
    public void setRoadNmBldgSubNo(String roadNmBldgSubNo)
    {
        this.roadNmBldgSubNo = roadNmBldgSubNo;
    }
    public String getRoadNmBldgMngNo()
    {
        return roadNmBldgMngNo;
    }
    public void setRoadNmBldgMngNo(String roadNmBldgMngNo)
    {
        this.roadNmBldgMngNo = roadNmBldgMngNo;
    }
    public String getRoadBaseAddr()
    {
        return roadBaseAddr;
    }
    public void setRoadBaseAddr(String roadBaseAddr)
    {
        this.roadBaseAddr = roadBaseAddr;
    }
    public String getRoadSpecAddr()
    {
        return roadSpecAddr;
    }
    public void setRoadSpecAddr(String roadSpecAddr)
    {
        this.roadSpecAddr = roadSpecAddr;
    }
    public BigDecimal getxPos()
    {
        return xPos;
    }
    public void setxPos(BigDecimal xPos)
    {
        this.xPos = xPos;
    }
    public BigDecimal getyPos()
    {
        return yPos;
    }
    public void setyPos(BigDecimal yPos)
    {
        this.yPos = yPos;
    }
    public String getMkprExpstYn()
    {
        return mkprExpstYn;
    }
    public void setMkprExpstYn(String mkprExpstYn)
    {
        this.mkprExpstYn = mkprExpstYn;
    }
    public String getPntpKind()
    {
        return pntpKind;
    }
    public void setPntpKind(String pntpKind)
    {
        this.pntpKind = pntpKind;
    }
    public String getWficeNm()
    {
        return wficeNm;
    }
    public void setWficeNm(String wficeNm)
    {
        this.wficeNm = wficeNm;
    }
    public String getDongOffcNm()
    {
        return dongOffcNm;
    }
    public void setDongOffcNm(String dongOffcNm)
    {
        this.dongOffcNm = dongOffcNm;
    }
    public String getPoliBoxNm()
    {
        return poliBoxNm;
    }
    public void setPoliBoxNm(String poliBoxNm)
    {
        this.poliBoxNm = poliBoxNm;
    }
    public String getOffcroomdocNm()
    {
        return offcroomdocNm;
    }
    public void setOffcroomdocNm(String offcroomdocNm)
    {
        this.offcroomdocNm = offcroomdocNm;
    }
    public String getBankNm()
    {
        return bankNm;
    }
    public void setBankNm(String bankNm)
    {
        this.bankNm = bankNm;
    }
    public String getHospNm()
    {
        return hospNm;
    }
    public void setHospNm(String hospNm)
    {
        this.hospNm = hospNm;
    }
    public String getSportCntrNm()
    {
        return sportCntrNm;
    }
    public void setSportCntrNm(String sportCntrNm)
    {
        this.sportCntrNm = sportCntrNm;
    }
    public String getShopCntrNm()
    {
        return shopCntrNm;
    }
    public void setShopCntrNm(String shopCntrNm)
    {
        this.shopCntrNm = shopCntrNm;
    }
    public String getSchlNm()
    {
        return schlNm;
    }
    public void setSchlNm(String schlNm)
    {
        this.schlNm = schlNm;
    }
    public String getParkNm()
    {
        return parkNm;
    }
    public void setParkNm(String parkNm)
    {
        this.parkNm = parkNm;
    }
    public String getGenbusNo()
    {
        return genbusNo;
    }
    public void setGenbusNo(String genbusNo)
    {
        this.genbusNo = genbusNo;
    }
    public String getSeatbusNo()
    {
        return seatbusNo;
    }
    public void setSeatbusNo(String seatbusNo)
    {
        this.seatbusNo = seatbusNo;
    }
    public String getSubwLineNm()
    {
        return subwLineNm;
    }
    public void setSubwLineNm(String subwLineNm)
    {
        this.subwLineNm = subwLineNm;
    }
    public String getSubwStanNm()
    {
        return subwStanNm;
    }
    public void setSubwStanNm(String subwStanNm)
    {
        this.subwStanNm = subwStanNm;
    }
    public String getNeedTm()
    {
        return needTm;
    }
    public void setNeedTm(String needTm)
    {
        this.needTm = needTm;
    }
    @Override
    public String getFrstRegDt()
    {
        return frstRegDt;
    }
    @Override
    public void setFrstRegDt(String frstRegDt)
    {
        this.frstRegDt = frstRegDt;
    }
    @Override
    public String getFrstRegTm()
    {
        return frstRegTm;
    }
    @Override
    public void setFrstRegTm(String frstRegTm)
    {
        this.frstRegTm = frstRegTm;
    }
    @Override
    public String getFrstRegEmpNo()
    {
        return frstRegEmpNo;
    }
    @Override
    public void setFrstRegEmpNo(String frstRegEmpNo)
    {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    @Override
    public String getLastProcDt()
    {
        return lastProcDt;
    }
    @Override
    public void setLastProcDt(String lastProcDt)
    {
        this.lastProcDt = lastProcDt;
    }
    @Override
    public String getLastProcTm()
    {
        return lastProcTm;
    }
    @Override
    public void setLastProcTm(String lastProcTm)
    {
        this.lastProcTm = lastProcTm;
    }
    @Override
    public String getLastProcEmpNo()
    {
        return lastProcEmpNo;
    }
    @Override
    public void setLastProcEmpNo(String lastProcEmpNo)
    {
        this.lastProcEmpNo = lastProcEmpNo;
    }
}