package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : stKcbOnlnMstrDTO.java Class
 * 클래스설명    : ST_KCB_온라인_마스터(ST_KCB_ONLN_MSTR)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKcbOnlnMstrDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String loanCnslNo = "";                     /* 대출상담번호 */
    private String loanApplNo = "";                     /* 대출신청번호 */
    private String loanNo = "";                         /* 대출번호 */
    private String custNo = "";                         /* 고객번호 */
    private String gramKindCd = "";                     /* 전문종별코드 */
    private String bsnDivCd = "";                       /* 업무구분코드 */
    private String rspnCd = "";                         /* 응답코드 */
    private String kcbLayMngNo = "";                    /* KCB 전문 관리번호 */
    private String kcbLaySendTm = "";                   /* KCB 전문 전송시간 */
    private String wricLayMngNo = "";                   /* 회원사 전문 관리번호 */
    private String wricLaySendTm = "";                  /* 회원사 전문전송 시간 */
    private String viewAgreeFg = "";                    /* 조회동의코드 */
    private String custTpCd = "";                       /* 개인/법인구분코드 */
    private String resiNo = "";                         /* 주민등록번호 */
    private String custNm = "";                         /* 성명 */
    private String readObjCd = "";                      /* 조회목적코드 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getLoanCnslNo() {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }
    public String getLoanApplNo() {
        return loanApplNo;
    }
    public void setLoanApplNo(String loanApplNo) {
        this.loanApplNo = loanApplNo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getGramKindCd() {
        return gramKindCd;
    }
    public void setGramKindCd(String gramKindCd) {
        this.gramKindCd = gramKindCd;
    }
    public String getBsnDivCd() {
        return bsnDivCd;
    }
    public void setBsnDivCd(String bsnDivCd) {
        this.bsnDivCd = bsnDivCd;
    }
    public String getRspnCd() {
        return rspnCd;
    }
    public void setRspnCd(String rspnCd) {
        this.rspnCd = rspnCd;
    }
    public String getKcbLayMngNo() {
        return kcbLayMngNo;
    }
    public void setKcbLayMngNo(String kcbLayMngNo) {
        this.kcbLayMngNo = kcbLayMngNo;
    }
    public String getKcbLaySendTm() {
        return kcbLaySendTm;
    }
    public void setKcbLaySendTm(String kcbLaySendTm) {
        this.kcbLaySendTm = kcbLaySendTm;
    }
    public String getWricLayMngNo() {
        return wricLayMngNo;
    }
    public void setWricLayMngNo(String wricLayMngNo) {
        this.wricLayMngNo = wricLayMngNo;
    }
    public String getWricLaySendTm() {
        return wricLaySendTm;
    }
    public void setWricLaySendTm(String wricLaySendTm) {
        this.wricLaySendTm = wricLaySendTm;
    }
    public String getViewAgreeFg() {
        return viewAgreeFg;
    }
    public void setViewAgreeFg(String viewAgreeFg) {
        this.viewAgreeFg = viewAgreeFg;
    }
    public String getCustTpCd() {
        return custTpCd;
    }
    public void setCustTpCd(String custTpCd) {
        this.custTpCd = custTpCd;
    }
    public String getResiNo() {
        return resiNo;
    }
    public void setResiNo(String resiNo) {
        this.resiNo = resiNo;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getReadObjCd() {
        return readObjCd;
    }
    public void setReadObjCd(String readObjCd) {
        this.readObjCd = readObjCd;
    }
}
