package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : stKcbOnlnMstrDTO.java Class
 * 클래스설명    : ST_KCB_ONLN_SEG_100(ST_KCB_온라인_100)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70278 ][최초작성]
 * [2023. 6.  2.][70278 ][K-Score 2.0 관련 전문항목 변경]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKcbOnlnSeg100DTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /** 전문일련번호 */
    private String scorDivCd = "";                      /** 스코어(Score)_구분_코드 */
    private String stndDt = "";                         /** 기준_일자 */
    private String errCd = "";                          /** 에러 코드 */
    private String aplyExclRsnCd1 = "";                 /** 적용_제외_사유_코드1 */
    private String aplyExclRsnCd2 = "";                 /** 적용_제외_사유_코드2 */
    private String aplyExclRsnCd3 = "";                 /** 적용_제외_사유_코드3 */
    private int crdtAvsco = 0;                          /** 신용_평점 */
    private int crdtDgre = 0;                           /** 신용_등급 */
    private int allRank = 0;                            /** 전체_순위 */
    private String relVal1 = "";                        /** 관련_값1 */
    private String relVal2 = "";                        /** 관련_값2 */
    private String relVal3 = "";                        /** 관련_값3 */
    private String relVal4 = "";                        /** 관련_값4 */
    private String relVal5 = "";                        /** 관련_값5 */
    private String relVal6 = "";                        /** 관련_값6 */
    private String rsnCd1 = "";                         /** 사유_코드1 */
    private String rsnCd2 = "";                         /** 사유_코드2 */
    private String rsnCd3 = "";                         /** 사유_코드3 */
    private String rsnCd4 = "";                         /** 사유_코드4 */
    private String rsnCd5 = "";                         /** 사유_코드5 */
    private String rsnCd6 = "";                         /** 사유_코드6 */
    private String fradTrExprncMan = "";                /** AF1: 사기거래경험자 */
    private String bkrpExemMan = "";                    /** AF2: 파산면책자 */
    private String ltrmDlyPrgsMan = "";                 /** AF3: 불량진행자 */
    private String crdtRcvrObjMan = "";                 /** AF4: 신용회복대상자 */
    private String indvRvvlAplt = "";                   /** AF5: 개인회생신청자 */
    private String crctAskObjMan = "";                  /** AF6: 정정청구대상자 */
    private String fincNmPrtcAplt = "";                 /** AF7: 금융명의보호신청자 */
    private String crdtInfoUnholdMan = "";              /** AF8: 신용정보미보유자 */
    private String fincUntrMan5YyUndr = "";             /** AF9: 5년내 금융미거래자 */
    private String fincUntrMan3YyUndr = "";             /** AF10: 3년내 금융미거래자 */
    private String fincUntrMan1YyUndr = "";             /** AF11: 1년내 금융미거래자 */
    private String fincTrMan3MmUndr = "";               /** AF12: 3개월미만 금융거래자 */
    private String fincTrMan6MmUndr = "";               /** AF13: 6개월미만 금융거래자 */
    private String fincTrMan1YyUndr = "";               /** AF14: 1년미만 금융거래자 */
    private String dupResiNoHoldMan = "";               /** AF15: 복수주민번호 보유자 */
    private String fornMan = "";                        /** AF16: 외국인 */
    private String myInfoRegMan = "";                   /** AF17: 내정보등록자 */
    private String tendEstmSuvyMan = "";                /** AF18: 성향평가설문 진행자 */
    private String thinFiler = "";                      /** AF19: Thin Filer */

    public String getGramSeq() {
        return gramSeq;
    }
    public String getScorDivCd() {
        return scorDivCd;
    }
    public String getStndDt() {
        return stndDt;
    }
    public String getErrCd() {
        return errCd;
    }
    public String getAplyExclRsnCd1() {
        return aplyExclRsnCd1;
    }
    public String getAplyExclRsnCd2() {
        return aplyExclRsnCd2;
    }
    public String getAplyExclRsnCd3() {
        return aplyExclRsnCd3;
    }
    public int getCrdtAvsco() {
        return crdtAvsco;
    }
    public int getCrdtDgre() {
        return crdtDgre;
    }
    public int getAllRank() {
        return allRank;
    }
    public String getRelVal1() {
        return relVal1;
    }
    public String getRelVal2() {
        return relVal2;
    }
    public String getRelVal3() {
        return relVal3;
    }
    public String getRelVal4() {
        return relVal4;
    }
    public String getRelVal5() {
        return relVal5;
    }
    public String getRelVal6() {
        return relVal6;
    }
    public String getRsnCd1() {
        return rsnCd1;
    }
    public String getRsnCd2() {
        return rsnCd2;
    }
    public String getRsnCd3() {
        return rsnCd3;
    }
    public String getRsnCd4() {
        return rsnCd4;
    }
    public String getRsnCd5() {
        return rsnCd5;
    }
    public String getRsnCd6() {
        return rsnCd6;
    }
    public String getFradTrExprncMan() {
        return fradTrExprncMan;
    }
    public String getBkrpExemMan() {
        return bkrpExemMan;
    }
    public String getLtrmDlyPrgsMan() {
        return ltrmDlyPrgsMan;
    }
    public String getCrdtRcvrObjMan() {
        return crdtRcvrObjMan;
    }
    public String getIndvRvvlAplt() {
        return indvRvvlAplt;
    }
    public String getCrctAskObjMan() {
        return crctAskObjMan;
    }
    public String getFincNmPrtcAplt() {
        return fincNmPrtcAplt;
    }
    public String getCrdtInfoUnholdMan() {
        return crdtInfoUnholdMan;
    }
    public String getFincUntrMan5YyUndr() {
        return fincUntrMan5YyUndr;
    }
    public String getFincUntrMan3YyUndr() {
        return fincUntrMan3YyUndr;
    }
    public String getFincUntrMan1YyUndr() {
        return fincUntrMan1YyUndr;
    }
    public String getFincTrMan3MmUndr() {
        return fincTrMan3MmUndr;
    }
    public String getFincTrMan6MmUndr() {
        return fincTrMan6MmUndr;
    }
    public String getFincTrMan1YyUndr() {
        return fincTrMan1YyUndr;
    }
    public String getDupResiNoHoldMan() {
        return dupResiNoHoldMan;
    }
    public String getFornMan() {
        return fornMan;
    }
    public String getMyInfoRegMan() {
        return myInfoRegMan;
    }
    public String getTendEstmSuvyMan() {
        return tendEstmSuvyMan;
    }
    public String getThinFiler() {
        return thinFiler;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public void setScorDivCd(String scorDivCd) {
        this.scorDivCd = scorDivCd;
    }
    public void setStndDt(String stndDt) {
        this.stndDt = stndDt;
    }
    public void setErrCd(String errCd) {
        this.errCd = errCd;
    }
    public void setAplyExclRsnCd1(String aplyExclRsnCd1) {
        this.aplyExclRsnCd1 = aplyExclRsnCd1;
    }
    public void setAplyExclRsnCd2(String aplyExclRsnCd2) {
        this.aplyExclRsnCd2 = aplyExclRsnCd2;
    }
    public void setAplyExclRsnCd3(String aplyExclRsnCd3) {
        this.aplyExclRsnCd3 = aplyExclRsnCd3;
    }
    public void setCrdtAvsco(int crdtAvsco) {
        this.crdtAvsco = crdtAvsco;
    }
    public void setCrdtDgre(int crdtDgre) {
        this.crdtDgre = crdtDgre;
    }
    public void setAllRank(int allRank) {
        this.allRank = allRank;
    }
    public void setRelVal1(String relVal1) {
        this.relVal1 = relVal1;
    }
    public void setRelVal2(String relVal2) {
        this.relVal2 = relVal2;
    }
    public void setRelVal3(String relVal3) {
        this.relVal3 = relVal3;
    }
    public void setRelVal4(String relVal4) {
        this.relVal4 = relVal4;
    }
    public void setRelVal5(String relVal5) {
        this.relVal5 = relVal5;
    }
    public void setRelVal6(String relVal6) {
        this.relVal6 = relVal6;
    }
    public void setRsnCd1(String rsnCd1) {
        this.rsnCd1 = rsnCd1;
    }
    public void setRsnCd2(String rsnCd2) {
        this.rsnCd2 = rsnCd2;
    }
    public void setRsnCd3(String rsnCd3) {
        this.rsnCd3 = rsnCd3;
    }
    public void setRsnCd4(String rsnCd4) {
        this.rsnCd4 = rsnCd4;
    }
    public void setRsnCd5(String rsnCd5) {
        this.rsnCd5 = rsnCd5;
    }
    public void setRsnCd6(String rsnCd6) {
        this.rsnCd6 = rsnCd6;
    }
    public void setFradTrExprncMan(String fradTrExprncMan) {
        this.fradTrExprncMan = fradTrExprncMan;
    }
    public void setBkrpExemMan(String bkrpExemMan) {
        this.bkrpExemMan = bkrpExemMan;
    }
    public void setLtrmDlyPrgsMan(String ltrmDlyPrgsMan) {
        this.ltrmDlyPrgsMan = ltrmDlyPrgsMan;
    }
    public void setCrdtRcvrObjMan(String crdtRcvrObjMan) {
        this.crdtRcvrObjMan = crdtRcvrObjMan;
    }
    public void setIndvRvvlAplt(String indvRvvlAplt) {
        this.indvRvvlAplt = indvRvvlAplt;
    }
    public void setCrctAskObjMan(String crctAskObjMan) {
        this.crctAskObjMan = crctAskObjMan;
    }
    public void setFincNmPrtcAplt(String fincNmPrtcAplt) {
        this.fincNmPrtcAplt = fincNmPrtcAplt;
    }
    public void setCrdtInfoUnholdMan(String crdtInfoUnholdMan) {
        this.crdtInfoUnholdMan = crdtInfoUnholdMan;
    }
    public void setFincUntrMan5YyUndr(String fincUntrMan5YyUndr) {
        this.fincUntrMan5YyUndr = fincUntrMan5YyUndr;
    }
    public void setFincUntrMan3YyUndr(String fincUntrMan3YyUndr) {
        this.fincUntrMan3YyUndr = fincUntrMan3YyUndr;
    }
    public void setFincUntrMan1YyUndr(String fincUntrMan1YyUndr) {
        this.fincUntrMan1YyUndr = fincUntrMan1YyUndr;
    }
    public void setFincTrMan3MmUndr(String fincTrMan3MmUndr) {
        this.fincTrMan3MmUndr = fincTrMan3MmUndr;
    }
    public void setFincTrMan6MmUndr(String fincTrMan6MmUndr) {
        this.fincTrMan6MmUndr = fincTrMan6MmUndr;
    }
    public void setFincTrMan1YyUndr(String fincTrMan1YyUndr) {
        this.fincTrMan1YyUndr = fincTrMan1YyUndr;
    }
    public void setDupResiNoHoldMan(String dupResiNoHoldMan) {
        this.dupResiNoHoldMan = dupResiNoHoldMan;
    }
    public void setFornMan(String fornMan) {
        this.fornMan = fornMan;
    }
    public void setMyInfoRegMan(String myInfoRegMan) {
        this.myInfoRegMan = myInfoRegMan;
    }
    public void setTendEstmSuvyMan(String tendEstmSuvyMan) {
        this.tendEstmSuvyMan = tendEstmSuvyMan;
    }
    public void setThinFiler(String thinFiler) {
        this.thinFiler = thinFiler;
    }
}
