package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbCrdtIntgInfoResiNoChngHistDTO.java Class
 * 클래스설명    : ST_신정원_신용통합정보_주민등록변동자_이력(회보)(ST_KFB_CRDT_INTG_INFO_RESI_NO_CHNG_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 6. 5.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 6.  5.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKfbCrdtIntgInfoResiNoChngHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /** 전문일련번호 */
    private int subSeq = 0;                             /** 서브 일련번호 */
    private String dataDivCd = "";                      /** 자료 구분 */
    private String relResiNo = "";                      /** 관련 주민등록번호 */

    public String getGramSeq() {
        return gramSeq;
    }
    public int getSubSeq() {
        return subSeq;
    }
    public String getDataDivCd() {
        return dataDivCd;
    }
    public String getRelResiNo() {
        return relResiNo;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public void setSubSeq(int subSeq) {
        this.subSeq = subSeq;
    }
    public void setDataDivCd(String dataDivCd) {
        this.dataDivCd = dataDivCd;
    }
    public void setRelResiNo(String relResiNo) {
        this.relResiNo = relResiNo;
    }
}
