package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbHousLoanAddContDTO.java Class
 * 클래스설명    : ST_신정원_주택대출추가약정정보(ST_KFB_HOUS_LOAN_ADD_CONT)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70278 ][최초작성]
 * [2023. 4. 26.][70278 ][클래스명 변경 KIS=>KFB]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKfbHousLoanAddContDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;


    private String gramSeq = "";                        /* 전문일련번호 */
    private String resiNo = "";                         /* 주민(사업자)등록번호 */
    private String useObjCd = "";                       /* 자료이용목적 */
    private String inqAgrYn = "";                       /* 조회 동의 여부 */
    private String lastUpdtDt = "";                     /* 최종 Update 일자 */
    private String addContInfoMore = "";                /* 추가약정 정보 More */
    private int addContInfoTotCnt = 0;                  /* 추가약정 정보 총 건수 */
    private int addContInfoReptCnt = 0;                 /* 추가약정 정보 회보 건수 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getResiNo() {
        return resiNo;
    }
    public void setResiNo(String resiNo) {
        this.resiNo = resiNo;
    }
    public String getUseObjCd() {
        return useObjCd;
    }
    public void setUseObjCd(String useObjCd) {
        this.useObjCd = useObjCd;
    }
    public String getInqAgrYn() {
        return inqAgrYn;
    }
    public void setInqAgrYn(String inqAgrYn) {
        this.inqAgrYn = inqAgrYn;
    }
    public String getLastUpdtDt() {
        return lastUpdtDt;
    }
    public void setLastUpdtDt(String lastUpdtDt) {
        this.lastUpdtDt = lastUpdtDt;
    }
    public String getAddContInfoMore() {
        return addContInfoMore;
    }
    public void setAddContInfoMore(String addContInfoMore) {
        this.addContInfoMore = addContInfoMore;
    }
    public int getAddContInfoTotCnt() {
        return addContInfoTotCnt;
    }
    public void setAddContInfoTotCnt(int addContInfoTotCnt) {
        this.addContInfoTotCnt = addContInfoTotCnt;
    }
    public int getAddContInfoReptCnt() {
        return addContInfoReptCnt;
    }
    public void setAddContInfoReptCnt(int addContInfoReptCnt) {
        this.addContInfoReptCnt = addContInfoReptCnt;
    }

}
