package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbHousLoanAddContHistDTO.java Class
 * 클래스설명    : ST_신정원_주택대출추가약정정보(회보)(ST_KFB_HOUS_LOAN_ADD_CONT_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 15.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 15.][70278 ][최초작성]
 * [2023. 4. 26.][70278 ][클래스명 변경 KIS=>KFB]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKfbHousLoanAddContHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private int subSeq = 0;                             /* 서브 일련번호 */
    private String regCd = "";                          /* 등록코드 */
    private String shopCd = "";                         /* 점포 코드 */
    private String acntNo = "";                         /* 계좌(관리)번호 */
    private String addContCd = "";                      /* 추가약정 코드 */
    private String infoChngDt = "";                     /* 정보 변경일자 */
    private String loanExecDt = "";                     /* 대출 실행일자 */
    private BigDecimal frstLoanAmt = new BigDecimal(0); /* 최초 대출금액(단위:천원) */
    private String loanMrtgKindGb = "";                 /* 대출(담보)종류 구분 */
    private String grpLoanGb = "";                      /* 집단대출 구분 */
    private String mrtgKindGb = "";                     /* 담보종류 구분 */
    private int housCnt = 0;                            /* 주택 수 */
    private String execCnfmStatCd = "";                 /* 이행 확인상태 */
    private String execCnfmDt = "";                     /* 이행 확인일자 */
    private String contVlteFg = "";                     /* 약정 위반여부 */
    private String contVlteDt = "";                     /* 약정 위반일자 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public int getSubSeq() {
        return subSeq;
    }
    public void setSubSeq(int subSeq) {
        this.subSeq = subSeq;
    }
    public String getRegCd() {
        return regCd;
    }
    public void setRegCd(String regCd) {
        this.regCd = regCd;
    }
    public String getShopCd() {
        return shopCd;
    }
    public void setShopCd(String shopCd) {
        this.shopCd = shopCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getAddContCd() {
        return addContCd;
    }
    public void setAddContCd(String addContCd) {
        this.addContCd = addContCd;
    }
    public String getInfoChngDt() {
        return infoChngDt;
    }
    public void setInfoChngDt(String infoChngDt) {
        this.infoChngDt = infoChngDt;
    }
    public String getLoanExecDt() {
        return loanExecDt;
    }
    public void setLoanExecDt(String loanExecDt) {
        this.loanExecDt = loanExecDt;
    }
    public BigDecimal getFrstLoanAmt() {
        return frstLoanAmt;
    }
    public void setFrstLoanAmt(BigDecimal frstLoanAmt) {
        this.frstLoanAmt = frstLoanAmt;
    }
    public String getLoanMrtgKindGb() {
        return loanMrtgKindGb;
    }
    public void setLoanMrtgKindGb(String loanMrtgKindGb) {
        this.loanMrtgKindGb = loanMrtgKindGb;
    }
    public String getGrpLoanGb() {
        return grpLoanGb;
    }
    public void setGrpLoanGb(String grpLoanGb) {
        this.grpLoanGb = grpLoanGb;
    }
    public String getMrtgKindGb() {
        return mrtgKindGb;
    }
    public void setMrtgKindGb(String mrtgKindGb) {
        this.mrtgKindGb = mrtgKindGb;
    }
    public int getHousCnt() {
        return housCnt;
    }
    public void setHousCnt(int housCnt) {
        this.housCnt = housCnt;
    }
    public String getExecCnfmStatCd() {
        return execCnfmStatCd;
    }
    public void setExecCnfmStatCd(String execCnfmStatCd) {
        this.execCnfmStatCd = execCnfmStatCd;
    }
    public String getExecCnfmDt() {
        return execCnfmDt;
    }
    public void setExecCnfmDt(String execCnfmDt) {
        this.execCnfmDt = execCnfmDt;
    }
    public String getContVlteFg() {
        return contVlteFg;
    }
    public void setContVlteFg(String contVlteFg) {
        this.contVlteFg = contVlteFg;
    }
    public String getContVlteDt() {
        return contVlteDt;
    }
    public void setContVlteDt(String contVlteDt) {
        this.contVlteDt = contVlteDt;
    }



}
