package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbIndvRvvlApplDTO.java Class
 * 클래스설명    : ST_신정원_개인회생신청정보(ST_KFB_INDV_RVVL_APPL)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 14.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 14.][70278 ][최초작성]
 * [2023. 4. 26.][70278 ][클래스명 변경 KIS=>KFB]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKfbIndvRvvlApplDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String resiNo = "";                         /* 주민등록번호 */
    private String resiNoDiv = "";                      /* 주민등록번호 구분 */
    private String dataUseDiv = "";                     /* 자료이용목적 */
    private String inqAgrFg = "";                       /* 조회 동의 여부 */
    private String name = "";                           /* 성명 */
    private String regCdGb = "";                        /* 등록코드구분 */
    private String occrDt = "";                         /* 발생일자 */
    private String cortCd = "";                         /* 법원코드 */
    private String caseNo = "";                         /* 사건번호 */
    private String lastUpdtDt = "";                     /* 최신 업데이트 일자 */
    private String indvRvvlApplInfoMore = "";           /* 개인회생 신청 등 정보 More */
    private int indvRvvlApplInfoTotCnt = 0;             /* 개인회생 신청 등 정보 총건수 */
    private int indvRvvlApplInfoReptCnt = 0;            /* 개인회생 신청 등 정보 회보 건수 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getResiNo() {
        return resiNo;
    }
    public void setResiNo(String resiNo) {
        this.resiNo = resiNo;
    }
    public String getResiNoDiv() {
        return resiNoDiv;
    }
    public void setResiNoDiv(String resiNoDiv) {
        this.resiNoDiv = resiNoDiv;
    }
    public String getDataUseDiv() {
        return dataUseDiv;
    }
    public void setDataUseDiv(String dataUseDiv) {
        this.dataUseDiv = dataUseDiv;
    }
    public String getInqAgrFg() {
        return inqAgrFg;
    }
    public void setInqAgrFg(String inqAgrFg) {
        this.inqAgrFg = inqAgrFg;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public String getRegCdGb() {
        return regCdGb;
    }
    public void setRegCdGb(String regCdGb) {
        this.regCdGb = regCdGb;
    }
    public String getOccrDt() {
        return occrDt;
    }
    public void setOccrDt(String occrDt) {
        this.occrDt = occrDt;
    }
    public String getCortCd() {
        return cortCd;
    }
    public void setCortCd(String cortCd) {
        this.cortCd = cortCd;
    }
    public String getCaseNo() {
        return caseNo;
    }
    public void setCaseNo(String caseNo) {
        this.caseNo = caseNo;
    }
    public String getLastUpdtDt() {
        return lastUpdtDt;
    }
    public void setLastUpdtDt(String lastUpdtDt) {
        this.lastUpdtDt = lastUpdtDt;
    }
    public String getIndvRvvlApplInfoMore() {
        return indvRvvlApplInfoMore;
    }
    public void setIndvRvvlApplInfoMore(String indvRvvlApplInfoMore) {
        this.indvRvvlApplInfoMore = indvRvvlApplInfoMore;
    }
    public int getIndvRvvlApplInfoTotCnt() {
        return indvRvvlApplInfoTotCnt;
    }
    public void setIndvRvvlApplInfoTotCnt(int indvRvvlApplInfoTotCnt) {
        this.indvRvvlApplInfoTotCnt = indvRvvlApplInfoTotCnt;
    }
    public int getIndvRvvlApplInfoReptCnt() {
        return indvRvvlApplInfoReptCnt;
    }
    public void setIndvRvvlApplInfoReptCnt(int indvRvvlApplInfoReptCnt) {
        this.indvRvvlApplInfoReptCnt = indvRvvlApplInfoReptCnt;
    }
}
