package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StKfbLoanContWdrwInfoDTO.java Class
 * 클래스설명    : ST_신정원_대출계약철회정보(ST_KFB_LOAN_CONT_WDRW_INFO)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 15.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 15.][70278 ][최초작성]
 * [2023. 4. 26.][70278 ][클래스명 변경 KIS=>KFB]
 * [2023. 5.  8.][70278 ][테이블명 변경 ST_KFB_HOUS_LOAN_CONT_WDRW_INFO=>ST_KFB_LOAN_CONT_WDRW_INFO]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StKfbLoanContWdrwInfoDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String gramSeq = "";                        /* 전문일련번호 */
    private String resiNo = "";                         /* 주민(사업자)등록번호 */
    private String useObjCd = "";                       /* 자료이용목적 */
    private String inqAgrYn = "";                       /* 조회 동의 여부 */
    private String allOrgStndDt = "";                   /* 전체기관 기준 일자 */
    private String appOrgStndDt = "";                   /* 해당기관 기준 일자 */
    private String mtalNm = "";                         /* 상호(기업체명) */
    private String custNm = "";                         /* 성명(대표자) */
    private String jobCd = "";                          /* 직업 코드(미사용) */
    private String bzitCd = "";                         /* 업종 코드 */
    private String loanWdrwInfoMore = "";                /* 대출계약 철회정보 More */
    private int loanWdrwInfoTotCnt = 0;                 /* 대출계약 철회정보 총 건수 */
    private int loanWdrwInfoReptCnt = 0;                /* 대출계약 철회정보 회보 건수 */

    public String getGramSeq() {
        return gramSeq;
    }
    public void setGramSeq(String gramSeq) {
        this.gramSeq = gramSeq;
    }
    public String getResiNo() {
        return resiNo;
    }
    public void setResiNo(String resiNo) {
        this.resiNo = resiNo;
    }
    public String getUseObjCd() {
        return useObjCd;
    }
    public void setUseObjCd(String useObjCd) {
        this.useObjCd = useObjCd;
    }
    public String getInqAgrYn() {
        return inqAgrYn;
    }
    public void setInqAgrYn(String inqAgrYn) {
        this.inqAgrYn = inqAgrYn;
    }
    public String getAllOrgStndDt() {
        return allOrgStndDt;
    }
    public void setAllOrgStndDt(String allOrgStndDt) {
        this.allOrgStndDt = allOrgStndDt;
    }
    public String getAppOrgStndDt() {
        return appOrgStndDt;
    }
    public void setAppOrgStndDt(String appOrgStndDt) {
        this.appOrgStndDt = appOrgStndDt;
    }
    public String getMtalNm() {
        return mtalNm;
    }
    public void setMtalNm(String mtalNm) {
        this.mtalNm = mtalNm;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getJobCd() {
        return jobCd;
    }
    public void setJobCd(String jobCd) {
        this.jobCd = jobCd;
    }
    public String getBzitCd() {
        return bzitCd;
    }
    public void setBzitCd(String bzitCd) {
        this.bzitCd = bzitCd;
    }
    public String getLoanWdrwInfoMore() {
        return loanWdrwInfoMore;
    }
    public void setLoanWdrwInfoMore(String loanWdrwInfoMore) {
        this.loanWdrwInfoMore = loanWdrwInfoMore;
    }
    public int getLoanWdrwInfoTotCnt() {
        return loanWdrwInfoTotCnt;
    }
    public void setLoanWdrwInfoTotCnt(int loanWdrwInfoTotCnt) {
        this.loanWdrwInfoTotCnt = loanWdrwInfoTotCnt;
    }
    public int getLoanWdrwInfoReptCnt() {
        return loanWdrwInfoReptCnt;
    }
    public void setLoanWdrwInfoReptCnt(int loanWdrwInfoReptCnt) {
        this.loanWdrwInfoReptCnt = loanWdrwInfoReptCnt;
    }
}
