package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명 	: 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명  	: StLimMnrtProdInfo.java Class
 * 클래스설명	: ST한도금리산출정보 (ST_LIM_MNRT_PROD_INFO) DTO
 * 작성일자  	: 2023.06.18.
 * 작성자명  	: 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.06.18.][70280][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class StLimMnrtProdInfoDTO extends AbstractVO
{
    //--*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*---*--//
    private String      loanCnslNo              = "";                   // 대출상담번호
    private int         cssSeqNo                = 0;                    // CSS일련번호
    private int         limMnrtProdNo           = 0;                    // 한도금리산출번호
    private BigDecimal  kbMkpr                  = BigDecimal.ZERO;      // KB시세
    private BigDecimal  ltvStnd                 = BigDecimal.ZERO;      // LTV기준
    private BigDecimal  ltvFact                 = BigDecimal.ZERO;      // LTV실제
    private BigDecimal  dtiStnd                 = BigDecimal.ZERO;      // DTI기준
    private BigDecimal  dtiFact                 = BigDecimal.ZERO;      // DTI실제
    private BigDecimal  strDti                  = BigDecimal.ZERO;      // 스트레스DTI(기준)
    private BigDecimal  strDtiFact              = BigDecimal.ZERO;      // 스트레스DTI(실제)
    private BigDecimal  dsrStnd                 = BigDecimal.ZERO;      // DSR기준
    private BigDecimal  dsrFact                 = BigDecimal.ZERO;      // DSR실제
    private BigDecimal  mrtgAdmtAmt             = BigDecimal.ZERO;      // 담보인정금액
    private BigDecimal  preSeqSetAmt            = BigDecimal.ZERO;      // 선순위설정금액
    private BigDecimal  rentAmt                 = BigDecimal.ZERO;      // 임대금액
    private BigDecimal  mciEntrAmt              = BigDecimal.ZERO;      // MCI가입금액
    private BigDecimal  loanApplAmt             = BigDecimal.ZERO;      // 대출신청금액
    private BigDecimal  loanPossAmt             = BigDecimal.ZERO;      // 대출가능금액(스트레스)
    private BigDecimal  lastLoanPossAmt         = BigDecimal.ZERO;      // 최종대출가능금액
    private BigDecimal  addRate                 = BigDecimal.ZERO;      // 가산금리(고정)
    private BigDecimal  exemRate                = BigDecimal.ZERO;      // 감면금리(고정)
    private BigDecimal  lastRmkRate             = BigDecimal.ZERO;      // 최종적용금리(고정)
    private BigDecimal  addRate2                = BigDecimal.ZERO;      // 가산금리2(변동)
    private BigDecimal  exemRate2               = BigDecimal.ZERO;      // 감면금리2(변동)
    private BigDecimal  lastRmkRate2            = BigDecimal.ZERO;      // 최종적용금리2(변동)
    private BigDecimal  bsnPcstRate             = BigDecimal.ZERO;      // 업무원가
    private BigDecimal  riskPrmmRate            = BigDecimal.ZERO;      // 리스크프리미엄
    private BigDecimal  goalMrgnRate            = BigDecimal.ZERO;      // 목표마진율
    private BigDecimal  crdtPcstRate            = BigDecimal.ZERO;      // 신용원가
    private BigDecimal  etaxRate                = BigDecimal.ZERO;      // 교육세
    private BigDecimal  mmInsuFeeRsltRate       = BigDecimal.ZERO;      // 월보험료실적
    private BigDecimal  kcbCrdtAvscoRate        = BigDecimal.ZERO;      // KCB신용평점
    private BigDecimal  defrDivsRmbrRate        = BigDecimal.ZERO;      // 비거치식분할상환
    private BigDecimal  mciEntrRate             = BigDecimal.ZERO;      // MCI가입
    private BigDecimal  anotComRlnRate          = BigDecimal.ZERO;      // 타사대환
    private int         custCrdtScor            = 0;                    // 고객신용점수
    private int         wifeCrdtScor            = 0;                    // 배우자신용점수

    public String getLoanCnslNo()
    {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo)
    {
        this.loanCnslNo = loanCnslNo;
    }
    public int getCssSeqNo()
    {
        return cssSeqNo;
    }
    public void setCssSeqNo(int cssSeqNo)
    {
        this.cssSeqNo = cssSeqNo;
    }
    public int getLimMnrtProdNo()
    {
        return limMnrtProdNo;
    }
    public void setLimMnrtProdNo(int limMnrtProdNo)
    {
        this.limMnrtProdNo = limMnrtProdNo;
    }
    public BigDecimal getKbMkpr()
    {
        return kbMkpr;
    }
    public void setKbMkpr(BigDecimal kbMkpr)
    {
        this.kbMkpr = kbMkpr;
    }
    public BigDecimal getLtvStnd()
    {
        return ltvStnd;
    }
    public void setLtvStnd(BigDecimal ltvStnd)
    {
        this.ltvStnd = ltvStnd;
    }
    public BigDecimal getLtvFact()
    {
        return ltvFact;
    }
    public void setLtvFact(BigDecimal ltvFact)
    {
        this.ltvFact = ltvFact;
    }
    public BigDecimal getDtiStnd()
    {
        return dtiStnd;
    }
    public void setDtiStnd(BigDecimal dtiStnd)
    {
        this.dtiStnd = dtiStnd;
    }
    public BigDecimal getDtiFact()
    {
        return dtiFact;
    }
    public void setDtiFact(BigDecimal dtiFact)
    {
        this.dtiFact = dtiFact;
    }
    public BigDecimal getStrDti()
    {
        return strDti;
    }
    public void setStrDti(BigDecimal strDti)
    {
        this.strDti = strDti;
    }
    public BigDecimal getStrDtiFact()
    {
        return strDtiFact;
    }
    public void setStrDtiFact(BigDecimal strDtiFact)
    {
        this.strDtiFact = strDtiFact;
    }
    public BigDecimal getDsrStnd()
    {
        return dsrStnd;
    }
    public void setDsrStnd(BigDecimal dsrStnd)
    {
        this.dsrStnd = dsrStnd;
    }
    public BigDecimal getDsrFact()
    {
        return dsrFact;
    }
    public void setDsrFact(BigDecimal dsrFact)
    {
        this.dsrFact = dsrFact;
    }
    public BigDecimal getMrtgAdmtAmt()
    {
        return mrtgAdmtAmt;
    }
    public void setMrtgAdmtAmt(BigDecimal mrtgAdmtAmt)
    {
        this.mrtgAdmtAmt = mrtgAdmtAmt;
    }
    public BigDecimal getPreSeqSetAmt()
    {
        return preSeqSetAmt;
    }
    public void setPreSeqSetAmt(BigDecimal preSeqSetAmt)
    {
        this.preSeqSetAmt = preSeqSetAmt;
    }
    public BigDecimal getRentAmt()
    {
        return rentAmt;
    }
    public void setRentAmt(BigDecimal rentAmt)
    {
        this.rentAmt = rentAmt;
    }
    public BigDecimal getMciEntrAmt()
    {
        return mciEntrAmt;
    }
    public void setMciEntrAmt(BigDecimal mciEntrAmt)
    {
        this.mciEntrAmt = mciEntrAmt;
    }
    public BigDecimal getLoanApplAmt()
    {
        return loanApplAmt;
    }
    public void setLoanApplAmt(BigDecimal loanApplAmt)
    {
        this.loanApplAmt = loanApplAmt;
    }
    public BigDecimal getLoanPossAmt()
    {
        return loanPossAmt;
    }
    public void setLoanPossAmt(BigDecimal loanPossAmt)
    {
        this.loanPossAmt = loanPossAmt;
    }
    public BigDecimal getLastLoanPossAmt()
    {
        return lastLoanPossAmt;
    }
    public void setLastLoanPossAmt(BigDecimal lastLoanPossAmt)
    {
        this.lastLoanPossAmt = lastLoanPossAmt;
    }
    public BigDecimal getAddRate()
    {
        return addRate;
    }
    public void setAddRate(BigDecimal addRate)
    {
        this.addRate = addRate;
    }
    public BigDecimal getExemRate()
    {
        return exemRate;
    }
    public void setExemRate(BigDecimal exemRate)
    {
        this.exemRate = exemRate;
    }
    public BigDecimal getLastRmkRate()
    {
        return lastRmkRate;
    }
    public void setLastRmkRate(BigDecimal lastRmkRate)
    {
        this.lastRmkRate = lastRmkRate;
    }
    public BigDecimal getAddRate2()
    {
        return addRate2;
    }
    public void setAddRate2(BigDecimal addRate2)
    {
        this.addRate2 = addRate2;
    }
    public BigDecimal getExemRate2()
    {
        return exemRate2;
    }
    public void setExemRate2(BigDecimal exemRate2)
    {
        this.exemRate2 = exemRate2;
    }
    public BigDecimal getLastRmkRate2()
    {
        return lastRmkRate2;
    }
    public void setLastRmkRate2(BigDecimal lastRmkRate2)
    {
        this.lastRmkRate2 = lastRmkRate2;
    }
    public BigDecimal getBsnPcstRate()
    {
        return bsnPcstRate;
    }
    public void setBsnPcstRate(BigDecimal bsnPcstRate)
    {
        this.bsnPcstRate = bsnPcstRate;
    }
    public BigDecimal getRiskPrmmRate()
    {
        return riskPrmmRate;
    }
    public void setRiskPrmmRate(BigDecimal riskPrmmRate)
    {
        this.riskPrmmRate = riskPrmmRate;
    }
    public BigDecimal getGoalMrgnRate()
    {
        return goalMrgnRate;
    }
    public void setGoalMrgnRate(BigDecimal goalMrgnRate)
    {
        this.goalMrgnRate = goalMrgnRate;
    }
    public BigDecimal getCrdtPcstRate()
    {
        return crdtPcstRate;
    }
    public void setCrdtPcstRate(BigDecimal crdtPcstRate)
    {
        this.crdtPcstRate = crdtPcstRate;
    }
    public BigDecimal getEtaxRate()
    {
        return etaxRate;
    }
    public void setEtaxRate(BigDecimal etaxRate)
    {
        this.etaxRate = etaxRate;
    }
    public BigDecimal getMmInsuFeeRsltRate()
    {
        return mmInsuFeeRsltRate;
    }
    public void setMmInsuFeeRsltRate(BigDecimal mmInsuFeeRsltRate)
    {
        this.mmInsuFeeRsltRate = mmInsuFeeRsltRate;
    }
    public BigDecimal getKcbCrdtAvscoRate()
    {
        return kcbCrdtAvscoRate;
    }
    public void setKcbCrdtAvscoRate(BigDecimal kcbCrdtAvscoRate)
    {
        this.kcbCrdtAvscoRate = kcbCrdtAvscoRate;
    }
    public BigDecimal getDefrDivsRmbrRate()
    {
        return defrDivsRmbrRate;
    }
    public void setDefrDivsRmbrRate(BigDecimal defrDivsRmbrRate)
    {
        this.defrDivsRmbrRate = defrDivsRmbrRate;
    }
    public BigDecimal getMciEntrRate()
    {
        return mciEntrRate;
    }
    public void setMciEntrRate(BigDecimal mciEntrRate)
    {
        this.mciEntrRate = mciEntrRate;
    }
    public BigDecimal getAnotComRlnRate()
    {
        return anotComRlnRate;
    }
    public void setAnotComRlnRate(BigDecimal anotComRlnRate)
    {
        this.anotComRlnRate = anotComRlnRate;
    }
    public int getCustCrdtScor()
    {
        return custCrdtScor;
    }
    public void setCustCrdtScor(int custCrdtScor)
    {
        this.custCrdtScor = custCrdtScor;
    }
    public int getWifeCrdtScor()
    {
        return wifeCrdtScor;
    }
    public void setWifeCrdtScor(int wifeCrdtScor)
    {
        this.wifeCrdtScor = wifeCrdtScor;
    }
}