package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StLoanChngConsStagDTO.java Class
 * 클래스설명   : ST-대출변경품의단계(ST_LOAN_CHNG_CONS_STAG)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 22.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StLoanChngConsStagDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private long snum  = 0;  /* 일련번호 */
    private String ntrmSetlmanCd  = "";  /* 차기결제자코드 */
    private String loanChngConsRsltCd  = "";  /* 대출변경품의결과코드 */
    private String loanChngOpn  = "";  /* 대출변경의견 */
    private String jstDt  = "";  /* 결재일자 */
    private String jstEmpNo  = "";  /* 결재사원번호 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public long getSnum() {
        return snum;
    }
    public void setSnum(long snum) {
        this.snum = snum;
    }
    public String getNtrmSetlmanCd() {
        return ntrmSetlmanCd;
    }
    public void setNtrmSetlmanCd(String ntrmSetlmanCd) {
        this.ntrmSetlmanCd = ntrmSetlmanCd;
    }
    public String getLoanChngConsRsltCd() {
        return loanChngConsRsltCd;
    }
    public void setLoanChngConsRsltCd(String loanChngConsRsltCd) {
        this.loanChngConsRsltCd = loanChngConsRsltCd;
    }
    public String getLoanChngOpn() {
        return loanChngOpn;
    }
    public void setLoanChngOpn(String loanChngOpn) {
        this.loanChngOpn = loanChngOpn;
    }
    public String getJstDt() {
        return jstDt;
    }
    public void setJstDt(String jstDt) {
        this.jstDt = jstDt;
    }
    public String getJstEmpNo() {
        return jstEmpNo;
    }
    public void setJstEmpNo(String jstEmpNo) {
        this.jstEmpNo = jstEmpNo;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
