package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StLoanDocDTO.java Class
 * 클래스설명   : ST_대출_서류(ST_LOAN_DOC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70279 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StLoanDocDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo = ""; /* 대출_번호 */
    private String loanSeq = ""; /* 대출_순번 */
    private String custNo = ""; /* 고객_번호 */
    private String contApplContDocFg = ""; /* 약정_신청_계약서_여부 */
    private String notaAuthLettFg = ""; /* 공증_위임장_여부 */
    private String sealCdocFg = ""; /* 인감증명서_여부 */
    private String crdtInfoAgrDocFg = ""; /* 신용_정보_동의서_여부 */
    private String resiCdocFg = ""; /* 주민등록등본_여부 */
    private String idcdCopyFg = ""; /* 신분증_사본_여부 */
    private String onworkCdocFg = ""; /* 재직증명서_여부 */
    private String workIncoRecpCdFg = ""; /* 근로_소득_영수증_코드_여부 */
    private String ctfqCopyFg = ""; /* 자격증_사본_여부 */
    private String ptaxCdocFg = ""; /* 재산세과세증명서_여부 */
    private String esttRetyExfnFg = ""; /* 부동산_등기부등본_여부 */
    private String bizManRegCdocCopyFg = ""; /* 사업자_등록증_사본_여부 */
    private String corpRetyExfnFg = ""; /* 법인_등기부등본_여부 */
    private String fincshFg = ""; /* 재무제표_여부 */
    private String vtaxPayRecpFg = ""; /* 부가세_납부_영수증_여부 */
    private String insuScrtFg = ""; /* 보험_증권_여부 */
    private String payAcquDocFg = ""; /* 지불_확약서_여부 */
    private String setContDocFg = ""; /* 설정_계약서_여부 */
    private String insuEntrAgrDocFg = ""; /* 보험_가입_동의서_여부 */
    private String saleContDocFg = ""; /* 매매계약서_여부 */
    private String paybDocFg = ""; /* 변제각서_여부 */
    private String etcProfDocFg = ""; /* 기타_증빙_서류_여부 */
    private String regLdgrFg = ""; /* 등록_원부_여부 */
    private String retiAmtFrstDeduAgrDocFg = ""; /* 퇴직금_우선_공제_동의서_여부 */
    private String examOpnDocFg = ""; /* 심사_의견_서_여부 */
    private String rentContDocFg = ""; /* 임대차_계약서_여부 */
    private String regSetExecMmrdFg = ""; /* 등록_설정_이행_각서_여부 */
    private String carsRegCdocFg = ""; /* 차량_등록증_여부 */
    private String taxBillFg = ""; /* 세금계산서_여부 */
    private String mrtgThigPhtoFg = ""; /* 담보물건_사진_여부 */
    private String rePurcAcquDocFg = ""; /* 재_구입_확약서_여부 */
    private String ordrdocFg = ""; /* 주문서_여부 */
    private String cesnCdocFg = ""; /* 양도_증명서_여부 */
    private String ordrCnsntDocFg = ""; /* 주문_수락_서_여부 */
    private String godsAmtAskDocFg = ""; /* 물건_대금_청구서_여부 */
    private String godsRecpCdocFg = ""; /* 물건_수령_증서_여부 */
    private String godsInspReptFg = ""; /* 물건_점검_보고서_여부 */
    private String domeResiCdocFg = ""; /* 국내_거소_증명서_여부 */
    private String corpReprCrdtPrtuAgrDocFg = ""; /* 법인_대표자_신용_활용_동의서_여부 */
    private String addContDocFg = ""; /* 추가_약정_서_여부 */
    private String plDocFg = ""; /* 개인대출_문서_여부 */
    private String otxtAcptFg = ""; /* 원본_접수_여부 */
    private String otxtAcptDt = ""; /* 원본_접수_일자 */
    private String otxtAcptEmpNo = ""; /* 원본_접수_사원번호 */
    private String effcInsptblFg = ""; /* 성능_점검표_여부 */
    private String signActlCnfmFg = ""; /* 본인서명사실확인서여부 */
    private String resiCdoc2Fg = ""; /* 주민등록초본여부 */
    private String welfareCardFg = ""; /* 복지카드 사본여부 */
    private String stchListFg = ""; /* 주주명부 여부 */
    private String fornVisaFg = ""; /* 외국인비자 여부 */
    private String insuQcCnfmDocFg = ""; /* 건강보험자격득실확인서여부 */
    private String insuPayCnfmDocFg = ""; /* 건강보험료납부확인서여부 */
    private String invcWithhholdTaxFg = ""; /* 원천징수영수증여부 */
    private String vraxTaxBaseFg = ""; /* 부가가치세과세표준증명원여부 */
    private String incmAmtCrtfFg = ""; /* 소득금액증명원여부 */
    private String trnsHsehAcclFg = ""; /* 전입_세대_열람원_여부 */
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getContApplContDocFg() {
		return contApplContDocFg;
	}
	public void setContApplContDocFg(String contApplContDocFg) {
		this.contApplContDocFg = contApplContDocFg;
	}
	public String getNotaAuthLettFg() {
		return notaAuthLettFg;
	}
	public void setNotaAuthLettFg(String notaAuthLettFg) {
		this.notaAuthLettFg = notaAuthLettFg;
	}
	public String getSealCdocFg() {
		return sealCdocFg;
	}
	public void setSealCdocFg(String sealCdocFg) {
		this.sealCdocFg = sealCdocFg;
	}
	public String getCrdtInfoAgrDocFg() {
		return crdtInfoAgrDocFg;
	}
	public void setCrdtInfoAgrDocFg(String crdtInfoAgrDocFg) {
		this.crdtInfoAgrDocFg = crdtInfoAgrDocFg;
	}
	public String getResiCdocFg() {
		return resiCdocFg;
	}
	public void setResiCdocFg(String resiCdocFg) {
		this.resiCdocFg = resiCdocFg;
	}
	public String getIdcdCopyFg() {
		return idcdCopyFg;
	}
	public void setIdcdCopyFg(String idcdCopyFg) {
		this.idcdCopyFg = idcdCopyFg;
	}
	public String getOnworkCdocFg() {
		return onworkCdocFg;
	}
	public void setOnworkCdocFg(String onworkCdocFg) {
		this.onworkCdocFg = onworkCdocFg;
	}
	public String getWorkIncoRecpCdFg() {
		return workIncoRecpCdFg;
	}
	public void setWorkIncoRecpCdFg(String workIncoRecpCdFg) {
		this.workIncoRecpCdFg = workIncoRecpCdFg;
	}
	public String getCtfqCopyFg() {
		return ctfqCopyFg;
	}
	public void setCtfqCopyFg(String ctfqCopyFg) {
		this.ctfqCopyFg = ctfqCopyFg;
	}
	public String getPtaxCdocFg() {
		return ptaxCdocFg;
	}
	public void setPtaxCdocFg(String ptaxCdocFg) {
		this.ptaxCdocFg = ptaxCdocFg;
	}
	public String getEsttRetyExfnFg() {
		return esttRetyExfnFg;
	}
	public void setEsttRetyExfnFg(String esttRetyExfnFg) {
		this.esttRetyExfnFg = esttRetyExfnFg;
	}
	public String getBizManRegCdocCopyFg() {
		return bizManRegCdocCopyFg;
	}
	public void setBizManRegCdocCopyFg(String bizManRegCdocCopyFg) {
		this.bizManRegCdocCopyFg = bizManRegCdocCopyFg;
	}
	public String getCorpRetyExfnFg() {
		return corpRetyExfnFg;
	}
	public void setCorpRetyExfnFg(String corpRetyExfnFg) {
		this.corpRetyExfnFg = corpRetyExfnFg;
	}
	public String getFincshFg() {
		return fincshFg;
	}
	public void setFincshFg(String fincshFg) {
		this.fincshFg = fincshFg;
	}
	public String getVtaxPayRecpFg() {
		return vtaxPayRecpFg;
	}
	public void setVtaxPayRecpFg(String vtaxPayRecpFg) {
		this.vtaxPayRecpFg = vtaxPayRecpFg;
	}
	public String getInsuScrtFg() {
		return insuScrtFg;
	}
	public void setInsuScrtFg(String insuScrtFg) {
		this.insuScrtFg = insuScrtFg;
	}
	public String getPayAcquDocFg() {
		return payAcquDocFg;
	}
	public void setPayAcquDocFg(String payAcquDocFg) {
		this.payAcquDocFg = payAcquDocFg;
	}
	public String getSetContDocFg() {
		return setContDocFg;
	}
	public void setSetContDocFg(String setContDocFg) {
		this.setContDocFg = setContDocFg;
	}
	public String getInsuEntrAgrDocFg() {
		return insuEntrAgrDocFg;
	}
	public void setInsuEntrAgrDocFg(String insuEntrAgrDocFg) {
		this.insuEntrAgrDocFg = insuEntrAgrDocFg;
	}
	public String getSaleContDocFg() {
		return saleContDocFg;
	}
	public void setSaleContDocFg(String saleContDocFg) {
		this.saleContDocFg = saleContDocFg;
	}
	public String getPaybDocFg() {
		return paybDocFg;
	}
	public void setPaybDocFg(String paybDocFg) {
		this.paybDocFg = paybDocFg;
	}
	public String getEtcProfDocFg() {
		return etcProfDocFg;
	}
	public void setEtcProfDocFg(String etcProfDocFg) {
		this.etcProfDocFg = etcProfDocFg;
	}
	public String getRegLdgrFg() {
		return regLdgrFg;
	}
	public void setRegLdgrFg(String regLdgrFg) {
		this.regLdgrFg = regLdgrFg;
	}
	public String getRetiAmtFrstDeduAgrDocFg() {
		return retiAmtFrstDeduAgrDocFg;
	}
	public void setRetiAmtFrstDeduAgrDocFg(String retiAmtFrstDeduAgrDocFg) {
		this.retiAmtFrstDeduAgrDocFg = retiAmtFrstDeduAgrDocFg;
	}
	public String getExamOpnDocFg() {
		return examOpnDocFg;
	}
	public void setExamOpnDocFg(String examOpnDocFg) {
		this.examOpnDocFg = examOpnDocFg;
	}
	public String getRentContDocFg() {
		return rentContDocFg;
	}
	public void setRentContDocFg(String rentContDocFg) {
		this.rentContDocFg = rentContDocFg;
	}
	public String getRegSetExecMmrdFg() {
		return regSetExecMmrdFg;
	}
	public void setRegSetExecMmrdFg(String regSetExecMmrdFg) {
		this.regSetExecMmrdFg = regSetExecMmrdFg;
	}
	public String getCarsRegCdocFg() {
		return carsRegCdocFg;
	}
	public void setCarsRegCdocFg(String carsRegCdocFg) {
		this.carsRegCdocFg = carsRegCdocFg;
	}
	public String getTaxBillFg() {
		return taxBillFg;
	}
	public void setTaxBillFg(String taxBillFg) {
		this.taxBillFg = taxBillFg;
	}
	public String getMrtgThigPhtoFg() {
		return mrtgThigPhtoFg;
	}
	public void setMrtgThigPhtoFg(String mrtgThigPhtoFg) {
		this.mrtgThigPhtoFg = mrtgThigPhtoFg;
	}
	public String getRePurcAcquDocFg() {
		return rePurcAcquDocFg;
	}
	public void setRePurcAcquDocFg(String rePurcAcquDocFg) {
		this.rePurcAcquDocFg = rePurcAcquDocFg;
	}
	public String getOrdrdocFg() {
		return ordrdocFg;
	}
	public void setOrdrdocFg(String ordrdocFg) {
		this.ordrdocFg = ordrdocFg;
	}
	public String getCesnCdocFg() {
		return cesnCdocFg;
	}
	public void setCesnCdocFg(String cesnCdocFg) {
		this.cesnCdocFg = cesnCdocFg;
	}
	public String getOrdrCnsntDocFg() {
		return ordrCnsntDocFg;
	}
	public void setOrdrCnsntDocFg(String ordrCnsntDocFg) {
		this.ordrCnsntDocFg = ordrCnsntDocFg;
	}
	public String getGodsAmtAskDocFg() {
		return godsAmtAskDocFg;
	}
	public void setGodsAmtAskDocFg(String godsAmtAskDocFg) {
		this.godsAmtAskDocFg = godsAmtAskDocFg;
	}
	public String getGodsRecpCdocFg() {
		return godsRecpCdocFg;
	}
	public void setGodsRecpCdocFg(String godsRecpCdocFg) {
		this.godsRecpCdocFg = godsRecpCdocFg;
	}
	public String getGodsInspReptFg() {
		return godsInspReptFg;
	}
	public void setGodsInspReptFg(String godsInspReptFg) {
		this.godsInspReptFg = godsInspReptFg;
	}
	public String getDomeResiCdocFg() {
		return domeResiCdocFg;
	}
	public void setDomeResiCdocFg(String domeResiCdocFg) {
		this.domeResiCdocFg = domeResiCdocFg;
	}
	public String getCorpReprCrdtPrtuAgrDocFg() {
		return corpReprCrdtPrtuAgrDocFg;
	}
	public void setCorpReprCrdtPrtuAgrDocFg(String corpReprCrdtPrtuAgrDocFg) {
		this.corpReprCrdtPrtuAgrDocFg = corpReprCrdtPrtuAgrDocFg;
	}
	public String getAddContDocFg() {
		return addContDocFg;
	}
	public void setAddContDocFg(String addContDocFg) {
		this.addContDocFg = addContDocFg;
	}
	public String getPlDocFg() {
		return plDocFg;
	}
	public void setPlDocFg(String plDocFg) {
		this.plDocFg = plDocFg;
	}
	public String getOtxtAcptFg() {
		return otxtAcptFg;
	}
	public void setOtxtAcptFg(String otxtAcptFg) {
		this.otxtAcptFg = otxtAcptFg;
	}
	public String getOtxtAcptDt() {
		return otxtAcptDt;
	}
	public void setOtxtAcptDt(String otxtAcptDt) {
		this.otxtAcptDt = otxtAcptDt;
	}
	public String getOtxtAcptEmpNo() {
		return otxtAcptEmpNo;
	}
	public void setOtxtAcptEmpNo(String otxtAcptEmpNo) {
		this.otxtAcptEmpNo = otxtAcptEmpNo;
	}
	public String getEffcInsptblFg() {
		return effcInsptblFg;
	}
	public void setEffcInsptblFg(String effcInsptblFg) {
		this.effcInsptblFg = effcInsptblFg;
	}
	public String getSignActlCnfmFg() {
		return signActlCnfmFg;
	}
	public void setSignActlCnfmFg(String signActlCnfmFg) {
		this.signActlCnfmFg = signActlCnfmFg;
	}
	public String getResiCdoc2Fg() {
		return resiCdoc2Fg;
	}
	public void setResiCdoc2Fg(String resiCdoc2Fg) {
		this.resiCdoc2Fg = resiCdoc2Fg;
	}
	public String getWelfareCardFg() {
		return welfareCardFg;
	}
	public void setWelfareCardFg(String welfareCardFg) {
		this.welfareCardFg = welfareCardFg;
	}
	public String getStchListFg() {
		return stchListFg;
	}
	public void setStchListFg(String stchListFg) {
		this.stchListFg = stchListFg;
	}
	public String getFornVisaFg() {
		return fornVisaFg;
	}
	public void setFornVisaFg(String fornVisaFg) {
		this.fornVisaFg = fornVisaFg;
	}
	public String getInsuQcCnfmDocFg() {
		return insuQcCnfmDocFg;
	}
	public void setInsuQcCnfmDocFg(String insuQcCnfmDocFg) {
		this.insuQcCnfmDocFg = insuQcCnfmDocFg;
	}
	public String getInsuPayCnfmDocFg() {
		return insuPayCnfmDocFg;
	}
	public void setInsuPayCnfmDocFg(String insuPayCnfmDocFg) {
		this.insuPayCnfmDocFg = insuPayCnfmDocFg;
	}
	public String getInvcWithhholdTaxFg() {
		return invcWithhholdTaxFg;
	}
	public void setInvcWithhholdTaxFg(String invcWithhholdTaxFg) {
		this.invcWithhholdTaxFg = invcWithhholdTaxFg;
	}
	public String getVraxTaxBaseFg() {
		return vraxTaxBaseFg;
	}
	public void setVraxTaxBaseFg(String vraxTaxBaseFg) {
		this.vraxTaxBaseFg = vraxTaxBaseFg;
	}
	public String getIncmAmtCrtfFg() {
		return incmAmtCrtfFg;
	}
	public void setIncmAmtCrtfFg(String incmAmtCrtfFg) {
		this.incmAmtCrtfFg = incmAmtCrtfFg;
	}
	public String getTrnsHsehAcclFg() {
		return trnsHsehAcclFg;
	}
	public void setTrnsHsehAcclFg(String trnsHsehAcclFg) {
		this.trnsHsehAcclFg = trnsHsehAcclFg;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
}
