package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StLoanMrtgDTO.java Class
 * 클래스설명   : ST-대출담보(ST_LOAN_MRTG)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StLoanMrtgDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String mrtgSnum  = "";  /* 담보일련번호 */
    private String mrtgLrgeClasCd  = "";  /* 담보대분류코드 */
    private String mrtgSmClasCd  = "";  /* 담보소분류코드 */
    private String gainMethCd  = "";  /* 취득방법코드 */
    private String mrtgOffrManNo  = "";  /* 담보제공자번호 */
    private String mrtgOffrMannm  = "";  /* 담보제공자명 */
    private String relCd  = "";  /* 관계코드 */
    private long fxdMrtgAdmtRto  = 0;  /* 정규담보인정비율 */
    private BigDecimal fxdMrtgVamt  = BigDecimal.ZERO;  /* 정규담보가액 */
    private BigDecimal valdMrtgAmt  = BigDecimal.ZERO;  /* 유효담보금액 */
    private BigDecimal avlbMrtgAmt  = BigDecimal.ZERO;  /* 가용담보금액 */
    private String setNo  = "";  /* 설정번호 */
    private String setDt  = "";  /* 설정일자 */
    private BigDecimal setMaxAmt  = BigDecimal.ZERO;  /* 설정최고금액 */
    private String setRank  = "";  /* 설정순위 */
    private long setRto  = 0;  /* 설정비율 */
    private long preSeqSetCnt  = 0;  /* 선순위설정건수 */
    private BigDecimal preSeqSetAmt  = BigDecimal.ZERO;  /* 선순위설정금액 */
    private long preSeqLeasGuarCnt  = 0;  /* 선순위임차보증건수 */
    private BigDecimal preSeqLeasGuarAmt  = BigDecimal.ZERO;  /* 선순위임차보증금액 */
    private long samtGuarCnt  = 0;  /* 소액보증건수 */
    private BigDecimal samtGuarAmt  = BigDecimal.ZERO;  /* 소액보증금액 */
    private long slryBndCnt  = 0;  /* 임금채권건수 */
    private BigDecimal slryBndAmt  = BigDecimal.ZERO;  /* 임금채권금액 */
    private long taxBndCnt  = 0;  /* 조세채권건수 */
    private BigDecimal taxBndAmt  = BigDecimal.ZERO;  /* 조세채권금액 */
    private long etcRigtCnt  = 0;  /* 기타권리건수 */
    private BigDecimal etcRigtAmt  = BigDecimal.ZERO;  /* 기타권리금액 */
    private String issuDt  = "";  /* 발행일자 */
    private String eprtDt  = "";  /* 만기일자 */
    private String orgNm  = "";  /* 기관명 */
    private String orgBrnchNm  = "";  /* 기관지점명 */
    private long issuQty  = 0;  /* 발행수량 */
    private BigDecimal grndArea  = BigDecimal.ZERO;  /* 대지면적 */
    private BigDecimal bldArea  = BigDecimal.ZERO;  /* 건물면적 */
    private String godsPlcZipCd  = "";  /* 물건지우편번호 */
    private String godsPlcAddrCi  = "";  /* 물건지주소시 */
    private String godsPlcAddrGu  = "";  /* 물건지주소구 */
    private String godsPlcAddrDong  = "";  /* 물건지주소동 */
    private String godsPlcAddrSpec  = "";  /* 물건지주소상세 */
    private String cdocNo  = "";  /* 증서번호 */
    private String stckBndRegCnfmFg  = "";  /* 주식채권등록확인여부 */
    private String ownManNo  = "";  /* 소유자번호 */
    private String ownManNm  = "";  /* 소유자명 */
    private BigDecimal dpstAmt  = BigDecimal.ZERO;  /* 전세금액 */
    private String gainDt  = "";  /* 취득일자 */
    private BigDecimal ptax  = BigDecimal.ZERO;  /* 재산세 */
    private String judgDt  = "";  /* 감정일자 */
    private BigDecimal judgAmtAmt  = BigDecimal.ZERO;  /* 감정가액 */
    private BigDecimal judgFee  = BigDecimal.ZERO;  /* 감정수수료 */
    private String judgEvalKindCd  = "";  /* 감정평가종류코드 */
    private String moveiDt  = "";  /* 전입일자 */
    private String leasStrtDt  = "";  /* 임차시작일자 */
    private String leasEndDt  = "";  /* 임차종료일자 */
    private String cesnContDocMakeDt  = "";  /* 양도계약서작성일자 */
    private String bndCesnNotiDt  = "";  /* 양도통지일자 */
    private String dcsnDt  = "";  /* 확정일자 */
    private String notaDt  = "";  /* 공증일자 */
    private BigDecimal carsPrce  = BigDecimal.ZERO;  /* 차량가격 */
    private BigDecimal sprce  = BigDecimal.ZERO;  /* 시가 */
    private long mnrt  = 0;  /* 금리 */
    private BigDecimal intAmt  = BigDecimal.ZERO;  /* 이자금액 */
    private long guarRt  = 0;  /* 보증요율 */
    private BigDecimal exisamtScrtAmt  = BigDecimal.ZERO;  /* 유가증권금액 */
    private String rmrk  = "";  /* 비고 */
    private String closDt  = "";  /* 해지일자 */
    private String sealCdocNo  = "";  /* 인감증명서번호 */
    private String closEmpNo  = "";  /* 해지사원번호 */
    private String closCnfmNo  = "";  /* 해지확인번호 */
    private String closRecpManNm  = "";  /* 해지수령자명 */
    private String closRecpManNo  = "";  /* 해지수령자번호 */
    private String closRecpManTel0  = "";  /* 해지수령자전화0 */
    private String closRecpManTel1  = "";  /* 해지수령자전화1 */
    private String closRecpManTel2  = "";  /* 해지수령자전화2 */
    private String closRecpManTel3  = "";  /* 해지수령자전화3 */
    private String closRecpManRelCd  = "";  /* 해지수령자관계코드 */
    private String closRsnCd  = "";  /* 해지사유코드 */
    private String mrtgDepoKindCd  = "";  /* 담보예금종류코드 */
    private String setContDocContFg  = "";  /* 설정계약서체결여부 */
    private String setAgrDocCollFg  = "";  /* 설정동의서징구여부 */
    private String bnkbOamtApplDocAcquFg  = "";  /* 통장출금신청서확보여부 */
    private String setAgrDocDcsnDtCmplFg  = "";  /* 설정동의서확정일자완료여부 */
    private String addrIsrtDivCd  = "";  /* 주소입력구분코드 */
    private String aptNm  = "";  /* 아파트명 */
    private String pntp  = "";  /* 평형 */
    private String aplyMeth  = "";  /* 적용방법 */
    private BigDecimal aplyPrce  = BigDecimal.ZERO;  /* 적용가격 */
    private BigDecimal rschPrce  = BigDecimal.ZERO;  /* 조사가격 */
    private BigDecimal auctScbdAmt  = BigDecimal.ZERO;  /* 경매낙찰가 */
    private BigDecimal auctJudgAmt  = BigDecimal.ZERO;  /* 경매감정가 */
    private String judgEvalPlc  = "";  /* 감정평가처 */
    private long totRoomCnt  = 0;  /* 총방수 */
    private BigDecimal preSeqSetAmt1  = BigDecimal.ZERO;  /* 선순위설정금액1 */
    private BigDecimal preSeqSetAmt2  = BigDecimal.ZERO;  /* 선순위설정금액2 */
    private String rlnObjFg1  = "";  /* 대환대상여부1 */
    private String rlnObjFg2  = "";  /* 대환대상여부2 */
    private String rlnFg  = "";  /* 대환여부 */
    private BigDecimal rlnAmt  = BigDecimal.ZERO;  /* 대환금액 */
    private BigDecimal othMrtgLoanAmt  = BigDecimal.ZERO;  /* 타담보대출금액 */
    private BigDecimal rentSum  = BigDecimal.ZERO;  /* 임대차합계 */
    private long totHshdCnt  = 0;  /* 총세대수 */
    private String rigtInsuCom  = "";  /* 권리보험사 */
    private String jadv  = "";  /* 법무사 */
    private String spcuZoneFg  = "";  /* 투기지역여부 */
    private String spcuOverhRegnFg  = "";  /* 투기과열지구여부 */
    private long totFlorCnt  = 0;  /* 총층수 */
    private long corrFlor  = 0;  /* 해당층 */
    private String godsPlcAddrSpec2  = "";  /* 물건지주소상세2 */
    private BigDecimal euseArea  = BigDecimal.ZERO;  /* 전용면적 */
    private String ownRigtMoveRegdd  = "";  /* 소유권이동등기일 */
    private String spclAdmtZoneFg  = "";  /* 특별인정지역여부 */
    private String etcZoneFg  = "";  /* 기타지역여부 */
    private String capiRegnFg  = "";  /* 수도권여부 */
    private long rentCnt  = 0;  /* 임대수 */
    private BigDecimal rentGuarAmt  = BigDecimal.ZERO;  /* 임대보증금 */
    private String kbMkprLdongCd  = "";  /* KB시세법정동코드 */
    private String kbMkprEsttGodsCd  = "";  /* KB시세부동산물건코드 */
    private long kbMkprPntpSeq  = 0;  /* KB시세평형순번 */
    private String kbMkprRschStndDt  = "";  /* KB시세조사기준일자 */
    private String tempClosCnfmNo  = "";  /* 임시해지확인번호 */
    private String tempClosDt  = "";  /* 임시해지일자 */
    private String tempClosTm  = "";  /* 임시해지시각 */
    private String closCnclDt  = "";  /* 해지취소일자 */
    private String closCnclTm  = "";  /* 해지취소시각 */
    private String closCnclRsn  = "";  /* 해지취소사유 */
    private String dpstEvalMeth  = "";  /* 전세평가방법 */
    private String bndCovrMeth  = "";  /* 채권보전방법 */
    private BigDecimal dpstGuarAmt  = BigDecimal.ZERO;  /* 전세보증금 */
    private BigDecimal mmRent  = BigDecimal.ZERO;  /* 월세 */
    private BigDecimal dpstUplmitamt  = BigDecimal.ZERO;  /* 전세상한가 */
    private BigDecimal dpstBtmlamt  = BigDecimal.ZERO;  /* 전세하한가 */
    private String esttKindCd  = "";  /* 부동산종류코드 */
    private BigDecimal othDpstLoanAmt  = BigDecimal.ZERO;  /* 타전세대출금액 */
    private String estt  = "";  /* 부동산 */
    private String esttCntcPlc  = "";  /* 부동산연락처 */
    private long ownRigtGainMmCnt  = 0;  /* 소유권취득개월수 */
    private String takecrtfFg  = "";  /* 인수증여부 */
    private String authLettFg  = "";  /* 위임장여부 */
    private String authLettUnbrgCnfmDocFg  = "";  /* 위임장미지참확인서여부 */
    private String selfIdcdFg  = "";  /* 본인신분증여부 */
    private String trstmanIdcdFg  = "";  /* 위임인신분증여부 */
    private String bizManRegCdocFg  = "";  /* 사업자등록증여부 */
    private String trstmanSealCdocFg  = "";  /* 위임인인감증명서여부 */
    private String corpSealCdocFg  = "";  /* 법인인감증명서여부 */
    private String agncManIdcdFg  = "";  /* 대리인신분증여부 */
    private String regCdocFg  = "";  /* 등록증서여부 */
    private String tpempcrtfFg  = "";  /* TPEMPCRTF여부 */
    private long minIntRt  = 0;  /* 최소이자율 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getMrtgSnum() {
        return mrtgSnum;
    }
    public void setMrtgSnum(String mrtgSnum) {
        this.mrtgSnum = mrtgSnum;
    }
    public String getMrtgLrgeClasCd() {
        return mrtgLrgeClasCd;
    }
    public void setMrtgLrgeClasCd(String mrtgLrgeClasCd) {
        this.mrtgLrgeClasCd = mrtgLrgeClasCd;
    }
    public String getMrtgSmClasCd() {
        return mrtgSmClasCd;
    }
    public void setMrtgSmClasCd(String mrtgSmClasCd) {
        this.mrtgSmClasCd = mrtgSmClasCd;
    }
    public String getGainMethCd() {
        return gainMethCd;
    }
    public void setGainMethCd(String gainMethCd) {
        this.gainMethCd = gainMethCd;
    }
    public String getMrtgOffrManNo() {
        return mrtgOffrManNo;
    }
    public void setMrtgOffrManNo(String mrtgOffrManNo) {
        this.mrtgOffrManNo = mrtgOffrManNo;
    }
    public String getMrtgOffrMannm() {
        return mrtgOffrMannm;
    }
    public void setMrtgOffrMannm(String mrtgOffrMannm) {
        this.mrtgOffrMannm = mrtgOffrMannm;
    }
    public String getRelCd() {
        return relCd;
    }
    public void setRelCd(String relCd) {
        this.relCd = relCd;
    }
    public long getFxdMrtgAdmtRto() {
        return fxdMrtgAdmtRto;
    }
    public void setFxdMrtgAdmtRto(long fxdMrtgAdmtRto) {
        this.fxdMrtgAdmtRto = fxdMrtgAdmtRto;
    }
    public BigDecimal getFxdMrtgVamt() {
        return fxdMrtgVamt;
    }
    public void setFxdMrtgVamt(BigDecimal fxdMrtgVamt) {
        this.fxdMrtgVamt = fxdMrtgVamt;
    }
    public BigDecimal getValdMrtgAmt() {
        return valdMrtgAmt;
    }
    public void setValdMrtgAmt(BigDecimal valdMrtgAmt) {
        this.valdMrtgAmt = valdMrtgAmt;
    }
    public BigDecimal getAvlbMrtgAmt() {
        return avlbMrtgAmt;
    }
    public void setAvlbMrtgAmt(BigDecimal avlbMrtgAmt) {
        this.avlbMrtgAmt = avlbMrtgAmt;
    }
    public String getSetNo() {
        return setNo;
    }
    public void setSetNo(String setNo) {
        this.setNo = setNo;
    }
    public String getSetDt() {
        return setDt;
    }
    public void setSetDt(String setDt) {
        this.setDt = setDt;
    }
    public BigDecimal getSetMaxAmt() {
        return setMaxAmt;
    }
    public void setSetMaxAmt(BigDecimal setMaxAmt) {
        this.setMaxAmt = setMaxAmt;
    }
    public String getSetRank() {
        return setRank;
    }
    public void setSetRank(String setRank) {
        this.setRank = setRank;
    }
    public long getSetRto() {
        return setRto;
    }
    public void setSetRto(long setRto) {
        this.setRto = setRto;
    }
    public long getPreSeqSetCnt() {
        return preSeqSetCnt;
    }
    public void setPreSeqSetCnt(long preSeqSetCnt) {
        this.preSeqSetCnt = preSeqSetCnt;
    }
    public BigDecimal getPreSeqSetAmt() {
        return preSeqSetAmt;
    }
    public void setPreSeqSetAmt(BigDecimal preSeqSetAmt) {
        this.preSeqSetAmt = preSeqSetAmt;
    }
    public long getPreSeqLeasGuarCnt() {
        return preSeqLeasGuarCnt;
    }
    public void setPreSeqLeasGuarCnt(long preSeqLeasGuarCnt) {
        this.preSeqLeasGuarCnt = preSeqLeasGuarCnt;
    }
    public BigDecimal getPreSeqLeasGuarAmt() {
        return preSeqLeasGuarAmt;
    }
    public void setPreSeqLeasGuarAmt(BigDecimal preSeqLeasGuarAmt) {
        this.preSeqLeasGuarAmt = preSeqLeasGuarAmt;
    }
    public long getSamtGuarCnt() {
        return samtGuarCnt;
    }
    public void setSamtGuarCnt(long samtGuarCnt) {
        this.samtGuarCnt = samtGuarCnt;
    }
    public BigDecimal getSamtGuarAmt() {
        return samtGuarAmt;
    }
    public void setSamtGuarAmt(BigDecimal samtGuarAmt) {
        this.samtGuarAmt = samtGuarAmt;
    }
    public long getSlryBndCnt() {
        return slryBndCnt;
    }
    public void setSlryBndCnt(long slryBndCnt) {
        this.slryBndCnt = slryBndCnt;
    }
    public BigDecimal getSlryBndAmt() {
        return slryBndAmt;
    }
    public void setSlryBndAmt(BigDecimal slryBndAmt) {
        this.slryBndAmt = slryBndAmt;
    }
    public long getTaxBndCnt() {
        return taxBndCnt;
    }
    public void setTaxBndCnt(long taxBndCnt) {
        this.taxBndCnt = taxBndCnt;
    }
    public BigDecimal getTaxBndAmt() {
        return taxBndAmt;
    }
    public void setTaxBndAmt(BigDecimal taxBndAmt) {
        this.taxBndAmt = taxBndAmt;
    }
    public long getEtcRigtCnt() {
        return etcRigtCnt;
    }
    public void setEtcRigtCnt(long etcRigtCnt) {
        this.etcRigtCnt = etcRigtCnt;
    }
    public BigDecimal getEtcRigtAmt() {
        return etcRigtAmt;
    }
    public void setEtcRigtAmt(BigDecimal etcRigtAmt) {
        this.etcRigtAmt = etcRigtAmt;
    }
    public String getIssuDt() {
        return issuDt;
    }
    public void setIssuDt(String issuDt) {
        this.issuDt = issuDt;
    }
    public String getEprtDt() {
        return eprtDt;
    }
    public void setEprtDt(String eprtDt) {
        this.eprtDt = eprtDt;
    }
    public String getOrgNm() {
        return orgNm;
    }
    public void setOrgNm(String orgNm) {
        this.orgNm = orgNm;
    }
    public String getOrgBrnchNm() {
        return orgBrnchNm;
    }
    public void setOrgBrnchNm(String orgBrnchNm) {
        this.orgBrnchNm = orgBrnchNm;
    }
    public long getIssuQty() {
        return issuQty;
    }
    public void setIssuQty(long issuQty) {
        this.issuQty = issuQty;
    }
    public BigDecimal getGrndArea() {
        return grndArea;
    }
    public void setGrndArea(BigDecimal grndArea) {
        this.grndArea = grndArea;
    }
    public BigDecimal getBldArea() {
        return bldArea;
    }
    public void setBldArea(BigDecimal bldArea) {
        this.bldArea = bldArea;
    }
    public String getGodsPlcZipCd() {
        return godsPlcZipCd;
    }
    public void setGodsPlcZipCd(String godsPlcZipCd) {
        this.godsPlcZipCd = godsPlcZipCd;
    }
    public String getGodsPlcAddrCi() {
        return godsPlcAddrCi;
    }
    public void setGodsPlcAddrCi(String godsPlcAddrCi) {
        this.godsPlcAddrCi = godsPlcAddrCi;
    }
    public String getGodsPlcAddrGu() {
        return godsPlcAddrGu;
    }
    public void setGodsPlcAddrGu(String godsPlcAddrGu) {
        this.godsPlcAddrGu = godsPlcAddrGu;
    }
    public String getGodsPlcAddrDong() {
        return godsPlcAddrDong;
    }
    public void setGodsPlcAddrDong(String godsPlcAddrDong) {
        this.godsPlcAddrDong = godsPlcAddrDong;
    }
    public String getGodsPlcAddrSpec() {
        return godsPlcAddrSpec;
    }
    public void setGodsPlcAddrSpec(String godsPlcAddrSpec) {
        this.godsPlcAddrSpec = godsPlcAddrSpec;
    }
    public String getCdocNo() {
        return cdocNo;
    }
    public void setCdocNo(String cdocNo) {
        this.cdocNo = cdocNo;
    }
    public String getStckBndRegCnfmFg() {
        return stckBndRegCnfmFg;
    }
    public void setStckBndRegCnfmFg(String stckBndRegCnfmFg) {
        this.stckBndRegCnfmFg = stckBndRegCnfmFg;
    }
    public String getOwnManNo() {
        return ownManNo;
    }
    public void setOwnManNo(String ownManNo) {
        this.ownManNo = ownManNo;
    }
    public String getOwnManNm() {
        return ownManNm;
    }
    public void setOwnManNm(String ownManNm) {
        this.ownManNm = ownManNm;
    }
    public BigDecimal getDpstAmt() {
        return dpstAmt;
    }
    public void setDpstAmt(BigDecimal dpstAmt) {
        this.dpstAmt = dpstAmt;
    }
    public String getGainDt() {
        return gainDt;
    }
    public void setGainDt(String gainDt) {
        this.gainDt = gainDt;
    }
    public BigDecimal getPtax() {
        return ptax;
    }
    public void setPtax(BigDecimal ptax) {
        this.ptax = ptax;
    }
    public String getJudgDt() {
        return judgDt;
    }
    public void setJudgDt(String judgDt) {
        this.judgDt = judgDt;
    }
    public BigDecimal getJudgAmtAmt() {
        return judgAmtAmt;
    }
    public void setJudgAmtAmt(BigDecimal judgAmtAmt) {
        this.judgAmtAmt = judgAmtAmt;
    }
    public BigDecimal getJudgFee() {
        return judgFee;
    }
    public void setJudgFee(BigDecimal judgFee) {
        this.judgFee = judgFee;
    }
    public String getJudgEvalKindCd() {
        return judgEvalKindCd;
    }
    public void setJudgEvalKindCd(String judgEvalKindCd) {
        this.judgEvalKindCd = judgEvalKindCd;
    }
    public String getMoveiDt() {
        return moveiDt;
    }
    public void setMoveiDt(String moveiDt) {
        this.moveiDt = moveiDt;
    }
    public String getLeasStrtDt() {
        return leasStrtDt;
    }
    public void setLeasStrtDt(String leasStrtDt) {
        this.leasStrtDt = leasStrtDt;
    }
    public String getLeasEndDt() {
        return leasEndDt;
    }
    public void setLeasEndDt(String leasEndDt) {
        this.leasEndDt = leasEndDt;
    }
    public String getCesnContDocMakeDt() {
        return cesnContDocMakeDt;
    }
    public void setCesnContDocMakeDt(String cesnContDocMakeDt) {
        this.cesnContDocMakeDt = cesnContDocMakeDt;
    }
    public String getBndCesnNotiDt() {
        return bndCesnNotiDt;
    }
    public void setBndCesnNotiDt(String bndCesnNotiDt) {
        this.bndCesnNotiDt = bndCesnNotiDt;
    }
    public String getDcsnDt() {
        return dcsnDt;
    }
    public void setDcsnDt(String dcsnDt) {
        this.dcsnDt = dcsnDt;
    }
    public String getNotaDt() {
        return notaDt;
    }
    public void setNotaDt(String notaDt) {
        this.notaDt = notaDt;
    }
    public BigDecimal getCarsPrce() {
        return carsPrce;
    }
    public void setCarsPrce(BigDecimal carsPrce) {
        this.carsPrce = carsPrce;
    }
    public BigDecimal getSprce() {
        return sprce;
    }
    public void setSprce(BigDecimal sprce) {
        this.sprce = sprce;
    }
    public long getMnrt() {
        return mnrt;
    }
    public void setMnrt(long mnrt) {
        this.mnrt = mnrt;
    }
    public BigDecimal getIntAmt() {
        return intAmt;
    }
    public void setIntAmt(BigDecimal intAmt) {
        this.intAmt = intAmt;
    }
    public long getGuarRt() {
        return guarRt;
    }
    public void setGuarRt(long guarRt) {
        this.guarRt = guarRt;
    }
    public BigDecimal getExisamtScrtAmt() {
        return exisamtScrtAmt;
    }
    public void setExisamtScrtAmt(BigDecimal exisamtScrtAmt) {
        this.exisamtScrtAmt = exisamtScrtAmt;
    }
    public String getRmrk() {
        return rmrk;
    }
    public void setRmrk(String rmrk) {
        this.rmrk = rmrk;
    }
    public String getClosDt() {
        return closDt;
    }
    public void setClosDt(String closDt) {
        this.closDt = closDt;
    }
    public String getSealCdocNo() {
        return sealCdocNo;
    }
    public void setSealCdocNo(String sealCdocNo) {
        this.sealCdocNo = sealCdocNo;
    }
    public String getClosEmpNo() {
        return closEmpNo;
    }
    public void setClosEmpNo(String closEmpNo) {
        this.closEmpNo = closEmpNo;
    }
    public String getClosCnfmNo() {
        return closCnfmNo;
    }
    public void setClosCnfmNo(String closCnfmNo) {
        this.closCnfmNo = closCnfmNo;
    }
    public String getClosRecpManNm() {
        return closRecpManNm;
    }
    public void setClosRecpManNm(String closRecpManNm) {
        this.closRecpManNm = closRecpManNm;
    }
    public String getClosRecpManNo() {
        return closRecpManNo;
    }
    public void setClosRecpManNo(String closRecpManNo) {
        this.closRecpManNo = closRecpManNo;
    }
    public String getClosRecpManTel0() {
        return closRecpManTel0;
    }
    public void setClosRecpManTel0(String closRecpManTel0) {
        this.closRecpManTel0 = closRecpManTel0;
    }
    public String getClosRecpManTel1() {
        return closRecpManTel1;
    }
    public void setClosRecpManTel1(String closRecpManTel1) {
        this.closRecpManTel1 = closRecpManTel1;
    }
    public String getClosRecpManTel2() {
        return closRecpManTel2;
    }
    public void setClosRecpManTel2(String closRecpManTel2) {
        this.closRecpManTel2 = closRecpManTel2;
    }
    public String getClosRecpManTel3() {
        return closRecpManTel3;
    }
    public void setClosRecpManTel3(String closRecpManTel3) {
        this.closRecpManTel3 = closRecpManTel3;
    }
    public String getClosRecpManRelCd() {
        return closRecpManRelCd;
    }
    public void setClosRecpManRelCd(String closRecpManRelCd) {
        this.closRecpManRelCd = closRecpManRelCd;
    }
    public String getClosRsnCd() {
        return closRsnCd;
    }
    public void setClosRsnCd(String closRsnCd) {
        this.closRsnCd = closRsnCd;
    }
    public String getMrtgDepoKindCd() {
        return mrtgDepoKindCd;
    }
    public void setMrtgDepoKindCd(String mrtgDepoKindCd) {
        this.mrtgDepoKindCd = mrtgDepoKindCd;
    }
    public String getSetContDocContFg() {
        return setContDocContFg;
    }
    public void setSetContDocContFg(String setContDocContFg) {
        this.setContDocContFg = setContDocContFg;
    }
    public String getSetAgrDocCollFg() {
        return setAgrDocCollFg;
    }
    public void setSetAgrDocCollFg(String setAgrDocCollFg) {
        this.setAgrDocCollFg = setAgrDocCollFg;
    }
    public String getBnkbOamtApplDocAcquFg() {
        return bnkbOamtApplDocAcquFg;
    }
    public void setBnkbOamtApplDocAcquFg(String bnkbOamtApplDocAcquFg) {
        this.bnkbOamtApplDocAcquFg = bnkbOamtApplDocAcquFg;
    }
    public String getSetAgrDocDcsnDtCmplFg() {
        return setAgrDocDcsnDtCmplFg;
    }
    public void setSetAgrDocDcsnDtCmplFg(String setAgrDocDcsnDtCmplFg) {
        this.setAgrDocDcsnDtCmplFg = setAgrDocDcsnDtCmplFg;
    }
    public String getAddrIsrtDivCd() {
        return addrIsrtDivCd;
    }
    public void setAddrIsrtDivCd(String addrIsrtDivCd) {
        this.addrIsrtDivCd = addrIsrtDivCd;
    }
    public String getAptNm() {
        return aptNm;
    }
    public void setAptNm(String aptNm) {
        this.aptNm = aptNm;
    }
    public String getPntp() {
        return pntp;
    }
    public void setPntp(String pntp) {
        this.pntp = pntp;
    }
    public String getAplyMeth() {
        return aplyMeth;
    }
    public void setAplyMeth(String aplyMeth) {
        this.aplyMeth = aplyMeth;
    }
    public BigDecimal getAplyPrce() {
        return aplyPrce;
    }
    public void setAplyPrce(BigDecimal aplyPrce) {
        this.aplyPrce = aplyPrce;
    }
    public BigDecimal getRschPrce() {
        return rschPrce;
    }
    public void setRschPrce(BigDecimal rschPrce) {
        this.rschPrce = rschPrce;
    }
    public BigDecimal getAuctScbdAmt() {
        return auctScbdAmt;
    }
    public void setAuctScbdAmt(BigDecimal auctScbdAmt) {
        this.auctScbdAmt = auctScbdAmt;
    }
    public BigDecimal getAuctJudgAmt() {
        return auctJudgAmt;
    }
    public void setAuctJudgAmt(BigDecimal auctJudgAmt) {
        this.auctJudgAmt = auctJudgAmt;
    }
    public String getJudgEvalPlc() {
        return judgEvalPlc;
    }
    public void setJudgEvalPlc(String judgEvalPlc) {
        this.judgEvalPlc = judgEvalPlc;
    }
    public long getTotRoomCnt() {
        return totRoomCnt;
    }
    public void setTotRoomCnt(long totRoomCnt) {
        this.totRoomCnt = totRoomCnt;
    }
    public BigDecimal getPreSeqSetAmt1() {
        return preSeqSetAmt1;
    }
    public void setPreSeqSetAmt1(BigDecimal preSeqSetAmt1) {
        this.preSeqSetAmt1 = preSeqSetAmt1;
    }
    public BigDecimal getPreSeqSetAmt2() {
        return preSeqSetAmt2;
    }
    public void setPreSeqSetAmt2(BigDecimal preSeqSetAmt2) {
        this.preSeqSetAmt2 = preSeqSetAmt2;
    }
    public String getRlnObjFg1() {
        return rlnObjFg1;
    }
    public void setRlnObjFg1(String rlnObjFg1) {
        this.rlnObjFg1 = rlnObjFg1;
    }
    public String getRlnObjFg2() {
        return rlnObjFg2;
    }
    public void setRlnObjFg2(String rlnObjFg2) {
        this.rlnObjFg2 = rlnObjFg2;
    }
    public String getRlnFg() {
        return rlnFg;
    }
    public void setRlnFg(String rlnFg) {
        this.rlnFg = rlnFg;
    }
    public BigDecimal getRlnAmt() {
        return rlnAmt;
    }
    public void setRlnAmt(BigDecimal rlnAmt) {
        this.rlnAmt = rlnAmt;
    }
    public BigDecimal getOthMrtgLoanAmt() {
        return othMrtgLoanAmt;
    }
    public void setOthMrtgLoanAmt(BigDecimal othMrtgLoanAmt) {
        this.othMrtgLoanAmt = othMrtgLoanAmt;
    }
    public BigDecimal getRentSum() {
        return rentSum;
    }
    public void setRentSum(BigDecimal rentSum) {
        this.rentSum = rentSum;
    }
    public long getTotHshdCnt() {
        return totHshdCnt;
    }
    public void setTotHshdCnt(long totHshdCnt) {
        this.totHshdCnt = totHshdCnt;
    }
    public String getRigtInsuCom() {
        return rigtInsuCom;
    }
    public void setRigtInsuCom(String rigtInsuCom) {
        this.rigtInsuCom = rigtInsuCom;
    }
    public String getJadv() {
        return jadv;
    }
    public void setJadv(String jadv) {
        this.jadv = jadv;
    }
    public String getSpcuZoneFg() {
        return spcuZoneFg;
    }
    public void setSpcuZoneFg(String spcuZoneFg) {
        this.spcuZoneFg = spcuZoneFg;
    }
    public String getSpcuOverhRegnFg() {
        return spcuOverhRegnFg;
    }
    public void setSpcuOverhRegnFg(String spcuOverhRegnFg) {
        this.spcuOverhRegnFg = spcuOverhRegnFg;
    }
    public long getTotFlorCnt() {
        return totFlorCnt;
    }
    public void setTotFlorCnt(long totFlorCnt) {
        this.totFlorCnt = totFlorCnt;
    }
    public long getCorrFlor() {
        return corrFlor;
    }
    public void setCorrFlor(long corrFlor) {
        this.corrFlor = corrFlor;
    }
    public String getGodsPlcAddrSpec2() {
        return godsPlcAddrSpec2;
    }
    public void setGodsPlcAddrSpec2(String godsPlcAddrSpec2) {
        this.godsPlcAddrSpec2 = godsPlcAddrSpec2;
    }
    public BigDecimal getEuseArea() {
        return euseArea;
    }
    public void setEuseArea(BigDecimal euseArea) {
        this.euseArea = euseArea;
    }
    public String getOwnRigtMoveRegdd() {
        return ownRigtMoveRegdd;
    }
    public void setOwnRigtMoveRegdd(String ownRigtMoveRegdd) {
        this.ownRigtMoveRegdd = ownRigtMoveRegdd;
    }
    public String getSpclAdmtZoneFg() {
        return spclAdmtZoneFg;
    }
    public void setSpclAdmtZoneFg(String spclAdmtZoneFg) {
        this.spclAdmtZoneFg = spclAdmtZoneFg;
    }
    public String getEtcZoneFg() {
        return etcZoneFg;
    }
    public void setEtcZoneFg(String etcZoneFg) {
        this.etcZoneFg = etcZoneFg;
    }
    public String getCapiRegnFg() {
        return capiRegnFg;
    }
    public void setCapiRegnFg(String capiRegnFg) {
        this.capiRegnFg = capiRegnFg;
    }
    public long getRentCnt() {
        return rentCnt;
    }
    public void setRentCnt(long rentCnt) {
        this.rentCnt = rentCnt;
    }
    public BigDecimal getRentGuarAmt() {
        return rentGuarAmt;
    }
    public void setRentGuarAmt(BigDecimal rentGuarAmt) {
        this.rentGuarAmt = rentGuarAmt;
    }
    public String getKbMkprLdongCd() {
        return kbMkprLdongCd;
    }
    public void setKbMkprLdongCd(String kbMkprLdongCd) {
        this.kbMkprLdongCd = kbMkprLdongCd;
    }
    public String getKbMkprEsttGodsCd() {
        return kbMkprEsttGodsCd;
    }
    public void setKbMkprEsttGodsCd(String kbMkprEsttGodsCd) {
        this.kbMkprEsttGodsCd = kbMkprEsttGodsCd;
    }
    public long getKbMkprPntpSeq() {
        return kbMkprPntpSeq;
    }
    public void setKbMkprPntpSeq(long kbMkprPntpSeq) {
        this.kbMkprPntpSeq = kbMkprPntpSeq;
    }
    public String getKbMkprRschStndDt() {
        return kbMkprRschStndDt;
    }
    public void setKbMkprRschStndDt(String kbMkprRschStndDt) {
        this.kbMkprRschStndDt = kbMkprRschStndDt;
    }
    public String getTempClosCnfmNo() {
        return tempClosCnfmNo;
    }
    public void setTempClosCnfmNo(String tempClosCnfmNo) {
        this.tempClosCnfmNo = tempClosCnfmNo;
    }
    public String getTempClosDt() {
        return tempClosDt;
    }
    public void setTempClosDt(String tempClosDt) {
        this.tempClosDt = tempClosDt;
    }
    public String getTempClosTm() {
        return tempClosTm;
    }
    public void setTempClosTm(String tempClosTm) {
        this.tempClosTm = tempClosTm;
    }
    public String getClosCnclDt() {
        return closCnclDt;
    }
    public void setClosCnclDt(String closCnclDt) {
        this.closCnclDt = closCnclDt;
    }
    public String getClosCnclTm() {
        return closCnclTm;
    }
    public void setClosCnclTm(String closCnclTm) {
        this.closCnclTm = closCnclTm;
    }
    public String getClosCnclRsn() {
        return closCnclRsn;
    }
    public void setClosCnclRsn(String closCnclRsn) {
        this.closCnclRsn = closCnclRsn;
    }
    public String getDpstEvalMeth() {
        return dpstEvalMeth;
    }
    public void setDpstEvalMeth(String dpstEvalMeth) {
        this.dpstEvalMeth = dpstEvalMeth;
    }
    public String getBndCovrMeth() {
        return bndCovrMeth;
    }
    public void setBndCovrMeth(String bndCovrMeth) {
        this.bndCovrMeth = bndCovrMeth;
    }
    public BigDecimal getDpstGuarAmt() {
        return dpstGuarAmt;
    }
    public void setDpstGuarAmt(BigDecimal dpstGuarAmt) {
        this.dpstGuarAmt = dpstGuarAmt;
    }
    public BigDecimal getMmRent() {
        return mmRent;
    }
    public void setMmRent(BigDecimal mmRent) {
        this.mmRent = mmRent;
    }
    public BigDecimal getDpstUplmitamt() {
        return dpstUplmitamt;
    }
    public void setDpstUplmitamt(BigDecimal dpstUplmitamt) {
        this.dpstUplmitamt = dpstUplmitamt;
    }
    public BigDecimal getDpstBtmlamt() {
        return dpstBtmlamt;
    }
    public void setDpstBtmlamt(BigDecimal dpstBtmlamt) {
        this.dpstBtmlamt = dpstBtmlamt;
    }
    public String getEsttKindCd() {
        return esttKindCd;
    }
    public void setEsttKindCd(String esttKindCd) {
        this.esttKindCd = esttKindCd;
    }
    public BigDecimal getOthDpstLoanAmt() {
        return othDpstLoanAmt;
    }
    public void setOthDpstLoanAmt(BigDecimal othDpstLoanAmt) {
        this.othDpstLoanAmt = othDpstLoanAmt;
    }
    public String getEstt() {
        return estt;
    }
    public void setEstt(String estt) {
        this.estt = estt;
    }
    public String getEsttCntcPlc() {
        return esttCntcPlc;
    }
    public void setEsttCntcPlc(String esttCntcPlc) {
        this.esttCntcPlc = esttCntcPlc;
    }
    public long getOwnRigtGainMmCnt() {
        return ownRigtGainMmCnt;
    }
    public void setOwnRigtGainMmCnt(long ownRigtGainMmCnt) {
        this.ownRigtGainMmCnt = ownRigtGainMmCnt;
    }
    public String getTakecrtfFg() {
        return takecrtfFg;
    }
    public void setTakecrtfFg(String takecrtfFg) {
        this.takecrtfFg = takecrtfFg;
    }
    public String getAuthLettFg() {
        return authLettFg;
    }
    public void setAuthLettFg(String authLettFg) {
        this.authLettFg = authLettFg;
    }
    public String getAuthLettUnbrgCnfmDocFg() {
        return authLettUnbrgCnfmDocFg;
    }
    public void setAuthLettUnbrgCnfmDocFg(String authLettUnbrgCnfmDocFg) {
        this.authLettUnbrgCnfmDocFg = authLettUnbrgCnfmDocFg;
    }
    public String getSelfIdcdFg() {
        return selfIdcdFg;
    }
    public void setSelfIdcdFg(String selfIdcdFg) {
        this.selfIdcdFg = selfIdcdFg;
    }
    public String getTrstmanIdcdFg() {
        return trstmanIdcdFg;
    }
    public void setTrstmanIdcdFg(String trstmanIdcdFg) {
        this.trstmanIdcdFg = trstmanIdcdFg;
    }
    public String getBizManRegCdocFg() {
        return bizManRegCdocFg;
    }
    public void setBizManRegCdocFg(String bizManRegCdocFg) {
        this.bizManRegCdocFg = bizManRegCdocFg;
    }
    public String getTrstmanSealCdocFg() {
        return trstmanSealCdocFg;
    }
    public void setTrstmanSealCdocFg(String trstmanSealCdocFg) {
        this.trstmanSealCdocFg = trstmanSealCdocFg;
    }
    public String getCorpSealCdocFg() {
        return corpSealCdocFg;
    }
    public void setCorpSealCdocFg(String corpSealCdocFg) {
        this.corpSealCdocFg = corpSealCdocFg;
    }
    public String getAgncManIdcdFg() {
        return agncManIdcdFg;
    }
    public void setAgncManIdcdFg(String agncManIdcdFg) {
        this.agncManIdcdFg = agncManIdcdFg;
    }
    public String getRegCdocFg() {
        return regCdocFg;
    }
    public void setRegCdocFg(String regCdocFg) {
        this.regCdocFg = regCdocFg;
    }
    public String getTpempcrtfFg() {
        return tpempcrtfFg;
    }
    public void setTpempcrtfFg(String tpempcrtfFg) {
        this.tpempcrtfFg = tpempcrtfFg;
    }
    public long getMinIntRt() {
        return minIntRt;
    }
    public void setMinIntRt(long minIntRt) {
        this.minIntRt = minIntRt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
