package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StLoanPiamtDTO.java Class
 * 클래스설명   : ST-대출원리금(ST_LOAN_PIAMT)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 22.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StLoanPiamtDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private long trSnum  = 0;  /* 거래일련번호 */
    private long frstRank  = 0;  /* 우선순위 */
    private long strtTims  = 0;  /* 시작회차 */
    private long endTims  = 0;  /* 종료회차 */
    private String strtDt  = "";  /* 시작일자 */
    private String endDt  = "";  /* 종료일자 */
    private String rmbrFrmlCd  = "";  /* 상환방식코드 */
    private String crteDivCd  = "";  /* 생성구분코드 */
    private String dueCyclCd  = "";  /* 납입주기코드 */
    private long dueStrtTims  = 0;  /* 납입시작회차 */
    private BigDecimal loanPamt  = BigDecimal.ZERO;  /* 대출원금 */
    private long loanIntRt  = 0;  /* 대출이자율 */
    private String basePiamtFg  = "";  /* 기본원리금여부 */
    private long cnclTrSnum  = 0;  /* 취소거래일련번호 */
    private BigDecimal trtFee  = BigDecimal.ZERO;  /* 취급수수료 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public long getTrSnum() {
        return trSnum;
    }
    public void setTrSnum(long trSnum) {
        this.trSnum = trSnum;
    }
    public long getFrstRank() {
        return frstRank;
    }
    public void setFrstRank(long frstRank) {
        this.frstRank = frstRank;
    }
    public long getStrtTims() {
        return strtTims;
    }
    public void setStrtTims(long strtTims) {
        this.strtTims = strtTims;
    }
    public long getEndTims() {
        return endTims;
    }
    public void setEndTims(long endTims) {
        this.endTims = endTims;
    }
    public String getStrtDt() {
        return strtDt;
    }
    public void setStrtDt(String strtDt) {
        this.strtDt = strtDt;
    }
    public String getEndDt() {
        return endDt;
    }
    public void setEndDt(String endDt) {
        this.endDt = endDt;
    }
    public String getRmbrFrmlCd() {
        return rmbrFrmlCd;
    }
    public void setRmbrFrmlCd(String rmbrFrmlCd) {
        this.rmbrFrmlCd = rmbrFrmlCd;
    }
    public String getCrteDivCd() {
        return crteDivCd;
    }
    public void setCrteDivCd(String crteDivCd) {
        this.crteDivCd = crteDivCd;
    }
    public String getDueCyclCd() {
        return dueCyclCd;
    }
    public void setDueCyclCd(String dueCyclCd) {
        this.dueCyclCd = dueCyclCd;
    }
    public long getDueStrtTims() {
        return dueStrtTims;
    }
    public void setDueStrtTims(long dueStrtTims) {
        this.dueStrtTims = dueStrtTims;
    }
    public BigDecimal getLoanPamt() {
        return loanPamt;
    }
    public void setLoanPamt(BigDecimal loanPamt) {
        this.loanPamt = loanPamt;
    }
    public long getLoanIntRt() {
        return loanIntRt;
    }
    public void setLoanIntRt(long loanIntRt) {
        this.loanIntRt = loanIntRt;
    }
    public String getBasePiamtFg() {
        return basePiamtFg;
    }
    public void setBasePiamtFg(String basePiamtFg) {
        this.basePiamtFg = basePiamtFg;
    }
    public long getCnclTrSnum() {
        return cnclTrSnum;
    }
    public void setCnclTrSnum(long cnclTrSnum) {
        this.cnclTrSnum = cnclTrSnum;
    }
    public BigDecimal getTrtFee() {
        return trtFee;
    }
    public void setTrtFee(BigDecimal trtFee) {
        this.trtFee = trtFee;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
