package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StLoanRelManDelHistDTO.java Class
 * 클래스설명   : ST-대출관계자삭제이력(ST_LOAN_REL_MAN_DEL_HIST)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StLoanRelManDelHistDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String snum  = "";  /* 일련번호 */
    private String custNo  = "";  /* 고객번호 */
    private String loanRelCd  = "";  /* 대출관계코드 */
    private String mainContManRelCd  = "";  /* 주계약자관계코드 */
    private String ddlrFg  = "";  /* 직영여부 */
    private String takeInFg  = "";  /* 지입여부 */
    private String relMtr  = "";  /* 관계사항 */
    private String mainContManFg  = "";  /* 주계약자여부 */
    private String rlDueManFg  = "";  /* 실납입자여부 */
    private String askPlcDivCd  = "";  /* 청구지구분코드 */
    private String emalAskFg  = "";  /* 전자메일청구여부 */
    private String cntcPlcDivCd  = "";  /* 연락처구분코드 */
    private String dlvrRsrvFg  = "";  /* 발송보류여부 */
    private String contActlCnfmFg  = "";  /* 약정사실확인여부 */
    private String contActlCnfmMethCd  = "";  /* 약정사실확인방법코드 */
    private String contActlTelcDt  = "";  /* 약정사실통화1일자 */
    private String contActlTelcTm  = "";  /* 약정사실통화1시각 */
    private String contActlTelcDesc  = "";  /* 약정사실통화1내역 */
    private String contProcEmpNo  = "";  /* 약정처리사원번호 */
    private String takeInCom  = "";  /* 지입회사 */
    private String billDlvrManFg  = "";  /* 계산서발송자여부 */
    private String billDlvrplcDivCd  = "";  /* 계산서발송지구분코드 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getSnum() {
        return snum;
    }
    public void setSnum(String snum) {
        this.snum = snum;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getLoanRelCd() {
        return loanRelCd;
    }
    public void setLoanRelCd(String loanRelCd) {
        this.loanRelCd = loanRelCd;
    }
    public String getMainContManRelCd() {
        return mainContManRelCd;
    }
    public void setMainContManRelCd(String mainContManRelCd) {
        this.mainContManRelCd = mainContManRelCd;
    }
    public String getDdlrFg() {
        return ddlrFg;
    }
    public void setDdlrFg(String ddlrFg) {
        this.ddlrFg = ddlrFg;
    }
    public String getTakeInFg() {
        return takeInFg;
    }
    public void setTakeInFg(String takeInFg) {
        this.takeInFg = takeInFg;
    }
    public String getRelMtr() {
        return relMtr;
    }
    public void setRelMtr(String relMtr) {
        this.relMtr = relMtr;
    }
    public String getMainContManFg() {
        return mainContManFg;
    }
    public void setMainContManFg(String mainContManFg) {
        this.mainContManFg = mainContManFg;
    }
    public String getRlDueManFg() {
        return rlDueManFg;
    }
    public void setRlDueManFg(String rlDueManFg) {
        this.rlDueManFg = rlDueManFg;
    }
    public String getAskPlcDivCd() {
        return askPlcDivCd;
    }
    public void setAskPlcDivCd(String askPlcDivCd) {
        this.askPlcDivCd = askPlcDivCd;
    }
    public String getEmalAskFg() {
        return emalAskFg;
    }
    public void setEmalAskFg(String emalAskFg) {
        this.emalAskFg = emalAskFg;
    }
    public String getCntcPlcDivCd() {
        return cntcPlcDivCd;
    }
    public void setCntcPlcDivCd(String cntcPlcDivCd) {
        this.cntcPlcDivCd = cntcPlcDivCd;
    }
    public String getDlvrRsrvFg() {
        return dlvrRsrvFg;
    }
    public void setDlvrRsrvFg(String dlvrRsrvFg) {
        this.dlvrRsrvFg = dlvrRsrvFg;
    }
    public String getContActlCnfmFg() {
        return contActlCnfmFg;
    }
    public void setContActlCnfmFg(String contActlCnfmFg) {
        this.contActlCnfmFg = contActlCnfmFg;
    }
    public String getContActlCnfmMethCd() {
        return contActlCnfmMethCd;
    }
    public void setContActlCnfmMethCd(String contActlCnfmMethCd) {
        this.contActlCnfmMethCd = contActlCnfmMethCd;
    }
    public String getContActlTelcDt() {
        return contActlTelcDt;
    }
    public void setContActlTelcDt(String contActlTelcDt) {
        this.contActlTelcDt = contActlTelcDt;
    }
    public String getContActlTelcTm() {
        return contActlTelcTm;
    }
    public void setContActlTelcTm(String contActlTelcTm) {
        this.contActlTelcTm = contActlTelcTm;
    }
    public String getContActlTelcDesc() {
        return contActlTelcDesc;
    }
    public void setContActlTelcDesc(String contActlTelcDesc) {
        this.contActlTelcDesc = contActlTelcDesc;
    }
    public String getContProcEmpNo() {
        return contProcEmpNo;
    }
    public void setContProcEmpNo(String contProcEmpNo) {
        this.contProcEmpNo = contProcEmpNo;
    }
    public String getTakeInCom() {
        return takeInCom;
    }
    public void setTakeInCom(String takeInCom) {
        this.takeInCom = takeInCom;
    }
    public String getBillDlvrManFg() {
        return billDlvrManFg;
    }
    public void setBillDlvrManFg(String billDlvrManFg) {
        this.billDlvrManFg = billDlvrManFg;
    }
    public String getBillDlvrplcDivCd() {
        return billDlvrplcDivCd;
    }
    public void setBillDlvrplcDivCd(String billDlvrplcDivCd) {
        this.billDlvrplcDivCd = billDlvrplcDivCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
