package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StMidRmbrFeeRtDTO.java Class
 * 클래스설명   : ST-중도상환수수료율(ST_MID_RMBR_FEE_RT)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StMidRmbrFeeRtDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo  = "";  /* 검색항목 - 계정계 고객정보 중 대출번호 */
    private String loanSeq  = "";  /* 상담대출순번 */
    private String snum  = "";  /* 일련번호-001:본인,002:보증인 */
    private long psgMmFr  = 0;  /* 경과개월FROM */
    private long psgMmTo  = 0;  /* 경과개월TO */
    private long midRmbrFeeRt  = 0;  /* 중도상환수수료율 */
    private String balTermCalcFg  = "";  /* 잔여대출기간코드여부 */
    private String feeRtCalcFrmlCd  = "";  /* 금할인율코드정식명코드 */
    private BigDecimal frstRank  = BigDecimal.ZERO;  /* 우선순위 */
    private String aplyDiv  = "";  /* 적용구분 */
    private String intUplmitRt  = "";  /* 이자상한제이율 */

    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getSnum() {
        return snum;
    }
    public void setSnum(String snum) {
        this.snum = snum;
    }
    public long getPsgMmFr() {
        return psgMmFr;
    }
    public void setPsgMmFr(long psgMmFr) {
        this.psgMmFr = psgMmFr;
    }
    public long getPsgMmTo() {
        return psgMmTo;
    }
    public void setPsgMmTo(long psgMmTo) {
        this.psgMmTo = psgMmTo;
    }
    public long getMidRmbrFeeRt() {
        return midRmbrFeeRt;
    }
    public void setMidRmbrFeeRt(long midRmbrFeeRt) {
        this.midRmbrFeeRt = midRmbrFeeRt;
    }
    public String getBalTermCalcFg() {
        return balTermCalcFg;
    }
    public void setBalTermCalcFg(String balTermCalcFg) {
        this.balTermCalcFg = balTermCalcFg;
    }
    public String getFeeRtCalcFrmlCd() {
        return feeRtCalcFrmlCd;
    }
    public void setFeeRtCalcFrmlCd(String feeRtCalcFrmlCd) {
        this.feeRtCalcFrmlCd = feeRtCalcFrmlCd;
    }
    public BigDecimal getFrstRank() {
        return frstRank;
    }
    public void setFrstRank(BigDecimal frstRank) {
        this.frstRank = frstRank;
    }
    public String getAplyDiv() {
        return aplyDiv;
    }
    public void setAplyDiv(String aplyDiv) {
        this.aplyDiv = aplyDiv;
    }
    public String getIntUplmitRt() {
        return intUplmitRt;
    }
    public void setIntUplmitRt(String intUplmitRt) {
        this.intUplmitRt = intUplmitRt;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
