package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StOutsCrdtBaseDTO.java Class
 * 클래스설명   : ST-외부신용기본(ST_OUTS_CRDT_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 28.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 28.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StOutsCrdtBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String callCd  = "";  /* 호출코드 */
    private String resiNo  = "";  /* 주민등록번호 */
    private String readDt  = "";  /* 조회일자 */
    private String name  = "";  /* 성명 */
    private String readRsnCd  = "";  /* 조회사유코드 */
    private String rqstManResiNo  = "";  /* 요청자주민등록번호 */
    private String rqstManName  = "";  /* 요청자성명 */
    private String rqstManRelCd  = "";  /* 요청자관계코드 */
    private String prdtMidClas  = "";  /* 상품중분류 */
    private String niceRspnCd  = "";  /* 한신정응답코드 */
    private String kisRspnCd  = "";  /* 한신평응답코드 */
    private String fedrRspnCd  = "";  /* 연합회응답코드 */
    private String niceCfsRsltCd  = "";  /* 한신정CFS결과코드 */
    private String niceCbDlyCd  = "";  /* 한신정CB연체코드 */
    private String kisCfsRsltCd  = "";  /* 한신평CFS결과코드 */
    private String kisCbDlyCd  = "";  /* 한신평CB연체코드 */
    private String kisCbDgre  = "";  /* 한신평CB등급 */
    private String badFg  = "";  /* 불량여부 */
    private String cssNo  = "";  /* CSS번호 */
    private String kcbRspnCd  = "";  /* KCB응답코드 */
    private String bizManNo  = "";  /* 사업자번호 */
    private String corpDbkCfsCd  = "";  /* 법인DBKCFS코드 */
    private String fincDlyCd  = "";  /* 금융연체코드 */
    private String plFg  = "";  /* 개인대출여부 */
    private String loanSeq  = "";  /* 대출순번 */
    private String cssSeq  = "";  /* CSS순번 */
    private String loanNo  = "";  /* 대출번호 */
    private String cnslNo  = "";  /* 상담번호 */
    private String loanRelCd  = "";  /* 대출관계코드 */
    private String custTpCd  = "";  /* 고객유형코드 */
    private String custTpSpecCd  = "";  /* 고객유형상세코드 */
    private String kfbDeadMan009  = "";  /* KFB사망자009 */
    private String kfbDeadMan419  = "";  /* KFB사망자419 */

    public String getCallCd() {
        return callCd;
    }
    public void setCallCd(String callCd) {
        this.callCd = callCd;
    }
    public String getResiNo() {
        return resiNo;
    }
    public void setResiNo(String resiNo) {
        this.resiNo = resiNo;
    }
    public String getReadDt() {
        return readDt;
    }
    public void setReadDt(String readDt) {
        this.readDt = readDt;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public String getReadRsnCd() {
        return readRsnCd;
    }
    public void setReadRsnCd(String readRsnCd) {
        this.readRsnCd = readRsnCd;
    }
    public String getRqstManResiNo() {
        return rqstManResiNo;
    }
    public void setRqstManResiNo(String rqstManResiNo) {
        this.rqstManResiNo = rqstManResiNo;
    }
    public String getRqstManName() {
        return rqstManName;
    }
    public void setRqstManName(String rqstManName) {
        this.rqstManName = rqstManName;
    }
    public String getRqstManRelCd() {
        return rqstManRelCd;
    }
    public void setRqstManRelCd(String rqstManRelCd) {
        this.rqstManRelCd = rqstManRelCd;
    }
    public String getPrdtMidClas() {
        return prdtMidClas;
    }
    public void setPrdtMidClas(String prdtMidClas) {
        this.prdtMidClas = prdtMidClas;
    }
    public String getNiceRspnCd() {
        return niceRspnCd;
    }
    public void setNiceRspnCd(String niceRspnCd) {
        this.niceRspnCd = niceRspnCd;
    }
    public String getKisRspnCd() {
        return kisRspnCd;
    }
    public void setKisRspnCd(String kisRspnCd) {
        this.kisRspnCd = kisRspnCd;
    }
    public String getFedrRspnCd() {
        return fedrRspnCd;
    }
    public void setFedrRspnCd(String fedrRspnCd) {
        this.fedrRspnCd = fedrRspnCd;
    }
    public String getNiceCfsRsltCd() {
        return niceCfsRsltCd;
    }
    public void setNiceCfsRsltCd(String niceCfsRsltCd) {
        this.niceCfsRsltCd = niceCfsRsltCd;
    }
    public String getNiceCbDlyCd() {
        return niceCbDlyCd;
    }
    public void setNiceCbDlyCd(String niceCbDlyCd) {
        this.niceCbDlyCd = niceCbDlyCd;
    }
    public String getKisCfsRsltCd() {
        return kisCfsRsltCd;
    }
    public void setKisCfsRsltCd(String kisCfsRsltCd) {
        this.kisCfsRsltCd = kisCfsRsltCd;
    }
    public String getKisCbDlyCd() {
        return kisCbDlyCd;
    }
    public void setKisCbDlyCd(String kisCbDlyCd) {
        this.kisCbDlyCd = kisCbDlyCd;
    }
    public String getKisCbDgre() {
        return kisCbDgre;
    }
    public void setKisCbDgre(String kisCbDgre) {
        this.kisCbDgre = kisCbDgre;
    }
    public String getBadFg() {
        return badFg;
    }
    public void setBadFg(String badFg) {
        this.badFg = badFg;
    }
    public String getCssNo() {
        return cssNo;
    }
    public void setCssNo(String cssNo) {
        this.cssNo = cssNo;
    }
    public String getKcbRspnCd() {
        return kcbRspnCd;
    }
    public void setKcbRspnCd(String kcbRspnCd) {
        this.kcbRspnCd = kcbRspnCd;
    }
    public String getBizManNo() {
        return bizManNo;
    }
    public void setBizManNo(String bizManNo) {
        this.bizManNo = bizManNo;
    }
    public String getCorpDbkCfsCd() {
        return corpDbkCfsCd;
    }
    public void setCorpDbkCfsCd(String corpDbkCfsCd) {
        this.corpDbkCfsCd = corpDbkCfsCd;
    }
    public String getFincDlyCd() {
        return fincDlyCd;
    }
    public void setFincDlyCd(String fincDlyCd) {
        this.fincDlyCd = fincDlyCd;
    }
    public String getPlFg() {
        return plFg;
    }
    public void setPlFg(String plFg) {
        this.plFg = plFg;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getCssSeq() {
        return cssSeq;
    }
    public void setCssSeq(String cssSeq) {
        this.cssSeq = cssSeq;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getCnslNo() {
        return cnslNo;
    }
    public void setCnslNo(String cnslNo) {
        this.cnslNo = cnslNo;
    }
    public String getLoanRelCd() {
        return loanRelCd;
    }
    public void setLoanRelCd(String loanRelCd) {
        this.loanRelCd = loanRelCd;
    }
    public String getCustTpCd() {
        return custTpCd;
    }
    public void setCustTpCd(String custTpCd) {
        this.custTpCd = custTpCd;
    }
    public String getCustTpSpecCd() {
        return custTpSpecCd;
    }
    public void setCustTpSpecCd(String custTpSpecCd) {
        this.custTpSpecCd = custTpSpecCd;
    }
    public String getKfbDeadMan009() {
        return kfbDeadMan009;
    }
    public void setKfbDeadMan009(String kfbDeadMan009) {
        this.kfbDeadMan009 = kfbDeadMan009;
    }
    public String getKfbDeadMan419() {
        return kfbDeadMan419;
    }
    public void setKfbDeadMan419(String kfbDeadMan419) {
        this.kfbDeadMan419 = kfbDeadMan419;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }


}
