package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StPayFeeClawbkBaseDTO.java Class
 * 클래스설명   : 지급_수수료_환입_율(ST_PAY_FEE_CLAWBK_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70279 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StPayFeeClawbkBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanNo = "";                       /* 대출_번호 */
    private String loanSeq = "";                      /* 대출_순번 */
    private String dueDt = "";                        /* 납입_일자 */
    private long dueSeq = 0;                          /* 납입_순번 */
    private String midRmbrCd = "";                    /* 중도_상환_코드 */
    private BigDecimal midRmbrPamt = BigDecimal.ZERO; /* 중도_상환_원금 */
    private BigDecimal loanRamt = BigDecimal.ZERO;    /* 대출_잔여_원금 */
    private long rmbrRt = 0;                          /* 상환_비율 */
    private long stndRetnRt = 0;                      /* 기준_환입_율 */
    private String loanDt = "";                       /* 대출_일자 */
    private String eprtDt = "";                       /* 만기_일자 */
    private String endDt = "";                        /* 종료_일자 */
    private long contDdcnt = 0;                       /* 계약_일수 */
    private long psgDdcnt = 0;                        /* 경과_일수 */
    private String retnStat = "";                     /* 환입_상태 */
    private BigDecimal payFeeAmt = BigDecimal.ZERO;   /* 지급_수수료_금액 */
    private BigDecimal rlPayAmt = BigDecimal.ZERO;    /* 실_지급_금액 */
    private BigDecimal retnRt = BigDecimal.ZERO;      /* 환입_율 */
    private BigDecimal retnAmt = BigDecimal.ZERO;     /* 환입_금액 */
    private String retnRegDt = "";                    /* 환입_등록_일자 */
    private String retnApplApNo = "";                 /* 환입_적용_AP_번호 */
    private String retnApplYm = "";                   /* 환입_년월 */
    private String rcgnNo = "";                       /* 식별_번호 */
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getDueDt() {
		return dueDt;
	}
	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}
	public long getDueSeq() {
		return dueSeq;
	}
	public void setDueSeq(long dueSeq) {
		this.dueSeq = dueSeq;
	}
	public String getMidRmbrCd() {
		return midRmbrCd;
	}
	public void setMidRmbrCd(String midRmbrCd) {
		this.midRmbrCd = midRmbrCd;
	}
	public BigDecimal getMidRmbrPamt() {
		return midRmbrPamt;
	}
	public void setMidRmbrPamt(BigDecimal midRmbrPamt) {
		this.midRmbrPamt = midRmbrPamt;
	}
	public BigDecimal getLoanRamt() {
		return loanRamt;
	}
	public void setLoanRamt(BigDecimal loanRamt) {
		this.loanRamt = loanRamt;
	}
	public long getRmbrRt() {
		return rmbrRt;
	}
	public void setRmbrRt(long rmbrRt) {
		this.rmbrRt = rmbrRt;
	}
	public long getStndRetnRt() {
		return stndRetnRt;
	}
	public void setStndRetnRt(long stndRetnRt) {
		this.stndRetnRt = stndRetnRt;
	}
	public String getLoanDt() {
		return loanDt;
	}
	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public String getEndDt() {
		return endDt;
	}
	public void setEndDt(String endDt) {
		this.endDt = endDt;
	}
	public long getContDdcnt() {
		return contDdcnt;
	}
	public void setContDdcnt(long contDdcnt) {
		this.contDdcnt = contDdcnt;
	}
	public long getPsgDdcnt() {
		return psgDdcnt;
	}
	public void setPsgDdcnt(long psgDdcnt) {
		this.psgDdcnt = psgDdcnt;
	}
	public String getRetnStat() {
		return retnStat;
	}
	public void setRetnStat(String retnStat) {
		this.retnStat = retnStat;
	}
	public BigDecimal getPayFeeAmt() {
		return payFeeAmt;
	}
	public void setPayFeeAmt(BigDecimal payFeeAmt) {
		this.payFeeAmt = payFeeAmt;
	}
	public BigDecimal getRlPayAmt() {
		return rlPayAmt;
	}
	public void setRlPayAmt(BigDecimal rlPayAmt) {
		this.rlPayAmt = rlPayAmt;
	}
	public BigDecimal getRetnRt() {
		return retnRt;
	}
	public void setRetnRt(BigDecimal retnRt) {
		this.retnRt = retnRt;
	}
	public BigDecimal getRetnAmt() {
		return retnAmt;
	}
	public void setRetnAmt(BigDecimal retnAmt) {
		this.retnAmt = retnAmt;
	}
	public String getRetnRegDt() {
		return retnRegDt;
	}
	public void setRetnRegDt(String retnRegDt) {
		this.retnRegDt = retnRegDt;
	}
	public String getRetnApplApNo() {
		return retnApplApNo;
	}
	public void setRetnApplApNo(String retnApplApNo) {
		this.retnApplApNo = retnApplApNo;
	}
	public String getRetnApplYm() {
		return retnApplYm;
	}
	public void setRetnApplYm(String retnApplYm) {
		this.retnApplYm = retnApplYm;
	}
	public String getRcgnNo() {
		return rcgnNo;
	}
	public void setRcgnNo(String rcgnNo) {
		this.rcgnNo = rcgnNo;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}

}
