package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StPayTranTrDescDTO.java Class
 * 클래스설명   : ST-지급이체거래내역(ST_PAY_TRAN_TR_DESC)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 27.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StPayTranTrDescDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String vndrCd  = "";  /* 업체코드 */
    private String moBankCd  = "";  /* 모계좌은행코드 */
    private String trDt  = "";  /* 거래일자 */
    private String trNo  = "";  /* 거래번호 */
    private String payDivCd  = "";  /* 지급구분코드 */
    private String sendTm  = "";  /* 전송시각 */
    private String recvTm  = "";  /* 수신시각 */
    private BigDecimal payAmt  = BigDecimal.ZERO;  /* 지급금액 */
    private String moAcntNo  = "";  /* 모계좌계좌번호 */
    private String iamtBankCd  = "";  /* 입금은행코드 */
    private String iamtAcntNo  = "";  /* 입금계좌번호 */
    private String iamtAcntRmk  = "";  /* 입금계좌적요 */
    private String rsltCd  = "";  /* 결과코드 */
    private String cnclYn  = "";  /* 취소여부 */
    private String cnclTrNo  = "";  /* 취소거래번호 */
    private String cnclRecvTm  = "";  /* 취소수신시각 */
    private String cnclErrCd  = "";  /* 취소에러코드 */
    private String cnclOtherTrNo  = "";  /* 취소타행거래번호 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String dsrcNo  = "";  /* 예가수번호 */
    private String rmk  = "";  /* 비고 */

    public String getVndrCd() {
        return vndrCd;
    }
    public void setVndrCd(String vndrCd) {
        this.vndrCd = vndrCd;
    }
    public String getMoBankCd() {
        return moBankCd;
    }
    public void setMoBankCd(String moBankCd) {
        this.moBankCd = moBankCd;
    }
    public String getTrDt() {
        return trDt;
    }
    public void setTrDt(String trDt) {
        this.trDt = trDt;
    }
    public String getTrNo() {
        return trNo;
    }
    public void setTrNo(String trNo) {
        this.trNo = trNo;
    }
    public String getPayDivCd() {
        return payDivCd;
    }
    public void setPayDivCd(String payDivCd) {
        this.payDivCd = payDivCd;
    }
    public String getSendTm() {
        return sendTm;
    }
    public void setSendTm(String sendTm) {
        this.sendTm = sendTm;
    }
    public String getRecvTm() {
        return recvTm;
    }
    public void setRecvTm(String recvTm) {
        this.recvTm = recvTm;
    }
    public BigDecimal getPayAmt() {
        return payAmt;
    }
    public void setPayAmt(BigDecimal payAmt) {
        this.payAmt = payAmt;
    }
    public String getMoAcntNo() {
        return moAcntNo;
    }
    public void setMoAcntNo(String moAcntNo) {
        this.moAcntNo = moAcntNo;
    }
    public String getIamtBankCd() {
        return iamtBankCd;
    }
    public void setIamtBankCd(String iamtBankCd) {
        this.iamtBankCd = iamtBankCd;
    }
    public String getIamtAcntNo() {
        return iamtAcntNo;
    }
    public void setIamtAcntNo(String iamtAcntNo) {
        this.iamtAcntNo = iamtAcntNo;
    }
    public String getIamtAcntRmk() {
        return iamtAcntRmk;
    }
    public void setIamtAcntRmk(String iamtAcntRmk) {
        this.iamtAcntRmk = iamtAcntRmk;
    }
    public String getRsltCd() {
        return rsltCd;
    }
    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }
    public String getCnclYn() {
        return cnclYn;
    }
    public void setCnclYn(String cnclYn) {
        this.cnclYn = cnclYn;
    }
    public String getCnclTrNo() {
        return cnclTrNo;
    }
    public void setCnclTrNo(String cnclTrNo) {
        this.cnclTrNo = cnclTrNo;
    }
    public String getCnclRecvTm() {
        return cnclRecvTm;
    }
    public void setCnclRecvTm(String cnclRecvTm) {
        this.cnclRecvTm = cnclRecvTm;
    }
    public String getCnclErrCd() {
        return cnclErrCd;
    }
    public void setCnclErrCd(String cnclErrCd) {
        this.cnclErrCd = cnclErrCd;
    }
    public String getCnclOtherTrNo() {
        return cnclOtherTrNo;
    }
    public void setCnclOtherTrNo(String cnclOtherTrNo) {
        this.cnclOtherTrNo = cnclOtherTrNo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getDsrcNo() {
        return dsrcNo;
    }
    public void setDsrcNo(String dsrcNo) {
        this.dsrcNo = dsrcNo;
    }
    public String getRmk() {
        return rmk;
    }
    public void setRmk(String rmk) {
        this.rmk = rmk;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
