package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StPrdtBaseDTO.java Class
 * 클래스설명   : ST-상품기본(ST_PRDT_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 23.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 23.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StPrdtBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String prdtCd  = "";  /* 상품코드 */
    private String prdtNm  = "";  /* 상품명 */
    private String prdtClasCd  = "";  /* 상품분류코드 */
    private String aplyStrtDt  = "";  /* 적용시작일자 */
    private String aplyEndDt  = "";  /* 적용종료일자 */
    private String fcntMopaCalcFg  = "";  /* 초회월할계산여부 */
    private String condStndDtCd  = "";  /* 조건기준일자코드 */
    private long trtFeeCalcAplyRto  = 0;  /* 취급수수료계산적용비율 */
    private String trtFeeFcntMopaCalcFg  = "";  /* 취급수수료초회월할계산여부 */
    private String trtFeeBaseRtCd  = "";  /* 취급수수료기본요율코드 */
    private String trtFeePiamtCalcFg  = "";  /* 취급수수료원리금계산여부 */
    private String trtFeeDferProcFg  = "";  /* 취급수수료이연처리여부 */
    private String trtFeeCustBrdnFg  = "";  /* 취급수수료고객부담여부 */
    private String cprtFeeDferProcFg  = "";  /* 제휴수수료이연처리여부 */
    private String comrCarPrdtFg  = "";  /* 상용차상품여부 */
    private long intnPrftRt  = 0;  /* 내부수익율 */
    private String lastProcDt  = "";  /* 최종처리일자 */
    private String lastProcTm  = "";  /* 최종처리시각 */
    private String lastProcEmpNo  = "";  /* 최종처리사원번호 */
    private String cnslPrdtFg  = "";  /* 상담상품여부 */
    private String eprtExtnDivCd  = "";  /* 만기연장구분코드 */
    private String trtFeeIstpFg  = "";  /* 취급수수료분납여부 */
    private String trtFeeRfndExclFg  = "";  /* 취급수수료환불제외여부 */
    private String defrIntIstpFg  = "";  /* 거치이자분납여부 */
    private String prdtEtcClasCd  = "";  /* 상품기타분류코드 */
    private String ifrsTrtFeeDferProcFg  = "";  /* IFRS취급수수료이연처리여부 */
    private String ifrsCprtFeeDferProcFg  = "";  /* IFRS제휴수수료이연처리여부 */
    private String wrkcMonyPrdtFg  = "";  /* 운전자금상품여부 */
    private String cardCprtPrdtFg  = "";  /* 카드제휴상품여부 */
    private String cardCprtComNo  = "";  /* 카드제휴사번호 */
    private String midRmbrFeeAplyFg  = "";  /* 중도상환수수료적용여부 */
    private long aplvMidRmbrFeeRt  = 0;  /* 적용중도상환수수료율 */
    private String loanAmtPayPlcDiv  = "";  /* 대출금지급처구분 */
    private String prFeePayPlcDiv  = "";  /* 판촉수수료지급처구분 */
    private String instFincBsnAgntAplyFg  = "";  /* 할부금융업무대행 적용여부 */
    private String stmpFeeBrdnDiv  = "";  /* 인지대 부담구분 */
    private String bsnAgntFeePayPlcDiv  = "";  /* 업무대행수수료 지급처구분 */
    private String custDiv  = "";  /* 고객구분 */
    private long intUplmitRt  = 0;  /* 이자상한제이율 */
    private String setFeePayPlcDiv  = "";  /* 설정료지급처구분 */
    private String loanAmtSplyDiv  = "";  /* 대출금조달구분 */

    public String getPrdtCd() {
        return prdtCd;
    }
    public void setPrdtCd(String prdtCd) {
        this.prdtCd = prdtCd;
    }
    public String getPrdtNm() {
        return prdtNm;
    }
    public void setPrdtNm(String prdtNm) {
        this.prdtNm = prdtNm;
    }
    public String getPrdtClasCd() {
        return prdtClasCd;
    }
    public void setPrdtClasCd(String prdtClasCd) {
        this.prdtClasCd = prdtClasCd;
    }
    public String getAplyStrtDt() {
        return aplyStrtDt;
    }
    public void setAplyStrtDt(String aplyStrtDt) {
        this.aplyStrtDt = aplyStrtDt;
    }
    public String getAplyEndDt() {
        return aplyEndDt;
    }
    public void setAplyEndDt(String aplyEndDt) {
        this.aplyEndDt = aplyEndDt;
    }
    public String getFcntMopaCalcFg() {
        return fcntMopaCalcFg;
    }
    public void setFcntMopaCalcFg(String fcntMopaCalcFg) {
        this.fcntMopaCalcFg = fcntMopaCalcFg;
    }
    public String getCondStndDtCd() {
        return condStndDtCd;
    }
    public void setCondStndDtCd(String condStndDtCd) {
        this.condStndDtCd = condStndDtCd;
    }
    public long getTrtFeeCalcAplyRto() {
        return trtFeeCalcAplyRto;
    }
    public void setTrtFeeCalcAplyRto(long trtFeeCalcAplyRto) {
        this.trtFeeCalcAplyRto = trtFeeCalcAplyRto;
    }
    public String getTrtFeeFcntMopaCalcFg() {
        return trtFeeFcntMopaCalcFg;
    }
    public void setTrtFeeFcntMopaCalcFg(String trtFeeFcntMopaCalcFg) {
        this.trtFeeFcntMopaCalcFg = trtFeeFcntMopaCalcFg;
    }
    public String getTrtFeeBaseRtCd() {
        return trtFeeBaseRtCd;
    }
    public void setTrtFeeBaseRtCd(String trtFeeBaseRtCd) {
        this.trtFeeBaseRtCd = trtFeeBaseRtCd;
    }
    public String getTrtFeePiamtCalcFg() {
        return trtFeePiamtCalcFg;
    }
    public void setTrtFeePiamtCalcFg(String trtFeePiamtCalcFg) {
        this.trtFeePiamtCalcFg = trtFeePiamtCalcFg;
    }
    public String getTrtFeeDferProcFg() {
        return trtFeeDferProcFg;
    }
    public void setTrtFeeDferProcFg(String trtFeeDferProcFg) {
        this.trtFeeDferProcFg = trtFeeDferProcFg;
    }
    public String getTrtFeeCustBrdnFg() {
        return trtFeeCustBrdnFg;
    }
    public void setTrtFeeCustBrdnFg(String trtFeeCustBrdnFg) {
        this.trtFeeCustBrdnFg = trtFeeCustBrdnFg;
    }
    public String getCprtFeeDferProcFg() {
        return cprtFeeDferProcFg;
    }
    public void setCprtFeeDferProcFg(String cprtFeeDferProcFg) {
        this.cprtFeeDferProcFg = cprtFeeDferProcFg;
    }
    public String getComrCarPrdtFg() {
        return comrCarPrdtFg;
    }
    public void setComrCarPrdtFg(String comrCarPrdtFg) {
        this.comrCarPrdtFg = comrCarPrdtFg;
    }
    public long getIntnPrftRt() {
        return intnPrftRt;
    }
    public void setIntnPrftRt(long intnPrftRt) {
        this.intnPrftRt = intnPrftRt;
    }
    @Override
    public String getLastProcDt() {
        return lastProcDt;
    }
    @Override
    public void setLastProcDt(String lastProcDt) {
        this.lastProcDt = lastProcDt;
    }
    @Override
    public String getLastProcTm() {
        return lastProcTm;
    }
    @Override
    public void setLastProcTm(String lastProcTm) {
        this.lastProcTm = lastProcTm;
    }
    @Override
    public String getLastProcEmpNo() {
        return lastProcEmpNo;
    }
    @Override
    public void setLastProcEmpNo(String lastProcEmpNo) {
        this.lastProcEmpNo = lastProcEmpNo;
    }
    public String getCnslPrdtFg() {
        return cnslPrdtFg;
    }
    public void setCnslPrdtFg(String cnslPrdtFg) {
        this.cnslPrdtFg = cnslPrdtFg;
    }
    public String getEprtExtnDivCd() {
        return eprtExtnDivCd;
    }
    public void setEprtExtnDivCd(String eprtExtnDivCd) {
        this.eprtExtnDivCd = eprtExtnDivCd;
    }
    public String getTrtFeeIstpFg() {
        return trtFeeIstpFg;
    }
    public void setTrtFeeIstpFg(String trtFeeIstpFg) {
        this.trtFeeIstpFg = trtFeeIstpFg;
    }
    public String getTrtFeeRfndExclFg() {
        return trtFeeRfndExclFg;
    }
    public void setTrtFeeRfndExclFg(String trtFeeRfndExclFg) {
        this.trtFeeRfndExclFg = trtFeeRfndExclFg;
    }
    public String getDefrIntIstpFg() {
        return defrIntIstpFg;
    }
    public void setDefrIntIstpFg(String defrIntIstpFg) {
        this.defrIntIstpFg = defrIntIstpFg;
    }
    public String getPrdtEtcClasCd() {
        return prdtEtcClasCd;
    }
    public void setPrdtEtcClasCd(String prdtEtcClasCd) {
        this.prdtEtcClasCd = prdtEtcClasCd;
    }
    public String getIfrsTrtFeeDferProcFg() {
        return ifrsTrtFeeDferProcFg;
    }
    public void setIfrsTrtFeeDferProcFg(String ifrsTrtFeeDferProcFg) {
        this.ifrsTrtFeeDferProcFg = ifrsTrtFeeDferProcFg;
    }
    public String getIfrsCprtFeeDferProcFg() {
        return ifrsCprtFeeDferProcFg;
    }
    public void setIfrsCprtFeeDferProcFg(String ifrsCprtFeeDferProcFg) {
        this.ifrsCprtFeeDferProcFg = ifrsCprtFeeDferProcFg;
    }
    public String getWrkcMonyPrdtFg() {
        return wrkcMonyPrdtFg;
    }
    public void setWrkcMonyPrdtFg(String wrkcMonyPrdtFg) {
        this.wrkcMonyPrdtFg = wrkcMonyPrdtFg;
    }
    public String getCardCprtPrdtFg() {
        return cardCprtPrdtFg;
    }
    public void setCardCprtPrdtFg(String cardCprtPrdtFg) {
        this.cardCprtPrdtFg = cardCprtPrdtFg;
    }
    public String getCardCprtComNo() {
        return cardCprtComNo;
    }
    public void setCardCprtComNo(String cardCprtComNo) {
        this.cardCprtComNo = cardCprtComNo;
    }
    public String getMidRmbrFeeAplyFg() {
        return midRmbrFeeAplyFg;
    }
    public void setMidRmbrFeeAplyFg(String midRmbrFeeAplyFg) {
        this.midRmbrFeeAplyFg = midRmbrFeeAplyFg;
    }
    public long getAplvMidRmbrFeeRt() {
        return aplvMidRmbrFeeRt;
    }
    public void setAplvMidRmbrFeeRt(long aplvMidRmbrFeeRt) {
        this.aplvMidRmbrFeeRt = aplvMidRmbrFeeRt;
    }
    public String getLoanAmtPayPlcDiv() {
        return loanAmtPayPlcDiv;
    }
    public void setLoanAmtPayPlcDiv(String loanAmtPayPlcDiv) {
        this.loanAmtPayPlcDiv = loanAmtPayPlcDiv;
    }
    public String getPrFeePayPlcDiv() {
        return prFeePayPlcDiv;
    }
    public void setPrFeePayPlcDiv(String prFeePayPlcDiv) {
        this.prFeePayPlcDiv = prFeePayPlcDiv;
    }
    public String getInstFincBsnAgntAplyFg() {
        return instFincBsnAgntAplyFg;
    }
    public void setInstFincBsnAgntAplyFg(String instFincBsnAgntAplyFg) {
        this.instFincBsnAgntAplyFg = instFincBsnAgntAplyFg;
    }
    public String getStmpFeeBrdnDiv() {
        return stmpFeeBrdnDiv;
    }
    public void setStmpFeeBrdnDiv(String stmpFeeBrdnDiv) {
        this.stmpFeeBrdnDiv = stmpFeeBrdnDiv;
    }
    public String getBsnAgntFeePayPlcDiv() {
        return bsnAgntFeePayPlcDiv;
    }
    public void setBsnAgntFeePayPlcDiv(String bsnAgntFeePayPlcDiv) {
        this.bsnAgntFeePayPlcDiv = bsnAgntFeePayPlcDiv;
    }
    public String getCustDiv() {
        return custDiv;
    }
    public void setCustDiv(String custDiv) {
        this.custDiv = custDiv;
    }
    public long getIntUplmitRt() {
        return intUplmitRt;
    }
    public void setIntUplmitRt(long intUplmitRt) {
        this.intUplmitRt = intUplmitRt;
    }
    public String getSetFeePayPlcDiv() {
        return setFeePayPlcDiv;
    }
    public void setSetFeePayPlcDiv(String setFeePayPlcDiv) {
        this.setFeePayPlcDiv = setFeePayPlcDiv;
    }
    public String getLoanAmtSplyDiv() {
        return loanAmtSplyDiv;
    }
    public void setLoanAmtSplyDiv(String loanAmtSplyDiv) {
        this.loanAmtSplyDiv = loanAmtSplyDiv;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
