package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StReprDTO.java Class
 * 클래스설명   : ST-대표자(ST_REPR)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StReprDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String custNo  = "";  /* 고객번호 */
    private String reprCustNo  = "";  /* 대표자고객번호 */
    private String reprNm  = "";  /* 대표자명 */
    private String mainReprFg  = "";  /* 주대표여부 */

    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getReprCustNo() {
        return reprCustNo;
    }
    public void setReprCustNo(String reprCustNo) {
        this.reprCustNo = reprCustNo;
    }
    public String getReprNm() {
        return reprNm;
    }
    public void setReprNm(String reprNm) {
        this.reprNm = reprNm;
    }
    public String getMainReprFg() {
        return mainReprFg;
    }
    public void setMainReprFg(String mainReprFg) {
        this.mainReprFg = mainReprFg;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
