package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StRuleMainHistDTO.java Class
 * 클래스설명   : RULE_코드_HIST(ST_RULE_MAIN_HIST) 테이블 DTO(VO)
 * 작성일자     : 2023.04.13.
 * 작성자명     : 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.04.14.][70280][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class StRuleMainHistDTO extends AbstractVO
{
    private static final long serialVersionUID = 1L;

    private String ruleType;                // RULE 종류
    private String ruleId;                  // RULE ID
    private int seqNo;                      // 순번
    private String ruleNm;                  // RULE 명
    private String remark;                  // 설명
    private String recSttsCd;               // 레코드 상태코드

    public static long getSerialversionuid()
    {
        return serialVersionUID;
    }
    public String getRuleType()
    {
        return ruleType;
    }
    public void setRuleType(String ruleType)
    {
        this.ruleType = ruleType;
    }
    public String getRuleId()
    {
        return ruleId;
    }
    public void setRuleId(String ruleId)
    {
        this.ruleId = ruleId;
    }
    public String getRuleNm()
    {
        return ruleNm;
    }
    public int getSeqNo()
    {
        return seqNo;
    }
    public void setSeqNo(int seqNo)
    {
        this.seqNo = seqNo;
    }
    public void setRuleNm(String ruleNm)
    {
        this.ruleNm = ruleNm;
    }
    public String getRemark()
    {
        return remark;
    }
    public void setRemark(String remark)
    {
        this.remark = remark;
    }
    public String getRecSttsCd()
    {
        return recSttsCd;
    }
    public void setRecSttsCd(String recSttsCd)
    {
        this.recSttsCd = recSttsCd;
    }
}