package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StSgiMrtgRigtExecInfoDTO.java Class
 * 클래스설명    : ST_SGI_담보권실행정보(ST_SGI_MRTG_RIGT_EXEC_INFO)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StSgiMrtgRigtExecInfoDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String stndDt = "";                         /* 기준일자 */
    private String guarBondNo = "";                     /* 보증보험증권번호 */
    private String loanNo = "";                         /* 대출번호 */
    private String loanSeq = "";                        /* 대출순번 */
    private String bsnDivCd = "";                       /* 업무구분코드 */
    private String rsnCd = "";                          /* 사유코드 */
    private String rsltCd = "";                         /* 결과코드 */
    private String rsltCdNm = "";                       /* 결과메시지 */
    private String insuPrdtDivCd = "";                  /* 보험상품구분코드 */
    private String endorNo = "";                        /* 배서번호 */
    private String sendDt = "";                         /* 전송일자 */
    private String sendTm = "";                         /* 전송시각 */
    private String mdebManResiNo = "";                  /* 주채무자주민번호 */
    private String distCortCd = "";                     /* 관할법원명 */
    private String caseNo = "";                         /* 사건번호 */
    private String auctKindCd = "";                     /* 경매종류 */
    private String bndManNm = "";                       /* 채권자명 */
    private String debtManResiNo = "";                  /* 채무자주민등록번호 */
    private String debtManNm = "";                      /* 채무자명 */
    private String ownManResiNo = "";                   /* 소유자주민등록번호 */
    private String ownManNm = "";                       /* 소유자명 */
    private BigDecimal askAmt = BigDecimal.ZERO;        /* 청구금액 */
    private String dtrmDt = "";                         /* 결정일자 */
    private String trmiDt = "";                         /* 종결일자 */
    private String auctTrmiRsnCd = "";                  /* 경매종결사유코드 */
    private BigDecimal sellAmt = BigDecimal.ZERO;       /* 매각대금 */
    private BigDecimal alotAmt = BigDecimal.ZERO;       /* 배당금액 */
    private String divsManNm = "";                      /* 담당자명 */
    private String divsManTelNo = "";                   /* 담당자전화번호 */
    private String notiDt = "";                         /* 통보일자 */

    public String getStndDt() {
        return stndDt;
    }
    public void setStndDt(String stndDt) {
        this.stndDt = stndDt;
    }
    public String getGuarBondNo() {
        return guarBondNo;
    }
    public void setGuarBondNo(String guarBondNo) {
        this.guarBondNo = guarBondNo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getBsnDivCd() {
        return bsnDivCd;
    }
    public void setBsnDivCd(String bsnDivCd) {
        this.bsnDivCd = bsnDivCd;
    }
    public String getRsnCd() {
        return rsnCd;
    }
    public void setRsnCd(String rsnCd) {
        this.rsnCd = rsnCd;
    }
    public String getRsltCd() {
        return rsltCd;
    }
    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }
    public String getRsltCdNm() {
        return rsltCdNm;
    }
    public void setRsltCdNm(String rsltCdNm) {
        this.rsltCdNm = rsltCdNm;
    }
    public String getInsuPrdtDivCd() {
        return insuPrdtDivCd;
    }
    public void setInsuPrdtDivCd(String insuPrdtDivCd) {
        this.insuPrdtDivCd = insuPrdtDivCd;
    }
    public String getEndorNo() {
        return endorNo;
    }
    public void setEndorNo(String endorNo) {
        this.endorNo = endorNo;
    }
    public String getSendDt() {
        return sendDt;
    }
    public void setSendDt(String sendDt) {
        this.sendDt = sendDt;
    }
    public String getSendTm() {
        return sendTm;
    }
    public void setSendTm(String sendTm) {
        this.sendTm = sendTm;
    }
    public String getMdebManResiNo() {
        return mdebManResiNo;
    }
    public void setMdebManResiNo(String mdebManResiNo) {
        this.mdebManResiNo = mdebManResiNo;
    }
    public String getDistCortCd() {
        return distCortCd;
    }
    public void setDistCortCd(String distCortCd) {
        this.distCortCd = distCortCd;
    }
    public String getCaseNo() {
        return caseNo;
    }
    public void setCaseNo(String caseNo) {
        this.caseNo = caseNo;
    }
    public String getAuctKindCd() {
        return auctKindCd;
    }
    public void setAuctKindCd(String auctKindCd) {
        this.auctKindCd = auctKindCd;
    }
    public String getBndManNm() {
        return bndManNm;
    }
    public void setBndManNm(String bndManNm) {
        this.bndManNm = bndManNm;
    }
    public String getDebtManResiNo() {
        return debtManResiNo;
    }
    public void setDebtManResiNo(String debtManResiNo) {
        this.debtManResiNo = debtManResiNo;
    }
    public String getDebtManNm() {
        return debtManNm;
    }
    public void setDebtManNm(String debtManNm) {
        this.debtManNm = debtManNm;
    }
    public String getOwnManResiNo() {
        return ownManResiNo;
    }
    public void setOwnManResiNo(String ownManResiNo) {
        this.ownManResiNo = ownManResiNo;
    }
    public String getOwnManNm() {
        return ownManNm;
    }
    public void setOwnManNm(String ownManNm) {
        this.ownManNm = ownManNm;
    }
    public BigDecimal getAskAmt() {
        return askAmt;
    }
    public void setAskAmt(BigDecimal askAmt) {
        this.askAmt = askAmt;
    }
    public String getDtrmDt() {
        return dtrmDt;
    }
    public void setDtrmDt(String dtrmDt) {
        this.dtrmDt = dtrmDt;
    }
    public String getTrmiDt() {
        return trmiDt;
    }
    public void setTrmiDt(String trmiDt) {
        this.trmiDt = trmiDt;
    }
    public String getAuctTrmiRsnCd() {
        return auctTrmiRsnCd;
    }
    public void setAuctTrmiRsnCd(String auctTrmiRsnCd) {
        this.auctTrmiRsnCd = auctTrmiRsnCd;
    }
    public BigDecimal getSellAmt() {
        return sellAmt;
    }
    public void setSellAmt(BigDecimal sellAmt) {
        this.sellAmt = sellAmt;
    }
    public BigDecimal getAlotAmt() {
        return alotAmt;
    }
    public void setAlotAmt(BigDecimal alotAmt) {
        this.alotAmt = alotAmt;
    }
    public String getDivsManNm() {
        return divsManNm;
    }
    public void setDivsManNm(String divsManNm) {
        this.divsManNm = divsManNm;
    }
    public String getDivsManTelNo() {
        return divsManTelNo;
    }
    public void setDivsManTelNo(String divsManTelNo) {
        this.divsManTelNo = divsManTelNo;
    }
    public String getNotiDt() {
        return notiDt;
    }
    public void setNotiDt(String notiDt) {
        this.notiDt = notiDt;
    }
}
