package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StSgiOnlnMrtgRigtExecNotiDTO.java Class
 * 클래스설명    : ST_서울신용보증_온라인_담보권실행통보전문(ST_SGI_ONLN_MRTG_RIGT_EXEC_NOTI)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StSgiOnlnMrtgRigtExecNotiDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String insrdUse = "";                       /* 은행용도 */
    private String insuPrdtCd = "";                     /* SGI보험보험상품코드 */
    private String bndno = "";                          /* SGI보험증권번호 */
    private String bndnoSeq = "";                       /* 배서번호 */
    private String rsnCode = "";                        /* 사유코드 */
    private String elctrDate = "";                      /* 전송일자 */
    private String elctrTime = "";                      /* 전송시간 */
    private String mzdbRsrno = "";                      /* 주채무자주민등록번호 */
    private String cllofRsrno = "";                     /* 담보제공자주민등록번호 */
    private String distCort = "";                       /* 관할법원 */
    private String caseNo = "";                         /* 사건번호 */
    private String auctKind = "";                       /* 경매종류 */
    private String bndManNm = "";                       /* 채권자명 */
    private String bndManResiNo = "";                   /* 채무자주민등록번호 */
    private String debtManNm = "";                      /* 채무자명 */
    private String ownManResiNo = "";                   /* 소유자주민등록번호 */
    private String ownManNm = "";                       /* 소유자명 */
    private long   askAmt = 0;                          /* 청구금액 */
    private String dtrmDt = "";                         /* 결정일자 */
    private String endDate = "";                        /* 종결일자 */
    private String auctEndRsnCd = "";                   /* 경매종결사유코드 */
    private long   sellAmt = 0;                         /* 매각대금 */
    private long   alotAmt = 0;                         /* 배당금액 */
    private String divsManNm = "";                      /* 담당자명 */
    private String divsManTelNo = "";                   /* 담당자전화번호 */
    private String notiDt = "";                         /* 통보일자 */

    public String getInsrdUse() {
        return insrdUse;
    }
    public String getInsuPrdtCd() {
        return insuPrdtCd;
    }
    public String getBndno() {
        return bndno;
    }
    public String getBndnoSeq() {
        return bndnoSeq;
    }
    public String getRsnCode() {
        return rsnCode;
    }
    public String getElctrDate() {
        return elctrDate;
    }
    public String getElctrTime() {
        return elctrTime;
    }
    public String getMzdbRsrno() {
        return mzdbRsrno;
    }
    public String getCllofRsrno() {
        return cllofRsrno;
    }
    public String getDistCort() {
        return distCort;
    }
    public String getCaseNo() {
        return caseNo;
    }
    public String getAuctKind() {
        return auctKind;
    }
    public String getBndManNm() {
        return bndManNm;
    }
    public String getBndManResiNo() {
        return bndManResiNo;
    }
    public String getDebtManNm() {
        return debtManNm;
    }
    public String getOwnManResiNo() {
        return ownManResiNo;
    }
    public String getOwnManNm() {
        return ownManNm;
    }
    public long getAskAmt() {
        return askAmt;
    }
    public String getDtrmDt() {
        return dtrmDt;
    }
    public String getEndDate() {
        return endDate;
    }
    public String getAuctEndRsnCd() {
        return auctEndRsnCd;
    }
    public long getSellAmt() {
        return sellAmt;
    }
    public long getAlotAmt() {
        return alotAmt;
    }
    public String getDivsManNm() {
        return divsManNm;
    }
    public String getDivsManTelNo() {
        return divsManTelNo;
    }
    public String getNotiDt() {
        return notiDt;
    }
    public void setInsrdUse(String insrdUse) {
        this.insrdUse = insrdUse;
    }
    public void setInsuPrdtCd(String insuPrdtCd) {
        this.insuPrdtCd = insuPrdtCd;
    }
    public void setBndno(String bndno) {
        this.bndno = bndno;
    }
    public void setBndnoSeq(String bndnoSeq) {
        this.bndnoSeq = bndnoSeq;
    }
    public void setRsnCode(String rsnCode) {
        this.rsnCode = rsnCode;
    }
    public void setElctrDate(String elctrDate) {
        this.elctrDate = elctrDate;
    }
    public void setElctrTime(String elctrTime) {
        this.elctrTime = elctrTime;
    }
    public void setMzdbRsrno(String mzdbRsrno) {
        this.mzdbRsrno = mzdbRsrno;
    }
    public void setCllofRsrno(String cllofRsrno) {
        this.cllofRsrno = cllofRsrno;
    }
    public void setDistCort(String distCort) {
        this.distCort = distCort;
    }
    public void setCaseNo(String caseNo) {
        this.caseNo = caseNo;
    }
    public void setAuctKind(String auctKind) {
        this.auctKind = auctKind;
    }
    public void setBndManNm(String bndManNm) {
        this.bndManNm = bndManNm;
    }
    public void setBndManResiNo(String bndManResiNo) {
        this.bndManResiNo = bndManResiNo;
    }
    public void setDebtManNm(String debtManNm) {
        this.debtManNm = debtManNm;
    }
    public void setOwnManResiNo(String ownManResiNo) {
        this.ownManResiNo = ownManResiNo;
    }
    public void setOwnManNm(String ownManNm) {
        this.ownManNm = ownManNm;
    }
    public void setAskAmt(long askAmt) {
        this.askAmt = askAmt;
    }
    public void setDtrmDt(String dtrmDt) {
        this.dtrmDt = dtrmDt;
    }
    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }
    public void setAuctEndRsnCd(String auctEndRsnCd) {
        this.auctEndRsnCd = auctEndRsnCd;
    }
    public void setSellAmt(long sellAmt) {
        this.sellAmt = sellAmt;
    }
    public void setAlotAmt(long alotAmt) {
        this.alotAmt = alotAmt;
    }
    public void setDivsManNm(String divsManNm) {
        this.divsManNm = divsManNm;
    }
    public void setDivsManTelNo(String divsManTelNo) {
        this.divsManTelNo = divsManTelNo;
    }
    public void setNotiDt(String notiDt) {
        this.notiDt = notiDt;
    }
}
