package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;
import lombok.ToString;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StSgiOnlnMstrDTO.java Class
 * 클래스설명    : ST_서울신용보증_온라인_마스터(ST_SGI_ONLN_MSTR)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@ToString
public class StSgiOnlnMstrDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String insrdUse = "";                       /* 은행용도 */
    private String trMngNo = "";                        /* 거래관리번호 */
    private String loanCnslNo = "";                     /* 대출상담번호 */
    private String loanApplNo = "";                     /* 대출신청번호 */
    private String loanNo = "";                         /* 대출번호 */
    private String custNo = "";                         /* 고객번호 */
    private String bndno = "";                          /* 보험증권번호 */
    private String bsdcd = "";                          /* 업무구분코드 */
    private String rsnCode = "";                        /* 사유코드 */
    private String sgiUse = "";                         /* SGI용도 */
    private String cmpnyDvscd = "";                     /* 회사구분코드 */
    private String dprtmCode = "";                      /* 대출취급점포코드 */
    private String rslcd = "";                          /* 결과코드 */
    private String rsltmsg = "";                        /* 결과메세지 */
    private String elctrDate = "";                      /* 전송일자 */
    private String elctrTime = "";                      /* 전송시각 */

    public String getInsrdUse() {
        return insrdUse;
    }
    public void setInsrdUse(String insrdUse) {
        this.insrdUse = insrdUse;
    }
    public String getTrMngNo() {
        return trMngNo;
    }
    public void setTrMngNo(String trMngNo) {
        this.trMngNo = trMngNo;
    }
    public String getLoanCnslNo() {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }
    public String getLoanApplNo() {
        return loanApplNo;
    }
    public void setLoanApplNo(String loanApplNo) {
        this.loanApplNo = loanApplNo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getCustNo() {
        return custNo;
    }
    public void setCustNo(String custNo) {
        this.custNo = custNo;
    }
    public String getBndno() {
        return bndno;
    }
    public void setBndno(String bndno) {
        this.bndno = bndno;
    }
    public String getBsdcd() {
        return bsdcd;
    }
    public void setBsdcd(String bsdcd) {
        this.bsdcd = bsdcd;
    }
    public String getRsnCode() {
        return rsnCode;
    }
    public void setRsnCode(String rsnCode) {
        this.rsnCode = rsnCode;
    }
    public String getSgiUse() {
        return sgiUse;
    }
    public void setSgiUse(String sgiUse) {
        this.sgiUse = sgiUse;
    }
    public String getCmpnyDvscd() {
        return cmpnyDvscd;
    }
    public void setCmpnyDvscd(String cmpnyDvscd) {
        this.cmpnyDvscd = cmpnyDvscd;
    }
    public String getDprtmCode() {
        return dprtmCode;
    }
    public void setDprtmCode(String dprtmCode) {
        this.dprtmCode = dprtmCode;
    }
    public String getRslcd() {
        return rslcd;
    }
    public void setRslcd(String rslcd) {
        this.rslcd = rslcd;
    }
    public String getRsltmsg() {
        return rsltmsg;
    }
    public void setRsltmsg(String rsltmsg) {
        this.rsltmsg = rsltmsg;
    }
    public String getElctrDate() {
        return elctrDate;
    }
    public void setElctrDate(String elctrDate) {
        this.elctrDate = elctrDate;
    }
    public String getElctrTime() {
        return elctrTime;
    }
    public void setElctrTime(String elctrTime) {
        this.elctrTime = elctrTime;
    }
}
