package hanalife.c.co.mapper.dto;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명 	: 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명  	: StTitleInsuDTO.java Class
 * 클래스설명	: 권원보험관리원장(ST_TITLE_INSU)를(을) 위한 테이블 DTO(VO)
 * 작성일자  	: 2023. 4. 13.
 * 작성자명  	: 70319 / jeongseon.shin / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StTitleInsuDTO extends AbstractVO {

    private static long serialVersionUID = 1L;

    private String loanApplNo = "";  /* 대출신청번호 */
    private int hiApplCnt = 0;  /* 권원의뢰횟수 */
    private String hiIngStsCd = "";  /* 권원진행상태코드 */
    private String hiAgncGbCd = "";  /* 권원조사기관구분코드 */
    private String hiApplDt = "";  /* 청약의뢰일자 */
    private String hiApplGbCd = "";  /* 청약의뢰구분코드 */
    private String hiApplMngmNo = "";  /* 청약의뢰관리전문번호 */
    private String hiResrRecvDt = "";  /* 권원조사수신일자 */
    private String hiResrMngmNo = "";  /* 권원조사관리전문번호 */
    private String hiMovReseDt = "";  /* 권원조사일자 */
    private String hiMovReseOc = "";  /* 권원조사시간 */
    private String hiMovReseUser = "";  /* 권원전입조사자 */
    private String hiResrRsltYn = "";  /* 권원조사결과이상유무 */
    private String hiMovReseCont = "";  /* 권원조사내용 */
    private String hiResrConfCd = "";  /* 권원조사확인결과코드 */
    private String hiResrConfCont = "";  /* 권원조사확인결과내용 */
    private String hiResrConfDt = "";  /* 권원조사확인일자 */
    private String hiResrConfId = "";  /* 권원조사확인자ID */
    private String hiCfRecvDt = "";  /* 권원확인서수신일자 */
    private String hiCfMngmNo = "";  /* 권원확인서관리전문번호 */
    private String hiCfCd = "";  /* 권원확인서확인결과코드 */
    private String hiCfReslCont = "";  /* 권원확인서확인결과내용 */
    private String hiCfDt = "";  /* 권원확인서확인일자 */
    private String hiCfUserId = "";  /* 권원확인서확인자ID */
    private String hiStockNo = "";  /* 권원증권번호 */
    private long hiInsuOpenAmt = 0;  /* 권원보험가입금액 */
    private String hiCfPrsDate = "";  /* 권원확인서발행일 */
    private String hiCfBfRealOwner = "";  /* 권원확인서발행일이전목적부동산소유자 */
    private String hiCfAfRealOwner = "";  /* 권원확인서발행일이후목적부동산소유자 */
    private String hiRealEstateGrnd = "";  /* 권원대상부동산소재지-대지 */
    private String hiRealEstateBult = "";  /* 권원대상부동산소재지-건물 */
    private String hiNeedDesc = "";  /* 권원요구사항 */
    private String hiEcpnDesc = "";  /* 권원예외사항 */
    private String hiChgrRecvDt = "";  /* 권원비용수신일자 */
    private String hiChgrMngmNo = "";  /* 권원비용관리전문번호 */
    private String hiActRecvDt = "";  /* 권원실행통지일자 */
    private String hiActMngmNo = "";  /* 권원실행통지관리전문번호 */
    private String aprvCd = "";  /* 승인코드 */
    private String takeOpn = "";  /* 인수의견 */
    private long baseInsuFee = 0;  /* 기본보험료 */
    private String hiflReqNo ="";                      /* 하나생명의뢰번호 */
    private String insuComMngNo ="";                   /* 보험사관리번호 */
    private String realIvMngNo ="";                    /* 리얼아이브이관리번호 */
    private String loanRmbrEndMngmNo ="";              /* 대출상환종료전문관리번호 */
    private String loanRmbrEndSendDt ="";              /* 대출상환종료전송일자 */
    private String cnclRsn = "";                       /* 취소사유 */

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}
	public static void setSerialVersionUID(long serialVersionUID) {
		StTitleInsuDTO.serialVersionUID = serialVersionUID;
	}
	public String getLoanApplNo() {
		return loanApplNo;
	}
	public void setLoanApplNo(String loanApplNo) {
		this.loanApplNo = loanApplNo;
	}
	public int getHiApplCnt() {
		return hiApplCnt;
	}
	public void setHiApplCnt(int hiApplCnt) {
		this.hiApplCnt = hiApplCnt;
	}
	public String getHiIngStsCd() {
		return hiIngStsCd;
	}
	public void setHiIngStsCd(String hiIngStsCd) {
		this.hiIngStsCd = hiIngStsCd;
	}
	public String getHiAgncGbCd() {
		return hiAgncGbCd;
	}
	public void setHiAgncGbCd(String hiAgncGbCd) {
		this.hiAgncGbCd = hiAgncGbCd;
	}
	public String getHiApplDt() {
		return hiApplDt;
	}
	public void setHiApplDt(String hiApplDt) {
		this.hiApplDt = hiApplDt;
	}
	public String getHiApplGbCd() {
		return hiApplGbCd;
	}
	public void setHiApplGbCd(String hiApplGbCd) {
		this.hiApplGbCd = hiApplGbCd;
	}
	public String getHiApplMngmNo() {
		return hiApplMngmNo;
	}
	public void setHiApplMngmNo(String hiApplMngmNo) {
		this.hiApplMngmNo = hiApplMngmNo;
	}
	public String getHiResrRecvDt() {
		return hiResrRecvDt;
	}
	public void setHiResrRecvDt(String hiResrRecvDt) {
		this.hiResrRecvDt = hiResrRecvDt;
	}
	public String getHiResrMngmNo() {
		return hiResrMngmNo;
	}
	public void setHiResrMngmNo(String hiResrMngmNo) {
		this.hiResrMngmNo = hiResrMngmNo;
	}
	public String getHiMovReseDt() {
		return hiMovReseDt;
	}
	public void setHiMovReseDt(String hiMovReseDt) {
		this.hiMovReseDt = hiMovReseDt;
	}
	public String getHiMovReseOc() {
		return hiMovReseOc;
	}
	public void setHiMovReseOc(String hiMovReseOc) {
		this.hiMovReseOc = hiMovReseOc;
	}
	public String getHiMovReseUser() {
		return hiMovReseUser;
	}
	public void setHiMovReseUser(String hiMovReseUser) {
		this.hiMovReseUser = hiMovReseUser;
	}
	public String getHiResrRsltYn() {
		return hiResrRsltYn;
	}
	public void setHiResrRsltYn(String hiResrRsltYn) {
		this.hiResrRsltYn = hiResrRsltYn;
	}
	public String getHiMovReseCont() {
		return hiMovReseCont;
	}
	public void setHiMovReseCont(String hiMovReseCont) {
		this.hiMovReseCont = hiMovReseCont;
	}
	public String getHiResrConfCd() {
		return hiResrConfCd;
	}
	public void setHiResrConfCd(String hiResrConfCd) {
		this.hiResrConfCd = hiResrConfCd;
	}
	public String getHiResrConfCont() {
		return hiResrConfCont;
	}
	public void setHiResrConfCont(String hiResrConfCont) {
		this.hiResrConfCont = hiResrConfCont;
	}
	public String getHiResrConfDt() {
		return hiResrConfDt;
	}
	public void setHiResrConfDt(String hiResrConfDt) {
		this.hiResrConfDt = hiResrConfDt;
	}
	public String getHiResrConfId() {
		return hiResrConfId;
	}
	public void setHiResrConfId(String hiResrConfId) {
		this.hiResrConfId = hiResrConfId;
	}
	public String getHiCfRecvDt() {
		return hiCfRecvDt;
	}
	public void setHiCfRecvDt(String hiCfRecvDt) {
		this.hiCfRecvDt = hiCfRecvDt;
	}
	public String getHiCfMngmNo() {
		return hiCfMngmNo;
	}
	public void setHiCfMngmNo(String hiCfMngmNo) {
		this.hiCfMngmNo = hiCfMngmNo;
	}
	public String getHiCfCd() {
		return hiCfCd;
	}
	public void setHiCfCd(String hiCfCd) {
		this.hiCfCd = hiCfCd;
	}
	public String getHiCfReslCont() {
		return hiCfReslCont;
	}
	public void setHiCfReslCont(String hiCfReslCont) {
		this.hiCfReslCont = hiCfReslCont;
	}
	public String getHiCfDt() {
		return hiCfDt;
	}
	public void setHiCfDt(String hiCfDt) {
		this.hiCfDt = hiCfDt;
	}
	public String getHiCfUserId() {
		return hiCfUserId;
	}
	public void setHiCfUserId(String hiCfUserId) {
		this.hiCfUserId = hiCfUserId;
	}
	public String getHiStockNo() {
		return hiStockNo;
	}
	public void setHiStockNo(String hiStockNo) {
		this.hiStockNo = hiStockNo;
	}
	public long getHiInsuOpenAmt() {
		return hiInsuOpenAmt;
	}
	public void setHiInsuOpenAmt(long hiInsuOpenAmt) {
		this.hiInsuOpenAmt = hiInsuOpenAmt;
	}
	public String getHiCfPrsDate() {
		return hiCfPrsDate;
	}
	public void setHiCfPrsDate(String hiCfPrsDate) {
		this.hiCfPrsDate = hiCfPrsDate;
	}
	public String getHiCfBfRealOwner() {
		return hiCfBfRealOwner;
	}
	public void setHiCfBfRealOwner(String hiCfBfRealOwner) {
		this.hiCfBfRealOwner = hiCfBfRealOwner;
	}
	public String getHiCfAfRealOwner() {
		return hiCfAfRealOwner;
	}
	public void setHiCfAfRealOwner(String hiCfAfRealOwner) {
		this.hiCfAfRealOwner = hiCfAfRealOwner;
	}
	public String getHiRealEstateGrnd() {
		return hiRealEstateGrnd;
	}
	public void setHiRealEstateGrnd(String hiRealEstateGrnd) {
		this.hiRealEstateGrnd = hiRealEstateGrnd;
	}
	public String getHiRealEstateBult() {
		return hiRealEstateBult;
	}
	public void setHiRealEstateBult(String hiRealEstateBult) {
		this.hiRealEstateBult = hiRealEstateBult;
	}
	public String getHiNeedDesc() {
		return hiNeedDesc;
	}
	public void setHiNeedDesc(String hiNeedDesc) {
		this.hiNeedDesc = hiNeedDesc;
	}
	public String getHiEcpnDesc() {
		return hiEcpnDesc;
	}
	public void setHiEcpnDesc(String hiEcpnDesc) {
		this.hiEcpnDesc = hiEcpnDesc;
	}
	public String getHiChgrRecvDt() {
		return hiChgrRecvDt;
	}
	public void setHiChgrRecvDt(String hiChgrRecvDt) {
		this.hiChgrRecvDt = hiChgrRecvDt;
	}
	public String getHiChgrMngmNo() {
		return hiChgrMngmNo;
	}
	public void setHiChgrMngmNo(String hiChgrMngmNo) {
		this.hiChgrMngmNo = hiChgrMngmNo;
	}
	public String getHiActRecvDt() {
		return hiActRecvDt;
	}
	public void setHiActRecvDt(String hiActRecvDt) {
		this.hiActRecvDt = hiActRecvDt;
	}
	public String getHiActMngmNo() {
		return hiActMngmNo;
	}
	public void setHiActMngmNo(String hiActMngmNo) {
		this.hiActMngmNo = hiActMngmNo;
	}
	public String getAprvCd() {
		return aprvCd;
	}
	public void setAprvCd(String aprvCd) {
		this.aprvCd = aprvCd;
	}
	public String getTakeOpn() {
		return takeOpn;
	}
	public void setTakeOpn(String takeOpn) {
		this.takeOpn = takeOpn;
	}
	public long getBaseInsuFee() {
		return baseInsuFee;
	}
	public void setBaseInsuFee(long baseInsuFee) {
		this.baseInsuFee = baseInsuFee;
	}
	public String getHiflReqNo() {
		return hiflReqNo;
	}
	public void setHiflReqNo(String hiflReqNo) {
		this.hiflReqNo = hiflReqNo;
	}
	public String getInsuComMngNo() {
		return insuComMngNo;
	}
	public void setInsuComMngNo(String insuComMngNo) {
		this.insuComMngNo = insuComMngNo;
	}
	public String getRealIvMngNo() {
		return realIvMngNo;
	}
	public void setRealIvMngNo(String realIvMngNo) {
		this.realIvMngNo = realIvMngNo;
	}
	public String getLoanRmbrEndMngmNo() {
		return loanRmbrEndMngmNo;
	}
	public void setLoanRmbrEndMngmNo(String loanRmbrEndMngmNo) {
		this.loanRmbrEndMngmNo = loanRmbrEndMngmNo;
	}
	public String getLoanRmbrEndSendDt() {
		return loanRmbrEndSendDt;
	}
	public void setLoanRmbrEndSendDt(String loanRmbrEndSendDt) {
		this.loanRmbrEndSendDt = loanRmbrEndSendDt;
	}
	public String getCnclRsn() {
		return cnclRsn;
	}
	public void setCnclRsn(String cnclRsn) {
		this.cnclRsn = cnclRsn;
	}
}
