package hanalife.c.co.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : StUnrcvOccrBaseDTO.java Class
 * 클래스설명   : RT-미수발생기본(RT_UNRCV_OCCR_BASE)를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 24.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class StUnrcvOccrBaseDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String unrcvNo  = "";  /* 미수번호 */
    private String loanNo  = "";  /* 대출번호 */
    private String loanSeq  = "";  /* 대출순번 */
    private String unrcvOccrDt  = "";  /* 미수발생일자 */
    private String unrcvOccrTpcd  = "";  /* 미수발생유형코드 */
    private String unrcvAdjMeth  = "";  /* 미수정산방법 */
    private BigDecimal unrcvOccrAmt  = BigDecimal.ZERO;  /* 미수발생금액 */
    private BigDecimal unrcvAdjAmt  = BigDecimal.ZERO;  /* 미수정산금액 */
    private BigDecimal unrcvRamt  = BigDecimal.ZERO;  /* 미수잔액 */
    private String occrDeptCd  = "";  /* 발생부서코드 */
    private String adjDeptCd  = "";  /* 정산부서코드 */

    public String getUnrcvNo() {
        return unrcvNo;
    }
    public void setUnrcvNo(String unrcvNo) {
        this.unrcvNo = unrcvNo;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getUnrcvOccrDt() {
        return unrcvOccrDt;
    }
    public void setUnrcvOccrDt(String unrcvOccrDt) {
        this.unrcvOccrDt = unrcvOccrDt;
    }
    public String getUnrcvOccrTpcd() {
        return unrcvOccrTpcd;
    }
    public void setUnrcvOccrTpcd(String unrcvOccrTpcd) {
        this.unrcvOccrTpcd = unrcvOccrTpcd;
    }
    public String getUnrcvAdjMeth() {
        return unrcvAdjMeth;
    }
    public void setUnrcvAdjMeth(String unrcvAdjMeth) {
        this.unrcvAdjMeth = unrcvAdjMeth;
    }
    public BigDecimal getUnrcvOccrAmt() {
        return unrcvOccrAmt;
    }
    public void setUnrcvOccrAmt(BigDecimal unrcvOccrAmt) {
        this.unrcvOccrAmt = unrcvOccrAmt;
    }
    public BigDecimal getUnrcvAdjAmt() {
        return unrcvAdjAmt;
    }
    public void setUnrcvAdjAmt(BigDecimal unrcvAdjAmt) {
        this.unrcvAdjAmt = unrcvAdjAmt;
    }
    public BigDecimal getUnrcvRamt() {
        return unrcvRamt;
    }
    public void setUnrcvRamt(BigDecimal unrcvRamt) {
        this.unrcvRamt = unrcvRamt;
    }
    public String getOccrDeptCd() {
        return occrDeptCd;
    }
    public void setOccrDeptCd(String occrDeptCd) {
        this.occrDeptCd = occrDeptCd;
    }
    public String getAdjDeptCd() {
        return adjDeptCd;
    }
    public void setAdjDeptCd(String adjDeptCd) {
        this.adjDeptCd = adjDeptCd;
    }
    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
