package hanalife.c.co.vo;

import java.io.Serializable;

/**
 * <pre>
 * 프로젝트명 	: 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명  	: CommCostVO.java Class
 * 클래스설명	: 대출번호검증여부(입출력)를(을) 위한 VO
 * 작성일자  	: 2023. 6. 13.
 * 작성자명  	: 70319 / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 6. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CommCostVO implements Serializable {

    private String rsltCd;                            /* 응답코드 */
    private String rsltCntn;                          /* 응답내용 */
    private String costDivExistYn="";                 /* 비용존재여부 */
    private String costInsDiv="";                     /* 비용등록구분(I:insert, U:update) */

    private String dataDiv="";                        /* 데이터구분(M:MCI, H:권원보험, F:전자등기) */
	private String loanApplNo="";                     /* 대출신청번호 */
	private String totaMngmGbCd="";                   /* 제비용관리구분코드 */
	private int custCost=0;                           /* 고객부담금액 */
	private int bankCost=0;                           /* 은행부담금액 */
	private int totaCostTotAmt=0;                     /* 제비용부담금액합계 */
	private String busiCompNo="";

	public String getRsltCd() {
        return rsltCd;
    }
    public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }
    public String getRsltCntn() {
        return rsltCntn;
    }
    public void setRsltCntn(String rsltCntn) {
        this.rsltCntn = rsltCntn;
    }
    public String getCostDivExistYn() {
		return costDivExistYn;
	}
	public void setCostDivExistYn(String costDivExistYn) {
		this.costDivExistYn = costDivExistYn;
	}
	public String getCostInsDiv() {
		return costInsDiv;
	}
	public void setCostInsDiv(String costInsDiv) {
		this.costInsDiv = costInsDiv;
	}
	public String getDataDiv() {
		return dataDiv;
	}
	public void setDataDiv(String dataDiv) {
		this.dataDiv = dataDiv;
	}

	public String getLoanApplNo() {
		return loanApplNo;
	}
	public void setLoanApplNo(String loanApplNo) {
		this.loanApplNo = loanApplNo;
	}
	public String getTotaMngmGbCd() {
		return totaMngmGbCd;
	}
	public void setTotaMngmGbCd(String totaMngmGbCd) {
		this.totaMngmGbCd = totaMngmGbCd;
	}
	public int getCustCost() {
		return custCost;
	}
	public void setCustCost(int custCost) {
		this.custCost = custCost;
	}
	public int getBankCost() {
		return bankCost;
	}
	public void setBankCost(int bankCost) {
		this.bankCost = bankCost;
	}
	public int getTotaCostTotAmt() {
		return totaCostTotAmt;
	}
	public void setTotaCostTotAmt(int totaCostTotAmt) {
		this.totaCostTotAmt = totaCostTotAmt;
	}
	public String getBusiCompNo() {
		return busiCompNo;
	}
	public void setBusiCompNo(String busiCompNo) {
		this.busiCompNo = busiCompNo;
	}
}