package hanalife.c.co.vo;

import java.io.Serializable;

/**
 * <pre>
 * 클래스명    : TbmkProductVO.java Class
 * 클래스설명  : 상품정보관리(TBMK_PRODUCT)
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 2. 24.
 * 작성자명    : 70317 / younghwe.kim / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 2. 24.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class TbmkProductVO implements Serializable {

    private static final long serialVersionUID = 1L;

    String prodCd;
    /** 상품코드 */
    String prodModifySeq;
    /** 상품변경일련번호 */
    String regiDt;
    /** 상품등록일자 */
    String innRuleYn;
    /** 내부-Rule등록여부 */
    String extRuleYn;
    /** 외부-Rule등록여부 */
    String salesFrom;
    /** 상품판매유효기간FROM */
    String salesTo;
    /** 상품판매유효기간TO */
    String prodNm;
    /** 상품명 */
    String prodExplain;
    /** 상품설명내용 */
    String loanGbCd;
    /** 대출구분코드 */
    String prodGbCd;
    /** 상품구분코드 */
    String capUseGbCd;
    /** 자금용도구분코드 */
    String minLonAmt;
    /** 최소대출가능금액 */
    String maxLonAmt;
    /** 최대대출가능금액 */
    String minUnitAmt;
    /** 최소대출단위금액 */
    String afterProdYn;
    /** 후순위상품여부 */
    String rateCd;
    /** 금리코드 */
    String minApprRate;
    /** 최저적용금리 */
    String maxApprRate;
    /** 최대적용금리 */
    String minTerm;
    /** 최소대출기간 */
    String maxTerm;
    /** 최대대출기간 */
    String manaLoanTerm;
    /** 운영대출기간 */
    String minAge;
    /** 최소차주가능나이 */
    String maxAge;
    /** 최대차주가능나이 */
    String minMortPossAge;
    /** 최소담보제공인가능나이 */
    String maxMortPossAge;
    /** 최대담보제공인가능나이 */
    String maxGracTerm;
    /** 최대거치기간 */
    String hybrTerm;
    /** HYBRID금리고정기간 */
    String fstHandleFee;
    /** 대출취급수수료 */
    String fstHandleFeeAftr;
    /** 대출취급수수료-후순위전용 */
    String dsaFeeRate;
    /** DSA-FEE-RATE */
    String brokFeeRate;
    /** BROKER-FEE-RATE */
    String under1sFrContRate;
    /** 1차심사조정가능금리FROM */
    String under1sToContRate;
    /** 1차심사조정가능금리TO */
    String under1sFrLimitRate;
    /** 1차심사조정가능한도비율FROM */
    String under1sToLimitRate;
    /** 1차심사조정가능한도비율TO */
    String under2sFrContRate;
    /** 2차심사조정가능금리FROM */
    String under2sToContRate;
    /** 2차심사조정가능금리TO */
    String under2sFrLimitRate;
    /** 2차심사조정가능한도비율FROM */
    String under2sToLimitRate;
    /** 2차심사조정가능한도비율TO */
    String under3sFrContRate;
    /** 3차심사조정가능금리FROM */
    String under3sToContRate;
    /** 3차심사조정가능금리TO */
    String under3sFrLimitRate;
    /** 3차심사조정가능한도비율FROM */
    String under3sToLimitRate;
    /** 3차심사조정가능한도비율TO */
    String epo1sFrTerm;
    /** 조기상환구간1FROM */
    String epo1sToTerm;
    /** 조기상환구간1TO */
    String epo1sFeeRate1;
    /** 조기상환수수료율1 */
    String epo2sFrTerm;
    /** 조기상환구간2FROM */
    String epo2sToTerm;
    /** 조기상환구간2TO */
    String epo2sFeeRate2;
    /** 조기상환수수료율2 */
    String epo3sFrTerm;
    /** 조기상환구간3FROM */
    String epo3sToTerm;
    /** 조기상환구간3TO */
    String epo3sFeeRate3;
    /** 조기상환수수료율3 */
    String epo4sFrTerm;
    /** 조기상환구간4FROM */
    String epo4sToTerm;
    /** 조기상환구간4TO */
    String epo4sFeeRate4;
    /** 조기상환수수료율4 */
    String delay1sFrTerm;
    /** 연체이율구간1FROM */
    String delay1sToTerm;
    /** 연체이율구간1TO */
    String delay1sRate;
    /** 연체이율1 */
    String delay2sFrTerm;
    /** 연체이율구간2FROM */
    String delay2sToTerm;
    /** 연체이율구간2TO */
    String delay2sRate;
    /** 연체이율2 */
    String delay3sFrTerm;
    /** 연체이율구간3FROM */
    String delay3sToTerm;
    /** 연체이율구간3TO */
    String delay3sRate;
    /** 연체이율3 */
    String delay4sFrTerm;
    /** 연체이율구간4FROM */
    String delay4sToTerm;
    /** 연체이율구간4TO */
    String delay4sRate;
    /** 연체이율4 */
    String lastUserId;
    /** 최종사용자ID */
    String lastDtTi;
    /** 최종사용일시 */
    String epoMinAmt;

    /** 조기상환최소금액 */
    public String getProdCd() {
        return prodCd;
    }

    public void setProdCd(String prodCd) {
        this.prodCd = prodCd;
    }

    public String getProdModifySeq() {
        return prodModifySeq;
    }

    public void setProdModifySeq(String prodModifySeq) {
        this.prodModifySeq = prodModifySeq;
    }

    public String getRegiDt() {
        return regiDt;
    }

    public void setRegiDt(String regiDt) {
        this.regiDt = regiDt;
    }

    public String getInnRuleYn() {
        return innRuleYn;
    }

    public void setInnRuleYn(String innRuleYn) {
        this.innRuleYn = innRuleYn;
    }

    public String getExtRuleYn() {
        return extRuleYn;
    }

    public void setExtRuleYn(String extRuleYn) {
        this.extRuleYn = extRuleYn;
    }

    public String getSalesFrom() {
        return salesFrom;
    }

    public void setSalesFrom(String salesFrom) {
        this.salesFrom = salesFrom;
    }

    public String getSalesTo() {
        return salesTo;
    }

    public void setSalesTo(String salesTo) {
        this.salesTo = salesTo;
    }

    public String getProdNm() {
        return prodNm;
    }

    public void setProdNm(String prodNm) {
        this.prodNm = prodNm;
    }

    public String getProdExplain() {
        return prodExplain;
    }

    public void setProdExplain(String prodExplain) {
        this.prodExplain = prodExplain;
    }

    public String getLoanGbCd() {
        return loanGbCd;
    }

    public void setLoanGbCd(String loanGbCd) {
        this.loanGbCd = loanGbCd;
    }

    public String getProdGbCd() {
        return prodGbCd;
    }

    public void setProdGbCd(String prodGbCd) {
        this.prodGbCd = prodGbCd;
    }

    public String getCapUseGbCd() {
        return capUseGbCd;
    }

    public void setCapUseGbCd(String capUseGbCd) {
        this.capUseGbCd = capUseGbCd;
    }

    public String getMinLonAmt() {
        return minLonAmt;
    }

    public void setMinLonAmt(String minLonAmt) {
        this.minLonAmt = minLonAmt;
    }

    public String getMaxLonAmt() {
        return maxLonAmt;
    }

    public void setMaxLonAmt(String maxLonAmt) {
        this.maxLonAmt = maxLonAmt;
    }

    public String getMinUnitAmt() {
        return minUnitAmt;
    }

    public void setMinUnitAmt(String minUnitAmt) {
        this.minUnitAmt = minUnitAmt;
    }

    public String getAfterProdYn() {
        return afterProdYn;
    }

    public void setAfterProdYn(String afterProdYn) {
        this.afterProdYn = afterProdYn;
    }

    public String getRateCd() {
        return rateCd;
    }

    public void setRateCd(String rateCd) {
        this.rateCd = rateCd;
    }

    public String getMinApprRate() {
        return minApprRate;
    }

    public void setMinApprRate(String minApprRate) {
        this.minApprRate = minApprRate;
    }

    public String getMaxApprRate() {
        return maxApprRate;
    }

    public void setMaxApprRate(String maxApprRate) {
        this.maxApprRate = maxApprRate;
    }

    public String getMinTerm() {
        return minTerm;
    }

    public void setMinTerm(String minTerm) {
        this.minTerm = minTerm;
    }

    public String getMaxTerm() {
        return maxTerm;
    }

    public void setMaxTerm(String maxTerm) {
        this.maxTerm = maxTerm;
    }

    public String getManaLoanTerm() {
        return manaLoanTerm;
    }

    public void setManaLoanTerm(String manaLoanTerm) {
        this.manaLoanTerm = manaLoanTerm;
    }

    public String getMinAge() {
        return minAge;
    }

    public void setMinAge(String minAge) {
        this.minAge = minAge;
    }

    public String getMaxAge() {
        return maxAge;
    }

    public void setMaxAge(String maxAge) {
        this.maxAge = maxAge;
    }

    public String getMinMortPossAge() {
        return minMortPossAge;
    }

    public void setMinMortPossAge(String minMortPossAge) {
        this.minMortPossAge = minMortPossAge;
    }

    public String getMaxMortPossAge() {
        return maxMortPossAge;
    }

    public void setMaxMortPossAge(String maxMortPossAge) {
        this.maxMortPossAge = maxMortPossAge;
    }

    public String getMaxGracTerm() {
        return maxGracTerm;
    }

    public void setMaxGracTerm(String maxGracTerm) {
        this.maxGracTerm = maxGracTerm;
    }

    public String getHybrTerm() {
        return hybrTerm;
    }

    public void setHybrTerm(String hybrTerm) {
        this.hybrTerm = hybrTerm;
    }

    public String getFstHandleFee() {
        return fstHandleFee;
    }

    public void setFstHandleFee(String fstHandleFee) {
        this.fstHandleFee = fstHandleFee;
    }

    public String getFstHandleFeeAftr() {
        return fstHandleFeeAftr;
    }

    public void setFstHandleFeeAftr(String fstHandleFeeAftr) {
        this.fstHandleFeeAftr = fstHandleFeeAftr;
    }

    public String getDsaFeeRate() {
        return dsaFeeRate;
    }

    public void setDsaFeeRate(String dsaFeeRate) {
        this.dsaFeeRate = dsaFeeRate;
    }

    public String getBrokFeeRate() {
        return brokFeeRate;
    }

    public void setBrokFeeRate(String brokFeeRate) {
        this.brokFeeRate = brokFeeRate;
    }

    public String getUnder1sFrContRate() {
        return under1sFrContRate;
    }

    public void setUnder1sFrContRate(String under1sFrContRate) {
        this.under1sFrContRate = under1sFrContRate;
    }

    public String getUnder1sToContRate() {
        return under1sToContRate;
    }

    public void setUnder1sToContRate(String under1sToContRate) {
        this.under1sToContRate = under1sToContRate;
    }

    public String getUnder1sFrLimitRate() {
        return under1sFrLimitRate;
    }

    public void setUnder1sFrLimitRate(String under1sFrLimitRate) {
        this.under1sFrLimitRate = under1sFrLimitRate;
    }

    public String getUnder1sToLimitRate() {
        return under1sToLimitRate;
    }

    public void setUnder1sToLimitRate(String under1sToLimitRate) {
        this.under1sToLimitRate = under1sToLimitRate;
    }

    public String getUnder2sFrContRate() {
        return under2sFrContRate;
    }

    public void setUnder2sFrContRate(String under2sFrContRate) {
        this.under2sFrContRate = under2sFrContRate;
    }

    public String getUnder2sToContRate() {
        return under2sToContRate;
    }

    public void setUnder2sToContRate(String under2sToContRate) {
        this.under2sToContRate = under2sToContRate;
    }

    public String getUnder2sFrLimitRate() {
        return under2sFrLimitRate;
    }

    public void setUnder2sFrLimitRate(String under2sFrLimitRate) {
        this.under2sFrLimitRate = under2sFrLimitRate;
    }

    public String getUnder2sToLimitRate() {
        return under2sToLimitRate;
    }

    public void setUnder2sToLimitRate(String under2sToLimitRate) {
        this.under2sToLimitRate = under2sToLimitRate;
    }

    public String getUnder3sFrContRate() {
        return under3sFrContRate;
    }

    public void setUnder3sFrContRate(String under3sFrContRate) {
        this.under3sFrContRate = under3sFrContRate;
    }

    public String getUnder3sToContRate() {
        return under3sToContRate;
    }

    public void setUnder3sToContRate(String under3sToContRate) {
        this.under3sToContRate = under3sToContRate;
    }

    public String getUnder3sFrLimitRate() {
        return under3sFrLimitRate;
    }

    public void setUnder3sFrLimitRate(String under3sFrLimitRate) {
        this.under3sFrLimitRate = under3sFrLimitRate;
    }

    public String getUnder3sToLimitRate() {
        return under3sToLimitRate;
    }

    public void setUnder3sToLimitRate(String under3sToLimitRate) {
        this.under3sToLimitRate = under3sToLimitRate;
    }

    public String getEpo1sFrTerm() {
        return epo1sFrTerm;
    }

    public void setEpo1sFrTerm(String epo1sFrTerm) {
        this.epo1sFrTerm = epo1sFrTerm;
    }

    public String getEpo1sToTerm() {
        return epo1sToTerm;
    }

    public void setEpo1sToTerm(String epo1sToTerm) {
        this.epo1sToTerm = epo1sToTerm;
    }

    public String getEpo1sFeeRate1() {
        return epo1sFeeRate1;
    }

    public void setEpo1sFeeRate1(String epo1sFeeRate1) {
        this.epo1sFeeRate1 = epo1sFeeRate1;
    }

    public String getEpo2sFrTerm() {
        return epo2sFrTerm;
    }

    public void setEpo2sFrTerm(String epo2sFrTerm) {
        this.epo2sFrTerm = epo2sFrTerm;
    }

    public String getEpo2sToTerm() {
        return epo2sToTerm;
    }

    public void setEpo2sToTerm(String epo2sToTerm) {
        this.epo2sToTerm = epo2sToTerm;
    }

    public String getEpo2sFeeRate2() {
        return epo2sFeeRate2;
    }

    public void setEpo2sFeeRate2(String epo2sFeeRate2) {
        this.epo2sFeeRate2 = epo2sFeeRate2;
    }

    public String getEpo3sFrTerm() {
        return epo3sFrTerm;
    }

    public void setEpo3sFrTerm(String epo3sFrTerm) {
        this.epo3sFrTerm = epo3sFrTerm;
    }

    public String getEpo3sToTerm() {
        return epo3sToTerm;
    }

    public void setEpo3sToTerm(String epo3sToTerm) {
        this.epo3sToTerm = epo3sToTerm;
    }

    public String getEpo3sFeeRate3() {
        return epo3sFeeRate3;
    }

    public void setEpo3sFeeRate3(String epo3sFeeRate3) {
        this.epo3sFeeRate3 = epo3sFeeRate3;
    }

    public String getEpo4sFrTerm() {
        return epo4sFrTerm;
    }

    public void setEpo4sFrTerm(String epo4sFrTerm) {
        this.epo4sFrTerm = epo4sFrTerm;
    }

    public String getEpo4sToTerm() {
        return epo4sToTerm;
    }

    public void setEpo4sToTerm(String epo4sToTerm) {
        this.epo4sToTerm = epo4sToTerm;
    }

    public String getEpo4sFeeRate4() {
        return epo4sFeeRate4;
    }

    public void setEpo4sFeeRate4(String epo4sFeeRate4) {
        this.epo4sFeeRate4 = epo4sFeeRate4;
    }

    public String getDelay1sFrTerm() {
        return delay1sFrTerm;
    }

    public void setDelay1sFrTerm(String delay1sFrTerm) {
        this.delay1sFrTerm = delay1sFrTerm;
    }

    public String getDelay1sToTerm() {
        return delay1sToTerm;
    }

    public void setDelay1sToTerm(String delay1sToTerm) {
        this.delay1sToTerm = delay1sToTerm;
    }

    public String getDelay1sRate() {
        return delay1sRate;
    }

    public void setDelay1sRate(String delay1sRate) {
        this.delay1sRate = delay1sRate;
    }

    public String getDelay2sFrTerm() {
        return delay2sFrTerm;
    }

    public void setDelay2sFrTerm(String delay2sFrTerm) {
        this.delay2sFrTerm = delay2sFrTerm;
    }

    public String getDelay2sToTerm() {
        return delay2sToTerm;
    }

    public void setDelay2sToTerm(String delay2sToTerm) {
        this.delay2sToTerm = delay2sToTerm;
    }

    public String getDelay2sRate() {
        return delay2sRate;
    }

    public void setDelay2sRate(String delay2sRate) {
        this.delay2sRate = delay2sRate;
    }

    public String getDelay3sFrTerm() {
        return delay3sFrTerm;
    }

    public void setDelay3sFrTerm(String delay3sFrTerm) {
        this.delay3sFrTerm = delay3sFrTerm;
    }

    public String getDelay3sToTerm() {
        return delay3sToTerm;
    }

    public void setDelay3sToTerm(String delay3sToTerm) {
        this.delay3sToTerm = delay3sToTerm;
    }

    public String getDelay3sRate() {
        return delay3sRate;
    }

    public void setDelay3sRate(String delay3sRate) {
        this.delay3sRate = delay3sRate;
    }

    public String getDelay4sFrTerm() {
        return delay4sFrTerm;
    }

    public void setDelay4sFrTerm(String delay4sFrTerm) {
        this.delay4sFrTerm = delay4sFrTerm;
    }

    public String getDelay4sToTerm() {
        return delay4sToTerm;
    }

    public void setDelay4sToTerm(String delay4sToTerm) {
        this.delay4sToTerm = delay4sToTerm;
    }

    public String getDelay4sRate() {
        return delay4sRate;
    }

    public void setDelay4sRate(String delay4sRate) {
        this.delay4sRate = delay4sRate;
    }

    public String getLastUserId() {
        return lastUserId;
    }

    public void setLastUserId(String lastUserId) {
        this.lastUserId = lastUserId;
    }

    public String getLastDtTi() {
        return lastDtTi;
    }

    public void setLastDtTi(String lastDtTi) {
        this.lastDtTi = lastDtTi;
    }

    public String getEpoMinAmt() {
        return epoMinAmt;
    }

    public void setEpoMinAmt(String epoMinAmt) {
        this.epoMinAmt = epoMinAmt;
    }

    public static long getSerialversionuid() {
        return serialVersionUID;
    }

}
