package hanalife.c.sc.ro.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.sc.ro.mapper.dto.ctPrgmRoleDSSDCDTO;
import hanalife.c.sc.ro.mapper.dto.ctPrgmRoleDSSDDDTO;
import hanalife.c.sc.ro.mapper.dto.ctPrgmRoleDSSDPDTO;
import hanalife.c.sc.ro.mapper.dto.ctPrgmRoleDSSDPRDTO;
import hanalife.c.sc.ro.mapper.dto.ctPrgmRoleDSSMPDTO;
import hanalife.c.sc.ro.mapper.dto.ctPrgmRoleDSSMPRDTO;

@Mapper("CtPrgmRoleMapper")
public interface CtPrgmRoleMapper {

    /**
     * <pre>
     * 메소드명      : selectPrgmCnt
     * 작성일자      : 2023. 5. 4.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : 프로그램건수을(를) 조회 한다.
     * 메소드인수1   : 프로그램건수 입력
     * 메소드리턴값  : 프로그램건수 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<ctPrgmRoleDSSDCDTO> selectPrgmCnt(ctPrgmRoleDSSDCDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchPrgmList
	 * 작성일자      : 2023. 5. 4.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 프로그램을(를) 조회 한다.
	 * 메소드인수1   : 프로그램 입력
	 * 메소드리턴값  : 프로그램 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<ctPrgmRoleDSSDPDTO> searchPrgmList(ctPrgmRoleDSSMPDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchPrgmRoleList
	 * 작성일자      : 2023. 5. 4.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 프로그램역할을(를) 조회 한다.
	 * 메소드인수1   : 프로그램역할 입력
	 * 메소드리턴값  : 프로그램역할 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<ctPrgmRoleDSSDPRDTO> searchPrgmRoleList(ctPrgmRoleDSSMPRDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : registerCtPrgmRole
	 * 작성일자      : 2023. 5. 4.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 프로그램역할관리을(를) 등록 한다.
	 * 메소드인수1   : 프로그램역할관리 입력
	 * 메소드리턴값  : 프로그램역할관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int registerCtPrgmRole(ctPrgmRoleDSSDCDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : modifyCtPrgmRole
	 * 작성일자      : 2023. 5. 4.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 프로그램역할관리을(를) 수정 한다.
	 * 메소드인수1   : 프로그램역할관리 입력
	 * 메소드리턴값  : 프로그램역할관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int modifyCtPrgmRole(ctPrgmRoleDSSDCDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : deleteCtPrgmRole
	 * 작성일자      : 2023. 5. 4.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 프로그램역할관리을(를) 삭제 한다.
	 * 메소드인수1   : 프로그램역할관리 입력
	 * 메소드리턴값  : 프로그램역할관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int deleteCtPrgmRole(ctPrgmRoleDSSDDDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : registerCtPrgmRoleHist
	 * 작성일자      : 2023. 5. 4.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 프로그램역할관리이력을(를) 등록 한다.
	 * 메소드인수1   : 프로그램역할관리이력 입력
	 * 메소드리턴값  : 프로그램역할관리이력 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int registerCtPrgmRoleHist(ctPrgmRoleDSSDCDTO inDto) throws Exception;

}