package hanalife.c.sc.ro.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.sc.ro.mapper.dto.ctUserRoleDSSDCDTO;
import hanalife.c.sc.ro.mapper.dto.ctUserRoleDSSDDDTO;
import hanalife.c.sc.ro.mapper.dto.ctUserRoleDSSDDTO;
import hanalife.c.sc.ro.mapper.dto.ctUserRoleDSSMDTO;

@Mapper("CtUserRoleMapper")
public interface CtUserRoleMapper {

    /**
     * <pre>
     * 메소드명      : searchUserRole
     * 작성일자      : 2023. 4. 19.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : 사용자역할관리을(를) 조회 한다.
     * 메소드인수1   : 사용자역할관리 입력
     * 메소드리턴값  : 사용자역할관리 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<ctUserRoleDSSDDTO> searchUserRole(ctUserRoleDSSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : registerCtUserRole
	 * 작성일자      : 2023. 4. 19.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 사용자역할관리을(를) 등록 한다.
	 * 메소드인수1   : 사용자역할관리 입력
	 * 메소드리턴값  : 사용자역할관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int registerCtUserRole(ctUserRoleDSSDCDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : modifyCtUserRole
	 * 작성일자      : 2023. 4. 19.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 사용자역할관리을(를) 수정 한다.
	 * 메소드인수1   : 사용자역할관리 입력
	 * 메소드리턴값  : 사용자역할관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int modifyCtUserRole(ctUserRoleDSSDCDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : deleteCtUserRole
	 * 작성일자      : 2023. 4. 19.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 사용자역할관리을(를) 삭제 한다.
	 * 메소드인수1   : 사용자역할관리 입력
	 * 메소드리턴값  : 사용자역할관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int deleteCtUserRole(ctUserRoleDSSDDDTO inDto) throws Exception;

}