package hanalife.c.sc.sq.service.impl;

import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.c.sc.sq.mapper.SqlMngMapper;
import hanalife.c.sc.sq.service.SqlMngService;
import hanalife.c.sc.sq.vo.AllBcNoVO;
import hanalife.c.sc.sq.vo.SqlListVO;

@Service("SqlMngService")
public class SqlMngServiceImpl extends EgovAbstractServiceImpl implements SqlMngService {

    private Log log = LogFactory.getLog(this.getClass());

    @Autowired
    private SqlMngMapper sqlMngMapper;

    @Override
    public List<AllBcNoVO> searchAllBcNo(Map<String, Object> param) throws Exception {
        log.info("############################### searchAllBcNo impl");
        List<AllBcNoVO> result = sqlMngMapper.searchAllBcNo(param);
        return result;
    }

    @Override
    public List<SqlListVO> selectDataList(Map<String, Object> param) throws Exception {
        log.info("############################### selectDataList impl");

        SqlListVO reqVo = new SqlListVO();

        reqVo.setBcNo((String) param.get("bcNo"));

        List<SqlListVO> result = sqlMngMapper.selectDataList(reqVo);
        return result;
    }

}
