package hanalife.c.sc.sq.web;

import java.util.List;
import java.util.Map;
import java.util.Vector;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import hanalife.c.bc.cc.service.CBCCCM01Service;
import hanalife.c.bc.cc.vo.CBCCCM01DSSEARCHVO;
import hanalife.c.bc.cc.vo.CBCCCM01InVO;
import hanalife.c.bc.cc.vo.CBCCCM01OutVO;
import hanalife.c.sc.sq.service.SqlMngService;
import hanalife.c.sc.sq.vo.AllBcNoVO;
import hanalife.c.sc.sq.vo.BatchCdInVO;
import hanalife.c.sc.sq.vo.BatchCdOutVO;
import hanalife.c.sc.sq.vo.SqlListVO;
import xdataset5.XDataSet5;
import xdataset5spring.XFrame5Util;
import xdataset5spring.XFrame5View;

@RequestMapping("/c/sc/sq")
@Controller
public class SqlMngController {

    @Resource(name = "SqlMngService")
    private SqlMngService sqlMngService;

    @Resource(name = "CBCCCM01Service")
	private CBCCCM01Service CBCCCM01;

    private Log log = LogFactory.getLog(this.getClass());

//  @RequestMapping("/xframe5.do")
//  public Object xframe5(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {
//      return "index";
//  }

    @RequestMapping("/searchAllBcNo.do")
    public String searchAllBcNo(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

        log.info("##### SqlMngController searchAllBcNo Start #####");

        try {
            Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

            XFrame5Util.printMetaInfoMap(reqMap);
            printDataSetfromMap(reqMap);

            // parameter로 활용할 dataset 정보를 가져온다.
            Map<String, Object> param = XFrame5Util.getDataMap(reqMap, "DS_SQL_INFO_SEND", 0);

            log.info("############################### List Before");

            List<AllBcNoVO> list = sqlMngService.searchAllBcNo(param);

            log.info(list);

            XFrame5Util.setOutputData("DS_BC_NO", list, model);

        } catch (Exception e) {
            log.error("Error >>> " + e.getMessage());
            // 오류 메시지 정보 설정
            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
        }

        return XFrame5View.XFRAME5_VIEW;
    }

    @RequestMapping("/selectDataList.do")
    public String selectDataList(HttpServletRequest request, HttpServletResponse response, ModelMap model) throws Exception {

        log.info("##### HaflCmmController selectDataList Start #####");

        try {
            Map<String, Object> reqMap = XFrame5Util.xFrame5Map(request, response, model);

            XFrame5Util.printMetaInfoMap(reqMap);
            printDataSetfromMap(reqMap);

            // dataset 정보를 가지고 있는 dataset 정보를 읽는다.
            Map<String, Object> reqInfo = XFrame5Util.getDataMap(reqMap, "DS_REQ", 0);

            log.info("### \n" + reqInfo);

            log.info("############################### List Before");

            List<SqlListVO> list = sqlMngService.selectDataList(reqInfo);

            log.info(list);
            log.info("############################### List After");

            XFrame5Util.setOutputData("DS_SQL_INFO", list, model);

        } catch (Exception e) {
            log.error("Error >>> " + e.getMessage());
            // 오류 메시지 정보 설정
            model.addAttribute(XFrame5View.XFRAME5_ERR_CODE, "-100");
            model.addAttribute(XFrame5View.XFRAME5_ERR_DETAIL, e.getMessage());
        }

        return XFrame5View.XFRAME5_VIEW;
    }

    /**
     * 참고사항 UI(xFrame5)에서 전달된 데이터 정보를 추출하는 예제. 데이터 MAP에서 XDATASET5 이름, 컬럼이름, 컬럼데이터를 출력한다.
     */
    public void printDataSetfromMap(Map<String, Object> reqMap) {

        try {
            log.info("printDataSetfromMap =============");
            XDataSet5 xdataset5 = (XDataSet5) reqMap.get("XFRAME5_XDATASET5"); // Map에서 XDataset5 객체로 데이터 변환
            int i, j;
            int nRow, nCol;

            Vector vXDataSetNames = xdataset5.getDataSetNames(); // 데이터셋 이름을 구함 : getDataSetNames()

            // 데이터셋 수만큼 데이터를 출력
            for (i = 0; i < vXDataSetNames.size(); i++) {
                String sXDataSetName = (String) vXDataSetNames.get(i);
                log.info("[" + sXDataSetName + "]"); // 데이터셋 이름 출력

                Vector vXDataColumnNames = xdataset5.getColumnNames(sXDataSetName); // 컬럼이름을 구함 : getColumnNames()
                int nColumnCount = xdataset5.getColumnCount(sXDataSetName); // 컬럼수를 구함 : getColumnCount()
                int nRecordCount = xdataset5.getRecordCount(sXDataSetName); // 레코드수를 구함 : getRecordCount()

                log.info("[Column List]");
                StringBuffer sbLog = new StringBuffer();
                for (j = 0; j < vXDataColumnNames.size(); j++) {

                    sbLog.append("[" + (String) vXDataColumnNames.get(j) + "]");
                }
                log.info(sbLog.toString()); // 컬럼 이름 출력
                StringBuffer sbRecordData = new StringBuffer();
                log.info("[Data]");
                for (nRow = 0; nRow < nRecordCount; nRow++) {
                    sbRecordData.delete(0, sbRecordData.length());
                    for (nCol = 0; nCol < nColumnCount; nCol++) {
                        sbRecordData.append("[" + xdataset5.getData(sXDataSetName, (String) vXDataColumnNames.get(nCol), nRow) + "]");
                    }
                    log.info(sbRecordData.toString()); // 컬럼 데이터 출력
                }
            }
        } catch (Exception e) {
            // TODO: handle exception
            log.error("printDataSetfromMap = " + e);
        }
    }

	/**
	 *<pre>
	 * 메소드명      : 코드조회 /TCHON001S01.do
	 * 작성일자      : 2023. 2. 27.
	 * 작성자(author): 70278
	 * 설명          : 대출한도를 조회한다.
	 * 예외처리      : Exception
	 *</pre>
	 */
	@RequestMapping(value = "/TCHON001.do", method = RequestMethod.POST, produces="application/json")
	public ModelAndView TCHON001(@RequestBody BatchCdInVO inVO) throws Exception {

	    log.info("##### SqlMngController TCHON001 Start #####");

	    BatchCdOutVO outVo = new BatchCdOutVO();

	    try {

	        // 파라미터 확인
	    	log.info("##### SqlMngController TCHON001 Start #####");

	    	log.info(">>>>>>>>>>>>>> 코드_종류_번호 " + inVO.getCdKindNo());

            // 공통코드관리내역 조회 업무 서비스 호출 입력값 대입
            CBCCCM01DSSEARCHVO dsSEARCHVO = new CBCCCM01DSSEARCHVO();
            dsSEARCHVO.setCdKindNo(inVO.getCdKindNo());

            // service 호출을 위한 입력 VO 객체에 DataSet VO 입력값 대입
            CBCCCM01InVO InVO = new CBCCCM01InVO();

            // 공통코드관리 내역조회 DS_SMDO 입력값 VO 객체 대입
            InVO.setCBCCCM01DSSEARCHVO(dsSEARCHVO);

            // 공통코드관리내역 조회 업무 서비스 호출 수행
            CBCCCM01OutVO resultListVo = CBCCCM01.getCBCCCM01S02(InVO);

         // 결과값 system error 없을 경우 설정 안하게 기본설정
            outVo.setRsltCd("000");
            outVo.setRsltCntn("성공");
            outVo.setListCBCCCM01DSCTCOMMCDDESCVO(resultListVo.getListCBCCCM01DSCTCOMMCDDESCVO());

	        log.info("##### SqlMngController TCHON001S01 Normal End #####");
	    } catch (Exception e) {
	    	log.error("Error >>> " + e.getMessage());
	        // 오류 메시지 정보 설정
	    	outVo.setRsltCd("999");
	    	outVo.setRsltCntn("ERROR : "+ e.getMessage());

	        log.info("##### SqlMngController TCHON001 Exception End #####");

	    }


	    ModelAndView mav = new ModelAndView("jsonView");
	    mav.addObject("RESULT", outVo);

	    return mav;
	}
}
