package hanalife.framework.comm.eai.easymade.model;

import biz.trustnet.common.util.CommonUtil;

/**
 * 실시간 통합멤버십 포인트 결제/취소 Bean
 * @author dev10
 *
 */
public class MembershipBean {

	private int length 			= 0;		//전문길이 전문 전체 길이 - 자기자신 4 바이트 제외한 길이
	private String specType 	= "";		//구분 '전문 종류  - 'T' 코인사용,  'R' 코인취소
	private String mcNo 		= "";		//가맹점_번호
	private String mcNm 		= "";		//가맹점_명
	private String cstDrmDvC 	= "";		//고객_식별_구분_코드 ‘1’- 카드_번호, ‘2’- 멤버십_고객_번호, '3' - CI
	private String cdNo			= "";		//카드_번호 고객_식별_구분_코드가 ‘1’이면 필수
	private String mebCstNo 	= "";		//멤버십_고객_번호 고객_식별_구분_코드가 ‘2’이면 필수(하나금융 관계사 전용)
	private String ci 			= "";		//CI 고객_식별_구분_코드가 ‘3’이면 필수(제휴사용)
	private String deRsonC 		= "";		//거래_사유_코드
	private String deDt 		= "";		//YYYYMMDD
	private String deHr 		= "";		//HH24MISS
	private String amArDv 		= "";		//코인사용 시 정액/정율에 대한 구분  (01 : 정액, 02 : 정율)
	private String amUseCoin 	= "";		//정액_정율_구분이 정액(01)일 경우 필수 예) 0000040000
	private String arUsecoinC 	= "";		//정액_정율_구분이 정율(02)일 경우 필수 01 : 10%, 02 : 20%, 03 : 30%, 04 : 40%, 05 : 50%, 06 : 60%, 07 : 70%, 08 : 80%, 09 : 90%, 10 : 100% 정율사용 계산시 소수점 아래 절사처리(532.9 -> 532)
	private String ccoUsePt 	= "";		//제휴사_사용_포인트 예) 0000040000 (제휴사 전용 - 합산사용시 제휴사사용 코인)
	private String hsCtfDv 		= "";		//본인_인증_구분 ‘P’- 비밀번호
	private String pswd 		= "";		//비밀번호 온_오프_구분이 OFF: 오프라인 거래일 경우는 필수
	private String deAm 		= "";		//거래_금액 예) 0000050000  (직제휴사 필수)
	private String dscAm 		= "";		//할인_금액 예) 0000010000  (직제휴사 필수)
	private String limUseYn 	= "";		//한도_사용_여부 사용가능코인이 부족할 경우 잔여코인에 대한 사용처리 여부 Y: 사용요청_코인 > 가용_코인인 경우도 정상 사용처리 N: 사용요청_코인 <= 가용_코인 일 경우만 정상 사용처리		관계사 전용 컬럼이며 제휴사는 무조건 'N'
	private String relcoPdclsC 	= "";		//관계사_상품분류_코드	상품분류코드 : 관계사 관리 및 사용
	private String cmpC 		= "";		//캠페인_코드
	private String cponC 		= "";		//쿠폰_코드
	private String cponNo 		= "";		//쿠폰_번호
	private String cponPswdChkYn= "";		//쿠폰_비밀번호_체크_여부
	private String cponPswd 	= "";		//쿠폰_비밀번호
	private String chpId 		= "";		//변경자_ID
	private String bizTermId 	= "";		//영업_단말_ID
	private String oriAprDt 	= "";		//원_승인_일자	취소 거래시 필수
	private String oriAprNo 	= "";		//원_승인_번호	취소 거래시 필수
	private String oriDeFlwNo 	= "";		//원_거래_추적_번호	취소 거래시 필수(추적_번호)
	private String rspMsg1 		= "";		//응답_메시지_1 운영사 처리응답_메시지
	private String rspMsg2 		= "";		//응답_메시지_2 화면디스플레이용 응답_메시지
	private String rspMsg3 		= "";		//응답_메시지_3 영수증 출력용 응답_메시지
	private String mebAprDt 	= "";		//멤버십_승인_일자 ‘YYYYMMDD’
	private String mebAprNo 	= "";		//멤버십_승인_번호
	private String ramArDv 		= "";		//정액_정율_구분 '코인사용 시 정액/정율에 대한 구분 01 : 정액, 02 : 정율
	private String akCoin 		= "";		//요청_코인 요청전문의 사용/사용취소코인 유지
	private String pcCoin 		= "";		//처리_코인 한도_사용_여부 = Y AND 사용요청_코인 > 가용_코인 일 경우 실제 처리된 가용_코인 예) 0000040000
	private String avlCoin 		= "";		//가용_코인 예) 0000002000
	private String resultCd 	= "";		//응답코드
	private String pk			= "";		//결제PK
	private String flwNo		= "";		//추적키
	private String jgNo			= "";		//증권번호

	public MembershipBean() {
	}

	public MembershipBean(String transaction) {
		this(transaction.getBytes());
	}

	public MembershipBean(byte[] transaction) {

		this.length = CommonUtil.parseInt(CommonUtil.toString(transaction, 0, 4).trim());
		this.specType = CommonUtil.toString(transaction, 4, 1).trim();
		this.mcNo = CommonUtil.toString(transaction, 5, 20).trim();
		this.mcNm = CommonUtil.toString(transaction, 25, 50).trim();
		this.cstDrmDvC = CommonUtil.toString(transaction, 75, 1).trim();
		this.cdNo = CommonUtil.toString(transaction, 76, 20).trim();
		this.mebCstNo = CommonUtil.toString(transaction, 96, 13).trim();
		this.ci = CommonUtil.toString(transaction, 109, 88).trim();
		this.deRsonC = CommonUtil.toString(transaction, 197, 5).trim();
		this.deDt = CommonUtil.toString(transaction, 202, 8).trim();
		this.deHr = CommonUtil.toString(transaction, 210, 6).trim();
		this.amArDv = CommonUtil.toString(transaction, 216, 2).trim();
		this.amUseCoin = CommonUtil.toString(transaction, 218, 10).trim();
		this.arUsecoinC = CommonUtil.toString(transaction, 228, 2).trim();
		this.ccoUsePt = CommonUtil.toString(transaction, 230, 10).trim();
		this.hsCtfDv = CommonUtil.toString(transaction, 240, 1).trim();
		this.pswd = CommonUtil.toString(transaction, 241, 10).trim();
		this.deAm = CommonUtil.toString(transaction, 251, 10).trim();
		this.dscAm = CommonUtil.toString(transaction, 261, 10).trim();
		this.limUseYn = CommonUtil.toString(transaction, 271, 1).trim();
		this.relcoPdclsC = CommonUtil.toString(transaction, 272, 10).trim();
		this.cmpC = CommonUtil.toString(transaction, 282, 20).trim();
		this.cponC = CommonUtil.toString(transaction, 302, 20).trim();
		this.cponNo = CommonUtil.toString(transaction, 322, 20).trim();
		this.cponPswdChkYn = CommonUtil.toString(transaction, 342, 1).trim();
		this.cponPswd = CommonUtil.toString(transaction, 343, 4).trim();
		this.chpId = CommonUtil.toString(transaction, 347, 20).trim();
		this.bizTermId = CommonUtil.toString(transaction, 367, 50).trim();
		this.oriAprDt = CommonUtil.toString(transaction, 417, 8).trim();
		this.oriAprNo = CommonUtil.toString(transaction, 425, 10).trim();
		this.oriDeFlwNo = CommonUtil.toString(transaction, 435, 50).trim();
		this.rspMsg1 = CommonUtil.toString(transaction, 485, 100).trim();
		this.rspMsg2 = CommonUtil.toString(transaction, 585, 150).trim();
		this.rspMsg3 = CommonUtil.toString(transaction, 735, 150).trim();
		this.mebAprDt = CommonUtil.toString(transaction, 885, 8).trim();
		this.mebAprNo = CommonUtil.toString(transaction, 893, 10).trim();
		this.ramArDv = CommonUtil.toString(transaction, 903, 2).trim();
		this.akCoin = CommonUtil.toString(transaction, 905, 10).trim();
		this.pcCoin = CommonUtil.toString(transaction, 915, 10).trim();
		this.avlCoin = CommonUtil.toString(transaction, 925, 10).trim();
		this.resultCd = CommonUtil.toString(transaction, 935, 5).trim();
		this.pk = CommonUtil.toString(transaction, 940, 20).trim();
		this.flwNo = CommonUtil.toString(transaction, 960, 50).trim();
		this.jgNo = CommonUtil.toString(transaction, 1010, 10).trim();
	}

	public String getTransaction() {
		StringBuffer transaction = new StringBuffer();
		transaction.append(CommonUtil.byteFiller(this.specType, 1));
		transaction.append(CommonUtil.byteFiller(this.mcNo, 20));
		transaction.append(CommonUtil.byteFiller(this.mcNm, 50));
		transaction.append(CommonUtil.byteFiller(this.cstDrmDvC, 1));
		transaction.append(CommonUtil.byteFiller(this.cdNo, 20));
		transaction.append(CommonUtil.byteFiller(this.mebCstNo, 13));
		transaction.append(CommonUtil.byteFiller(this.ci, 88));
		transaction.append(CommonUtil.byteFiller(this.deRsonC, 5));
		transaction.append(CommonUtil.byteFiller(this.deDt, 8));
		transaction.append(CommonUtil.byteFiller(this.deHr, 6));
		transaction.append(CommonUtil.byteFiller(this.amArDv, 2));
		transaction.append(CommonUtil.zerofill(this.amUseCoin, 10));
		transaction.append(CommonUtil.byteFiller(this.arUsecoinC, 2));
		transaction.append(CommonUtil.zerofill(this.ccoUsePt, 10));
		transaction.append(CommonUtil.byteFiller(this.hsCtfDv, 1));
		transaction.append(CommonUtil.byteFiller(this.pswd, 10));
		transaction.append(CommonUtil.zerofill(this.deAm, 10));
		transaction.append(CommonUtil.zerofill(this.dscAm, 10));
		transaction.append(CommonUtil.byteFiller(this.limUseYn, 1));
		transaction.append(CommonUtil.byteFiller(this.relcoPdclsC, 10));
		transaction.append(CommonUtil.byteFiller(this.cmpC, 20));
		transaction.append(CommonUtil.byteFiller(this.cponC, 20));
		transaction.append(CommonUtil.byteFiller(this.cponNo, 20));
		transaction.append(CommonUtil.byteFiller(this.cponPswdChkYn, 1));
		transaction.append(CommonUtil.byteFiller(this.cponPswd, 4));
		transaction.append(CommonUtil.byteFiller(this.chpId, 20));
		transaction.append(CommonUtil.byteFiller(this.bizTermId, 50));
		transaction.append(CommonUtil.byteFiller(this.oriAprDt, 8));
		transaction.append(CommonUtil.byteFiller(this.oriAprNo, 10));
		transaction.append(CommonUtil.byteFiller(this.oriDeFlwNo, 50));
		transaction.append(CommonUtil.byteFiller(this.rspMsg1, 100));
		transaction.append(CommonUtil.byteFiller(this.rspMsg2, 150));
		transaction.append(CommonUtil.byteFiller(this.rspMsg3, 150));
		transaction.append(CommonUtil.byteFiller(this.mebAprDt, 8));
		transaction.append(CommonUtil.byteFiller(this.mebAprNo, 10));
		transaction.append(CommonUtil.byteFiller(this.ramArDv, 2));
		transaction.append(CommonUtil.zerofill(this.akCoin, 10));
		transaction.append(CommonUtil.zerofill(this.pcCoin, 10));
		transaction.append(CommonUtil.zerofill(this.avlCoin, 10));
		transaction.append(CommonUtil.byteFiller(this.resultCd, 5));
		transaction.append(CommonUtil.byteFiller(this.pk, 20));
		transaction.append(CommonUtil.byteFiller(this.flwNo, 50));
		transaction.append(CommonUtil.byteFiller(this.jgNo, 10));
		return String.valueOf(CommonUtil.zerofill((transaction.toString().getBytes()).length, 4)) + transaction.toString();
	}

	public int getLength() {
		return this.length;
	}

	public void setLength(int length) {
		this.length = length;
	}

	public String getSpecType() {
		return this.specType;
	}

	public void setSpecType(String specType) {
		this.specType = specType;
	}

	public String getMcNo() {
		return this.mcNo;
	}

	public void setMcNo(String mcNo) {
		this.mcNo = mcNo;
	}

	public String getMcNm() {
		return this.mcNm;
	}

	public void setMcNm(String mcNm) {
		this.mcNm = mcNm;
	}

	public String getCstDrmDvC() {
		return this.cstDrmDvC;
	}

	public void setCstDrmDvC(String cstDrmDvC) {
		this.cstDrmDvC = cstDrmDvC;
	}

	public String getCdNo() {
		return this.cdNo;
	}

	public void setCdNo(String cdNo) {
		this.cdNo = cdNo;
	}

	public String getMebCstNo() {
		return this.mebCstNo;
	}

	public void setMebCstNo(String mebCstNo) {
		this.mebCstNo = mebCstNo;
	}

	public String getCi() {
		return this.ci;
	}

	public void setCi(String ci) {
		this.ci = ci;
	}

	public String getDeRsonC() {
		return this.deRsonC;
	}

	public void setDeRsonC(String deRsonC) {
		this.deRsonC = deRsonC;
	}

	public String getDeDt() {
		return this.deDt;
	}

	public void setDeDt(String deDt) {
		this.deDt = deDt;
	}

	public String getDeHr() {
		return this.deHr;
	}

	public void setDeHr(String deHr) {
		this.deHr = deHr;
	}

	public String getAmArDv() {
		return this.amArDv;
	}

	public void setAmArDv(String amArDv) {
		this.amArDv = amArDv;
	}

	public String getAmUseCoin() {
		return this.amUseCoin;
	}

	public void setAmUseCoin(String amUseCoin) {
		this.amUseCoin = amUseCoin;
	}

	public String getArUsecoinC() {
		return this.arUsecoinC;
	}

	public void setArUsecoinC(String arUsecoinC) {
		this.arUsecoinC = arUsecoinC;
	}

	public String getCcoUsePt() {
		return this.ccoUsePt;
	}

	public void setCcoUsePt(String ccoUsePt) {
		this.ccoUsePt = ccoUsePt;
	}

	public String getHsCtfDv() {
		return this.hsCtfDv;
	}

	public void setHsCtfDv(String hsCtfDv) {
		this.hsCtfDv = hsCtfDv;
	}

	public String getPswd() {
		return this.pswd;
	}

	public void setPswd(String pswd) {
		this.pswd = pswd;
	}

	public String getDeAm() {
		return this.deAm;
	}

	public void setDeAm(String deAm) {
		this.deAm = deAm;
	}

	public String getDscAm() {
		return this.dscAm;
	}

	public void setDscAm(String dscAm) {
		this.dscAm = dscAm;
	}

	public String getLimUseYn() {
		return this.limUseYn;
	}

	public void setLimUseYn(String limUseYn) {
		this.limUseYn = limUseYn;
	}

	public String getRelcoPdclsC() {
		return this.relcoPdclsC;
	}

	public void setRelcoPdclsC(String relcoPdclsC) {
		this.relcoPdclsC = relcoPdclsC;
	}

	public String getCmpC() {
		return this.cmpC;
	}

	public void setCmpC(String cmpC) {
		this.cmpC = cmpC;
	}

	public String getCponC() {
		return this.cponC;
	}

	public void setCponC(String cponC) {
		this.cponC = cponC;
	}

	public String getCponNo() {
		return this.cponNo;
	}

	public void setCponNo(String cponNo) {
		this.cponNo = cponNo;
	}

	public String getCponPswdChkYn() {
		return this.cponPswdChkYn;
	}

	public void setCponPswdChkYn(String cponPswdChkYn) {
		this.cponPswdChkYn = cponPswdChkYn;
	}

	public String getCponPswd() {
		return this.cponPswd;
	}

	public void setCponPswd(String cponPswd) {
		this.cponPswd = cponPswd;
	}

	public String getChpId() {
		return this.chpId;
	}

	public void setChpId(String chpId) {
		this.chpId = chpId;
	}

	public String getBizTermId() {
		return this.bizTermId;
	}

	public void setBizTermId(String bizTermId) {
		this.bizTermId = bizTermId;
	}

	public String getOriAprDt() {
		return this.oriAprDt;
	}

	public void setOriAprDt(String oriAprDt) {
		this.oriAprDt = oriAprDt;
	}

	public String getOriAprNo() {
		return this.oriAprNo;
	}

	public void setOriAprNo(String oriAprNo) {
		this.oriAprNo = oriAprNo;
	}

	public String getOriDeFlwNo() {
		return this.oriDeFlwNo;
	}

	public void setOriDeFlwNo(String oriDeFlwNo) {
		this.oriDeFlwNo = oriDeFlwNo;
	}

	public String getRspMsg1() {
		return this.rspMsg1;
	}

	public void setRspMsg1(String rspMsg1) {
		this.rspMsg1 = rspMsg1;
	}

	public String getRspMsg2() {
		return this.rspMsg2;
	}

	public void setRspMsg2(String rspMsg2) {
		this.rspMsg2 = rspMsg2;
	}

	public String getRspMsg3() {
		return this.rspMsg3;
	}

	public void setRspMsg3(String rspMsg3) {
		this.rspMsg3 = rspMsg3;
	}

	public String getMebAprDt() {
		return this.mebAprDt;
	}

	public void setMebAprDt(String mebAprDt) {
		this.mebAprDt = mebAprDt;
	}

	public String getMebAprNo() {
		return this.mebAprNo;
	}

	public void setMebAprNo(String mebAprNo) {
		this.mebAprNo = mebAprNo;
	}

	public String getRamArDv() {
		return this.ramArDv;
	}

	public void setRamArDv(String ramArDv) {
		this.ramArDv = ramArDv;
	}

	public String getAkCoin() {
		return this.akCoin;
	}

	public void setAkCoin(String akCoin) {
		this.akCoin = akCoin;
	}

	public String getPcCoin() {
		return this.pcCoin;
	}

	public void setPcCoin(String pcCoin) {
		this.pcCoin = pcCoin;
	}

	public String getAvlCoin() {
		return this.avlCoin;
	}

	public void setAvlCoin(String avlCoin) {
		this.avlCoin = avlCoin;
	}

	public String getResultCd() {
		return this.resultCd;
	}

	public void setResultCd(String resultCd) {
		this.resultCd = resultCd;
	}

	public String getPk() {
		return pk;
	}

	public void setPk(String pk) {
		this.pk = pk;
	}

	public String getFlwNo() {
		return flwNo;
	}

	public void setFlwNo(String flwNo) {
		this.flwNo = flwNo;
	}

	public String getJgNo() {
		return jgNo;
	}

	public void setJgNo(String jgNo) {
		this.jgNo = jgNo;
	}

	@Override
	public String toString() {
		return "MembershipBean [length=" + length + ", specType=" + specType + ", mcNo=" + mcNo + ", mcNm=" + mcNm + ", cstDrmDvC=" + cstDrmDvC + ", cdNo=" + cdNo + ", mebCstNo=" + mebCstNo + ", ci="
				+ ci + ", deRsonC=" + deRsonC + ", deDt=" + deDt + ", deHr=" + deHr + ", amArDv=" + amArDv + ", amUseCoin=" + amUseCoin + ", arUsecoinC=" + arUsecoinC + ", ccoUsePt=" + ccoUsePt
				+ ", hsCtfDv=" + hsCtfDv + ", pswd=" + pswd + ", deAm=" + deAm + ", dscAm=" + dscAm + ", limUseYn=" + limUseYn + ", relcoPdclsC=" + relcoPdclsC + ", cmpC=" + cmpC + ", cponC=" + cponC
				+ ", cponNo=" + cponNo + ", cponPswdChkYn=" + cponPswdChkYn + ", cponPswd=" + cponPswd + ", chpId=" + chpId + ", bizTermId=" + bizTermId + ", oriAprDt=" + oriAprDt + ", oriAprNo="
				+ oriAprNo + ", oriDeFlwNo=" + oriDeFlwNo + ", rspMsg1=" + rspMsg1 + ", rspMsg2=" + rspMsg2 + ", rspMsg3=" + rspMsg3 + ", mebAprDt=" + mebAprDt + ", mebAprNo=" + mebAprNo
				+ ", ramArDv=" + ramArDv + ", akCoin=" + akCoin + ", pcCoin=" + pcCoin + ", avlCoin=" + avlCoin + ", resultCd=" + resultCd + ", pk=" + pk + ", flwNo=" + flwNo + ", jgNo=" + jgNo + "]";
	}

}
