package hanalife.framework.comm.eai.myreal.calc;

import java.io.UnsupportedEncodingException;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.Key;
import java.security.NoSuchAlgorithmException;

import javax.crypto.BadPaddingException;
import javax.crypto.Cipher;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;
import javax.xml.bind.DatatypeConverter;

import org.apache.commons.codec.binary.Base64;

public class AesPkcs5 {
  public static String encode(byte[] data, String key, String iv) throws Exception {
    Cipher cipher = Cipher.getInstance("AES/CBC/PKCS5Padding");
    SecretKeySpec secretKeySpec = new SecretKeySpec(key.getBytes("UTF-8"), "AES");
    IvParameterSpec ivParameterSpec = new IvParameterSpec(iv.getBytes("UTF-8"));
    cipher.init(1, secretKeySpec, ivParameterSpec);
    byte[] encrypted = cipher.doFinal(data);
    return DatatypeConverter.printBase64Binary(encrypted);
  }

  public static String encode(String data, String key, String iv) throws Exception {
	    Cipher cipher = Cipher.getInstance("AES/CBC/PKCS5Padding");
	    SecretKeySpec secretKeySpec = new SecretKeySpec(key.getBytes("UTF-8"), "AES");
	    IvParameterSpec ivParameterSpec = new IvParameterSpec(iv.getBytes("UTF-8"));

	    cipher.init(Cipher.ENCRYPT_MODE, secretKeySpec, ivParameterSpec);
	    byte[] encrypted = cipher.doFinal(data.getBytes("UTF-8"));

	    return new String(Base64.encodeBase64(encrypted));
	  }

  private String iv;
  private Key keySpec;

  final static String key ="bPcTTkCFZSgdzpA5";

  public void AES256Util() throws UnsupportedEncodingException {
	  this.iv = key.substring(0, 16);
	  byte[] keyBytes = new byte[16];
	  byte[] b = key.getBytes("UTF-8");
	  int len = b.length;
	  if(len>keyBytes.length){
		  len = keyBytes.length;
	  }
	  System.arraycopy(b,0,keyBytes,0,len);
	  SecretKeySpec keySpec = new SecretKeySpec(keyBytes, "AES");
	  this.keySpec = keySpec;
  }

  public static String encrypt2(String str, String iv, Key keySpec) throws NoSuchAlgorithmException, NoSuchPaddingException, InvalidKeyException, InvalidAlgorithmParameterException, IllegalBlockSizeException, BadPaddingException, UnsupportedEncodingException{
	  Cipher c = Cipher.getInstance("AES/CBC/PKCS5Padding");
	  c.init(Cipher.ENCRYPT_MODE, keySpec, new IvParameterSpec(iv.getBytes("UTF-8")));
	  byte[] encrypted = c.doFinal(str.getBytes("UTF-8"));
	  String enStr = new String(Base64.encodeBase64(encrypted));
	  return enStr;
  }

  public static String decrypt2(String str, String iv, Key keySpec, String enc) throws Exception{
	  Cipher c = Cipher.getInstance("AES/CBC/PKCS5Padding");
	  c.init(Cipher.DECRYPT_MODE, keySpec, new IvParameterSpec(iv.getBytes("UTF-8")));
	  byte[] byteStr = Base64.decodeBase64(str.getBytes());
	  return new String(c.doFinal(byteStr), enc);
  }

  public static byte[] encryptByte(byte[] byteParam, String iv, Key keySpec) throws NoSuchAlgorithmException, NoSuchPaddingException, InvalidKeyException, InvalidAlgorithmParameterException, IllegalBlockSizeException, BadPaddingException, UnsupportedEncodingException{
	  Cipher c = Cipher.getInstance("AES/CBC/PKCS5Padding");
	  c.init(Cipher.ENCRYPT_MODE, keySpec, new IvParameterSpec(iv.getBytes("UTF-8")));
	  byte[] encrypted = c.doFinal(byteParam);
	  String enStr = new String(Base64.encodeBase64(encrypted));
	  byte[] result = Base64.encodeBase64(encrypted);
	  return result;
  }

  public static byte[] decryptByte(byte[] byteParam, String iv, Key keySpec) throws Exception{
	  Cipher c = Cipher.getInstance("AES/CBC/PKCS5Padding");
	  c.init(Cipher.DECRYPT_MODE, keySpec, new IvParameterSpec(iv.getBytes("UTF-8")));
	  byte[] byteStr = Base64.decodeBase64(byteParam);
	  return c.doFinal(byteStr);
  }

  public static byte[] decrypt3(String str, String iv, Key keySpec) throws Exception{
	  Cipher c = Cipher.getInstance("AES/CBC/PKCS5Padding");
	  c.init(Cipher.DECRYPT_MODE, keySpec, new IvParameterSpec(iv.getBytes("UTF-8")));
	  byte[] byteStr = Base64.decodeBase64(str.getBytes());
	  return c.doFinal(byteStr);
  }


}
