package hanalife.framework.comm.eai.myreal.calc;

import java.io.ByteArrayOutputStream;
import java.io.UnsupportedEncodingException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

import javax.servlet.http.HttpSession;

import com.google.gson.JsonArray;
import com.google.gson.JsonObject;

import hanalife.framework.comm.eai.myreal.model.InsDiasEstPlan;
import hanalife.framework.comm.eai.myreal.model.InsDiasEstSts;
import hanalife.framework.comm.eai.myreal.model.InsDiasMst;
import hanalife.framework.comm.eai.myreal.model.InsDiasPlan;
import hanalife.framework.comm.eai.myreal.model.InsDiasPlanFlat;
import hanalife.framework.comm.eai.myreal.model.InsDtlInfo;
import hanalife.framework.comm.eai.myreal.model.InsInfo;
import hanalife.framework.comm.eai.myreal.model.InsSmpInfo;



public class MakeDataFormat {

	private static String svcCd;
	final private static int[] ARR_270_LEN = {9,4,2,3,4,3,1,3,7,7,14,7,14,16,13,15,50,1,13,1,2,2,3,50,20,100,50,2,8,8,2,1,8,8,8,8,15,2,2,2,20,8,1,30,8,50,2};
	final private static int[] ARR_291_LEN = {9,4,2,3,4,3,1,3,7,7,14,7,14,16,13,15,50,1,13,1,2,2,1,1,2,2,3,2};
	final private static int[] ARR_270_LST_LEN = {1,20,8,1,2,100,1};
	final private static int[] ARR_291_LST_LEN = {3,50,20,1,100,2,8,8,15,2,2,5,30,2,12};
	private static int[] pivot;
	private static String tLen;			//전문 길이
	private static InsInfo insInfo;
	private static String rtnMsg;		// 리턴 메시지 원본
	private static String rtnMsgSplit;	// 리턴 메시지 가공용
	public MakeDataFormat(String svcCd) {
		setSvcCd(svcCd);
		if(svcCd.equals("270")){		//상세정보 계약
			pivot = ARR_270_LEN;
			tLen = "0231";
		}else if(svcCd.equals("291")){	//보험사별 계약정보
			pivot = ARR_291_LEN;
			tLen = "0182";
			tLen = "3829";//psy
		}
		insInfo = new InsInfo();
	}

	public static byte[] makeHeader(String instCode, String applCode, String kindCode, String data)
    {
		String svcCd = data.substring(22,25);
		int	REQ_EXTERNAL          =      1;
		int AL_MSG_DATA          =      101;

        byte[] magic    	= new byte[4];
        byte[] seqno    	= new byte[4];
        byte[] reqtype  	= new byte[4];
        byte[] msgtype  	= new byte[4];
        byte[] flags    	= new byte[4];
        byte[] etc  	    = new byte[4];
        byte[] etc2			= new byte[4];
        byte[] inst_code	= new byte[4];
        byte[] appl_code	= new byte[4];
        byte[] kind_code	= new byte[8];
        byte[] tx_code 		= new byte[32];
        byte[] msg_uid		= new byte[10];
        byte[] log_id  		= new byte[28];
        byte[] resvd		= new byte[6];

        ByteArrayOutputStream outStrm = new ByteArrayOutputStream();

        try{

        	magic = htonl(5555);//고정 5555
        	outStrm.write(magic);

        	seqno = htonl(0);//??
        	outStrm.write(seqno);

        	reqtype = htonl(REQ_EXTERNAL);//대외요청인지 대내요청인지 .....
        	outStrm.write(reqtype);

        	msgtype = htonl(AL_MSG_DATA);//고정 101
        	outStrm.write(msgtype);

        	flags = htonl(0);//에러가 발생한 경우 에러코드가 설정된다.
        	outStrm.write(flags);

        	etc = htonl(0);//미지정
        	outStrm.write(etc);

        	etc2 = htonl(0);//Mapper에서 포맷 에러를 매핑할 때 TP_NOREPLY가 설정된다
        	outStrm.write(etc2);

            inst_code = addSpace(instCode, instCode.length(), 4).getBytes(); //기관코드를 설정한다.
            outStrm.write(inst_code);
            appl_code = addSpace(applCode, applCode.length(), 4).getBytes();//업무코드를 설정한다.
            outStrm.write(appl_code);
            kind_code = addSpace(kindCode, kindCode.length(), 8).getBytes();//대표전문종별코드를 설정한다.
            outStrm.write(kind_code);
            tx_code = addSpace(svcCd, svcCd.length(), 32).getBytes();//거래코드를 설정한다.
            outStrm.write(tx_code);
            msg_uid = addSpace(" ", 1, 10).getBytes();//전문고유번호를 설정한다.
            outStrm.write(msg_uid);
            log_id = addSpace(" ", 1, 28).getBytes();//마스터 로그의 LOG_ID를 설정한다.
            outStrm.write(log_id);
            resvd = addSpace(" ", 1, 6).getBytes();//VO 전문의 경우 '01'이 설정된다.
            outStrm.write(resvd);
            outStrm.write(data.getBytes());
            //data부 헤더는 94바이트로 갈예정임... 상세 값 및 정의는 업무단에서 정의해준데로 하기로 ...

        }catch(Exception e)	{
        	e.printStackTrace();
        }

        return outStrm.toByteArray();
    }

	public String makeDataByIFInfo(String name, String ssno) {
		String toDay = (new SimpleDateFormat("yyyyMMddHHmmss")).format(Calendar.getInstance().getTime());
		// 공통정보부
		StringBuffer mockSb = new StringBuffer();
		mockSb.append(makeStrLen(pivot[0] ,"CISIFPSOT"));		//'CISIFPSOR'(운영)/'CISIFPSOT'(개발)
		mockSb.append(makeStrLen(pivot[1] ,tLen));				//전문 길이
		mockSb.append(makeStrLen(pivot[2] ,"90"));				//고정 System-ID 90
		mockSb.append(makeStrLen(pivot[3] ,"L63"));				//고정 대표기관코드 L63 하나생명
		mockSb.append(makeStrLen(pivot[4] ,"0200"));			//고정 전문종별코드; 전문의 거래별 구분코드 200
		mockSb.append(makeStrLen(pivot[5] ,svcCd));				//업무구분코드
		mockSb.append(makeStrLen(pivot[6] ,"I"));				//고정 송수신 flag 'I'-보험회사등에서 전문을 발생할 시/'K'-한국신용정보원에서 전문을 발생할 시
		mockSb.append(makeStrLen(pivot[7] ,"   "));				//고정 응답코드
		mockSb.append(makeStrLen(pivot[8] ,"9999999"));			//고정 점포코드
		mockSb.append(makeStrLen(pivot[9] ,"0000001"));			//보험회사등 전문관리번호
		mockSb.append(makeStrLen(pivot[10],toDay));				//보험회사등 전문전송 시간 'YYYYMMDDHH24MISS')
		mockSb.append(makeStrLen(pivot[11],""));			//한국신용정보원 전문관리번호  0000000
		mockSb.append(makeStrLen(pivot[12],""));	//한국신용정보원 전문전송 시간  00000000000000
		mockSb.append(makeStrLen(pivot[13],""));				//예비정보 field

		// 개별정보부
		mockSb.append(makeStrLen(pivot[14],"9999999999999"));	//사용자ID 전산을 통한 자동조회 시 9999999999999 고정
		mockSb.append(makeStrLen(pivot[15],"21.98.247.100"));	//사용자IP
		mockSb.append(makeStrLen(pivot[16],name));				//사용자성명
		mockSb.append(makeStrLen(pivot[17],"P"));				//자료조회목적코드 사용자가 수행하는 업무에 해당하는 코드(U:인수심사, C:지급심사, S:보험사기) U
		mockSb.append(makeStrLen(pivot[18],ssno));				//조회대상자 주민등록번호 ('-'제외)
		mockSb.append(makeStrLen(pivot[19],"Y"));				//조회대상자 조회동의여부
		mockSb.append(makeStrLen(pivot[20],"99"));				//이용기간 제공받은 조회대상자의 보험신용정보 이용기간(단위: 개월) 12
		mockSb.append(makeStrLen(pivot[21],"99"));				//보유기간 제공받은 조회대상자의 보험신용정보 이용기간(단위: 개월) 12
		if(svcCd.equals("270")){
			mockSb.append(makeStrLen(pivot[22],"N01"));			//회사코드 L63:하나생명, N01:메리츠
			mockSb.append(makeStrLen(pivot[23],"0260593410028"));// 증권번호 0260593410028
		}else if(svcCd.equals("291")){
			mockSb.append(makeStrLen(pivot[22],"A"));			//주계약상태코드(A:정상, B:전체) B
			mockSb.append(makeStrLen(pivot[23],"A"));			//담보상태코드   (A:정상, B:전체) B
			mockSb.append(makeStrLen(pivot[24],"01"));			//요청전문번호 전체 전문 중 현재 요청되는 전문의 번호 (예시) 02: 전체 3건의 전문 중 2번째 전문에 해당
		}
		return mockSb.toString();
	}

	public static byte[] htonl(int arg)	{
    	byte[] bigEndian = new byte[4];
    	bigEndian[0]=(byte)((arg&0xFF000000)>>24);
    	bigEndian[1]=(byte)((arg&0x00FF0000)>>16);
    	bigEndian[2]=(byte)((arg&0x0000FF00)>>8);
    	bigEndian[3]=(byte) (arg&0x000000FF);
    	return bigEndian;
    }

	public static String addSpace(String arg, int size, int totSize)	{
    	if(arg.length() == totSize)
    		return arg;
     	while(arg.length() < totSize) {
    		arg += " ";
    	}
     	byte[] tmp = arg.getBytes();
     	tmp[size] = 0x00;
     	arg = new String(tmp);
    	return arg;
    }

	public static String makeStrLen(int i, String str) {
		String result = "";
		int len = str.length();

		if(i>len){
			result = str;
			String space = "";
			for(int j=0;j<i-len;j++){
				space += " ";
			}
			return result+space;
		}else if(i<len){
			return str.substring(0,i);
		}else{
			return str;
		}
	}

	/**
	 * TEST용
	 * @param rtnMsgByte
	 * @throws UnsupportedEncodingException
	 */
	public void toModel(byte[] rtnMsgByte) throws UnsupportedEncodingException {
		rtnMsg = new String(rtnMsgByte, "EUC-KR");
		rtnMsgSplit = new String(rtnMsgByte, "EUC-KR");

		//return data setting to model
		/*********************** 공통정보부 START ***********************/
		insInfo.setTrnsCd(cutKorStr(pivot[0]));
		insInfo.setTlgrmLng(cutKorStr(pivot[1]));
		insInfo.setSysId(cutKorStr(pivot[2]));
		insInfo.setRprsnCd(cutKorStr(pivot[3]));
		insInfo.setCmpCd(cutKorStr(pivot[4]));
		insInfo.setBsnsCd(cutKorStr(pivot[5]));
		insInfo.setIoFlag(cutKorStr(pivot[6]));
		insInfo.setRtnCd(cutKorStr(pivot[7]));
		insInfo.setJpCd(cutKorStr(pivot[8]));
		insInfo.setInsTlgrmNo(cutKorStr(pivot[9]));
		insInfo.setInsTrnsDate(cutKorStr(pivot[10]));
		insInfo.setKciTlgrmNo(cutKorStr(pivot[11]));
		insInfo.setKciTrnsDate(cutKorStr(pivot[12]));
		insInfo.setTodoField(cutKorStr(pivot[13]));
		/*********************** 공통정보부 END ***********************/
		/*********************** 개별공통부 START ***********************/
		insInfo.setUserId(cutKorStr(pivot[14]));
		insInfo.setUserIp(cutKorStr(pivot[15]));
		insInfo.setUserName(cutKorStr(pivot[16]));
		insInfo.setGoalCd(cutKorStr(pivot[17]));
		insInfo.setSsno(cutKorStr(pivot[18]));
		insInfo.setAgrYn(cutKorStr(pivot[19]));
		insInfo.setUseDataDate(cutKorStr(pivot[20]));
		insInfo.setSaveDataDate(cutKorStr(pivot[21]));
		if(svcCd.equals("270")){
			insInfo.setInsCmpCd(cutKorStr(pivot[22]));
			insInfo.setInsCtrctNo(cutKorStr(pivot[23]));
		}else if(svcCd.equals("291")){
			insInfo.setMainCtrctStateCd(cutKorStr(pivot[22]));
			insInfo.setGrntStateCd(cutKorStr(pivot[23]));
			insInfo.setReqTlgrmNo(cutKorStr(pivot[24]));
			insInfo.setTotTlgrmNo(cutKorStr(pivot[25]));
		}
		/*********************** 개별공통부 END ***********************/
		/*********************** 개별부 START ***********************/
		if(svcCd.equals("270")){
			insInfo.setInsurer(cutKorStr(pivot[24]));
			insInfo.setProduct(cutKorStr(pivot[25]));
			insInfo.setInsNo(cutKorStr(pivot[26]));
			insInfo.setInsRstCd(cutKorStr(pivot[27]));
			insInfo.setInsStartDate(cutKorStr(pivot[28]));
			insInfo.setInsEndDate(cutKorStr(pivot[29]));
			insInfo.setCtrctStateCd(cutKorStr(pivot[30]));
			insInfo.setDiagCtrctYn(cutKorStr(pivot[31]));
			insInfo.setCtrctDate(cutKorStr(pivot[32]));
			insInfo.setVaildDate(cutKorStr(pivot[33]));
			insInfo.setRevrDate(cutKorStr(pivot[34]));
			insInfo.setTrmtDate(cutKorStr(pivot[35]));
			insInfo.setPrice(cutKorStr(pivot[36]));
			insInfo.setPayPeriodCd(cutKorStr(pivot[37]));
			insInfo.setPayDate(cutKorStr(pivot[38]));
			insInfo.setInPathCd(cutKorStr(pivot[39]));
			insInfo.setInPathName(cutKorStr(pivot[40]));
			insInfo.setInPathBirth(cutKorStr(pivot[41]));
			insInfo.setInPathSex(cutKorStr(pivot[42]));
			insInfo.setInPathSsno(cutKorStr(pivot[43]));
			insInfo.setInPathDate(cutKorStr(pivot[44]));
			insInfo.setInPathCmpNm(cutKorStr(pivot[45]));
			insInfo.setRetCnt(cutKorStr(pivot[46]));
		}else if(svcCd.equals("291")){
			insInfo.setTotCnt(cutKorStr(pivot[26]));
			insInfo.setRetCnt(cutKorStr(pivot[27]));
		}
		/*********************** 개별부 LIST START ***********************/
		if(svcCd.equals("270") && (rtnMsg.length()> 607 )){
			int retCnt = Integer.valueOf(insInfo.getRtnCd());

			InsSmpInfo isi;
			List<InsSmpInfo> isiLst = new ArrayList<InsSmpInfo>();
			for(int i=1;i<retCnt+1;i++){
				isi = new InsSmpInfo();
				isi.setCtrctGubunCd(cutKorStr(ARR_270_LST_LEN[0]));
				isi.setCtrctName(cutKorStr(ARR_270_LST_LEN[1]));
				isi.setCtrctBirth(cutKorStr(ARR_270_LST_LEN[2]));
				isi.setCtrctSex(cutKorStr(ARR_270_LST_LEN[3]));
				isi.setCtrctRelCd(cutKorStr(ARR_270_LST_LEN[4]));
				isi.setJobName(cutKorStr(ARR_270_LST_LEN[5]));
				isi.setdGojiYn(cutKorStr(ARR_270_LST_LEN[6]));
				isiLst.add(isi);
			}
			insInfo.setInsSmpInfo(isiLst);
		}else if(svcCd.equals("291") && (rtnMsg.length()> 202 )){
			int totCnt = Integer.valueOf(insInfo.getTotCnt());
			int retCnt = Integer.valueOf(insInfo.getRetCnt());

			int arrLen = ARR_291_LST_LEN.length;

			InsDtlInfo idi;
			List<InsDtlInfo> idiLst = new ArrayList<InsDtlInfo>();
			for(int i=0;i<retCnt;i++){
				idi = new InsDtlInfo();
				idi.setCmpCd(cutKorStr(ARR_291_LST_LEN[0]));
				idi.setInsNo(cutKorStr(ARR_291_LST_LEN[1]));
				idi.setCtrctName(cutKorStr(ARR_291_LST_LEN[2]));
				idi.setCtrctRelCd(cutKorStr(ARR_291_LST_LEN[3]));
				idi.setPrdtNm(cutKorStr(ARR_291_LST_LEN[4]));
				idi.setMainCtrctStateCD(cutKorStr(ARR_291_LST_LEN[5]));
				idi.setInsStartDate(cutKorStr(ARR_291_LST_LEN[6]));
				idi.setInsEndDate(cutKorStr(ARR_291_LST_LEN[7]));
				idi.setInsPrice(cutKorStr(ARR_291_LST_LEN[8]));
				idi.setPayPeriodCd(cutKorStr(ARR_291_LST_LEN[9]));
				idi.setPayDate(cutKorStr(ARR_291_LST_LEN[10]));
				idi.setGrntCd(cutKorStr(ARR_291_LST_LEN[11]));
				idi.setCmpGrntNm(cutKorStr(ARR_291_LST_LEN[12]));
				idi.setGrntStateCd(cutKorStr(ARR_291_LST_LEN[13]));
				idi.setGrntPrice(cutKorStr(ARR_291_LST_LEN[14]));

				idiLst.add(idi);
			}
			insInfo.setInsDtlInfo(idiLst);
		}
	}

	//byte기반 substring
	private String cutKorStr(int maxByte) throws UnsupportedEncodingException {
		StringBuilder sb = new StringBuilder();
		int curLen = 0;
		String curChar;
		for(int i=0;rtnMsgSplit.length() > i;i++){
			curChar = rtnMsgSplit.substring(i, i+1);
			curLen += curChar.getBytes("euc-kr").length;
			if(curLen>maxByte){
				curLen -= curChar.getBytes("euc-kr").length;
				break;
			}else{
				sb.append(curChar);
			}
		}
		rtnMsgSplit = rtnMsgSplit.substring(sb.toString().length());

		return sb.toString();

	}

	public static String getSvcCd() {
		return svcCd;
	}

	public static void setSvcCd(String svcCd) {
		MakeDataFormat.svcCd = svcCd;
	}

	/**
	 * [202201_0342] 마이리얼로부터 받은 결과값을 파싱하여 model화 한다.
	 * @param pp
	 * @param session
	 * @return
	 */
	public static InsDiasMst resultToModelNew(JsonObject jsonParam, HttpSession session) {
		System.out.println("resultToModelNew START==================" );
		InsDiasMst result = new InsDiasMst();

		List<InsDiasPlan> insDiasPlanList = new ArrayList<InsDiasPlan>();
		InsDiasPlan idp;
		List<InsDiasPlanFlat> insDiasPlanFlatList;
		InsDiasPlanFlat idpf;

		List<InsDiasEstPlan> insDiasEstPlanList;
		List<InsDiasEstSts> insDiasEstStsList;
		InsDiasEstSts ides;

		JsonArray jsonPlanArr = (JsonArray) jsonParam.get("plans");
		System.out.println("resultToModelNew plans==================" );
		System.out.println(jsonPlanArr.toString());
		JsonObject jsonEst = new JsonObject();
		JsonObject jsonOverall = new JsonObject();
		double totScore		= 0;
		double planScore	= 0;
		String suggestion = "";
		if(!jsonParam.get("overall").isJsonNull()){
			jsonOverall = (JsonObject) jsonParam.get("overall");
			System.out.println("resultToModelNew overall==================" );
			System.out.println(jsonOverall.toString());

			//JsonObject jsonEstScore = (JsonObject)jsonEst.get("score");
			//totScore = jsonEstScore.get("aggregate").getAsDouble();
			if(!jsonOverall.get("score").isJsonNull()){
				totScore = jsonOverall.get("score").getAsDouble();
				planScore = totScore;
			}
			//planScore = (Double) jsonEstScore.get("plans").getAsDouble();
			//suggestion = (String) jsonEst.get("suggestion").toString().replaceAll("\"","");
			result.setTotScore(totScore);
			result.setPlanScore(planScore);
			result.setSuggestion(suggestion);
		}
		String userName = (String) session.getAttribute("MYREAL_NAME");
		String ciEnc = (String) session.getAttribute("MYREAL_CI");
		String birth = (String) session.getAttribute("MYREAL_SSNO1");
		String gender = (String) session.getAttribute("MYREAL_SSNO2");
		int age = calcAge(birth);//(Integer) session.getAttribute("MYREAL_AGE");
		gender = gender.substring(0,1);
		String celpNo = (String) session.getAttribute("MYREAL_CELP_NO");

		result.setUserName(userName);
		result.setCiEnc(ciEnc);
		result.setGender(Integer.parseInt(gender));
		result.setBirth(birth);
		result.setAge(age);
		result.setPhoneNumEnc(celpNo);

		JsonObject planJson;
		//JsonObject collateralJson;
		JsonArray flatsArr;
		JsonObject flatJson;

		JsonArray collateralsJson;
		JsonObject collateralJson;

		// Plan, 정상유지 건이 없는 경우 OSS_INS_DIAS_MST 테이블에만 저장
		System.out.println("jsonPlanArr Size ================== " + jsonPlanArr.size());
		if (jsonPlanArr.size() > 0) {
			for(int i=0;i<jsonPlanArr.size();i++){
				insDiasPlanFlatList = new ArrayList<InsDiasPlanFlat>();
				idp = new InsDiasPlan();
				planJson = (JsonObject) jsonPlanArr.get(i);

				String planCode = planJson.get("contract_number").toString().replaceAll("\"","");
				String cmpNm = planJson.get("insurer_name").toString().replaceAll("\"","");
				String prdNm = planJson.get("product_name").toString().replaceAll("\"","");
				double price = planJson.get("premium").getAsDouble();
				String payCycle = "";
				/*if(!planJson.get("payment_cycle").isJsonNull()){
					payCycle = (String)planJson.get("payment_cycle").toString().replaceAll("\"","");
				}*/
				if(planJson.has("payment_cycle")){
					if(!planJson.get("payment_cycle").isJsonNull()){
						payCycle = planJson.get("payment_cycle").toString().replaceAll("\"","");

						if(payCycle.equals("매월납")) {
							payCycle = "MONTH";
						}else if(payCycle.equals("6개월납")) {
							payCycle = "MONTH_6";
						}else if(payCycle.equals("년납")) {
							payCycle = "YEAR";
						}else if(payCycle.equals("일시납")) {
							payCycle = "ONCE";
						}

						/*switch(payCycle) {
							case "매월납":
								payCycle = "MONTH";
								break;
							case "6개월납":
								payCycle = "MONTH_6";
								break;
							case "년납":
								payCycle = "YEAR";
								break;
							case "일시납":
								payCycle = "ONCE";
								break;
							default:
								break;
						}*/
					}
				}

				String payYearStr = "";
				double payYear = 0;
				if(!planJson.get("payment_year").isJsonNull()){
					payYearStr = planJson.get("payment_year").toString().replaceAll("\"","");

					if(payYearStr.equals("일시납")) {
						payYear = 0;
					}else if(payYearStr.equals("전기납")) {
						payYear = 999;	// 신정원 코드표에서는 전기납은 없지만 아이지넷 규격에는 예외 처리함
					}else if(payYearStr.equals("종신")) {
						payYear = 99;
					}else {
						payYear = planJson.get("payment_year").getAsDouble();
					}

					/*switch(payYearStr) {
						case "일시납":
							payYear = 0;
							break;
						case "전기납":
							payYear = 999;	// 신정원 코드표에서는 전기납은 없지만 아이지넷 규격에는 예외 처리함
							break;
						case "종신":
							payYear = 99;
							break;
						default:
							payYear = (Double) planJson.get("payment_year").getAsDouble();
							break;
					}*/
				}
				String status = planJson.get("status").toString().replaceAll("\"","");
				String screen = planJson.get("screen").toString().replaceAll("\"","");
				String openDate = planJson.get("opened_at").toString().replaceAll("\"","");
				String closeDate = planJson.get("closed_at").toString().replaceAll("\"","");
				String lostDate = planJson.get("lost_date").toString().replaceAll("\"","");
				String revDate = planJson.get("rev_date").toString().replaceAll("\"","");
				String disDate = planJson.get("dis_date").toString().replaceAll("\"","");

				idp.setPlanOrder(i);
				idp.setPlanCode(planCode);
				idp.setCmpNm(cmpNm);
				idp.setPrdNm(prdNm);
				idp.setPrice(price);
				idp.setPayCycle(payCycle);
				idp.setPayYear(payYear);
				idp.setStatus(status);
				idp.setScreen(screen);
				idp.setOpenDate(openDate);
				idp.setCloseDate(closeDate);
				idp.setLostDate(lostDate);
				idp.setRevDate(revDate);
				idp.setDisDate(disDate);

				//collateralJson = (JsonObject)planJson.get("collaterals");

				collateralsJson = (JsonArray) planJson.get("collaterals");
				//flatsArr = (JsonArray) collateralJson.get("flats");
				System.out.println("resultToModelNew collaterals==================" );
				System.out.println(collateralsJson.toString());
				for(int j=0;j<collateralsJson.size();j++){
					idpf = new InsDiasPlanFlat();
					collateralJson = (JsonObject)collateralsJson.get(j);

					String code = collateralJson.get("code").toString().replaceAll("\"","");
					String domainNm = "";
					if(!collateralJson.get("domain_name").isJsonNull()){
						domainNm = collateralJson.get("domain_name").toString().replaceAll("\"","");
					}
					String prdNmF = "";
					if(!collateralJson.get("name").isJsonNull()){
						prdNmF = collateralJson.get("name").toString().replaceAll("\"","");
					}
					String cntrctor = collateralJson.get("contractor").toString().replaceAll("\"","");
					String cntrctRel = collateralJson.get("relation").toString().replaceAll("\"","");
					String statusF = collateralJson.get("status").toString().replaceAll("\"","");
					double volume = collateralJson.get("volume").getAsDouble();
					String openDateF = collateralJson.get("opened_at").toString().replaceAll("\"","");
					String closeDateF = collateralJson.get("closed_at").toString().replaceAll("\"","");

					idpf.setPlanOrder(i);
					idpf.setFlatOrder(j);
					idpf.setCode(code);
					idpf.setDomainNm(domainNm);
					idpf.setPrdNm(prdNmF);
					idpf.setCntrctor(cntrctor);
					idpf.setCntrctRel(cntrctRel);
					idpf.setStatus(statusF);
					idpf.setVolume(volume);
					idpf.setOpenDate(openDateF);
					idpf.setCloseDate(closeDateF);

					insDiasPlanFlatList.add(idpf);
				}
				idp.setInsDiasPlanFlat(insDiasPlanFlatList);
				insDiasPlanList.add(idp);
			}//end plan
			result.setInsDiasPlan(insDiasPlanList);

			//Estimate - plan
			//if (!jsonParam.get("estimation").isJsonNull()) {
				insDiasEstPlanList = new ArrayList<InsDiasEstPlan>();
				//JsonArray jsonEstArr = (JsonArray) jsonEst.get("plans");
				for (int i = 0; i < jsonPlanArr.size(); i++) {
					InsDiasEstPlan idep = new InsDiasEstPlan();
					//if(!jsonEstArr.get(i).isJsonNull()){
						//JsonObject json = (JsonObject) jsonEstArr.get(i);
					planJson = (JsonObject) jsonPlanArr.get(i);

					if(planJson.has("product_group")){
						String prdGrpNm = planJson.get("product_group").toString().replaceAll("\"","");
						JsonObject jsonScore = (JsonObject) planJson.get("score");
						System.out.println("resultToModelNew jsonScore==================" );
						System.out.println(jsonScore.toString());
						double grpScore = jsonScore.get("aggregate").getAsDouble();
						double insScore = jsonScore.get("insurer").getAsDouble();
						double prdScore = jsonScore.get("economic").getAsDouble();
						double renewScore = jsonScore.get("renew").getAsDouble();
						double payScore = jsonScore.get("payment").getAsDouble();
						double disScore = jsonScore.get("maturity").getAsDouble();

						String estSuggestion = planJson.get("suggestion").toString().replaceAll("\"","");

						if(estSuggestion.equals("유지")) {
							estSuggestion = "KEEP";
						}else if(estSuggestion.equals("조정")) {
							estSuggestion = "REVISE";
						}else if(estSuggestion.equals("해지")) {
							estSuggestion = "CLOSE";
						}else if(estSuggestion.equals("보류")) {
							estSuggestion = "HOLD";
						}
						/*switch(estSuggestion) {
							case "유지":
								break;
							case "조정":
								estSuggestion = "REVISE";
								break;
							case "해지":
								estSuggestion = "CLOSE";
								break;
							case "보류":
								estSuggestion = "HOLD";
								break;
							default:
								break;
						}*/

						JsonObject jsonDesc = (JsonObject) planJson.get("description");
						String descTot = jsonDesc.get("product").toString() + jsonDesc.get("economic").toString() + jsonDesc.get("maturity").toString() + jsonDesc.get("payment").toString() + jsonDesc.get("overall").toString();
						if(descTot.length()>0)
							descTot = descTot.substring(1,descTot.length()-1).replaceAll("\\\\n","</br>").replaceAll("\\\\","");
						String descPrd = jsonDesc.get("product").toString();
						if(descPrd.length()>0)
							descPrd = descPrd.substring(1,descPrd.length()-1).replaceAll("\\\\n","</br>").replaceAll("\\\\","");
						String descCmmt = jsonDesc.get("overall").toString();
						if(descCmmt.length()>0)
							descCmmt = descCmmt.substring(1,descCmmt.length()-1).replaceAll("\\\\n","</br>").replaceAll("\\\\","");

						idep.setEstPlanOrder(i);
						idep.setPrdGrpNm(prdGrpNm);
						idep.setGrpScore(grpScore);
						idep.setInsScore(insScore);
						idep.setPrdScore(prdScore);
						idep.setRenewScore(renewScore);
						idep.setPayScore(payScore);
						idep.setDisScore(disScore);
						idep.setEstSuggestion(estSuggestion);
						idep.setDescTot(descTot);
						idep.setDescPrd(descPrd);
						idep.setDescCmmt(descCmmt);
						insDiasEstPlanList.add(idep);
					}else{
						//plan에 대한 est가 null 일 경우 보류
						insDiasEstPlanList.add(null);
					}
				}
				result.setInsDiasEstPlan(insDiasEstPlanList);

				// estimate - sts
				insDiasEstStsList = new ArrayList<InsDiasEstSts>();
				//JsonObject jsonSts = (JsonObject)jsonEstSts.get(i);
				JsonObject jsonCA= (JsonObject) jsonParam.get("collateral_aggregates");
				System.out.println("resultToModelNew jsonCA==================" );
				System.out.println(jsonCA.toString());
				//for (int i = 0; i < jsonEstSts.size(); i++) {// gender 별 2개
					 //JsonObject jsonSts = (JsonObject)jsonEstSts.get(i);
					 JsonArray acgArr = (JsonArray)jsonCA.get("ag_collateral_groups");
					 for(int j=0;j<acgArr.size();j++){
						 ides = new InsDiasEstSts();
						 JsonObject jsonAcg = (JsonObject)acgArr.get(j);
						 double ageF = jsonAcg.get("age_era").getAsDouble();
						 double genderA = jsonAcg.get("gender").getAsDouble();
						 String grpNm = jsonAcg.get("group").toString().replaceAll("\"","");
						 double grpCnt = jsonAcg.get("count").getAsDouble();
						 double mean = jsonAcg.get("mean").getAsDouble();
						 double min = jsonAcg.get("minimum").getAsDouble();
						 double max = jsonAcg.get("maximum").getAsDouble();
						 double percentile = jsonAcg.get("percentile").getAsDouble();
						 double volume = jsonAcg.get("volume").getAsDouble();

						 ides.setEstStsOrder(j);
						 ides.setAge(ageF);
						 ides.setGender(genderA);
						 ides.setGrpNm(grpNm);
						 ides.setGrpCnt(grpCnt);
						 ides.setMean(mean);
						 ides.setMin(min);
						 ides.setMax(max);
						 ides.setPercentile(percentile);
						 ides.setVolume(volume);
						 insDiasEstStsList.add(ides);
					 }
				//}
				result.setInsDiasEstSts(insDiasEstStsList);
			//}//end Estimate - plan
		}
		System.out.println("resultToModelNew=====================");
		System.out.println(result.toString());
		System.out.println("resultToModelNew=====================");
		return result;
	}

	/**
	 * MST테이블의 dias_seq 를 sub 테이블에 주입한다
	 * @param result
	 * @param diasSeq
	 * @return
	 */
	public static InsDiasMst injectDiasSeq(InsDiasMst result, int diasSeq) {
		result.setDiasSeq(diasSeq);
		if(result.getInsDiasEstPlan() != null && result.getInsDiasEstPlan().size() != 0){
			List<InsDiasEstPlan> idepList = result.getInsDiasEstPlan();
			for(int i=0;i<idepList.size();i++){
				if(idepList.get(i)!=null){
					InsDiasEstPlan idep = idepList.get(i);
					idep.setDiasSeq(diasSeq);
					idepList.set(i, idep);
				}
			}
			result.setInsDiasEstPlan(idepList);
		}
		if(result.getInsDiasEstSts() != null && result.getInsDiasEstSts().size() != 0){
			List<InsDiasEstSts> idesList = result.getInsDiasEstSts();
			for(int i=0;i<idesList.size();i++){
				InsDiasEstSts ides = idesList.get(i);
				ides.setDiasSeq(diasSeq);
				idesList.set(i, ides);
			}
			result.setInsDiasEstSts(idesList);
		}
		if(result.getInsDiasPlan() != null && result.getInsDiasPlan().size() != 0){
			List<InsDiasPlan> idpList = result.getInsDiasPlan();
			for(int i=0;i<idpList.size();i++){
				InsDiasPlan idp = idpList.get(i);
				idp.setDiasSeq(diasSeq);
				if(idp.getInsDiasPlanFlat() != null){
					List<InsDiasPlanFlat> idpfList = idp.getInsDiasPlanFlat();
					for(int j=0;j<idpfList.size();j++){
						InsDiasPlanFlat idpf = idpfList.get(j);
						idpf.setDiasSeq(diasSeq);
					}
				}
				idpList.set(i, idp);
			}
			result.setInsDiasPlan(idpList);
		}

		return result;
	}

	public static int calcAge(String ssno1) {
		SimpleDateFormat sdfTime = new SimpleDateFormat("yyyyMMdd");
        long currentTime = System.currentTimeMillis();
        String today = sdfTime.format(new Date(currentTime));
		return getInsuAge(ssno1, today);
	}

	/**
     *
     * 주민번호 앞6자리를 가지고 보험나이 구한다.
     * @param bir
     *            주민번호 앞6자리
     * @param baseDt
     *            기준일자
     * @return
     */

    public static int getInsuAge(String bir, String baseDt){
        if (baseDt == null){
            return 0;
        }
        if ("".equals(baseDt.trim())){
            return 0;
        }
        if (bir == null){
            return 0;
        }
        if ("".equals(bir.trim())){
            return 0;
        }

        baseDt = baseDt.replaceAll("-", "");

        if ("000000".equals(bir)){
            return 0;
        } else if("999999".equals(bir)) {
        	return 0;
        } else {
            int toyy = Integer.parseInt(baseDt.substring(0, 4));
            int tomm = Integer.parseInt(baseDt.substring(4, 6));
            int todd = Integer.parseInt(baseDt.substring(6, 8));
            boolean datechk = false;
            int juyy = 0;
            int jumm = 0;
            int judd = 0;
            if(bir.length() ==6){
	            juyy = Integer.parseInt(bir.substring(0, 2));
	            jumm = Integer.parseInt(bir.substring(2, 4));
	            judd = Integer.parseInt(bir.substring(4, 6));
	            if (juyy > 30) {
	                juyy = juyy + 1900;
	            } else {
	                juyy = juyy + 2000;
	            }
            }else if(bir.length() == 8){
            	 juyy = Integer.parseInt(bir.substring(0, 4));
 	             jumm = Integer.parseInt(bir.substring(4, 6));
 	             judd = Integer.parseInt(bir.substring(6, 8));
            }else{
            	return 0;
            }
            if (((tomm == 1 || tomm == 3 || tomm == 5 || tomm == 7 ||
            tomm == 8 || tomm == 10 || tomm == 12) && todd == 31)
            || ((tomm == 4 || tomm == 6 || tomm == 9 || tomm == 11) && todd == 30)
            || (tomm == 2 && (todd == 28 || todd == 29))){
                datechk = true;
            }
            int caldd = todd - judd;
            if (caldd < 0 && datechk == false){
                tomm = tomm - 1;
            }
            int calmm = tomm - jumm;
            if (calmm < 0){
                toyy = toyy - 1;
                calmm = calmm + 12;
            }
            int calyy = toyy - juyy;
            if (calmm > 5)
                calyy = calyy + 1;
            return calyy;

        }

    }

  //byte기반 substring
    public static String cutString(String aaa, int max){
		String result = "";
		if(aaa.length()>max){
			result = aaa.substring(0,max);
		}else{
			int space = max - aaa.length();
			String spaceVal = " ";
			result = aaa;
			for(int i=0;i<space;i++){
				result += spaceVal;
			}
		}

		return result;
	}



}
