package hanalife.framework.comm.exception.factory;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import hanalife.framework.comm.exception.HLFLException;
import hanalife.framework.comm.util.CommUtil;

public class HLFLExceptionFactory {

	private final static Logger logger = LoggerFactory.getLogger(HLFLExceptionFactory.class);

	/**
	 * Exception 생성
	 * @param errorCode 에러코드
	 * @return Exception
	 */
	public static HLFLException create(String errorMessage) {
//		logger.info(errorMessage);
		HLFLException hlflException = new HLFLException(errorMessage);
		logger.warn("error", hlflException);
		return hlflException;
	}

	/**
	 * Exception 생성
	 * @param errorCode 에러코드
	 * @return KmasException
	 */
	public static HLFLException create(String errorMessage, Exception ex) {
		logger.info(CommUtil.getPrintStackTrace(ex));
		return new HLFLException(errorMessage);
	}

	public static HLFLException create(String errorMessage, Object[] params) {
		return new HLFLException(errorMessage, params);
	}

	/**
	 *
	 * @param Exception
	 * @return
	 */
	public static void createPrintStackTrace(Exception ex) {
//		logger.info(CommUtil.getPrintStackTrace(ex));
	}

}
