package hanalife.framework.comm.exception.manager;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import hanalife.framework.comm.exception.handler.ExceptionHandler;

public class DefaultExceptionHandlerManager extends AbsExceptionHandlerManager implements ExceptionHandlerService {
	private final Logger logger = LoggerFactory.getLogger(DefaultExceptionHandlerManager.class);

	public boolean run(Exception exception) throws Exception {
		logger.debug(" **** DefaultExceptionHandlerManager.run() ");
		logger.debug(" **** getMessage==>> {}",exception.getMessage());

		if (!enableMatcher()) {
			return false;
		}
		
		for (String pattern : this.patterns) {
			logger.debug("pattern = {}, thisPackageName = {}", pattern, this.thisPackageName);
			logger.debug("pm.match(pattern, thisPackageName) = {}", Boolean.valueOf(this.pm.match(pattern, this.thisPackageName)));
			
			if(this.pm.match(pattern, this.thisPackageName)){
				for(ExceptionHandler eh : this.handlers){
					eh.occur(exception, getPackageName());
				}
				
				break;
			}
		}

		return true;
	}
	
}
