package hanalife.framework.comm.filter;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.slf4j.MDC;

import hanalife.c.co.util.StringUtil;

public class LoggingFilter implements Filter {
	@SuppressWarnings("unused")
	private FilterConfig config;
	
	@Override
	public void init(FilterConfig config) throws ServletException {
	}

	/**
	 * Custom doFilter Usage.
	 * 
	 * UAT에서 로그를 각자 분리해서 볼 수 있는 방법입니다.
	 * 
	 * tail -f /logs/jeus8_5/UAT_SFA/JeusServer.log | grep -a "INFO|ERROR"
	 * tail -f /logs/jeus8_5/UAT_SFA/JeusServer.log | grep -a "[SFA][(httpSessionId)]"
	 */
	@Override
	public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
		HttpServletRequest req = (HttpServletRequest) request;
		HttpSession session = req.getSession();		
		
		int limit = 12;
		MDC.put("httpSessionId", session.getId().length()>limit ? session.getId().substring(0,limit) : session.getId());
		MDC.put("userid", StringUtil.nvl((String)session.getAttribute("USER_ID"), "nologin" ) );
		chain.doFilter(req, response);
		MDC.clear();
	}

	@Override
	public void destroy() {
	}

}
