package hanalife.framework.comm.interceptor;

import java.util.HashMap;

import org.apache.ibatis.executor.Executor;
import org.apache.ibatis.mapping.MappedStatement;
import org.apache.ibatis.mapping.StatementType;
import org.apache.ibatis.plugin.Interceptor;
import org.apache.ibatis.plugin.Intercepts;
import org.apache.ibatis.plugin.Invocation;
import org.apache.ibatis.plugin.Signature;
import org.apache.ibatis.session.ResultHandler;
import org.apache.ibatis.session.RowBounds;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import hanalife.framework.comm.exception.HLFLException;

/**
 *
 * BestDB Mybatis 인터셉터
 * <pre>
 * 기간계 DBG 로그 생성 위한 프로시져 호출 인터셉터
 * </pre>
 *
 * @author 70114
 * @since  2022.09.14
 * @version 1.0
 */
@Intercepts({@Signature(type=Executor.class, method="query", args= {MappedStatement.class, Object.class, RowBounds.class, ResultHandler.class })
			,@Signature(type=Executor.class, method="update", args= {MappedStatement.class, Object.class})
})
public class BestMybatisInterceptor implements Interceptor{

	private static final Logger LOGGER = LoggerFactory.getLogger(BestMybatisInterceptor.class);

	@SuppressWarnings("finally")
	@Override
	public Object intercept(Invocation invocation) throws Throwable {
		try {
			MappedStatement mappedStatement = (MappedStatement)invocation.getArgs()[0];
			StatementType statementType = mappedStatement.getStatementType();
			String statementId = mappedStatement.getId();

			//TODO 정해지면 수정
			if(statementId.indexOf("callSpSetSession") == -1) { //동일 프로시져 skip
				LOGGER.debug("SET_SESSION SP start!!");

				//SET_SESSION SP 호출
				HashMap<String, Object> sessionMap = new HashMap<String, Object>();
				//내근직여부 확인에 필요한 내용 :: 아이디 마지막에 Z로 되어 있음. 기간계 마지막 Z가 아닌 0으로 되어 잇음 그리하여 Z -> 0으로 치환
				//부활청약에서는 세션의 로그인 아이디로 DB 프로시져 setSession을 호출한다.
				try {
//					if (SessionUtil.getUserId().indexOf("Z") > 0) {
//						sessionMap.put("v_swno", SessionUtil.getUserId().replace("Z", "0"));	//부활청약 사번
//					} else {
//						sessionMap.put("v_swno", "0555620");
//					}
				} catch (HLFLException e) {
//					sessionMap.put("v_swno", "0555620");
				}

//				CommonCommBestMapper commonCommBestMapper = (CommonCommBestMapper)BeanUtil.getBean("commonCommBestMapper");
//				commonCommBestMapper.callSpSetSession(sessionMap);

				LOGGER.debug("SET_SESSION SP start END!!");
			}
		}catch (Exception e) {
			LOGGER.error(e.toString());
			return invocation.proceed();
		}
		return invocation.proceed();
	}



}
