package hanalife.framework.comm.listener;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

import javax.servlet.annotation.WebListener;
import javax.servlet.http.HttpSession;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


@WebListener
public class HLFLHttpSessionListener implements HttpSessionListener{

	private static final Logger LOGGER = LoggerFactory.getLogger(HLFLHttpSessionListener.class);

	private static final Map<String, HttpSession> sessions = new ConcurrentHashMap<>();

	@Override
	public void sessionCreated(HttpSessionEvent se) {
		LOGGER.debug(">> HLFLHttpSessionListener sessionCreated " + se.getSession().getId());
		sessions.put(se.getSession().getId(), se.getSession());

	}

	@Override
	public void sessionDestroyed(HttpSessionEvent se) {
		LOGGER.debug(">> HLFLHttpSessionListener sessionDestroyed " + se.getSession().getId());
		if(sessions.get(se.getSession().getId()) != null) {
			sessions.get(se.getSession().getId()).invalidate();
			sessions.remove(se.getSession().getId());
		}

	}

	public static Map<String, HttpSession> getSessionList() {
		return sessions;
	}

	public static int getSessionCnt() {
		return sessions.size();
	}

	public synchronized static String getSessionIdCheck(String type, String compareId) {

		LOGGER.debug(">> HLFLHttpSessionListener getSessionIdCheck " + compareId);
		String result = "";
		for(String key : sessions.keySet()) {
			HttpSession hs = sessions.get(key);
			if(hs != null && hs.getAttribute(type) != null && hs.getAttribute(type).toString().equals(compareId)) {
				
 				LOGGER.debug(">> HLFLHttpSessionListener getSessionIdCheck key = " + compareId + key);
 				LOGGER.debug(">> HLFLHttpSessionListener getSessionIdCheck key = " + compareId + key);
 				LOGGER.debug(">> HLFLHttpSessionListener getSessionIdCheck key = " + compareId + key);
 				
				result = key;
				// 세션을 지우지 않기 위해 주석 처리..
				//removeSessionForDoubleLogin(result);
			}
		}

		return result;
	}

	private static void removeSessionForDoubleLogin(String key) {
		if(key != null && key.length() > 0) {
			LOGGER.debug(">> HLFLHttpSessionListener removeSessionForDoubleLogin key = " + key);
			sessions.get(key).invalidate();
			sessions.remove(key);
		}
	}

}
