package hanalife.framework.comm.util;

import java.net.URLEncoder;
import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.egovframe.rte.fdl.excel.util.AbstractPOIExcelView;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class ExcelView extends AbstractPOIExcelView {
    private static final Logger LOGGER  = LoggerFactory.getLogger(ExcelView.class);

    /**
     * Default Constructor. Sets the content type of the view for excel files.
     */
    public ExcelView() {
    }

	//@Override
	@Override
	protected void buildExcelDocument(Map<String, Object> model, XSSFWorkbook workbook, HttpServletRequest request,
			HttpServletResponse response) throws Exception {

        // Set the filename
        String sFilename = "";
        if(model.get("filename") != null){
            sFilename = (String)model.get("filename");
        }else{
            sFilename = getClass().getSimpleName();
        }
        sFilename = sFilename.replaceAll("\r","").replaceAll("\n","");
        sFilename = URLEncoder.encode(sFilename,"UTF-8").replaceAll("\\+","%20"); //한글파일명 처리
        model.put("filename", sFilename);

        String sheetname = (String)model.get("sheetname");
        String[] header  = (String[]) model.get("header");
        List<String[]> body = (List<String[]>) model.get("body");

        Row row = null;
        Cell cell = null;
        int rowNum = 0;
    	XSSFSheet sheet = workbook.createSheet(sheetname == null ? "Sheet1" : sheetname);

    	// Header
		row = sheet.createRow(rowNum++);
		for(int j=0; j<header.length; j++) {
			cell = row.createCell(j);
			cell.setCellValue(header[j]);
		}
		// Body
		for(String[] list : body) {
			row = sheet.createRow(rowNum++);
			for(int j=0; j<list.length; j++) {
				cell = row.createCell(j);
				cell.setCellValue(list[j]);
			}
		}

	}

}