package hanalife.l.cm.cm.mapper.dto;

/**
 * <pre>
 * 클래스명    : RsltIFRSLeaseBaseVO
 * 클래스설명 : IFRS 리스자산 감가상각스케쥴(을) 위한 Result VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RsltIFRSLeaseBaseDTO {

	/**
	 * <p>에러코드</p>
	 */
	private String rsltCd; //에러코드
	/**
	 * <p>에러메시지</p>
	 */
	private String rsltMsg; //에러메시지


	private String procDivCd    ; 		//처리구분(1:실행, 2:취소)
	private String frstLoanNo  ;     		//최초_대출_번호
	private String frstLoanSeq ;		//최초_대출_순번
	private String currLoanNo  ;     		//현재_대출_번호
	private String currLoanSeq  ;     		//현재_대출_순번
	private String godsNo       ;     	//물건_번호
	private String openPcstGainDt;				//개설_원가_취득_일자
	private String gainDt;				//취득_일자
	private String intnVochNo;       		//내부_전표_번호
	private String sellDt       ;     	//매각_일자
	private Long sellAmt      ;     		//매각_금액
	private Long totGainPcst;	   			//총_취득_원가
	private Long leasGainPcst;	   		//리스_취득_원가
	private Long leasOpenPcst;	   		//리스_개설_원가
	private Long ramt;			   		//잔가
	private String deprTerm;		   		//상각_기간
	private String openPcstDeprTerm;		//개설_원가_상각_기간
	private Long mmDeprAmt;		   		//월_상각_액
	private Long mmLeasDeprAmt;			//월_리스_상각_액
	private Long mmOpenPcstDeprAmt; 		//월_개설_원가_상각_액
	private Long deprPsgTerm;  			//상각_경과_기간
	private Long openPcstDeprPsgTerm;  			//개설_원가_상각_경과_기간
	private Long deprTotAmt;       		//상각_누계_금액
	private Long leasDeprTotAmt;		//리스_상각_누계_액
	private Long openPcstDeprTotAmt;		//개설_원가_상각_누계_액
	private Long damgDflsAmt;				//손상_차손_액
	private Long leasDamgDflsAmt;			//리스_손상_차손_액
	private Long openPcstDamgDflsAmt;		//개설_원가_손상_차손_액
	private Long ldgrVamt     ;     		//총_장부_가액
	private Long leasLdgrVamt;			//리스_장부_가액
	private Long openPcstLdgrVamt;		//개설_원가_장부_가액
	private String rmrk          ;     	//비고
	private String delFg        ;     	//삭제_여부
	private String frstRegDt;    			//최초_등록_일자
	private String frstRegTm;    			//최초_등록_시각
	private String frstRegEmpNo;    		//최초_등록_사원번호
	private String lastProcDt;    		//최종_처리_일자
	private String lastProcTm;    		//최종_처리_시각
	private String lastProcEmpNo;    		//최종_처리_사원번호
	private String openPcstGainDtAc;	//개설_원가_취득_일자_AC
	private String prftCostBsnDivCd;	//수익비용구분
	private String closDt;     //해지_일자
	private String asetNo;     //자산_번호
	private String deprMethCd; //상각_방법_코드


	public String getDeprMethCd() {
		return deprMethCd;
	}

	public void setDeprMethCd(String deprMethCd) {
		this.deprMethCd = deprMethCd;
	}

	public String getAsetNo() {
		return asetNo;
	}

	public void setAsetNo(String asetNo) {
		this.asetNo = asetNo;
	}

	public String getClosDt() {
		return closDt;
	}

	public void setClosDt(String closDt) {
	this.closDt = closDt;
	}

	public String getPrftCostBsnDivCd() {
		return prftCostBsnDivCd;
	}

	public void setPrftCostBsnDivCd(String prftCostBsnDivCd) {
	   this.prftCostBsnDivCd = prftCostBsnDivCd;
	}

	private Long gainAmt    ; // 취득금액
	private Long gainVtax   ; // 취득부가세

	@Override
	public String toString() {
		return	"rsltCd=[" + this.rsltCd + "] rsltMsg=["+this.rsltMsg+"] \n"
				+"frstLoanNo     =["+ this.frstLoanNo    	        	+"]\n"
				+"frstLoanSeq     =["+ this.frstLoanSeq    	        	+"]\n"
				+"currLoanNo      =["+ this.currLoanNo    	        +"]\n"
				+"currLoanSeq      =["+ this.currLoanSeq    	        +"]\n"
				+"godsNo          =["+ this.godsNo    	        +"]\n"
				+"openPcstGainDt  =["+ this.openPcstGainDt              +"]\n"
				+"gainDt         =["+ this.gainDt    	        +"]\n"
				+"intnVochNo      =["+ this.intnVochNo    	        +"]\n"
				+"sellDt    	  =["+ this.sellDt    	        +"]\n"
				+"closDt        =["+ this.closDt              +"]\n"
				+"sellAmt    	  =["+ this.sellAmt    	        +"]\n"
				+"totGainPcst     =["+ ((this.totGainPcst==null)?null:""+this.totGainPcst.longValue())       		+"]\n"
				+"leasGainPcst   =["+ ((this.leasGainPcst==null)?null:""+this.leasGainPcst.longValue())  	+"]\n"
				+"leasOpenPcst  =["+ ((this.leasOpenPcst==null)?null:""+this.leasOpenPcst.longValue())    	        +"]\n"
				+"ramt 			  =["+ ((this.ramt==null)?null:""+this.ramt.longValue())  	+"]\n"
				+"deprTerm    	  =["+ this.deprTerm    	        	+"]\n"
				+"openPcstDeprTerm =[ "+ this.openPcstDeprTerm   +"]\n"
				+"mmDeprAmt       =["+ ((this.mmDeprAmt==null)?null:""+this.mmDeprAmt.longValue())    	        +"]\n"
				+"mmLeasDeprAmt  =["+ this.mmLeasDeprAmt    	        	+"]\n"
				+"mmOpenPcstDeprAmt  =["+ this.mmOpenPcstDeprAmt    	        +"]\n"
				+"deprPsgTerm     =["+ this.deprPsgTerm    	        +"]\n"
				+"deprTotAmt     =["+ this.deprTotAmt    	        +"]\n"
				+"leasDeprTotAmt     =["+ this.leasDeprTotAmt    	        +"]\n"
				+"openPcstDeprTotAmt     =["+ this.openPcstDeprTotAmt    	        +"]\n"
				+"damgDflsAmt     =["+ this.damgDflsAmt    	        +"]\n"
				+"leasDamgDflsAmt     =["+ this.leasDamgDflsAmt    	        +"]\n"
				+"openPcstDamgDflsAmt     =["+ this.openPcstDamgDflsAmt    	        +"]\n"
				+"ldgrVamt        =["+ this.ldgrVamt    	        +"]\n"
				+"leasLdgrVamt   =["+ this.leasLdgrVamt    	        +"]\n"
				+"openPcstLdgrVamt=["+ this.openPcstLdgrVamt    	        +"]\n"
				+"rmrk            =["+ this.rmrk    	        +"]\n"
				+"delFg           =["+ this.delFg    	        +"]\n"
				+"frstRegDt    	  =["+ this.frstRegDt    	        +"]\n"
				+"frstRegTm    	  =["+ this.frstRegTm    	        +"]\n"
				+"frstRegEmpNo    =["+ this.frstRegEmpNo    			+"]\n"
				+"lastProcDt      =["+ this.lastProcDt    	        +"]\n"
				+"lastProcTm      =["+ this.lastProcTm    	        +"]\n"
				+"lastProcEmpNo   =["+ this.lastProcEmpNo            +"]\n"
				+"openPcstGainDtAc   =["+ this.openPcstGainDtAc            +"]\n";
	}

	public String getDelFg() {
		return delFg;
	}


	public void setDelFg(String delFg) {
		this.delFg = delFg;
	}

	public String getDeprTerm() {
		return deprTerm;
	}


	public void setDeprTerm(String deprTerm) {
		this.deprTerm = deprTerm;
	}

	public Long getDeprTotAmt() {
		return deprTotAmt;
	}


	public void setDeprTotAmt(Long deprTotAmt) {
		this.deprTotAmt = deprTotAmt;
	}


	public String getFrstRegDt() {
		return frstRegDt;
	}


	public void setFrstRegDt(String frstRegDt) {
		this.frstRegDt = frstRegDt;
	}


	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}


	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}


	public String getFrstRegTm() {
		return frstRegTm;
	}


	public void setFrstRegTm(String frstRegTm) {
		this.frstRegTm = frstRegTm;
	}




	public String getIntnVochNo() {
		return intnVochNo;
	}


	public void setIntnVochNo(String intnVochNo) {
		this.intnVochNo = intnVochNo;
	}


	public String getLastProcDt() {
		return lastProcDt;
	}


	public void setLastProcDt(String lastProcDt) {
		this.lastProcDt = lastProcDt;
	}


	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}


	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}


	public String getLastProcTm() {
		return lastProcTm;
	}


	public void setLastProcTm(String lastProcTm) {
		this.lastProcTm = lastProcTm;
	}


	public Long getLdgrVamt() {
		return ldgrVamt;
	}


	public void setLdgrVamt(Long ldgrVamt) {
		this.ldgrVamt = ldgrVamt;
	}


	public Long getMmDeprAmt() {
		return mmDeprAmt;
	}


	public void setMmDeprAmt(Long mmDeprAmt) {
		this.mmDeprAmt = mmDeprAmt;
	}

	public Long getMmOpenPcstDeprAmt() {
		return mmOpenPcstDeprAmt;
	}


	public void setMmOpenPcstDeprAmt(Long mmOpenPcstDeprAmt) {
		this.mmOpenPcstDeprAmt = mmOpenPcstDeprAmt;
	}


	public Long getOpenPcstDeprTotAmt() {
		return openPcstDeprTotAmt;
	}


	public void setOpenPcstDeprTotAmt(Long openPcstDeprTotAmt) {
		this.openPcstDeprTotAmt = openPcstDeprTotAmt;
	}


	public Long getOpenPcstLdgrVamt() {
		return openPcstLdgrVamt;
	}


	public void setOpenPcstLdgrVamt(Long openPcstLdgrVamt) {
		this.openPcstLdgrVamt = openPcstLdgrVamt;
	}


	public Long getRamt() {
		return ramt;
	}


	public void setRamt(Long ramt) {
		this.ramt = ramt;
	}


	public String getRmrk() {
		return rmrk;
	}


	public void setRmrk(String rmrk) {
		this.rmrk = rmrk;
	}


	public String getRsltCd() {
		return rsltCd;
	}


	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}


	public String getRsltMsg() {
		return rsltMsg;
	}


	public void setRsltMsg(String rsltMsg) {
		this.rsltMsg = rsltMsg;
	}

	public Long getSellAmt() {
		return sellAmt;
	}


	public void setSellAmt(Long sellAmt) {
		this.sellAmt = sellAmt;
	}


	public String getSellDt() {
		return sellDt;
	}


	public void setSellDt(String sellDt) {
		this.sellDt = sellDt;
	}


	public Long getTotGainPcst() {
		return totGainPcst;
	}


	public void setTotGainPcst(Long totGainPcst) {
		this.totGainPcst = totGainPcst;
	}


	public Long getDeprPsgTerm() {
		return deprPsgTerm;
	}


	public void setDeprPsgTerm(Long deprPsgTerm) {
		this.deprPsgTerm = deprPsgTerm;
	}

	public String getCurrLoanNo() {
		return currLoanNo;
	}

	public void setCurrLoanNo(String currLoanNo) {
		this.currLoanNo = currLoanNo;
	}

	public Long getDamgDflsAmt() {
		return damgDflsAmt;
	}

	public void setDamgDflsAmt(Long damgDflsAmt) {
		this.damgDflsAmt = damgDflsAmt;
	}

	public String getFrstLoanNo() {
		return frstLoanNo;
	}

	public void setFrstLoanNo(String frstLoanNo) {
		this.frstLoanNo = frstLoanNo;
	}

	public String getGodsNo() {
		return godsNo;
	}

	public void setGodsNo(String godsNo) {
		this.godsNo = godsNo;
	}

	public String getProcDivCd() {
		return procDivCd;
	}

	public void setProcDivCd(String procDivCd) {
		this.procDivCd = procDivCd;
	}

	public String getFrstLoanSeq() {
		return frstLoanSeq;
	}

	public void setFrstLoanSeq(String frstLoanSeq) {
		this.frstLoanSeq = frstLoanSeq;
	}

	public String getCurrLoanSeq() {
		return currLoanSeq;
	}

	public void setCurrLoanSeq(String currLoanSeq) {
		this.currLoanSeq = currLoanSeq;
	}

	public Long getGainAmt() {
		return gainAmt;
	}

	public void setGainAmt(Long gainAmt) {
		this.gainAmt = gainAmt;
	}

	public Long getGainVtax() {
		return gainVtax;
	}

	public void setGainVtax(Long gainVtax) {
		this.gainVtax = gainVtax;
	}

	public Long getLeasDamgDflsAmt() {
		return leasDamgDflsAmt;
	}

	public void setLeasDamgDflsAmt(Long leasDamgDflsAmt) {
		this.leasDamgDflsAmt = leasDamgDflsAmt;
	}

	public Long getOpenPcstDamgDflsAmt() {
		return openPcstDamgDflsAmt;
	}

	public void setOpenPcstDamgDflsAmt(Long openPcstDamgDflsAmt) {
		this.openPcstDamgDflsAmt = openPcstDamgDflsAmt;
	}

	public Long getLeasDeprTotAmt() {
		return leasDeprTotAmt;
	}

	public void setLeasDeprTotAmt(Long leasDeprTotAmt) {
		this.leasDeprTotAmt = leasDeprTotAmt;
	}

	public Long getLeasGainPcst() {
		return leasGainPcst;
	}

	public void setLeasGainPcst(Long leasGainPcst) {
		this.leasGainPcst = leasGainPcst;
	}

	public Long getLeasLdgrVamt() {
		return leasLdgrVamt;
	}

	public void setLeasLdgrVamt(Long leasLdgrVamt) {
		this.leasLdgrVamt = leasLdgrVamt;
	}

	public Long getLeasOpenPcst() {
		return leasOpenPcst;
	}

	public void setLeasOpenPcst(Long leasOpenPcst) {
		this.leasOpenPcst = leasOpenPcst;
	}

	public Long getMmLeasDeprAmt() {
		return mmLeasDeprAmt;
	}

	public void setMmLeasDeprAmt(Long mmLeasDeprAmt) {
		this.mmLeasDeprAmt = mmLeasDeprAmt;
	}

	public String getGainDt() {
		return gainDt;
	}

	public void setGainDt(String gainDt) {
		this.gainDt = gainDt;
	}

	public String getOpenPcstDeprTerm() {
		return openPcstDeprTerm;
	}

	public void setOpenPcstDeprTerm(String openPcstDeprTerm) {
		this.openPcstDeprTerm = openPcstDeprTerm;
	}

	public String getOpenPcstGainDt() {
		return openPcstGainDt;
	}

	public void setOpenPcstGainDt(String openPcstGainDt) {
		this.openPcstGainDt = openPcstGainDt;
	}

	public Long getOpenPcstDeprPsgTerm() {
		return openPcstDeprPsgTerm;
	}

	public void setOpenPcstDeprPsgTerm(Long openPcstDeprPsgTerm) {
		this.openPcstDeprPsgTerm = openPcstDeprPsgTerm;
	}


	public String getOpenPcstGainDtAc() {
		return openPcstGainDtAc;
	}

	public void setOpenPcstGainDtAc(String openPcstGainDtAc) {
		this.openPcstGainDtAc = openPcstGainDtAc;
	}
}
