package hanalife.l.cm.cm.service;

import hanalife.l.cm.cm.mapper.dto.LtLeasIFRSLeaseDescINDTO;
import hanalife.l.cm.cm.vo.RsltFVvalueVO;

/**
 * <pre>
 * 클래스명    : IFRSLeaseBaseService
 * 클래스설명  : IFRS 운용리스 자산원장생성 및 감가상각 Schedule생성Service
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 4. 10.
 * 작성자명    : 70279 / jung
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface IFRSLeaseBaseService {

	  /**
	   * <p>메소드명             : getNonDeprvalue</p>
	   * <p>설명                       : 중도해지 및 당일이후 실행 취소 할 때  미상각잔액액 을 구한다.</p>
	   * <p>메소드인수1  : LtLeasIFRSLeaseDescDO </p>
	   * <p>메소드인수2  : Connection conn Connection </p>
	   * <p>메소드리턴값   : RsltFVvalueDO - 결과를 담고 있는 DO</p>
	   */
	public RsltFVvalueVO getNonDeprvalue(LtLeasIFRSLeaseDescINDTO FVvalueParam) throws Exception;

}
