package hanalife.r.at.ac.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.RtAcntCnfmDescDTO;
import hanalife.c.co.mapper.dto.RtAcntDescDTO;
import hanalife.c.co.mapper.dto.RtAutoTranAcntGramSrDescDTO;
import hanalife.r.at.ac.mapper.dto.AcntDSSDOutDTO;

@Mapper("acntMapper")
public interface AcntMapper {
	/**
	* <pre>
	* 메소드명      : searchRtAcntCnfmDesc
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :  계좌확인내역 조회
	* 메소드인수1   :  RtAcntCnfmDescDTO
	* 메소드리턴값  :  List<RtAcntCnfmDescDTO
	* 예외처리      : Exception
	* </pre>
	*/
	public List<RtAcntCnfmDescDTO> searchRtAcntCnfmDesc(RtAcntCnfmDescDTO dto) throws Exception;
	/**
	* <pre>
	* 메소드명      : searchAcntCnfmDescRcnt
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :  최근자동이체관리_계좌확인
	* 메소드인수1   :  RtAcntCnfmDescDTO
	* 메소드리턴값  :  List<RtAcntCnfmDescDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<RtAcntCnfmDescDTO> searchAcntCnfmDescRcnt(RtAcntCnfmDescDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : searchAcntCnfmDescForAppl
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 계좌확인내역조회 for 계좌신청
	* 메소드인수1   :  입력
	* 메소드리턴값  :  출력
	* 예외처리      : Exception
	* </pre>
	*/
	public List<AcntDSSDOutDTO> searchAcntCnfmDescForAppl(RtAcntCnfmDescDTO dto) throws Exception;
	/**
	* <pre>
	* 메소드명      : insertRtAcntCnfmDesc
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 계좌 확인내역 등록
	* 메소드인수1   :  RtAcntCnfmDescDTO
	* 메소드리턴값  :  X
	* 예외처리      : Exception
	* </pre>
	*/
	public void insertRtAcntCnfmDesc(RtAcntCnfmDescDTO dto) throws Exception;
	/**
	* <pre>
	* 메소드명      : updateRtAcntCnfmDesc
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 계좌 확인 내역 UPDATE
	* 메소드인수1   :  입력
	* 메소드리턴값  :  X
	* 예외처리      : Exception
	* </pre>
	*/
	public void updateRtAcntCnfmDesc(RtAcntCnfmDescDTO dto) throws Exception;

	/**
	* <pre>
	* 메소드명      : searchAcntDesc
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 계좌내역 조회
	* 메소드인수1   : RtAcntCnfmDescDTO
	* 메소드리턴값  : List<RtAcntCnfmDescDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<RtAcntCnfmDescDTO> searchAcntDesc(RtAcntCnfmDescDTO dto) throws Exception;
	/**
	* <pre>
	* 메소드명      : searchRtAcntDesc
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 계좌내역 조회
	* 메소드인수1   :  RtAcntDescDTO
	* 메소드리턴값  :  List<RtAcntDescDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<RtAcntDescDTO> searchRtAcntDesc(RtAcntDescDTO dto) throws Exception;
	/**
	* <pre>
	* 메소드명      : insertAcntDesc
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 청입계좌내역 INSERT
	* 메소드인수1   :  RtAcntDescDTO
	* 메소드리턴값  :  X
	* 예외처리      : Exception
	* </pre>
	*/
	public void insertAcntDesc(RtAcntDescDTO inDto) throws Exception;
	/**
	* <pre>
	* 메소드명      : updateAcntDesc
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 해지사유 수정
	* 메소드인수1   :  RtAcntDescDTO
	* 메소드리턴값  :  X
	* 예외처리      : Exception
	* </pre>
	*/
	public void updateAcntDesc(RtAcntDescDTO inDto) throws Exception;
	/**
	* <pre>
	* 메소드명      : updateAcntTrOrgCd
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 계좌정보 수정
	* 메소드인수1   :  RtAcntDescDTO
	* 메소드리턴값  :  X
	* 예외처리      : Exception
	* </pre>
	*/
	public void updateAcntTrOrgCd(RtAcntDescDTO inDto) throws Exception;
	/**
	* <pre>
	* 메소드명      : searchAutoTranAcntWithLoan
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 대출번호로 대출정보 조회
	* 메소드인수1   :  RtAcntDescDTO
	* 메소드리턴값  :  List<RtAcntDescDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<RtAcntDescDTO> searchAutoTranAcntWithLoan(RtAcntDescDTO searchDO) throws Exception;
	/**
	* <pre>
	* 메소드명      : searchAutoTranAcntForLoanIntg
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 대상 조회
	* 메소드인수1   :  RtAcntDescDTO
	* 메소드리턴값  :  List<RtAcntDescDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<RtAcntDescDTO> searchAutoTranAcntForLoanIntg(RtAcntDescDTO searchDO) throws Exception;
	/**
	* <pre>
	* 메소드명      : searchAutoTranAcntHist
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 통합할 대상 조회
	* 메소드인수1   :  RtAcntDescDTO
	* 메소드리턴값  :  List<RtAcntDescDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<RtAcntDescDTO> searchAutoTranAcntHist(RtAcntDescDTO searchDO) throws Exception;
	/**
	* <pre>
	* 메소드명      : searchAcntLoanRelManList
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 대출관계자리스트 조회
	* 메소드인수1   :  RtAcntDescDTO
	* 메소드리턴값  :  List<RtAcntDescDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<RtAcntDescDTO> searchAcntLoanRelManList(RtAcntDescDTO searchDO) throws Exception;
	/**
	* <pre>
	* 메소드명      : searchAutoTranAcctAskDesc
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          : 자동이체계좌신청내역조회
	* 메소드인수1   :  RtAcntDescDTO
	* 메소드리턴값  :  List<RtAcntDescDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<RtAcntDescDTO> searchAutoTranAcctAskDesc(RtAcntDescDTO searchDO) throws Exception;
	/**
	* <pre>
	* 메소드명      : searchLastAcntDesc
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  RtAcntDescDTO
	* 메소드리턴값  :  List<RtAcntDescDTO>
	* 예외처리      : Exception
	* </pre>
	*/
	public List<RtAcntDescDTO> searchLastAcntDesc(RtAcntDescDTO searchDO) throws Exception;
	/**
	* <pre>
	* 메소드명      : updateRtAutoTranAcntGramSnrDesc
	* 작성일자      : 2023. 3. 22.
	* 작성자(author): 70320 jaeho.jang
	* 설명          :
	* 메소드인수1   :  RtAutoTranAcntGramSnrDescDTO
	* 메소드리턴값  :  X
	* 예외처리      : Exception
	* </pre>
	*/
	public void updateRtAutoTranAcntGramSnrDesc(RtAutoTranAcntGramSrDescDTO inDto) throws Exception;

}