package hanalife.r.at.ac.vo;

import hanalife.c.co.vo.AbstractVO;

/**
 * <pre>
 * 클래스명    : RtAcntDescTDO
 * 클래스설명 : 자동이체 계좌내역 TDO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RtAcntDescTDO	extends AbstractVO{

	private static final long serialVersionUID = 3920036952693700846L;
	private String loanNo;	//LOAN_NO 대출_번호
	private String loanSeq;	//LOAN_SEQ 대출_순번
	private String acntSnum;	//ACNT_SNUM 계좌_일련번호
	private String bankCd;	//BANK_CD 은행_코드
	private String acntNo;	//ACNT_NO 계좌_번호
	private String depoOwnNo;	//DEPO_OWN_NO 예금주_번호
	private String depoOwnnm;	//DEPO_OWNNM 예금주명
	private String depoOwnRelCd;	//DEPO_OWN_REL_CD 예금주_관계_코드
	private String acntApplDivCd;	//ACNT_APPL_DIV_CD 계좌_신청_구분코드
	private String acntStatCd;	//ACNT_STAT_CD 계좌_상태_코드
	private String acntOccrCd; //계좌_발생_코드
	private String applDt;	//APPL_DT 신청_일자
	private String closDt;	//CLOS_DT 해지_일자
	private String sendDt;	//SEND_DT 전송_일자
	private String acntRsltCd;	//ACNT_RSLT_CD 계좌_결과_코드
	private String acntErrCd;	//ACNT_ERR_CD 계좌_오류_코드
	private String acntAplyDt;	//ACNT_APLY_DT 계좌_개시_일자
	private String acntApplRsnCd;	//ACNT_APPL_RSN_CD 신청사유
	private String acntClosRsnCd;	//ACNT_CLOS_RSN_CD 해지사유
	private String acctUnitCd;      //ACCT_UNIT_CD 회계_단위_코드
	private String applManTel1;	//APPL_MAN_TEL1 신청_인_전화1
	private String applManTel2;	//APPL_MAN_TEL2 신청_인_전화2
	private String applManTel3;	//APPL_MAN_TEL3 신청_인_전화3
	private String sysPathCd;	//2018-08-01 두비스 시스템경로코드

	private String trOrgCd;	//TR_ORG_CD 거래기관코드

	public String getApplManTel1() {
		return applManTel1;
	}
	public void setApplManTel1(String applManTel1) {
		this.applManTel1 = applManTel1;
	}
	public String getApplManTel2() {
		return applManTel2;
	}
	public void setApplManTel2(String applManTel2) {
		this.applManTel2 = applManTel2;
	}
	public String getApplManTel3() {
		return applManTel3;
	}
	public void setApplManTel3(String applManTel3) {
		this.applManTel3 = applManTel3;
	}
	public void setLoanNo(String loanNo)
	{
		this.loanNo = loanNo;
	}
	public void setLoanSeq(String loanSeq)
	{
		this.loanSeq = loanSeq;
	}
	public void setAcntSnum(String acntSnum)
	{
		this.acntSnum = acntSnum;
	}
	public void setBankCd(String bankCd)
	{
		this.bankCd = bankCd;
	}
	public void setAcntNo(String acntNo)
	{
		this.acntNo = acntNo;
	}
	public void setDepoOwnNo(String depoOwnNo)
	{
		this.depoOwnNo = depoOwnNo;
	}
	public void setDepoOwnnm(String depoOwnnm)
	{
		this.depoOwnnm = depoOwnnm;
	}
	public void setDepoOwnRelCd(String depoOwnRelCd)
	{
		this.depoOwnRelCd = depoOwnRelCd;
	}
	public void setAcntApplDivCd(String acntApplDivCd)
	{
		this.acntApplDivCd = acntApplDivCd;
	}
	public void setAcntStatCd(String acntStatCd)
	{
		this.acntStatCd = acntStatCd;
	}
	public void setApplDt(String applDt)
	{
		this.applDt = applDt;
	}
	public void setClosDt(String closDt)
	{
		this.closDt = closDt;
	}
	public void setSendDt(String sendDt)
	{
		this.sendDt = sendDt;
	}
	public void setAcntRsltCd(String acntRsltCd)
	{
		this.acntRsltCd = acntRsltCd;
	}
	public void setAcntErrCd(String acntErrCd)
	{
		this.acntErrCd = acntErrCd;
	}
	public void setAcntAplyDt(String acntAplyDt)
	{
		this.acntAplyDt = acntAplyDt;
	}
	public void setAcntApplRsnCd(String acntApplRsnCd)
	{
		this.acntApplRsnCd = acntApplRsnCd;
	}
	public void setAcntClosRsnCd(String acntClosRsnCd)
	{
		this.acntClosRsnCd = acntClosRsnCd;
	}

	public String getLoanNo()
	{
		return loanNo;
	}
	public String getLoanSeq()
	{
		return loanSeq;
	}
	public String getAcntSnum()
	{
		return acntSnum;
	}
	public String getBankCd()
	{
		return bankCd;
	}
	public String getAcntNo()
	{
		return acntNo;
	}
	public String getDepoOwnNo()
	{
		return depoOwnNo;
	}
	public String getDepoOwnnm()
	{
		return depoOwnnm;
	}
	public String getDepoOwnRelCd()
	{
		return depoOwnRelCd;
	}
	public String getAcntApplDivCd()
	{
		return acntApplDivCd;
	}
	public String getAcntStatCd()
	{
		return acntStatCd;
	}
	public String getApplDt()
	{
		return applDt;
	}
	public String getClosDt()
	{
		return closDt;
	}
	public String getSendDt()
	{
		return sendDt;
	}
	public String getAcntRsltCd()
	{
		return acntRsltCd;
	}
	public String getAcntErrCd()
	{
		return acntErrCd;
	}
	public String getAcntAplyDt()
	{
		return acntAplyDt;
	}
	public String getAcntApplRsnCd()
	{
		return acntApplRsnCd;
	}
	public String getAcntClosRsnCd()
	{
		return acntClosRsnCd;
	}

	/**
	 * @return Returns the acntOccrCd.
	 */
	public String getAcntOccrCd() {
		return acntOccrCd;
	}
	/**
	 * @param acntOccrCd The acntOccrCd to set.
	 */
	public void setAcntOccrCd(String acntOccrCd) {
		this.acntOccrCd = acntOccrCd;
	}

	//2018-08-01 추가(회계_단위_코드)
	public void setAcctUnitCd(String acctUnitCd) {
		this.acctUnitCd = acctUnitCd;
	}

	public String getAcctUnitCd() {
		return acctUnitCd;
	}
	public String getSysPathCd() {
		return sysPathCd;
	}
	public void setSysPathCd(String sysPathCd) {
		this.sysPathCd = sysPathCd;
	}

	public String getTrOrgCd() {
		return trOrgCd;
	}
	public void setTrOrgCd(String trOrgCd) {
		this.trOrgCd = trOrgCd;
	}

}
