package hanalife.r.at.at.service.impl;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.c.co.iEnum.MsgEnum;
import hanalife.c.co.mapper.dto.RtAutoTranTrDescDTO;
import hanalife.r.at.at.mapper.AutoTranMapper;
import hanalife.r.at.at.mapper.dto.PreSetlSDDODTO;
import hanalife.r.at.at.service.AutoTranService;

@Service("AutoTranService")
public class AutoTranServiceImpl implements AutoTranService{

	private static final Logger log = LoggerFactory.getLogger(AutoTranServiceImpl.class);

	@Autowired
	private AutoTranMapper autoTranMapper;

	/** 공통오류코드 및 오류메시지내용 전역 변수 선언 */
    private static MsgEnum msgEnum;

	@Override
	public RtAutoTranTrDescDTO searchAutoTranTrForLoan(RtAutoTranTrDescDTO inVO) throws Exception {
		RtAutoTranTrDescDTO result = new RtAutoTranTrDescDTO();

		List<RtAutoTranTrDescDTO> result1 = autoTranMapper.searchAutoTranTrForLoan(inVO);

		if(result1.size() > 0) {
			result.setAskDt(result1.get(0).getAskDt());
			result.setAskAmt(result1.get(0).getAskAmt());
		}

		return result;
	}

	@Override
	public PreSetlSDDODTO searchAutoTranTrForSetl(RtAutoTranTrDescDTO inVO) throws Exception {

		PreSetlSDDODTO result = new PreSetlSDDODTO();

		List<PreSetlSDDODTO> result1 = autoTranMapper.searchAutoTranTrForSetl(inVO);

		if(result1.size() > 0) {
			result.setRcptTpCd  (result1.get(0).getRcptTpCd  ());
			result.setRcptTpNm  (result1.get(0).getRcptTpNm  ());
			result.setRlDueDt   (result1.get(0).getRlDueDt   ());
			result.setAcctDt    (result1.get(0).getAcctDt    ());
			result.setSetlAmt   (result1.get(0).getSetlAmt   ());
			result.setBankCd    (result1.get(0).getBankCd    ());
			result.setAcntNo    (result1.get(0).getAcntNo    ());
			result.setIsrtDeptCd(result1.get(0).getIsrtDeptCd());
			result.setTrOrgCd   (result1.get(0).getTrOrgCd   ());
			result.setGiroDivCd (result1.get(0).getGiroDivCd ());
			result.setGiroSnum  (result1.get(0).getGiroSnum  ());
			result.setAcctUnitCd(result1.get(0).getAcctUnitCd());
		}

		return result;
	}
}