package hanalife.r.at.dl.service;

import java.util.List;

import hanalife.r.at.dl.vo.AutoTranAskObj;
import hanalife.r.at.vo.bat.AttrJobVO;
import hanalife.r.co.as.vo.AskUnrcvVO;

public interface AutoTranAskService {

	/**
	 * <p>메소드명 	: searchAutoTranAskObj		</p>
	 * <p>설명     	: 자동이체청구 대상을 조회한다. 		</p>
	 * <p>메소드인수1	: AttrJobVO                	</p>
	 * <p>메소드리턴값  : List<AutoTranAskOutVO>  	</p>
	 * <p>예외처리  	: Exception					</p>
	 */
	public List<AutoTranAskObj> searchAutoTranAskObj(AttrJobVO inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateJobPlan								</p>
	 * <p>설명     	: 작업계획기본에 작업대상(대출)에 대한 작업상태를 수정한다. 	</p>
	 * <p>메소드인수1	: jobStatCd(1:준비, 2:처리중, 3:완료), AttrJobVO	</p>
	 * <p>메소드리턴값  : int 										</p>
	 * <p>예외처리  	: Exception									</p>
	 */
	public int updateJobPlan(String jobStatCd, AttrJobVO inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateAutoTranPlanBase			</p>
	 * <p>설명     	: 자동이체계획기본의 처리상태코드를 수정한다. 	</p>
	 * <p>메소드인수1	: AttrJobVO	                    	</p>
	 * <p>메소드리턴값  : int 								</p>
	 * <p>예외처리  	: Exception							</p>
	 */
	public int updateAutoTranPlanBase(AttrJobVO inVO) throws Exception;

	/**
	 * <p>메소드명 	: createAutoTranTrDesc					  </p>
	 * <p>설명     	: 청구처리후 자동이체거래내역에 결과를 등록한다. 	      </p>
	 * <p>메소드인수1	: AskUnrcvVO, autoTranAskObjList, jobVO	  </p>
	 * <p>메소드리턴값  : int 								      </p>
	 * <p>예외처리  	: Exception								  </p>
	 */
	public int createAutoTranTrDesc(AskUnrcvVO askUnrcvVO, List autoTranAskObjList, AttrJobVO jobVO) throws Exception;

	/**
	 * <p>메소드명 	: updateJobPlanBase			                </p>
	 * <p>설명     	: 작업계획기본테이블에 작업완료된 대출번호를 update한다. 	</p>
	 * <p>메소드인수1	: AttrJobVO	                    	</p>
	 * <p>메소드리턴값  : int 								</p>
	 * <p>예외처리  	: Exception							</p>
	 */
	public int updateJobPlanBase(int addNo, String loanNo, AttrJobVO inVO) throws Exception;

	/**
	 * (사용안함)
	 *
	 * <p>메소드명 	: updateJobPlanProcStat			    </p>
	 * <p>설명     	: 자동이체계획기본테이블에 청구처리 완료된건에 대해 처리상태코드를 완료로 수정한다. 	</p>
	 * <p>메소드인수1	: AttrJobVO	                    	</p>
	 * <p>메소드리턴값  : int 								</p>
	 * <p>예외처리  	: Exception							</p>
	 */
	//public int updateJobPlanProcStat(AttrJobVO inVO) throws Exception;


}