package hanalife.r.at.dl.service;

import java.util.List;

import hanalife.batch.ProcObj;
import hanalife.r.at.dl.vo.AutoTranIamtOutVO;
import hanalife.r.at.vo.bat.AutoTranIamtObj;

public interface AutoTranIamtService {

	/**
	 * <p>메소드명 	: chkIamtCond		</p>
	 * <p>설명     	: 청구작업 사전조건 체크. 		</p>
	 * <p>메소드인수1	: ProcObj                	</p>
	 * <p>메소드리턴값  : List<AutoTranIamtOutVO>  	</p>
	 * <p>예외처리  	: Exception					</p>
	 */
	public List<AutoTranIamtOutVO> chkIamtCond(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: searchJobPlan		</p>
	 * <p>설명     	: 자동이체입금처리 대상을 조회. 		</p>
	 * <p>메소드인수1	: ProcObj                	</p>
	 * <p>메소드리턴값  : ProcObj  	</p>
	 * <p>예외처리  	: Exception					</p>
	 */
	public ProcObj searchJobPlan(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: searchAutoTranIamtObj		</p>
	 * <p>설명     	: 자동이체입금 대상을 조회. 		</p>
	 * <p>메소드인수1	: ProcObj                	</p>
	 * <p>메소드리턴값  : AutoTranIamtOutVO      	</p>
	 * <p>예외처리  	: Exception					</p>
	 */
	public List<AutoTranIamtObj> searchAutoTranIamtObj(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateJobPlan			</p>
	 * <p>설명     	: 작업계획기본에 작업대상(대출)에 대한 작업상태를 수정. 	</p>
	 * <p>메소드인수1	: String jobStatCd, ProcObj procObj	                    	</p>
	 * <p>메소드리턴값  : int 								</p>
	 * <p>예외처리  	: Exception							</p>
	 */
	public int updateJobPlan(String jobStatCd, ProcObj procObj) throws Exception;

	/**
	 * <p>메소드명 	: updateAutoTranPlanBase			</p>
	 * <p>설명     	: 자동이체계획기본의 처리상태코드를 수정.    	</p>
	 * <p>메소드인수1	: ProcObj	                    	</p>
	 * <p>메소드리턴값  : int 								</p>
	 * <p>예외처리  	: Exception							</p>
	 */
	public int updateAutoTranPlanBase(ProcObj procObj) throws Exception;

	/**
	 * <p>메소드명 	: updateAutoTranTrDesc			 			</p>
	 * <p>설명     	: 입금처리후 결제번호를 자동이체거래내역에 update.    	</p>
	 * <p>메소드인수1	: List iamtUnrcvVOList, ProcObj procObj	    </p>
	 * <p>메소드리턴값  : int 										</p>
	 * <p>예외처리  	: Exception									</p>
	 */
	public int updateAutoTranTrDesc(List iamtUnrcvVOList, ProcObj procObj) throws Exception;

	/**
	 * <p>메소드명 	: updateJobPlanBase			 				</p>
	 * <p>설명     	: 작업계획기본테이블에 작업완료된 대출번호를 update.    	</p>
	 * <p>메소드인수1	: int addNo, String loanNo, ProcObj procObj </p>
	 * <p>메소드리턴값  : int 										</p>
	 * <p>예외처리  	: Exception									</p>
	 */
	public int updateJobPlanBase(int addNo, String loanNo, ProcObj procObj) throws Exception;

	/**
	 * <p>메소드명 	: updateJobPlanProcStat			                            </p>
	 * <p>설명     	: 자동이체계획기본테이블에 입금처리 완료된건에 대해 처리상태코드를 완료로 수정.    	</p>
	 * <p>메소드인수1	: ProcObj	                    	                        </p>
	 * <p>메소드리턴값  : int 								                        </p>
	 * <p>예외처리  	: Exception							                        </p>
	 */
	public int updateJobPlanProcStat(ProcObj procObj) throws Exception;

}