package hanalife.r.at.dl.service;

import hanalife.batch.ProcObj;

public interface AutoTranObjSlctService {

	/**
	 * <p>메소드명 	: updateChkCrteJob		              </p>
	 * <p>설명     	: RATDL02 청구생성 멀티작업 체크 및 UPDATE.	  </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int updateChkCrteJob(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: searchJobPlan		                  </p>
	 * <p>설명     	: 자동이체 청구대상 조회.	                  </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int searchJobPlan(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateObjSlctStat		              </p>
	 * <p>설명     	: 해당 마감일자의 청구상태 = 대상선정.	      </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int updateObjSlctStat(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateChkAcntStat		              </p>
	 * <p>설명     	: 계좌상태를 확인.               	      </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int updateChkAcntStat(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateDlyTcntChk		              </p>
	 * <p>설명     	: 연체횟수 제외.                 	      </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int updateDlyTcntChk(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateEprtComProcForLeas            </p>
	 * <p>설명     	: 리스상품 만기회차청구제외.           	      </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int updateEprtComProcForLeas(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateAutoPlanByAskExclDtLeas       </p>
	 * <p>설명     	: 리스청구제외일자 제외.           	      </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int updateAutoPlanByAskExclDtLeas(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateMinAskAmtChk                  </p>
	 * <p>설명     	: 최소금액 청구 예외 처리.           	      </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int updateMinAskAmtChk(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateUnRecvAskExcl                 </p>
	 * <p>설명     	: 미수신청구분 청구제외.           	      </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int updateUnRecvAskExcl(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateCyclAskObjExcl                 </p>
	 * <p>설명     	: 주기청구대상 청구제외.           	      </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int updateCyclAskObjExcl(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateMmFrstDlyExcl                 </p>
	 * <p>설명     	: 월초청구중복제외.                	      </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int updateMmFrstDlyExcl(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateLoanStatAskObj                </p>
	 * <p>설명     	: 대출상태확인 청구제외.               	  </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int updateLoanStatAskObj(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateLoanStatAskFbidFg             </p>
	 * <p>설명     	: 청구금지여부대상 청구제외.               	  </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int updateLoanStatAskFbidFg(ProcObj inVO) throws Exception;

	/**
	 * <p>메소드명 	: updateJobPlanProcStat               </p>
	 * <p>설명     	: [RT_JOB_PLAN_BASE] ASK_STAT : 3, PROC_STAT = 0 (확정/대기로 상태 수정).               	  </p>
	 * <p>메소드인수1	: ProcObj                	          </p>
	 * <p>메소드리턴값  : int  	                              </p>
	 * <p>예외처리  	: Exception					          </p>
	 */
	public int updateJobPlanProcStat(ProcObj inVO) throws Exception;

}
