package hanalife.r.at.dl.web;

import javax.annotation.Resource;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import hanalife.r.at.dl.service.RATDL0401Service;
import hanalife.r.at.dl.vo.RATDLInDTO;
import hanalife.r.at.dl.vo.RATDLOutDTO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RATDL0401Controller.java Class
 * 클래스설명   : RATDL04_자동이체입금처리 Controller
 * 작성일자     : 2023. 5. 9.
 * 작성자명     : 70279 / 가계대출 시스템 구축
 * Copyrightⓒ2033 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2033. 5. 4.][70279 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

@RequestMapping("/r/at/dl")
@Controller
public class RATDL0401Controller {

    //private static final Logger log = LoggerFactory.getLogger(RATDL0401Controller.class);

    @Resource(name = "RATDL0401Service")
    private RATDL0401Service RATDL0401;

    /**
     * <p>메소드명      : RATDL0401 </p>
     * <p>작성일자      : 2023. 5. 9.
     * <p>작성자(author): 70279
     * <p>설명          : 자동이체입금처리</p>
     * <p>예외처리      : Exception</p>
     */
    @RequestMapping(value = "/RATDL0401.do", method = RequestMethod.POST, produces="application/json")
    public ModelAndView RATDL0401(@RequestBody RATDLInDTO reqInVO) throws Exception {

        RATDLOutDTO outResultVo = new RATDLOutDTO();

        outResultVo = RATDL0401.getRATDL0401(reqInVO);

        ModelAndView mav = new ModelAndView("jsonView");
        mav.addObject("RESULT"    , outResultVo     );

        return mav;
    }
}
