package hanalife.r.at.mn.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.at.mn.mapper.dto.AutoTranTrReptReadDSSD01DTO;
import hanalife.r.at.mn.mapper.dto.AutoTranTrReptReadDSSEARCHBANKDTO;

/**
 * <pre>
 * 클래스명    : AutoTranTrReptReadMapper.java Class
 * 클래스설명  : 자동이체거래현황 Mapper
 * 프로젝트명  : 하나생명 가계대출 시스템(DOBSCAP)
 * 작성일자    : 2023. 3. 15.
 * 작성자명    : 70321 / KimMinSeok / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 15.][70321 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */

@Mapper("AutoTranTrReptReadMapper")
public interface AutoTranTrReptReadMapper {

	/**
     * <pre>
     * 메소드명      : search
     * 작성일자      : 2023. 3. 15.
     * 작성자(author): 70321 KimMinSeok
     * 설명          : 자동이체거래현황을(를) 조회 한다.
     * 메소드인수1   : 자동이체거래현황 입력
     * 메소드리턴값  : 자동이체거래현황 출력
     * 예외처리      : Exception
     * </pre>
     */
	//전체기준
    public List<AutoTranTrReptReadDSSD01DTO> search(AutoTranTrReptReadDSSEARCHBANKDTO inDto) throws Exception;

}
