package hanalife.r.at.mn.service;

import java.util.List;

import hanalife.r.at.ac.vo.RtAcntCnfmDescTDO;
import hanalife.r.at.mn.vo.RATMNM01DSSDVO;
import hanalife.r.at.mn.vo.RATMNM01S01InVO;
import hanalife.r.at.mn.vo.RATMNM01S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RATMNM01Service.java Class
 * 클래스설명   : 자동이체계좌관리 (RATMNM01) Service Interface
 * 작성일자     : 2023. 04. 11.
 * 작성자명     : 70326 / 유현식 / 가계대출 시스템 구축
 * Copyrightⓒ2023 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getRATMNM02S01 : 자동이체계좌신청조회목록조회

 * </pre>
 */

public interface RATMNM01Service {
	/**
	 * <p>메소드명      : getRATMNM01S01 : 자동이체계좌조회</p>
	 * <p>작성일자      : 2023. 04. 11.
	 * <p>작성자(author): 70326 / 유현식
	 * <p>설명          : 자동이체계좌조회 한다.</p>
	 * <p>메소드인수    : RATMNM01S01InVo </p>
	 * <p>메소드리턴값  : RATMNM01S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RATMNM01S01OutVO getRATMNM01S01(RATMNM01S01InVO inVo) throws Exception;

	public List<RATMNM01DSSDVO> getRATMNM01S02(RATMNM01S01InVO inVo) throws Exception;

	public List<RtAcntCnfmDescTDO> getRATMNM01S03(RtAcntCnfmDescTDO inVo) throws Exception;

	// 계좌확인내역 조회
	public List<RtAcntCnfmDescTDO> getRATMNM01S04(RtAcntCnfmDescTDO inVo) throws Exception;

	//
	public int modifyRATMNM01U01(RtAcntCnfmDescTDO inVo) throws Exception;

	public int modifyRATMNM01U02(RtAcntCnfmDescTDO inVo) throws Exception;

	public int modifyRATMNM01U03(RtAcntCnfmDescTDO inVo) throws Exception;

	public int modifyAcntStatCancel(RtAcntCnfmDescTDO inVo) throws Exception;

	public int modifySendRsAcntCnfmDesc(RtAcntCnfmDescTDO inVo) throws Exception;

	public int modifyAcntProcRsltAcntCnfmDesc(RtAcntCnfmDescTDO inVo) throws Exception;



	public int insertRATMNM01I01(RtAcntCnfmDescTDO inVo) throws Exception;


}
