package hanalife.r.at.mn.service;

import hanalife.r.at.mn.vo.RATMNM04S01InVO;
import hanalife.r.at.mn.vo.RATMNM04S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RATMNM04Service.java Class
 * 클래스설명   : 자동이체거래현황 (RATMNM04) Service Interface
 * 작성일자     : 2023. 3. 15.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 15.][70321 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getRATMNM04S01 : 자동이체거래현황목록조회
 * </pre>
 */
public interface RATMNM04Service {

	/**
	 * <p>메소드명      : getRATMNM04S01 : 자동이체거래현황목록조회</p>
	 * <p>작성일자      : 2023. 3. 15.
	 * <p>작성자(author): 70321 / KimMinSeok
	 * <p>설명          : 자동이체거래현황목록을 조회 한다.</p>
	 * <p>메소드인수    : RATMNM04S01InVo </p>
	 * <p>메소드리턴값  : RATMNM04S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RATMNM04S01OutVO getRATMNM04S01(RATMNM04S01InVO inVo) throws Exception;

}
