package hanalife.r.at.mn.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RATMNM04DSSD01VO.java Class
 * 클래스설명   : 자동이체거래현황 조회를 위한 테이블 VO
 * 작성일자     : 2023. 3. 15.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 15.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class RATMNM04DSSD01VO {

	private String rlDueDt;  /** 납입일자 */
	private String trOrgNm;  /** 거래기관이름 */
	private String trOrgCd;  /** 거래기관코드 */
	private String mngDeptNm;  /** 관리부서이름 */
	private String mngDeptCd;  /** 관리부서코드 */
	private String bankNm;  /** 은행이름 */
	private String bankCd;  /** 은행코드 */
	private String prdtClasNm;  /** 상품이름 */
	private String prdtClasCd;  /** 상품코드 */
	private String askCnt;  /** 청구건수 */
	private String askAmt;  /** 청구금액 */
	private String oamtCnt;  /** 결제건수 */
	private String oamtAmt;  /** 결제금액 */
	private String tamtOamtCnt;  /** 전액출금건수 */
	private String tamtOamt;  /** 전액출금금액 */
	private String partOamtCnt;  /** 부분출금건수 */
	private String partOamt;  /** 부분출금금액 */
	private String unOamtCnt;  /** 미출금건수 */
	private String unOamtAmt;  /** 미출금금액 */
	private String badAcntCnt;  /** 불량계좌건수 */
	private String badAcntAmt;  /** 불량계좌금액 */
	private String askErrCnt;  /**  */
	private String askFee;  /**  */
	private String askErrFee;  /**  */
	private String oamtFee;  /**  */
	private String autoFee;  /**  */

	public String getRlDueDt() {
		return rlDueDt;
	}
	public void setRlDueDt(String rlDueDt) {
		this.rlDueDt = rlDueDt;
	}
	public String getTrOrgNm() {
		return trOrgNm;
	}
	public void setTrOrgNm(String trOrgNm) {
		this.trOrgNm = trOrgNm;
	}
	public String getTrOrgCd() {
		return trOrgCd;
	}
	public void setTrOrgCd(String trOrgCd) {
		this.trOrgCd = trOrgCd;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getBankNm() {
		return bankNm;
	}
	public void setBankNm(String bankNm) {
		this.bankNm = bankNm;
	}
	public String getBankCd() {
		return bankCd;
	}
	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}
	public String getPrdtClasNm() {
		return prdtClasNm;
	}
	public void setPrdtClasNm(String prdtClasNm) {
		this.prdtClasNm = prdtClasNm;
	}
	public String getPrdtClasCd() {
		return prdtClasCd;
	}
	public void setPrdtClasCd(String prdtClasCd) {
		this.prdtClasCd = prdtClasCd;
	}
	public String getAskCnt() {
		return askCnt;
	}
	public void setAskCnt(String askCnt) {
		this.askCnt = askCnt;
	}
	public String getAskAmt() {
		return askAmt;
	}
	public void setAskAmt(String askAmt) {
		this.askAmt = askAmt;
	}
	public String getOamtCnt() {
		return oamtCnt;
	}
	public void setOamtCnt(String oamtCnt) {
		this.oamtCnt = oamtCnt;
	}
	public String getOamtAmt() {
		return oamtAmt;
	}
	public void setOamtAmt(String oamtAmt) {
		this.oamtAmt = oamtAmt;
	}
	public String getTamtOamtCnt() {
		return tamtOamtCnt;
	}
	public void setTamtOamtCnt(String tamtOamtCnt) {
		this.tamtOamtCnt = tamtOamtCnt;
	}
	public String getTamtOamt() {
		return tamtOamt;
	}
	public void setTamtOamt(String tamtOamt) {
		this.tamtOamt = tamtOamt;
	}
	public String getPartOamtCnt() {
		return partOamtCnt;
	}
	public void setPartOamtCnt(String partOamtCnt) {
		this.partOamtCnt = partOamtCnt;
	}
	public String getPartOamt() {
		return partOamt;
	}
	public void setPartOamt(String partOamt) {
		this.partOamt = partOamt;
	}
	public String getUnOamtCnt() {
		return unOamtCnt;
	}
	public void setUnOamtCnt(String unOamtCnt) {
		this.unOamtCnt = unOamtCnt;
	}
	public String getUnOamtAmt() {
		return unOamtAmt;
	}
	public void setUnOamtAmt(String unOamtAmt) {
		this.unOamtAmt = unOamtAmt;
	}
	public String getBadAcntCnt() {
		return badAcntCnt;
	}
	public void setBadAcntCnt(String badAcntCnt) {
		this.badAcntCnt = badAcntCnt;
	}
	public String getBadAcntAmt() {
		return badAcntAmt;
	}
	public void setBadAcntAmt(String badAcntAmt) {
		this.badAcntAmt = badAcntAmt;
	}
	public String getAskErrCnt() {
		return askErrCnt;
	}
	public void setAskErrCnt(String askErrCnt) {
		this.askErrCnt = askErrCnt;
	}
	public String getAskFee() {
		return askFee;
	}
	public void setAskFee(String askFee) {
		this.askFee = askFee;
	}
	public String getAskErrFee() {
		return askErrFee;
	}
	public void setAskErrFee(String askErrFee) {
		this.askErrFee = askErrFee;
	}
	public String getOamtFee() {
		return oamtFee;
	}
	public void setOamtFee(String oamtFee) {
		this.oamtFee = oamtFee;
	}
	public String getAutoFee() {
		return autoFee;
	}
	public void setAutoFee(String autoFee) {
		this.autoFee = autoFee;
	}

}
