package hanalife.r.at.vo.bat;

import hanalife.util.BizException;
import hanalife.util.LoggableVO;
import hanalife.util.gram.OnLineUtil;

/**
 * <pre>
 * 클래스명    : EB11Body
 * 클래스설명 : EB11Body
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class EB11Body extends LoggableVO implements IGram {
	int[] iArr = {1,8,10,6,1,20,7,16,16,4,2,1,4,1,12,1,10};

	private String recTypeCd;		//RECORD구분                	( 1/001)
	private String dataSnum;		//DATA일련번호              	( 8/009)
	private String vndrCd;			//업체코드                   	(10/019)
	private String sendDt;			//신청일자                   	( 6/025)
	private String acntApplDivCd;	//신청구분                   	( 1/026)
	private String loanNo;			//납부자번호                 	(20/046)
	private String bankCd;			//은행점코드                 	( 7/053)
	private String acntNo;			//지정출금계좌번호           	(16/069)
	private String depoOwnNo;		//주민등록번호 OR 사업자번호 	(16/085)
	private String trtShopCd;		//취급점코드                 	( 4/089)
	private String monyKind;		//자금종류                   	( 2/091)
	private String rsltCd;			//결과코드                   	( 1/092)
	private String ipssCd;			//불능코드                   	( 4/096)
	private String filler;			//예비영역                   	( 1/097)
	private String telNo;			//전화번호                   	(12/109)
	private String applDiv;			//신청구분                   	(01/110)
	private String filler2;			//예비영역                   	(10/120)

	@Override
	public void setData(String gram) {
		try {
			byte[] b = gram.getBytes("euc-kr");

			int isum = iArr.length;
			int[] iMergeLen = new int[isum];

			int icnt = 0;

			for (int i = 0; i < iArr.length; i++) {
				iMergeLen[icnt++] = iArr[i];
			}

			String[] strArr = OnLineUtil.parseString(b, iMergeLen);

			int i = 0;
			setRecTypeCd    (strArr[i++]); //RECORD구분
			setDataSnum     (strArr[i++]); //DATA일련번호
			setVndrCd       (strArr[i++]); //기관코드
			setSendDt       (strArr[i++]); //신청일자
			setAcntApplDivCd(strArr[i++]); //신청구분
			setLoanNo       (strArr[i++]); //납부자번호
			setBankCd       (strArr[i++]); //은행점코드
			setAcntNo       (strArr[i++]); //지정출금계좌번호
			setDepoOwnNo    (strArr[i++]); //주민등록번호 OR 사업자번호
			setTrtShopCd    (strArr[i++]); //취급점코드
			setMonyKind     (strArr[i++]); //자금종류
			setRsltCd       (strArr[i++]); //결과코드
			setIpssCd       (strArr[i++]); //불능코드
			setFiller       (strArr[i++]); //FILLER
			setTelNo        (strArr[i++]); //전화번호
			setApplDiv      (strArr[i++]); //신청구분
			setFiller2      (strArr[i++]); //FILLER2

		} catch (Exception e) {
			throw new BizException("전문 Parsing Error[" + e.getMessage() + "]",e);
		}
	}


	@Override
	public String getData() {

		StringBuffer sb = new StringBuffer(98);
		int i = 0;

		try {
			sb.append(OnLineUtil.fillSpace(getRecTypeCd(), iArr[i++])); //RECORD구분
			sb.append(OnLineUtil.fillSpace(getDataSnum() , iArr[i++])); //DATA일련번호
			sb.append(OnLineUtil.fillSpace(getVndrCd()   , iArr[i++])); //기관코드
			sb.append(OnLineUtil.fillSpace(getSendDt()   , iArr[i++])); //신청일자
			sb.append(OnLineUtil.fillSpace(getAcntApplDivCd(), iArr[i++])); //신청구분
			sb.append(OnLineUtil.fillSpace(getLoanNo()   , iArr[i++])); //납부자번호
			sb.append(OnLineUtil.fill(getBankCd()        , iArr[i++],"0")); //은행점코드
			sb.append(OnLineUtil.fillSpace(getAcntNo()   , iArr[i++])); //지정출금계좌번호
			sb.append(OnLineUtil.fillSpace(getDepoOwnNo(), iArr[i++])); //주민등록번호 OR 사업자번호
			sb.append(OnLineUtil.fillSpace(getTrtShopCd(), iArr[i++])); //취급점코드
			sb.append(OnLineUtil.fillSpace(getMonyKind() , iArr[i++])); //자금종류
			sb.append(OnLineUtil.fillSpace(getRsltCd()   , iArr[i++])); //결과코드
			sb.append(OnLineUtil.fillSpace(getIpssCd()   , iArr[i++])); //불능코드
			sb.append(OnLineUtil.fillSpace(getFiller()   , iArr[i++])); //FILLER
			sb.append(OnLineUtil.fillSpace(getTelNo()    , iArr[i++])); //전화번호
			sb.append(OnLineUtil.fillSpace(getApplDiv()  , iArr[i++])); //신청구분
			sb.append(OnLineUtil.fillSpace(getFiller2()  , iArr[i++])); //FILLER2

		} catch (Exception e) {
			throw new BizException("전문 생성 Error[" + e.getMessage() + "]", e);
		}

		return sb.toString();
	}

	public void setRecTypeCd(String recTypeCd) {
		this.recTypeCd = recTypeCd;
	}
	public String getRecTypeCd() {
		return recTypeCd;
	}

	public String getDataSnum() {
		return dataSnum;
	}
	public void setDataSnum(String dataSnum) {
		this.dataSnum = dataSnum;
	}

	public String getVndrCd() {
		return vndrCd;
	}
	public void setVndrCd(String vndrCd) {
		this.vndrCd = vndrCd;
	}

	public String getSendDt() {
		return sendDt;
	}
	public void setSendDt(String sendDt) {
		this.sendDt = sendDt;
	}

	public String getAcntApplDivCd() {
		return acntApplDivCd;
	}
	public void setAcntApplDivCd(String acntApplDivCd) {
		this.acntApplDivCd = acntApplDivCd;
	}

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public String getBankCd() {
		return bankCd;
	}
	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}

	public String getAcntNo() {
		return acntNo;
	}
	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}

	public String getDepoOwnNo() {
		return depoOwnNo;
	}
	public void setDepoOwnNo(String depoOwnNo) {
		this.depoOwnNo = depoOwnNo;
	}

	public String getTrtShopCd() {
		return trtShopCd;
	}
	public void setTrtShopCd(String trtShopCd) {
		this.trtShopCd = trtShopCd;
	}

	public String getMonyKind() {
		return monyKind;
	}
	public void setMonyKind(String monyKind) {
		this.monyKind = monyKind;
	}

	public String getRsltCd() {
		return rsltCd;
	}
	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}

	public String getIpssCd() {
		return ipssCd;
	}
	public void setIpssCd(String ipssCd) {
		this.ipssCd = ipssCd;
	}

	public String getFiller() {
		return filler;
	}
	public void setFiller(String filler) {
		this.filler = filler;
	}

	public String getTelNo() {
		return telNo;
	}
	public void setTelNo(String telNo) {
		this.telNo = telNo;
	}

	public String getApplDiv() {
		return applDiv;
	}
	public void setApplDiv(String applDiv) {
		this.applDiv = applDiv;
	}

	public String getFiller2() {
		return filler2;
	}
	public void setFiller2(String filler2) {
		this.filler2 = filler2;
	}
}
