package hanalife.r.at.vo.bat;

import hanalife.util.BizException;
import hanalife.util.LoggableVO;
import hanalife.util.gram.OnLineUtil;

/**
 * <pre>
 * 클래스명    : EC21Header
 * 클래스설명 : 자동이체출금요청전문(금결원) Header
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class EC21Header extends LoggableVO implements IGram {
	int[] iArr = {1, 8, 10, 8, 6, 7, 16, 94};

	private String recordDiv	;	// ( 1/001)RECORD_구분
	private String snum;			// ( 8/009)일련_번호
	private String orgCd;			// (10/019)기관_코드
	private String fileNm;			// ( 8/027)파일_명
	private String oamtDt;			// ( 6/033)출금_일자
	private String moBankBrchCd;	// ( 7/040)주_거래_은행_지점_코드
	private String moAcntNo;		// (16/056)입금_모계좌_번호
	private String filler;			// (94/150)FILLER

	@Override
	public void setData(String gram) {
		try {
			byte[] b = gram.getBytes();

			int isum = iArr.length;
			int[] iMergeLen = new int[isum];

			int icnt = 0;

			for (int i = 0; i < isum; i++) {
				iMergeLen[icnt++] = iArr[i];
			}

			String[] strArr = OnLineUtil.parseString(b, iMergeLen);

			int i = 0;
			this.setRecordDiv(strArr[i++]); //RECORD_구분
			this.setSnum(strArr[i++]); //일련_번호
			this.setOrgCd(strArr[i++]); //기관_코드
			this.setFileNm(strArr[i++]); //파일_명
			this.setOamtDt(strArr[i++]); //출금_일자
			this.setMoBankBrchCd(strArr[i++]); //주_거래_은행_지점_코드
			this.setMoAcntNo(strArr[i++]); //입금_계좌_번호
			this.setFiller(strArr[i++]); //FILLER
		} catch (Exception e) {
			throw new BizException("전문 Parsing Error[" + e.getMessage() + "]", e);
		}
	}

	@Override
	public String getData() {

		StringBuilder sb = new StringBuilder(150);
		int i = 0;

		try {
			sb.append(OnLineUtil.fillSpace(getRecordDiv(), iArr[i++])); //RECORD_구분
			sb.append(OnLineUtil.fixEndZero(getSnum(), iArr[i++])); //일련_번호
			sb.append(OnLineUtil.fillSpace(getOrgCd(), iArr[i++])); //기관_코드
			sb.append(OnLineUtil.fillSpace(getFileNm(), iArr[i++])); //파일_명
			sb.append(OnLineUtil.fillSpace(getOamtDt(), iArr[i++])); //출금_일자
			sb.append(OnLineUtil.fill(getMoBankBrchCd(), iArr[i++], "0")); //주_거래_은행_지점_코드
			sb.append(OnLineUtil.fillSpace(getMoAcntNo(), iArr[i++])); //입금_계좌_번호
			sb.append(OnLineUtil.fillSpace(getFiller(), iArr[i++])); //FILLER
		} catch (Exception e) {
			throw new BizException("전문 생성 Error[" + e.getMessage() + "]", e);
		}
		return sb.toString();
	}

	public String getFileNm() {
		return fileNm;
	}
	public void setFileNm(String fileNm) {
		this.fileNm = fileNm;
	}

	public String getFiller() {
		return filler;
	}
	public void setFiller(String filler) {
		this.filler = filler;
	}

	public String getMoBankBrchCd() {
		return moBankBrchCd;
	}

	public void setMoBankBrchCd(String moBankBrchCd) {
		this.moBankBrchCd = moBankBrchCd;
	}

	public String getMoAcntNo() {
		return moAcntNo;
	}

	public void setMoAcntNo(String moAcntNo) {
		this.moAcntNo = moAcntNo;
	}

	public String getOamtDt() {
		return oamtDt;
	}
	public void setOamtDt(String oamtDt) {
		this.oamtDt = oamtDt;
	}

	public String getOrgCd() {
		return orgCd;
	}
	public void setOrgCd(String orgCd) {
		this.orgCd = orgCd;
	}

	public String getRecordDiv() {
		return recordDiv;
	}
	public void setRecordDiv(String recordDiv) {
		this.recordDiv = recordDiv;
	}

	public String getSnum() {
		return snum;
	}
	public void setSnum(String snum) {
		this.snum = snum;
	}
}
