package hanalife.r.at.vo.bat;

import java.util.Arrays;
import java.util.List;

import hanalife.util.BizException;
import hanalife.util.LoggableVO;
import hanalife.util.gram.OnLineUtil;

/**
 * <pre>
 * 클래스명    : EC22Body
 * 클래스설명 : EC22Body
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class EC22Body extends LoggableVO implements IGram {
	int[] iArr = {1,8,10,7,16,13,13,1,4,16,2,20,5,1,12,21};

	private String recTypeCd; //RECORD구분
	private String dataSnum; //DATA일련번호
	private String trOrgCd; //기관코드
	private String oamtBankOffcCd;	// ( 7/026) 출금_은행_점_코드
	private	String oamtAcntNo; //출금계좌번호
	private String oamtIpss; //출금불능금액
	private	String csNo; //주민번호
	private	String oamtRsltOamtFg; //출금결과출금여부
	private String oamtRsltOamtIpssCd; //출금결과불능코드
	private	String bnkbCntn; //통장기재내용
	private	String monyKind; //자금종류
	private String loanNo; //납부자번호
	private String useOrgUseArea; //이용기관사용영역
	private String oamtForm; //출금형태
	private String telNo; //전화번호
	private String filler; //FILLER

	@Override
	public void setData(String gram) {
		try {
			byte[] b = gram.getBytes("euc-kr");

			int isum = iArr.length;
			int[] iMergeLen = new int[isum];

			int icnt = 0;

			for (int i = 0; i < iArr.length; i++) {
				iMergeLen[icnt++] = iArr[i];
			}

			String[] strArr = OnLineUtil.parseString(b, iMergeLen, "euc-kr");

			int i = 0;
			setRecTypeCd(strArr[i++]); //RECORD구분
			setDataSnum(strArr[i++]); //DATA일련번호
			setTrOrgCd(strArr[i++]); //기관코드
			setOamtBankOffcCd(strArr[i++]);
			setOamtAcntNo(strArr[i++]); //출금계좌번호
			setOamtIpss(strArr[i++]); //출금불능금액
			setCsNo(strArr[i++]); //주민번호
			setOamtRsltOamtFg(strArr[i++]); //출금결과출금여부
			setOamtRsltOamtIpssCd(strArr[i++]); //출금결과불능코드
			setBnkbCntn(strArr[i++]); //통장기재내용
			setMonyKind(strArr[i++]); //자금종류
			setLoanNo(strArr[i++]); //납부자번호
			setUseOrgUseArea(strArr[i++]); //이용기관사용영역
			setOamtForm(strArr[i++]); //출금형태
			setTelNo(strArr[i++]); //전화번호
			setFiller(strArr[i++]); //FILLER

		} catch (Exception e) {
			throw new BizException("전문 Parsing Error[" + e.getMessage() + "]", e);
		}
	}

	@Override
	public String getData() {

		StringBuffer sb = new StringBuffer(98);
		int i = 0;

		try {
			sb.append(OnLineUtil.fillSpace(getRecTypeCd(), iArr[i++])); //RECORD구분
			sb.append(OnLineUtil.fixEndZero(getDataSnum(), iArr[i++])); //DATA일련번호
			sb.append(OnLineUtil.fillSpace(getTrOrgCd(), iArr[i++])); //기관코드
			sb.append(OnLineUtil.fillSpace(getOamtBankOffcCd(), iArr[i++])); //출금은행점코드
			sb.append(OnLineUtil.fillSpace(getOamtAcntNo(), iArr[i++])); //출금계좌번호
			sb.append(OnLineUtil.fixEndZero(getOamtIpss(), iArr[i++])); //출금불능금액
			sb.append(OnLineUtil.fillSpace(getCsNo(), iArr[i++])); //주민번호
			sb.append(OnLineUtil.fillSpace(getOamtRsltOamtFg(), iArr[i++])); //출금결과출금여부
			sb.append(OnLineUtil.fillSpace(getOamtRsltOamtIpssCd(), iArr[i++])); //출금결과불능코드
			sb.append(OnLineUtil.fillSpace(getBnkbCntn(), iArr[i++])); //통장기재내용
			sb.append(OnLineUtil.fillSpace(getMonyKind(), iArr[i++])); //자금종류
			sb.append(OnLineUtil.fillSpace(getLoanNo(), iArr[i++])); //납부자번호
			sb.append(OnLineUtil.fillSpace(getUseOrgUseArea(), iArr[i++])); //이용기관사용영역
			sb.append(OnLineUtil.fillSpace(getOamtForm(), iArr[i++])); //출금형태
			sb.append(OnLineUtil.fillSpace(getTelNo(), iArr[i++])); //전화번호
			sb.append(OnLineUtil.fillSpace(getFiller(), iArr[i++])); //FILLER

		} catch (Exception e) {
			throw new BizException("전문 생성 Error[" + e.getMessage() + "]", e);
		}

		return sb.toString();
	}

	public void setDataCsv(String csvStr){

		List<String> strArr = Arrays.asList(csvStr.split(",", -1));

		int i = 0;
		setRecTypeCd(strArr.get(i++)); //RECORD구분
		setDataSnum(strArr.get(i++)); //DATA일련번호
		setTrOrgCd(strArr.get(i++)); //기관코드
		setOamtAcntNo(strArr.get(i++)); //출금계좌번호
		setOamtIpss(strArr.get(i++)); //출금불능금액
		setCsNo(strArr.get(i++)); //주민번호
		setOamtRsltOamtFg(strArr.get(i++)); //출금결과출금여부
		setOamtRsltOamtIpssCd(strArr.get(i++)); //출금결과불능코드
		setBnkbCntn(strArr.get(i++)); //통장기재내용
		setMonyKind(strArr.get(i++)); //자금종류
		setLoanNo(strArr.get(i++)); //납부자번호
		setUseOrgUseArea(strArr.get(i++)); //이용기관사용영역
		setOamtForm(strArr.get(i++)); //출금형태
		setTelNo(strArr.get(i++)); //전화번호
		setFiller(strArr.get(i++)); //FILLER
	}

	public void setRecTypeCd(String recTypeCd) {
		this.recTypeCd = recTypeCd;
	}

	public void setDataSnum(String dataSnum) {
		this.dataSnum = dataSnum;
	}

	public void setTrOrgCd(String trOrgCd) {
		this.trOrgCd = trOrgCd;
	}

	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public void setMonyKind(String monyKind) {
		this.monyKind = monyKind;
	}

	public void setFiller(String filler) {
		this.filler = filler;
	}

	public String getRecTypeCd() {
		return recTypeCd;
	}

	public String getDataSnum() {
		return dataSnum;
	}

	public String getTrOrgCd() {
		return trOrgCd;
	}


	public String getLoanNo() {
		return loanNo;
	}

	public String getMonyKind() {
		return monyKind;
	}

	public String getFiller() {
		return filler;
	}

	public String getTelNo() {
		return telNo;
	}

	public void setTelNo(String telNo) {
		this.telNo = telNo;
	}

	public String getOamtAcntNo() {
		return oamtAcntNo;
	}

	public void setOamtAcntNo(String oamtAcntNo) {
		this.oamtAcntNo = oamtAcntNo;
	}

	public String getCsNo() {
		return csNo;
	}

	public void setCsNo(String csNo) {
		this.csNo = csNo;
	}

	public String getOamtRsltOamtFg() {
		return oamtRsltOamtFg;
	}

	public void setOamtRsltOamtFg(String oamtRsltOamtFg) {
		this.oamtRsltOamtFg = oamtRsltOamtFg;
	}

	public String getOamtRsltOamtIpssCd() {
		return oamtRsltOamtIpssCd;
	}

	public void setOamtRsltOamtIpssCd(String oamtRsltOamtIpssCd) {
		this.oamtRsltOamtIpssCd = oamtRsltOamtIpssCd;
	}

	public String getBnkbCntn() {
		return bnkbCntn;
	}

	public void setBnkbCntn(String bnkbCntn) {
		this.bnkbCntn = bnkbCntn;
	}

	public String getUseOrgUseArea() {
		return useOrgUseArea;
	}

	public void setUseOrgUseArea(String useOrgUseArea) {
		this.useOrgUseArea = useOrgUseArea;
	}

	public String getOamtForm() {
		return oamtForm;
	}

	public void setOamtForm(String oamtForm) {
		this.oamtForm = oamtForm;
	}

	public String getOamtIpss() {
		return oamtIpss;
	}

	public void setOamtIpss(String oamtIpss) {
		this.oamtIpss = oamtIpss;
	}

	public String getOamtBankOffcCd() {
		return oamtBankOffcCd;
	}

	public void setOamtBankOffcCd(String oamtBankOffcCd) {
		this.oamtBankOffcCd = oamtBankOffcCd;
	}
}
