package hanalife.r.at.vo.bat;

import hanalife.c.co.util.StringUtil;
import hanalife.util.BizException;
import hanalife.util.LoggableVO;
import hanalife.util.gram.OnLineUtil;

//수신전문
/**
 * <pre>
 * 클래스명    : EI13Header
 * 클래스설명 : EI13Header
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class EI13Header extends LoggableVO implements IGram {
	int[] iArr = {6,2,7,8,20,7,974};

	private String bsnDivCd;		       // 업무구분코드
	private String recDiv;		           // Record 구분
	private String snum;		           // 일련번호
	private String applDd;			       // 신청일
	private String useOrgCd;	           // 이용기관코드
	private String totProfDataCnt;         // 총 증빙자료 개수
	private String filler;			       // FILLER

	@Override
	public void setData(String gram) {
		try {
			byte[] b = gram.getBytes();

			int isum = iArr.length;
			int[] iMergeLen = new int[isum];

			int icnt = 0;

			for (int i = 0; i < iArr.length; i++) {
				iMergeLen[icnt++] = iArr[i];
			}

			String[] strArr = OnLineUtil.parseString(b, iMergeLen);

			int i = 0;
			setBsnDivCd 		(strArr[i++]); // 업무구분코드
			setRecDiv		    (strArr[i++]); // Record 구분
			setSnum 		    (strArr[i++]); // 일련번호
			setApplDd			(strArr[i++]); // 신청일
			setUseOrgCd 	    (strArr[i++]); // 이용기관코드
			setTotProfDataCnt   (strArr[i++]); // 총 증빙자료 개수
			setFiller 			(strArr[i++]); // FILLER

		} catch (Exception e) {
			throw new BizException("전문 EI13Header Parsing Error[" + e.getMessage() + "]", e);
		}
	}


	@Override
	public String getData() {

		StringBuffer sb = new StringBuffer(98);
		int i = 0;

		try {
			sb.append(StringUtil.rpadByte(getBsnDivCd 		(), iArr[i++], " ")); // 업무구분코드
			sb.append(StringUtil.rpadByte(getRecDiv		    (), iArr[i++], " ")); // Record 구분
			sb.append(StringUtil.rpadByte(getSnum 		    (), iArr[i++], " ")); // 일련번호
			sb.append(StringUtil.rpadByte(getApplDd			(), iArr[i++], " ")); // 신청일
			sb.append(StringUtil.rpadByte(getUseOrgCd 	    (), iArr[i++], " ")); // 이용기관코드
			sb.append(StringUtil.lpadByte(getTotProfDataCnt  (), iArr[i++], "0")); // 총 증빙자료 개수
			sb.append(StringUtil.rpadByte(getFiller 			(), iArr[i++], " ")); // FILLER

		} catch (Exception e) {
			throw new BizException("전문 생성 EI13Header Error[" + e.getMessage() + "]", e);
		}

		return sb.toString();
	}


	public int[] getiArr() {
		return iArr;
	}


	public void setiArr(int[] iArr) {
		this.iArr = iArr;
	}


	public String getBsnDivCd() {
		return bsnDivCd;
	}


	public void setBsnDivCd(String bsnDivCd) {
		this.bsnDivCd = bsnDivCd;
	}


	public String getRecDiv() {
		return recDiv;
	}


	public void setRecDiv(String recDiv) {
		this.recDiv = recDiv;
	}


	public String getSnum() {
		return snum;
	}


	public void setSnum(String snum) {
		this.snum = snum;
	}


	public String getApplDd() {
		return applDd;
	}


	public void setApplDd(String applDd) {
		this.applDd = applDd;
	}


	public String getUseOrgCd() {
		return useOrgCd;
	}


	public void setUseOrgCd(String useOrgCd) {
		this.useOrgCd = useOrgCd;
	}


	public String getTotProfDataCnt() {
		return totProfDataCnt;
	}


	public void setTotProfDataCnt(String totProfDataCnt) {
		this.totProfDataCnt = totProfDataCnt;
	}


	public String getFiller() {
		return filler;
	}


	public void setFiller(String filler) {
		this.filler = filler;
	}

}
