package hanalife.r.bm.gm.service;

import hanalife.r.bm.gm.vo.RBMGMM05S01InVO;
import hanalife.r.bm.gm.vo.RBMGMM05S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RBMGMM05Service.java Class
 * 클래스설명   : todo1 (RBMGMM05) Service Interface
 * 작성일자     : 2023. 3. 10.
 * 작성자명     : 70324 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 10.][70324 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getRBMGMM05S01 : todo1목록조회
 *              registerRBMGMM05I01 : todo1등록
 *              modifyRBMGMM05U01 : todo1수정
 *              removeRBMGMM05U01 : todo1삭제
 * </pre>
 */
public interface RBMGMM05Service {

	/**
	 * <p>메소드명      : getRBMGMM05S01 : todo1목록조회</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author): 70324 / younghwe.kim
	 * <p>설명          : todo1목록을 조회 한다.</p>
	 * <p>메소드인수    : RBMGMM05S01InVo </p>
	 * <p>메소드리턴값  : RBMGMM05S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RBMGMM05S01OutVO getRBMGMM05S01(RBMGMM05S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : registerRBMGMM05I01 - todo1등록</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author): 70324 / younghwe.kim
	 * <p>설명          : todo1등록</p>
	 * <p>메소드인수    : RBMGMM05I01InVo </p>
	 * <p>메소드리턴값  : RBMGMM05I01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
//	public RBMGMM05I01OutVO registerRBMGMM05I01(RBMGMM05I01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : modifyRBMGMM05U01 - todo1수정</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author): 70324 / younghwe.kim
	 * <p>설명          : todo1수정</p>
	 * <p>메소드인수    : RBMGMM05U01InVo </p>
	 * <p>메소드리턴값  : RBMGMM05U01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
//	public RBMGMM05U01OutVO modifyRBMGMM05U01(RBMGMM05U01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : removeRBMGMM05D01 - todo1삭제</p>
	 * <p>작성일자      : 2023. 3. 10.
	 * <p>작성자(author): 70324 / younghwe.kim
	 * <p>설명          : todo1삭제</p>
	 * <p>메소드인수    : RBMGMM05D01InVo </p>
	 * <p>메소드리턴값  : RBMGMM05D01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
//	public RBMGMM05D01OutVO removeRBMGMM05D01(RBMGMM05D01InVO inVo) throws Exception;

}
