package hanalife.r.ch.mn.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.ch.mn.mapper.dto.RCHMNM01DSSD01OutDTO;
import hanalife.r.ch.mn.mapper.dto.RCHMNM01DSSD02OutDTO;
import hanalife.r.ch.mn.mapper.dto.RCHMNM01DSSD03OutDTO;
import hanalife.r.ch.mn.mapper.dto.RCHMNM01DSSD04OutDTO;
import hanalife.r.ch.mn.mapper.dto.RCHMNM01DSSD05OutDTO;
import hanalife.r.ch.mn.mapper.dto.RCHMNM01DSSD06OutDTO;
import hanalife.r.ch.mn.mapper.dto.RCHMNM01DSSD08OutDTO;
import hanalife.r.ch.mn.mapper.dto.RCHMNM01DSSD11OutDTO;
import hanalife.r.ch.mn.mapper.dto.RCHMNM01SrchDTO;

/**
 * <pre>
 * 클래스명    : LoanChngMapper.java Class
 * 클래스설명  : 결제일변경관리 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------ㄲ
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 * @param <RRCRCM02DSSDDO01DTO>
 */

@Mapper("loanChngMapper")
public interface LoanChngMapper {

    /**
     * <p>메소드명      : searchSetlDdChngLoanBase</p>
     * <p>설명          : 결제일변경관리_결제일변경 목록을 조회 한다.</p>
     * <p>메소드인수1   : RCHMNM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 기본정보 내역 조회 결과 RCHMNM01DSSD01OutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<RCHMNM01DSSD01OutDTO> searchSetlDdChngLoanBase(RCHMNM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchStSetlDdChngHist</p>
     * <p>설명          : 결제일변경관리_이력정보 목록을 조회 한다.</p>
     * <p>메소드인수1   : RCHMNM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 결제일변경관리_이력정보 조회 결과 RCHMNM01DSSD01OutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<RCHMNM01DSSD01OutDTO> searchStSetlDdChngHist(RCHMNM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchAskPlcChngCustAddr</p>
     * <p>설명          : 결제일변경관리_고객주소정보 목록을 조회 한다.</p>
     * <p>메소드인수1   : RCHMNM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 결제일변경관리_고객주소정보 조회 결과 RCHMNM01DSSD02OutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<RCHMNM01DSSD02OutDTO> searchAskPlcChngCustAddr(RCHMNM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchCustCntcPlc</p>
     * <p>설명          : 결제일변경관리_고객연락처정보 목록을 조회 한다.</p>
     * <p>메소드인수1   : RCHMNM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 결제일변경관리_고객연락처정보 조회 결과 RCHMNM01DSSD03OutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<RCHMNM01DSSD03OutDTO> searchCustCntcPlc(RCHMNM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchSetlDdChngDueDt</p>
     * <p>설명          : 결제일변경관리_전회차 납입일자를 조회 한다.</p>
     * <p>메소드인수1   : RCHMNM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 결제일변경관리_전회차 납입일자 조회 결과 RCHMNM01DSSD06OutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<RCHMNM01DSSD06OutDTO> searchSetlDdChngDueDt(RCHMNM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchSetlDdChng</p>
     * <p>설명          : 결제일변경관리_변경이력을 조회 한다.</p>
     * <p>메소드인수1   : RCHMNM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 결제일변경관리_변경이력을 조회 결과 RCHMNM01DSSD04OutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<RCHMNM01DSSD04OutDTO> searchSetlDdChng(RCHMNM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchSetlDdChng</p>
     * <p>설명          : 결제일변경관리_결제내역을 조회 한다.</p>
     * <p>메소드인수1   : RCHMNM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 결제일변경관리_결제내역을 조회 결과 RCHMNM01DSSD08OutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<RCHMNM01DSSD08OutDTO> searchSetlDdChngCons(RCHMNM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchSetlDdChngHist</p>
     * <p>설명          : 결제일변경관리_결제일변경내역을 조회 한다.</p>
     * <p>메소드인수1   : RCHMNM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 결제일변경관리_결제내역을 조회 결과 RCHMNM01DSSD05OutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<RCHMNM01DSSD05OutDTO> searchSetlDdChngHist(RCHMNM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchSetlDdCycl</p>
     * <p>설명          : 결제일변경관리_결제주기를 조회 한다.</p>
     * <p>메소드인수1   : RCHMNM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 결제일변경관리_결제주기 조회 결과 RCHMNM01DSSD11OutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<RCHMNM01DSSD11OutDTO> searchSetlDdCycl(RCHMNM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchSetlDdCycl</p>
     * <p>설명          : 결제일변경관리_수납내역을 조회 한다.</p>
     * <p>메소드인수1   : RCHMNM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 결제일변경관리_수납내역 조회 결과 boolean </p>
     * <p>예외처리      : Exception</p>
     */
    public boolean searchRcptDesc(RCHMNM01SrchDTO inDto) throws Exception;

}
