package hanalife.r.ch.pl.service;

import hanalife.r.ch.pl.vo.RCHPLM01S01InVO;
import hanalife.r.ch.pl.vo.RCHPLM01S01OutVO;
import hanalife.r.ch.pl.vo.RCHPLM01S02InVO;
import hanalife.r.ch.pl.vo.RCHPLM01S02OutVO;
import hanalife.r.ch.pl.vo.RCHPLM01U01InVO;
import hanalife.r.ch.pl.vo.RCHPLM01U01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RCHPLM01Service.java Class
 * 클래스설명   : 청구지변경관리 (RCHPLM01) Service Interface
 * 작성일자     : 2023. 3. 15.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getRCHPLM01S01 : 청구지변경관리목록조회

 * </pre>
 */
public interface RCHPLM01Service {

	/**
	 * <p>메소드명      : getRCHPLM01S01 : 청구지변경관리</p>
	 * <p>작성일자      : 2023. 3. 15.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 청구지변경관리 한다.</p>
	 * <p>메소드인수    : RCHPLM01S01InVo </p>
	 * <p>메소드리턴값  : RCHPLM01S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RCHPLM01S01OutVO getRCHPLM01S01(RCHPLM01S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getRCHPLM01S01 : 청구지변경이력조회</p>
	 * <p>작성일자      : 2023. 3. 15.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 청구지변경이력 조회 한다.</p>
	 * <p>메소드인수    : RCHPLM01S02InVo </p>
	 * <p>메소드리턴값  : RCHPLM01S03OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RCHPLM01S02OutVO getRCHPLM01S02(RCHPLM01S02InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : getRCHPLM01U01 : 청구지변경</p>
	 * <p>작성일자      : 2023. 3. 15.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 청구지변경 한다.</p>
	 * <p>메소드인수    : RCHPLM01U01InVO </p>
	 * <p>메소드리턴값  : RCHPLM01U01OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RCHPLM01U01OutVO getRCHPLM01U01(RCHPLM01U01InVO inVo) throws Exception;

}
