package hanalife.r.co.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.co.as.mapper.dto.DsrcSearchINDTO;
import hanalife.r.co.as.mapper.dto.DsrcSearchOUTDTO;
import hanalife.r.co.as.mapper.dto.MainSqlOUTDTO;
import hanalife.r.co.as.mapper.dto.RtTempUnrcvObjDescDTO;
import hanalife.r.co.as.mapper.dto.SearchDfeeINDTO;
import hanalife.r.co.as.mapper.dto.SearchDfeeOUTDTO;
import hanalife.r.co.as.mapper.dto.SearchLoseDueDtByAddTimsINDTO;
import hanalife.r.co.as.mapper.dto.SearchLoseDueDtByAddTimsOUTDTO;
import hanalife.r.co.as.mapper.dto.SearchLoseDueDtByRlDueDtINDTO;
import hanalife.r.co.as.mapper.dto.SearchLoseDueDtByRlDueDtOUTDTO;
import hanalife.r.co.as.mapper.dto.SearchLoseDueDtByTimsINDTO;
import hanalife.r.co.as.mapper.dto.SearchLoseDueDtByTimsOUTDTO;
import hanalife.r.co.as.mapper.dto.SearchPreLoseINDTO;
import hanalife.r.co.as.mapper.dto.SearchPreLoseOUTDTO;
import hanalife.r.co.as.mapper.dto.SelectDlyDdCntINDTO;
import hanalife.r.co.as.mapper.dto.SelectLoanBaseForBatchObjINDTO;
import hanalife.r.co.as.mapper.dto.SelectLoanBaseForBatchObjOUTDTO;
import hanalife.r.co.as.mapper.dto.SelectMidRmbrINDTO;
import hanalife.r.co.as.mapper.dto.SelectMidRmbrOUTDTO;
import hanalife.r.co.as.mapper.dto.SelectPdueDiscDfeeRamtINDTO;
import hanalife.r.co.as.mapper.dto.SelectPdueDiscDfeeRamtOUTDTO;
import hanalife.r.co.as.mapper.dto.SelectTermMidRmbrINDTO;
import hanalife.r.co.as.mapper.dto.SelectTermMidRmbrOUTDTO;



/**
 * <pre>
 * 클래스명    : AskUnrcvProcMapper.java
 * 클래스설명  : 청구미수계산 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 15.
 * 작성자명    : 70279
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 15.][70279 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
@Mapper("AskUnrcvProcMapper")
public interface AskUnrcvProcMapper {

	 /**
     * <pre>
     * 메소드명      : mainSql
     * 설명         : 미수정보계산 - 호출전 temp table에 대상객체가 등록되어있어야 한다.
	 * @param  없음
	 * @return List<MainSqlOUTDTO>
	 * @exception Exception
     * </pre>
     */
	public List<MainSqlOUTDTO> mainSql() throws Exception;

	 /**
     * <pre>
     * TODO 미사용 - 리스 관련 처리 하지 않음
     * 메소드명      : leasMidRmbr
     * 설명         : 리스중도상환시 계산값들
	 * @param LeasMidRmbrINDTO
	 * @return List<LeasMidRmbrOUTDTO>
	 * @exception Exception
     * </pre>
     */
	//public List<LeasMidRmbrOUTDTO> leasMidRmbr(LeasMidRmbrINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : searchPreLose
     * 설명         : 기존 수납이 기한이익상실 수납이었는지 확인
	 * @param SearchPreLoseOUTDTO
	 * @return SearchPreLoseOUTDTO
	 * @exception Exception
     * </pre>
     */
	public SearchPreLoseOUTDTO searchPreLose(SearchPreLoseINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : searchLoseDueDtByTims
     * 설명         : 기한상실 일자 조회
	 * @param SearchPreLoseOUTDTO
	 * @return List<SearchLoseDueDtByTimsOUTDTO>
	 * @exception Exception
     * </pre>
     */
	public SearchLoseDueDtByTimsOUTDTO searchLoseDueDtByTims(SearchLoseDueDtByTimsINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : searchLoseDueDtByAddTims
     * 설명         : 기한상실 회차 추가 몇회차 이후
	 * @param SearchLoseDueDtByAddTimsINDTO
	 * @return List<SearchLoseDueDtByAddTimsOUTDTO>
	 * @exception Exception
     * </pre>
     */
	public SearchLoseDueDtByAddTimsOUTDTO searchLoseDueDtByAddTims(SearchLoseDueDtByAddTimsINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : searchLoseDueDtByRlDueDt
     * 설명         : 기한상실납입일
	 * @param SearchLoseDueDtByRlDueDtINDTO
	 * @return List<searchLoseDueDtByRlDueDtOUTDTO>
	 * @exception Exception
     * </pre>
     */
	public SearchLoseDueDtByRlDueDtOUTDTO searchLoseDueDtByRlDueDt(SearchLoseDueDtByRlDueDtINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getSearchDfee
     * 설명         : 연체계산 조회
	 * @param SearchDfeeINDTO
	 * @return List<SearchDfeeOUTDTO>
	 * @exception Exception
     * </pre>
     */
	public SearchDfeeOUTDTO searchDfee(SearchDfeeINDTO inDTO) throws Exception;


	 /**
     * @deprecated
     * TODO 미사용
     * <pre>
     * 메소드명      : searchDfeeTmp
     * 설명         : 연체료, 상실이자 조회
	 * @param getSearchDfeeINDTO
	 * @return List<getSearchDfeeOUTDTO>
	 * @exception Exception
     * </pre>
     */
	@Deprecated
	public List<SearchDfeeOUTDTO> searchDfeeTmp(SearchDfeeINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : dsrcSearch
     * 설명         : 예가수 조회 (대출번호로 조회)
	 * @param CommBizINDTO
	 * @return List<DsrcSearchOUTDTO>
	 * @exception Exception
     * </pre>
     */
	public DsrcSearchOUTDTO dsrcSearch(DsrcSearchINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : dsrcSearchByDsrcno
     * 설명         : 예가수조회 (예가수번호로 조회)
	 * @param CommBizINDTO
	 * @return List<DsrcSearchOUTDTO>
	 * @exception Exception
     * </pre>
     */
	public DsrcSearchOUTDTO dsrcSearchByDsrcno(DsrcSearchINDTO inDTO) throws Exception;

	/**
     * TODO 미사용
     * <pre>
     * 메소드명      : selectLoanBaseForObj
     * 설명         : 청구미수 대상에 대출정보를 조회하여 append한다.
	 * @param
	 * @return
	 * @exception Exception
     * </pre>
     */
	//public void selectLoanBaseForObj() throws Exception;

	/**
     * <pre>
     * 메소드명      : selectLoanBaseForBatchObj
     * 설명         : 청구미수 대상에 대출정보를 조회하여 append한다
	 * @param SelectLoanBaseForBatchObjINDTO
	 * @return List<SelectLoanBaseForBatchObjOUTDTO>
	 * @exception Exception
     * </pre>
     */
	public List<SelectLoanBaseForBatchObjOUTDTO> selectLoanBaseForBatchObj(SelectLoanBaseForBatchObjINDTO inDTO) throws Exception;

	/**
     * TODO 미사용
     * <pre>
     * 메소드명      : createTempObjTable
     * 설명         : 청구미수 계산대상을 등록하기 위한 임시테이블 생성
	 * @param
	 * @return
	 * @exception Exception
     * </pre>
     */
	//public void createTempObjTable() throws Exception;

	/**
     * <pre>
     * 메소드명      : deleteObj
     * 설명         : 임시테이블 데이터 삭제
	 * @param
	 * @return
	 * @exception Exception
     * </pre>
     */
	public void deleteObj() throws Exception;

	/**
     * <pre>
     * 메소드명      : insertObj
     * 설명         : 대상정보를 임시테이블에 등록
	 * @param
	 * @return
	 * @exception Exception
     * </pre>
     */
	public void insertObj(RtTempUnrcvObjDescDTO inDTO) throws Exception;

	/**
     * <pre>
     * 메소드명      : insertObjBatch
     * 설명         : 대상정보를 임시테이블에 등록
	 * @param
	 * @return
	 * @exception Exception
     * </pre>
     */
	public void insertObjBatch(RtTempUnrcvObjDescDTO inDTO) throws Exception;

	/**
     * <pre>
     * @deprecated
     * TODO 미사용
     * 메소드명      : selectPdueDiscDfeeRamt
     * 설명         : 선납할인연체료잔액조회
	 * @param selectPdueDiscDfeeRamtINDTO
	 * @return List<selectPdueDiscDfeeRamtOUTDTO>
	 * @exception Exception
     * </pre>
     */
	@Deprecated
	public List<SelectPdueDiscDfeeRamtOUTDTO> selectPdueDiscDfeeRamt(SelectPdueDiscDfeeRamtINDTO inDTO) throws Exception;

	/**
     * TODO 미사용
     * <pre>
     * 메소드명      : selectLeglActnDesc
     * 설명         : 법적조치비용 조회
	 * @param
	 * @return
	 * @exception Exception
     * </pre>
     */
	//public void selectLeglActnDesc() throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectLngsDlyDdCnt
     * 설명         : 최장연체일수 조회
	 * @param SelectDlyDdCntINDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int selectLngsDlyDdCnt(SelectDlyDdCntINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectTotDlyDdCnt
     * 설명         : 누적연체일수 조회
	 * @param SelectDlyDdCntINDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int selectTotDlyDdCnt(SelectDlyDdCntINDTO inDTO) throws Exception;

	/**
     * <pre>
     * 메소드명      : selectMidRmbr
     * 설명         : 중도상환조회쿼리
	 * @param SelectMidRmbrINDTO
	 * @return List<SelectMidRmbrOUTDTO>
	 * @exception Exception
     * </pre>
     */
	public SelectMidRmbrOUTDTO selectMidRmbr(SelectMidRmbrINDTO inDTO) throws Exception;

	/**
     * <pre>
     * 메소드명      : selectTermMidRmbr
     * 설명         : 거치 중도상환 금액을 계산
	 * @param SelectTermMidRmbrINDTO
	 * @return List<SelectTermMidRmbrOUTDTO>
	 * @exception Exception
     * </pre>
     */
	public SelectTermMidRmbrOUTDTO selectTermMidRmbr(SelectTermMidRmbrINDTO inDTO) throws Exception;


}


