package hanalife.r.co.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.co.as.mapper.dto.SearchLoanObjINDTO;
import hanalife.r.co.as.mapper.dto.SearchLoanObjOUTDTO;



/**
 * <pre>
 * 클래스명    : HmAskUnrcvMapper.java
 * 클래스설명  : 통합청구미수처리 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 15.
 * 작성자명    : 70279
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 15.][70279 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
@Mapper("HmAskUnrcvMapper")
public interface HmAskUnrcvMapper {

	 /**
     * <pre>
     * 메소드명      : selectLoanObj
     * 설명         : 고객대출정보 조회
	 * @param  없음
	 * @return List<MainSqlOUTDTO>
	 * @exception Exception
     * </pre>
     */
	public List<SearchLoanObjOUTDTO> selectLoanObj(SearchLoanObjINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectLoanByCust
     * 설명         : 고객대출정보 조회
	 * @param LeasMidRmbrINDTO
	 * @return List<LeasMidRmbrOUTDTO>
	 * @exception Exception
     * </pre>
     */
	public List<SearchLoanObjOUTDTO> selectLoanByCust(SearchLoanObjINDTO inDTO) throws Exception;

}


