package hanalife.r.co.as.service;

import hanalife.r.co.as.vo.AskUnrcvObjVO;
import hanalife.r.co.as.vo.AskUnrcvVO;
import hanalife.r.co.as.vo.BndVO;


/**
 * <pre>
 * 클래스　명 : RcptService
 * 클래스설명 : 대출관련 Service
 * 프로젝트명 : DOBSCAP
 * 작성　일자 : 2023. 3. 16.
 * 변경　이력
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface RcptASService {

	/**
	 * <p>메소드명	: calcLngsDlyDdcnt</p>
	 * <p>설    명	: 최장연체일수 계산</p>
	 * <p>메소드인수	: BndVO, Connection</p>
	 * <p>리 턴 값	: BndVO</p>
	 */
	BndVO calcLngsDlyDdcnt(BndVO bndVO) throws Exception;

	/**
	 * <p>메소드명	: calcTotDlyDdcnt</p>
	 * <p>설    명	: 누적연체일수 계산</p>
	 * <p>메소드인수	: BndVO, Connection</p>
	 * <p>리 턴 값	: BndVO</p>
	 */
	BndVO calcTotDlyDdcnt(BndVO bndVO) throws Exception;

	/**
	 * <p>메소드명	: calcDsrc</p>
	 * <p>설    명	: 예가수 정보 조회</p>
	 * <p>메소드인수	: BndVO, Connection</p>
	 * <p>리 턴 값	: BndVO</p>
	 */
	BndVO calcDsrc(BndVO bndVO) throws Exception;

	/**
	 * <p>메소드명	: calcMidRmbr</p>
	 * <p>설    명	: 중도상환 각종 수수료, 할인 금액 등을 계산한다. (할부/일반대출)</p>
	 * <p>메소드인수	: AskUnrcvVO, AskUnrcvObjVO, BndVO, Connection</p>
	 * <p>리 턴 값	: BndVO</p>
	 */
	BndVO calcMidRmbr(AskUnrcvVO askUnrcvVO, AskUnrcvObjVO askUnrcvObjVO, BndVO bndVO);

	/**
	 * <p>메소드명	: calcTermMidRmbr_Term</p>
	 * <p>설    명	: 거치 중도상환 금액을 계산한다.</p>
	 * <p>메소드인수	: BndVO, Connection</p>
	 * <p>리 턴 값	: BndVO</p>
	 */
	BndVO calcTermMidRmbr_Term(BndVO bndVO) throws Exception;
}
