package hanalife.r.co.as.vo;

import org.apache.commons.lang.StringUtils;

import hanalife.c.co.contants.Constants;


@SuppressWarnings("rawtypes")
/**
 * <pre>
 * 클래스명    : AskUnrcvObjVO
 * 클래스설명 : 청구미수 대상객체 ObjVO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AskUnrcvObjVO extends ValueObj implements Comparable{

	// 필수입력항목
	public String loanNo;		//대출_번호 필수
	public String loanSeq;		//대출_순번 필수
	public String setlDt;		//결제_일자 필수
	//선택입력항목_공통
	/**
	 * ST_LOAN_BASE.PRDT_CD
	 */
	public String prdtCd;		//상품_코드
	public String acctDt;		//회계_일자 사용안함
	public String dsrcNo;		//예가수_번호
	public String leglUnCalcFg;			//가지급금미계산여부
	public String midRmbrFeeUnCalcFg;	//중도상환미계산여부(1-미계산, 0-계산)
	public String reSetlDt;

	//리스부분중도상환 입력항목
	public int partRmbrTims;		//부분_상환_회차  리스중도상환사용
	public double partRmbrFeeRt;	//부분상환수수료율 리스중도상환사용
	public long partRmbrPamt;		//부분_상환_원금 리스중도상환사용
	//리스전액상환 입력항목
	public String sellFg;			//매각여부
	public String cmprCalcFrmlCd;	//비교계산방식코드 리스 리스중도상환사용
	public double cmprCalcRt;		//비교계산율 리스 리스중도상환사용
	public long eprtLdgrAmt;		//만기장부가 리스 리스중도상환사용
	public String mmCalcFg;			//월할계산여부(0-일할,1-월할) 리스 리스중도상환사용
	public String plntStndCd;		//범칙기준코드(금액) 리스중도상환사용
	public long yyCartax;			//년자동차세
	public long yyEnvAmt;			//년환개금
	public long custCost;			//고객비용
	public long retnOdueAmt;		//반납지연금액
	public long overDrvFee;			//초과운행수수료
	public long orgupRcvrCost;		//원상복구비용
	public long addClosGuarAmt;		//추가해지보증금
	public long deprDeprTamt;		//감가상각누계액(참조용)
	public long dspLossApprAmt;		//처분손실충당금(참조용)
	public long oprLeasAset;		//운용리스자산(참조용)
	public long addPsgDdCnt;		//(차세,환개금) 명의이전보증금 추가경과일수

	//채권마감시 연체내역 산출 사용
	public String clsFg;	//마감여부
	//중도상환거치이자 사용않함
	public long addTermInt; //추가거치이자 사용안함

	//기본대상 조회항목
	public String loanStatCd;			//대출상태코드
	public String prdtLrgeClasCd;		//상품_대분류_코드
	public String prdtMidClasCd;		//상품_중분류_코드
	public String prdtSmClasCd;			//상품_소분류_코드
	public String asymmAcctFg;			//비대칭회계여부
	public double dfeeRt;				//연체율
	/**
	 * 경과월수
	 * RF_MONTH_DIFF(NVL(TRIM(A.LOAN_DT), 결제일자), 결제일자)
	 */
	public int psgMmCnt;
	//2018-08-01 두비스 리스승계여부를 확인하기위해 추가함.
	public String loanOccrCd;			//대출발생코드
	public String execDt;				//실행일자
	/**
	 * ST_LOAN_BASE.LOAN_DT
	 */
	public String loanDt;				//대출일자
	/**
	 * ST_LOAN_BASE.LOAN_PAMT
	 */
	public long   loanAmt;				//대출원금
	/**
	 * ST_LOAN_BASE.LOAN_INT_RT
	 */
	public double loanIntRt;			//대출이자율
	/**
	 * 취급수수료
	 * ST_LOAN_BASE.TRT_FEE
	 */
	public long trtFee;

	/**
	 * 상실계산여부
	 * ST_PRDT_CLAS.DDAY_PRFT_LOSE_FG
	 */
	public String loseCalcFg;
	/**
	 * 상실계산구분(회차,경과)
	 * ST_PRDT_CLAS.DDAY_PRFT_LOSE_DIV_CD
	 */
	public String loseCalcCd;
	/**
	 * 상실계산구분값
	 * ST_PRDT_CLAS.DDAY_PRFT_LOSE_DIV_VAL
	 */
	public int    loseCalcVal;
	/**
	 * 기한상실시작회차
	 * BT_BND_CLS_BASE.DDAY_PRFT_LOSE_STRT_TIMS
	 */
	public int    ddayPrftLoseStrtTims;

	/**
	 * 발생_법적_조치_비용
	 * ST_LOAN_BASE.LEGL_ACTS_COST
	 */
	public long occrLeglActnCost;
	/**
	 * 정산_법적_조치_비용
	 * ST_LOAN_BASE.RMBR_LEGL_ACTS_COST
	 */
	public long adjLeglActnCost;
	/**
	 * 법적_조치_비용_잔액
	 * ST_LOAN_BASE.LEGL_ACTS_COST_RAMT
	 */
	public long leglActnCostRamt;

	/**
	 * 공탁금잔액
	 * BT_LEGL_ACTN_COST_TOT.LAW_COST_DEPS_AMT_RAMT
	 */
	public long depsRamt;

	/**
	 * 신용회복미수금
	 * ST_LOAN_BASE.CRDT_RCVR_UNRCV_AMT
	 */
	public long crdtRcvrUnrcvAmt;
	/**
	 * 상환신용회복미수금
	 * ST_LOAN_BASE.RMBR_CRDT_RCVR_UNRCV_AMT
	 */
	public long rmbrCrdtRcvrUnrcvAmt;
	/**
	 * 신용회복미수금잔액
	 * ST_LOAN_BASE.CRDT_RCVR_UNRCV_AMT - ST_LOAN_BASE.RMBR_CRDT_RCVR_UNRCV_AMT
	 */
	public long crdtRcvrUnrcvAmtRamt;
	//조회항목 리스중도상환관련
	public String sixPreDt;				//6개월전일자
	public String endAfAskStatCd;		//종료후청구상태코드(종료후청구상태,대지급청구발생)
	public String eprtAskMethCd;		//만기청구방법코드(원리금,잔가포함)
	public String guarAmtAdjFg;			//보증금대체여부(마지막회차 대체여부)
	public long guarAmt;				//보증금액
	public long ramtAmt;				//잔가금액
	public String leasEprtDt;			//리스만기일자
	public String leasRlEprtDt;			//리스실만기일자
	public String leasEprtDlyDt;		//리스만기연체일자
	public String unrcvProcDt;			//미수처리일자(납입일자) 리스
	public int mainFrstRank;			//주우선순위
	public int mainEndTims;				//mainEndTims
	public String closAfProcCd;			//해지후처리구분코드(L00168:1.양도,2:반환,3:재리스-동일인) - 경과이자 계산에 잔가 포함 여부
	//리스 강제해지관련
	public long pnltAdjuAmt;			//패널티조정금액
	public long dfeeAdjuAmt;			//연체료조정금
	public String ivltClosFg;			//강제해지여부
	public String nmTranGuarAmtCalcFg;	//명의이전보증금계산여부

	// 미수(인지세) 관련 항목
	public String stmpFeeUnrcvNo;
	public long stmpFeeOccrAmt;
	public long stmpFeeAdjAmt;
	public long stmpFeeRamt;

	public String bndStatCd;

	//청구미수 인덱스
	public int bndIdx; //채권_인덱스
	//결과
	public String rsltCd; //결과_코드
	public String rsltCntn; //결과_내용

	public AskUnrcvObjVO(){
		init();
	}

	public void init(){
		loanNo = StringUtils.EMPTY;
		loanSeq = StringUtils.EMPTY;
		prdtCd = StringUtils.EMPTY;
		setlDt = StringUtils.EMPTY;
		acctDt = StringUtils.EMPTY;
		dsrcNo = StringUtils.EMPTY;
		leglUnCalcFg = Constants.NO;
		midRmbrFeeUnCalcFg = Constants.NO;
		reSetlDt = StringUtils.EMPTY;

		partRmbrTims = 0;
		partRmbrFeeRt=0; //부분상환수수료율
		partRmbrPamt = 0;

		sellFg = Constants.NO; //매각여부
		cmprCalcFrmlCd = StringUtils.EMPTY; //중도상환계산방식코드_리스
		cmprCalcRt = 0; //중도상환계산율_리스
		eprtLdgrAmt = 0; //만기장부가
		mmCalcFg = Constants.NO; //월할계산여부
		plntStndCd = Constants.YES; //범칙기준코드(금액)
		yyCartax=0; //년자동차세
		yyEnvAmt=0; //년환개금
		retnOdueAmt = 0; //반납지연금액
		overDrvFee = 0; //초과운행수수료
		orgupRcvrCost = 0; //원상복구비용
		addClosGuarAmt = 0; //추가해지보증금
		deprDeprTamt = 0; //감가상각누계액
		dspLossApprAmt = 0; //처분손실충당금
		oprLeasAset = 0; //운용리스자산
		addPsgDdCnt = 0;

		clsFg = Constants.NO;
		addTermInt = 0;

		loanStatCd = StringUtils.EMPTY;
		prdtLrgeClasCd = StringUtils.EMPTY; //상품대분류
		prdtMidClasCd  = StringUtils.EMPTY; //상품중분류
		prdtSmClasCd   = StringUtils.EMPTY; //상품소분류
		asymmAcctFg    = StringUtils.EMPTY;	//비대칭회계여부
		loanDt = StringUtils.EMPTY; //대출일자(실행일자)
		loanAmt   = 0;
		loanIntRt = 0; //대출이자율
		loseCalcFg = StringUtils.EMPTY;
		loseCalcCd = StringUtils.EMPTY;
		loseCalcVal = 0;
		ddayPrftLoseStrtTims = 0;

		occrLeglActnCost =0; //발생_법적_조치_비용
		adjLeglActnCost =0; //정산_법적_조치_비용
		leglActnCostRamt =0; //법적_조치_비용_잔액

		crdtRcvrUnrcvAmt = 0; //신용회복미수금
		rmbrCrdtRcvrUnrcvAmt = 0; //상환신용회복미수금
		crdtRcvrUnrcvAmtRamt = 0; //신용회복미수금잔액
		sixPreDt = StringUtils.EMPTY; //6개월전일자
		endAfAskStatCd = Constants.NO;  //종료후청구상태코 (종료후청구상태,대지급청구발생)
		eprtAskMethCd = Constants.NO;  //만기청구방법코드(원리금,잔가포함)
		guarAmtAdjFg = Constants.NO;  //보증금대체여부(마지막회차 대체여부)
		guarAmt = 0; //보증금액
		ramtAmt = 0; //잔가금액
		leasEprtDt = StringUtils.EMPTY; //리스만기일자
		leasRlEprtDt = StringUtils.EMPTY; //리스실만기일자
		leasEprtDlyDt = StringUtils.EMPTY; //리스만기연체일자
		unrcvProcDt = StringUtils.EMPTY; //미수처리일자
		mainFrstRank = 0; //주우선순위
		mainEndTims = 0; //주상환종료회차
		closAfProcCd = StringUtils.EMPTY;	// 해지후처리구분코드
		loanOccrCd = StringUtils.EMPTY;	//대출발생코드
		execDt = StringUtils.EMPTY;	//대출승계일자
		pnltAdjuAmt = 0;  //패널티조정금액
		dfeeAdjuAmt = 0;  //연체료조정금액
		ivltClosFg = "0"; //강제해지여부
		nmTranGuarAmtCalcFg = "0";  //명의이전보증금계산여부
		bndIdx = -1;

		stmpFeeUnrcvNo = StringUtils.EMPTY;
		stmpFeeOccrAmt = 0;
		stmpFeeAdjAmt = 0;
		stmpFeeRamt = 0;

		rsltCd = "0000";
		rsltCntn = StringUtils.EMPTY;
	}

	/* (non-Javadoc)
	 * @see java.lang.Comparable#compareTo(java.lang.Object)
	 */
	@Override
	public int compareTo(Object o) {
		AskUnrcvObjVO inVO = (AskUnrcvObjVO)o;
		int compare = loanNo.compareTo(inVO.loanNo);
		if(compare >0){
			return 1;
		}else if( compare < 0){
			return -1;
		}

		compare = loanSeq.compareTo(inVO.loanSeq);
		return compare > 0 ? 1 : (compare < 0 ? -1 : 0);
	}

	public boolean isSuccess() {
		return "0000".equals(rsltCd);
	}
}
