package hanalife.r.co.as.vo;

import org.apache.commons.lang.StringUtils;


/**
 * <pre>
 * 클래스명    : TimsUnrcvVO
 * 클래스설명 : 청구미수 - 회차미수 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class TimsUnrcvVO extends ValueObj {
	public String loanNo; //대출_번호
	public String loanSeq; //대출_순번
	public int tims; //회차
	public String endDivCd; //종료구분코드
	public String rmbrFrmlCd; //상환_방식_코드
	public String dueDt; //납입_일자
	public String rlDueDt; //실_납입_일자
	public String lastSetlDt; //최종_결제일자
	public String preSetlFg;
	public String setlDt; //결제일자
	public String askDivCd; //청구_구분코드
	public String askDivNm; //청구_구분명
	public long timsBfPamtRamt; //회차_전_원금_잔액
	public long timsAfPamtRamt; //회차_후_원금_잔액
	public long mmPiamt; //월_원리금
	public long leasFee;  //리스료
	public long baseLeasFee;  //기본리스료
	public long addLeasFee; //가산리스료
	public long mmPamt; //월_원금
	public long mmInt; //월_이자
	public long trtFee;	//취급수수료
	public long psgInt; //경과이자
	public long ppayInt; //선급이자
	public long tint; //총이자
	public long addInsuFee; //가산보험료
	public long addCartax; //가산자동차세
	public long addEnvImprBrdnamt; //가산환개금
	public long addAsfee;  //가산정비료
	public long vtax;  //부가세
	public long ipayCartax;  //대지급자동차세
	public long ipayEnvImprBrdnamt;  //대지급환개금
	public long ipayInsuFee;  //대지급보험료
	public long ipayPnltAmt;  //대지급범칙금
	public long ipayEtc;  //대지급기타
	public long ipayTax;  //대지급조세
	public long insuFee;  //보험료
	public long cartax;  //자동차세
	public long envImprBrdnamt;  //환개금
	public long ltrmBrcvAmt;  //장기선수금
	public long guarAmt;  //보증금액
	public long ramtAmt;  //잔가금액
	public long setlAmt; //결제_금액
	public long setlLeasFee;  //청구리스료
	public long setlBaseLeasFee;  //청구기본리스료
	public long setlAddLeasFee; //청구가산리스료
	public long setlPamt; //결제_원금
	public long setlInt; //결제_이자
	public long setlTrtFee;	//결제취급수수료
	public long setlPpayInt;  //결제선급이자
	public long setlTint;  //결제총이자
	public long setlAddInsuFee;  //결제가산보험료
	public long setlAddCartax;  //결제가산자동차세
	public long setlAddEnvImprBrdnamt;  //결제가산환개금
	public long setlAddAsfee;  //결제가산정비료
	public long setlVtax;  //결제부가세
	public long setlIpayCartax;  //결제대지급자동차세
	public long setlIpayEnvImprBrdnamt;  //결제대지급환개금
	public long setlIpayInsuFee;  //결제대지급보험료
	public long setlIpayPnltAmt;  //결제대지급범칙금
	public long setlIpayEtc;  //결제대지급기타
	public long setlIpayTax;  //결제대지급조세
	public long setlCartax;  //결제자동차세
	public long setlEnvImprBrdnamt;  //결제환개금
	public long setlInsuFee;  //결제보험료
	public long setlLtrmBrcvAmt;  //결제장기선수금
	public long setlRamtAmt;  //잔가금액
	public long setlGuarAmt;  //보증금액
	public long setlDfee; //결제_연체료
	public long ltrmAdjAmt; //장기선수대체금액
	public long ltrmPamt; //장기선수대체_원금
	public long ltrmInt; //장기선수대체_이자
	public long ltrmPpayInt;  //장기선수대체선급이자
	public long ltrmAddInsuFee;  //장기선수대체가산보험료
	public long ltrmAddCartax;  //장기선수대체가산자동차세
	public long ltrmAddEnvImprBrdnamt;  //장기선수대체가산환개금
	public long ltrmAddAsfee;  //장기선수대체가산정비료
	public long ltrmVtax;  //장기선수대체부가세
	public long askAmt; //청구_금액
	public long askLeasFee;  //청구리스료
	public long askBaseLeasFee;  //청구기본리스료
	public long askAddLeasFee; //청구가산리스료
	public long askPamt; //청구_원금
	public long askInt; //청구_이자
	public long askTrtFee;	//청구취급수수료
	public long askPpayInt;  //청구선급이자
	public long askTint;  //청구총이자
	public long askAddInsuFee;  //청구가산보험료
	public long askAddCartax;  //청구가산자동차세
	public long askAddEnvImprBrdnamt; //청구가산환개금
	public long askAddAsfee;  //청구가산정비료
	public long askVtax;  //청구부가세
	public long askIpayCartax;  //청구대지급자동차세
	public long askIpayEnvImprBrdnamt;  //청구대지급환개금
	public long askIpayInsuFee;  //청구대지급보험료
	public long askIpayPnltAmt;  //청구대지급범칙금
	public long askIpayEtc;  //청구대지급기타
	public long askIpayTax;  //청구대지급조세
	public long askCartax;  //청구자동차세
	public long askEnvImprBrdnamt;  //청구환개금
	public long askInsuFee;  //청구보험료
	public long askLtrmBrcvAmt;  //청구장기선수금
	public long askRamtAmt;  //청구잔가금액
	public long askGuarAmt;  //청구보증금액
	public long askDfee;      //청구_연체료
	public long rcptObjAmt; //수납_대상_금액
	public long leglActnCost; //법적_조치_비용
	public long stmpFee;	// 인지세
	public long occrDfee; //발생_연체료
	public long holyDfee; //휴일_연체료
	public long preObjDfee; //기_대상_연체료
	public long preAdjDfee; //기_정산_연체료
	public long preOccrDfee; //기_발생_연체료
	public long pdueDfee; //선납_연체료
	public long exmpDfee; //면제_연체료
	public long pdueDiscDfee; //선납_할인_연체료
	public String intStrtDt; //이자_시작일자
	public String intEndDt; //이자_종료일자
	public int psgDdcnt; //경과_일수
	public String dlyFg; //연체_여부
	public boolean isDly(){
		return "1".equals(dlyFg);
	}
	public String dlyCalcDt; //연체_계산_일자
	public int dlyDdcnt; //연체_일수
	public int occrDlyDdcnt; //발생_연체_일수
	public int dlyMmCnt; //연체_개월수
	public int dlyTcnt; //연체_횟수
	public String pdueFg; //선납_여부
	public double loanIntRt; //대출_이자율
	public double dfeeRt; //연체료_율
	public double addDfeeRt; //가산_연체료_율
	public double loseDfeeRt; //상실_연체료_율
	public int dlyCnt; //연체_건수
	public String dlyCalcSdt; //연체계산_시작일자
	public String dlyCalcEdt; //연체계산_종료일자
	public String loseDlyStrtDt; //상실_연체_시작일자
	public String loseDlyEndDt; //상실_연체_종료일자
	public String loseDueDt; //상실_납입_일자
	public String loseDt; //상실_일자
	public String isLoseTims;	//상실회차인지 여부
	public long loseMmPamt; //상실_월_원금
	public long loseMmInt; //상실_월_이자
	public long losePamtRamt; //상실_원금_잔액
	public long timsBfAskPamt; //회차_전_청구_원금
	public long losePiamtDfee; //상실_원리금_연체료
	public long loseIntDfee; //상실_이자_연체료
	public long loseRamtDfee; //상실_잔액_연체료
	public String loseIntStrtDt; //상실_이자_시작일자
	public String loseIntEndDt; //상실_이자_종료일자

	public String loseIntPsgStrtDt;	//상실이자경과시작일자
	public String loseIntPsgEndDt;	//상실이자경과종료일자
	public String loseIntCalcStrtDt;	// 상실회차계산 시작일자
	public String loseIntCalcEndDt;		// 상실회차계산 종료일자

	public int losePiamtDlyDdcnt;	//상실_원리금_연체_일수
	public int loseIntDlyDdcnt;		//상실_이자_연체_일수
	public int losePamtDlyDdcnt;	//상실_원금_연체_일수
	public int loseIntPsgDdcnt;		//상실경과이자일수

	public String loseFg; //상실_여부
	public long loseObjPsgInt;
	public long losePsgInt;
	public int losePsgDdcnt;
	public int loseTimsDdcnt;
	public long termPartInt;
	public long midTermPartInt;
	public long mainRmbrPamt;
	public int pdueTotCnt;	//선납누적건수
	public String dfeeCalcDt;
	public String dlyToolTip;

	public TimsUnrcvVO() {
		init();
	}

	public void init() {
		loanNo = StringUtils.EMPTY; //대출_번호
		loanSeq = StringUtils.EMPTY; //대출_순번
		tims = 0; //회차
		endDivCd = StringUtils.EMPTY; //종료구분
		rmbrFrmlCd = StringUtils.EMPTY; //상환_방식_코드
		dueDt = StringUtils.EMPTY; //납입_일자
		rlDueDt = StringUtils.EMPTY; //실_납입_일자
		lastSetlDt = StringUtils.EMPTY; //최종_결제일자
		preSetlFg = "0"; //선결제여부
		setlDt = StringUtils.EMPTY; //결제일자
		askDivCd = StringUtils.EMPTY; //청구_구분코드
		askDivNm = StringUtils.EMPTY; //청구_구분명
		timsBfPamtRamt = 0; //회차_전_원금_잔액
		timsAfPamtRamt = 0; //회차_후_원금_잔액
		mmPiamt = 0; //월_원리금
		leasFee = 0;
		baseLeasFee = 0;
		addLeasFee = 0;
		mmPamt = 0; //월_원금
		mmInt = 0; //월_이자
		trtFee = 0;	//취급수수료
		psgInt = 0; //경과이자
		ppayInt = 0; //선급이자
		tint = 0; //총이자
		addInsuFee = 0; //가산보험료
		addCartax = 0; //가산자동차세
		addEnvImprBrdnamt = 0; //가산환개금
		addAsfee = 0; //가산정비료
		vtax = 0; //부가세
		ipayCartax = 0; //대지급자동차세
		ipayEnvImprBrdnamt = 0; //대지급환개금
		ipayInsuFee = 0; //대지급보험료
		ipayPnltAmt = 0; //대지금범칙금
		ipayEtc = 0; //대지금기타
		ipayTax = 0; //대지급조세
		insuFee = 0; //보험료
		cartax = 0; //자동차세
		envImprBrdnamt = 0; //환개금
		ltrmBrcvAmt = 0; //장기선수금
		guarAmt = 0;  //보증금액
		ramtAmt = 0; //잔가금액
		setlAmt = 0; //결제_금액
		setlLeasFee = 0;
		setlBaseLeasFee = 0;
		setlAddLeasFee = 0;
		setlPamt = 0; //결제_원금
		setlInt = 0; //결제_이자
		setlTrtFee = 0;	//결제취급수수료
		setlPpayInt = 0; //결제선급이자
		setlTint = 0; //결제총이자
		setlAddInsuFee = 0; //결제가산보험료
		setlAddCartax = 0; //결제가산자동차세
		setlAddEnvImprBrdnamt = 0; //결제가산환개금
		setlAddAsfee = 0;  //결제가산정비료
		setlVtax = 0; //결제부가세
		setlIpayCartax = 0;  //결제대지급자동차세
		setlIpayEnvImprBrdnamt = 0;  //결제대지급환개금
		setlIpayInsuFee = 0;  //결제대지급보험료
		setlIpayPnltAmt = 0;  //결제대지급범칙금
		setlIpayEtc = 0;  //결제대지급기타
		setlIpayTax = 0;  //결제대지급조세
		setlCartax = 0;  //결제자동차세
		setlEnvImprBrdnamt = 0;  //결제환개금
		setlInsuFee = 0;  //결제보험료
		setlLtrmBrcvAmt = 0;  //결제장기선수금
		setlRamtAmt = 0;  //결제잔가금액
		setlGuarAmt = 0;  //결제보증금액
		setlDfee = 0; //결제_연체료
		ltrmAdjAmt = 0; //장기선수대체금액
		ltrmPamt = 0; //장기선수대체_원금
		ltrmInt = 0; //장기선수대체_이자
		ltrmPpayInt = 0;  //장기선수대체선급이자
		ltrmAddInsuFee = 0;  //장기선수대체가산보험료
		ltrmAddCartax = 0;  //장기선수대체가산자동차세
		ltrmAddEnvImprBrdnamt = 0;  //장기선수대체가산환개금
		ltrmAddAsfee = 0;  //장기선수대체가산정비료
		ltrmVtax = 0;  //장기선수대체부가세
		askAmt = 0; //청구_금액
		askLeasFee = 0;
		askBaseLeasFee = 0;
		askAddLeasFee = 0;
		askPamt = 0; //청구_원금
		askInt = 0; //청구_이자
		askTrtFee = 0;	//청구취급수수료
		askPpayInt = 0; //청구선급이자
		askTint = 0; //청구총이자
		askAddInsuFee = 0;  //청구가산보험료
		askAddCartax = 0;  //청구가산자동차세
		askAddEnvImprBrdnamt = 0;  //청구가산환개금
		askAddAsfee = 0;  //청구가산정비료
		askVtax = 0;  //청구부가세
		askIpayCartax = 0;  //청구대지급자동차세
		askIpayEnvImprBrdnamt = 0;  //청구대지급환개금
		askIpayInsuFee = 0;  //청구대지급보험료
		askIpayPnltAmt = 0;  //청구대지급범칙금
		askIpayEtc = 0;  //청구대지급기타
		askIpayTax = 0;  //청구대지급조세
		askCartax = 0;  //청구자동차세
		askEnvImprBrdnamt = 0;  //청구환개금
		askInsuFee = 0;  //청구보험료
		askLtrmBrcvAmt = 0;  //청구장기선수금
		askRamtAmt = 0;  //청구잔가금액
		askGuarAmt = 0;  //청구보증금액
		askDfee = 0; //청구_연체료
		rcptObjAmt = 0; //수납_대상_금액
		leglActnCost = 0; //법적_조치_비용
		stmpFee=0;	// 인지세
		occrDfee = 0;   //발생_연체료
		holyDfee = 0;	//휴일_연체료
		preObjDfee = 0; //기_대상_연체료
		preAdjDfee = 0; //기_정산_연체료
		preOccrDfee = 0; //기_발생_연체료
		pdueDfee = 0; //선납_연체료
		exmpDfee = 0; //면제_연체료
		pdueDiscDfee = 0; //선납_할인_연체료
		intStrtDt = StringUtils.EMPTY; //이자_시작일자
		intEndDt = StringUtils.EMPTY; //이자_종료일자
		psgDdcnt = 0; //경과_일수
		dlyFg = "0"; //연체_여부
		dlyCalcDt = StringUtils.EMPTY; //연체_계산_일자
		dlyDdcnt = 0; //연체_일수
		occrDlyDdcnt = 0; //발생_연체_일수
		dlyMmCnt = 0; //연체_개월수
		dlyTcnt = 0; //연체_횟수
		pdueFg = "0"; //선납_여부
		loanIntRt = 0; //대출_이자율
		dfeeRt = 0; //연체료_율
		addDfeeRt = 0;	//가산_연체료_율
		loseDfeeRt = 0;	//상실_연체료_율
		dlyCnt = 0; //연체_건수
		dlyCalcSdt = StringUtils.EMPTY; //연체계산_시작일자
		dlyCalcEdt = StringUtils.EMPTY; //연체계산_종료일자
		loseDlyStrtDt = StringUtils.EMPTY; //상실_연체_시작일자
		loseDlyEndDt = StringUtils.EMPTY;
		loseDueDt = StringUtils.EMPTY; //상실_납입_일자
		loseDt = StringUtils.EMPTY; //상실_일자
		isLoseTims = StringUtils.EMPTY;	//상실회차여부
		loseMmPamt = 0; //상실_월_원금
		loseMmInt = 0; //상실_월_이자
		losePamtRamt = 0; //상실_원금_잔액
		timsBfAskPamt = 0; //상실_전_청구_원금
		losePiamtDfee = 0; //상실_원리금_연체료
		loseIntDfee = 0; //상실_이자_연체료
		loseRamtDfee = 0; //상실_잔액_연체료
		loseIntStrtDt = StringUtils.EMPTY; //상실_이자_시작일자
		loseIntEndDt = StringUtils.EMPTY; //상실_이자_종료일자
		loseIntPsgStrtDt = StringUtils.EMPTY;	//상실이자경과시작일자
		loseIntPsgEndDt = StringUtils.EMPTY;	//상실이자경과종료일자
		losePiamtDlyDdcnt = 0; //상실_원리금_연체_일수
		loseIntDlyDdcnt = 0; //상실_이자_연체_일수
		losePamtDlyDdcnt = 0; //상실_원금_연체_일수
		loseIntPsgDdcnt = 0;	//상실경과이자일수
		loseFg = "0"; //상실_여부
		loseObjPsgInt = 0;
		losePsgInt = 0;
		losePsgDdcnt = 0;
		loseTimsDdcnt = 0;
		termPartInt = 0;
		midTermPartInt = 0;
		mainRmbrPamt = 0;
		pdueTotCnt = 0;
		dfeeCalcDt = StringUtils.EMPTY;
		dlyToolTip = "";
	}
}
