package hanalife.r.co.as.vo;

import java.lang.reflect.Array;
import java.lang.reflect.Field;

@SuppressWarnings("rawtypes")
/**
 * <pre>
 * 클래스명    : ValueObj
 * 클래스설명 : ValueObj
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class ValueObj{
	public ValueObj(){
	}

	@Override
	public String toString() {
		StringBuffer buf = new StringBuffer();

		Class c = this.getClass();
		String fullname = c.getName();
		String name = null;
		int index = fullname.lastIndexOf('.');
		if ( index == -1 ) name = fullname;
		else name = fullname.substring(index+1);
		buf.append(name + ":{");

		Field[] fields = c.getFields();
		for (int i=0, n=fields.length ; i<n; i++) {
			try {
				if ( i != 0 ) buf.append(',');
				buf.append(fields[i].getName() + '=');
				Object f = fields[i].get(this);
				Class fc = fields[i].getType();
				if ( fc.isArray() ) {
					buf.append('[');
					int length = Array.getLength(f);
					for(int j=0; j<length ;j++){
						if ( j != 0 ) buf.append(',');
						Object element = Array.get(f, j);
						buf.append(element.toString());
					}
					buf.append(']');
				}
				else
					buf.append(f.toString());
			}
			catch(Exception e) {}
		}
		buf.append('}');
		return buf.toString();
	}

	public void fixNull(){
		Class c = this.getClass();
		if ( c.isPrimitive() ) return;

		Field[] fields = c.getFields();
		for (int i=0,n=fields.length ; i<n; i++) {
			try {
				Object f = fields[i].get(this);
				Class fc = fields[i].getType();

				if ( fc.getName().equals("java.lang.String") ) {
					if ( f == null ) fields[i].set(this, "");
					else	fields[i].set(this, f);
				}
			}
			catch(Exception e){
			}
		}
	}
}
