package hanalife.r.co.at.service;

import hanalife.r.co.at.vo.AcntChkGramVO;

public interface AcntCnfmService {

	public static final String RCPT_TP_ACNT_CNFM = "Z1";    // 수납유형_계좌조회
    public static final String TR_DIV_ACNT_CNFM = "1"; //계좌조회
	public static final String TR_DIV_MNO       = "2"; //결번처리

	//전송상태코드 (R00019)
	public static final String SEND_STAT_CLS       = "1"; //마감
	public static final String SEND_STAT_TRSM      = "2"; //송신
	public static final String SEND_STAT_RECV_NORM = "3"; //수신-정상
	public static final String SEND_STAT_RECV_ERR  = "4"; //수신-오류

	//계좌확인번호 채번키
	public static final String ACNT_CNFM_GEN_KEY = "ACNT";

	//대외계전문결과
	public static final String EXTR_RSLT_NORM         = "0"; //정상
	public static final String EXTR_RSLT_MSG_ERR  = "7"; //전문Parse Error(전문 Parse Err)
	public static final String EXTR_RSLT_COMM_ERR     = "9"; //대외계모듈장애 (렌터카공제조합 미사용)
	public static final String EXTR_RSLT_KIB_RECV_ERR = "8"; //KIB수신장애    (렌터카공제조합 미사용)


	//계좌확인 결과코드
	public static final String ACNT_CHK_RSLT_SUCCESS  = "0000"; //성공
	//public static final String ACNT_CHK_RSLT_ERR      = "W01"; //기존예금주명 오류
	public static final String ACNT_CHK_DEPO_NM_ERR   = "9001"; //예금주명 오류
	public static final String ACNT_CHK_RSLT_UNRECV   = "W98"; //KIB 수신오류
	public static final String ACNT_CHK_RSLT_COMM_ERR = "W99"; //일반오류

	//계좌확인전문처리 결과코드
	public static final String ACNT_CNFM_RSLT_SUCCESS  = "0000"; //성공
	public static final String ACNT_CNFM_RSLT_SEND_ERR = "7777"; //성공
	public static final String ACNT_CNFM_RSLT_RCV_ERR  = "8888"; //성공
	public static final String ACNT_CNFM_RSLT_COMM_ERR = "9999"; //default err

	public AcntChkGramVO procSend(AcntChkGramVO vo) throws Exception;

	/**
	 * <p>메소드명	: procSend_noGram</p>
	 * <p>설　　명	: 계좌확인전문없이 성공 리턴(비대면용)</p>
	 * <p>메소드인수	: AcntChkGramVO, Event, Connection</p>
	 * <p>리 턴 값	: AcntChkGramVO</p>
	 */
	public AcntChkGramVO procSend_noGram(AcntChkGramVO vo) throws Exception;
}
