package hanalife.r.co.im.service;

import hanalife.r.co.im.vo.ImgAcntProcInVO;
import hanalife.r.co.im.vo.ImgAcntProcOutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : ImgAcntProcService.java Class
 * 클래스설명   : 가상계좌변경관리 Service Interface
 * 작성일자     : 2023. 3. 7.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 7.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : proc : 가상계좌변경관리

 * </pre>
 */
public interface ImgAcntProcService {

	/**
     * <pre>
     * 메소드명      : imgAcntReg
     * 작성일자      : 2023. 3. 29.
     * 작성자(author): 70317 younghwe.Kim
     * 설명          : 가상계좌등록을(를) 조회 한다.
     * 메소드인수1   : 가상계좌등록 입력 - ImgAcntProcInVO
     * 메소드리턴값  : 가상계좌등록 출력 - ImgAcntProcOutVO
     * 예외처리      : Exception
     * </pre>
     */
    public ImgAcntProcOutVO imgAcntReg(ImgAcntProcInVO inVO) throws Exception;

	/**
     * <pre>
     * 메소드명      : imgAcntClos
     * 작성일자      : 2023. 3. 29.
     * 작성자(author): 70317 younghwe.Kim
     * 설명          : 가상계좌해지을(를) 조회 한다.
     * 메소드인수1   : 가상계좌해지 입력 - ImgAcntProcInVO
     * 메소드리턴값  : 가상계좌해지 출력 - ImgAcntProcOutVO
     * 예외처리      : Exception
     * </pre>
     */
    public ImgAcntProcOutVO imgAcntClos(ImgAcntProcInVO inVO) throws Exception;

}
