package hanalife.r.co.rc.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.BtBndClsBaseDTO;
import hanalife.c.co.mapper.dto.RtAutoTranTrDescDTO;
import hanalife.c.co.mapper.dto.RtGiroDescDTO;
import hanalife.c.co.mapper.dto.RtRcptBaseDTO;
import hanalife.c.co.mapper.dto.RtRcptChkDescDTO;
import hanalife.c.co.mapper.dto.RtRcptDescDTO;
import hanalife.c.co.mapper.dto.RtRcptDlyDescDTO;
import hanalife.c.co.mapper.dto.RtRcptDsrcBaseDTO;
import hanalife.c.co.mapper.dto.RtRcptDsrcDescDTO;
import hanalife.c.co.mapper.dto.RtRcptPdueDescDTO;
import hanalife.c.co.mapper.dto.RtRcptRfndDescDTO;
import hanalife.c.co.mapper.dto.StLoanBaseDTO;
import hanalife.c.co.mapper.dto.StPayFeeClawbkBaseDTO;
import hanalife.r.co.rc.mapper.dto.CreatePayFeeClawbkBaseINDTO;
import hanalife.r.co.rc.mapper.dto.CreatePdueDescForCnclINDTO;
import hanalife.r.co.rc.mapper.dto.CreatePdueDescForCnclPiamtINDTO;
import hanalife.r.co.rc.mapper.dto.CreateRcptDlyDescForCnclINDTO;
import hanalife.r.co.rc.mapper.dto.CreateRcptDlyDescForCnclPiamtINDTO;
import hanalife.r.co.rc.mapper.dto.IsExistAutoTranTrINDTO;
import hanalife.r.co.rc.mapper.dto.LeglActsCostRamtINDTO;
import hanalife.r.co.rc.mapper.dto.SearchRcptRfndDescINDTO;
import hanalife.r.co.rc.mapper.dto.SearchRcptRfndDescOUTDTO;
import hanalife.r.co.rc.mapper.dto.SelectCnclObjCondINDTO;
import hanalife.r.co.rc.mapper.dto.SelectCnclObjCondOUTDTO;
import hanalife.r.co.rc.mapper.dto.SelectCnclObjINDTO;
import hanalife.r.co.rc.mapper.dto.SelectCnclObjOUTDTO;
import hanalife.r.co.rc.mapper.dto.SelectHairCutCnclINDTO;
import hanalife.r.co.rc.mapper.dto.SelectHairCutCnclOUTDTO;
import hanalife.r.co.rc.mapper.dto.SelectHairCutINDTO;
import hanalife.r.co.rc.mapper.dto.SelectHairCutOUTDTO;
import hanalife.r.co.rc.mapper.dto.SelectObjINDTO;
import hanalife.r.co.rc.mapper.dto.SelectObjOUTDTO;
import hanalife.r.co.rc.mapper.dto.SelectOccrDsrcINDTO;
import hanalife.r.co.rc.mapper.dto.SelectOccrDsrcOUTDTO;
import hanalife.r.co.rc.mapper.dto.SelectOrgINDTO;
import hanalife.r.co.rc.mapper.dto.SelectOrgOUTDTO;
import hanalife.r.co.rc.mapper.dto.SelectRcptDescExistINDTO;
import hanalife.r.co.rc.mapper.dto.SelectRcptDsrcBasePkINDTO;
import hanalife.r.co.rc.mapper.dto.SelectRcptDsrcBasePkOUTDTO;
import hanalife.r.co.rc.mapper.dto.SelectUnwindingCnclINDTO;
import hanalife.r.co.rc.mapper.dto.SelectUnwindingCnclOUTDTO;
import hanalife.r.co.rc.mapper.dto.SelectUnwindingINDTO;
import hanalife.r.co.rc.mapper.dto.SelectUnwindingOUTDTO;
import hanalife.r.co.rc.mapper.dto.UpdateLoanBaseINDTO;



/**
 * <pre>
 * 클래스명    : HmAskUnrcvMapper.java
 * 클래스설명  : 입금미수처리 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 15.
 * 작성자명    : 70279
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 15.][70279 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
@Mapper("IamtUnrcvMapper")
public interface IamtUnrcvMapper {

	/**
	 * <pre>
     * TODO 미사용
	 * <p>메소드명	: getBsnClsFg</p>
	 * <p>설　　명	: 회계일자와 부서로 업무마감여부를 조회한다.</p>
	 * <p>메소드인수	: BsnClsFgINDTO</p>
	 * <p>리　턴　값	: String</p>
	 */
	//public String getBsnClsFg(BsnClsFgINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectCnclObj
     * 설명         : 취소대상조회
	 * @param SelectCnclObjINDTO
	 * @return SelectCnclObjOUTDTO
	 * @exception Exception
     * </pre>
     */
	public SelectCnclObjOUTDTO selectCnclObj(SelectCnclObjINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * TODO 미사용
     * 메소드명      : selectCnclObjCond
     * 설명         : 취소대상조건 조회
	 * @param INDTO
	 * @return List<OUTDTO>
	 * @exception Exception
     * </pre>
     */
	//public List<OUTDTO> selectCnclObjCond(INDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getSelectCnclObjCond
     * 설명         : 수납취소 조건체크를 위해 원거래 조회
	 * @param SelectCnclObjCondINDTO
	 * @return SelectCnclObjCondOUTDTO
	 * @exception Exception
     * </pre>
     */
	public SelectCnclObjCondOUTDTO getSelectCnclObjCond(SelectCnclObjCondINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectRcptDescExist
     * 설명         : 수납내역의 존재여부 조회
	 * @param SelectRcptDescExistINDTO
	 * @return String
	 * @exception Exception
     * </pre>
     */
	public String selectRcptDescExist(SelectRcptDescExistINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectRcptDsrcBasePk
     * 설명         : 수납예가수기본조회 ( 예가수발생금액 찾기 )
	 * @param SelectRcptDsrcBasePkINDTO
	 * @return SelectRcptDsrcBasePkOUTDTO
	 * @exception Exception
     * </pre>
     */
	public SelectRcptDsrcBasePkOUTDTO selectRcptDsrcBasePk(SelectRcptDsrcBasePkINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectObj
     * 설명         : 입금대상조회
	 * @param SelectObjINDTO
	 * @return SelectObjOUTDTO
	 * @exception Exception
     * </pre>
     */
	public SelectObjOUTDTO selectObj(SelectObjINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * TODO 미사용
     * 메소드명      : SelectRfndStat
     * 설명         : 환불상태조회
	 * @param INDTO
	 * @return List<OUTDTO>
	 * @exception Exception
     * </pre>
     */
	//public List<OUTDTO> SelectRfndStat(INDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getSearchRcptRfndDesc
     * 설명         : 환불내역 조회(취소대상)
	 * @param SearchRcptRfndDescINDTO
	 * @return SearchRcptRfndDescOUTDTO
	 * @exception Exception
     * </pre>
     */
	public SearchRcptRfndDescOUTDTO getSearchRcptRfndDesc(SearchRcptRfndDescINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * TODO 미사용
     * 메소드명      : existsBfExstDt
     * 설명         : 유예연장전 수납회차가 있는지 체크
	 * @param ExistsBfExstDtINDTO
	 * @return List<ExistsBfExstDtOUTDTO>
	 * @exception Exception
     * </pre>
     */
	//public String existsBfExstDt(ExistsBfExstDtINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateRcptDescForCncl
     * 설명         : 수납내역 취소
	 * @param RtRcptDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateRcptDescForCncl(RtRcptDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateRcptDescForCnclPiamt
     * 설명         : 수납내역취소 ( 부분취소, 원리금취소)
	 * @param RtRcptDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateRcptDescForCnclPiamt(RtRcptDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateAutoTranTrDescPreSetl
     * 설명         : RT_AUTO_TRAN_TR_DESC 결제번호 수정
	 * @param StPayFeeClawbkBaseDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateAutoTranTrDescPreSetl(RtAutoTranTrDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateGiroDescPreSetl
     * 설명         : 지로 결제번호 수정
	 * @param RtGiroDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateGiroDescPreSetl(RtGiroDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getCreateRcptDesc
     * 설명         : 수납내역 저장
	 * @param RtRcptDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int getCreateRcptDesc(RtRcptDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getCreateRcptDescPiamt
     * 설명         : 원거래수납취소(수납내역 반영)
	 * @param RtRcptDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int getCreateRcptDescPiamt(RtRcptDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateRcptDlyDescForCncl
     * 설명         : 수납연체내역 반영
	 * @param INDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateRcptDlyDescForCncl(RtRcptDlyDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateRcptDlyDescForCnclPiamt
     * 설명         : 부분수납취소
	 * @param INDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateRcptDlyDescForCnclPiamt(RtRcptDlyDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getCreateRcptDlyDescForCnclPiamt
     * 설명         : INSERT 원리금부분수납취소
	 * @param RtRcptDlyDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int getCreateRcptDlyDescForCnclPiamt(CreateRcptDlyDescForCnclPiamtINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getCreateRcptDlyDescForCncl
     * 설명         : 취소시 수납연체내역저장
	 * @param RtRcptDlyDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int getCreateRcptDlyDescForCncl(CreateRcptDlyDescForCnclINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updatePdueDescForCncl
     * 설명         : 수납_선납_내역 수정
	 * @param RtRcptPdueDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updatePdueDescForCncl(RtRcptPdueDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updatePdueDescForCnclPiamt
     * 설명         : 부분수납취소
	 * @param RtRcptPdueDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updatePdueDescForCnclPiamt(RtRcptPdueDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getCreatePdueDescForCncl
     * 설명         : 수납_선납_내역 신규등록(취소)
	 * @param RtRcptPdueDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int getCreatePdueDescForCncl(CreatePdueDescForCnclINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getCreatePdueDescForCnclPiamt
     * 설명         : 선납처리된건 취소하기
	 * @param RtRcptPdueDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int getCreatePdueDescForCnclPiamt(CreatePdueDescForCnclPiamtINDTO inListDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectOccrDsrc
     * 설명         : 발생예가수 정보조회 ( 취소 )
	 * @param SelectOccrDsrcINDTO
	 * @return SelectOccrDsrcOUTDTO
	 * @exception Exception
     * </pre>
     */
	public SelectOccrDsrcOUTDTO selectOccrDsrc(SelectOccrDsrcINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateRcptDsrcBaseForCncl
     * 설명         : 입금미수.대상에 대해 예가수 잔액을 수정
	 * @param void
	 * @return List<OUTDTO>
	 * @exception Exception
     * </pre>
     */
	public int updateRcptDsrcBaseForCncl(RtRcptDsrcBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateRcptRfndDescForCncl
     * 설명         : 입금미수.대상에 대해 예가수 잔액을 수정
	 * @param RtRcptRfndDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateRcptRfndDescForCncl(RtRcptRfndDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateRcptDsrcDescForCncl
     * 설명         : 예가수내역에 대해 취소처리
	 * @param RtRcptDsrcDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateRcptDsrcDescForCncl(RtRcptDsrcDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getCreateRcptDsrcDesc
     * 설명         : 입금미수.대상 객체에 예가수_내역을 등록
	 * @param RtRcptDsrcDescDTO
	 * @return List<OUTDTO>
	 * @exception Exception
     * </pre>
     */
	public int getCreateRcptDsrcDesc(RtRcptDsrcDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateRcptBaseForCncl
     * 설명         : 수납취소
	 * @param RtRcptBaseDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateRcptBaseForCncl(RtRcptBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updatePlanTrSnumForCncl
     * 설명         : 중도일부상환 수납취소
	 * @param RtRcptBaseDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updatePlanTrSnumForCncl(RtRcptBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateRcptBaseForCnclPiamt
     * 설명         : 부분취소
	 * @param RtRcptBaseDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateRcptBaseForCnclPiamt(RtRcptBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getUpdateLoanBase
     * 설명         : 수납결과를 [ST_LOAN_BASE]에 반영
	 * @param StLoanBaseDTO
	 * @return int
	 * @exception Exception
	 * TODO 로직 존재 확인하고 코딩 필요 ****************************************************
	 * TODO 로직 존재 확인하고 코딩 필요 ****************************************************
     * </pre>
     */
	public int getUpdateLoanBase(UpdateLoanBaseINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : insertRcptDesc
     * 설명         : [수납_내역] 리스트등록
	 * @param RtRcptDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int insertRcptDesc(RtRcptDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : insertRcptDlyDesc
     * 설명         : [수납_연체_내역]등록
	 * @param RtRcptDlyDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int insertRcptDlyDesc(RtRcptDlyDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : insertPdueDesc
     * 설명         : 선납수납내역 신규등록
	 * @param RtRcptPdueDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int insertPdueDesc(RtRcptPdueDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : insertDsrcDesc
     * 설명         : [수납_예가수_내역]등록
	 * @param RtRcptDsrcDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int insertDsrcDesc(RtRcptDsrcDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : insertDsrcBase
     * 설명         : [수납_예가수_기본]등록
	 * @param RtRcptDsrcBaseDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int insertDsrcBase(RtRcptDsrcBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getCreateRcptBaseSql
     * 설명         : [수납_기본]등록 (여러건)
	 * @param RtRcptBaseDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int getCreateRcptBaseSql(RtRcptBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : insertRcptChkDesc
     * 설명         : 수표내역등록
	 * @param INDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int insertRcptChkDesc(RtRcptChkDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * TODO 미사용
     * 메소드명      : getCreateChkDesc
     * 설명         : 설명
	 * @param RtRcptChkDescDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	//public int getCreateChkDesc(RtRcptChkDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateRcptDsrcBase
     * 설명         : [수납_예가수_기본]수정
	 * @param RtRcptDsrcBaseDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateRcptDsrcBase(RtRcptDsrcBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectOrg
     * 설명         : 제휴정보 얻기
	 * @param SelectOrgINDTO
	 * @return SelectOrgOUTDTO
	 * @exception Exception
     * </pre>
     */
	public SelectOrgOUTDTO selectOrg(SelectOrgINDTO inDTO) throws Exception;

	/**
     * <pre>
     * 메소드명      : getSearchRcptBase
     * 설명         : [수납_기본] 조회
	 * @param RtRcptBaseDTO
	 * @return RtRcptBaseDTO
	 * @exception Exception
     * </pre>
     */
	public RtRcptBaseDTO getSearchRcptBase(RtRcptBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectChkDesc
     * 설명         : 납부한 수표리스트를 조회한다.
	 * @param RtRcptChkDescDTO
	 * @return RtRcptChkDescDTO
	 * @exception Exception
     * </pre>
     */
	public List<RtRcptChkDescDTO> selectChkDesc(RtRcptChkDescDTO inDTO) throws Exception;

	 /**
     * <pre>
     * TODO 미사용
     * 메소드명      : selectAttdDt
     * 설명         : 설명
	 * @param INDTO
	 * @return List<OUTDTO>
	 * @exception Exception
     * </pre>
     */
	//public List<OUTDTO> selectAttdDt(INDTO inDTO) throws Exception;

	 /**
     * <pre>
     * TODO 미사용
     * 메소드명      : selectAcnt
     * 설명         : 설명
	 * @param INDTO
	 * @return List<OUTDTO>
	 * @exception Exception
     * </pre>
     */
	//public List<OUTDTO> selectAcnt(INDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getRsDsrcUncnfmNo
     * 설명         : 미확인번호 채번
	 * @param N/A
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int getRsDsrcUncnfmNo() throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateSetlNo
     * 설명         : [ST_LOAN_BASE] 결제번호 증가
	 * @param INDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateSetlNo(StLoanBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * TODO 미사용
     * 메소드명      : getUpdateLeasRamtMgr
     * 설명         : 잔액장 수정 (취소시에는 금액이 음수로 입력한다는 사전조건을 만족해야한다.)
	 * @param LtLeasRamtMgrDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	//public int getUpdateLeasRamtMgr(LtLeasRamtMgrDTO inDTO) throws Exception;

	 /**
     * <pre>
     * TODO 미사용
     * 메소드명      : getUpdateLeasBaseForUnrcvProcDt
     * 설명         : 운용리스일때 미수처리일자 변경
	 * @param LtLeasBaseDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	//public int getUpdateLeasBaseForUnrcvProcDt(LtLeasBaseDTO inDTO) throws Exception;

	/**
     * <pre>
     * 메소드명      : getGetLeglActsCostRamt
     * 설명         : 법적조치비용 잔액구하기
	 * @param LeglActsCostRamtINDTO
	 * @return long
	 * @exception Exception
     * </pre>
     */
	public long getGetLeglActsCostRamt(LeglActsCostRamtINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getIsExistAutoTranTr
     * 설명         : 자동이체 입금처리중 조회
	 * @param IsExistAutoTranTrINDTO
	 * @return String
	 * @exception Exception
     * </pre>
     */
	public String getIsExistAutoTranTr(IsExistAutoTranTrINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectUnwinding
     * 설명         : 충당금처리대상금액 조회
	 * @param SelectUnwindingINDTO
	 * @return SelectUnwindingOUTDTO
	 * @exception Exception
     * </pre>
     */
	public SelectUnwindingOUTDTO selectUnwinding(SelectUnwindingINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectUnwindingCncl
     * 설명         : 충당금처리대상취소금액 조회 (수납취소 시 전표 역분개를 위해 충당금 조회)
	 * @param SelectUnwindingCnclINDTO
	 * @return SelectUnwindingCnclOUTDTO
	 * @exception Exception
     * </pre>
     */
	public SelectUnwindingCnclOUTDTO selectUnwindingCncl(SelectUnwindingCnclINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectHairCut
     * 설명         : WO 이전 HairCut수납처리 금액 조회
	 * @param SelectHairCutINDTO
	 * @return SelectHairCutOUTDTO
	 * @exception Exception
     * </pre>
     */
	public SelectHairCutOUTDTO selectHairCut(SelectHairCutINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : selectHairCutCncl
     * 설명         : WO 이전 HairCut수납취소처리 금액 조회
	 * @param SelectHairCutCnclINDTO
	 * @return SelectHairCutCnclOUTDTO
	 * @exception Exception
     * </pre>
     */
	public SelectHairCutCnclOUTDTO selectHairCutCncl(SelectHairCutCnclINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : updateDdayPrftLoseStrtTims
     * 설명         : 기한상실 시작회차 수정(부활/상실)
	 * @param BtBndClsBaseDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int updateDdayPrftLoseStrtTims(BtBndClsBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getRntnRt
     * 설명         : 환입율 조회
	 * @param RntnRtINDTO
	 * @return RntnRtOUTDTO
	 * @exception Exception
     * </pre>
     */
	public String getRntnRt(StLoanBaseDTO inDTO) throws Exception;

	/**
     * <pre>
     * 메소드명      : getCreatePayFeeClawbkBase
     * 설명         : 지급수수료환입율 신규등록
	 * @param StPayFeeClawbkBaseDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int getCreatePayFeeClawbkBase(CreatePayFeeClawbkBaseINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getDeletePayFeeClawbkBase
     * 설명         : 지급수수료환입율 삭제
	 * @param StPayFeeClawbkBaseDTO
	 * @return int
	 * @exception Exception
     * </pre>
     */
	public int getDeletePayFeeClawbkBase(StPayFeeClawbkBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : getSaleRsltDtByLoanNo
     * 설명         : String stndDt을 입력받아 실적처리일자를 계산
	 * @param String stndDt
	 * @return String
	 * @exception Exception
     * </pre>
     */
	public String getSaleRsltDtByLoanNo(String stndDt) throws Exception;

}


