package hanalife.r.co.rc.service;

import java.sql.SQLException;
import java.util.List;

import hanalife.r.co.rc.vo.IamtUnrcvObjVO;

/**
 * <pre>
 * 클래스명    : PdueService
 * 클래스설명  : 선납내역 관리 Service
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 22.
 * 작성자명    : 70279 / jung
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface PdueService {

	/**
	 * <p>메소드명 : updatePdueDescForCncl</p>
	 * <p>설명 : 수납_선납_내역 테이블을 수정한다.(취소) </p>
	 * <p>메소드인수1 : IamtUnrcvObjVO iamtUnrcvObjVO</p>
	 * <p>메소드인수2 : Connection con</p>
	 * <p>메소드리턴값 : int - 반영건수 </p>
	 */
	public int updatePdueDescForCncl(IamtUnrcvObjVO inObj);

	/**
	 * 원리금수납 취소
	 * @param inObj
	 * @param con
	 * @return
	 * @throws SQLException
	 */
	public int updatePdueDescForCnclPiamt(IamtUnrcvObjVO inObj);

	/**
	 * <p>메소드명 : createPdueDescForCncl</p>
	 * <p>설명 : 수납_선납_내역 테이블을 신규등록 한다.(취소) </p>
	 * <p>메소드인수1 : IamtUnrcvObjVO iamtUnrcvObjVO</p>
	 * <p>메소드인수2 : Connection con</p>
	 * <p>메소드리턴값 : int - 반영건수 </p>
	 */
	public int createPdueDescForCncl(IamtUnrcvObjVO iamtUnrcvObjVO);

	/**
	 * 원리금수납 취소
	 * @param iamtUnrcvObjVO
	 * @param con
	 * @return
	 * @throws SQLException
	 */
	public int createPdueDescForCnclPiamt(IamtUnrcvObjVO iamtUnrcvObjVO);

	/**
	 * <p>선납수납내역 신규등록
	 * @param pdueDescVOList
	 * @param con
	 * @return
	 * @throws SQLException
	 */
	public int createPdueDesc(List pdueDescVOList);

}
