package hanalife.r.co.rc.service;

import java.util.List;

import hanalife.r.co.rc.vo.IamtUnrcvObjVO;

/**
 * <pre>
 * 클래스명    : RcptDlyService
 * 클래스설명  : 수납연체관련 Service
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 22.
 * 작성자명    : 70279 / jung
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface RcptDlyService {

	/**
	 * <p>메소드명		: updateRcptDlyDescForCncl</p>
	 * <p>설명			: 취소일때 수납연체내역 수정</p>
	 * <p>메소드인수1		: IamtUnrcvObjVO</p>
	 * <p>메소드인수2		: Connection</p>
	 * <p>메소드리턴값	: int</p>
	 * <p>예외처리		: N/A</p>
	 */
	public int updateRcptDlyDescForCncl(IamtUnrcvObjVO iamtUnrcvObjVO);

	/**
	 * <p>메소드명		: updateRcptDlyDescForCnclPiamt</p>
	 * <p>설명			: 원리금수납취소(부분취소)</p>
	 * <p>메소드인수1		: IamtUnrcvObjVO</p>
	 * <p>메소드인수2		: Connection</p>
	 * <p>메소드리턴값	: int</p>
	 * <p>예외처리		: N/A</p>
	 */
	public int updateRcptDlyDescForCnclPiamt(IamtUnrcvObjVO iamtUnrcvObjVO);

	/**
	 * <p>메소드명		: updateRcptDlyDescForCnclPiamt</p>
	 * <p>설명			: [수납_연체_내역]등록</p>
	 * <p>메소드인수1		: List rcptDlyVOList</p>
	 * <p>메소드인수2		: Connection</p>
	 * <p>메소드리턴값	: int</p>
	 * <p>예외처리		: N/A</p>
	 */
	public int createRcptDlyDesc(List rcptDlyVOList);

	/**
	 * <p>메소드명		: createRcptDlyDescForCncl</p>
	 * <p>설명			: [수납_연체_내역] 취소내역 등록</p>
	 * <p>메소드인수1		: IamtUnrcvObjVO</p>
	 * <p>메소드인수2		: Connection</p>
	 * <p>메소드리턴값	: int</p>
	 * <p>예외처리		: N/A</p>
	 */
	public int createRcptDlyDescForCncl(IamtUnrcvObjVO iamtUnrcvObjVO);

	/**
	 * <p>메소드명		: createRcptDlyDescForCnclPiamt</p>
	 * <p>설명			: 원리금수납(부분수납) 취소</p>
	 * <p>메소드인수1		: IamtUnrcvObjVO</p>
	 * <p>메소드인수2		: Connection</p>
	 * <p>메소드리턴값	: int</p>
	 * <p>예외처리		: N/A</p>
	 */
	public int createRcptDlyDescForCnclPiamt(IamtUnrcvObjVO iamtUnrcvObjVO);
}
