package hanalife.r.co.rc.vo;

import java.util.ArrayList;
import java.util.List;


@SuppressWarnings({"unchecked","rawtypes"})
/**
 * <pre>
 * 클래스명    : AdjDescVO
 * 클래스설명 : 정산내역 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class AdjDescVO {
	public int trDescNo;	//거래내역번호(전표번호)
	public List rcptBaseVOList; //수납기본 리스트
	public List chkDescVOList; //수표내역 리스트
	public List rcptDescVOList; //수납내역리스트
	public List dlyDescVOList; //연체내역리스트
	public List pdueDescVOList; //선납내역리스트
	public List dsrcBaseVOList; //예가수기본 리스트
	public List dsrcUpdtVOList; //예가수수정 리스트
	public List dsrcDescVOList; //예가수내역 리스트
	public List rfndDescVOList; //환불내역 리스트
	public List loanBaseVOList; //대출기본 리스트
	public List autoTranTrDescVOList; //자동이체거래내역 리스트
	public List giroDescVOList; //지로내역 리스트
	public List rcptGuarBrcvAmtList; //보증금선수금 리스트

	public AdjDescVO() {
		trDescNo =-1;
		rcptBaseVOList = new ArrayList();
		chkDescVOList = new ArrayList();
		rcptDescVOList = new ArrayList();
		dlyDescVOList = new ArrayList();
		pdueDescVOList = new ArrayList();
		dsrcBaseVOList = new ArrayList();
		dsrcUpdtVOList = new ArrayList();
		dsrcDescVOList = new ArrayList();
		rfndDescVOList = new ArrayList();
		loanBaseVOList = new ArrayList();
		autoTranTrDescVOList = new ArrayList();
		giroDescVOList = new ArrayList();
		rcptGuarBrcvAmtList = new ArrayList(); //보증금선수금리스트
	}

	public int sizeRcptBaseVO () { return sizeOfList(rcptBaseVOList  ); }
	public int sizeChkDescVO() { return sizeOfList(chkDescVOList); }
	public int sizeRcptDescVO() { return sizeOfList(rcptDescVOList); }
	public int sizeDlyDescVO () { return sizeOfList(dlyDescVOList ); }
	public int sizePdueDescVO() { return sizeOfList(pdueDescVOList); }
	public int sizeDsrcBaseVO() { return sizeOfList(dsrcBaseVOList); }
	public int sizeDsrcUpdtVO() { return sizeOfList(dsrcUpdtVOList); }
	public int sizeDsrcDescVO() { return sizeOfList(dsrcDescVOList); }
	public int sizeRfndDescVO() { return sizeOfList(rfndDescVOList); }
	public int sizeLoanBaseVO() { return sizeOfList(loanBaseVOList); }
	public int sizeAutoTranTrDescVO() { return sizeOfList(autoTranTrDescVOList); }
	public int sizeGiroDescVO() { return sizeOfList(giroDescVOList); }
	public int sizeRcptGuarBrcvAmt() { return sizeOfList(rcptGuarBrcvAmtList); }

	private int sizeOfList(List list) {
		return list==null?0:list.size();
	}

	private void clearList(List list){
		if( list != null){
			list.clear();
			list = null;
		}
	}

	public RcptBaseVO getRcptBaseVO(int idx) {
		return (RcptBaseVO) rcptBaseVOList.get(idx);
	}

	public ChkDescVO getChkDescVO(int idx) {
		return (ChkDescVO) chkDescVOList.get(idx);
	}

	public RcptDescVO getRcptDescVO(int idx) {
		return (RcptDescVO) rcptDescVOList.get(idx);
	}

	public DlyDescVO getDlyDescVO(int idx) {
		return (DlyDescVO) dlyDescVOList.get(idx);
	}

	public PdueDescVO getPdueDescVO(int idx) {
		return (PdueDescVO) pdueDescVOList.get(idx);
	}

	public DsrcBaseVO getDsrcBaseVO(int idx) {
		return (DsrcBaseVO) dsrcBaseVOList.get(idx);
	}

	public DsrcBaseVO getDsrcUpdtVO(int idx) {
		return (DsrcBaseVO) dsrcUpdtVOList.get(idx);
	}

	public DsrcDescVO getDsrcDescVO(int idx) {
		return (DsrcDescVO) dsrcDescVOList.get(idx);
	}

	public RfndDescVO getRfndDescVO(int idx) {
		return (RfndDescVO) rfndDescVOList.get(idx);
	}

	public LoanBaseVO getLoanBaseVO(int idx) {
		return (LoanBaseVO) loanBaseVOList.get(idx);
	}

	public AutoTranTrDescVO getAutoTranTrDescVO(int idx) {
		return (AutoTranTrDescVO) autoTranTrDescVOList.get(idx);
	}

	public GiroDescVO giroDescVO(int idx) {
		return (GiroDescVO) giroDescVOList.get(idx);
	}

	public RcptBaseVO getRcptGuarBrcvAmt(int idx) {
		return (RcptBaseVO) rcptGuarBrcvAmtList.get(idx);
	}

	public void addRcptBaseVO(RcptBaseVO rcptBaseVO) {
		rcptBaseVOList.add(rcptBaseVO);
	}

	public void addChkDescVO(ChkDescVO chkDescVO) {
		chkDescVOList.add(chkDescVO);
	}

	public void addRcptDescVO(RcptDescVO rcptDescVO) {
		rcptDescVOList.add(rcptDescVO);
	}

	public void addDlyDescVO(DlyDescVO dlyDescVO) {
		dlyDescVOList.add(dlyDescVO);
	}

	public void addPdueDescVO(PdueDescVO pdueDescVO) {
		pdueDescVOList.add(pdueDescVO);
	}

	public void addDsrcBaseVO(DsrcBaseVO dsrcBaseVO) {
		dsrcBaseVOList.add(dsrcBaseVO);
	}

	public void addDsrcUpdtVO(DsrcBaseVO dsrcBaseVO) {
		dsrcUpdtVOList.add(dsrcBaseVO);
	}

	public void addDsrcDescVO(DsrcDescVO dsrcDescVO) {
		dsrcDescVOList.add(dsrcDescVO);
	}

	public void addRfndDescVO(RfndDescVO rfndDescVO) {
		rfndDescVOList.add(rfndDescVO);
	}

	public void addLoanBaseVO(LoanBaseVO loanBaseVO) {
		loanBaseVOList.add(loanBaseVO);
	}

	public void addAutoTranTrDescVO(AutoTranTrDescVO autoTranTrDescVO) {
		autoTranTrDescVOList.add(autoTranTrDescVO);
	}

	public void addGiroDescVO(GiroDescVO giroDescVO) {
		giroDescVOList.add(giroDescVO);
	}

	public void addRcptGuarBrcvAmt(RcptBaseVO rcptBase) {
		rcptGuarBrcvAmtList.add(rcptBase);
	}

	public void addLoanBaseVOList(List loanBaseVOs) {
		loanBaseVOList.addAll(loanBaseVOs);
	}

//	@Override
//	public String toString(){
//		StringBuffer buff = new StringBuffer(1024);
//		buff.append("\n정산내역 START-----------------------\n");
//		IamtUtil.addListString("수납기본",buff,rcptBaseVOList);
//		IamtUtil.addListString("수납내역",buff,rcptDescVOList);
//		IamtUtil.addListString("수표내역",buff,chkDescVOList);
//		IamtUtil.addListString("연체내역",buff,dlyDescVOList);
//		IamtUtil.addListString("선납내역",buff,pdueDescVOList);
//		IamtUtil.addListString("예가수기본",buff,dsrcBaseVOList);
//		IamtUtil.addListString("예가수내역",buff,dsrcDescVOList);
//		IamtUtil.addListString("환불내역",buff,rfndDescVOList);
//		IamtUtil.addListString("자동이체내역",buff,autoTranTrDescVOList);
//		IamtUtil.addListString("지로내역",buff,giroDescVOList);
//		IamtUtil.addListString("보증금대상",buff,rcptGuarBrcvAmtList);
//		buff.append("정산내역 END-------------------------");
//		return buff.toString();
//	}

	public void clear(){
		clearList(rcptBaseVOList      );
		clearList(chkDescVOList       );
		clearList(rcptDescVOList      );
		clearList(dlyDescVOList       );
		clearList(pdueDescVOList      );
		clearList(dsrcBaseVOList      );
		clearList(dsrcUpdtVOList      );
		clearList(dsrcDescVOList      );
		clearList(rfndDescVOList      );
		clearList(loanBaseVOList      );
		clearList(autoTranTrDescVOList);
		clearList(giroDescVOList      );
		clearList(rcptGuarBrcvAmtList );
	}
}
