package hanalife.r.co.sr.service;

import hanalife.r.co.sr.vo.RfndRsltVO;

/**
 * <pre>
 * 클래스명    : RfndRsltService
 * 클래스설명  : 환불결과처리Service
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 4. 13.
 * 작성자명    : 70279 / jung
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface RfndRsltService {

	/**
	 * <p>메소드명	: procRfnd</p>
	 * <p>설명		: 환불결과처리</p>
	 * <p>메소드인수1 	: RfndRsltVO</p>
	 * <p>메소드리턴값	: RfndRsltVO</p>
	 * <p>예외처리	: SQLException</p>
	 */
	public RfndRsltVO procRfnd(RfndRsltVO rfndRsltVO) throws Exception;


	/**
	 * <p>메소드명	: searchRfndResultObj</p>
	 * <p>설명		: 환불결과 반영 대상 조회 (지급 후 처리할 대상)</p>
	 * <p>메소드인수1 	: String payNo</p>
	 * <p>메소드리턴값	: RfndRsltVO</p>
	 * <p>예외처리	: SQLException</p>
	 */
	public RfndRsltVO searchRfndResultObj(String payNo) throws Exception;

	/**
	 * TODO 미사용 - 향후 사용시 개발
	 * <p>메소드명	: sendOcTalkForJst</p>
	 * <p>설명		: 예가수 환불처리 결재요청에 대한 쪽지 알림
	 * @param dsrcNo
	 * @param empNo
	 * @param clientIp
	 */
	//public void sendOcTalkForJst(String dsrcNo, String empNo, String clientIp);

	/**
	 * TODO 미사용 - 향후 사용시 개발
	 * <p>메소드명	: sendOcTalkForJstRslt</p>
	 * <p>설명		: 예가수 환불처리 결재완료시 본요청자에게 쪽지 알림
	 * @param dsrcNo
	 * @param empNo
	 * @param clientIp
	 * @param con
	 */
	//public void sendOcTalkForJstRslt(String dsrcNo, String empNo, String clientIp);

	/**
	 * <p>메소드명	: updateSmsRslt</p>
	 * <p>설명		: sms전송 환불결과 업데이트
	 * <p>메소드인수1 	: RfndRsltVO rfndRsltVO</p>
	 * <p>메소드인수2 	: boolean sendSms</p>
	 * <p>메소드인수3 	: String payNo</p>
	 * <p>메소드리턴값	: String smsTxt</p>
	 */
	public int updateSmsRslt(RfndRsltVO rfndRsltVO, boolean sendSms, String smsTxt);

}
