package hanalife.r.co.sr.vo;

import hanalife.util.LoggableVO;

/**
 * <pre>
 * 클래스명    : RfndRsltVO
 * 클래스설명 : 즉시환불 결과처리 대상 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RfndRsltVO extends LoggableVO {

	private String payNo; //지급번호
	private String dsrcNo; //예가수_번호
	private int rfndSnum; //환불일련번호
	private String acctDt; //회계일자
	private String rfndRsltCd; //환불결과코드

	private int setlNo; //환불후 결제번호 셋팅(내부용)
	private int dsrcSnum; //환불후 예가수일련번호 셋팅

	private String rsltCd; //결과코드
	private String rsltCntn; //결과내용
	private String procEmpNo; //처리사원번호
	private String sysPathCd;	//환불결과처리

	// 환불 후 SMS관련
	private String loanNo;		// 대출번호
	private String loanSeq;		// 대출순번
	private String custNo;		// 고객번호
	private String custNm;		// 고객명
	private String bankNm;		// 은행명
	private long tranAmt;		// 이체금액
	private String sendSmsFg;	// 문자발송여부
	private String hp1;			// 고객핸드폰1
	private String hp2;			// 고객핸드폰2
	private String hp3;			// 고객핸드폰3
	private String retnTel;		// 회신번호(당사대표번호)
	private String cmpmNm;		// 회사명(당사)
	private String sendUserNo;	// 발송사번
	private String mngDeptCd;	// 관리부서코드

	public RfndRsltVO() {
		init();
	}

	public void init() {
		payNo = ""; //지급번호
		dsrcNo = ""; //예가수_번호
		rfndSnum =0; //환불일련번호
		acctDt = ""; //회계일자
		rfndRsltCd =""; //환불결과코드
		rsltCd ="0000"; //결과코드
		rsltCntn = ""; //결과내용
		procEmpNo = ""; //처리사원번호
		sysPathCd = "01"; //시스템경로코드

		loanNo  = "";		// 대출번호
		loanSeq = "";		// 대출순번
		custNo  = "";		// 고객번호
		custNm  = "";		// 고객명
		bankNm  = "";		// 은행명
		tranAmt = 0;		// 이체금액
		sendSmsFg = "N";	// 문자발송여부
		hp1 = "";			// 고객핸드폰1
		hp2 = "";			// 고객핸드폰2
		hp3 = "";			// 고객핸드폰3
		retnTel = "";		// 회신번호(당사대표번호)
		cmpmNm  = "";		// 회사명(당사)
		sendUserNo = "";	// 발송사번
		mngDeptCd  = "";	// 관리부서코드
	}

	public boolean isSuccess(){
		return "0000".equals(rfndRsltCd);
	}

	/**
	 * Getter/Setter : acctDt
	 */
	public String getAcctDt() {
		return acctDt;
	}
	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}

	/**
	 * Getter/Setter : payNo
	 */
	public String getPayNo() {
		return payNo;
	}
	public void setPayNo(String payNo) {
		this.payNo = payNo;
	}

	/**
	 * Getter/Setter : rfndRsltCd
	 */
	public String getRfndRsltCd() {
		return rfndRsltCd;
	}
	public void setRfndRsltCd(String rfndRsltCd) {
		this.rfndRsltCd = rfndRsltCd;
	}

	/**
	 * Getter/Setter : rsltCd
	 */
	public String getRsltCd() {
		return rsltCd;
	}
	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}

	/**
	 * Getter/Setter : rsltCntn
	 */
	public String getRsltCntn() {
		return rsltCntn;
	}
	public void setRsltCntn(String rsltCntn) {
		this.rsltCntn = rsltCntn;
	}

	/**
	 * Getter/Setter : dsrcNo
	 */
	public String getDsrcNo() {
		return dsrcNo;
	}
	public void setDsrcNo(String dsrcNo) {
		this.dsrcNo = dsrcNo;
	}

	/**
	 * Getter/Setter : dsrcNo
	 */
	public int getRfndSnum() {
		return rfndSnum;
	}
	public void setRfndSnum(int rfndSnum) {
		this.rfndSnum = rfndSnum;
	}

	/**
	 * Getter/Setter : dsrcNo
	 */
	public String getProcEmpNo() {
		return procEmpNo;
	}
	public void setProcEmpNo(String procEmpNo) {
		this.procEmpNo = procEmpNo;
	}

	/**
	 * Getter/Setter : dsrcSnum
	 */
	public int getDsrcSnum() {
		return dsrcSnum;
	}
	public void setDsrcSnum(int dsrcSnum) {
		this.dsrcSnum = dsrcSnum;
	}

	/**
	 * Getter/Setter : setlNo
	 */
	public int getSetlNo() {
		return setlNo;
	}
	public void setSetlNo(int setlNo) {
		this.setlNo = setlNo;
	}

	/**
	 * Getter/Setter : sysPathCd
	 */
	public String getSysPathCd() {
		return sysPathCd;
	}
	public void setSysPathCd(String sysPathCd) {
		this.sysPathCd = sysPathCd;
	}

	/**
	 * Getter/Setter : loanNo
	 */
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	/**
	 * Getter/Setter : loanSeq
	 */
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	/**
	 * Getter/Setter : sendSmsFg
	 */
	public String getSendSmsFg() {
		return sendSmsFg;
	}
	public void setSendSmsFg(String sendSmsFg) {
		this.sendSmsFg = sendSmsFg;
	}

	/**
	 * Getter/Setter : hp1
	 */
	public String getHp1() {
		return hp1;
	}

	public void setHp1(String hp1) {
		this.hp1 = hp1;
	}

	/**
	 * Getter/Setter : hp2
	 */
	public String getHp2() {
		return hp2;
	}

	public void setHp2(String hp2) {
		this.hp2 = hp2;
	}

	/**
	 * Getter/Setter : hp3
	 */
	public String getHp3() {
		return hp3;
	}

	public void setHp3(String hp3) {
		this.hp3 = hp3;
	}

	/**
	 * Getter/Setter : custNo
	 */
	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}

	/**
	 * Getter/Setter : retnTel
	 */
	public String getRetnTel() {
		return retnTel;
	}
	public void setRetnTel(String retnTel) {
		this.retnTel = retnTel;
	}

	/**
	 * Getter/Setter : CmpmNm
	 */
	public String getCmpmNm() {
		return cmpmNm;
	}
	public void setCmpmNm(String cmpmNm) {
		this.cmpmNm = cmpmNm;
	}

	/**
	 * Getter/Setter : custNm
	 */
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}

	/**
	 * Getter/Setter : bankNm
	 */
	public String getBankNm() {
		return bankNm;
	}
	public void setBankNm(String bankNm) {
		this.bankNm = bankNm;
	}

	/**
	 * Getter/Setter : tranAmt
	 */
	public long getTranAmt() {
		return tranAmt;
	}
	public void setTranAmt(long tranAmt) {
		this.tranAmt = tranAmt;
	}

	/**
	 * Getter/Setter : sendUserNo
	 */
	public String getSendUserNo() {
		return sendUserNo;
	}

	public void setSendUserNo(String sendUserNo) {
		this.sendUserNo = sendUserNo;
	}

	/**
	 * Getter/Setter : mngDeptCd
	 */
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
}
