package hanalife.r.co.vo.vo;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * <pre>
 * 클래스명    : VochVO
 * 클래스설명 : 전표처리 interface 요청/결과 객체 VO
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class VochVO {
	private Map clsDeptCdMap; //마감가능부서
	private Map trStagMap; //거래단계

	private String acctDt;// 회계_일자
	private String trTpCd;// 거래_유형_코드
	private String isrtDeptCd;// 입력_부서_코드
	private int trDescNo; //거래내역번호
	private String autoClsFg; //자동마감여부
	private String isrtEmpNo;// 입력_사원_번호
	private String rsltCd;// 결과_코드
	private String rsltCntn;// 결과_내용
	private List clsTrDescList;
	//2018-08-01 HSH 거래유형 TR_MNG_ITEM_CD = 01 일 경우 관리금액은 0 이 아니어야 한다.
	//모든거래내역체크에서 VochVO.clsTrDescList 내에 한번만 체크로 변경 By 윤환석
	private boolean mngItemExistFg ;	// 관리_항목_존재_여부
	private boolean mngAmtOneMoreExistFg ;	// 관리_금액_존재_여부
	private String tranUnprocFg;	// 이체 미처리 여부
	/**
	 * 전표처리구분
	 * 01:모두전표처리
	 * 02:IFRS만 전표처리
	 * 03:KGAAP만 전표처리
	 * 04:isIFRS값에 따라 전표처리(01,02,03 디폴트:01)
	 */
	//private String isIFRS = "03"; //입력 IFRS 회계기준 구분 //2018-08-01 두비스 kgaap만 무조건 처리되도록 변경
	//private String procDivCd = "03"; //IFRS 회계기준 구분(01:KGAPP + KIFRS, 02:KIFRS, 03:ONLYKGAAP) 2018-08-01 두비스 kgaap만 무조건 처리되도록 변경
	private String isIFRS = "01"; //입력 IFRS 회계기준 구분 //2018-08-01 두비스 kgaap만 무조건 처리되도록 변경 //2018-08-01 두비스
	private String procDivCd = "01"; //IFRS 회계기준 구분(01:KGAPP + KIFRS, 02:KIFRS, 03:ONLYKGAAP) 2018-08-01 두비스 kgaap만 무조건 처리되도록 변경 //2018-08-01 두비스

	public VochVO() {
		clear();
	}

	//전체객체 clear
	public void clear() {
		acctDt=""; //회계_일자
		trTpCd=""; //거래_유형_코드
		isrtDeptCd=""; //입력_부서_코드
		trDescNo =0; //거래내역번호
		autoClsFg="0";
		isrtEmpNo=""; //입력_사원_번호
		rsltCd="0000"; //결과_코드
		rsltCntn=""; //결과_내용

		clsDeptCdMap = clearMap(clsDeptCdMap);
		trStagMap = clearMap(trStagMap);
		clearClsTrDescList();
		mngItemExistFg = false;		// 관리_항목_존재_여부
		mngAmtOneMoreExistFg = false;		// 관리_항목_존재_여부
		tranUnprocFg = "0";

	}

	public void setClsTrDescList(List inList) {
		clsTrDescList.add(inList);
	}

	public void addClsTrDesc( ClsTrDescVO inVO ) {
		clsTrDescList.add(inVO);
	}

	public ClsTrDescVO getClsTrDesc(int idx) {
		return (ClsTrDescVO)clsTrDescList.get(idx);
	}

	public List getClsTrDescList() {
		return clsTrDescList;
	}

	//마감거래내역리스트 클리어
	public void clearClsTrDescList() {
		if(clsTrDescList==null) {
			clsTrDescList = new ArrayList();
		}else {
			clsTrDescList.clear();
		}
	}

	public int sizeClsTrDesc() {
		return clsTrDescList==null?0:clsTrDescList.size();
	}

	/**
	 * @return Returns the acctDt.
	 */
	public String getAcctDt() {
		return acctDt;
	}
	/**
	 * @param acctDt The acctDt to set.
	 */
	public void setAcctDt(String acctDt) {
		this.acctDt = acctDt;
	}
	/**
	 * @return Returns the isrtDeptCd.
	 */
	public String getIsrtDeptCd() {
		return isrtDeptCd;
	}
	/**
	 * @param isrtDeptCd The isrtDeptCd to set.
	 */
	public void setIsrtDeptCd(String isrtDeptCd) {
		this.isrtDeptCd = isrtDeptCd;
	}
	/**
	 * @return Returns the isrtEmpNo.
	 */
	public String getIsrtEmpNo() {
		return isrtEmpNo;
	}
	/**
	 * @param isrtEmpNo The isrtEmpNo to set.
	 */
	public void setIsrtEmpNo(String isrtEmpNo) {
		this.isrtEmpNo = isrtEmpNo;
	}
	/**
	 * @return Returns the rsltCd.
	 */
	public String getRsltCd() {
		return rsltCd;
	}
	/**
	 * @param rsltCd The rsltCd to set.
	 */
	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}
	/**
	 * @return Returns the rsltCntn.
	 */
	public String getRsltCntn() {
		return rsltCntn;
	}
	/**
	 * @param rsltCntn The rsltCntn to set.
	 */
	public void setRsltCntn(String rsltCntn) {
		this.rsltCntn = rsltCntn;
	}
	/**
	 * @return Returns the trDescNo.
	 */
	public int getTrDescNo() {
		return trDescNo;
	}
	/**
	 * @param trDescNo The trDescNo to set.
	 */
	public void setTrDescNo(int trDescNo) {
		this.trDescNo = trDescNo;
	}
	/**
	 * @return Returns the trTpCd.
	 */
	public String getIsIFRS() {
		return isIFRS;
	}
	/**
	 * @param trTpCd The trTpCd to set.
	 */
	public void setIsIFRS(String isIFRS) {
		//this.isIFRS = "03"; // 2018-08-01 두비스 무조건 kgaap만 끊기게 변경 //2018-08-01 두비스
		this.isIFRS = isIFRS; // 2018-08-01 두비스 무조건 kgaap만 끊기게 변경 //2018-08-01 두비스
	}

	public String getProcDivCd() {
		return procDivCd;
	}

	public void setProcDivCd(String procDivCd) {
//		this.procDivCd = "03"; // 2018-08-01 두비스 무조건 kgaap만 끊기게 변경  //2018-08-01 두비스
		this.procDivCd = procDivCd;  //2018-08-01 두비스
	}

	/**
	 * @return Returns the autoClsFg.
	 */
	public String getAutoClsFg() {
		return autoClsFg;
	}
	/**
	 * @param autoClsFg The autoClsFg to set.
	 */
	/**
	 * @return Returns the trTpCd.
	 */
	public String getTrTpCd() {
		return trTpCd;
	}
	/**
	 * @param trTpCd The trTpCd to set.
	 */
	public void setTrTpCd(String trTpCd) {
		this.trTpCd = trTpCd;
	}
	public void setAutoClsFg(String autoClsFg) {
		this.autoClsFg = autoClsFg;
	}

	private Map clearMap(Map inMap) {
		if(inMap ==null) {
			inMap = new HashMap();
		}else {
			inMap.clear();
		}
		return inMap;
	}

	public void addClsPossDept(String deptCd) {
		this.clsDeptCdMap.put(deptCd,"");
	}

	public void addClsPossTrStag(String trStag, String[] tranTpCd) {
		this.trStagMap.put(trStag,tranTpCd);
	}

	public boolean hasClsPossDept(String deptCd) {
		return this.clsDeptCdMap.containsKey(deptCd);
	}

	public boolean hasClsPossTrStat(String trStag) {
		return this.trStagMap.containsKey(trStag);
	}

	public String[] getTranTpCdByTrStagCd(String trStag) {
		return (String[])this.trStagMap.get(trStag);
	}

	public boolean isMngItemExistFg() {
		return mngItemExistFg;
	}

	public void setMngItemExistFg(boolean mngItemExistFg) {
		this.mngItemExistFg = mngItemExistFg;
	}

	public boolean isMngAmtOneMoreExistFg() {
		return mngAmtOneMoreExistFg;
	}

	public void setMngAmtOneMoreExistFg(boolean mngAmtOneMoreExistFg) {
		this.mngAmtOneMoreExistFg = mngAmtOneMoreExistFg;
	}

	public String getTranUnprocFg() {
		return tranUnprocFg;
	}

	public void setTranUnprocFg(String tranUnprocFg) {
		this.tranUnprocFg = tranUnprocFg;
	}
}
