package hanalife.r.dl.dl.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.RtDlvrDescDTO;

@Mapper("dlvrMapper")
public interface DlvrMapper {

	/**
	 * <p>메소드명         :searchForLoan</p>
	 * <p>설명            : RtDlvrDescTDO searchDO, tx 검색조건을 입력받아
	 *                RT_DLVR_DESC을 검색해서 String[]를 리턴한다.</p>
	 * <p>메소드인수1          :RtDlvrDescTDO searchDO 검색조건(대출번호, 대출순번)을 담고있는 RtDlvrDescTDO</p>
	 * <p>메소드인수2          :ITransaction tx 트랜젝션</p>
	 * <p>메소드리턴값  :PagedArrayList 검색된 결과를 String[]에 담고 있는  PagedArrayList
	 *                 발송물코드, 발송물명, 발송일자, 안내납입일자 </p>
	 * <p>예외처리           :DAOException 업무로직상의 에러및 DB에러를 처리하기 위한 Exception</p>
	 */

    public List<RtDlvrDescDTO> searchForLoan(RtDlvrDescDTO inDto) throws Exception;
}
