package hanalife.r.dm.dl.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StCustAddrEmalDTO;
import hanalife.r.dm.dl.mapper.dto.RDMDL01DSSD01OutDTO;
import hanalife.r.dm.dl.mapper.dto.RDMDL01DSSD02OutDTO;
import hanalife.r.dm.dl.mapper.dto.RDMDL01DSSD03OutDTO;
import hanalife.r.dm.dl.mapper.dto.RDMDLM01SrchDTO;

/**
 * <pre>
 * 클래스명    : DlvrMapper.java Class
 * 클래스설명  : 발송관리 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------ㄲ
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 * @param <RRCRCM02DSSDDO01DTO>
 */

@Mapper("DlvrMapper")
public interface DlvrMapper {

    /**
     * <p>메소드명      : searchLoanDescList</p>
     * <p>설명          : 발송관리_대출내역 목록을 조회 한다.</p>
     * <p>메소드인수1   : RDMDLM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 수납 내역 조회 결과 RDMDL01DSSD01OutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<RDMDL01DSSD01OutDTO> searchLoanDescList(RDMDLM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchLoanRelManList</p>
     * <p>설명          : 발송관리_대출관계자정보 목록을 조회 한다.</p>
     * <p>메소드인수1   : RDMDLM01SrchDTO inDTO </p>
     * <p>메소드리턴값  : 발송관리_대출관계자정보 조회 결과 RDMDL01DSSD02OutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<RDMDL01DSSD02OutDTO> searchLoanRelManList(RDMDLM01SrchDTO inDto) throws Exception;

    /**
     * <p>메소드명      : searchCustAddrList</p>
     * <p>설명          : 발송관리_고객주소정보 목록을 조회 한다.</p>
     * <p>메소드인수1   : StCustAddrEmalDTO inDTO </p>
     * <p>메소드리턴값  : 발송관리_고객주소정보 조회 결과 RDMDL01DSSD03OutDTO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<RDMDL01DSSD03OutDTO> searchCustAddrList(StCustAddrEmalDTO inDto) throws Exception;

}
