package hanalife.r.dm.dl.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DlvrDescReadDSSMDTO.java Class
 * 클래스설명   : 발송내역 조회를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 25.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 25.][ ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class DlvrDescReadDSSMDTO {

	private String dueDtFr;  /** 발송일자 */
	private String dueDtTo;  /** 발송일자 */
	private String dlvrThngCd;  /** 발송종류 */
	private String dlvrThngKind;  /** 발송종류 */
	private String mngDeptCd;  /** 관리부서코드 */
	private String mngDeptNm;  /** 관리부서명 */
	private String dlvrDtTo;  /** 납입일자 */
	private String prdtMidClasCd;  /** 상품중분류코드 */
	private String prdtLrgeClasCd;  /** 상품대분류코드 */
	private String loanNo;  /** 대출번호 */
	private String loanSeq;  /** 대출일련번호 */
	private String dlvrDtFr;  /** 납입일자 */
	private String clsSnum;  /** 마감일련번호 */
	private String clsDt;  /** 마감일자 */
	private String dlvrKind;  /** 발송방법 */
	private String acctUnitCd;  /** 회계단위코드 */
	private String acctUnitNm;  /** 회계단위명 */
	private String recvManNo;  /** 수신자번호 */
	private String recvMan;  /** 수신자번호 */
	private String hpNo1;  /** 핸드폰번호1 */
	private String hpNo2;  /** 핸드폰번호2 */
	private String hpNo3;  /** 핸드폰번호3 */
	private String recvFax1;  /** 팩스번호1 */
	private String recvFax2;  /** 팩스번호2 */
	private String recvFax3;  /** 팩스번호3 */
	private String dlvrExclFg;  /** 발송물제외 */
	private String dlvrStatCd;  /** 발송_상태_코드 */
	private String lastProcEmpNo;  /** 사원번호 */

	public String getDueDtFr() {
		return dueDtFr;
	}
	public void setDueDtFr(String dueDtFr) {
		this.dueDtFr = dueDtFr;
	}
	public String getDueDtTo() {
		return dueDtTo;
	}
	public void setDueDtTo(String dueDtTo) {
		this.dueDtTo = dueDtTo;
	}
	public String getDlvrThngCd() {
		return dlvrThngCd;
	}
	public void setDlvrThngCd(String dlvrThngCd) {
		this.dlvrThngCd = dlvrThngCd;
	}
	public String getDlvrThngKind() {
		return dlvrThngKind;
	}
	public void setDlvrThngKind(String dlvrThngKind) {
		this.dlvrThngKind = dlvrThngKind;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public String getDlvrDtTo() {
		return dlvrDtTo;
	}
	public void setDlvrDtTo(String dlvrDtTo) {
		this.dlvrDtTo = dlvrDtTo;
	}
	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}
	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}
	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getDlvrDtFr() {
		return dlvrDtFr;
	}
	public void setDlvrDtFr(String dlvrDtFr) {
		this.dlvrDtFr = dlvrDtFr;
	}
	public String getClsSnum() {
		return clsSnum;
	}
	public void setClsSnum(String clsSnum) {
		this.clsSnum = clsSnum;
	}
	public String getClsDt() {
		return clsDt;
	}
	public void setClsDt(String clsDt) {
		this.clsDt = clsDt;
	}
	public String getDlvrKind() {
		return dlvrKind;
	}
	public void setDlvrKind(String dlvrKind) {
		this.dlvrKind = dlvrKind;
	}
	public String getAcctUnitCd() {
		return acctUnitCd;
	}
	public void setAcctUnitCd(String acctUnitCd) {
		this.acctUnitCd = acctUnitCd;
	}
	public String getAcctUnitNm() {
		return acctUnitNm;
	}
	public void setAcctUnitNm(String acctUnitNm) {
		this.acctUnitNm = acctUnitNm;
	}
	public String getRecvManNo() {
		return recvManNo;
	}
	public void setRecvManNo(String recvManNo) {
		this.recvManNo = recvManNo;
	}
	public String getRecvMan() {
		return recvMan;
	}
	public void setRecvMan(String recvMan) {
		this.recvMan = recvMan;
	}
	public String getHpNo1() {
		return hpNo1;
	}
	public void setHpNo1(String hpNo1) {
		this.hpNo1 = hpNo1;
	}
	public String getHpNo2() {
		return hpNo2;
	}
	public void setHpNo2(String hpNo2) {
		this.hpNo2 = hpNo2;
	}
	public String getHpNo3() {
		return hpNo3;
	}
	public void setHpNo3(String hpNo3) {
		this.hpNo3 = hpNo3;
	}
	public String getRecvFax1() {
		return recvFax1;
	}
	public void setRecvFax1(String recvFax1) {
		this.recvFax1 = recvFax1;
	}
	public String getRecvFax2() {
		return recvFax2;
	}
	public void setRecvFax2(String recvFax2) {
		this.recvFax2 = recvFax2;
	}
	public String getRecvFax3() {
		return recvFax3;
	}
	public void setRecvFax3(String recvFax3) {
		this.recvFax3 = recvFax3;
	}
	public String getDlvrExclFg() {
		return dlvrExclFg;
	}
	public void setDlvrExclFg(String dlvrExclFg) {
		this.dlvrExclFg = dlvrExclFg;
	}
	public String getDlvrStatCd() {
		return dlvrStatCd;
	}
	public void setDlvrStatCd(String dlvrStatCd) {
		this.dlvrStatCd = dlvrStatCd;
	}
	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}
	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}

}
