package hanalife.r.dm.dl.service;

import hanalife.r.dm.dl.vo.RDMDLM01S01InVO;
import hanalife.r.dm.dl.vo.RDMDLM01S01OutVO;

/**
 * <pre>
 * 클래스명    : RDMDLM01Service.java Class
 * 클래스설명  : 발송관리 (RDMDLM01) Service
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public interface RDMDLM01Service {

    /**
     * <p>메소드명      : RDMDLM01S01 : 발송관리_대출정보 조회</p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70319
     * <p>설명          : 발송관리 조회 한다.</p>
     * <p>메소드인수    : RRCRCM02S01InVo </p>
     * <p>메소드리턴값  : RRCRCM02S01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public RDMDLM01S01OutVO getRDMDLM01S01(RDMDLM01S01InVO inVo) throws Exception;

    /**
     * <p>메소드명      : getRDMDLM01S02 : 발송관리_대출관계자정보 조회</p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70319
     * <p>설명          : 발송관리_대출관계자정보 조회 한다.</p>
     * <p>메소드인수    : RRCRCM02S01InVo </p>
     * <p>메소드리턴값  : RRCRCM02S01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public RDMDLM01S01OutVO getRDMDLM01S02(RDMDLM01S01InVO inVo) throws Exception;

    /**
     * <p>메소드명      : getRDMDLM01S03 : 발송관리_고객주소정보 조회</p>
     * <p>작성일자      : 2023. 3. 09.
     * <p>작성자(author): 70319
     * <p>설명          : 발송관리_고객주소정보 조회 한다.</p>
     * <p>메소드인수    : RRCRCM02S01InVo </p>
     * <p>메소드리턴값  : RRCRCM02S01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public RDMDLM01S01OutVO getRDMDLM01S03(RDMDLM01S01InVO inVo) throws Exception;

}
