package hanalife.r.dm.dl.service;

import hanalife.r.dm.dl.vo.RDMDLM02S01InVO;
import hanalife.r.dm.dl.vo.RDMDLM02S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RDMDLM02Service.java Class
 * 클래스설명   : 발송내역 (RDMDLM02) Service Interface
 * 작성일자     : 2023. 3. 21.
 * 작성자명     : 70321 / KimMinSeok / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 21.][70321 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : searchSdList : 발송내역목록조회
 *          updateDlvrDesc : 발송내역수정
 *          deleteDlvr : 발송내역삭제
 * </pre>
 */
public interface RDMDLM02Service {

	/**
	 * <p>메소드명      : searchSdList : 발송내역목록조회</p>
	 * <p>작성일자      : 2023. 3. 21.
	 * <p>작성자(author): 70321 / KimMinSeok
	 * <p>설명          : 발송내역목록을 조회 한다.</p>
	 * <p>메소드인수    : RDMDLM02S01InVo </p>
	 * <p>메소드리턴값  : RDMDLM02S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RDMDLM02S01OutVO searchSdList(RDMDLM02S01InVO inVo) throws Exception;
	/**
	 * <p>메소드명      : updateDlvrDesc - 발송내역수정</p>
	 * <p>작성일자      : 2023. 3. 21.
	 * <p>작성자(author): 70321 / KimMinSeok
	 * <p>설명          : 발송내역수정</p>
	 * <p>메소드인수    : RDMDLM02U01InVo </p>
	 * <p>메소드리턴값  : RDMDLM02U01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RDMDLM02S01OutVO updateDlvrDesc(RDMDLM02S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : deleteDlvr - 발송내역삭제</p>
	 * <p>작성일자      : 2023. 3. 21.
	 * <p>작성자(author): 70321 / KimMinSeok
	 * <p>설명          : 발송내역삭제</p>
	 * <p>메소드인수    : RDMDLM02D01InVo </p>
	 * <p>메소드리턴값  : RDMDLM02D01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RDMDLM02S01OutVO deleteDlvr(RDMDLM02S01InVO inVo) throws Exception;

}
