package hanalife.r.dm.dl.vo;

/**
 * <pre>
 * 클래스명    : RDMDLM01DSBNDVO.java Class
 * 클래스설명  : 발송관리 (RDMDLM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RDMDLM01DSBNDVO  {

	private String clsDt         = ""; /* 마감일자 */
	private String clsSnum       = ""; /* 마감일련번호 */
	private String cyclClsCd     = ""; /* 주기마감코드 */
	private String dueDt         = ""; /* 납입일자 */
	private String loanNo        = ""; /* 대출번호 */
	private String loanSeq       = ""; /* 대출순번 */
	private String prdtCd        = ""; /* 상품코드 */
	private String prdtMidClasCd = ""; /* 상품중분류코드 */
	private String prdtMidClasNm = ""; /* 상품중분류명 */
	private String rmbrFrmlNm    = ""; /* 상환방식명 */
	private String loanStatCd    = ""; /* 대출상태코드 */
	private String loanStatNm    = ""; /* 대출상태명 */
	private long loanPamt        = 0; /* 대출원금 */
	private long loanPamtRamt    = 0; /* 대출원금잔액 */
	private long loanInt         = 0; /* 대출이자 */
	private long loanIntRamt     = 0; /* 대출이자잔액 */
	private double loanIntRt     = 0; /* 대출이자율 */
	private int loanTerm         = 0;
	private String loanDt        = ""; /* 대출_일자   */
	private String eprtDt        = ""; /* 만기_일자 */
	private int dueCycl          = 0; /* 납입_주기 */
	private String fcntDueDt = ""; /* 초회_납입_일자 */
	private String endDt = ""; /* 종료_일자 */
	private double dfeeRt = 0; /* 연체료_율 */
	private int defrTerm = 0; /* 거치_기간 */
	private String defrStrtDt = ""; /* 거치_시작_일자 */
	private String defrEndDt = ""; /* 거치_종료_일자 */
	private String contMan = ""; /* 계약자 */
	private String contManNo = ""; /* 계약자_번호 */
	private String rlDueMan = ""; /* 살납입자명 */
	private String rlDueManNo = ""; /* 실납입자번호 */
	private String contManAddr1 = ""; /* 계약자_주소1 */
	private String contManAddr2 = ""; /* 계약자_주소2 */
	private String autoTranBankNm = ""; /* 자동이체_은행_명 */
	private String acntNo = ""; /* 계좌번호 */
	private String imgAcntBankNm = ""; /* 가상계좌_은행_명 */
	private String imgAcntNo = ""; /* 가상계좌번호 */
	private String mrtgSmClasNm = ""; /* 담보_소분류_명 */
	private String godsPlcAddr1 = ""; /* 물건지_주소1 */
	private String godsPlcAddr2 = ""; /* 물건지_주소2 */
	private double bldArea = 0; /* 건물_면적 */
	private String setDt = ""; /* 설정_일자 */
	private String gainDt = ""; /* 취득_일자 */
	private long askAmt = 0; /* 청구_금액 */
	private long askPamt = 0; /* 청구_원금 */
	private long askInt = 0; /* 청구_이자 */
	private long askDfee = 0; /* 청구_연체료 */
	private long normAmt = 0; /* 정상_금액 */
	private long normPamt = 0; /* 정상_원금 */
	private long normInt = 0; /* 정상_이자 */
	private int normTims = 0; /* 정상_회차 */
	private int totTims = 0; /*  총_회차 */
	private long dlyAmt = 0; /* 연체_금액 */
	private long dlyPamt = 0; /* 연체_원금 */
	private long dlyInt = 0; /* 연체이자 */
	private long dfee = 0; /* 연체료 */
	private int dlyTcnt = 0; /* 연체_횟수 */
	private int dlyStrtTims = 0; /* 연체_시작_회차 */
	private int dlyEndTims = 0; /* 연체_종료_회차 */
	private String dlyFg = "0"; /* 연체_여부 */
	private String lastSetlDt = ""; /* 최종_결제_일자 */
	private String frstSetlDt = ""; /* 최초_결제_일자 */
	private long dueAfPiamtRamt = 0; /* 납입_후_원리금_잔액 */
	private long anulSumAmt = 0; /* 연간_합계_금액 */
	private long incoDeduObjAmt = 0; /* 소득_공제_대상_금액 */
	private String occrDlyStrtDt = ""; /* 발생_연체_시작_일자 */
	private long occrDlyPamt = 0; /* 발생_연체_원금 */
	private long occrDlyInt = 0; /* 발생_연체_이자 */
	private int occrDlyDdcnt = 0; /* 발생_연체_일수 */
	private String occrLastSetlDt = ""; /* 발생_최종_결제_일자 */
	private String dsptMan = ""; /* 발신자 */
	private String dsptZipCd = ""; /* 발신_우편번호 */
	private String dsptAddr1 = ""; /* 발신_주소1 */
	private String dsptAddr2 = ""; /* 발신_주소2 */
	private String dsptEmal = ""; /* 발신_전자메일 */
	private String recvMan = ""; /* 수신자 */
	private String recvZipCd = ""; /* 수신_우편번호 */
	private String recvAddr1 = ""; /* 수신_주소1 */
	private String recvAddr2 = ""; /* 수신_주소2 */
	private String recvEmal = ""; /* 수신_전자메일 */
	private String deptNm = ""; /* 부서_명 */
	private String deptZipCd = ""; /* 부서_우편번호 */
	private String deptAddr1 = ""; /* 부서_주소1 */
	private String deptAddr2 = ""; /* 부서_주소2 */
	private String deptTel1 = ""; /* 부서_전화1 */
	private String deptTel2 = ""; /* 부서_전화2 */
	private String deptTel3 = ""; /* 부서_전화3 */
	private String deptFax1 = ""; /* 부서_팩스1 */
	private String deptFax2 = ""; /* 부서_팩스2 */
	private String deptFax3 = ""; /* 부서_팩스3 */
	private String repr = ""; /* 대표자 */
	private String reprZipCd = ""; /* 대표_우편번호 */
	private String reprAddr1 = ""; /* 대표_주소1 */
	private String reprAddr2 = ""; /* 대표_주소2 */
	private String reprTel1 = ""; /* 대표_전화1 */
	private String reprTel2 = ""; /* 대표_전화2 */
	private String reprTel3 = ""; /* 대표_전화3 */
	private String reprUrl = ""; /* 대표_URL */
	private String dlvrDt = ""; /* 발송_일자 */
	private String dlvrStatCd = ""; /* 발송_상태_코드 */
	private String godsNm = ""; /* 상품_중분류_명 */
	private int godsQty = 0; /* 물품수량 */
	private long tamtRmbrPamt = 0;   /* 전액중도상환원금 */
	private long totMidRmbrInt = 0;  /* 전액상환이자 */
	private long tamtRmbrFee = 0;   /* 전액상환수수료 */
	private long leglActnCostRamt = 0; /* 법조치비용잔액 */
	private long trtFee = 0;      /* 취급수수료 */
	private long trtFeeRamt = 0;   /* 취급수수료잔액 */
	private long askTrtFee = 0;   /* 청구취급수수료 */
	private long normTrtFee = 0;   /* 정상취급수수료 */
	private long dlyTrtFee = 0;   /* 연체취급수수료 */
	private long mmTrtFee = 0;    /* 월_취급수수료 */
	private String deptOffcTelNo1 = ""; /* 부서사무실전화번호1 */
	private String deptOffcTelNo2 = ""; /* 부서사무실전화번호2 */
	private String deptOffcTelNo3 = ""; /* 부서사무실전화번호3 */
	private long stmpFee = 0;	/*  인지세 */
	private long carsSetAmt = 0;	/*  자동차설정금액 */
	private String traceId         = ""; /* 추적ID */
	private String jsonEncryptData = ""; /* 암호화데이터 */
	private String authNo = ""; /* 권한번호 */

	public String getClsDt() {
		return clsDt;
	}
	public void setClsDt(String clsDt) {
		this.clsDt = clsDt;
	}
	public String getClsSnum() {
		return clsSnum;
	}
	public void setClsSnum(String clsSnum) {
		this.clsSnum = clsSnum;
	}
	public String getCyclClsCd() {
		return cyclClsCd;
	}
	public void setCyclClsCd(String cyclClsCd) {
		this.cyclClsCd = cyclClsCd;
	}
	public String getDueDt() {
		return dueDt;
	}
	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}
	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getPrdtCd() {
		return prdtCd;
	}
	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}
	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}
	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}
	public String getPrdtMidClasNm() {
		return prdtMidClasNm;
	}
	public void setPrdtMidClasNm(String prdtMidClasNm) {
		this.prdtMidClasNm = prdtMidClasNm;
	}
	public String getRmbrFrmlNm() {
		return rmbrFrmlNm;
	}
	public void setRmbrFrmlNm(String rmbrFrmlNm) {
		this.rmbrFrmlNm = rmbrFrmlNm;
	}
	public String getLoanStatCd() {
		return loanStatCd;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}
	public String getLoanStatNm() {
		return loanStatNm;
	}
	public void setLoanStatNm(String loanStatNm) {
		this.loanStatNm = loanStatNm;
	}
	public long getLoanPamt() {
		return loanPamt;
	}
	public void setLoanPamt(long loanPamt) {
		this.loanPamt = loanPamt;
	}
	public long getLoanPamtRamt() {
		return loanPamtRamt;
	}
	public void setLoanPamtRamt(long loanPamtRamt) {
		this.loanPamtRamt = loanPamtRamt;
	}
	public long getLoanInt() {
		return loanInt;
	}
	public void setLoanInt(long loanInt) {
		this.loanInt = loanInt;
	}
	public long getLoanIntRamt() {
		return loanIntRamt;
	}
	public void setLoanIntRamt(long loanIntRamt) {
		this.loanIntRamt = loanIntRamt;
	}
	public double getLoanIntRt() {
		return loanIntRt;
	}
	public void setLoanIntRt(double loanIntRt) {
		this.loanIntRt = loanIntRt;
	}
	public int getLoanTerm() {
		return loanTerm;
	}
	public void setLoanTerm(int loanTerm) {
		this.loanTerm = loanTerm;
	}
	public String getLoanDt() {
		return loanDt;
	}
	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}
	public String getEprtDt() {
		return eprtDt;
	}
	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}
	public int getDueCycl() {
		return dueCycl;
	}
	public void setDueCycl(int dueCycl) {
		this.dueCycl = dueCycl;
	}
	public String getFcntDueDt() {
		return fcntDueDt;
	}
	public void setFcntDueDt(String fcntDueDt) {
		this.fcntDueDt = fcntDueDt;
	}
	public String getEndDt() {
		return endDt;
	}
	public void setEndDt(String endDt) {
		this.endDt = endDt;
	}
	public double getDfeeRt() {
		return dfeeRt;
	}
	public void setDfeeRt(double dfeeRt) {
		this.dfeeRt = dfeeRt;
	}
	public int getDefrTerm() {
		return defrTerm;
	}
	public void setDefrTerm(int defrTerm) {
		this.defrTerm = defrTerm;
	}
	public String getDefrStrtDt() {
		return defrStrtDt;
	}
	public void setDefrStrtDt(String defrStrtDt) {
		this.defrStrtDt = defrStrtDt;
	}
	public String getDefrEndDt() {
		return defrEndDt;
	}
	public void setDefrEndDt(String defrEndDt) {
		this.defrEndDt = defrEndDt;
	}
	public String getContMan() {
		return contMan;
	}
	public void setContMan(String contMan) {
		this.contMan = contMan;
	}
	public String getContManNo() {
		return contManNo;
	}
	public void setContManNo(String contManNo) {
		this.contManNo = contManNo;
	}
	public String getRlDueMan() {
		return rlDueMan;
	}
	public void setRlDueMan(String rlDueMan) {
		this.rlDueMan = rlDueMan;
	}
	public String getRlDueManNo() {
		return rlDueManNo;
	}
	public void setRlDueManNo(String rlDueManNo) {
		this.rlDueManNo = rlDueManNo;
	}
	public String getContManAddr1() {
		return contManAddr1;
	}
	public void setContManAddr1(String contManAddr1) {
		this.contManAddr1 = contManAddr1;
	}
	public String getContManAddr2() {
		return contManAddr2;
	}
	public void setContManAddr2(String contManAddr2) {
		this.contManAddr2 = contManAddr2;
	}
	public String getAutoTranBankNm() {
		return autoTranBankNm;
	}
	public void setAutoTranBankNm(String autoTranBankNm) {
		this.autoTranBankNm = autoTranBankNm;
	}
	public String getAcntNo() {
		return acntNo;
	}
	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}
	public String getImgAcntBankNm() {
		return imgAcntBankNm;
	}
	public void setImgAcntBankNm(String imgAcntBankNm) {
		this.imgAcntBankNm = imgAcntBankNm;
	}
	public String getImgAcntNo() {
		return imgAcntNo;
	}
	public void setImgAcntNo(String imgAcntNo) {
		this.imgAcntNo = imgAcntNo;
	}
	public String getMrtgSmClasNm() {
		return mrtgSmClasNm;
	}
	public void setMrtgSmClasNm(String mrtgSmClasNm) {
		this.mrtgSmClasNm = mrtgSmClasNm;
	}
	public String getGodsPlcAddr1() {
		return godsPlcAddr1;
	}
	public void setGodsPlcAddr1(String godsPlcAddr1) {
		this.godsPlcAddr1 = godsPlcAddr1;
	}
	public String getGodsPlcAddr2() {
		return godsPlcAddr2;
	}
	public void setGodsPlcAddr2(String godsPlcAddr2) {
		this.godsPlcAddr2 = godsPlcAddr2;
	}
	public double getBldArea() {
		return bldArea;
	}
	public void setBldArea(double bldArea) {
		this.bldArea = bldArea;
	}
	public String getSetDt() {
		return setDt;
	}
	public void setSetDt(String setDt) {
		this.setDt = setDt;
	}
	public String getGainDt() {
		return gainDt;
	}
	public void setGainDt(String gainDt) {
		this.gainDt = gainDt;
	}
	public long getAskAmt() {
		return askAmt;
	}
	public void setAskAmt(long askAmt) {
		this.askAmt = askAmt;
	}
	public long getAskPamt() {
		return askPamt;
	}
	public void setAskPamt(long askPamt) {
		this.askPamt = askPamt;
	}
	public long getAskInt() {
		return askInt;
	}
	public void setAskInt(long askInt) {
		this.askInt = askInt;
	}
	public long getAskDfee() {
		return askDfee;
	}
	public void setAskDfee(long askDfee) {
		this.askDfee = askDfee;
	}
	public long getNormAmt() {
		return normAmt;
	}
	public void setNormAmt(long normAmt) {
		this.normAmt = normAmt;
	}
	public long getNormPamt() {
		return normPamt;
	}
	public void setNormPamt(long normPamt) {
		this.normPamt = normPamt;
	}
	public long getNormInt() {
		return normInt;
	}
	public void setNormInt(long normInt) {
		this.normInt = normInt;
	}
	public int getNormTims() {
		return normTims;
	}
	public void setNormTims(int normTims) {
		this.normTims = normTims;
	}
	public int getTotTims() {
		return totTims;
	}
	public void setTotTims(int totTims) {
		this.totTims = totTims;
	}
	public long getDlyAmt() {
		return dlyAmt;
	}
	public void setDlyAmt(long dlyAmt) {
		this.dlyAmt = dlyAmt;
	}
	public long getDlyPamt() {
		return dlyPamt;
	}
	public void setDlyPamt(long dlyPamt) {
		this.dlyPamt = dlyPamt;
	}
	public long getDlyInt() {
		return dlyInt;
	}
	public void setDlyInt(long dlyInt) {
		this.dlyInt = dlyInt;
	}
	public long getDfee() {
		return dfee;
	}
	public void setDfee(long dfee) {
		this.dfee = dfee;
	}
	public int getDlyTcnt() {
		return dlyTcnt;
	}
	public void setDlyTcnt(int dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public int getDlyStrtTims() {
		return dlyStrtTims;
	}
	public void setDlyStrtTims(int dlyStrtTims) {
		this.dlyStrtTims = dlyStrtTims;
	}
	public int getDlyEndTims() {
		return dlyEndTims;
	}
	public void setDlyEndTims(int dlyEndTims) {
		this.dlyEndTims = dlyEndTims;
	}
	public String getDlyFg() {
		return dlyFg;
	}
	public void setDlyFg(String dlyFg) {
		this.dlyFg = dlyFg;
	}
	public String getLastSetlDt() {
		return lastSetlDt;
	}
	public void setLastSetlDt(String lastSetlDt) {
		this.lastSetlDt = lastSetlDt;
	}
	public String getFrstSetlDt() {
		return frstSetlDt;
	}
	public void setFrstSetlDt(String frstSetlDt) {
		this.frstSetlDt = frstSetlDt;
	}
	public long getDueAfPiamtRamt() {
		return dueAfPiamtRamt;
	}
	public void setDueAfPiamtRamt(long dueAfPiamtRamt) {
		this.dueAfPiamtRamt = dueAfPiamtRamt;
	}
	public long getAnulSumAmt() {
		return anulSumAmt;
	}
	public void setAnulSumAmt(long anulSumAmt) {
		this.anulSumAmt = anulSumAmt;
	}
	public long getIncoDeduObjAmt() {
		return incoDeduObjAmt;
	}
	public void setIncoDeduObjAmt(long incoDeduObjAmt) {
		this.incoDeduObjAmt = incoDeduObjAmt;
	}
	public String getOccrDlyStrtDt() {
		return occrDlyStrtDt;
	}
	public void setOccrDlyStrtDt(String occrDlyStrtDt) {
		this.occrDlyStrtDt = occrDlyStrtDt;
	}
	public long getOccrDlyPamt() {
		return occrDlyPamt;
	}
	public void setOccrDlyPamt(long occrDlyPamt) {
		this.occrDlyPamt = occrDlyPamt;
	}
	public long getOccrDlyInt() {
		return occrDlyInt;
	}
	public void setOccrDlyInt(long occrDlyInt) {
		this.occrDlyInt = occrDlyInt;
	}
	public int getOccrDlyDdcnt() {
		return occrDlyDdcnt;
	}
	public void setOccrDlyDdcnt(int occrDlyDdcnt) {
		this.occrDlyDdcnt = occrDlyDdcnt;
	}
	public String getOccrLastSetlDt() {
		return occrLastSetlDt;
	}
	public void setOccrLastSetlDt(String occrLastSetlDt) {
		this.occrLastSetlDt = occrLastSetlDt;
	}
	public String getDsptMan() {
		return dsptMan;
	}
	public void setDsptMan(String dsptMan) {
		this.dsptMan = dsptMan;
	}
	public String getDsptZipCd() {
		return dsptZipCd;
	}
	public void setDsptZipCd(String dsptZipCd) {
		this.dsptZipCd = dsptZipCd;
	}
	public String getDsptAddr1() {
		return dsptAddr1;
	}
	public void setDsptAddr1(String dsptAddr1) {
		this.dsptAddr1 = dsptAddr1;
	}
	public String getDsptAddr2() {
		return dsptAddr2;
	}
	public void setDsptAddr2(String dsptAddr2) {
		this.dsptAddr2 = dsptAddr2;
	}
	public String getDsptEmal() {
		return dsptEmal;
	}
	public void setDsptEmal(String dsptEmal) {
		this.dsptEmal = dsptEmal;
	}
	public String getRecvMan() {
		return recvMan;
	}
	public void setRecvMan(String recvMan) {
		this.recvMan = recvMan;
	}
	public String getRecvZipCd() {
		return recvZipCd;
	}
	public void setRecvZipCd(String recvZipCd) {
		this.recvZipCd = recvZipCd;
	}
	public String getRecvAddr1() {
		return recvAddr1;
	}
	public void setRecvAddr1(String recvAddr1) {
		this.recvAddr1 = recvAddr1;
	}
	public String getRecvAddr2() {
		return recvAddr2;
	}
	public void setRecvAddr2(String recvAddr2) {
		this.recvAddr2 = recvAddr2;
	}
	public String getRecvEmal() {
		return recvEmal;
	}
	public void setRecvEmal(String recvEmal) {
		this.recvEmal = recvEmal;
	}
	public String getDeptNm() {
		return deptNm;
	}
	public void setDeptNm(String deptNm) {
		this.deptNm = deptNm;
	}
	public String getDeptZipCd() {
		return deptZipCd;
	}
	public void setDeptZipCd(String deptZipCd) {
		this.deptZipCd = deptZipCd;
	}
	public String getDeptAddr1() {
		return deptAddr1;
	}
	public void setDeptAddr1(String deptAddr1) {
		this.deptAddr1 = deptAddr1;
	}
	public String getDeptAddr2() {
		return deptAddr2;
	}
	public void setDeptAddr2(String deptAddr2) {
		this.deptAddr2 = deptAddr2;
	}
	public String getDeptTel1() {
		return deptTel1;
	}
	public void setDeptTel1(String deptTel1) {
		this.deptTel1 = deptTel1;
	}
	public String getDeptTel2() {
		return deptTel2;
	}
	public void setDeptTel2(String deptTel2) {
		this.deptTel2 = deptTel2;
	}
	public String getDeptTel3() {
		return deptTel3;
	}
	public void setDeptTel3(String deptTel3) {
		this.deptTel3 = deptTel3;
	}
	public String getDeptFax1() {
		return deptFax1;
	}
	public void setDeptFax1(String deptFax1) {
		this.deptFax1 = deptFax1;
	}
	public String getDeptFax2() {
		return deptFax2;
	}
	public void setDeptFax2(String deptFax2) {
		this.deptFax2 = deptFax2;
	}
	public String getDeptFax3() {
		return deptFax3;
	}
	public void setDeptFax3(String deptFax3) {
		this.deptFax3 = deptFax3;
	}
	public String getRepr() {
		return repr;
	}
	public void setRepr(String repr) {
		this.repr = repr;
	}
	public String getReprZipCd() {
		return reprZipCd;
	}
	public void setReprZipCd(String reprZipCd) {
		this.reprZipCd = reprZipCd;
	}
	public String getReprAddr1() {
		return reprAddr1;
	}
	public void setReprAddr1(String reprAddr1) {
		this.reprAddr1 = reprAddr1;
	}
	public String getReprAddr2() {
		return reprAddr2;
	}
	public void setReprAddr2(String reprAddr2) {
		this.reprAddr2 = reprAddr2;
	}
	public String getReprTel1() {
		return reprTel1;
	}
	public void setReprTel1(String reprTel1) {
		this.reprTel1 = reprTel1;
	}
	public String getReprTel2() {
		return reprTel2;
	}
	public void setReprTel2(String reprTel2) {
		this.reprTel2 = reprTel2;
	}
	public String getReprTel3() {
		return reprTel3;
	}
	public void setReprTel3(String reprTel3) {
		this.reprTel3 = reprTel3;
	}
	public String getReprUrl() {
		return reprUrl;
	}
	public void setReprUrl(String reprUrl) {
		this.reprUrl = reprUrl;
	}
	public String getDlvrDt() {
		return dlvrDt;
	}
	public void setDlvrDt(String dlvrDt) {
		this.dlvrDt = dlvrDt;
	}
	public String getDlvrStatCd() {
		return dlvrStatCd;
	}
	public void setDlvrStatCd(String dlvrStatCd) {
		this.dlvrStatCd = dlvrStatCd;
	}
	public String getGodsNm() {
		return godsNm;
	}
	public void setGodsNm(String godsNm) {
		this.godsNm = godsNm;
	}
	public int getGodsQty() {
		return godsQty;
	}
	public void setGodsQty(int godsQty) {
		this.godsQty = godsQty;
	}
	public long getTamtRmbrPamt() {
		return tamtRmbrPamt;
	}
	public void setTamtRmbrPamt(long tamtRmbrPamt) {
		this.tamtRmbrPamt = tamtRmbrPamt;
	}
	public long getTotMidRmbrInt() {
		return totMidRmbrInt;
	}
	public void setTotMidRmbrInt(long totMidRmbrInt) {
		this.totMidRmbrInt = totMidRmbrInt;
	}
	public long getTamtRmbrFee() {
		return tamtRmbrFee;
	}
	public void setTamtRmbrFee(long tamtRmbrFee) {
		this.tamtRmbrFee = tamtRmbrFee;
	}
	public long getLeglActnCostRamt() {
		return leglActnCostRamt;
	}
	public void setLeglActnCostRamt(long leglActnCostRamt) {
		this.leglActnCostRamt = leglActnCostRamt;
	}
	public long getTrtFee() {
		return trtFee;
	}
	public void setTrtFee(long trtFee) {
		this.trtFee = trtFee;
	}
	public long getTrtFeeRamt() {
		return trtFeeRamt;
	}
	public void setTrtFeeRamt(long trtFeeRamt) {
		this.trtFeeRamt = trtFeeRamt;
	}
	public long getAskTrtFee() {
		return askTrtFee;
	}
	public void setAskTrtFee(long askTrtFee) {
		this.askTrtFee = askTrtFee;
	}
	public long getNormTrtFee() {
		return normTrtFee;
	}
	public void setNormTrtFee(long normTrtFee) {
		this.normTrtFee = normTrtFee;
	}
	public long getDlyTrtFee() {
		return dlyTrtFee;
	}
	public void setDlyTrtFee(long dlyTrtFee) {
		this.dlyTrtFee = dlyTrtFee;
	}
	public long getMmTrtFee() {
		return mmTrtFee;
	}
	public void setMmTrtFee(long mmTrtFee) {
		this.mmTrtFee = mmTrtFee;
	}
	public String getDeptOffcTelNo1() {
		return deptOffcTelNo1;
	}
	public void setDeptOffcTelNo1(String deptOffcTelNo1) {
		this.deptOffcTelNo1 = deptOffcTelNo1;
	}
	public String getDeptOffcTelNo2() {
		return deptOffcTelNo2;
	}
	public void setDeptOffcTelNo2(String deptOffcTelNo2) {
		this.deptOffcTelNo2 = deptOffcTelNo2;
	}
	public String getDeptOffcTelNo3() {
		return deptOffcTelNo3;
	}
	public void setDeptOffcTelNo3(String deptOffcTelNo3) {
		this.deptOffcTelNo3 = deptOffcTelNo3;
	}
	public long getStmpFee() {
		return stmpFee;
	}
	public void setStmpFee(long stmpFee) {
		this.stmpFee = stmpFee;
	}
	public long getCarsSetAmt() {
		return carsSetAmt;
	}
	public void setCarsSetAmt(long carsSetAmt) {
		this.carsSetAmt = carsSetAmt;
	}
	public String getTraceId() {
		return traceId;
	}
	public void setTraceId(String traceId) {
		this.traceId = traceId;
	}
	public String getJsonEncryptData() {
		return jsonEncryptData;
	}
	public void setJsonEncryptData(String jsonEncryptData) {
		this.jsonEncryptData = jsonEncryptData;
	}
	public String getAuthNo() {
		return authNo;
	}
	public void setAuthNo(String authNo) {
		this.authNo = authNo;
	}

}
