package hanalife.r.dm.dl.vo;

import java.util.ArrayList;
import java.util.List;

/**
 * <pre>
 * 클래스명    : RDMDLM01DSDLVROBJVO.java Class
 * 클래스설명  : 발송관리 (RDMDLM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RDMDLM01DSDLVROBJVO  {

	private String loanNo       = ""; /* 대출번호 */
	private String loanSeq      = ""; /* 대출순번 */
	private String stndDt       = ""; /* 기준일자 */
	private String dlvrThngCd   = ""; /* 발송물종류코드 */
	private String deptCd       = ""; /* 부서코드 */
	private String empNo        = ""; /* 사번 */
	private String contManNo    = ""; /* 계약자번호 */
	private String recvManNo    = ""; /* 수신자번호 */
	private String recvManRelCd = ""; /* 수신자관계코드 */
	private String askPlcDivCd  = ""; /* 청구지구분코드 */
	private String preDlvrFg    = ""; /* 기발송여부 */
	private String rsltCd       = "0000"; /* 결과코드 */
	private String rsltCntn     = ""; /* 결과내용 */

    private RDMDLM01DSBNDVO dsDlvrBndVO = new RDMDLM01DSBNDVO();
    private List<RDMDLM01DSMRTGVO> mrtgDescList = new ArrayList<RDMDLM01DSMRTGVO>();
    private List<RDMDLM01DSTIMSVO> timsDescList = new ArrayList<RDMDLM01DSTIMSVO>();

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getStndDt() {
		return stndDt;
	}
	public void setStndDt(String stndDt) {
		this.stndDt = stndDt;
	}
	public String getDlvrThngCd() {
		return dlvrThngCd;
	}
	public void setDlvrThngCd(String dlvrThngCd) {
		this.dlvrThngCd = dlvrThngCd;
	}
	public String getDeptCd() {
		return deptCd;
	}
	public void setDeptCd(String deptCd) {
		this.deptCd = deptCd;
	}
	public String getEmpNo() {
		return empNo;
	}
	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}
	public String getContManNo() {
		return contManNo;
	}
	public void setContManNo(String contManNo) {
		this.contManNo = contManNo;
	}
	public String getRecvManNo() {
		return recvManNo;
	}
	public void setRecvManNo(String recvManNo) {
		this.recvManNo = recvManNo;
	}
	public String getRecvManRelCd() {
		return recvManRelCd;
	}
	public void setRecvManRelCd(String recvManRelCd) {
		this.recvManRelCd = recvManRelCd;
	}
	public String getAskPlcDivCd() {
		return askPlcDivCd;
	}
	public void setAskPlcDivCd(String askPlcDivCd) {
		this.askPlcDivCd = askPlcDivCd;
	}
	public String getPreDlvrFg() {
		return preDlvrFg;
	}
	public void setPreDlvrFg(String preDlvrFg) {
		this.preDlvrFg = preDlvrFg;
	}
	public String getRsltCd() {
		return rsltCd;
	}
	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}
	public String getRsltCntn() {
		return rsltCntn;
	}
	public void setRsltCntn(String rsltCntn) {
		this.rsltCntn = rsltCntn;
	}

	public RDMDLM01DSBNDVO getDsDlvrBndVO() {
		return dsDlvrBndVO;
	}
	public void setDsDlvrBndVO(RDMDLM01DSBNDVO dsDlvrBndVO) {
		this.dsDlvrBndVO = dsDlvrBndVO;
	}
	public List getMrtgDescList() {
		return mrtgDescList;
	}
	public void setMrtgDescList(List mrtgDescList) {
		this.mrtgDescList = mrtgDescList;
	}
	public List getTimsDescList() {
		return timsDescList;
	}
	public void setTimsDescList(List timsDescList) {
		this.timsDescList = timsDescList;
	}
}
