package hanalife.r.dm.dl.vo;

/**
 * <pre>
 * 클래스명    : RDMDLM01DSSDDO01VO.java Class
 * 클래스설명  : 발송관리 대출내역조회 (RDMDLM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 09.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 09.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class RDMDLM01DSSDDO01VO {

	private String loanNo         = ""; /* 대출번호 */
	private String loanSeq        = ""; /* 대출순번 */
	private String contManNo      = ""; /* 계약자번호 */
	private String custNm         = ""; /* 계약자명 */
	private String loanStatCd     = ""; /* 대출상태코드 */
	private String loanStatNm     = ""; /* 대출상태명 */
	private String bndStatNm      = ""; /* 채권상태코드 */
	private String setlDd         = ""; /* 결제일 */
	private String rlDueManNo     = ""; /* 실납입자번호 */
	private String dlvrMan        = ""; /* 실납입자 */
	private String loanRelCd      = ""; /* 대출관계자코드 */
	private String dlvrRel        = ""; /* 대출관계 */
	private String dlvrAddr       = ""; /* 주소 */
	private String dlvrAddrSpec   = ""; /* 주소상세 */
	private String dueDt          = ""; /* 납입일자 */
	private String askAmt         = ""; /* 당월금액 */
	private String dlyAmt         = ""; /* 연체금액 */
	private String dlyTcnt        = ""; /* 연체총일수 */
	private String dlyDdcnt       = ""; /* 연체일수 */
	private String setlDt         = ""; /* 결제일자 */
	private String mngDeptCd      = ""; /* 관리부서코드 */
	private String mngDeptNm      = ""; /* 관리부서명 */
	private String prdtLrgeClasCd = ""; /* 상품대분류코드 */
	private String contManNoTran  = ""; /* 계약자번호 */
	private String rlDueManNoTran = ""; /* 실납입자번호 */
	private String trtFeeIstpFg   = ""; /* 취급거래수수료분납여부 */
	private String newSoluPrdtFg  = ""; /* 신규상품여부 */
	private String clasNm         = ""; /* 분류명 */
	private String prdtNm         = ""; /* 상품명 */
	private String ivltClosStndDt = ""; /* 강제해지기준일 */
	private String dlyCnt         = ""; /* 연체일수 */
	private String tamtRmbrObjAmt = ""; /* 전액상환가능금액 */
	private String loanDt         = ""; /* 대출일자 */

	public String getLoanNo() {
		return loanNo;
	}
	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}
	public String getLoanSeq() {
		return loanSeq;
	}
	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}
	public String getContManNo() {
		return contManNo;
	}
	public void setContManNo(String contManNo) {
		this.contManNo = contManNo;
	}
	public String getCustNm() {
		return custNm;
	}
	public void setCustNm(String custNm) {
		this.custNm = custNm;
	}
	public String getLoanStatCd() {
		return loanStatCd;
	}
	public void setLoanStatCd(String loanStatCd) {
		this.loanStatCd = loanStatCd;
	}
	public String getLoanStatNm() {
		return loanStatNm;
	}
	public void setLoanStatNm(String loanStatNm) {
		this.loanStatNm = loanStatNm;
	}
	public String getBndStatNm() {
		return bndStatNm;
	}
	public void setBndStatNm(String bndStatNm) {
		this.bndStatNm = bndStatNm;
	}
	public String getSetlDd() {
		return setlDd;
	}
	public void setSetlDd(String setlDd) {
		this.setlDd = setlDd;
	}
	public String getRlDueManNo() {
		return rlDueManNo;
	}
	public void setRlDueManNo(String rlDueManNo) {
		this.rlDueManNo = rlDueManNo;
	}
	public String getDlvrMan() {
		return dlvrMan;
	}
	public void setDlvrMan(String dlvrMan) {
		this.dlvrMan = dlvrMan;
	}
	public String getLoanRelCd() {
		return loanRelCd;
	}
	public void setLoanRelCd(String loanRelCd) {
		this.loanRelCd = loanRelCd;
	}
	public String getDlvrRel() {
		return dlvrRel;
	}
	public void setDlvrRel(String dlvrRel) {
		this.dlvrRel = dlvrRel;
	}
	public String getDlvrAddr() {
		return dlvrAddr;
	}
	public void setDlvrAddr(String dlvrAddr) {
		this.dlvrAddr = dlvrAddr;
	}
	public String getDlvrAddrSpec() {
		return dlvrAddrSpec;
	}
	public void setDlvrAddrSpec(String dlvrAddrSpec) {
		this.dlvrAddrSpec = dlvrAddrSpec;
	}
	public String getDueDt() {
		return dueDt;
	}
	public void setDueDt(String dueDt) {
		this.dueDt = dueDt;
	}
	public String getAskAmt() {
		return askAmt;
	}
	public void setAskAmt(String askAmt) {
		this.askAmt = askAmt;
	}
	public String getDlyAmt() {
		return dlyAmt;
	}
	public void setDlyAmt(String dlyAmt) {
		this.dlyAmt = dlyAmt;
	}
	public String getDlyTcnt() {
		return dlyTcnt;
	}
	public void setDlyTcnt(String dlyTcnt) {
		this.dlyTcnt = dlyTcnt;
	}
	public String getDlyDdcnt() {
		return dlyDdcnt;
	}
	public void setDlyDdcnt(String dlyDdcnt) {
		this.dlyDdcnt = dlyDdcnt;
	}
	public String getSetlDt() {
		return setlDt;
	}
	public void setSetlDt(String setlDt) {
		this.setlDt = setlDt;
	}
	public String getMngDeptCd() {
		return mngDeptCd;
	}
	public void setMngDeptCd(String mngDeptCd) {
		this.mngDeptCd = mngDeptCd;
	}
	public String getMngDeptNm() {
		return mngDeptNm;
	}
	public void setMngDeptNm(String mngDeptNm) {
		this.mngDeptNm = mngDeptNm;
	}
	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}
	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}
	public String getContManNoTran() {
		return contManNoTran;
	}
	public void setContManNoTran(String contManNoTran) {
		this.contManNoTran = contManNoTran;
	}
	public String getRlDueManNoTran() {
		return rlDueManNoTran;
	}
	public void setRlDueManNoTran(String rlDueManNoTran) {
		this.rlDueManNoTran = rlDueManNoTran;
	}
	public String getTrtFeeIstpFg() {
		return trtFeeIstpFg;
	}
	public void setTrtFeeIstpFg(String trtFeeIstpFg) {
		this.trtFeeIstpFg = trtFeeIstpFg;
	}
	public String getNewSoluPrdtFg() {
		return newSoluPrdtFg;
	}
	public void setNewSoluPrdtFg(String newSoluPrdtFg) {
		this.newSoluPrdtFg = newSoluPrdtFg;
	}
	public String getClasNm() {
		return clasNm;
	}
	public void setClasNm(String clasNm) {
		this.clasNm = clasNm;
	}
	public String getPrdtNm() {
		return prdtNm;
	}
	public void setPrdtNm(String prdtNm) {
		this.prdtNm = prdtNm;
	}
	public String getIvltClosStndDt() {
		return ivltClosStndDt;
	}
	public void setIvltClosStndDt(String ivltClosStndDt) {
		this.ivltClosStndDt = ivltClosStndDt;
	}
	public String getDlyCnt() {
		return dlyCnt;
	}
	public void setDlyCnt(String dlyCnt) {
		this.dlyCnt = dlyCnt;
	}
	public String getTamtRmbrObjAmt() {
		return tamtRmbrObjAmt;
	}
	public void setTamtRmbrObjAmt(String tamtRmbrObjAmt) {
		this.tamtRmbrObjAmt = tamtRmbrObjAmt;
	}
	public String getLoanDt() {
		return loanDt;
	}
	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}

}
