package hanalife.r.rc.mn.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.rc.mn.mapper.dto.CprtContMngMdulObjDTO;

@Mapper("CprtContMngMdulMapper")
public interface CprtContMngMdulMapper {

    /**
     * <pre>
     * 메소드명      : searchLoanPrdtCdSQL
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70322 / sungjin.park
     * 설명          : 대출 상품 조회
     * 메소드인수1   : CprtContMngMdulObjDTO 입력
     * 메소드리턴값  : List<CprtContMngMdulObjDTO> 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<CprtContMngMdulObjDTO> searchLoanPrdtCdSQL(CprtContMngMdulObjDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : searchLoanCprtBranSQL
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70322 / sungjin.park
     * 설명          : 대출 제휴점 조회
     * 메소드인수1   : CprtContMngMdulObjDTO 입력
     * 메소드리턴값  : List<CprtContMngMdulObjDTO> 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<CprtContMngMdulObjDTO> searchLoanCprtBranSQL(CprtContMngMdulObjDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : searchCprtLimSQL
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70322 / sungjin.park
     * 설명          : 제휴약정 조회
     * 메소드인수1   : CprtContMngMdulObjDTO 입력
     * 메소드리턴값  : List<CprtContMngMdulObjDTO> 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<CprtContMngMdulObjDTO> searchCprtLimSQL(CprtContMngMdulObjDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : searchCprtLimSQL
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70322 / sungjin.park
     * 설명          : 대출 제휴점 조회
     * 메소드인수1   : CprtContMngMdulObjDTO 입력
     * 메소드리턴값  : List<CprtContMngMdulObjDTO> 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<CprtContMngMdulObjDTO> searchRegLdgrSQL(CprtContMngMdulObjDTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : searchLoanAprvDt
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70322 / sungjin.park
     * 설명          : 대출 승인일 조회
     * 메소드인수1   : CprtContMngMdulObjDTO 입력
     * 메소드리턴값  : List<CprtContMngMdulObjDTO> 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<CprtContMngMdulObjDTO> searchLoanAprvDtSQL(CprtContMngMdulObjDTO inDto) throws Exception;

	/**
     * <pre>
     * 메소드명      : searchMaxSnumSQL
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70322 / sungjin.park
     * 설명          : 한도증감이력 MAX Snum 조회
     * 메소드인수1   : CprtContMngMdulObjDTO 입력
     * 메소드리턴값  : List<CprtContMngMdulObjDTO> 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<CprtContMngMdulObjDTO> searchMaxSnumSQL(CprtContMngMdulObjDTO i01Dto) throws Exception;

	/**
     * <pre>
     * 메소드명      : updateCprtLimSQL
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70322 / sungjin.park
     * 설명          : 제휴한도 수정
     * 메소드인수1   : CprtContMngMdulObjDTO
     * 메소드리턴값  : int
     * 예외처리      : Exception
     * </pre>
     */
	public int updateCprtLimSQL(CprtContMngMdulObjDTO i01Dto) throws Exception;

	/**
     * <pre>
     * 메소드명      : insertCprtLimChngSQL
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70322 / sungjin.park
     * 설명          : 한도증감이력 등록
     * 메소드인수1   : CprtContMngMdulObjDTO 입력
     * 메소드리턴값  : int 출력
     * 예외처리      : Exception
     * </pre>
     */
	public int insertCprtLimChngSQL(CprtContMngMdulObjDTO i01Dto) throws Exception;

	/**
     * <pre>
     * 메소드명      : searchPrdtCdSQL
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70322 / sungjin.park
     * 설명          : 대출상품 코드 조회
     * 메소드인수1   : CprtContMngMdulObjDTO 입력
     * 메소드리턴값  : List<CprtContMngMdulObjDTO> 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<CprtContMngMdulObjDTO> searchPrdtCdSQL(CprtContMngMdulObjDTO i01Dto) throws Exception;

}
