package hanalife.r.rc.mn.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.RtRcptDsrcBaseDTO;
import hanalife.r.rc.mn.mapper.dto.ProcPreRcptCnclINDTO;
import hanalife.r.rc.mn.mapper.dto.ProcPreRcptCnclOUTDTO;

/**
 * <pre>
 * 클래스명    : AskUnrcvProcMapper.java
 * 클래스설명  : 청구미수계산 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 4. 13.
 * 작성자명    : 70279
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 13.][70279 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
@Mapper("RcptMidRmbrProcMapper")
public interface RcptMidRmbrProcMapper {

	 /**
     * <pre>
     * 메소드명      : procDsrcRamtCheck
     * 설명         : 화면에서 넘어온 예가수들의 잔액이 현재 일치하는지 여부 체크
	 * @param  inDTO
	 * @return outDTO
	 * @exception Exception
     * </pre>
     */
    public RtRcptDsrcBaseDTO procDsrcRamtCheck(RtRcptDsrcBaseDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : procPreRcptCncl
     * 설명         : 선수납건을 취소한다.
	 * @param  inDTO
	 * @return outDTO
	 * @exception Exception
     * </pre>
     */
    public List<ProcPreRcptCnclOUTDTO> procPreRcptCncl(ProcPreRcptCnclINDTO inDTO) throws Exception;

	 /**
     * <pre>
     * 메소드명      : procPreRcptCncl
     * 설명         : 예가수정보조회
	 * @param  inDTO
	 * @return outDTO
	 * @exception Exception
     * </pre>
     */
    public RtRcptDsrcBaseDTO searchDsrcInfo(RtRcptDsrcBaseDTO inDTO) throws Exception;

    /**
     * <pre>
     * 메소드명      : updateRtRcptDsrcBase
     * 설명         : 수납환불내역 환불일련번호 변경(예가수번호기준)
	 * @param  inDTO
	 * @return outDTO
	 * @exception Exception
     * </pre>
     */
    public int updateRtRcptDsrcBase(RtRcptDsrcBaseDTO inDTO) throws Exception;
}

