package hanalife.r.rc.mn.service;

import hanalife.r.co.as.vo.AskUnrcvVO;
import hanalife.r.co.rc.vo.IamtUnrcvVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RcptMidRmbrProcService.java Class
 * 클래스설명   : 선납건을 취소하고 전액/부분 중도상환 처리 Service Interface
 * 작성일자     : 2023. 4. 11.
 * 작성자명     : 70279 / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 11.][70279 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : searchCprtLim : 제휴약정 한도잔액 수정
 *              chkPrdtCd : 제휴약정 한도잔액 수정
 *          updateCprtLim : 제휴약정 한도잔액 수정
 * </pre>
 */
public interface RcptMidRmbrProcService {

	/**
	 * <p>선납건을 취소하고 전액/부분 중도상환 처리를 한다.
	 * @param reqAskUnrcvVO
	 * @param reqIamtUnrcvVO
	 * @param intgDs
	 * @return 결제번호
	 * @throws Exception
	 */
	public int proc(AskUnrcvVO reqAskUnrcvVO, IamtUnrcvVO reqIamtUnrcvVO) throws Exception;

	/**
	 * 화면에서 넘어온 예가수들의 잔액이 현재 일치하는지 여부 체크.
	 * @param IamtUnrcvVO
	 * @param con
	 */
	public void procDsrcRamtCheck(IamtUnrcvVO reqIamtUnrcvVO) throws Exception;

	/**
	 * <p>선납 취소처리
	 * @param IamtUnrcvVO
	 * @param int orgSetlNo
	 * @throws Exception
	 */
	public void procCncl(IamtUnrcvVO reqIamtUnrcvVO, int orgSetlNo) throws Exception;
}
