package hanalife.r.rc.rc.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.RtRcptBaseDTO;
import hanalife.c.co.mapper.dto.SetlInfoDTO;
import hanalife.r.rc.rc.mapper.dto.RcptDAODSLOANINFODTO;
import hanalife.r.rc.rc.mapper.dto.RcptDAODSRMBRSMDTO;

@Mapper("RcptDAOMapper")
public interface RcptDAOMapper {

	/**
     * <pre>
     * 메소드명      : searchPrdtList
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70317 younghwe.Kim
     * 설명          : 연체현황조회(상품별 검색)을(를) 조회 한다.
     * 메소드인수1   : 연체현황조회(상품별 검색) 입력
     * 메소드리턴값  : 연체현황조회(상품별 검색) 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<RcptDAODSLOANINFODTO> searchLoanInfo(RcptDAODSRMBRSMDTO inDto) throws Exception;


	/**
     * <pre>
     * 메소드명      : search
     * 작성일자      : 2023. 4. 18.
     * 작성자(author): 70326 / hyunsik.You
     * 설명          : 결제정보 조회
     * 메소드인수1   : RtRcptBaseDTO(loanNo, loanSeq, setlNo)
     * 메소드리턴값  : 결제정보 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<SetlInfoDTO> search(RtRcptBaseDTO inDto) throws Exception;

}
