package hanalife.r.rc.rc.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.rc.rc.mapper.dto.RcptDescSpecReadDSLOANINFODTO;
import hanalife.r.rc.rc.mapper.dto.RcptDescSpecReadDSRCPTDESCSD01DTO;
import hanalife.r.rc.rc.mapper.dto.RcptDescSpecReadDSRCPTDESCSD02DTO;
import hanalife.r.rc.rc.mapper.dto.RcptDescSpecReadDSRMBRSMDTO;

@Mapper("RcptDescSpecReadMapper")
public interface RcptDescSpecReadMapper {

    /**
     * <pre>
     * 메소드명      : searchPrdtList
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70317 younghwe.Kim
     * 설명          : 연체현황조회(상품별 검색)을(를) 조회 한다.
     * 메소드인수1   : 연체현황조회(상품별 검색) 입력
     * 메소드리턴값  : 연체현황조회(상품별 검색) 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<RcptDescSpecReadDSLOANINFODTO> searchSmList(RcptDescSpecReadDSRMBRSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : searchDeptList
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70317 younghwe.Kim
     * 설명          : 연체현황조회(담당자별 검색)을(를) 조회 한다.
     * 메소드인수1   : 연체현황조회(담당자별 검색) 입력
     * 메소드리턴값  : 연체현황조회(담당자별 검색) 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<RcptDescSpecReadDSRCPTDESCSD01DTO> searchRcptBaseList(RcptDescSpecReadDSRMBRSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : searchDeptList
     * 작성일자      : 2023. 3. 7.
     * 작성자(author): 70317 younghwe.Kim
     * 설명          : 연체현황조회(명세 검색)을(를) 조회 한다.
     * 메소드인수1   : 연체현황조회(명세 검색) 입력
     * 메소드리턴값  : 연체현황조회(명세 검색) 출력
     * 예외처리      : Exception
     * </pre>
     */
    public List<RcptDescSpecReadDSRCPTDESCSD02DTO> searchRcptDescList(RcptDescSpecReadDSRMBRSMDTO inDto) throws Exception;

}
