package hanalife.r.rc.rc.service;

import hanalife.r.rc.rc.vo.RRCRCM03S01InVO;
import hanalife.r.rc.rc.vo.RRCRCM03S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RRCRCM03Service.java Class
 * 클래스설명   : 수납내역상세조회 (RRCRCM03) Service Interface
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70322 / sungjin.park / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][70322 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getRRCRCM03S01 : 수납내역상세조회
 * </pre>
 */
public interface RRCRCM03Service {

	/**
	 * <p>메소드명      : getRRCRCM03S01 : 수납내역상세조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author): 70322 / sungjin.park
	 * <p>설명          : 수납내역상세를 조회 한다.</p>
	 * <p>메소드인수    : RRCRCM03S01InVo </p>
	 * <p>메소드리턴값  : RRCRCM03S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RRCRCM03S01OutVO getRRCRCM03S01(RRCRCM03S01InVO inVo) throws Exception;

}

