package hanalife.r.rc.rc.service;

import hanalife.r.rc.rc.vo.RRCRCP02S01InVO;
import hanalife.r.rc.rc.vo.RRCRCP02S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RRCRCP02Service.java Class
 * 클래스설명   : 상환스케줄 (RRCRCP02) Service Interface
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70320 / jaeho.jang / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70320 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getRRCRCP02S01 : 상환스케줄목록조회
 *              registerRRCRCP02I01 : 상환스케줄등록
 *              modifyRRCRCP02U01 : 상환스케줄수정
 *              removeRRCRCP02U01 : 상환스케줄삭제
 * </pre>
 */
public interface RRCRCP02Service {

	/**
	 * <p>메소드명      : getRRCRCP02S01 : 상환스케줄목록조회</p>
	 * <p>작성일자      : 2023. 3. 6.
	 * <p>작성자(author): 70320 / jaeho.jang
	 * <p>설명          : 상환스케줄목록을 조회 한다.</p>
	 * <p>메소드인수    : RRCRCP02S01InVo </p>
	 * <p>메소드리턴값  : RRCRCP02S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public RRCRCP02S01OutVO getRRCRCP02S01(RRCRCP02S01InVO inVo) throws Exception;
}
