package hanalife.r.rc.rd.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StLoanBaseDTO;
import hanalife.r.co.rc.vo.IamtUnrcvObjVO;
import hanalife.r.rc.rd.mapper.dto.RcptDescDSSDDO01DTO;
import hanalife.r.rc.rd.mapper.dto.RcptDescDSSDDO02DTO;
import hanalife.r.rc.rd.mapper.dto.SearchRcptDescListDTO;
import hanalife.r.rc.rd.vo.CustInfoVO;

/**
 * <pre>
 * 클래스명    : RcptMapper.java Class
 * 클래스설명  : 수납관리 Mapper
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 2. 27.
 * 작성자명    : 70317 / younghwe.kim / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 2. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 * @param <RRCRCM02DSSDDO01DTO>
 */

@Mapper("rcptMapper")
public interface RcptMapper {

    /** 대출정보조회 */
    public List<RcptDescDSSDDO01DTO> selectLoanInfo(StLoanBaseDTO inDto) throws Exception;  // 대출정보조회

    /**
     * <p>메소드명      : selectRcptList</p>
     * <p>설명          : 수납상세 목록을 조회 한다.</p>
     * <p>메소드인수1   : List args</p>
     * <p>메소드인수2   : ITransaction tx 트랜잭션객체</p>
     * <p>메소드리턴값  : 수납 내역 조회 결과 RRCRCM02S01OutVO list</p>
     * <p>예외처리      : Exception</p>
     */
    public List<RcptDescDSSDDO02DTO> selectRcptList(SearchRcptDescListDTO inDto) throws Exception;

    /**
     * <p>메소드명      : selectCustInfo</p>
     * <p>설명          : 수납상세 목록을 조회 한다.</p>
     * <p>메소드인수1  : IamtUnrcvObjVO</p>
     * <p>메소드리턴값  : CustInfoVO</p>
     * <p>예외처리      : Exception</p>
     */
    public CustInfoVO selectCustInfo(IamtUnrcvObjVO inDto) throws Exception;

}
