package hanalife.r.rc.rd.service;

import java.util.Map;

import hanalife.c.co.mapper.dto.BtSmsDlvrDescDTO;
import hanalife.r.co.as.vo.HmAskUnrcvProcVO;
import hanalife.r.co.rc.vo.IamtUnrcvObjVO;
import hanalife.r.rc.rd.vo.CustInfoVO;
import hanalife.r.rc.rd.vo.RRCRCM01S01OutVO;

public interface RRCRCM01Service {

	/**
     * <p>메소드명      : getRRCRCM01S01 : 수납관리조회</p>
     * <p>작성일자      : 2023. 04. 04.
     * <p>작성자(author): 70326 / hyunsik.you
     * <p>설명          : 수납관리 조회.</p>
     * <p>메소드인수    : RRCRCM01S01InVo </p>
     * <p>메소드리턴값  : RRCRCM01S01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public RRCRCM01S01OutVO getRRCRCM01S01(HmAskUnrcvProcVO inVo) throws Exception;

    /**
     * <p>메소드명     	: getCustInfo </p>
     * <p>작성일자     	: 2023. 05. 23.
     * <p>작성자(author)	: 70326 / hyunsik.you
     * <p>설명         	: 고객정보조회(고객번호, 고객명)</p>
     * <p>메소드인수    	: IamtUnrcvObjVO </p>
     * <p>메소드리턴값  	: CustInfoVO</p>
     * <p>예외처리      	: Exception</p>
     */
    public CustInfoVO getCustInfo(IamtUnrcvObjVO inVo) throws Exception;

    /**
     * <p>메소드명      	: getHpNo </p>
     * <p>작성일자      	: 2023. 05. 26.
     * <p>작성자(author)	: 70326 / hyunsik.you
     * <p>설명          	: 고객정보조회(연락처)</p>
     * <p>메소드인수    	: IamtUnrcvObjVO </p>
     * <p>메소드리턴값 	 	: CustInfoVO</p>
     * <p>예외처리      	: Exception</p>
     */
    public CustInfoVO getHpNo(IamtUnrcvObjVO inVo) throws Exception;

	/**
     * <p>메소드명		: insertSmsDlyrDesc</p>
     * <p>설명		: sms 발송내역을 등록한다.</p>
     * <p>메소드인수1  	: BtSmsDlvrDescDTO </p>
     * <p>메소드리턴값  : int</p>
     * <p>예외처리    	: Exception</p>
     */
    public int insertSmsDlyrDesc(BtSmsDlvrDescDTO dto) throws Exception;

    /**
     * <p>메소드명		: procRcpt</p>
     * <p>설명		: 수납 저장처리.</p>
     * <p>메소드인수1  	: Map<String, Object> dsSearch, Map<String, Object> dsSetlInfo </p>
     * <p>메소드리턴값  : void</p>
     * <p>예외처리    	: Exception</p>
     */
    public void procRcpt(Map<String, Object> dsSearch, Map<String, Object> dsSetlInfo) throws Exception;

    /**
     * <p>메소드명		: procRcptCncl</p>
     * <p>설명		: 수납 취소처리.</p>
     * <p>메소드인수1  	: Map<String, Object> dsSearch, Map<String, Object> dsSetlInfo </p>
     * <p>메소드리턴값  : void</p>
     * <p>예외처리    	: Exception</p>
     */
    public void procRcptCncl(Map<String, Object> dsSearch, Map<String, Object> dsSetlInfo) throws Exception;


}
