package hanalife.r.rc.rd.service;

import hanalife.r.rc.rd.vo.RRCRCM02S01InVO;
import hanalife.r.rc.rd.vo.RRCRCM02S01OutVO;

/**
 * <pre>
 * 클래스명    : RcptDescReadService.java Class
 * 클래스설명  : 수납상세 (RRCRCM02) Controller
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 07
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 07.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public interface RRCRCM02Service {

    /**
     * <p>메소드명      : RRCRCM02S01 : 수납상세목록조회</p>
     * <p>작성일자      : 2023. 3. 07.
     * <p>작성자(author): 70319 / younghwe.kim
     * <p>설명          : 수납상세목록을 조회 한다.</p>
     * <p>메소드인수    : RRCRCM02S01InVo </p>
     * <p>메소드리턴값  : RRCRCM02S01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public RRCRCM02S01OutVO getRRCRCM02S01(RRCRCM02S01InVO inVo) throws Exception;

}
