package hanalife.r.rc.rd.service;

import hanalife.r.rc.rd.vo.RRCRD0101S01InVO;
import hanalife.r.rc.rd.vo.RRCRD0101S01OutVO;

/**
 * <pre>
 * 클래스명    : RcptDescReadService.java Class
 * 클래스설명  : 수납상세 (RRCRD0101) Controller
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 2. 27.
 * 작성자명    : 70317 / younghwe.kim / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 2. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public interface RRCRD0101Service {

    /**
     * <p>메소드명      : RRCRD0101S01 : 수납상세목록조회</p>
     * <p>작성일자      : 2023. 2. 27.
     * <p>작성자(author): 70317 / younghwe.kim
     * <p>설명          : 수납상세목록을 조회 한다.</p>
     * <p>메소드인수    : RRCRD0101S01InVo </p>
     * <p>메소드리턴값  : RRCRD0101S01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public RRCRD0101S01OutVO getRRCRD0101S01(RRCRD0101S01InVO inVo) throws Exception;

//    /**
//     * <p>메소드명      : RRCRD0101I01 - 수납상세등록</p>
//     * <p>작성일자      : 2023. 2. 27.
//     * <p>작성자(author): 70317 / younghwe.kim
//     * <p>설명          : 수납상세등록</p>
//     * <p>메소드인수    : RRCRD0101I01InVo </p>
//     * <p>메소드리턴값  : RRCRD0101I01OutVo</p>
//     * <p>예외처리      : Exception</p>
//     */
//    public RRCRD0101I01OutVO registerRRCRD0101I01(RRCRD0101I01InVO inVo) throws Exception;
//
//    /**
//     * <p>메소드명      : RRCRD0101I01 - 수납상세수정</p>
//     * <p>작성일자      : 2023. 2. 27.
//     * <p>작성자(author): 70317 / younghwe.kim
//     * <p>설명          : 수납상세수정</p>
//     * <p>메소드인수    : RRCRD0101U01InVo </p>
//     * <p>메소드리턴값  : RRCRD0101U01OutVo</p>
//     * <p>예외처리      : Exception</p>
//     */
//    public RRCRD0101U01OutVO modifyRRCRD0101U01(RRCRD0101U01InVO inVo) throws Exception;
//
//    /**
//     * <p>메소드명      : RRCRD0101D01 - 수납상세삭제</p>
//     * <p>작성일자      : 2023. 2. 27.
//     * <p>작성자(author): 70317 / younghwe.kim
//     * <p>설명          : 수납상세삭제</p>
//     * <p>메소드인수    : RRCRD0101D01InVo </p>
//     * <p>메소드리턴값  : RRCRD0101D01OutVo</p>
//     * <p>예외처리      : Exception</p>
//     */
//    public RRCRD0101D01OutVO removeRRCRD0101D01(RRCRD0101D01InVO inVo) throws Exception;

}
