package hanalife.r.sr.sr.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DsrcAdjDescReadSDDODTO.java Class
 * 클래스설명   : 예/가수금내역조회를(을) 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 9.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 9.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class DsrcAdjDescReadSDDODTO {

    private String dsrcNo;  /* 예가수번호 */
    private String dsrcSnum;  /* 예가수일련번호 */
    private String adjLoanNo;  /* 대출번호 */
    private String adjLoanSeq;  /* 대출순번 */
    private String custNm;  /* 고객명 */
    private String setlNo;  /* 결제일자 */
    private String occrDeptNm;  /*  */
    private String adjDeptNm;  /* 환불상태코드 */
    private String mngDeptNm;  /* 회계단위코드 */
    private String acctDt;  /* 횐계단위코드명 */
    private String setlDt;  /* 입력부서코드 */
    private String rcptTpCd;  /* 수납유형코드 */
    private String rcptTpNm;  /* 수납유형명 */
    private String dsrcAdjNm;  /*  */
    private String dsrcOccrNm;  /* 예가수금발생명 */
    private String dsrcOccrAmt;  /* 예가수금발생금액 */
    private String dsrcAdjAmt;  /* 예가수금정산금액 */
    private String dsrcRamt;  /* 대손최종회수일자 */
    private String rmk;  /* 대손최종결제일자 */
    private String isrtEmpNo;  /* 최종수납방법코드 */
    private String isrtEmpNm;  /* 최종수납방법코드명 */
    private String acctUnitCd;  /* 상품명 */
    private String acctUnitNm;  /* 인지대 */
    private String dlyTcnt;  /* 총연체금액 */
    private String dlyYn;  /* 연체여부 */
    private String dlyAmt;  /* 연체금액 */
    private String unArngRsn;  /*  */
    private String mngPlcDivNm;  /*  */

    public String getDsrcNo() {
        return dsrcNo;
    }
    public void setDsrcNo(String dsrcNo) {
        this.dsrcNo = dsrcNo;
    }
    public String getDsrcSnum() {
        return dsrcSnum;
    }
    public void setDsrcSnum(String dsrcSnum) {
        this.dsrcSnum = dsrcSnum;
    }
    public String getAdjLoanNo() {
        return adjLoanNo;
    }
    public void setAdjLoanNo(String adjLoanNo) {
        this.adjLoanNo = adjLoanNo;
    }
    public String getAdjLoanSeq() {
        return adjLoanSeq;
    }
    public void setAdjLoanSeq(String adjLoanSeq) {
        this.adjLoanSeq = adjLoanSeq;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(String setlNo) {
        this.setlNo = setlNo;
    }
    public String getOccrDeptNm() {
        return occrDeptNm;
    }
    public void setOccrDeptNm(String occrDeptNm) {
        this.occrDeptNm = occrDeptNm;
    }
    public String getAdjDeptNm() {
        return adjDeptNm;
    }
    public void setAdjDeptNm(String adjDeptNm) {
        this.adjDeptNm = adjDeptNm;
    }
    public String getMngDeptNm() {
        return mngDeptNm;
    }
    public void setMngDeptNm(String mngDeptNm) {
        this.mngDeptNm = mngDeptNm;
    }
    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public String getSetlDt() {
        return setlDt;
    }
    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }
    public String getRcptTpCd() {
        return rcptTpCd;
    }
    public void setRcptTpCd(String rcptTpCd) {
        this.rcptTpCd = rcptTpCd;
    }
    public String getRcptTpNm() {
        return rcptTpNm;
    }
    public void setRcptTpNm(String rcptTpNm) {
        this.rcptTpNm = rcptTpNm;
    }
    public String getDsrcAdjNm() {
        return dsrcAdjNm;
    }
    public void setDsrcAdjNm(String dsrcAdjNm) {
        this.dsrcAdjNm = dsrcAdjNm;
    }
    public String getDsrcOccrNm() {
        return dsrcOccrNm;
    }
    public void setDsrcOccrNm(String dsrcOccrNm) {
        this.dsrcOccrNm = dsrcOccrNm;
    }
    public String getDsrcOccrAmt() {
        return dsrcOccrAmt;
    }
    public void setDsrcOccrAmt(String dsrcOccrAmt) {
        this.dsrcOccrAmt = dsrcOccrAmt;
    }
    public String getDsrcAdjAmt() {
        return dsrcAdjAmt;
    }
    public void setDsrcAdjAmt(String dsrcAdjAmt) {
        this.dsrcAdjAmt = dsrcAdjAmt;
    }
    public String getDsrcRamt() {
        return dsrcRamt;
    }
    public void setDsrcRamt(String dsrcRamt) {
        this.dsrcRamt = dsrcRamt;
    }
    public String getRmk() {
        return rmk;
    }
    public void setRmk(String rmk) {
        this.rmk = rmk;
    }
    public String getIsrtEmpNo() {
        return isrtEmpNo;
    }
    public void setIsrtEmpNo(String isrtEmpNo) {
        this.isrtEmpNo = isrtEmpNo;
    }
    public String getIsrtEmpNm() {
        return isrtEmpNm;
    }
    public void setIsrtEmpNm(String isrtEmpNm) {
        this.isrtEmpNm = isrtEmpNm;
    }
    public String getAcctUnitCd() {
        return acctUnitCd;
    }
    public void setAcctUnitCd(String acctUnitCd) {
        this.acctUnitCd = acctUnitCd;
    }
    public String getAcctUnitNm() {
        return acctUnitNm;
    }
    public void setAcctUnitNm(String acctUnitNm) {
        this.acctUnitNm = acctUnitNm;
    }
    public String getDlyTcnt() {
        return dlyTcnt;
    }
    public void setDlyTcnt(String dlyTcnt) {
        this.dlyTcnt = dlyTcnt;
    }
    public String getDlyYn() {
        return dlyYn;
    }
    public void setDlyYn(String dlyYn) {
        this.dlyYn = dlyYn;
    }
    public String getDlyAmt() {
        return dlyAmt;
    }
    public void setDlyAmt(String dlyAmt) {
        this.dlyAmt = dlyAmt;
    }
    public String getUnArngRsn() {
        return unArngRsn;
    }
    public void setUnArngRsn(String unArngRsn) {
        this.unArngRsn = unArngRsn;
    }
    public String getMngPlcDivNm() {
        return mngPlcDivNm;
    }
    public void setMngPlcDivNm(String mngPlcDivNm) {
        this.mngPlcDivNm = mngPlcDivNm;
    }



}
