package hanalife.r.sr.sr.vo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RSRSRM01DSSDVO.java Class
 * 클래스설명   : 예/가수금정산정보조회(입/출력)를(을) 위한 VO
 * 작성일자     : 2023. 3. 14.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 14.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class RSRSRM01DSSDDO01VO {

    private String dsrcNo;  /* 예가수번호 */
    private String dsrcSnum;  /* 예가수일련번호 */
    private String dsrcOccrNm;  /* 예가수발생명 */
    private String dsrcOccrCd;  /* 예가수발생코드 */
    private String dsrcAdjNm;  /* 예가수정산명 */
    private String dsrcAdjCd;  /* 예가수정산코드 */
    private String cnclFg;  /* 취소여부 */
    private String cnclFgNm;  /* 취소여부명 */
    private String acctDt;  /* 회계일자 */
    private String setlDt;  /* 결제일자 */
    private String rcptTpNm;  /* 수납유형코드명 */
    private String rcptTpCd;  /* 수납유형코드 */
    private String dsrcOccrAmt;  /* 예가수발생금액 */
    private String dsrcAdjAmt;  /* 예가수정산금액 */
    private String dsrcRamt;  /* 예가수잔액 */
    private String loanNo;  /* 대출번호 */
    private String loanSeq;  /* 대출순번 */
    private String custNm;  /* 고객명 */
    private String setlNo;  /* 결제번호 */
    private String isrtDeptNm;  /* 입력부서명 */
    private String isrtDeptCd;  /* 입력부서코드 */
    private String adjDeptNm;  /* 정산부서명 */
    private String adjDeptCd;  /* 정산부서코드 */
    private String rmk;  /* 적요내용 */
    private String frstRegEmpNm;  /* 최초등록자명 */
    private String frstRegEmpNo;  /* 최초등록자번호 */
    private String curDsrcOccrAmt;  /* 현재예가수발생금액 */
    private String curDsrcRamt;  /* 현재예가수잔액 */

    public String getDsrcNo() {
        return dsrcNo;
    }
    public void setDsrcNo(String dsrcNo) {
        this.dsrcNo = dsrcNo;
    }
    public String getDsrcSnum() {
        return dsrcSnum;
    }
    public void setDsrcSnum(String dsrcSnum) {
        this.dsrcSnum = dsrcSnum;
    }
    public String getDsrcOccrNm() {
        return dsrcOccrNm;
    }
    public void setDsrcOccrNm(String dsrcOccrNm) {
        this.dsrcOccrNm = dsrcOccrNm;
    }
    public String getDsrcOccrCd() {
        return dsrcOccrCd;
    }
    public void setDsrcOccrCd(String dsrcOccrCd) {
        this.dsrcOccrCd = dsrcOccrCd;
    }
    public String getDsrcAdjNm() {
        return dsrcAdjNm;
    }
    public void setDsrcAdjNm(String dsrcAdjNm) {
        this.dsrcAdjNm = dsrcAdjNm;
    }
    public String getDsrcAdjCd() {
        return dsrcAdjCd;
    }
    public void setDsrcAdjCd(String dsrcAdjCd) {
        this.dsrcAdjCd = dsrcAdjCd;
    }
    public String getCnclFg() {
        return cnclFg;
    }
    public void setCnclFg(String cnclFg) {
        this.cnclFg = cnclFg;
    }
    public String getCnclFgNm() {
        return cnclFgNm;
    }
    public void setCnclFgNm(String cnclFgNm) {
        this.cnclFgNm = cnclFgNm;
    }
    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public String getSetlDt() {
        return setlDt;
    }
    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }
    public String getRcptTpNm() {
        return rcptTpNm;
    }
    public void setRcptTpNm(String rcptTpNm) {
        this.rcptTpNm = rcptTpNm;
    }
    public String getRcptTpCd() {
        return rcptTpCd;
    }
    public void setRcptTpCd(String rcptTpCd) {
        this.rcptTpCd = rcptTpCd;
    }
    public String getDsrcOccrAmt() {
        return dsrcOccrAmt;
    }
    public void setDsrcOccrAmt(String dsrcOccrAmt) {
        this.dsrcOccrAmt = dsrcOccrAmt;
    }
    public String getDsrcAdjAmt() {
        return dsrcAdjAmt;
    }
    public void setDsrcAdjAmt(String dsrcAdjAmt) {
        this.dsrcAdjAmt = dsrcAdjAmt;
    }
    public String getDsrcRamt() {
        return dsrcRamt;
    }
    public void setDsrcRamt(String dsrcRamt) {
        this.dsrcRamt = dsrcRamt;
    }
    public String getLoanNo() {
        return loanNo;
    }
    public void setLoanNo(String loanNo) {
        this.loanNo = loanNo;
    }
    public String getLoanSeq() {
        return loanSeq;
    }
    public void setLoanSeq(String loanSeq) {
        this.loanSeq = loanSeq;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(String setlNo) {
        this.setlNo = setlNo;
    }
    public String getIsrtDeptNm() {
        return isrtDeptNm;
    }
    public void setIsrtDeptNm(String isrtDeptNm) {
        this.isrtDeptNm = isrtDeptNm;
    }
    public String getIsrtDeptCd() {
        return isrtDeptCd;
    }
    public void setIsrtDeptCd(String isrtDeptCd) {
        this.isrtDeptCd = isrtDeptCd;
    }
    public String getAdjDeptNm() {
        return adjDeptNm;
    }
    public void setAdjDeptNm(String adjDeptNm) {
        this.adjDeptNm = adjDeptNm;
    }
    public String getAdjDeptCd() {
        return adjDeptCd;
    }
    public void setAdjDeptCd(String adjDeptCd) {
        this.adjDeptCd = adjDeptCd;
    }
    public String getRmk() {
        return rmk;
    }
    public void setRmk(String rmk) {
        this.rmk = rmk;
    }
    public String getFrstRegEmpNm() {
        return frstRegEmpNm;
    }
    public void setFrstRegEmpNm(String frstRegEmpNm) {
        this.frstRegEmpNm = frstRegEmpNm;
    }
    public String getFrstRegEmpNo() {
        return frstRegEmpNo;
    }
    public void setFrstRegEmpNo(String frstRegEmpNo) {
        this.frstRegEmpNo = frstRegEmpNo;
    }
    public String getCurDsrcOccrAmt() {
        return curDsrcOccrAmt;
    }
    public void setCurDsrcOccrAmt(String curDsrcOccrAmt) {
        this.curDsrcOccrAmt = curDsrcOccrAmt;
    }
    public String getCurDsrcRamt() {
        return curDsrcRamt;
    }
    public void setCurDsrcRamt(String curDsrcRamt) {
        this.curDsrcRamt = curDsrcRamt;
    }

}
