package hanalife.r.sr.zz.vo;

import java.io.Serializable;
/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DsrcVO.java Class
 * 클래스설명   : 예가수 처리(입/출력)를(을) 위한 VO
 * 작성일자     : 2023. 3. 20.
 * 작성자명     : 70317 / younghwe.kim / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 20.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@SuppressWarnings("serial")
public class DsrcVO implements Serializable {

    public String dsrcNo        = "";     /* 예가수번호       */
    public String occrLoanNo    = "";     /* 발생대출번호     */
    public String occrLoanSeq   = "";     /* 발생대출순번     */
    public String adjLoanNo     = "";     /* 정산대출번호     */
    public String adjLoanSeq    = "";     /* 정산대출순번     */
    public String rcptTpCd      = "";     /* 수납유형코드     */
    public String acctDt        = "";     /* 회계일자         */
    public String setlDt        = "";     /* 결제일자         */
    public String occrCd        = "";     /* 예가수발생코드   */
    public String adjCd         = "";     /* 예가수정산코드   */
    public long occrAmt         = 0;      /* 예가수발생금액   */
    public long adjAmt          = 0;      /* 예가수정산금액   */
    public long dsrcRamt        = 0;      /* 예가수잔액       */
    public String dsrcRmk       = "";     /* 예가수적요       */
    public String vochExFg      = "0";    /* 전표제외여부     */
    public String bankCd        = "";     /* 은행코드         */
    public String acntNo        = "";     /* 계좌번호         */
    public String deptCd        = "";     /* 처리부서         */
    public String empNo         = "";     /* 처리사번         */
    public int setlNo           = 0;      /* 결제번호         */

    public String getDsrcNo() {
        return dsrcNo;
    }
    public void setDsrcNo(String dsrcNo) {
        this.dsrcNo = dsrcNo;
    }
    public String getOccrLoanNo() {
        return occrLoanNo;
    }
    public void setOccrLoanNo(String occrLoanNo) {
        this.occrLoanNo = occrLoanNo;
    }
    public String getOccrLoanSeq() {
        return occrLoanSeq;
    }
    public void setOccrLoanSeq(String occrLoanSeq) {
        this.occrLoanSeq = occrLoanSeq;
    }
    public String getAdjLoanNo() {
        return adjLoanNo;
    }
    public void setAdjLoanNo(String adjLoanNo) {
        this.adjLoanNo = adjLoanNo;
    }
    public String getAdjLoanSeq() {
        return adjLoanSeq;
    }
    public void setAdjLoanSeq(String adjLoanSeq) {
        this.adjLoanSeq = adjLoanSeq;
    }
    public String getRcptTpCd() {
        return rcptTpCd;
    }
    public void setRcptTpCd(String rcptTpCd) {
        this.rcptTpCd = rcptTpCd;
    }
    public String getAcctDt() {
        return acctDt;
    }
    public void setAcctDt(String acctDt) {
        this.acctDt = acctDt;
    }
    public String getSetlDt() {
        return setlDt;
    }
    public void setSetlDt(String setlDt) {
        this.setlDt = setlDt;
    }
    public String getOccrCd() {
        return occrCd;
    }
    public void setOccrCd(String occrCd) {
        this.occrCd = occrCd;
    }
    public String getAdjCd() {
        return adjCd;
    }
    public void setAdjCd(String adjCd) {
        this.adjCd = adjCd;
    }
    public long getOccrAmt() {
		return occrAmt;
	}
	public void setOccrAmt(long occrAmt) {
		this.occrAmt = occrAmt;
	}
	public long getAdjAmt() {
		return adjAmt;
	}
	public void setAdjAmt(long adjAmt) {
		this.adjAmt = adjAmt;
	}
	public long getDsrcRamt() {
		return dsrcRamt;
	}
	public void setDsrcRamt(long dsrcRamt) {
		this.dsrcRamt = dsrcRamt;
	}
	public String getDsrcRmk() {
        return dsrcRmk;
    }
    public void setDsrcRmk(String dsrcRmk) {
        this.dsrcRmk = dsrcRmk;
    }
    public String getVochExFg() {
        return vochExFg;
    }
    public void setVochExFg(String vochExFg) {
        this.vochExFg = vochExFg;
    }
    public String getBankCd() {
        return bankCd;
    }
    public void setBankCd(String bankCd) {
        this.bankCd = bankCd;
    }
    public String getAcntNo() {
        return acntNo;
    }
    public void setAcntNo(String acntNo) {
        this.acntNo = acntNo;
    }
    public String getDeptCd() {
        return deptCd;
    }
    public void setDeptCd(String deptCd) {
        this.deptCd = deptCd;
    }
    public String getEmpNo() {
        return empNo;
    }
    public void setEmpNo(String empNo) {
        this.empNo = empNo;
    }
    public int getSetlNo() {
        return setlNo;
    }
    public void setSetlNo(int setlNo) {
        this.setlNo = setlNo;
    }

}
