package hanalife.r.va.va.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.r.va.va.mapper.dto.ImgAcntDSSD01DTO;
import hanalife.r.va.va.mapper.dto.ImgAcntDSSD02DTO;
import hanalife.r.va.va.mapper.dto.ImgAcntDSSM01DTO;
import hanalife.r.va.va.mapper.dto.ImgAcntDSSM02DTO;

@Mapper("ImgAcntMapper")
public interface ImgAcntMapper {

    /**
     * <pre>
     * 메소드명      : searchImgAcntLoanInfo
     * 작성일자      : 2023. 3. 9.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : 가상계좌대출정보을(를) 조회한다.
     * 메소드인수1   : 가상계좌대출정보 입력
     * 메소드리턴값  : 가상계좌대출정보 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<ImgAcntDSSD01DTO> searchImgAcntLoanInfo(ImgAcntDSSM01DTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchImgAcntChngHist
	 * 작성일자      : 2023. 3. 9.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 가상계좌변경이력을(를) 조회 한다.
	 * 메소드인수1   : 가상계좌변경이력 입력
	 * 메소드리턴값  : 가상계좌변경이력 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<ImgAcntDSSD02DTO> searchImgAcntChngHist(ImgAcntDSSM02DTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchImgAcntRept
	 * 작성일자      : 2023. 3. 9.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 가상계좌관리현황을(를) 조회 한다.
	 * 메소드인수1   : 가상계좌관리현황 입력
	 * 메소드리턴값  : 가상계좌관리현황 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<ImgAcntDSSD02DTO> searchImgAcntRept(ImgAcntDSSM02DTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : updateLoanBaseReg
	 * 작성일자      : 2023. 3. 9.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 가상계좌변경관리을(를) 수정 한다.
	 * 메소드인수1   : 가상계좌변경관리 입력
	 * 메소드리턴값  : 가상계좌변경관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	//public List<ImgAcntDSSD02DTO> updateLoanBaseReg(ImgAcntDSSM02DTO inDto) throws Exception;
	// AS-IS procImgAcnt 메소드로 묶어서 upd/del 처리 : ImgAcntMngSVC.java 245 라인 참조
	// List result = imgAcntProc.proc(imgVO, tx);
	// 추후 공통으로 묶어서 처리할 예정

	/**
	 * <pre>
	 * 메소드명      : updateLoanBaseClos
	 * 작성일자      : 2023. 3. 9.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 가상계좌변경관리을(를) 삭제 한다.
	 * 메소드인수1   : 가상계좌변경관리 입력
	 * 메소드리턴값  : 가상계좌변경관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	//public List<ImgAcntDSSD02DTO> updateLoanBaseClos(ImgAcntDSSM02DTO inDto) throws Exception;
	// AS-IS procImgAcnt 메소드로 묶어서 upd/del 처리 : ImgAcntMngSVC.java 245 라인 참조
	// List result = imgAcntProc.proc(imgVO, tx);
	// 추후 공통으로 묶어서 처리할 예정

}
