package hanalife.r.va.va.service;

import hanalife.r.va.va.vo.RVAVAM01S01InVO;
import hanalife.r.va.va.vo.RVAVAM01S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : RVAVAM01Service.java Class
 * 클래스설명   : 가상계좌 거래내역 조회 (RVAVAM01) Service Interface
 * 작성일자     : 2023. 3. 21.
 * 작성자명     : 70322 / sungjin.park / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 21.][70322 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getRVAVAM01S01 : 가상계좌 거래내역 조회
 * </pre>
 */
public interface RVAVAM01Service {
	/**
	 * <p>메소드명      : getRVAVAM01S01 : 가상계좌 거래내역 조회</p>
	 * <p>작성일자      : 2023. 3. 9.
	 * <p>작성자(author): 70322 / sungjin.park
	 * <p>설명          : 가상계좌거래내역을 조회 한다.</p>
	 * <p>메소드인수    : RVAVAM01S01InVO </p>
	 * <p>메소드리턴값  : RVAVAM01S01OutVO</p>
	 * <p>예외처리      : Exception</p>
	 */
    public RVAVAM01S01OutVO searchImgAcnt(RVAVAM01S01InVO inVo) throws Exception;

}
