package hanalife.r.va.va.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.r.va.va.mapper.ImgAcntTrReptReadMapper;
import hanalife.r.va.va.mapper.dto.ImgAcntTrReptReadDS_SD_01DTO;
import hanalife.r.va.va.mapper.dto.ImgAcntTrReptReadDS_SEARCHDTO;
import hanalife.r.va.va.service.RVAVAM02Service;
import hanalife.r.va.va.vo.RVAVAM02DS_SD_01VO;
import hanalife.r.va.va.vo.RVAVAM02S01InVO;
import hanalife.r.va.va.vo.RVAVAM02S01OutVO;

/*
* <pre>
* 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
* 클래스명     : RVAVAM02S01ServiceImpl.java Class
* 클래스설명   : 가상계좌거래현황조회(RVAVAM02S01) Service Implements
* 작성일자     : 2023. 3. 14.
* 작성자명     : 70325 / jaeheon.kim / 가계대출 시스템 구축
* Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
* -----------------------------------------------------------------------------
* Modification Information
* -----------------------------------------------------------------------------
* [  수정일자  ][수정자][변경사유-수정내용]
* -----------------------------------------------------------------------------
* [2023. 3. 6.][70317 ][최초작성]
* -----------------------------------------------------------------------------
* 서비스구성 : getRVAVAM02S01 :
* </pre>
*/
@Service("RVAVAM02Service")
public class RVAVAM02ServiceImpl implements RVAVAM02Service{

	private static final Logger LOGGER = LoggerFactory.getLogger(RVAVAM02ServiceImpl.class);
	@Autowired
	private ImgAcntTrReptReadMapper imgAcntTrReptReadMapper;

	@Override
	public RVAVAM02S01OutVO getRVAVAM02S01(RVAVAM02S01InVO inVo) throws Exception {
		// TODO Auto-generated method stub
		ImgAcntTrReptReadDS_SEARCHDTO iDTO=new ImgAcntTrReptReadDS_SEARCHDTO();

		iDTO.setChkMngDeptCd(inVo.getRVAVAM02DS_SEARCHVO().getChkMngDeptCd());
		iDTO.setChkPrdtClasCd(inVo.getRVAVAM02DS_SEARCHVO().getChkPrdtClasCd());
		iDTO.setChkTrDt(inVo.getRVAVAM02DS_SEARCHVO().getChkTrDt());
		iDTO.setChkTrOrgCd(inVo.getRVAVAM02DS_SEARCHVO().getChkTrOrgCd());
		iDTO.setMngDeptCd(inVo.getRVAVAM02DS_SEARCHVO().getMngDeptCd());
		iDTO.setMngDeptNm(inVo.getRVAVAM02DS_SEARCHVO().getMngDeptNm());
		iDTO.setPrdtClasCd(inVo.getRVAVAM02DS_SEARCHVO().getPrdtClasCd());
		iDTO.setTrDtFr(inVo.getRVAVAM02DS_SEARCHVO().getTrDtFr());
		iDTO.setTrDtTo(inVo.getRVAVAM02DS_SEARCHVO().getTrDtTo());
		iDTO.setTrOrgCd(inVo.getRVAVAM02DS_SEARCHVO().getTrOrgCd());

		List<ImgAcntTrReptReadDS_SD_01DTO> resultDTO=imgAcntTrReptReadMapper.searchDescList(iDTO);
		List<RVAVAM02DS_SD_01VO> listVO= new ArrayList<>();
		RVAVAM02S01OutVO resultVO=new RVAVAM02S01OutVO();

		for(ImgAcntTrReptReadDS_SD_01DTO i:resultDTO) {
			RVAVAM02DS_SD_01VO wrapper = new RVAVAM02DS_SD_01VO();
			wrapper.setTrDt( i.getTrDt());
			wrapper.setTrOrgNm( i.getTrOrgNm());
			wrapper.setTrOrgCd(i.getTrOrgCd());
			wrapper.setMngDeptNm( i.getMngDeptNm());
			wrapper.setMngDeptCd( i.getMngDeptCd());
			wrapper.setPrdtClasNm( i.getPrdtClasNm());
			wrapper.setPrdtClasCd( i.getPrdtClasCd());
			wrapper.setTrCnt( i.getTrCnt());
			wrapper.setTrAmt( i.getTrAmt());
			wrapper.setCnclCnt( i.getCnclCnt());
			wrapper.setCnclAmt( i.getCnclAmt());
			wrapper.setSetlCnt( i.getSetlCnt());
			wrapper.setSetlAmt( i.getSetlAmt());
			wrapper.setUnSetlCnt( i.getUnSetlCnt());
			wrapper.setUnSetlAmt( i.getUnSetlAmt());

			listVO.add(wrapper);
		}
		resultVO.setListRVAVAM02DS_SD_01VO(listVO);



		return resultVO;
	}


}
