package hanalife.s.ag.bs.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.ag.bs.mapper.dto.srOrgMngDSSDCDTO;
import hanalife.s.ag.bs.mapper.dto.srOrgMngDSSDDTO;

@Mapper("SrOrgMngMapper")
public interface SrOrgMngMapper {

    /**
     * <pre>
     * 메소드명      : searchSrOrgMngList
     * 작성일자      : 2023. 4. 12.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : SR기관관리을(를) 조회 한다.
     * 메소드인수1   : SR기관관리 입력
     * 메소드리턴값  : SR기관관리 출력
     * 예외처리      : Exception
     * </pre>
     */
	//public List<srOrgMngDSSDDTO> searchSrOrgMngList(srOrgMngDSSMDTO inDto) throws Exception;
	public List<srOrgMngDSSDDTO> searchSrOrgMngList() throws Exception;

	/**
	 * <pre>
	 * 메소드명      : registerSrOrgMngList
	 * 작성일자      : 2023. 4. 12.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : SR기관관리을(를) 등록 한다.
	 * 메소드인수1   : SR기관관리 입력
	 * 메소드리턴값  : SR기관관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int registerSrOrgMngList(srOrgMngDSSDCDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : modifySrOrgMngList
	 * 작성일자      : 2023. 4. 12.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : SR기관관리을(를) 수정 한다.
	 * 메소드인수1   : SR기관관리 입력
	 * 메소드리턴값  : SR기관관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int modifySrOrgMngList(srOrgMngDSSDCDTO inDto) throws Exception;

}