package hanalife.s.ag.bs.service;

import hanalife.s.ag.bs.vo.SAGBSM01I01InVO;
import hanalife.s.ag.bs.vo.SAGBSM01I01OutVO;
import hanalife.s.ag.bs.vo.SAGBSM01S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SAGBSM01Service.java Class
 * 클래스설명   : SR기관관리 (SAGBSM01) Service Interface
 * 작성일자     : 2023. 4. 12.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 12.][70323 ][최초작성]
 * [2023. 4. 14.][70323 ][조회 조건 입력 삭제]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getSAGBSM01S01 : SR기관관리목록조회
 * 				registerSAGBSM01S01 : SR기관관리등록
 * 				modifySAGBSM01S01 : SR기관관리수정
 * </pre>
 */
public interface SAGBSM01Service {

	/**
	 * <p>메소드명      : getSAGBSM01S01 : SR기관관리조회</p>
	 * <p>작성일자      : 2023. 4. 12.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : SR기관관리 조회 한다.</p>
	 * <p>메소드인수    : SAGBSM01S01InVo </p>
	 * <p>메소드리턴값  : SAGBSM01S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	//public SAGBSM01S01OutVO getSAGBSM01S01(SAGBSM01S01InVO inVo) throws Exception;
	public SAGBSM01S01OutVO getSAGBSM01S01() throws Exception;

	/**
	 * <p>메소드명      : registerSAGBSM01S01 : SR기관관리등록</p>
	 * <p>작성일자      : 2023. 4. 12.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : SR기관관리 등록 한다.</p>
	 * <p>메소드인수    : SAGBSM01S01InVo </p>
	 * <p>메소드리턴값  : SAGBSM01S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SAGBSM01I01OutVO registerSAGBSM01S01(SAGBSM01I01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : modifySAGBSM01S01 : SR기관관리수정</p>
	 * <p>작성일자      : 2023. 4. 12.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : SR기관관리 수정 한다.</p>
	 * <p>메소드인수    : SAGBSM01S01InVo </p>
	 * <p>메소드리턴값  : SAGBSM01S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SAGBSM01I01OutVO modifySAGBSM01S01(SAGBSM01I01InVO inVo) throws Exception;

}
