package hanalife.s.cp.ct.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StCprtContDTO;
import hanalife.c.co.mapper.dto.StCprtLimChngHistDTO;
import hanalife.c.co.mapper.dto.StLoanBaseDTO;
import hanalife.c.co.mapper.dto.StLoanCprtBranDTO;
import hanalife.c.co.mapper.dto.StLoanDocDTO;
import hanalife.s.cp.ct.mapper.dto.CprtContMngMdulINDTO;
import hanalife.s.cp.ct.mapper.dto.SearchCprtLimOUTDTO;
import hanalife.s.cp.ct.mapper.dto.SearchLoanPrdtCdOUTDTO;
import hanalife.s.cp.ct.mapper.dto.SearchPrdtCdOUTDTO;

@Mapper("CprtContMngMdulCTMapper")
public interface CprtContMngMdulCTMapper {

    /**
     * <p>메소드명	: searchPrdtCd</p>
     * <p>설명		: 상품코드 Fetch</p>
     * <p>메소드리턴값	: String - query</p>
     */
	public List<SearchPrdtCdOUTDTO> searchPrdtCd(CprtContMngMdulINDTO inDto) throws Exception;

    /**
     * <p>메소드명	: searchCprtLim</p>
     * <p>설명		: 제휴약정 정보 Fetch</p>
     * <p>메소드리턴값	: String - query</p>
     */
	public List<SearchCprtLimOUTDTO> searchCprtLim(CprtContMngMdulINDTO inDto) throws Exception;

    /**
     * <p>메소드명	: searchLoanPrdtCd</p>
     * <p>설명		: 대출기본의 상품정보 Fetch</p>
     * <p>메소드리턴값	: String - query</p>
     */
	public List<SearchLoanPrdtCdOUTDTO> searchLoanPrdtCd(CprtContMngMdulINDTO inDto) throws Exception;

    /**
     * <p>메소드명	: searchRegLdgr</p>
     * <p>설명		: 대출서류의 등록원부 정보 Fetch</p>
     * <p>메소드리턴값	: String - query</p>
     */
	public List<StLoanDocDTO> searchRegLdgr(CprtContMngMdulINDTO inDto) throws Exception;

    /**
     * <p>메소드명	: searchLoanCprtBran</p>
     * <p>설명		: 대출제휴점 정보 Fetch</p>
     * <p>메소드리턴값	: String - query</p>
     */
	public List<StLoanCprtBranDTO> searchLoanCprtBran(CprtContMngMdulINDTO inDto) throws Exception;

    /**
     * <p>메소드명	: searchLoanAprvDt</p>
     * <p>설명		: 대출승인일 정보 Fetch</p>
     * <p>메소드리턴값	: String - query</p>
     */
	public List<StLoanBaseDTO> searchLoanAprvDt(CprtContMngMdulINDTO inDto) throws Exception;

    /**
     * <p>메소드명	: searchMaxSnum</p>
     * <p>설명		: 한도증감이력 Max 값 정보 조회</p>
     * <p>메소드리턴값	: int</p>
     */
	public int searchMaxSnum(CprtContMngMdulINDTO inDto) throws Exception;

    /**
     * <p>메소드명	: updateCprtLim</p>
     * <p>설명		: 제휴한도 수정 쿼리</p>
     * <p>메소드리턴값	: int</p>
     */
	public int updateCprtLim(StCprtContDTO inDto) throws Exception;

    /**
     * <p>메소드명	: insertCprtLimChng</p>
     * <p>설명		: 한도증감이력 Table에 insert Query</p>
     * <p>메소드리턴값	: int</p>
     */
	public int insertCprtLimChng(StCprtLimChngHistDTO inDto) throws Exception;

}
