package hanalife.s.cp.ct.service;

import hanalife.s.cp.ct.vo.CprtContMngMdulObj;

/**
 * <pre>
 * 클래스명    : CprtContMngMudlService
 * 클래스설명  : 제휴약정관리모듈 Service
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 4. 03.
 * 작성자명    : 70279 / jung
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface CprtContMngMudlService {

	CprtContMngMdulObj searchCprtLim(CprtContMngMdulObj contMngMdulObj) throws Exception;

	  /**
	   * <p>메소드명	: chkPrdtCd</p>
	   * <p>설명		: 제휴한도 조회</p>
	   * <p>메소드인수1	: String[] condArr - [0] : 제휴사번호
	                                           [1] : 제휴점코드
	                                           [2] : 상품코드
	                                           [3] : 대출금액</p>
	   * <p>메소드리턴값	: void </p>
	   */
	void chkPrdtCd(CprtContMngMdulObj contMdulObj) throws Exception;

	  /**
	   * <p>메소드명	: updateCprtLim</p>
	   * <p>설명		: 제휴한도 조회</p>
	   * <p>메소드인수1	: String[] condArr - [0] : 업무구분
	                                           [1] : 대출번호
	                                           [2] : 대출순번
	                                           [3] : 금액
	                                           [4] : 처리자사원번호</p>
	   * <p>메소드리턴값	: CprtContMngMdulObj contMngMdulObj </p>
	   */
	CprtContMngMdulObj updateCprtLim(CprtContMngMdulObj contMngMdulObj) throws Exception;
}
