package hanalife.s.ln.lm.mapper;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.ln.lm.mapper.dto.UnrcvOccrAdjDescDTO;
import hanalife.s.ln.lm.mapper.dto.UnrcvOccrBaseDTO;
import hanalife.s.ln.lm.mapper.dto.UnrcvProcDTO;

@Mapper("UnrcvProcMapper")
public interface UnrcvProcMapper {

	/**
	 * <pre>
	 * 메소드명      : createUnrcvOccrBase
	 * 작성일자      : 2023. 3. 13.
	 * 작성자(author): 70324 / WoongHee.Lee
	 * 설명          : 미수기본 생성
	 * 메소드인수1   :
	 * 메소드리턴값  :
	 * 예외처리      : Exception
	 * </pre>
	 */
	public UnrcvOccrBaseDTO createUnrcvOccrBase(UnrcvOccrBaseDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : selectUnrcvOccrDescForCncl
     * 작성일자      : 2023. 3. 13.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 취소처리 정산내역 확인
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */
    public UnrcvOccrAdjDescDTO selectUnrcvOccrDescForCncl(UnrcvOccrAdjDescDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : selectUnrcvOccrBase
     * 작성일자      : 2023. 3. 13.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 미수원장 확인
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */
    public UnrcvOccrBaseDTO selectUnrcvOccrBase(UnrcvOccrBaseDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : selectKcarUnrcv
     * 작성일자      : 2023. 3. 13.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 미수금 조회
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */
    public UnrcvOccrBaseDTO selectKcarUnrcv(UnrcvProcDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : updateUnrcvRamt
     * 작성일자      : 2023. 3. 13.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 미수잔액 수정
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */
    public UnrcvOccrBaseDTO updateUnrcvRamt(UnrcvOccrBaseDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : createUnrcvOccrAdjDesc
     * 작성일자      : 2023. 3. 13.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 미수내역 생성
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */
    public UnrcvOccrAdjDescDTO createUnrcvOccrAdjDesc(UnrcvOccrAdjDescDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : chkRcpt
     * 작성일자      : 2023. 3. 13.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 미수수납 체크
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */
    public UnrcvProcDTO chkRcpt(UnrcvProcDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명      : chkRamt
     * 작성일자      : 2023. 3. 13.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 잔액체크
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */
    public UnrcvOccrBaseDTO chkRamt(String unrcvNo) throws Exception;

    /**
     * <pre>
     * 메소드명      : chkCreate
     * 작성일자      : 2023. 3. 13.
     * 작성자(author): 70324 / WoongHee.Lee
     * 설명          : 발생정보 확인
     * 메소드인수1   :
     * 메소드리턴값  :
     * 예외처리      : Exception
     * </pre>
     */
    public UnrcvOccrBaseDTO chkCreate(UnrcvOccrBaseDTO inDto) throws Exception;

}
