package hanalife.s.ln.lm.vo;

import java.util.List;

/**
 * <pre>
 * 클래스　명 : LoanBaseOutVo
 * 클래스설명 : 상환계획생성의 InVo
 * 프로젝트명 : DOBSCAP
 * 작성　일자 : 2023-03-15
 * 변경　이력
 * -----------------------------------------------------------------------------
 * [변경  일자][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [18.08.01][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

public class LoanBaseInVO {

	private String loanNo; //대출번호
	private String loanSeq; //대출순번
	private String prdtCd; //상품코드
	private String prdtLrgeClasCd;//상품대분류
	private String prdtMidClasCd;//상품중분류
	private String prdtDivCd; //상품구분(현재 특정 용도 없음)
	private String rmbrPlanTypeDivCd; //상환계획유형구분코드(1.생성,2.시뮬레이션)
	private long loanPamt; //대출원금
	private int loanTerm; //대출기간
	private String setlDd; //기산일
	private String loanDt; //대출일자 = 이자계산시작일자
	private String fcntDueDt; //초회납입일자
	private String fcntMopaCalcFg; //초회월할여부
	private String adueFg; //선불여부
	//private String pdueYn; //선납여부
	private long discSum; //현가할인합계
	private double intnPrftRt; //내부수익율
	private String deferFg; //거치여부
	private String empNo; //담당자사번
	private String eprtDt; //만기일자
	private int lastTims; //최종회차
	private String histCreateFg; //이력생성여부

	private String defrIntDistFg; //거치이자배분 여부
	/* 중도상환용(거치이자배분 추가 2018-08-01) */
	private String chngIntStrtDt; //변경시작일자(중도변경시 이자시작일)
	private String chngSetlDt;//변경결제일자

	private long veaga;

	/**인사 임직원 대출용 시작**/
	private String lendEmpNo;
	private String lendKindCd;
	private int lendSeq;
	/**인사 임직원 대출용 끝**/

	//IRR 계산용 변수
	private long custTrtFee; //취급수수료 개인
	private long cprtComTrtFee; //취급수수료 제휴사
	private long cprtFee;//제휴수수료
	private long prFee;//판촉수수료
	private long frstStndPrFee;  //지급수수료
	private long setFee;         //설정료
	private long comStmpFee;     //인지대_회사부담금
	private long bsnAgntFeePay;  //대행수수료
	private long salePayAmt;     //판매수수료
	//실제이자율 추가 2018.01.03
	private double factIntRt;
	//취급수수료분납여부,금액 추가 2018-08-01
	private String trtFeeIstpFg;
	private long trtFeeIstpAmt;
	//2018-08-01-쌍용차 다이어트 할부(SY02W1)용 이자
	private boolean varMnrtPrdtFg;
	private double yyindInt1;
	private double yyindInt2;
	private double yyindInt3;
	private double yyindInt4;
	private double yyindInt5;

	private List piamtObjList; //대출원리금 정보

	private List rmbrPlanList; //금융투자일 경우 상환계획 리스트 정보

	private int chngTims;
	private String chngDt;
	// 응답코드
	private String rsltCd = "0000";   /** 결과코드 */
	private String rsltCntn = "";     /** 결과내용 */

	public String getLoanNo() {
		return loanNo;
	}

	public void setLoanNo(String loanNo) {
		this.loanNo = loanNo;
	}

	public String getLoanSeq() {
		return loanSeq;
	}

	public void setLoanSeq(String loanSeq) {
		this.loanSeq = loanSeq;
	}

	public String getPrdtCd() {
		return prdtCd;
	}

	public void setPrdtCd(String prdtCd) {
		this.prdtCd = prdtCd;
	}

	public String getPrdtLrgeClasCd() {
		return prdtLrgeClasCd;
	}

	public void setPrdtLrgeClasCd(String prdtLrgeClasCd) {
		this.prdtLrgeClasCd = prdtLrgeClasCd;
	}

	public String getPrdtMidClasCd() {
		return prdtMidClasCd;
	}

	public void setPrdtMidClasCd(String prdtMidClasCd) {
		this.prdtMidClasCd = prdtMidClasCd;
	}

	public String getPrdtDivCd() {
		return prdtDivCd;
	}

	public void setPrdtDivCd(String prdtDivCd) {
		this.prdtDivCd = prdtDivCd;
	}

	public String getRmbrPlanTypeDivCd() {
		return rmbrPlanTypeDivCd;
	}

	public void setRmbrPlanTypeDivCd(String rmbrPlanTypeDivCd) {
		this.rmbrPlanTypeDivCd = rmbrPlanTypeDivCd;
	}

	public long getLoanPamt() {
		return loanPamt;
	}

	public void setLoanPamt(long loanPamt) {
		this.loanPamt = loanPamt;
	}

	public int getLoanTerm() {
		return loanTerm;
	}

	public void setLoanTerm(int loanTerm) {
		this.loanTerm = loanTerm;
	}

	public String getSetlDd() {
		return setlDd;
	}

	public void setSetlDd(String setlDd) {
		this.setlDd = setlDd;
	}

	public String getLoanDt() {
		return loanDt;
	}

	public void setLoanDt(String loanDt) {
		this.loanDt = loanDt;
	}

	public String getFcntDueDt() {
		return fcntDueDt;
	}

	public void setFcntDueDt(String fcntDueDt) {
		this.fcntDueDt = fcntDueDt;
	}

	public String getFcntMopaCalcFg() {
		return fcntMopaCalcFg;
	}

	public void setFcntMopaCalcFg(String fcntMopaCalcFg) {
		this.fcntMopaCalcFg = fcntMopaCalcFg;
	}

	public String getAdueFg() {
		return adueFg;
	}

	public void setAdueFg(String adueFg) {
		this.adueFg = adueFg;
	}

	public long getDiscSum() {
		return discSum;
	}

	public void setDiscSum(long discSum) {
		this.discSum = discSum;
	}

	public double getIntnPrftRt() {
		return intnPrftRt;
	}

	public void setIntnPrftRt(double intnPrftRt) {
		this.intnPrftRt = intnPrftRt;
	}

	public String getDeferFg() {
		return deferFg;
	}

	public void setDeferFg(String deferFg) {
		this.deferFg = deferFg;
	}

	public String getEmpNo() {
		return empNo;
	}

	public void setEmpNo(String empNo) {
		this.empNo = empNo;
	}

	public String getEprtDt() {
		return eprtDt;
	}

	public void setEprtDt(String eprtDt) {
		this.eprtDt = eprtDt;
	}

	public int getLastTims() {
		return lastTims;
	}

	public void setLastTims(int lastTims) {
		this.lastTims = lastTims;
	}

	public String getHistCreateFg() {
		return histCreateFg;
	}

	public void setHistCreateFg(String histCreateFg) {
		this.histCreateFg = histCreateFg;
	}

	public String getDefrIntDistFg() {
		return defrIntDistFg;
	}

	public void setDefrIntDistFg(String defrIntDistFg) {
		this.defrIntDistFg = defrIntDistFg;
	}

	public String getChngIntStrtDt() {
		return chngIntStrtDt;
	}

	public void setChngIntStrtDt(String chngIntStrtDt) {
		this.chngIntStrtDt = chngIntStrtDt;
	}

	public String getChngSetlDt() {
		return chngSetlDt;
	}

	public void setChngSetlDt(String chngSetlDt) {
		this.chngSetlDt = chngSetlDt;
	}

	public long getVeaga() {
		return veaga;
	}

	public void setVeaga(long veaga) {
		this.veaga = veaga;
	}

	public String getLendEmpNo() {
		return lendEmpNo;
	}

	public void setLendEmpNo(String lendEmpNo) {
		this.lendEmpNo = lendEmpNo;
	}

	public String getLendKindCd() {
		return lendKindCd;
	}

	public void setLendKindCd(String lendKindCd) {
		this.lendKindCd = lendKindCd;
	}

	public int getLendSeq() {
		return lendSeq;
	}

	public void setLendSeq(int lendSeq) {
		this.lendSeq = lendSeq;
	}

	public long getCustTrtFee() {
		return custTrtFee;
	}

	public void setCustTrtFee(long custTrtFee) {
		this.custTrtFee = custTrtFee;
	}

	public long getCprtComTrtFee() {
		return cprtComTrtFee;
	}

	public void setCprtComTrtFee(long cprtComTrtFee) {
		this.cprtComTrtFee = cprtComTrtFee;
	}

	public long getCprtFee() {
		return cprtFee;
	}

	public void setCprtFee(long cprtFee) {
		this.cprtFee = cprtFee;
	}

	public long getPrFee() {
		return prFee;
	}

	public void setPrFee(long prFee) {
		this.prFee = prFee;
	}

	public long getFrstStndPrFee() {
		return frstStndPrFee;
	}

	public void setFrstStndPrFee(long frstStndPrFee) {
		this.frstStndPrFee = frstStndPrFee;
	}

	public long getSetFee() {
		return setFee;
	}

	public void setSetFee(long setFee) {
		this.setFee = setFee;
	}

	public long getComStmpFee() {
		return comStmpFee;
	}

	public void setComStmpFee(long comStmpFee) {
		this.comStmpFee = comStmpFee;
	}

	public long getBsnAgntFeePay() {
		return bsnAgntFeePay;
	}

	public void setBsnAgntFeePay(long bsnAgntFeePay) {
		this.bsnAgntFeePay = bsnAgntFeePay;
	}

	public long getSalePayAmt() {
		return salePayAmt;
	}

	public void setSalePayAmt(long salePayAmt) {
		this.salePayAmt = salePayAmt;
	}

	public double getFactIntRt() {
		return factIntRt;
	}

	public void setFactIntRt(double factIntRt) {
		this.factIntRt = factIntRt;
	}

	public String getTrtFeeIstpFg() {
		return trtFeeIstpFg;
	}

	public void setTrtFeeIstpFg(String trtFeeIstpFg) {
		this.trtFeeIstpFg = trtFeeIstpFg;
	}

	public long getTrtFeeIstpAmt() {
		return trtFeeIstpAmt;
	}

	public void setTrtFeeIstpAmt(long trtFeeIstpAmt) {
		this.trtFeeIstpAmt = trtFeeIstpAmt;
	}

	public boolean isVarMnrtPrdtFg() {
		return varMnrtPrdtFg;
	}

	public void setVarMnrtPrdtFg(boolean varMnrtPrdtFg) {
		this.varMnrtPrdtFg = varMnrtPrdtFg;
	}

	public double getYyindInt1() {
		return yyindInt1;
	}

	public void setYyindInt1(double yyindInt1) {
		this.yyindInt1 = yyindInt1;
	}

	public double getYyindInt2() {
		return yyindInt2;
	}

	public void setYyindInt2(double yyindInt2) {
		this.yyindInt2 = yyindInt2;
	}

	public double getYyindInt3() {
		return yyindInt3;
	}

	public void setYyindInt3(double yyindInt3) {
		this.yyindInt3 = yyindInt3;
	}

	public double getYyindInt4() {
		return yyindInt4;
	}

	public void setYyindInt4(double yyindInt4) {
		this.yyindInt4 = yyindInt4;
	}

	public double getYyindInt5() {
		return yyindInt5;
	}

	public void setYyindInt5(double yyindInt5) {
		this.yyindInt5 = yyindInt5;
	}

	public List getPiamtObjList() {
		return piamtObjList;
	}

	public void setPiamtObjList(List piamtObjList) {
		this.piamtObjList = piamtObjList;
	}

	public List getRmbrPlanList() {
		return rmbrPlanList;
	}

	public void setRmbrPlanList(List rmbrPlanList) {
		this.rmbrPlanList = rmbrPlanList;
	}

	public String getRsltCd() {
		return rsltCd;
	}

	public void setRsltCd(String rsltCd) {
		this.rsltCd = rsltCd;
	}

	public String getRsltCntn() {
		return rsltCntn;
	}

	public void setRsltCntn(String rsltCntn) {
		this.rsltCntn = rsltCntn;
	}

	public int getChngTims() {
		return chngTims;
	}

	public void setChngTims(int chngTims) {
		this.chngTims = chngTims;
	}

	public String getChngDt() {
		return chngDt;
	}

	public void setChngDt(String chngDt) {
		this.chngDt = chngDt;
	}

}
