package hanalife.s.ln.pm.service;

import java.util.List;

/**
 * <pre>
 * 클래스명    : DferIncdPrftCrteService
 * 클래스설명  : DferIncdPrftCrteService
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 22.
 * 작성자명    : 70279 / jung
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 22.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public interface DferIncdPrftCrteService {

	  /**
	   * <P>메소드명     : callDfreIncdPrftCrte</P>
	   * <P>설명        : 대출기본 조회 </P>
	   * <P>메소드인수1  : String - 대출번호, 대출순번, 사용자사번</P>
	   * <P>메소드리턴값 : DferIncdPrftBaseObj</P>
	   */
	  void callDfreIncdPrftCrte(String loanNo, String loanSeq, String empNo) throws Exception;

	  void dferIncdPrftUpdt(String loanNo, String loanSeq,
              String loanStatCd, String loanEndDt, String endCnclDt, String userEmpNo) throws Exception;

	  /**
	   * <p>메소드명		: dferIncdPrftUpdt</p>
	   * <p>설명		: 이연부대수익 기본 갱신</p>
	   * <p>메소드인수1	: 대출번호, 대출순번, 대출상태코드, 대출종료일자, 종료취소일자, 사용자사번</p>
	   * <p>메소드리턴값      : void</p>
	   */
	  void dferIncdPrftUpdt(List dferUpList) throws Exception;

	  /**
	   * <P>메소드명     : addDferIncdPrftCrte</P>
	   * <P>설명        : 추가 이연부대수익생성 </P>
	   * <P>메소드인수1  : String - 대출번호, 대출순번, 일련번호, 사용자사번</P>
	   * <P>메소드리턴값 : void</P>
	   */
	  void addDferIncdPrftCrte(String loanNo, String loanSeq, String snum, String empNo) throws Exception;

	  /**
	   * <P>메소드명     : prFeeDferIncdPrftCrte</P>
	   * <P>설명        : MC수수료 이연부대수익생성 </P>
	   * <P>메소드인수1  : String - 대출번호, 대출순번, 일련번호, 사용자사번</P>
	   * <P>메소드리턴값 : void</P>
	   */
	  void prFeeDferIncdPrftCrte(String loanNo, String loanSeq, String snum, String empNo) throws Exception;

	  /**
	   * <P>메소드명     : ucarFeeDferIncdPrftCrte</P>
	   * <P>설명        : 중고차 판촉 수수료 이연부대수익 스케줄 생성 </P>
	   * <P>메소드인수1  : 기준년월, 관리부서, 제휴사, 제휴점, 사용자사번</P>
	   * <P>메소드리턴값 : void</P>
	   */
	  void ucarFeeDferIncdPrftCrte(String stndYyMm, String mngDeptCd, String cprtComNo
			  , String cprtBranCd, long payAmt, String empNo) throws Exception;

	  /**
	   * <P>메소드명     : ucarFeeDferIncdPrftCrte</P>
	   * <P>설명        : 중고차 판촉 수수료 이연부대수익 스케줄 생성 </P>
	   * <P>메소드인수1  : 기준년월, 관리부서, 제휴사, 제휴점, 사용자사번</P>

	   * <P>메소드리턴값 : void</P>
	   */
	  void ucarFeeDferIncdPrftCrte(String loanNo, String loanSeq, long payAmt, String empNo) throws	Exception;

	  /**
	   * <P>메소드명     : plFeeDferIncdPrftCrte</P>
	   * <P>설명        : LC 수수료 이연부대수익 스케줄 생성 </P>
	   * <P>메소드인수1  : 기준년월, LC사번, 요율수당, 사용자사번</P>
	   * <P>메소드리턴값 : void</P>
	   */
	  void plFeeDferIncdPrftCrte(String stndYyMm, String lcEmpNo, long payAmt, String empNo) throws Exception;

	  /**
	   * <P>메소드명     : condChngDferIncdPrftCrte</P>
	   * <P>설명        : 조변후이연부대수익생성(취급수수료만 추가 </P>
	   * <P>메소드인수1  : String - 대출번호, 대출순번, 일련번호, 사용자사번</P>
	   * <P>메소드리턴값 : void</P>
	   */
	  void condChngDferIncdPrftCrte(String loanNo, String loanSeq
			  , long trtFee,String snum, String empNo) throws Exception;

	  /**
	   * <P>메소드명     : prFeeDferIncdPrftCrte2</P>
	   * <P>설명        : 판촉수수료이연부대수익처리</P>
	   * <P>메소드인수1  : String - 대출번호, 대출순번, 일련번호, 사용자사번</P>
	   * <P>메소드리턴값 : void</P>
	   */
	  void prFeeDferIncdPrftCrte2(String loanNo, String loanSeq,String snum,String empNo) throws Exception;

	  /**
	   * <P>메소드명     : acFeeDferIncdPrftCrte</P>
	   * <P>설명        : AC 수수료 이연부대수익 스케줄 생성 </P>
	   * <P>메소드인수1  : 기준년월, LC사번, 요율수당, 사용자사번</P>
	   * <P>메소드인수2  : Connection con</P>
	   * <P>메소드리턴값 : void</P>
	   */
	  void acFeeDferIncdPrftCrte(String stndYyMm, String lnDivsEmpNo, long payAmt, String empNo) throws Exception;
}
