package hanalife.s.mo.in.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.mo.in.mapper.dto.mciMngDSSDDTO;
import hanalife.s.mo.in.mapper.dto.mciMngDSSMDTO;
import hanalife.s.mo.in.mapper.dto.stSgiInsuTrDescDTO;

@Mapper("MciMngMapper")
public interface MciMngMapper {

	/**
	 * <pre>
	 * 메소드명      : searchUserMngList
	 * 작성일자      : 2023. 4. 3.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : MCI관리을(를) 조회 한다.
	 * 메소드인수1   : MCI관리 입력
	 * 메소드리턴값  : MCI관리 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<mciMngDSSDDTO> searchMciMngList(mciMngDSSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchMciMrtgList
	 * 작성일자      : 2023. 4. 3.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : MCI부동산담보정보을(를) 조회 한다.
	 * 메소드인수1   : MCI부동산담보정보 입력
	 * 메소드리턴값  : MCI부동산담보정보 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<mciMngDSSDDTO> searchMciMrtgList(mciMngDSSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchMciGramList
	 * 작성일자      : 2023. 4. 3.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : MCI전문송신용정보을(를) 조회 한다.
	 * 메소드인수1   : MCI전문송신용정보 입력
	 * 메소드리턴값  : MCI전문송신용정보 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<mciMngDSSDDTO> searchMciGramList(mciMngDSSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : registerStSgiInsuTrDesc
	 * 작성일자      : 2023. 4. 3.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : ST_SGI_보험거래내역(를) 등록 한다.
	 * 메소드인수1   : ST_SGI_보험거래내역 입력
	 * 메소드리턴값  : ST_SGI_보험거래내역 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int registerStSgiInsuTrDesc(stSgiInsuTrDescDTO inDto) throws Exception;

}