package hanalife.s.mo.in.service;

import hanalife.s.mo.in.vo.SMOINM04I01InVO;
import hanalife.s.mo.in.vo.SMOINM04I01OutVO;
import hanalife.s.mo.in.vo.SMOINM04S01InVO;
import hanalife.s.mo.in.vo.SMOINM04S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SMOINM04Service.java Class
 * 클래스설명   : MCI관리 (SMOINM04) Service Interface
 * 작성일자     : 2023. 4. 3.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 3.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getSMOINM04S01 : MCI관리목록조회
 * 				insSMOINM04I01 : MCI관리전문송신

 * </pre>
 */
public interface SMOINM04Service {

	/**
	 * <p>메소드명      : getSMOINM04S01 : MCI관리목록조회</p>
	 * <p>작성일자      : 2023. 4. 3.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : MCI관리 한다.</p>
	 * <p>메소드인수    : SMOINM04S01InVo </p>
	 * <p>메소드리턴값  : SMOINM04S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SMOINM04S01OutVO getSMOINM04S01(SMOINM04S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : registerSMOINM04I01 : MCI관리_ST_SGI_보험거래내역등록</p>
	 * <p>작성일자      : 2023. 4. 3.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : MCI관리 ST_SGI_보험거래내역 등록 한다.</p>
	 * <p>메소드인수    : SMOINM04I01InVo </p>
	 * <p>메소드리턴값  : SMOINM04I01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SMOINM04I01OutVO registerSMOINM04I01(SMOINM04I01InVO inVo) throws Exception;

}
