package hanalife.s.pd.pd.service;

import hanalife.s.pd.pd.vo.SPDPDM01InVO;
import hanalife.s.pd.pd.vo.SPDPDM01OutVO;

public interface SPDPDM01Service {


    /**
     * <p>메소드명      : getSelectMainInfo : 상품분류관리 기본정보 조회</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 상품분류관리 기본정보 조회 한다.</p>
     * <p>메소드인수    : SPDPDM01InVO </p>
     * <p>메소드리턴값  : SPDPDM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM01OutVO getSelectMainInfo(SPDPDM01InVO inVo) throws Exception;

    /**
     * <p>메소드명      : registerMainInfo : 상품분류관리_등록 </p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 상품분류관리_등록 한다.</p>
     * <p>메소드인수    : SPDPDM01InVO </p>
     * <p>메소드리턴값  : SPDPDM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM01OutVO registerMainInfo(SPDPDM01InVO targetVo) throws Exception;

    /**
     * <p>메소드명      : updateMainInfo : 상품분류관리_수정 </p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 상품분류관리_수정 한다.</p>
     * <p>메소드인수    : SPDPDM01InVO </p>
     * <p>메소드리턴값  : SPDPDM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM01OutVO updateMainInfo(SPDPDM01InVO targetVo) throws Exception;

    /**
     * <p>메소드명      : deleteMainInfo : 상품분류관리_삭제 </p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 상품분류관리_삭제 한다.</p>
     * <p>메소드인수    : SPDPDM01InVO </p>
     * <p>메소드리턴값  : SPDPDM01OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM01OutVO deleteMainInfo(SPDPDM01InVO targetVo) throws Exception;
}