package hanalife.s.pd.pd.service;

import hanalife.s.pd.pd.mapper.dto.SPDPDM02SD01OutDTO;
import hanalife.s.pd.pd.mapper.dto.SPDPDM02SD03OutDTO;
import hanalife.s.pd.pd.mapper.dto.SPDPDM02SD04OutDTO;
import hanalife.s.pd.pd.mapper.dto.SPDPDM02SD05OutDTO;
import hanalife.s.pd.pd.mapper.dto.SPDPDM02SD12OutDTO;
import hanalife.s.pd.pd.mapper.dto.SPDPDM02SM02OutDTO;
import hanalife.s.pd.pd.vo.SPDPDM02InVO;
import hanalife.s.pd.pd.vo.SPDPDM02OutVO;

public interface SPDPDM02Service {


    /**
     * <p>메소드명      : getSelectMainInfo : 상품관리 기본정보 조회</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 상품관리 기본정보 조회 한다.</p>
     * <p>메소드인수    : SPDPDM02InVO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO getSelectMainInfo(SPDPDM02InVO inVo) throws Exception;

    /**
     * <p>메소드명      : getSelectMidRmbrFeeRt : 상품관리 중도상환수수료율 조회</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 상품관리 중도상환수수료율 조회 한다.</p>
     * <p>메소드인수    : SPDPDM02InVO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO getSelectMidRmbrFeeRt(SPDPDM02InVO inVo) throws Exception;

    /**
     * <p>메소드명      : insertPrdtMng : 상품관리 등록</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 등록한다.</p>
     * <p>메소드인수    : SPDPDM02SM02OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO insertPrdtMng(SPDPDM02SM02OutDTO inVo) throws Exception;

    /**
     * <p>메소드명      : updatePrdtMng : 상품관리 수정</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 수정한다.</p>
     * <p>메소드인수    : SPDPDM02SM02OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO updatePrdtMng(SPDPDM02SM02OutDTO inVo) throws Exception;

    /**
     * <p>메소드명      : deletePrdtMng : 상품관리 삭제</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 삭제한다.</p>
     * <p>메소드인수    : SPDPDM02SM02OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO deletePrdtMng(SPDPDM02SM02OutDTO inVo) throws Exception;


    /**
     * <p>메소드명      : insertPiamtInfo : 상품관리 원리금정보 생성</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 생성한다.</p>
     * <p>메소드인수    : SPDPDM02SD01OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO insertPiamtInfo(SPDPDM02SD01OutDTO inVO) throws Exception;

    /**
     * <p>메소드명      : updatePiamtInfo : 상품관리 원리금정보 수정</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 수정한다.</p>
     * <p>메소드인수    : SPDPDM02SD01OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO updatePiamtInfo(SPDPDM02SD01OutDTO inVO) throws Exception;

    /**
     * <p>메소드명      : deletePiamtInfo : 상품관리 원리금정보 삭제</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 삭제한다.</p>
     * <p>메소드인수    : SPDPDM02SD01OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO deletePiamtInfo(SPDPDM02SD01OutDTO inVO) throws Exception;

    /**
     * <p>메소드명      : insertCondBase : 상품관리 상품조건 생성</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 생성한다.</p>
     * <p>메소드인수    : SPDPDM02SD03OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO insertCondBase(SPDPDM02SD03OutDTO inVO) throws Exception;

    /**
     * <p>메소드명      : updateCondBase : 상품관리 상품조건 수정</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 수정한다.</p>
     * <p>메소드인수    : SPDPDM02SD03OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO updateCondBase(SPDPDM02SD03OutDTO inVO) throws Exception;

    /**
     * <p>메소드명      : deleteCondBase : 상품관리 상품조건 삭제</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 삭제한다.</p>
     * <p>메소드인수    : SPDPDM02SD03OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO deleteCondBase(SPDPDM02SD03OutDTO inVO) throws Exception;

    /**
     * <p>메소드명      : insertCondDesc : 상품관리 상품조건내역 생성</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 생성한다.</p>
     * <p>메소드인수    : SPDPDM02SD04OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO insertCondDesc(SPDPDM02SD04OutDTO inVO) throws Exception;

    /**
     * <p>메소드명      : updateCondDesc : 상품관리 상품조건내역 수정</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 수정한다.</p>
     * <p>메소드인수    : SPDPDM02SD04OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO updateCondDesc(SPDPDM02SD04OutDTO inVO) throws Exception;

    /**
     * <p>메소드명      : deleteCondDesc : 상품관리 상품조건내역 삭제</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 삭제한다.</p>
     * <p>메소드인수    : SPDPDM02SD04OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO deleteCondDesc(SPDPDM02SD04OutDTO inVO) throws Exception;

    /**
     * <p>메소드명      : insertCondSpec : 상품관리 상품조건상세 생성</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 생성한다.</p>
     * <p>메소드인수    : SPDPDM02SD05OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO insertCondSpec(SPDPDM02SD05OutDTO inVO) throws Exception;


    /**
     * <p>메소드명      : updateCondSpec : 상품관리 상품조건상세 수정</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 수정한다.</p>
     * <p>메소드인수    : SPDPDM02SD05OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO updateCondSpec(SPDPDM02SD05OutDTO inVO) throws Exception;

    /**
     * <p>메소드명      : deleteCondSpec : 상품관리 상품조건상세 삭제</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 삭제한다.</p>
     * <p>메소드인수    : SPDPDM02SD05OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO deleteCondSpec(SPDPDM02SD05OutDTO inVO) throws Exception;

    /**
     * <p>메소드명      : insertMidRmbrFeeRt : 상품관리 중도상환수수료율 생성</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 생성한다.</p>
     * <p>메소드인수    : SPDPDM02SD12OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO insertMidRmbrFeeRt(SPDPDM02SD12OutDTO inVO) throws Exception;

    /**
     * <p>메소드명      : updateMidRmbrFeeRt : 상품관리 중도상환수수료율 수정</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 수정한다.</p>
     * <p>메소드인수    : SPDPDM02SD12OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO updateMidRmbrFeeRt(SPDPDM02SD12OutDTO inVO) throws Exception;

    /**
     * <p>메소드명      : deleteMidRmbrFeeRt : 상품관리 중도상환수수료율 삭제</p>
     * <p>작성일자      : 2023. 3. 13.
     * <p>작성자(author): 70319
     * <p>설명          : 입력받은 데이터를 1건 삭제한다.</p>
     * <p>메소드인수    : SPDPDM02SD12OutDTO </p>
     * <p>메소드리턴값  : SPDPDM02OutVO</p>
     * <p>예외처리      : Exception</p>
     */
    public SPDPDM02OutVO deleteMidRmbrFeeRt(SPDPDM02SD12OutDTO inVO) throws Exception;
}