package hanalife.s.pd.pd.vo;

import java.util.List;

import hanalife.s.pd.pd.mapper.dto.SPDPDM02SD01OutDTO;
import hanalife.s.pd.pd.mapper.dto.SPDPDM02SD03OutDTO;
import hanalife.s.pd.pd.mapper.dto.SPDPDM02SD04OutDTO;
import hanalife.s.pd.pd.mapper.dto.SPDPDM02SD05OutDTO;
import hanalife.s.pd.pd.mapper.dto.SPDPDM02SD12OutDTO;
import hanalife.s.pd.pd.mapper.dto.SPDPDM02SD13OutDTO;
import hanalife.s.pd.pd.mapper.dto.SPDPDM02SD14OutDTO;
import hanalife.s.pd.pd.mapper.dto.SPDPDM02SM02OutDTO;

/**
 * <pre>
 * 클래스명    : SPDPDM02OutVO.java Class
 * 클래스설명  : 상품관리 (SPDPDM01) 출력VO
 * 프로젝트명  : DOBSCAP
 * 작성일자    : 2023. 3. 13.
 * 작성자명    : 70319 / 가계대출 시스템 구축
 * 변경이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 13.][70319 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :
 * </pre>
 */
public class SPDPDM02OutVO {

    private List<SPDPDM02SM02OutDTO> SPDPDM02SM02OutDTO; //상품기본정보
    private List<SPDPDM02SD01OutDTO> SPDPDM02SD01OutDTO; //원리금구성조건
    private List<SPDPDM02SD03OutDTO> SPDPDM02SD03OutDTO; //상품구성조건
    private List<SPDPDM02SD04OutDTO> SPDPDM02SD04OutDTO; //상품구성조건내역
    private List<SPDPDM02SD05OutDTO> SPDPDM02SD05OutDTO; //상품구성조건상세
    private List<SPDPDM02SD12OutDTO> SPDPDM02SD12OutDTO; //중도상환수수료율
    private List<SPDPDM02SD13OutDTO> SPDPDM02SD13OutDTO; //상품운영조건
    private List<SPDPDM02SD14OutDTO> SPDPDM02SD14OutDTO; //상품운영조건상세

    public String rsltCd   = "0000";   /** 결과코드 */
    public String rsltCntn = "";       /** 결과내용 */

    public List<SPDPDM02SM02OutDTO> getSPDPDM02SM02OutDTO() {
		return SPDPDM02SM02OutDTO;
	}
	public void setSPDPDM02SM02OutDTO(List<SPDPDM02SM02OutDTO> sPDPDM02SM02OutDTO) {
		SPDPDM02SM02OutDTO = sPDPDM02SM02OutDTO;
	}
	public List<SPDPDM02SD01OutDTO> getSPDPDM02SD01OutDTO() {
		return SPDPDM02SD01OutDTO;
	}
	public void setSPDPDM02SD01OutDTO(List<SPDPDM02SD01OutDTO> sPDPDM02SD01OutDTO) {
		SPDPDM02SD01OutDTO = sPDPDM02SD01OutDTO;
	}
	public List<SPDPDM02SD03OutDTO> getSPDPDM02SD03OutDTO() {
		return SPDPDM02SD03OutDTO;
	}
	public void setSPDPDM02SD03OutDTO(List<SPDPDM02SD03OutDTO> sPDPDM02SD03OutDTO) {
		SPDPDM02SD03OutDTO = sPDPDM02SD03OutDTO;
	}
	public List<SPDPDM02SD04OutDTO> getSPDPDM02SD04OutDTO() {
		return SPDPDM02SD04OutDTO;
	}
	public void setSPDPDM02SD04OutDTO(List<SPDPDM02SD04OutDTO> sPDPDM02SD04OutDTO) {
		SPDPDM02SD04OutDTO = sPDPDM02SD04OutDTO;
	}
	public List<SPDPDM02SD05OutDTO> getSPDPDM02SD05OutDTO() {
		return SPDPDM02SD05OutDTO;
	}
	public void setSPDPDM02SD05OutDTO(List<SPDPDM02SD05OutDTO> sPDPDM02SD05OutDTO) {
		SPDPDM02SD05OutDTO = sPDPDM02SD05OutDTO;
	}
	public List<SPDPDM02SD12OutDTO> getSPDPDM02SD12OutDTO() {
		return SPDPDM02SD12OutDTO;
	}
	public void setSPDPDM02SD12OutDTO(List<SPDPDM02SD12OutDTO> sPDPDM02SD12OutDTO) {
		SPDPDM02SD12OutDTO = sPDPDM02SD12OutDTO;
	}
	public List<SPDPDM02SD13OutDTO> getSPDPDM02SD13OutDTO() {
		return SPDPDM02SD13OutDTO;
	}
	public void setSPDPDM02SD13OutDTO(List<SPDPDM02SD13OutDTO> sPDPDM02SD13OutDTO) {
		SPDPDM02SD13OutDTO = sPDPDM02SD13OutDTO;
	}
	public List<SPDPDM02SD14OutDTO> getSPDPDM02SD14OutDTO() {
		return SPDPDM02SD14OutDTO;
	}
	public void setSPDPDM02SD14OutDTO(List<SPDPDM02SD14OutDTO> sPDPDM02SD14OutDTO) {
		SPDPDM02SD14OutDTO = sPDPDM02SD14OutDTO;
	}
	public String getRsltCd() {
        return rsltCd;
    }
	public void setRsltCd(String rsltCd) {
        this.rsltCd = rsltCd;
    }
    public String getRsltCntn() {
        return rsltCntn;
    }
    public void setRsltCntn(String rsltCntn) {
        this.rsltCntn = rsltCntn;
    }
}