package hanalife.s.rm.rm.service;

import hanalife.s.rm.rm.vo.SRMRMM01InVO;
import hanalife.s.rm.rm.vo.SRMRMM01OutVO;


/**
 * <pre>
 * 프로젝트명  : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명    : SRMRMM01Service.java Class
 * 클래스설명  : RULE MAIN관리 (SRMRMM01S01) Service Interface
 * 작성일자    : 2023. 3. 28.
 * 작성자명    : 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [ 수정일자 ][ 수정자 ][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.03.28.][70280][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : SRMRMM01S02 : PRDT BASE 조회
 *            : SRMRMM01S03 : RULE 목록 조회 (PROD-IRULE 형식) 조회
 * </pre>
 */
public interface SRMRMM01Service
{
    /**
     * <p>메소드명        : SRMRMM01S02 : ST_PRDT_BASE 조회</p>
     * <p>작성일자        : 2023.04.13.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : PRDT_BASE 내역을 조회한다.</p>
     * <p>메소드인수      : SRMRMM01S01InVO </p>
     * <p>메소드리턴값    : SRMRMM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public SRMRMM01OutVO SRMRMM01S02(SRMRMM01InVO inVo) throws Exception;


    /**
     * <p>메소드명        : SRMRMM01S03 : RULE 목록 조회 (PROD-IRULE 형식) 조회</p>
     * <p>작성일자        : 2023.04.13.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : RULE 목록을 조회한다.</p>
     * <p>메소드인수      : SRMRMM01S01InVO </p>
     * <p>메소드리턴값    : SRMRMM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public SRMRMM01OutVO SRMRMM01S03(SRMRMM01InVO inVo) throws Exception;


    /**
     * <p>메소드명        : SRMRMM01S04 : 파라미터 목록 조회 (PROD-IRULE 형식) 조회</p>
     * <p>작성일자        : 2023.04.13.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : RULE 목록을 조회한다.</p>
     * <p>메소드인수      : SRMRMM01S01InVO </p>
     * <p>메소드리턴값    : SRMRMM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public SRMRMM01OutVO SRMRMM01S04(SRMRMM01InVO inVo) throws Exception;


    /**
     * <p>메소드명        : SRMRMM01S05 : PROD_IRULE 조회</p>
     * <p>작성일자        : 2023.04.13.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : PROD_IRULE 목록을 조회한다.</p>
     * <p>메소드인수      : SRMRMM01S01InVO </p>
     * <p>메소드리턴값    : SRMRMM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public SRMRMM01OutVO SRMRMM01S05(SRMRMM01InVO inVo) throws Exception;


    /**
     * <p>메소드명        : SRMRMM01I01 : PROD_IRULE 등록</p>
     * <p>작성일자        : 2023.04.13.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : PROD_IRULE 목록을 등록한다.</p>
     * <p>메소드인수      : SRMRMM01S01InVO </p>
     * <p>메소드리턴값    : SRMRMM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public SRMRMM01OutVO SRMRMM01I01(SRMRMM01InVO inVo) throws Exception;
}