package hanalife.s.rm.rm.service;

import hanalife.s.rm.rm.vo.SRMRMM03InVO;
import hanalife.s.rm.rm.vo.SRMRMM03OutVO;


/**
 * <pre>
 * 프로젝트명  : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명    : SRMRMM03Service.java Class
 * 클래스설명  : RULE SUB관리 (CBCCCM01S01) Service Interface
 * 작성일자    : 2023. 3. 28.
 * 작성자명    : 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [ 수정일자 ][ 수정자 ][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.03.28.][70280][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : SRMRMM03S01 : RULE MAIN 내역 조회
 * 서비스구성 : SRMRMM03S02 : RULE SUB 내역 조회
 * 서비스구성 : SRMRMM03I01 : RULE SUB 내역 등록
 * 서비스구성 : SRMRMM03U01 : RULE SUB 내역 수정
 * 서비스구성 : SRMRMM03D01 : RULE SUB 내역 삭제
 * </pre>
 */
public interface SRMRMM03Service
{
    /**
     * <p>메소드명        : SRMRMM03S01 : RULE MAIN 내역 조회(콤보박스)</p>
     * <p>작성일자        : 2023.04.13.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : RULE MAIN 내역을 조회한다.</p>
     * <p>메소드인수      : CBCCCM01S01InVO </p>
     * <p>메소드리턴값    : CBCCCM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public SRMRMM03OutVO SRMRMM03S01(SRMRMM03InVO inVo) throws Exception;


    /**
     * <p>메소드명        : SRMRMM03S01 : RULE SUB 내역 조회</p>
     * <p>작성일자        : 2023.04.13.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : RULE SUB 내역을 조회한다.</p>
     * <p>메소드인수      : CBCCCM01S01InVO </p>
     * <p>메소드리턴값    : CBCCCM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public SRMRMM03OutVO SRMRMM03S02(SRMRMM03InVO inVo) throws Exception;

    /**
     * <p>메소드명        : SRMRMM03S01 : RULE SUB 내역 등록</p>
     * <p>작성일자        : 2023.04.13.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : RULE SUB 내역을 등록한다.</p>
     * <p>메소드인수      : CBCCCM01S01InVO </p>
     * <p>메소드리턴값    : CBCCCM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public SRMRMM03OutVO SRMRMM03I01(SRMRMM03InVO inVo) throws Exception;

    /**
     * <p>메소드명        : SRMRMM03S01 : RULE SUB 내역 수정</p>
     * <p>작성일자        : 2023.04.13.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : RULE SUB 내역을 수정한다.</p>
     * <p>메소드인수      : CBCCCM01S01InVO </p>
     * <p>메소드리턴값    : CBCCCM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public SRMRMM03OutVO SRMRMM03U01(SRMRMM03InVO inVo) throws Exception;

    /**
     * <p>메소드명        : SRMRMM03S01 : RULE SUB 내역 삭제</p>
     * <p>작성일자        : 2023.04.13.
     * <p>작성자(author)  : 70280 / 성관용
     * <p>설명            : RULE SUB 내역을 삭제한다.</p>
     * <p>메소드인수      : CBCCCM01S01InVO </p>
     * <p>메소드리턴값    : CBCCCM01S01OutVO</p>
     * <p>예외처리        : Exception</p>
     */
    public SRMRMM03OutVO SRMRMM03D01(SRMRMM03InVO inVo) throws Exception;
}