package hanalife.s.sp.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.sp.as.mapper.dto.SSPASM02DSSDDTO;
import hanalife.s.sp.as.mapper.dto.SSPASM02DSSMDTO;

@Mapper("SSPASM02Mapper")
public interface SSPASM02Mapper {

    /**
     * <pre>
     * 메소드명		: srchLProvNm
     * 작성일자		: 2023.04.14.
     * 작성자(author)	: 70305 KBS
     * 설명			: 시도명 내역조회
     * 메소드인수1		: -
     * 메소드리턴값		: 시도명
     * 예외처리		: Exception
     * </pre>
     */
	public List<SSPASM02DSSDDTO> srchProvNm(SSPASM02DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: srchCigunguNm
     * 작성일자		: 2023.04.14.
     * 작성자(author)	: 70305 KBS
     * 설명			: 시군구명 내역조회
     * 메소드인수1		: 시도명
     * 메소드리턴값		: 시군구명
     * 예외처리		: Exception
     * </pre>
     */
	public List<SSPASM02DSSDDTO> srchCigunguNm(SSPASM02DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: srchEubmyundongNm
     * 작성일자		: 2023.04.14.
     * 작성자(author)	: 70305 KBS
     * 설명			: 읍면동명 내역조회
     * 메소드인수1		: 시군구명
     * 메소드리턴값		: 읍면동명
     * 예외처리		: Exception
     * </pre>
     */
	public List<SSPASM02DSSDDTO> srchEubmyundongNm(SSPASM02DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: srchRiNm
     * 작성일자		: 2023.04.14.
     * 작성자(author)	: 70305 KBS
     * 설명			: 리명 내역조회
     * 메소드인수1		: 읍면동명
     * 메소드리턴값		: 리명
     * 예외처리		: Exception
     * </pre>
     */
	public List<SSPASM02DSSDDTO> srchRiNm(SSPASM02DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: srchSpclZoneMng
     * 작성일자		: 2023.04.17.
     * 작성자(author)	: 70305 KBS
     * 설명			: 특수지역 내역조회
     * 메소드인수1		: 시도명, 시군구명, 읍면동명, 리명
     * 메소드리턴값		: 특수지역 관리내역
     * 예외처리		: Exception
     * </pre>
     */
	public List<SSPASM02DSSDDTO> srchSpclZoneMng(SSPASM02DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: insertSpclZoneMng
     * 작성일자		: 2023.04.20.
     * 작성자(author)	: 70305 KBS
     * 설명			: 특수지역관리내역 등록
     * 메소드인수1		: -
     * 메소드리턴값		: 특수지역내역 입력값
     * 예외처리		: Exception
     * </pre>
     */
	public void insertSpclZoneMng(SSPASM02DSSDDTO inDto) throws Exception;

     /**
     * <pre>
     * 메소드명		: deleteSpclZoneMng
     * 작성일자		: 2023.04.21.
     * 작성자(author)	: 70305 KBS
     * 설명			: 특수지역관리내역 삭제
     * 메소드인수1		: -
     * 메소드리턴값		: 특수지역내역 입력값
     * 예외처리		: Exception
     * </pre>
     */
   	public void deleteSpclZoneMng(SSPASM02DSSDDTO inDto) throws Exception;

}
