package hanalife.s.sp.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.sp.as.mapper.dto.SSPASM05DSSDDTO;
import hanalife.s.sp.as.mapper.dto.SSPASM05DSSMDTO;

@Mapper("SSPASM05Mapper")
public interface SSPASM05Mapper {

    /**
     * <pre>
     * 메소드명		: srchLDongCd01
     * 작성일자		: 2023.04.12.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB시도 조회
     * 메소드인수1		: N/A
     * 메소드리턴값		: 법정동_시/도 목록
     * 예외처리		: Exception
     * </pre>
     */
	public List<SSPASM05DSSDDTO> srchLDongCd01(SSPASM05DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: srchLDongCd02
     * 작성일자		: 2023.04.12.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB시군구 조회
     * 메소드인수1		: KB법정동_시/도
     * 메소드리턴값		: KB법정동_시/군/구 목록
     * 예외처리		: Exception
     * </pre>
     */
	public List<SSPASM05DSSDDTO> srchLDongCd02(SSPASM05DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: srchLDongCd03
     * 작성일자		: 2023.04.12.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB읍면동 조회
     * 메소드인수1		: KB법정동_시/군/구
     * 메소드리턴값		: KB법정동_읍/면/동 목록
     * 예외처리		: Exception
     * </pre>
     */
	public List<SSPASM05DSSDDTO> srchLDongCd03(SSPASM05DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: srchAptInfo
     * 작성일자		: 2023.04.12.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB아파트 조회
     * 메소드인수1		: KB법정동_읍/면/동
     * 메소드리턴값		: KB아파트명 목록
     * 예외처리		: Exception
     * </pre>
     */
	public List<SSPASM05DSSDDTO> srchAptNm(SSPASM05DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: srchStndDt
     * 작성일자		: 2023.04.12.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB기준일자 조회
     * 메소드인수1		: KB아파트명, 법정동코드, 부동산물건코드
     * 메소드리턴값		: KB아파트명 목록
     * 예외처리		: Exception
     * </pre>
     */
	public List<SSPASM05DSSDDTO> srchStndDt(SSPASM05DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: srchMkprInfo
     * 작성일자		: 2023.04.12.
     * 작성자(author)	: 70305 KBS
     * 설명			: KB시세정보 조회
     * 메소드인수1		: KB아파트명, 법정동코드, 부동산물건코드
     메소드리턴값		: KB아파트시세 목록
     * 예외처리		: Exception
     * </pre>
     */
	public List<SSPASM05DSSDDTO> srchMkprInfo(SSPASM05DSSMDTO inDto) throws Exception;

}
