package hanalife.s.sp.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.c.co.mapper.dto.StCssIncomeDTO;
import hanalife.s.sp.as.mapper.dto.SSPASP05CHECKSTATCNTDTO;

@Mapper("SSPASP05Mapper")
public interface SSPASP05Mapper
{
    /**
     * <pre>
     * 메소드명      : selectStCssIncomeList
     * 작성일자      : 2023.04.04.
     * 작성자(author): 70280 성관용
     * 설명          : 연소득 정보 목록을 조회한다.
     * 메소드인수1   : 연소득 조회 조건
     * 메소드리턴값  : 연소득 정보 목록
     * 예외처리      : Exception
     * </pre>
     */
    public List<StCssIncomeDTO> selectStCssIncomeList(StCssIncomeDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : selectStCssIncome
     * 작성일자      : 2023.04.04.
     * 작성자(author): 70280 성관용
     * 설명          : 연소득 정보를 조회한다.
     * 메소드인수1   : 연소득 조회 조건
     * 메소드리턴값  : 연소득 정보
     * 예외처리      : Exception
     * </pre>
     */
    public StCssIncomeDTO selectStCssIncome(StCssIncomeDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : selectStCssIncome
     * 작성일자      : 2023.04.04.
     * 작성자(author): 70280 성관용
     * 설명          : 연소득 정보를 저장
     * 메소드인수1   : 연소득 정보
     * 메소드리턴값  : 없음
     * 예외처리      : Exception
     * </pre>
     */
    public void insertStCssIncome(StCssIncomeDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : selectStCssIncome
     * 작성일자      : 2023.04.04.
     * 작성자(author): 70280 성관용
     * 설명          : 연소득 정보를 수정
     * 메소드인수1   : 연소득 정보
     * 메소드리턴값  : 없음
     * 예외처리      : Exception
     * </pre>
     */
    public void updateStCssIncome(StCssIncomeDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : selectStCssIncome
     * 작성일자      : 2023.04.04.
     * 작성자(author): 70280 성관용
     * 설명          : 연소득 정보를 삭제
     * 메소드인수1   : 연소득 정보
     * 메소드리턴값  : 없음
     * 예외처리      : Exception
     * </pre>
     */
    public void deleteStCssIncome(StCssIncomeDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명      : selectCheckStatCnt
     * 작성일자      : 2023.04.04.
     * 작성자(author): 70280 성관용
     * 설명          : 유효성 체크를 위한 본인/배우자의 소득정보 저장 건수를 조회한다
     * 메소드인수1   : 연소득 조회 조건
     * 메소드리턴값  : 연소득 저장 건수
     * 예외처리      : Exception
     * </pre>
     */
    public SSPASP05CHECKSTATCNTDTO selectCheckStatCnt(StCssIncomeDTO inDto) throws Exception;
}