package hanalife.s.sp.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.sp.as.mapper.dto.SSPASP10DSSDDTO;
import hanalife.s.sp.as.mapper.dto.SSPASP10DSSMDTO;

@Mapper("SSPASP10Mapper")
public interface SSPASP10Mapper {

    /**
     * <pre>
     * 메소드명		: srchAtrzMngm
     * 작성일자		: 2023.04.26.
     * 작성자(author)	: 70305 KBS
     * 설명			: 결재선관리 조회
     * 메소드인수1		: 로그인 user_no
     * 메소드리턴값		: -
     * 예외처리		: Exception
     * </pre>
     */
	public List<SSPASP10DSSDDTO> srchAtrzMngm(SSPASP10DSSMDTO inDto) throws Exception;


    /**
     * <pre>
     * 메소드명		: insertAtrzMngm
     * 작성일자		: 2023.04.28.
     * 작성자(author)	: 70305 KBS
     * 설명			: 결재선관리 저장
     * 예외처리		: Exception
     * </pre>
     */
	public void insertAtrzMngm(SSPASP10DSSDDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: deleteAtrzMngm
     * 작성일자		: 2023.04.28.
     * 작성자(author)	: 70305 KBS
     * 설명			: 결재선관리 삭제
     * 예외처리		: Exception
     * </pre>
     */
	public void deleteAtrzMngm(SSPASP10DSSDDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: selectAtrzMngmCount
     * 작성일자		: 2023.05.02.
     * 작성자(author)	: 70305 KBS
     * 설명			: 결재선관리_1차 심사자 등록 전 등록여부 조회
     * 예외처리		: Exception
     * </pre>
     */
	public String selectAtrzMngmCount(SSPASP10DSSDDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명		: insertAtrzMngmBase
     * 작성일자		: 2023.04.28.
     * 작성자(author)	: 70305 KBS
     * 설명			: 결재선관리_1차 심사자 등록
     * 예외처리		: Exception
     * </pre>
     */
	public void insertAtrzMngmBase(SSPASP10DSSDDTO inDto) throws Exception;

}
