package hanalife.s.sp.as.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.sp.as.mapper.dto.SSPASP12DSSDDTO;
import hanalife.s.sp.as.mapper.dto.SSPASP12DSSMDTO;
import hanalife.s.sp.as.vo.SSPASP12OutVO;

@Mapper("SSPASP12Mapper")
public interface SSPASP12Mapper {

    /**
     * <pre>
     * 메소드명 : srchArvdAgncMngm
     * 작성일자 : 2023.05.03.
     * 작성자(author) : 70305 KBS
     * 설명 : 전결권자대행목록 조회
     * 예외처리 : Exception
     * </pre>
     */
	public List<SSPASP12DSSDDTO> srchArvdAgncMngm(SSPASP12DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명: srchArvdAgncUser
     * 작성일자: 2023.05.03.
     * 작성자(author): 70305 KBS
     * 설명: 전결권자대행목록 조회
     * 예외처리: Exception
     * </pre>
     */
    public List<SSPASP12DSSDDTO> srchArvdAgncUser(SSPASP12DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명: updateArvdAgncMngm
     * 작성일자: 2023.05.03.
     * 작성자(author): 70305 KBS
     * 설명: 전결권자대행상태 수정(해지)
     * 예외처리: Exception
     * </pre>
     */
    public SSPASP12OutVO updateArvdAgncMngm(SSPASP12DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명: insertArvdAgncMngm
     * 작성일자: 2023.05.08.
     * 작성자(author): 70305 KBS
     * 설명: 전결권자대행상태 등록
     * 예외처리: Exception
     * </pre>
     */
    public int insertArvdAgncMngm(SSPASP12DSSMDTO inDto) throws Exception;

    /**
     * <pre>
     * 메소드명: selectArvdAgncMngmCount
     * 작성일자: 2023.05.08.
     * 작성자(author): 70305 KBS
     * 설명: 전결권자대행상태 등록전 중복여부 조회
     * 예외처리: Exception
     * </pre>
     */
    public String selectArvdAgncMngmCount(SSPASP12DSSMDTO inDto) throws Exception;

}
