package hanalife.s.sp.as.mapper.dto;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : DlyReptDSSDDO01DTO.java Class
 * 클래스설명   : 거래처계좌관리를 위한 테이블 DTO(VO)
 * 작성일자     : 2023. 3. 6.
 * 작성자명     : 70324 / WoongHee.Lee / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 6.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CustAccInfoSrchDSCUSTACCINFOSDDTO {

	private String custNo;             // 고객번호
    private String bankCd;             // 은행코드
    private String acntNo;             // 계좌번호
    private String depoOwnNo;          // 예금주번호
    private String depoOwnnm;          // 예금주명
    private String depoOwnRelcd;       // 예금주_관계
    private String mainFg;             // 주거래_여부
    private String acntCfmDt;          // 계좌확인일자
    private String acntCfmEmpNo;       // 계좌확인사원번호
    private String acntUseDivCd;       // 계좌용도
    private String frstRegDt;          // 최초등록일자
    private String frstRegEmpNm;       // 최초등록자
    private String lastProcDt;         // 최종수정일자
    private String lastProcEmpNm;      // 최종수정자
    private String bankNm;             // 은행명
    private String cprtComNo;          // 제휴사번호
    private String cprtBranCd;         // 제휴점코드
    private String cprtBranNm;         // 제휴점
    private String frstRegEmpNo;       // 최초등록사원번호
    private String lastProcEmpNo;      // 최종처리사원번호

	public String getCustNo() {
		return custNo;
	}
	public void setCustNo(String custNo) {
		this.custNo = custNo;
	}
	public String getBankCd() {
		return bankCd;
	}
	public void setBankCd(String bankCd) {
		this.bankCd = bankCd;
	}
	public String getAcntNo() {
		return acntNo;
	}
	public void setAcntNo(String acntNo) {
		this.acntNo = acntNo;
	}
	public String getDepoOwnNo() {
		return depoOwnNo;
	}
	public void setDepoOwnNo(String depoOwnNo) {
		this.depoOwnNo = depoOwnNo;
	}
	public String getDepoOwnnm() {
		return depoOwnnm;
	}
	public void setDepoOwnnm(String depoOwnnm) {
		this.depoOwnnm = depoOwnnm;
	}
	public String getDepoOwnRelcd() {
		return depoOwnRelcd;
	}
	public void setDepoOwnRelcd(String depoOwnRelcd) {
		this.depoOwnRelcd = depoOwnRelcd;
	}
	public String getMainFg() {
		return mainFg;
	}
	public void setMainFg(String mainFg) {
		this.mainFg = mainFg;
	}
	public String getAcntCfmDt() {
		return acntCfmDt;
	}
	public void setAcntCfmDt(String acntCfmDt) {
		this.acntCfmDt = acntCfmDt;
	}
	public String getAcntCfmEmpNo() {
		return acntCfmEmpNo;
	}
	public void setAcntCfmEmpNo(String acntCfmEmpNo) {
		this.acntCfmEmpNo = acntCfmEmpNo;
	}
	public String getAcntUseDivCd() {
		return acntUseDivCd;
	}
	public void setAcntUseDivCd(String acntUseDivCd) {
		this.acntUseDivCd = acntUseDivCd;
	}
	public String getFrstRegDt() {
		return frstRegDt;
	}
	public void setFrstRegDt(String frstRegDt) {
		this.frstRegDt = frstRegDt;
	}
	public String getFrstRegEmpNm() {
		return frstRegEmpNm;
	}
	public void setFrstRegEmpNm(String frstRegEmpNm) {
		this.frstRegEmpNm = frstRegEmpNm;
	}
	public String getLastProcDt() {
		return lastProcDt;
	}
	public void setLastProcDt(String lastProcDt) {
		this.lastProcDt = lastProcDt;
	}
	public String getLastProcEmpNm() {
		return lastProcEmpNm;
	}
	public void setLastProcEmpNm(String lastProcEmpNm) {
		this.lastProcEmpNm = lastProcEmpNm;
	}
	public String getBankNm() {
		return bankNm;
	}
	public void setBankNm(String bankNm) {
		this.bankNm = bankNm;
	}
	public String getCprtComNo() {
		return cprtComNo;
	}
	public void setCprtComNo(String cprtComNo) {
		this.cprtComNo = cprtComNo;
	}
	public String getCprtBranCd() {
		return cprtBranCd;
	}
	public void setCprtBranCd(String cprtBranCd) {
		this.cprtBranCd = cprtBranCd;
	}
	public String getCprtBranNm() {
		return cprtBranNm;
	}
	public void setCprtBranNm(String cprtBranNm) {
		this.cprtBranNm = cprtBranNm;
	}
	public String getFrstRegEmpNo() {
		return frstRegEmpNo;
	}
	public void setFrstRegEmpNo(String frstRegEmpNo) {
		this.frstRegEmpNo = frstRegEmpNo;
	}
	public String getLastProcEmpNo() {
		return lastProcEmpNo;
	}
	public void setLastProcEmpNo(String lastProcEmpNo) {
		this.lastProcEmpNo = lastProcEmpNo;
	}

}
