package hanalife.s.sp.as.service;

import hanalife.s.sp.as.vo.SSPASM05InVO;
import hanalife.s.sp.as.vo.SSPASM05OutVO;

/**
 * <pre>
 * 프로젝트명	: 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명	: SSPASM05Service.java Class
 * 클래스설명	: KB아파트시세조회 (SSPASM05) Service Interface
 * 작성일자	: 2023.04.12.
 * 작성자명	: 70305 / KBS / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [수정일자][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.04.10.][70305 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :	getSSPASM05S01	: KB아파트시세조회_시도
 * 			getSSPASM05S02	: KB아파트시세조회_시군구
 *  		getSSPASM05S03	: KB아파트시세조회_읍면동
 *  		getSSPASM05S04	: KB아파트시세조회_아파트정보
 *          getSSPASM05S05	: KB아파트시세조회_조사기준일
 *          getSSPASM05S06	: KB아파트시세조회_시세
 * </pre>
 */

public interface SSPASM05Service
{
	/**
	 * <p>메소드명			: getSSPASM05S01 : KB아파트시세조회_시도</p>
	 * <p>작성일자			: 2023.04.12.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB아파트시세조회_시도 내역을 조회한다.</p>
	 * <p>메소드인수		: SSPASM05InVO </p>
	 * <p>메소드리턴값		: SSPASM05OutVO</p>
	 * <p>예외처리			: Exception</p>
	 */
    public SSPASM05OutVO getSSPASM05S01(SSPASM05InVO inVo) throws Exception;

	/**
	 * <p>메소드명			: getSSPASM05S02 : KB아파트시세조회_시군구</p>
	 * <p>작성일자			: 2023.04.12.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB아파트시세조회_시군구 내역을 조회한다.</p>
	 * <p>메소드인수		: SSPASM05InVO </p>
	 * <p>메소드리턴값		: SSPASM05OutVO</p>
	 * <p>예외처리			: Exception</p>
	 */
    public SSPASM05OutVO getSSPASM05S02(SSPASM05InVO inVo) throws Exception;

	/**
	 * <p>메소드명			: getSSPASM05S03 : KB아파트시세조회_읍면동</p>
	 * <p>작성일자			: 2023.04.12.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB아파트시세조회_읍면동 내역을 조회한다.</p>
	 * <p>메소드인수		: SSPASM05InVO </p>
	 * <p>메소드리턴값		: SSPASM05OutVO</p>
	 * <p>예외처리			: Exception</p>
	 */
    public SSPASM05OutVO getSSPASM05S03(SSPASM05InVO inVo) throws Exception;


	/**
	 * <p>메소드명			: getSSPASM05S04 : KB아파트시세조회_아파트</p>
	 * <p>작성일자			: 2023.04.12.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB아파트시세조회_아파트 내역을 조회한다.</p>
	 * <p>메소드인수		: SSPASM05InVO </p>
	 * <p>메소드리턴값		: SSPASM05OutVO</p>
	 * <p>예외처리			: Exception</p>
	 */
    public SSPASM05OutVO getSSPASM05S04(SSPASM05InVO inVo) throws Exception;

	/**
	 * <p>메소드명			: getSSPASM05S05 : KB아파트시세조회_조사기준일</p>
	 * <p>작성일자			: 2023.04.12.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB아파트시세조회_조사기준일 내역을 조회한다.</p>
	 * <p>메소드인수		: SSPASM05InVO </p>
	 * <p>메소드리턴값		: SSPASM05OutVO</p>
	 * <p>예외처리			: Exception</p>
	 */
    public SSPASM05OutVO getSSPASM05S05(SSPASM05InVO inVo) throws Exception;

	/**
	 * <p>메소드명			: getSSPASM05S06 : KB아파트시세조회_시세</p>
	 * <p>작성일자			: 2023.04.13.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB아파트시세조회_시세 내역을 조회한다.</p>
	 * <p>메소드인수		: SSPASM05InVO </p>
	 * <p>메소드리턴값		: SSPASM05OutVO</p>
	 * <p>예외처리			: Exception</p>
	 */
    public SSPASM05OutVO getSSPASM05S06(SSPASM05InVO inVo) throws Exception;

}