package hanalife.s.sp.as.service;

import hanalife.s.sp.as.vo.SSPASM06I01InVO;
import hanalife.s.sp.as.vo.SSPASM06I01OutVO;
import hanalife.s.sp.as.vo.SSPASM06S01InVO;
import hanalife.s.sp.as.vo.SSPASM06S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SSPASM06Service.java Class
 * 클래스설명   : 부동산관리 (SSPASM06) Service Interface
 * 작성일자     : 2023. 4. 17.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 17.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getSSPASM06S01 : 부동산관리목록조회
 * 				registerSSPASM06S01 : 부동산관리등록
 * 				modifySSPASM06S01 : 부동산관리수정
 * </pre>
 */
public interface SSPASM06Service {

	/**
	 * <p>메소드명      : getSSPASM06S01 : 부동산관리조회</p>
	 * <p>작성일자      : 2023. 4. 17.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 부동산관리 조회 한다.</p>
	 * <p>메소드인수    : SSPASM06S01InVo </p>
	 * <p>메소드리턴값  : SSPASM06S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SSPASM06S01OutVO getSSPASM06S01(SSPASM06S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : registerSSPASM06S01 : 부동산관리등록</p>
	 * <p>작성일자      : 2023. 4. 17.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 부동산관리 등록 한다.</p>
	 * <p>메소드인수    : SSPASM06S01InVo </p>
	 * <p>메소드리턴값  : SSPASM06S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SSPASM06I01OutVO registerSSPASM06S01(SSPASM06I01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : modifySSPASM06S01 : 부동산관리수정</p>
	 * <p>작성일자      : 2023. 4. 17.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 부동산관리 수정 한다.</p>
	 * <p>메소드인수    : SSPASM06S01InVo </p>
	 * <p>메소드리턴값  : SSPASM06S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SSPASM06I01OutVO modifySSPASM06S01(SSPASM06I01InVO inVo) throws Exception;

}
