package hanalife.s.sp.as.service;

import hanalife.s.sp.as.vo.SSPASP01InVO;
import hanalife.s.sp.as.vo.SSPASP01OutVO;

/**
 * <pre>
 * 프로젝트명	: 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명	: SSPASP01Service.java Class
 * 클래스설명	: KB아파트시세조회 (SSPASP01) Service Interface
 * 작성일자	: 2023.04.10.
 * 작성자명	: 70305 / KBS / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [수정일자][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.04.10.][70305 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :	getSSPASP01S01	: KB아파트시세조회_상세내역조회
 * 			getSSPASP02S02	: KB아파트시세조회_변동내역조회

 * </pre>
 */

public interface SSPASP01Service
{
	/**
	 * <p>메소드명			: getSSPASP01S01 : KB아파트시세조회_상세내역조회</p>
	 * <p>작성일자			: 2023.04.10.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB아파트시세조회_상세내역을 조회한다.</p>
	 * <p>메소드인수		: SSPASP01InVO </p>
	 * <p>메소드리턴값		: SSPASP01OutVO</p>
	 * <p>예외처리			: Exception</p>
	 */
    public SSPASP01OutVO getSSPASP01S01(SSPASP01InVO inVo) throws Exception;

	/**
	 * <p>메소드명			: getSSPASP01S02 : KB아파트시세조회_변동내역조회</p>
	 * <p>작성일자			: 2023.04.11.
	 * <p>작성자(author)	: 70305 / KBS
	 * <p>설명			: KB아파트시세조회_변동내역을 조회한다.</p>
	 * <p>메소드인수		: SSPASP01InVO </p>
	 * <p>메소드리턴값		: SSPASP01OutVO</p>
	 * <p>예외처리			: Exception</p>
	 */
    public SSPASP01OutVO getSSPASP01S02(SSPASP01InVO inVo) throws Exception;

}