package hanalife.s.sp.as.service;

import hanalife.s.sp.as.vo.SSPASP05S01InVO;
import hanalife.s.sp.as.vo.SSPASP05S01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SSPASP05Service.java Class
 * 클래스설명   : 연소득 (SSPASP05) Service Interface
 * 작성일자     : 2023.04.04.
 * 작성자명     : 70280 / 성관용 / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.04.04.][70280][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getSSPASP05S01 : 연소득 입력
 * </pre>
 */

public interface SSPASP05Service
{
    /**
     * <p>메소드명      : getSSPASP05S01 : 연소득 조회</p>
     * <p>작성일자      : 2023.04.04.
     * <p>작성자(author): 70280 / 성관용
     * <p>설명          : 연소득을 조회한다.</p>
     * <p>메소드인수    : SSPASP05S01InVo </p>
     * <p>메소드리턴값  : SSPASP05S01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public SSPASP05S01OutVO getSSPASP05S02(SSPASP05S01InVO inVo) throws Exception;

    /**
     * <p>메소드명      : getSSPASP05S01 : 연소득 등록</p>
     * <p>작성일자      : 2023.04.04.
     * <p>작성자(author): 70280 / 성관용
     * <p>설명          : 연소득을 조회한다.</p>
     * <p>메소드인수    : SSPASP05S01InVo </p>
     * <p>메소드리턴값  : SSPASP05S01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public SSPASP05S01OutVO insertStCssIncome(SSPASP05S01InVO inVo) throws Exception;

    /**
     * <p>메소드명      : getSSPASP05S01 : 연소득 삭제</p>
     * <p>작성일자      : 2023.04.04.
     * <p>작성자(author): 70280 / 성관용
     * <p>설명          : 연소득을 삭제한다.</p>
     * <p>메소드인수    : SSPASP05S01InVo </p>
     * <p>메소드리턴값  : SSPASP05S01OutVo</p>
     * <p>예외처리      : Exception</p>
     */
    public SSPASP05S01OutVO deleteStCssIncome(SSPASP05S01InVO inVo) throws Exception;
}