package hanalife.s.sp.as.service;

import hanalife.s.sp.as.vo.SSPASP06InVO;
import hanalife.s.sp.as.vo.SSPASP06OutVO;

/**
 * <pre>
 * 프로젝트명	: 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명	: SSPASP06Service.java Class
 * 클래스설명	: 심사의견등록 (SSPASP06) Service Interface
 * 작성일자	: 2023.05.12.
 * 작성자명	: 70398 / KBS / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [수정일자][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023.05.12.][70398 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :	getSSPASP12S01	: 심사의견등록 조회
 *          getSSPASP12S02	: 전결권자대행대상 조회
 *          getSSPASP12S03	: 전결권자대행상태 등록전 중복여부 조회
 *          updSSPASP12U01	: 전결대행자 수정(해지)
 *          insertSSPASP12	: 전결대행자 신규등록
 * </pre>
 */
public interface SSPASP06Service {
	/**
	 * <p> 메소드명		: getSSPASP06S01 / 심사의견등록 조회 </p>
	 * <p> 작성일자		: 2023.05.04. </p>
	 * <p> 작성자(author)	: 70305 / KBS </p>
	 * <p> 설명			: 심사의견등록 내역을 조회한다. </p>
	 * <p> 메소드인수		: SSPASP06InVO </p>
	 * <p> 메소드리턴값		: SSPASP06OutVO </p>
	 * <p> 예외처리		: Exception </p>
	 */
    public SSPASP06OutVO getSSPASP06S01(SSPASP06InVO inVo) throws Exception;


}
