package hanalife.s.xm.pv.mapper;

import java.util.List;

import org.egovframe.rte.psl.dataaccess.mapper.Mapper;

import hanalife.s.xm.pv.mapper.dto.FamMembRegDSCNTDTO;
import hanalife.s.xm.pv.mapper.dto.FamMembRegDSSDCDTO;
import hanalife.s.xm.pv.mapper.dto.FamMembRegDSSDDDTO;
import hanalife.s.xm.pv.mapper.dto.FamMembRegDSSDDTO;
import hanalife.s.xm.pv.mapper.dto.FamMembRegDSSDHDTO;
import hanalife.s.xm.pv.mapper.dto.FamMembRegDSSMDTO;

@Mapper("FamMembRegMapper")
public interface FamMembRegMapper {

    /**
     * <pre>
     * 메소드명      : selectFamMembCnt
     * 작성일자      : 2023. 5. 4.
     * 작성자(author): 70323 HeoHyemi
     * 설명          : 세대원수을(를) 조회 한다.
     * 메소드인수1   : 세대원수 입력
     * 메소드리턴값  : 세대원수 출력
     * 예외처리      : Exception
     * </pre>
     */
	public List<FamMembRegDSCNTDTO> selectFamMembCnt(FamMembRegDSSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : searchFamMembList
	 * 작성일자      : 2023. 5. 4.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 세대원등록을(를) 조회 한다.
	 * 메소드인수1   : 세대원등록 입력
	 * 메소드리턴값  : 세대원등록 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public List<FamMembRegDSSDDTO> searchFamMembList(FamMembRegDSSMDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : registerFamMembReg
	 * 작성일자      : 2023. 5. 4.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 세대원을(를) 등록 한다.
	 * 메소드인수1   : 세대원등록 입력
	 * 메소드리턴값  : 세대원등록 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int registerFamMembReg(FamMembRegDSSDCDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : modifyCtFamMembReg
	 * 작성일자      : 2023. 5. 4.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 세대원등록을(를) 수정 한다.
	 * 메소드인수1   : 세대원등록 입력
	 * 메소드리턴값  : 세대원등록 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int modifyFamMembReg(FamMembRegDSSDCDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : modifyHomsStep
	 * 작성일자      : 2023. 5. 4.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : HOMS 등록상태을(를) 수정 한다.
	 * 메소드인수1   : HOMS 등록상태 입력
	 * 메소드리턴값  : HOMS 등록상태 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int modifyHomsStep(FamMembRegDSSDHDTO inDto) throws Exception;

	/**
	 * <pre>
	 * 메소드명      : deleteCtFamMembReg
	 * 작성일자      : 2023. 5. 4.
	 * 작성자(author): 70323 HeoHyemi
	 * 설명          : 세대원등록을(를) 삭제 한다.
	 * 메소드인수1   : 세대원등록 입력
	 * 메소드리턴값  : 세대원등록 출력
	 * 예외처리      : Exception
	 * </pre>
	 */
	public int deleteFamMembReg(FamMembRegDSSDDDTO inDto) throws Exception;

}