package hanalife.s.xm.pv.service;

import hanalife.s.xm.pv.vo.SXMPVM01I01InVO;
import hanalife.s.xm.pv.vo.SXMPVM01S01InVO;
import hanalife.s.xm.pv.vo.SXMPVM01S01OutVO;

/**
 * <pre>
 * 프로젝트명	: 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명	: SXMPVM01Service.java Class
 * 클래스설명	: 심사리스트 (SXMPVM01) Service Interface
 * 작성일자	: 2023. 05. 03.
 * 작성자명	: 70398 / LJW / 가계대출 시스템 구축
 * Copyrightⓒ2022 Hana Life Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [ 수정일자 ][ 수정자 ][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 05. 03.][70398][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 :	getSXMPVM01S01	: 심사리스트내역 조회
 * 			getCSCPGM01S02	: 상수리스트관리내역 전 조회
 * 			saveCSCPGM05I01 : 상수리스트관리내역 등록
 * 			updCSCPGM01U01	: 상수리스트관리내역 수정
 * 			delCSCPGM01D01	: 상수리스트관리내역 삭제
 * 			getCSCPGM01S03	: 상수리스트내역 상세조회_성관용부장님요청
 * </pre>
 */
public interface SXMPVM01Service {

	/**
	 * <p>메소드명			: getSXMPVM01S01 : 심사리스트 내역조회</p>
	 * <p>작성일자			: 2023. 05. 03.
	 * <p>작성자(author)	: 70398 / LJW
	 * <p>설명			: 심사리스트내역을 조회한다.</p>
	 * <p>메소드인수		: SXMPVM01S01InVo </p>
	 * <p>메소드리턴값		: SXMPVM01OutVo</p>
	 * <p>예외처리			: Exception</p>
	 */
	public SXMPVM01S01OutVO getSXMPVM01S01(SXMPVM01S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명			: getSXMPVM01S02 : 대리결재자 조회</p>
	 * <p>작성일자			: 2023. 05. 11.
	 * <p>작성자(author)	: 70398 / LJW
	 * <p>설명			: 대리결재자를 조회한다.</p>
	 * <p>메소드인수		: SXMPVM01S01InVo </p>
	 * <p>메소드리턴값		: SXMPVM01OutVo</p>
	 * <p>예외처리			: Exception</p>
	 */
	public SXMPVM01S01OutVO getSXMPVM01S02(SXMPVM01S01InVO inVo) throws Exception;

    /**
     * <p>메소드명 : updSSPASP12U01 : 여신신청원장 진행상태 수정</p>
     * <p>작성일자 : 2023.05.10.
     * <p>작성자(author) : 70398 / LJW
     * <p>설명 : 여신신청원장 진행상태 수정한다.</p>
     * <p>메소드인수 : SXMPVM01S01InVo </p>
     * <p>메소드리턴값 : SXMPVM01OutVo</p>
     * <p>예외처리 : Exception</p>
     */
    public SXMPVM01S01OutVO updSXMPVM01U01(SXMPVM01I01InVO inVo) throws Exception;

    /**
     * <p>메소드명 : updSSPASP12U02 : 신청진행상태관리 진행상태 수정</p>
     * <p>작성일자 : 2023.05.10.
     * <p>작성자(author) : 70398 / LJW
     * <p>설명 : 신청진행상태관리 진행상태 수정한다.</p>
     * <p>메소드인수 : SXMPVM01S01InVo </p>
     * <p>메소드리턴값 : SXMPVM01OutVo</p>
     * <p>예외처리 : Exception</p>
     */
    public SXMPVM01S01OutVO updSXMPVM01U02(SXMPVM01I01InVO inVo) throws Exception;

}