package hanalife.s.xm.pv.service;

import hanalife.s.xm.pv.vo.SXMPVM03S01InVO;
import hanalife.s.xm.pv.vo.SXMPVM03S01OutVO;
import hanalife.s.xm.pv.vo.SXMPVM03U01InVO;
import hanalife.s.xm.pv.vo.SXMPVM03U01OutVO;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : SXMPVM03Service.java Class
 * 클래스설명   : 세대원등록 (SXMPVM03) Service Interface
 * 작성일자     : 2023. 5. 9.
 * 작성자명     : 70323 / HeoHyemi / 가계대출 시스템 구축
 * Copyrightⓒ2023 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 5. 9.][70323 ][최초작성]
 * -----------------------------------------------------------------------------
 * 서비스구성 : getSXMPVM03S01 : 세대원등록조회
 * 			 	registerSXMPVM03U01 : 세대원등록
 * 			 	modifySXMPVM03U01 : 세대원등록수정
 * 			 	deleteSXMPVM03U01 : 세대원등록삭제
 * </pre>
 */

public interface SXMPVM03Service {

	/**
	 * <p>메소드명      : getSXMPVM03S01 : 세대원등록조회</p>
	 * <p>작성일자      : 2023. 5. 9.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 세대원등록 조회한다.</p>
	 * <p>메소드인수    : SXMPVM03S01InVo </p>
	 * <p>메소드리턴값  : SXMPVM03S01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 */
	public SXMPVM03S01OutVO getSXMPVM03S01(SXMPVM03S01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : registerSXMPVM03U01 : 세대원등록</p>
	 * <p>작성일자      : 2023. 5. 9.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 세대원등록 등록한다.</p>
	 * <p>메소드인수    : SXMPVM03U01InVo </p>
	 * <p>메소드리턴값  : SXMPVM03U01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 * @return
	 */
	public SXMPVM03U01OutVO registerSXMPVM03U01(SXMPVM03U01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : modifySXMPVM03U01 : 세대원등록수정</p>
	 * <p>작성일자      : 2023. 5. 9.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 세대원등록 수정한다.</p>
	 * <p>메소드인수    : SXMPVM03U01InVo </p>
	 * <p>메소드리턴값  : SXMPVM03U01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 * @return
	 */
	public SXMPVM03U01OutVO modifySXMPVM03U01(SXMPVM03U01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : modifySXMPVM03U02 : HOMS 진행상태</p>
	 * <p>작성일자      : 2023. 5. 9.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : HOMS 진행상태 수정한다.</p>
	 * <p>메소드인수    : SXMPVM03U01InVo </p>
	 * <p>메소드리턴값  : SXMPVM03U01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 * @return
	 */
	public SXMPVM03U01OutVO modifySXMPVM03U02(SXMPVM03U01InVO inVo) throws Exception;

	/**
	 * <p>메소드명      : deleteSXMPVM03U01 : 세대원등록삭제</p>
	 * <p>작성일자      : 2023. 5. 9.
	 * <p>작성자(author): 70323 / HeoHyemi
	 * <p>설명          : 세대원등록 삭제한다.</p>
	 * <p>메소드인수    : SXMPVM03U01InVo </p>
	 * <p>메소드리턴값  : SXMPVM03U01OutVo</p>
	 * <p>예외처리      : Exception</p>
	 * @return
	 */
	public SXMPVM03U01OutVO deleteSXMPVM03U01(SXMPVM03U01InVO inVo) throws Exception;

}
