package hanalife.t.ch.on.mapper.dto;
/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : LoanApplInfoDTO.java Class
 * 클래스설명   : 대출_신청_정보 (HLFLADM.LOAN_APPL_INFO) DTO(VO)
 * 작성일자     : 2023. 3. 29.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class LoanApplInfoDTO {

    private String loanCnslNo;                   // 대출_상담_번호
    private String loanTerm;                     // 대출_기간
    private String mnrtTpCd;                     // 금리_유형_코드
    private String mnrtVarCyclCd;                // 금리_변동_주기_코드
    private String defrTerm;                     // 거치_기간
    private String rmbrMethCd;                   // 상환_방법_코드
    private String incoTpCd;                     // 소득_유형_코드
    private String spusIncoTotCd;                // 배우자_소득_합산_코드
    private String joinOwnDivCd;                 // 공동_소유_구분_코드
    private String bizNo;                        // 사업자등록_번호
    private String resiPlcSidoCd;                // 주민등록지_시도_코드
    private String resiPlcSidoNm;                // 주민등록지_시도_명
    private String resiPlcSigunguCd;             // 주민등록지_시군구_코드
    private String resiPlcSigunguNm;             // 주민등록지_시군구_명
    private String famDivCd;                     // 가족_구분_코드
    private String famNm;                        // 가족_명
    private String loanIamtBankCd;               // 대출금_입금_은행_코드
    private String loanIamtAcntNo;               // 대출금_입금_계좌
    private String jvnlKidYn;                    // 미성년_자녀_유무
    private String adltFamMembYn;                // 성년_세대원_유무
    private int agrFamMembCnt;                   // 동의_세대원_수
    private int agrJvnlCnt;                      // 동의_미성년자_수
    private String loanHopeDt;                   // 대출_희망_일자
    private String submDocCmplYn;                // 제출_서류_완료_유무
    private String spusResiNo;                   // 배우자_생년월일
    private String spusGndrCd;                   // 배우자_성별_코드
    private String spusNm;                       // 배우자_명
    private String spusCustResiNo;               // 배우자_주민번호
    private String cnclStagCd;                   // 취소_단계_코드
    private String notQlfcStagCd;                // 부적격_단계_코드
    private String notQlfcRsnNm;                 // 부적격_사유명
//    private Date regDttm;                        // 등록_일시
//    private String regManId;                     // 등록자_ID
//    private Date updtDttm;                       // 수정_일시
//    private String updtManId;                    // 수정자_ID


    public String getLoanCnslNo() {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }
    public String getLoanTerm() {
        return loanTerm;
    }
    public void setLoanTerm(String loanTerm) {
        this.loanTerm = loanTerm;
    }
    public String getMnrtTpCd() {
        return mnrtTpCd;
    }
    public void setMnrtTpCd(String mnrtTpCd) {
        this.mnrtTpCd = mnrtTpCd;
    }
    public String getMnrtVarCyclCd() {
        return mnrtVarCyclCd;
    }
    public void setMnrtVarCyclCd(String mnrtVarCyclCd) {
        this.mnrtVarCyclCd = mnrtVarCyclCd;
    }
    public String getDefrTerm() {
        return defrTerm;
    }
    public void setDefrTerm(String defrTerm) {
        this.defrTerm = defrTerm;
    }
    public String getRmbrMethCd() {
        return rmbrMethCd;
    }
    public void setRmbrMethCd(String rmbrMethCd) {
        this.rmbrMethCd = rmbrMethCd;
    }
    public String getIncoTpCd() {
        return incoTpCd;
    }
    public void setIncoTpCd(String incoTpCd) {
        this.incoTpCd = incoTpCd;
    }
    public String getSpusIncoTotCd() {
        return spusIncoTotCd;
    }
    public void setSpusIncoTotCd(String spusIncoTotCd) {
        this.spusIncoTotCd = spusIncoTotCd;
    }
    public String getJoinOwnDivCd() {
        return joinOwnDivCd;
    }
    public void setJoinOwnDivCd(String joinOwnDivCd) {
        this.joinOwnDivCd = joinOwnDivCd;
    }
    public String getBizNo() {
        return bizNo;
    }
    public void setBizNo(String bizNo) {
        this.bizNo = bizNo;
    }
    public String getResiPlcSidoCd() {
        return resiPlcSidoCd;
    }
    public void setResiPlcSidoCd(String resiPlcSidoCd) {
        this.resiPlcSidoCd = resiPlcSidoCd;
    }
    public String getResiPlcSidoNm() {
        return resiPlcSidoNm;
    }
    public void setResiPlcSidoNm(String resiPlcSidoNm) {
        this.resiPlcSidoNm = resiPlcSidoNm;
    }
    public String getResiPlcSigunguCd() {
        return resiPlcSigunguCd;
    }
    public void setResiPlcSigunguCd(String resiPlcSigunguCd) {
        this.resiPlcSigunguCd = resiPlcSigunguCd;
    }
    public String getResiPlcSigunguNm() {
        return resiPlcSigunguNm;
    }
    public void setResiPlcSigunguNm(String resiPlcSigunguNm) {
        this.resiPlcSigunguNm = resiPlcSigunguNm;
    }
    public String getFamDivCd() {
        return famDivCd;
    }
    public void setFamDivCd(String famDivCd) {
        this.famDivCd = famDivCd;
    }
    public String getFamNm() {
        return famNm;
    }
    public void setFamNm(String famNm) {
        this.famNm = famNm;
    }
    public String getLoanIamtBankCd() {
        return loanIamtBankCd;
    }
    public void setLoanIamtBankCd(String loanIamtBankCd) {
        this.loanIamtBankCd = loanIamtBankCd;
    }
    public String getLoanIamtAcntNo() {
        return loanIamtAcntNo;
    }
    public void setLoanIamtAcntNo(String loanIamtAcntNo) {
        this.loanIamtAcntNo = loanIamtAcntNo;
    }
    public String getJvnlKidYn() {
        return jvnlKidYn;
    }
    public void setJvnlKidYn(String jvnlKidYn) {
        this.jvnlKidYn = jvnlKidYn;
    }
    public String getAdltFamMembYn() {
        return adltFamMembYn;
    }
    public void setAdltFamMembYn(String adltFamMembYn) {
        this.adltFamMembYn = adltFamMembYn;
    }
    public int getAgrFamMembCnt() {
        return agrFamMembCnt;
    }
    public void setAgrFamMembCnt(int agrFamMembCnt) {
        this.agrFamMembCnt = agrFamMembCnt;
    }
    public int getAgrJvnlCnt() {
        return agrJvnlCnt;
    }
    public void setAgrJvnlCnt(int agrJvnlCnt) {
        this.agrJvnlCnt = agrJvnlCnt;
    }
    public String getLoanHopeDt() {
        return loanHopeDt;
    }
    public void setLoanHopeDt(String loanHopeDt) {
        this.loanHopeDt = loanHopeDt;
    }
    public String getSubmDocCmplYn() {
        return submDocCmplYn;
    }
    public void setSubmDocCmplYn(String submDocCmplYn) {
        this.submDocCmplYn = submDocCmplYn;
    }
    public String getSpusResiNo() {
        return spusResiNo;
    }
    public void setSpusResiNo(String spusResiNo) {
        this.spusResiNo = spusResiNo;
    }
    public String getSpusGndrCd() {
        return spusGndrCd;
    }
    public void setSpusGndrCd(String spusGndrCd) {
        this.spusGndrCd = spusGndrCd;
    }
    public String getSpusNm() {
        return spusNm;
    }
    public void setSpusNm(String spusNm) {
        this.spusNm = spusNm;
    }
    public String getSpusCustResiNo() {
        return spusCustResiNo;
    }
    public void setSpusCustResiNo(String spusCustResiNo) {
        this.spusCustResiNo = spusCustResiNo;
    }
    public String getCnclStagCd() {
        return cnclStagCd;
    }
    public void setCnclStagCd(String cnclStagCd) {
        this.cnclStagCd = cnclStagCd;
    }
    public String getNotQlfcStagCd() {
        return notQlfcStagCd;
    }
    public void setNotQlfcStagCd(String notQlfcStagCd) {
        this.notQlfcStagCd = notQlfcStagCd;
    }
    public String getNotQlfcRsnNm() {
        return notQlfcRsnNm;
    }
    public void setNotQlfcRsnNm(String notQlfcRsnNm) {
        this.notQlfcRsnNm = notQlfcRsnNm;
    }
}
