package hanalife.t.ch.on.mapper.dto;
/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : LoanApplSpecDTO.java Class
 * 클래스설명    : 대출_신청_상세(LOAN_APPL_SPEC) DTO
 * 작성일자     : 2023. 3. 29.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class LoanApplSpecDTO {

    private String loanCnslNo;                    // 대출_상담_번호
    private String loanObjCd;                     // 대출_목적_코드
    private String loanObjSpecCd;                 // 대출_목적_상세_코드
    private String preSeqLoanYn;                  // 선순위_대출_유무
    private int preSeqSetAmt;                     // 선순위_설정_금액
    private String hshdHousHoldCnt;               // 세대_주택_보유_수
    private String rentYn;                        // 임대_유무
    private String rmbrLoanBankCd;                // 상환_대출_은행_코드
    private String rmbrLoanBankNm;                // 상환_대출_은행명
    private String rmbrLoanDt;                    // 상환_대출_일자
    private int rmbrLoanAmt;                      // 상환_대출_금액
    private String specAddrDong;                  // 상세_주소_동
    private String specAddrHo;                    // 상세_주소_호수
    private String esttItdYn;                     // 부동산_소개_유무
    private int housHoldCnt;                      // 주택_보유_개수
    private String homeZipCd;                     // 자택_우편번호
    private String homeAddr;                      // 자택_주소
    private String homeSpecAddr;                  // 자택_상세주소
    private String comZipCd;                      // 회사_우편번호
    private String comAddr;                       // 회사_주소
    private String comSpecAddr;                   // 회사_상세주소
    private String comNm;                         // 회사명
    private String comDept;                       // 회사_부서
    private String comGrad;                       // 회사_직급
    private String psmtRecvDiv;                   // 우편물_수신_구분
    private String emal;                          // 이메일
    private String guidStmtRecvMeth1;             // 안내문_수신방법1
    private String guidStmtRecvMeth2;             // 안내문_수신방법2
    private String guidStmtRecvMeth3;             // 안내문_수신방법3
    private String guidStmtRecvDeny;              // 안내문_수신_거부
    private String rmrk;                          // 비고
//    private Date regDttm;                         // 등록_일시
//    private String regManId;                      // 등록자_ID
//    private Date updtDttm;                        // 수정_일시
//    private String updtManId;                     // 수정자_ID

    public String getLoanCnslNo() {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }
    public String getLoanObjCd() {
        return loanObjCd;
    }
    public void setLoanObjCd(String loanObjCd) {
        this.loanObjCd = loanObjCd;
    }
    public String getLoanObjSpecCd() {
        return loanObjSpecCd;
    }
    public void setLoanObjSpecCd(String loanObjSpecCd) {
        this.loanObjSpecCd = loanObjSpecCd;
    }
    public String getPreSeqLoanYn() {
        return preSeqLoanYn;
    }
    public void setPreSeqLoanYn(String preSeqLoanYn) {
        this.preSeqLoanYn = preSeqLoanYn;
    }
    public int getPreSeqSetAmt() {
        return preSeqSetAmt;
    }
    public void setPreSeqSetAmt(int preSeqSetAmt) {
        this.preSeqSetAmt = preSeqSetAmt;
    }
    public String getHshdHousHoldCnt() {
        return hshdHousHoldCnt;
    }
    public void setHshdHousHoldCnt(String hshdHousHoldCnt) {
        this.hshdHousHoldCnt = hshdHousHoldCnt;
    }
    public String getRentYn() {
        return rentYn;
    }
    public void setRentYn(String rentYn) {
        this.rentYn = rentYn;
    }
    public String getRmbrLoanBankCd() {
        return rmbrLoanBankCd;
    }
    public void setRmbrLoanBankCd(String rmbrLoanBankCd) {
        this.rmbrLoanBankCd = rmbrLoanBankCd;
    }
    public String getRmbrLoanBankNm() {
        return rmbrLoanBankNm;
    }
    public void setRmbrLoanBankNm(String rmbrLoanBankNm) {
        this.rmbrLoanBankNm = rmbrLoanBankNm;
    }
    public String getRmbrLoanDt() {
        return rmbrLoanDt;
    }
    public void setRmbrLoanDt(String rmbrLoanDt) {
        this.rmbrLoanDt = rmbrLoanDt;
    }
    public int getRmbrLoanAmt() {
        return rmbrLoanAmt;
    }
    public void setRmbrLoanAmt(int rmbrLoanAmt) {
        this.rmbrLoanAmt = rmbrLoanAmt;
    }
    public String getSpecAddrDong() {
        return specAddrDong;
    }
    public void setSpecAddrDong(String specAddrDong) {
        this.specAddrDong = specAddrDong;
    }
    public String getSpecAddrHo() {
        return specAddrHo;
    }
    public void setSpecAddrHo(String specAddrHo) {
        this.specAddrHo = specAddrHo;
    }
    public String getEsttItdYn() {
        return esttItdYn;
    }
    public void setEsttItdYn(String esttItdYn) {
        this.esttItdYn = esttItdYn;
    }
    public int getHousHoldCnt() {
        return housHoldCnt;
    }
    public void setHousHoldCnt(int housHoldCnt) {
        this.housHoldCnt = housHoldCnt;
    }
    public String getHomeZipCd() {
        return homeZipCd;
    }
    public void setHomeZipCd(String homeZipCd) {
        this.homeZipCd = homeZipCd;
    }
    public String getHomeAddr() {
        return homeAddr;
    }
    public void setHomeAddr(String homeAddr) {
        this.homeAddr = homeAddr;
    }
    public String getHomeSpecAddr() {
        return homeSpecAddr;
    }
    public void setHomeSpecAddr(String homeSpecAddr) {
        this.homeSpecAddr = homeSpecAddr;
    }
    public String getComZipCd() {
        return comZipCd;
    }
    public void setComZipCd(String comZipCd) {
        this.comZipCd = comZipCd;
    }
    public String getComAddr() {
        return comAddr;
    }
    public void setComAddr(String comAddr) {
        this.comAddr = comAddr;
    }
    public String getComSpecAddr() {
        return comSpecAddr;
    }
    public void setComSpecAddr(String comSpecAddr) {
        this.comSpecAddr = comSpecAddr;
    }
    public String getComNm() {
        return comNm;
    }
    public void setComNm(String comNm) {
        this.comNm = comNm;
    }
    public String getComDept() {
        return comDept;
    }
    public void setComDept(String comDept) {
        this.comDept = comDept;
    }
    public String getComGrad() {
        return comGrad;
    }
    public void setComGrad(String comGrad) {
        this.comGrad = comGrad;
    }
    public String getPsmtRecvDiv() {
        return psmtRecvDiv;
    }
    public void setPsmtRecvDiv(String psmtRecvDiv) {
        this.psmtRecvDiv = psmtRecvDiv;
    }
    public String getEmal() {
        return emal;
    }
    public void setEmal(String emal) {
        this.emal = emal;
    }
    public String getGuidStmtRecvMeth1() {
        return guidStmtRecvMeth1;
    }
    public void setGuidStmtRecvMeth1(String guidStmtRecvMeth1) {
        this.guidStmtRecvMeth1 = guidStmtRecvMeth1;
    }
    public String getGuidStmtRecvMeth2() {
        return guidStmtRecvMeth2;
    }
    public void setGuidStmtRecvMeth2(String guidStmtRecvMeth2) {
        this.guidStmtRecvMeth2 = guidStmtRecvMeth2;
    }
    public String getGuidStmtRecvMeth3() {
        return guidStmtRecvMeth3;
    }
    public void setGuidStmtRecvMeth3(String guidStmtRecvMeth3) {
        this.guidStmtRecvMeth3 = guidStmtRecvMeth3;
    }
    public String getGuidStmtRecvDeny() {
        return guidStmtRecvDeny;
    }
    public void setGuidStmtRecvDeny(String guidStmtRecvDeny) {
        this.guidStmtRecvDeny = guidStmtRecvDeny;
    }
    public String getRmrk() {
        return rmrk;
    }
    public void setRmrk(String rmrk) {
        this.rmrk = rmrk;
    }
}
