package hanalife.t.ch.on.mapper.dto;

import java.math.BigDecimal;

import hanalife.c.co.vo.AbstractVO;



/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : LoanCnslInfoDTO.java Class
 * 클래스설명   : 대출_상담_정보(HLFLADM.LOAN_CNSL_INFO) DTO(VO)
 * 작성일자     : 2023. 3. 29.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 29.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class LoanCnslInfoDTO extends AbstractVO {

    private static final long serialVersionUID = 1L;

    private String loanCnslNo;              /* 대출상담번호  */
    private String chnlCustNo;              /* 채널_고객_번호 */
    private String valdEndDt;               /* 유효_종료_일자 */
    private String vsitSaleYn;              /* 방문_판매_유무 */
    private String kbStndYmd;               /* KB_기준_년월일 */
    private String kbGodsRcgn;              /* KB_물건_식별자 */
    private long kbPntpSnum;                /* KB_평형_일련번호 */
    private String kbLdongCd;               /* KB_법정동코드 */
    private String zipCd;                   /* 우편번호 */
    private String roadBaseAddr;            /* 도로_기본_주소 */
    private String roadSpecAddr;            /* 도로_상세_주소 */
    private BigDecimal splyArea;            /* 공급_면적 */
    private BigDecimal euseArea;            /* 전용_면적 */
    private String kbOfhtFg;                /* KB_오피스텔_여부 */
    private String addrGrpNm;               /* 주소_단지_명 */
    private String housShopMixFg;           /* 주상복합_여부 */
    private String villaRowHousFg;          /* 빌라_연립_여부 */
    private String pntpDiv;                 /* 평형_구분 */
    private BigDecimal saleBtmlPrce;        /* 매매_하한_가격 */
    private BigDecimal saleUplmitPrce;      /* 매매_상한_가격 */
    private BigDecimal saleGenTrPrce;       /* 매매_일반_거래_가격 */
    private String mrtgKindCd;              /* 담보_종류_코드 */
    private String judgDivCd;               /* 감정_구분_코드 */
    private String florCnt;                 /* 층수 */
    private BigDecimal exptLoanAmt1;        /* 예상_대출_금액1 */
    private BigDecimal exptLoanMnrt1;       /* 예상_대출_금리1 */
    private BigDecimal exptLoanAmt2;        /* 예상_대출_금액2 */
    private BigDecimal exptLoanMnrt2;       /* 예상_대출_금리2 */
    private String mciEntrQlfcFg;           /* MCI_가입_적격_여부 */
    private String crdtInfoReadKey;         /* 신용_정보_조회_키 */
    private String cnslMemo;                /* 상담_메모 */
    private String judgRsltCd;              /* 판정_결과_코드 */
    private String judgRsltRsn;             /* 판정_결과_사유 */
//    private Date regDttm;                 /* 등록_일시 */
//    private String regManId;              /* 등록자_ID */
//    private Date updtDttm;                /* 수정_일시 */
//    private String updtManId;             /* 수정자_ID */


    public String getLoanCnslNo() {
        return loanCnslNo;
    }
    public void setLoanCnslNo(String loanCnslNo) {
        this.loanCnslNo = loanCnslNo;
    }
    public String getChnlCustNo() {
        return chnlCustNo;
    }
    public void setChnlCustNo(String chnlCustNo) {
        this.chnlCustNo = chnlCustNo;
    }
    public String getValdEndDt() {
        return valdEndDt;
    }
    public void setValdEndDt(String valdEndDt) {
        this.valdEndDt = valdEndDt;
    }
    public String getVsitSaleYn() {
        return vsitSaleYn;
    }
    public void setVsitSaleYn(String vsitSaleYn) {
        this.vsitSaleYn = vsitSaleYn;
    }
    public String getKbStndYmd() {
        return kbStndYmd;
    }
    public void setKbStndYmd(String kbStndYmd) {
        this.kbStndYmd = kbStndYmd;
    }
    public String getKbGodsRcgn() {
        return kbGodsRcgn;
    }
    public void setKbGodsRcgn(String kbGodsRcgn) {
        this.kbGodsRcgn = kbGodsRcgn;
    }
    public long getKbPntpSnum() {
        return kbPntpSnum;
    }
    public void setKbPntpSnum(long kbPntpSnum) {
        this.kbPntpSnum = kbPntpSnum;
    }
    public String getKbLdongCd() {
        return kbLdongCd;
    }
    public void setKbLdongCd(String kbLdongCd) {
        this.kbLdongCd = kbLdongCd;
    }
    public String getZipCd() {
        return zipCd;
    }
    public void setZipCd(String zipCd) {
        this.zipCd = zipCd;
    }
    public String getRoadBaseAddr() {
        return roadBaseAddr;
    }
    public void setRoadBaseAddr(String roadBaseAddr) {
        this.roadBaseAddr = roadBaseAddr;
    }
    public String getRoadSpecAddr() {
        return roadSpecAddr;
    }
    public void setRoadSpecAddr(String roadSpecAddr) {
        this.roadSpecAddr = roadSpecAddr;
    }
    public BigDecimal getSplyArea() {
        return splyArea;
    }
    public void setSplyArea(BigDecimal splyArea) {
        this.splyArea = splyArea;
    }
    public BigDecimal getEuseArea() {
        return euseArea;
    }
    public void setEuseArea(BigDecimal euseArea) {
        this.euseArea = euseArea;
    }
    public String getKbOfhtFg() {
        return kbOfhtFg;
    }
    public void setKbOfhtFg(String kbOfhtFg) {
        this.kbOfhtFg = kbOfhtFg;
    }
    public String getAddrGrpNm() {
        return addrGrpNm;
    }
    public void setAddrGrpNm(String addrGrpNm) {
        this.addrGrpNm = addrGrpNm;
    }
    public String getHousShopMixFg() {
        return housShopMixFg;
    }
    public void setHousShopMixFg(String housShopMixFg) {
        this.housShopMixFg = housShopMixFg;
    }
    public String getVillaRowHousFg() {
        return villaRowHousFg;
    }
    public void setVillaRowHousFg(String villaRowHousFg) {
        this.villaRowHousFg = villaRowHousFg;
    }
    public String getPntpDiv() {
        return pntpDiv;
    }
    public void setPntpDiv(String pntpDiv) {
        this.pntpDiv = pntpDiv;
    }
    public BigDecimal getSaleBtmlPrce() {
        return saleBtmlPrce;
    }
    public void setSaleBtmlPrce(BigDecimal saleBtmlPrce) {
        this.saleBtmlPrce = saleBtmlPrce;
    }
    public BigDecimal getSaleUplmitPrce() {
        return saleUplmitPrce;
    }
    public void setSaleUplmitPrce(BigDecimal saleUplmitPrce) {
        this.saleUplmitPrce = saleUplmitPrce;
    }
    public BigDecimal getSaleGenTrPrce() {
        return saleGenTrPrce;
    }
    public void setSaleGenTrPrce(BigDecimal saleGenTrPrce) {
        this.saleGenTrPrce = saleGenTrPrce;
    }
    public String getMrtgKindCd() {
        return mrtgKindCd;
    }
    public void setMrtgKindCd(String mrtgKindCd) {
        this.mrtgKindCd = mrtgKindCd;
    }
    public String getJudgDivCd() {
        return judgDivCd;
    }
    public void setJudgDivCd(String judgDivCd) {
        this.judgDivCd = judgDivCd;
    }
    public String getFlorCnt() {
        return florCnt;
    }
    public void setFlorCnt(String florCnt) {
        this.florCnt = florCnt;
    }
    public BigDecimal getExptLoanAmt1() {
        return exptLoanAmt1;
    }
    public void setExptLoanAmt1(BigDecimal exptLoanAmt1) {
        this.exptLoanAmt1 = exptLoanAmt1;
    }
    public BigDecimal getExptLoanMnrt1() {
        return exptLoanMnrt1;
    }
    public void setExptLoanMnrt1(BigDecimal exptLoanMnrt1) {
        this.exptLoanMnrt1 = exptLoanMnrt1;
    }
    public BigDecimal getExptLoanAmt2() {
        return exptLoanAmt2;
    }
    public void setExptLoanAmt2(BigDecimal exptLoanAmt2) {
        this.exptLoanAmt2 = exptLoanAmt2;
    }
    public BigDecimal getExptLoanMnrt2() {
        return exptLoanMnrt2;
    }
    public void setExptLoanMnrt2(BigDecimal exptLoanMnrt2) {
        this.exptLoanMnrt2 = exptLoanMnrt2;
    }
    public String getMciEntrQlfcFg() {
        return mciEntrQlfcFg;
    }
    public void setMciEntrQlfcFg(String mciEntrQlfcFg) {
        this.mciEntrQlfcFg = mciEntrQlfcFg;
    }
    public String getCrdtInfoReadKey() {
        return crdtInfoReadKey;
    }
    public void setCrdtInfoReadKey(String crdtInfoReadKey) {
        this.crdtInfoReadKey = crdtInfoReadKey;
    }
    public String getCnslMemo() {
        return cnslMemo;
    }
    public void setCnslMemo(String cnslMemo) {
        this.cnslMemo = cnslMemo;
    }
    public String getJudgRsltCd() {
        return judgRsltCd;
    }
    public void setJudgRsltCd(String judgRsltCd) {
        this.judgRsltCd = judgRsltCd;
    }
    public String getJudgRsltRsn() {
        return judgRsltRsn;
    }
    public void setJudgRsltRsn(String judgRsltRsn) {
        this.judgRsltRsn = judgRsltRsn;
    }




}
