package hanalife.t.comm.constants;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : IF_COMMON_DEFINE
 * 클래스설명   : 인터페이스에서 공통으로 사용하는 변수를 정의한 클래스
 * 작성일자     : 2023. 4. 27.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class IF_COMMON_DEFINE {

    /**  */

    public static int       KFB_MNG_NO   = 1;   // 신용정보원(연합회) 관리번호

    /** 신용정보원(KFB) 관리번호 */
    public synchronized static int getKfbMngNo() {
        if(KFB_MNG_NO > 400000) KFB_MNG_NO = 1;
        return KFB_MNG_NO++;
    }

    // AnyLink 대외기관코드
    public final static String EAI_KCB_ORGN_CD  = "";       // KCB
    public final static String EAI_KFB_ORGN_CD  = "KCI";    // 신정원 KFB : KCI
    public final static String EAI_SGI_ORGN_CD  = "";       //
    public final static String EAI_HI_ORGN_CD   = "";       //
    public final static String EAI_FT_ORGN_CD   = "";       //

    // 업무코드

    public final static String EAI_KCB_BSN_CD  = "";       // 신정원 KFB : KCI
    public final static String EAI_KFB_BSN_CD  = "KCJ";    // 신정원(KFB) 업무코드
    public final static String EAI_SGI_BSN_CD  = "";       //
    public final static String EAI_HI_BSN_CD   = "";       //
    public final static String EAI_FT_BSN_CD   = "";       //


    // KCB 관련
    public static final String   KCB_ORG_CODE               = "";   //대표기관코드
    public static final String   KCB_SYSTEM_ID              = "";   //

    // 신정원(KFB, KCI) 관련
    public static final String   KFB_TRANSACTION_CODE   = "CISIFPSOT";     // Transaction Code (old "KFBCIF   " CISIFPSOT)
    public static final String   KFB_SYSTEM_ID          = "90";         // System ID
    public static final String   KFB_ORG_CODE           = "L63";        // 대표기관코드
    public static final String   KFB_REQ_ORG_CD         = "2073006";    // 점포코드 (9999999)
    public static final String   KFB_READ_RQST_CD       = "0200";       // 전문종별코드
    public static final String   KFB_RE_READ_RQST_CD    = "0300";       // 전문종별코드 추가조회
    public static final String   KFB_TRCODE_900         = "900";        // 업무구분코드-900 (신용통합정보조회)
    public static final String   KFB_TRCODE_223         = "223";        // 업무구분코드-223 (개인회생 신청등 정보온라인조회)
    public static final String   KFB_TRCODE_236         = "236";        // 업무구분코드-236 (대출/단기대출실질 DSR 상세정보)
    public static final String   KFB_TRCODE_239         = "239";        // 업무구분코드-239 (주택관련대출 추가약정정보 조회)
    public static final String   KFB_TRCODE_237         = "237";        // 업무구분코드-237 (대출계약 철회정보 조회)
    public static final String   KFB_SNDRCV_FLAG         = "B";         // 송수신 Flag

}
