package hanalife.t.kc.on.vo;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : Kcb100SegEntity
 * 클래스설명    : 100 Segment  Entity (VO)
 * 작성일자     : 2023. 4. 19.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 19.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class KCB100SegEntity {

    private String segId;               // Segment ID
    private String scorDivCd;           // Score 구분코드
    private String stndDt;              // 기준일자
    private String errCd;               // 에러코드
    private String aplyExclRsnCd1;      // 적용배제사유코드1
    private String aplyExclRsnCd2;      // 적용배제사유코드2
    private String aplyExclRsnCd3;      // 적용배제사유코드3
    private String crdtAvsco;           // 신용평점
    private String crdtDgre;            // 신용등급
    private String allRank;             // 전체순위
    private String relVal1;             // 관련값1
    private String relVal2;             // 관련값2
    private String relVal3;             // 관련값3
    private String relVal4;             // 관련값4
    private String relVal5;             // 관련값5
    private String relVal6;             // 관련값6
    private String rsnCd1;              // 사유코드1
    private String rsnCd2;              // 사유코드2
    private String rsnCd3;              // 사유코드3
    private String rsnCd4;              // 사유코드4
    private String rsnCd5;              // 사유코드5
    private String rsnCd6;              // 사유코드6

    public String getSegId() {
        return segId;
    }

    public void setSegId(String segId) {
        this.segId = segId;
    }

    public String getScorDivCd() {
        return scorDivCd;
    }

    public void setScorDivCd(String scorDivCd) {
        this.scorDivCd = scorDivCd;
    }

    public String getStndDt() {
        return stndDt;
    }

    public void setStndDt(String stndDt) {
        this.stndDt = stndDt;
    }

    public String getErrCd() {
        return errCd;
    }

    public void setErrCd(String errCd) {
        this.errCd = errCd;
    }

    public String getAplyExclRsnCd1() {
        return aplyExclRsnCd1;
    }

    public void setAplyExclRsnCd1(String aplyExclRsnCd1) {
        this.aplyExclRsnCd1 = aplyExclRsnCd1;
    }

    public String getAplyExclRsnCd2() {
        return aplyExclRsnCd2;
    }

    public void setAplyExclRsnCd2(String aplyExclRsnCd2) {
        this.aplyExclRsnCd2 = aplyExclRsnCd2;
    }

    public String getAplyExclRsnCd3() {
        return aplyExclRsnCd3;
    }

    public void setAplyExclRsnCd3(String aplyExclRsnCd3) {
        this.aplyExclRsnCd3 = aplyExclRsnCd3;
    }

    public String getCrdtAvsco() {
        return crdtAvsco;
    }

    public void setCrdtAvsco(String crdtAvsco) {
        this.crdtAvsco = crdtAvsco;
    }

    public String getCrdtDgre() {
        return crdtDgre;
    }

    public void setCrdtDgre(String crdtDgre) {
        this.crdtDgre = crdtDgre;
    }

    public String getAllRank() {
        return allRank;
    }

    public void setAllRank(String allRank) {
        this.allRank = allRank;
    }

    public String getRelVal1() {
        return relVal1;
    }

    public void setRelVal1(String relVal1) {
        this.relVal1 = relVal1;
    }

    public String getRelVal2() {
        return relVal2;
    }

    public void setRelVal2(String relVal2) {
        this.relVal2 = relVal2;
    }

    public String getRelVal3() {
        return relVal3;
    }

    public void setRelVal3(String relVal3) {
        this.relVal3 = relVal3;
    }

    public String getRelVal4() {
        return relVal4;
    }

    public void setRelVal4(String relVal4) {
        this.relVal4 = relVal4;
    }

    public String getRelVal5() {
        return relVal5;
    }

    public void setRelVal5(String relVal5) {
        this.relVal5 = relVal5;
    }

    public String getRelVal6() {
        return relVal6;
    }

    public void setRelVal6(String relVal6) {
        this.relVal6 = relVal6;
    }

    public String getRsnCd1() {
        return rsnCd1;
    }

    public void setRsnCd1(String rsnCd1) {
        this.rsnCd1 = rsnCd1;
    }

    public String getRsnCd2() {
        return rsnCd2;
    }

    public void setRsnCd2(String rsnCd2) {
        this.rsnCd2 = rsnCd2;
    }

    public String getRsnCd3() {
        return rsnCd3;
    }

    public void setRsnCd3(String rsnCd3) {
        this.rsnCd3 = rsnCd3;
    }

    public String getRsnCd4() {
        return rsnCd4;
    }

    public void setRsnCd4(String rsnCd4) {
        this.rsnCd4 = rsnCd4;
    }

    public String getRsnCd5() {
        return rsnCd5;
    }

    public void setRsnCd5(String rsnCd5) {
        this.rsnCd5 = rsnCd5;
    }

    public String getRsnCd6() {
        return rsnCd6;
    }

    public void setRsnCd6(String rsnCd6) {
        this.rsnCd6 = rsnCd6;
    }

    public void setRecvObj(String recvData) {
        int totlByte = 0;
        byte[] convData = recvData.getBytes();

        setSegId            (new String(convData, totlByte += 0, 3).trim());
        setScorDivCd        (new String(convData, totlByte += 3, 9).trim());
        setStndDt           (new String(convData, totlByte += 9, 8).trim());
        setErrCd            (new String(convData, totlByte += 8, 1).trim());
        setAplyExclRsnCd1   (new String(convData, totlByte += 1, 4).trim());
        setAplyExclRsnCd2   (new String(convData, totlByte += 4, 4).trim());
        setAplyExclRsnCd3   (new String(convData, totlByte += 4, 4).trim());
        setCrdtAvsco        (new String(convData, totlByte += 4, 4).trim());    // 신용평점
        setCrdtDgre         (new String(convData, totlByte += 4, 2).trim());
        setAllRank          (new String(convData, totlByte += 2, 4).trim());
        setRelVal1          (new String(convData, totlByte += 4, 9).trim());
        setRelVal2          (new String(convData, totlByte += 9, 9).trim());
        setRelVal3          (new String(convData, totlByte += 9, 9).trim());
        setRelVal4          (new String(convData, totlByte += 9, 9).trim());
        setRelVal5          (new String(convData, totlByte += 9, 9).trim());
        setRelVal6          (new String(convData, totlByte += 9, 9).trim());
        setRsnCd1           (new String(convData, totlByte += 9, 4).trim());
        setRsnCd2           (new String(convData, totlByte += 4, 4).trim());
        setRsnCd3           (new String(convData, totlByte += 4, 4).trim());
        setRsnCd4           (new String(convData, totlByte += 4, 4).trim());
        setRsnCd5           (new String(convData, totlByte += 4, 4).trim());
        setRsnCd6           (new String(convData, totlByte += 4, 4).trim());
    }
}
