package hanalife.t.kc.on.vo;

import org.apache.log4j.Logger;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : Kcb103SegEntity
 * 클래스설명    : 103 Segment  Entity (VO)
 * 작성일자     : 2023. 4. 19.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 4. 19.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class KCB103SegEntity {

    private Logger log = Logger.getLogger(this.getClass().getName());

    private String segId;       // Segment ID
    private String profileCd;   // Profile 코드
    private String profileVal;  // Profile 결과값

    public KCB103SegEntity(){
        setSegId("");
        setProfileCd("");
        setProfileVal("");
    }

    public String getSegId() {
        return segId;
    }
    public void setSegId(String segId) {
        this.segId = segId;
    }
    public String getProfileCd() {
        return profileCd;
    }
    public void setProfileCd(String profileCd) {
        this.profileCd = profileCd;
    }
    public String getProfileVal() {
        return profileVal;
    }
    public void setProfileVal(String profileVal) {
        this.profileVal = profileVal;
    }

    public void setRecvObj(String recvData) {
        int totlByte = 0;
        byte[] convData = recvData.getBytes();

        setSegId        (new String(convData,totlByte+=0,3).trim());
        setProfileCd    (new String(convData,totlByte+=3,9).trim());
        setProfileVal   (new String(convData,totlByte+=9,9).trim());

        log.debug("### seg103 ###");
        log.debug(getSegId());
        log.debug(getProfileCd());
        log.debug(getProfileVal());
    }
}
