package hanalife.t.kc.on.vo;


/**
 * <pre>
 * 클래스명    : Kcb100RecvInfoEntity
 * 클래스설명 : KCB 응답정보부 Entity
 * 프로젝트명 : DOBSCAP
 * 작성일자    : 2018-08-01
 * 변경이력
 * -----------------------------------------------------------------------------
 * [변경일자 ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [20180801][두비스][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class KCB400RecvInfoEntity {

    private String confNo;                  // 01. 인증번호
    private String infoContFg;              // 02. 정보연속여부
    private String reRspnCnt;               // 03. 재요청횟수
    private String custTpCd;                // 04. 개인/법인구분코드
    private String resiNo;                  // 05. 주민등록번호 (custNo => resiNo)
    private String custNm;                  // 06. 성명
    private String infoExstChkBit;          // 07. 정보유무체크비트

    // 신용평점(CB Score)
    private String scoreTotCnt;             // 08. CB Score 총건수     (3)
    private String scoreTotRcvCnt;          // 09. CB Score 총송신건수   (3)
    private String scoreRcvCnt;             // 10. CB Score 응답건수    (2)

    // 신용요약정보_온라인
    private String cpsTotCnt;               // 11. CPS(Credit Profile Service) 총건수      (3)
    private String cpsTotRcvCnt;            // 12. CPS(Credit Profile Service) 총송신건수    (3)
    private String cpsRcvCnt;               // 13. CPS(Credit Profile Service) 응답건수     (3)

    public String getConfNo() {
        return confNo;
    }
    public void setConfNo(String confNo) {
        this.confNo = confNo;
    }
    public String getInfoContFg() {
        return infoContFg;
    }
    public void setInfoContFg(String infoContFg) {
        this.infoContFg = infoContFg;
    }
    public String getReRspnCnt() {
        return reRspnCnt;
    }
    public void setReRspnCnt(String reRspnCnt) {
        this.reRspnCnt = reRspnCnt;
    }
    public String getCustTpCd() {
        return custTpCd;
    }
    public void setCustTpCd(String custTpCd) {
        this.custTpCd = custTpCd;
    }
    public String getResiNo() {
        return resiNo;
    }
    public void setResiNo(String resiNo) {
        this.resiNo = resiNo;
    }
    public String getCustNm() {
        return custNm;
    }
    public void setCustNm(String custNm) {
        this.custNm = custNm;
    }
    public String getInfoExstChkBit() {
        return infoExstChkBit;
    }
    public void setInfoExstChkBit(String infoExstChkBit) {
        this.infoExstChkBit = infoExstChkBit;
    }
    public String getScoreTotCnt() {
        return scoreTotCnt;
    }
    public void setScoreTotCnt(String scoreTotCnt) {
        this.scoreTotCnt = scoreTotCnt;
    }
    public String getScoreTotRcvCnt() {
        return scoreTotRcvCnt;
    }
    public void setScoreTotRcvCnt(String scoreTotRcvCnt) {
        this.scoreTotRcvCnt = scoreTotRcvCnt;
    }
    public String getScoreRcvCnt() {
        return scoreRcvCnt;
    }
    public void setScoreRcvCnt(String scoreRcvCnt) {
        this.scoreRcvCnt = scoreRcvCnt;
    }
    public String getCpsTotCnt() {
        return cpsTotCnt;
    }
    public void setCpsTotCnt(String cpsTotCnt) {
        this.cpsTotCnt = cpsTotCnt;
    }
    public String getCpsTotRcvCnt() {
        return cpsTotRcvCnt;
    }
    public void setCpsTotRcvCnt(String cpsTotRcvCnt) {
        this.cpsTotRcvCnt = cpsTotRcvCnt;
    }
    public String getCpsRcvCnt() {
        return cpsRcvCnt;
    }
    public void setCpsRcvCnt(String cpsRcvCnt) {
        this.cpsRcvCnt = cpsRcvCnt;
    }

    public void setRecvObj(String recvData) {
        int totlByte = 0;
        byte[] convData = recvData.getBytes();

        setConfNo               (new String(convData,totlByte+=0,12).trim());           // 01. 인증번호              (12)
        setInfoContFg           (new String(convData,totlByte+=12,1).trim());           // 02. 정보연속여부            (1)
        setReRspnCnt            (new String(convData,totlByte+=1,2).trim());            // 03. 재요청횟수             (2)
        setCustTpCd             (new String(convData,totlByte+=2,1).trim());            // 04. 개인/법인구분코드        (1)
        setResiNo               (new String(convData,totlByte+=1,13).trim());           // 05. 주민등록번호            (13)
        setCustNm               (new String(convData,totlByte+=13,50).trim());          // 06. 성명                 (50)
        setInfoExstChkBit       (new String(convData,totlByte+=50,10).trim());          // 07. 정보유무체크비트          (10)

        // 100
        setScoreTotCnt          (new String(convData,totlByte+=10,3));                  // 08. CB Score 총건수     (3)
        setScoreTotRcvCnt       (new String(convData,totlByte+=3,3));                   // 09. CB Score 총송신건수   (3)
        setScoreRcvCnt          (new String(convData,totlByte+=3,2));                   // 10. CB Score 응답건수    (2)

        // 103
        setCpsTotCnt            (new String(convData,totlByte+=2,3));                   // 11. CPS(Credit Profile Service) 총건수      (3)
        setCpsTotRcvCnt         (new String(convData,totlByte+=3,3));                   // 12. CPS(Credit Profile Service) 총송신건수    (3)
        setCpsRcvCnt            (new String(convData,totlByte+=3,3));                   // 13. CPS(Credit Profile Service) 응답건수     (3)

    }

}
