package hanalife.t.kc.on.vo;

import hanalife.util.gram.GramUtil;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : KCB400Send100Entity
 * 클래스설명    : CPS 반복부 (요청), 100 Segment  Entity (VO)
 * 작성일자     : 2023. 5.  9.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 5.  9.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class KCB400Send100Entity {

    private int cnt;

    // segmentid, score구분, 업종코드 (01:은행업종/02:카드업종/03:캐피탈업종/04:보험업종/05:저축은행업종/06:대부업종)
    private String[][] rqstCode = {
    {"100","KRK000020","04"} , //개인신용평점 2.0
//  {"100","KRK000025","04"} , //개인신용평점 2.5
//  {"100","KKS000010","04"} , //K-SCORE 1.0
//  {"100","KBR000010","04"} , //파산예측평점
//
//  {"100","KMC110210","04"} , //서브프라임평점 1.0
//  {"100","KMC100220","04"} , //서브프라임평점 2.0(일반)
//  {"100","KMC110220","04"} , //서브프라임평점 2.0(업종특화)

    {"100","KPR000010","04"}  //R-Score 대부업대출 TYPE1
//  {"100","KPR000020","04"} , //R-Score 대부업대출 TYPE2
//  {"100","KPRA00010","04"} , //R-Score 통합
//  {"100","KPRS10010","04"} , //R-Score 장기카드대출
//  {"100","KPRS20010","04"} , //R-Score 캐피탈신용대출
//  {"100","KPRS31010","04"} , //R-Score 저축은행대출
//  {"100","KPRS32018","04"} , //R-Score 은행 서민금융상품
//  {"100","KPRS41010","04"} , //R-Score 은행신용대출
//  {"100","KPRS42018","04"}  //R-Score 중고차대출
    };

    public KCB400Send100Entity() {
        cnt = 0;

        for (int i = 0; i < rqstCode.length; i++) {
            cnt++;
        }
    }

    public String getSendStr100(){

        StringBuffer sendBuff = new StringBuffer();

        for (int i = 0; i < rqstCode.length; i++) {
            sendBuff.append(GramUtil.fillSpace(rqstCode[i][0],3));    // segmentid
            sendBuff.append(GramUtil.fillSpace(rqstCode[i][1],9));    // score구분
            sendBuff.append(GramUtil.fillSpace(rqstCode[i][2],2));    // 업종코드
        }
        return sendBuff.toString();
    }

    public String getSend100Cnt() {
        return cnt+"";
    }


}
