package hanalife.t.kf.on.vo;

import java.util.ArrayList;
import java.util.List;

import hanalife.util.gram.GramUtil;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : KFB0200237Entity
 * 클래스설명    : [신정원] 대출계약 철회정보 조회(0200/237) 용 Entity (VO)
 * 작성일자     : 2023. 5. 05.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 5. 05.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@SuppressWarnings("rawtypes")
public class KFB0200237Entity {

    private String regNo;                   // 주민(사업자)등록번호
    private String reason;                  // 자료이용목적
    private String viewAgreeFg;             // 조회 동의 여부
    private String allOrgStndDt;            // 전체기관 기준 일자
    private String appOrgStndDt;            // 해당기관 기준 일자
    private String comName;                 // 상호(기업체명)
    private String name;                    // 성명(대표자)
    private String jCode;                   // 직업 코드(미사용)
    private String upCode;                  // 업종 코드
    private String loanWdrwInfoMore;        // 대출계약 철회정보 More
    private String loanWdrwInfoTotCnt;      // 대출계약 철회정보 총 건수
    private String loanWdrwInfoReptCnt;     // 대출계약 철회정보 회보 건수
    private List   loanWdrwInfoArry;        // 대출계약 철회정보 회보 사항 (1 to 20 Times) → (100 × 20 = 2,000)


    // 생성자
    public KFB0200237Entity() {
        setRegNo                (GramUtil.fixEndZero("",13 ));     // 주민(사업자)등록번호 (13)
        setReason               (GramUtil.fixEndZero("", 2 ));     // 자료이용목적 (2)
        setViewAgreeFg          (GramUtil.fixEndZero("", 1 ));     // 조회 동의 여부 (1)
        setAllOrgStndDt         (GramUtil.fixEndZero("", 8 ));     // 전체기관 기준 일자 (8)
        setAppOrgStndDt         (GramUtil.fixEndZero("", 8 ));     // 해당기관 기준 일자 (8)
        setComName              (GramUtil.fixEndZero("",40 ));     // 상호(기업체명) (40)
        setName                 (GramUtil.fixEndZero("",20 ));     // 성명(대표자) (20)
        setJCode                (GramUtil.fixEndZero("", 2 ));     // 직업 코드(미사용) (2)
        setUpCode               (GramUtil.fixEndZero("", 4 ));     // 업종 코드 (4)
        setLoanWdrwInfoMore     (GramUtil.fixEndZero("", 1 ));     // 대출계약 철회정보 More (1)
        setLoanWdrwInfoTotCnt   (GramUtil.fixEndZero("", 3 ));     // 대출계약 철회정보 총 건수 (3)
        setLoanWdrwInfoReptCnt  (GramUtil.fixEndZero("", 2 ));     // 대출계약 철회정보 회보 건수 (2)
        setLoanWdrwInfoArry     (""                              );     // 대출계약 철회정보 회보 사항 (1 to 20 Times) → (100 × 20 = 2,000)
    }

    public String getRegNo                        () { return this.regNo                  ; }
    public String getReason                       () { return this.reason                 ; }
    public String getViewAgreeFg                  () { return this.viewAgreeFg            ; }
    public String getAllOrgStndDt                 () { return this.allOrgStndDt           ; }
    public String getAppOrgStndDt                 () { return this.appOrgStndDt           ; }
    public String getComName                      () { return this.comName                ; }
    public String getName                         () { return this.name                   ; }
    public String getJCode                        () { return this.jCode                  ; }
    public String getUpCode                       () { return this.upCode                 ; }
    public String getLoanWdrwInfoMore             () { return this.loanWdrwInfoMore       ; }
    public String getLoanWdrwInfoTotCnt           () { return this.loanWdrwInfoTotCnt     ; }
    public String getLoanWdrwInfoReptCnt          () { return this.loanWdrwInfoReptCnt    ; }
    public List   getLoanWdrwInfoArry             () { return this.loanWdrwInfoArry       ; }

    public void setRegNo                ( String regNo                ){ this.regNo                  = regNo                ; }
    public void setReason               ( String reason               ){ this.reason                 = reason               ; }
    public void setViewAgreeFg          ( String viewAgreeFg          ){ this.viewAgreeFg            = viewAgreeFg          ; }
    public void setAllOrgStndDt         ( String allOrgStndDt         ){ this.allOrgStndDt           = allOrgStndDt         ; }
    public void setAppOrgStndDt         ( String appOrgStndDt         ){ this.appOrgStndDt           = appOrgStndDt         ; }
    public void setComName              ( String comName              ){ this.comName                = comName              ; }
    public void setName                 ( String name                 ){ this.name                   = name                 ; }
    public void setJCode                ( String jCode                ){ this.jCode                  = jCode                ; }
    public void setUpCode               ( String upCode               ){ this.upCode                 = upCode               ; }
    public void setLoanWdrwInfoMore     ( String loanWdrwInfoMore     ){ this.loanWdrwInfoMore       = loanWdrwInfoMore     ; }
    public void setLoanWdrwInfoTotCnt   ( String loanWdrwInfoTotCnt   ){ this.loanWdrwInfoTotCnt     = loanWdrwInfoTotCnt   ; }
    public void setLoanWdrwInfoReptCnt  ( String loanWdrwInfoReptCnt  ){ this.loanWdrwInfoReptCnt    = loanWdrwInfoReptCnt  ; }
    // 추가약정 정보 회보 사항 (1 to 20 Times) → (140 × 20 = 2,800)
    public void setLoanWdrwInfoArry(String data){

        loanWdrwInfoArry = new ArrayList();

        byte[] convData = data.getBytes();
        int loanWdrwInfoReptCnt = Integer.parseInt(getLoanWdrwInfoReptCnt());
        int totlByte = -1;

        for (int i=0; i < loanWdrwInfoReptCnt; i++){
            String[] loanWdrw = new String[7];
            loanWdrw[0] = new String(convData,totlByte+= 1 , 4 );       // 등록(사유) 코드 (4)
            loanWdrw[1] = new String(convData,totlByte+= 4 , 7 );       // 점포 코드 (7)
            loanWdrw[2] = new String(convData,totlByte+= 7 , 20);       // 계좌번호 (20)
            loanWdrw[3] = new String(convData,totlByte+= 20, 8 );       // 발생일 (8)
            loanWdrw[4] = new String(convData,totlByte+= 8 , 8 );       // 계약 철회일자 (8)
            loanWdrw[5] = new String(convData,totlByte+= 8 , 8 );       // 처리일 (8)
            loanWdrw[6] = new String(convData,totlByte+= 8 , 45);       // SPACE (45)

            loanWdrwInfoArry.add(loanWdrw);
        }
    }


    /**
     * Send 보낼 문자열을 생성한다.
     */
    public String getSendStr() {
        StringBuffer sendBuff = new StringBuffer();

        sendBuff.append(getRegNo                        ());
        sendBuff.append(getReason                       ());
        sendBuff.append(getViewAgreeFg                  ());
        sendBuff.append(getAllOrgStndDt                 ());
        sendBuff.append(getAppOrgStndDt                 ());
        sendBuff.append(getComName                      ());
        sendBuff.append(getName                         ());
        sendBuff.append(getJCode                        ());
        sendBuff.append(getUpCode                       ());
        sendBuff.append(getLoanWdrwInfoMore             ());
        sendBuff.append(getLoanWdrwInfoTotCnt           ());
        sendBuff.append(getLoanWdrwInfoReptCnt          ());
        //sendBuff.append(getLoanWdrwInfoArry             ());

        return (sendBuff.toString());
    }

    public void setRecvObj(String recvData) {
        int totlByte = 0;
        byte[] convData = recvData.getBytes();

        setRegNo                (new String(convData,totlByte+=0 ,  13  ).trim());      // 주민(사업자)등록번호 (13)
        setReason               (new String(convData,totlByte+=13,  2   ).trim());      // 자료이용목적 (2)
        setViewAgreeFg          (new String(convData,totlByte+=2 ,  1   ).trim());      // 조회 동의 여부 (1)
        setAllOrgStndDt         (new String(convData,totlByte+=1 ,  8   ).trim());      // 전체기관 기준 일자 (8)
        setAppOrgStndDt         (new String(convData,totlByte+=8 ,  8   ).trim());      // 해당기관 기준 일자 (8)
        setComName              (new String(convData,totlByte+=8 ,  40  ).trim());      // 상호(기업체명) (40)
        setName                 (new String(convData,totlByte+=40,  20  ).trim());      // 성명(대표자) (20)
        setJCode                (new String(convData,totlByte+=20,  2   ).trim());      // 직업 코드(미사용) (2)
        setUpCode               (new String(convData,totlByte+=2 ,  4   ).trim());      // 업종 코드 (4)
        setLoanWdrwInfoMore     (new String(convData,totlByte+=4 ,  1   ).trim());      // 대출계약 철회정보 More (1)
        setLoanWdrwInfoTotCnt   (new String(convData,totlByte+=1 ,  3   ).trim());      // 대출계약 철회정보 총 건수 (3)
        setLoanWdrwInfoReptCnt  (new String(convData,totlByte+=3 ,  2   ).trim());      // 대출계약 철회정보 회보 건수 (2)
        setLoanWdrwInfoArry     (new String(convData,totlByte+=2 ,  convData.length-totlByte).trim());  // 추가약정 정보 회보 사항 (1 to 20 Times) → (140 × 20 = 2,800)
    }
}
