package hanalife.t.kf.on.vo;

import java.util.ArrayList;
import java.util.List;

/**
 * <pre>
 * 프로젝트명    : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : KFB0200900Entity
 * 클래스설명    : [신정원] 신용통합정보 조회(0200/900)  용 Entity (VO)
 * 작성일자     : 2023. 5. 01.
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 5. 01.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class KFB0200900Entity {

    private String regNo;                   // 주민(사업자, 법인)등록번호
    private String regNoDivCd;              // 주민(사업자, 법인)등록번호 구분
    private String reason;                  // 자료이용목적
    private String viewAgreeFg;             // 조회 동의 여부
    private String comName;                 // 상호(기업체명)
    private String name;                    // 성명(대표자)
    private String jCode;                   // 직업 코드(미사용)
    private String upCode;                  // 업종 코드
    private String fincTrLastUpdateDt;      // 금융거래정보 최종 Update 일자
    private String crdtPubLastUpdateDt;     // 신용도판단정보･공공정보 최종 Update 일자
    private String loanInfoLastUpdateDt;    // 대출･단기카드대출정보 최종 Update 일자
    private String deptInfoLastUpdateDt;    // 채무보증정보 최종 Update 일자
    private String corpRegNo;               // 법인(주민)등록번호
    private String crctAskMidFg;            // 정정 청구중
    private String fincTrInfoMore;          // 금융거래정보 More
    private String crdtPubInfoMore;         // 신용도판단정보･공공정보 More
    private String loanInfoMore;            // 대출･단기카드대출정보 More
    private String deptGuarInfoMore;        // 채무보증정보 More
    private String relManTotCnt;            // 관련인 총건수
    private String fincTrInfoTotCnt;        // 금융거래정보 총건수
    private String crdtJudInfoTotCnt;       // 신용도판단정보 총건수
    private String pubInfoTotCnt;           // 공공정보 총 건수
    private String space;                   // SPACE
    private String loanInfoTotCnt;          // 대출･단기카드대출정보 총건수
    private String deptGuarInfoTotCnt;      // 채무보증정보 총건수
    private String fincTrInfoReptCnt;       // 금융거래정보 회보 건수
    private String crdtPubInfoReptCnt;      // 신용도판단정보･공공정보 회보 건수
    private String loanInfoReptCnt;         // 대출･단기카드대출정보 회보 건수
    private String deptGuarReptCnt;         // 채무보증정보 회보 건수
    private String intgInfoReptCnt;         // 통합정보 회보 건수
    private List   intgInfoReptArray;       // 통합정보 회보사항 (0 to 20 Times) → (125 × 20 = 2,500)


    public String getRegNo                        () { return this.regNo                  ; }
    public String getRegNoDivCd                   () { return this.regNoDivCd             ; }
    public String getReason                       () { return this.reason                 ; }
    public String getViewAgreeFg                  () { return this.viewAgreeFg            ; }
    public String getComName                      () { return this.comName                ; }
    public String getName                         () { return this.name                   ; }
    public String getJCode                        () { return this.jCode                  ; }
    public String getUpCode                       () { return this.upCode                 ; }
    public String getFincTrLastUpdateDt           () { return this.fincTrLastUpdateDt     ; }
    public String getCrdtPubLastUpdateDt          () { return this.crdtPubLastUpdateDt    ; }
    public String getLoanInfoLastUpdateDt         () { return this.loanInfoLastUpdateDt   ; }
    public String getDeptInfoLastUpdateDt         () { return this.deptInfoLastUpdateDt   ; }
    public String getCorpRegNo                    () { return this.corpRegNo              ; }
    public String getCrctAskMidFg                 () { return this.crctAskMidFg           ; }
    public String getFincTrInfoMore               () { return this.fincTrInfoMore         ; }
    public String getCrdtPubInfoMore              () { return this.crdtPubInfoMore        ; }
    public String getLoanInfoMore                 () { return this.loanInfoMore           ; }
    public String getDeptGuarInfoMore             () { return this.deptGuarInfoMore       ; }
    public String getRelManTotCnt                 () { return this.relManTotCnt           ; }
    public String getFincTrInfoTotCnt             () { return this.fincTrInfoTotCnt       ; }
    public String getCrdtJudInfoTotCnt            () { return this.crdtJudInfoTotCnt      ; }
    public String getPubInfoTotCnt                () { return this.pubInfoTotCnt          ; }
    public String getSpace                        () { return this.space                  ; }
    public String getLoanInfoTotCnt               () { return this.loanInfoTotCnt         ; }
    public String getDeptGuarInfoTotCnt           () { return this.deptGuarInfoTotCnt     ; }
    public String getFincTrInfoReptCnt            () { return this.fincTrInfoReptCnt      ; }
    public String getCrdtPubInfoReptCnt           () { return this.crdtPubInfoReptCnt     ; }
    public String getLoanInfoReptCnt              () { return this.loanInfoReptCnt        ; }
    public String getDeptGuarReptCnt              () { return this.deptGuarReptCnt        ; }
    public String getIntgInfoReptCnt              () { return this.intgInfoReptCnt        ; }
    public List   getIntgInfoReptArray            () { return this.intgInfoReptArray      ; }


    public void setRegNo                ( String regNo                ){ this.regNo                  = regNo                ; }
    public void setRegNoDivCd           ( String regNoDivCd           ){ this.regNoDivCd             = regNoDivCd           ; }
    public void setReason               ( String reason               ){ this.reason                 = reason               ; }
    public void setViewAgreeFg          ( String viewAgreeFg          ){ this.viewAgreeFg            = viewAgreeFg          ; }
    public void setComName              ( String comName              ){ this.comName                = comName              ; }
    public void setName                 ( String name                 ){ this.name                   = name                 ; }
    public void setJCode                ( String jCode                ){ this.jCode                  = jCode                ; }
    public void setUpCode               ( String upCode               ){ this.upCode                 = upCode               ; }
    public void setFincTrLastUpdateDt   ( String fincTrLastUpdateDt   ){ this.fincTrLastUpdateDt     = fincTrLastUpdateDt   ; }
    public void setCrdtPubLastUpdateDt  ( String crdtPubLastUpdateDt  ){ this.crdtPubLastUpdateDt    = crdtPubLastUpdateDt  ; }
    public void setLoanInfoLastUpdateDt ( String loanInfoLastUpdateDt ){ this.loanInfoLastUpdateDt   = loanInfoLastUpdateDt ; }
    public void setDeptInfoLastUpdateDt ( String deptInfoLastUpdateDt ){ this.deptInfoLastUpdateDt   = deptInfoLastUpdateDt ; }
    public void setCorpRegNo            ( String corpRegNo            ){ this.corpRegNo              = corpRegNo            ; }
    public void setCrctAskMidFg         ( String crctAskMidFg         ){ this.crctAskMidFg           = crctAskMidFg         ; }
    public void setFincTrInfoMore       ( String fincTrInfoMore       ){ this.fincTrInfoMore         = fincTrInfoMore       ; }
    public void setCrdtPubInfoMore      ( String crdtPubInfoMore      ){ this.crdtPubInfoMore        = crdtPubInfoMore      ; }
    public void setLoanInfoMore         ( String loanInfoMore         ){ this.loanInfoMore           = loanInfoMore         ; }
    public void setDeptGuarInfoMore     ( String deptGuarInfoMore     ){ this.deptGuarInfoMore       = deptGuarInfoMore     ; }
    public void setRelManTotCnt         ( String relManTotCnt         ){ this.relManTotCnt           = relManTotCnt         ; }
    public void setFincTrInfoTotCnt     ( String fincTrInfoTotCnt     ){ this.fincTrInfoTotCnt       = fincTrInfoTotCnt     ; }
    public void setCrdtJudInfoTotCnt    ( String crdtJudInfoTotCnt    ){ this.crdtJudInfoTotCnt      = crdtJudInfoTotCnt    ; }
    public void setPubInfoTotCnt        ( String pubInfoTotCnt        ){ this.pubInfoTotCnt          = pubInfoTotCnt        ; }
    public void setSpace                ( String space                ){ this.space                  = space                ; }
    public void setLoanInfoTotCnt       ( String loanInfoTotCnt       ){ this.loanInfoTotCnt         = loanInfoTotCnt       ; }
    public void setDeptGuarInfoTotCnt   ( String deptGuarInfoTotCnt   ){ this.deptGuarInfoTotCnt     = deptGuarInfoTotCnt   ; }
    public void setFincTrInfoReptCnt    ( String fincTrInfoReptCnt    ){ this.fincTrInfoReptCnt      = fincTrInfoReptCnt    ; }
    public void setCrdtPubInfoReptCnt   ( String crdtPubInfoReptCnt   ){ this.crdtPubInfoReptCnt     = crdtPubInfoReptCnt   ; }
    public void setLoanInfoReptCnt      ( String loanInfoReptCnt      ){ this.loanInfoReptCnt        = loanInfoReptCnt      ; }
    public void setDeptGuarReptCnt      ( String deptGuarReptCnt      ){ this.deptGuarReptCnt        = deptGuarReptCnt      ; }
    public void setIntgInfoReptCnt      ( String intgInfoReptCnt      ){ this.intgInfoReptCnt        = intgInfoReptCnt      ; }
    // 통합정보 회보사항 (0 to 20 Times) → (125 × 20 = 2,500)
    public void setInfoReptArray(String data){
        intgInfoReptArray = new ArrayList();

        byte[] convData = data.getBytes();
        int intgInfoReptCnt = Integer.parseInt(getIntgInfoReptCnt());
        int totlByte = -1;

        for (int i=0; i < intgInfoReptCnt; i++){
            String[] rsltData = new String[7];
            rsltData[0] = new String(convData,totlByte+= 1 , 2 );       // 자료 구분 (2))
            rsltData[1] = new String(convData,totlByte+= 2 , 1 );       // 사유 구분 코드 (1)
            rsltData[2] = new String(convData,totlByte+= 1 , 4 );       // 등록 사유 (4)
            rsltData[3] = new String(convData,totlByte+= 4 , 20);       // 계좌 번호 (20)
            rsltData[4] = new String(convData,totlByte+= 20, 7 );       // 등록 점포 (7)
            rsltData[5] = new String(convData,totlByte+= 7 , 8 );       // 발생일 (8)
            rsltData[6] = new String(convData,totlByte+= 8 , 8 );       // 해제일 (변동일) (8)
            rsltData[6] = new String(convData,totlByte+= 8 , 8 );       // 통보일 (8)
            rsltData[6] = new String(convData,totlByte+= 8 , 10);       // 등록금액 (단위 : 천원) (10)
            rsltData[6] = new String(convData,totlByte+= 10, 10);       // 연체금액 (단위 : 천원) (10)
            rsltData[6] = new String(convData,totlByte+= 10, 2 );       // 해제구분코드 (2)
            rsltData[6] = new String(convData,totlByte+= 2 , 8 );       // 해제 통보일 (8)
            rsltData[6] = new String(convData,totlByte+= 8 , 8 );       // 삭제예정일 (8)
            rsltData[6] = new String(convData,totlByte+= 8 , 3 );       // 대출(담보)종류 구분 (3)
            rsltData[6] = new String(convData,totlByte+= 3 , 1 );       // 연계대출여부 (1)
            rsltData[6] = new String(convData,totlByte+= 1 , 3 );       // 대출 서민금융 구분 (3)

            intgInfoReptArray.add(rsltData);
        }
    }

    /**
     * Send 보낼 문자열을 생성한다.
     */
    public String getSendStr() {
        StringBuffer sendBuff = new StringBuffer();

        sendBuff.append(getRegNo                        ());
        sendBuff.append(getRegNoDivCd                   ());
        sendBuff.append(getReason                       ());
        sendBuff.append(getViewAgreeFg                  ());
        sendBuff.append(getComName                      ());
        sendBuff.append(getName                         ());
        sendBuff.append(getJCode                        ());
        sendBuff.append(getUpCode                       ());
        sendBuff.append(getFincTrLastUpdateDt           ());
        sendBuff.append(getCrdtPubLastUpdateDt          ());
        sendBuff.append(getLoanInfoLastUpdateDt         ());
        sendBuff.append(getDeptInfoLastUpdateDt         ());
        sendBuff.append(getCorpRegNo                    ());
        sendBuff.append(getCrctAskMidFg                 ());
        sendBuff.append(getFincTrInfoMore               ());
        sendBuff.append(getCrdtPubInfoMore              ());
        sendBuff.append(getLoanInfoMore                 ());
        sendBuff.append(getDeptGuarInfoMore             ());
        sendBuff.append(getRelManTotCnt                 ());
        sendBuff.append(getFincTrInfoTotCnt             ());
        sendBuff.append(getCrdtJudInfoTotCnt            ());
        sendBuff.append(getPubInfoTotCnt                ());
        sendBuff.append(getSpace                        ());
        sendBuff.append(getLoanInfoTotCnt               ());
        sendBuff.append(getDeptGuarInfoTotCnt           ());
        sendBuff.append(getFincTrInfoReptCnt            ());
        sendBuff.append(getCrdtPubInfoReptCnt           ());
        sendBuff.append(getLoanInfoReptCnt              ());
        sendBuff.append(getDeptGuarReptCnt              ());
        sendBuff.append(getIntgInfoReptCnt              ());
        //sendBuff.append(getIntgInfoReptArray            ());

        return (sendBuff.toString());
    }

    public void setRecvObj(String recvData) {
        int totlByte = 0;
        byte[] convData = recvData.getBytes();

        setRegNo                (new String(convData,totlByte+=0 ,  13  ).trim());      // 주민(사업자, 법인)등록번호 (13)
        setRegNoDivCd           (new String(convData,totlByte+=13,  1   ).trim());      // 주민(사업자, 법인)등록번호 구분 (1)
        setReason               (new String(convData,totlByte+=1 ,  2   ).trim());      // 자료이용목적 (2)
        setViewAgreeFg          (new String(convData,totlByte+=2 ,  1   ).trim());      // 조회 동의 여부 (1)
        setComName              (new String(convData,totlByte+=1 ,  40  ).trim());      // 상호(기업체명) (40)
        setName                 (new String(convData,totlByte+=40,  20  ).trim());      // 성명(대표자) (20)
        setJCode                (new String(convData,totlByte+=20,  2   ).trim());      // 직업 코드(미사용) (2)
        setUpCode               (new String(convData,totlByte+=2 ,  4   ).trim());      // 업종 코드 (4)
        setFincTrLastUpdateDt   (new String(convData,totlByte+=4 ,  8   ).trim());      // 금융거래정보 최종 Update 일자 (8)
        setCrdtPubLastUpdateDt  (new String(convData,totlByte+=8 ,  8   ).trim());      // 신용도판단정보･공공정보 최종 Update 일자 (8)
        setLoanInfoLastUpdateDt (new String(convData,totlByte+=8 ,  8   ).trim());      // 대출･단기카드대출정보 최종 Update 일자 (8)
        setDeptInfoLastUpdateDt (new String(convData,totlByte+=8 ,  8   ).trim());      // 채무보증정보 최종 Update 일자 (8)
        setCorpRegNo            (new String(convData,totlByte+=8 ,  13  ).trim());      // 법인(주민)등록번호 (13)
        setCrctAskMidFg         (new String(convData,totlByte+=13,  1   ).trim());      // 정정 청구중 (1)
        setFincTrInfoMore       (new String(convData,totlByte+=1 ,  1   ).trim());      // 금융거래정보 More (1)
        setCrdtPubInfoMore      (new String(convData,totlByte+=1 ,  1   ).trim());      // 신용도판단정보･공공정보 More (1)
        setLoanInfoMore         (new String(convData,totlByte+=1 ,  1   ).trim());      // 대출･단기카드대출정보 More (1)
        setDeptGuarInfoMore     (new String(convData,totlByte+=1 ,  1   ).trim());      // 채무보증정보 More (1)
        setRelManTotCnt         (new String(convData,totlByte+=1 ,  3   ).trim());      // 관련인 총건수 (3)
        setFincTrInfoTotCnt     (new String(convData,totlByte+=3 ,  3   ).trim());      // 금융거래정보 총건수 (3)
        setCrdtJudInfoTotCnt    (new String(convData,totlByte+=3 ,  4   ).trim());      // 신용도판단정보 총건수 (4)
        setPubInfoTotCnt        (new String(convData,totlByte+=4 ,  3   ).trim());      // 공공정보 총 건수 (3)
        setSpace                (new String(convData,totlByte+=3 ,  3   ).trim());      // SPACE (3)
        setLoanInfoTotCnt       (new String(convData,totlByte+=3 ,  3   ).trim());      // 대출･단기카드대출정보 총건수 (3)
        setDeptGuarInfoTotCnt   (new String(convData,totlByte+=3 ,  3   ).trim());      // 채무보증정보 총건수 (3)
        setFincTrInfoReptCnt    (new String(convData,totlByte+=3 ,  2   ).trim());      // 금융거래정보 회보 건수 (2)
        setCrdtPubInfoReptCnt   (new String(convData,totlByte+=2 ,  2   ).trim());      // 신용도판단정보･공공정보 회보 건수 (2)
        setLoanInfoReptCnt      (new String(convData,totlByte+=2 ,  2   ).trim());      // 대출･단기카드대출정보 회보 건수 (2)
        setDeptGuarReptCnt      (new String(convData,totlByte+=2 ,  2   ).trim());      // 채무보증정보 회보 건수 (2)
        setIntgInfoReptCnt      (new String(convData,totlByte+=2 ,  2   ).trim());      // 통합정보 회보 건수 (2)

        setInfoReptArray        (new String(convData,totlByte+= 2,convData.length-totlByte).trim());    // 통합정보 회보사항 (0 to 20 Times) → (125 × 20 = 2,500)
    }

}
