package hanalife.t.kf.on.web;

import javax.annotation.Resource;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

import hanalife.t.kf.on.service.TKFON002Service;
import hanalife.t.kf.on.vo.KFBOnlnVo;

/**
 * <pre>
 * 프로젝트명   : 하나생명 가계대출 시스템(DOBSCAP)
 * 클래스명     : TKFON002Controller
 * 클래스설명   : [신정원] 개인회생 신청 등 정보 온라인 조회(0200/223) Controller
 * 작성일자     : 2023.05.03
 * 작성자명     : 70278 / KiHwan.Park / 가계대출 시스템 구축
 * Copyrightⓒ2022 HanaLife Insurance, All Rights Reserved.
 * -----------------------------------------------------------------------------
 * Modification Information
 * -----------------------------------------------------------------------------
 * [  수정일자  ][수정자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 5. 3.][70278 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */

@RequestMapping("/t/kf/on")
@Controller
public class TKFON002Controller {

    @Resource(name = "TKFON002Service")
    private TKFON002Service tKFON002Service;

    private static final Logger LOGGER = LoggerFactory.getLogger(TKFON002Controller.class);

    /**
     *<pre>
     * 메소드명      : 개인회생 신청 등 정보 온라인 조회(0200/223) /TKFON002.do
     * 작성일자      : 2023. 5. 3.
     * 작성자(author): 70317
     * 설명          : 개인회생 신청 등 정보 온라인 조회 전문을 호출 한다.
     * 예외처리      : Exception
     *</pre>
     */
    @RequestMapping(value = "/TKFON002.do", method = RequestMethod.POST, produces="application/json")
    public ModelAndView TKCON002(@RequestBody KFBOnlnVo reqInVO) throws Exception {

        LOGGER.info("##### TKFON002Controller TKCON002 Start #####");

        KFBOnlnVo outVo = new KFBOnlnVo();

        try {

            // VO 설정
            KFBOnlnVo inVo = reqInVO;

            // TODO : 체크 필요하면 넣을 것 (서비스에서 체크 처리?)

            // [신정원] 개인회생 신청 등 정보 온라인 조회(0200/223) 호출
            outVo = tKFON002Service.KFB_0200223_Call(reqInVO);

            LOGGER.info("##### TKFON002Controller TKCON002 Normal End #####");
        } catch (Exception e) {
            LOGGER.error("Error >>> " + e.getMessage());
            // 오류 메시지 정보 설정
            // TODO : 오류 메시지 설정
            outVo.setRsltCd("9999");
            outVo.setRsltCntn("테스트다 임마야");
            LOGGER.info("##### TKFON002Controller TKCON002 Exception End #####");
        }

        // 결과값 설정
        ModelAndView mav = new ModelAndView("jsonView");
        mav.addObject("reqinVo", reqInVO);
        mav.addObject("outVo", outVo);

        return mav;
    }
}
