package hanalife.util;

import hanalife.c.co.util.StringUtil;
import hanalife.r.co.as.vo.ValueObj;

/**
 * <pre>
 * 클 래 스 명	: CommCdVO
 * 클래스 설명	: 공통코드VO (CUtil 사용)
 * 프로젝트 명	: DOBSCAP
 * 작 성 일 자	: 2019-07-10
 * 변 경 이 력
 * -----------------------------------------------------------------------------
 * [변경일자][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [19.07.10][정우현][캐피탈패키지-최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
public class CommCdVO extends ValueObj {

	private String cdKindNo     = "";	// 코드_종류_번호
	private String cdDescNo     = "";	// 코드_상세_번호

	private String cd     = "";		// 코드  (cdDescNo)
	private String nm     = "";		// 코드명(cdDescKorNm)
	private String cdNm   = "";		// 코드+명(cd + ' ' + nm)
	private String korNm  = "";		// 한글명(cdDescKorNm)
	private String engNm  = "";		// 영어명
	private String shrtNm = "";		// 단축명
	private String etcNm  = "";		// 기타명
	private String clas1  = "";		// 분류1
	private String clas2  = "";		// 분류2

	// 조회조건
	public String where   = "";		// 조회조건
	public String orderBy = "";		// 정렬순서
	public String cdNmDiv = "";		// 코드명구분자
	public String addRow  = "0";	// 코드명구분자

	// 생성자
	public CommCdVO() {
	}
	public CommCdVO(String kindNo, String descNo) {
		setCdKindNo(kindNo);
		setCdDescNo(descNo);
	}

	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("\n■ =============== CommCdVO SPEC =============== ");
		sb.append("\n[cdKindNo] = "+this.cdKindNo);
		sb.append("\n[cdDescNo] = "+this.cdDescNo);
		sb.append("\n[korNm ] = " + StringUtil.rpadB(this.korNm , 50, " ") + "[engNm ] = " + this.engNm );
		sb.append("\n[shrtNm] = " + StringUtil.rpadB(this.shrtNm, 50, " ") + "[etcNm ] = " + this.etcNm );
		sb.append("\n[clas1 ] = " + StringUtil.rpadB(this.clas1 , 50, " ") + "[clas2 ] = " + this.clas2 );
		sb.append("\n[cd] = "+getCd()+" / [nm] = "+getNm() + " / [cdNm]"+ getCdNm());
		sb.append("\n[where  ] = "+this.where);
		sb.append("\n[orderBy] = "+this.orderBy);
		sb.append("\n[cdNmDiv] = "+this.cdNmDiv + " / [addRow ] = "+this.addRow);
		return sb.toString();
	}

	/***** Getter / Setter *****/
	public String getCdKindNo() {
		return cdKindNo;
	}
	public void setCdKindNo(String cdKindNo) {
		this.cdKindNo = cdKindNo;
	}

	public String getCdDescNo() {
		return cdDescNo;
	}
	public void setCdDescNo(String cdDescNo) {
		this.cd = cdDescNo;
		this.cdDescNo = cdDescNo;
	}

	public String getCd() {
		return cd;
	}
	public void setCd(String cd) {
		this.cd = cd;
		this.cdDescNo = cd;
	}

	public String getNm() {
		return nm;
	}
	public void setNm(String nm) {
		this.nm = nm;
		this.korNm = nm;
	}

	public String getCdNm() {
		return cdNm;
	}
	public void setCdNm(String cdNm) {
		this.cdNm = cdNm;
	}

	public String getKorNm() {
		return korNm;
	}
	public void setKorNm(String korNm) {
		this.nm = korNm;
		this.korNm = korNm;
	}

	public String getEngNm() {
		return engNm;
	}
	public void setEngNm(String engNm) {
		this.engNm = engNm;
	}

	public String getShrtNm() {
		return shrtNm;
	}
	public void setShrtNm(String shrtNm) {
		this.shrtNm = shrtNm;
	}

	public String getEtcNm() {
		return etcNm;
	}
	public void setEtcNm(String etcNm) {
		this.etcNm = etcNm;
	}

	public String getClas1() {
		return clas1;
	}
	public void setClas1(String clas1) {
		this.clas1 = clas1;
	}

	public String getClas2() {
		return clas2;
	}
	public void setClas2(String clas2) {
		this.clas2 = clas2;
	}
}
