<!-- * 프로젝트 : 하나생명 NEW SFA 시스템 구축
     * 설   명 :
     * 작 성 자 :
     *
     * << 개정이력(Modification Information) >>
     * ========================================================
     *   수정일                   수정자             수정 내용
     * --------------------------------------------------------
     *   2022.10.06                      최초 생성
     * ======================================================== -->

<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ page import="hanalife.framework.comm.util.CommUtil" %>
<%@ page import="hanalife.framework.comm.util.StringUtil" %>
<%@ page import="hanalife.framework.comm.util.PropertiesHandler"%>

<%@ include file="/WEB-INF/jsp/frame/tagLib.jsf" %>

<%
	String serverMode = PropertiesHandler.getInstance().getProperty("global.current.access.SERVER");
	String ip;
	String accessWeb = "";
	String accessEnv = "MB";

	System.out.println("serverMode = " + serverMode);
	boolean isExec = "LOCAL".equals(serverMode) ? true : false;
	if(isExec) {
		ip = "127.0.0.1";
		accessWeb = "EXT";
	} else {
		ip = CommUtil.getClientIP(request);
		accessWeb = "EXT";//request.getHeader("AccessWeb");
	}
%>


<form id="form1" name="form1" method="post">
<!-- content (s) -->
<section class="content">
    <input type="hidden" name="usrIP" id="usrIP" value="<%=StringUtil.removeXSS(ip)%>">
    <input type="hidden" name="accessWeb" id="accessWeb" value="<%=StringUtil.removeXSS(accessWeb)%>">
    <input type="hidden" name="accessEnv" id="accessEnv" value="<%=StringUtil.removeXSS(accessEnv)%>">
    <input type="hidden" name="serverMode" id="serverMode" value="<%=StringUtil.removeXSS(serverMode)%>">

	<div class="msgArea login">
		<div class="tabWrap">
			<ul class="tabList">
				<li class="on" id="lginTap1">사번+인증 로그인</li>
				<li id="lginTap2">인증 로그인</li>
			</ul>

			<div class="tabContents">

				<!-- 탭 콘텐츠 (s) -->
				<div class="tabPanel">
					<ul class="formList">
						<li>
							<!-- <div class="itemTh">사번</div> -->
							<div class="dataTd">
								<input type="text" class="ipt" placeholder="사번" name="usrId" id="usrId">
							</div>
						</li>
						<li class="mt5">
							<!-- <div class="itemTh">비밀번호</div> -->
							<div class="dataTd">
								<!-- <input type="password" class="ipt" placeholder="비밀번호"> -->
					        	<input type="password" class="ipt full" name="NONPC_PASS_1" id="NONPC_PASS_1" style="ime-mode:disabled;" readonly="readonly"
					        		npkencrypt="on"
					        		data-keypad-type="alpha"
					        		data-keypad-theme="mobile"
					        		data-keypad-useyn-type="toggle"
					        		data-keypad-useyn-input="TEXT_2_toggle"
					        		value="" />

							</div>
						</li>
					</ul>

					<div class="btnArea">
						<button type="button" class="btn_p r" onclick="nonpcdecryptpassword()">로그인</button>
					</div>
					<div class="linkGroup bottom">
						<p class="desc">초기비밀번호는 본인 생년월일입니다.</p>
						<button type="button" class="links arrow" onclick="fn_gotoInitPwView()">비밀번호 찾기(초기화)</button>
					</div>
				</div>
				<!-- 탭 콘텐츠 (e) -->
				<!-- 탭 콘텐츠 (s) -->
				<div class="tabPanel">
					<div class="btnGroup cert_Login">
						<button type="button" class="btnCert_key" onclick="MCM00002000M.fnOtherAuth(1);">금융인증서</button>
						<button type="button" class="btnCert_pw" onclick="MCM00002000M.fnOtherAuth(2);">간편비밀번호</button>
						<button type="button" class="btnCert_bio" onclick="MCM00002000M.fnOtherAuth(3);">바이오인증</button>
					</div>
					<ul class="txtList dot">
						<li>각 인증수단별로 최초 1회 등록 후 이용 가능</li>
						<li>로그인 후 우측 상단의 [인증서 관리]에서 등록 	</li>
					</ul>
				</div>
				<!-- 탭 콘텐츠 (e) -->

			</div>
		</div>
    </div>
</section>
<!-- content (e) -->
<div class="popWrap" id="pwchangePop">
	<section class="popup">
		<header><h1>비밀번호 변경 안내</h1></header>
		<!-- 여기서부터 실제 내용입니다. (s) -->
		
		<div class="pageTit" id="pageTit">
			<h2 class="titH2"><em class="pointC1">초기비밀번호</em>로 <br>로그인하셨습니다.</h2>
			<p class="desc">보안 및 개인정보보호 정책에 따라 새로운 비밀번호로 변경이 필요합니다.</p>
			<p class="desc">변경된 비밀번호로 다시 로그인 후 서비스 이용이 가능합니다.</p>
		</div>

		<ul class="formList">
			<li>
				<div class="itemTh basicC1">새로운 비밀번호
				</div>
				<div class="dataTd">
					<!-- <input type="password" class="ipt" placeholder=""> -->
					<input type="password" class="ipt full" name="NONPC_CHANGEPASS_1" id="NONPC_CHANGEPASS_1" style="ime-mode:disabled;" readonly="readonly"
					        npkencrypt="on"
					        data-keypad-type="alpha"
					        data-keypad-theme="mobile"
					        data-keypad-useyn-type="toggle"
					        data-keypad-useyn-input="TEXT_2_toggle"
					        value="" />
				</div>
			</li>
			<li>
				<div class="itemTh basicC1">비밀번호 확인</div>
				<div class="dataTd">
					<!-- <input type="password" class="ipt" placeholder=""> -->
					<input type="password" class="ipt full" name="NONPC_CHANGEPASS_2" id="NONPC_CHANGEPASS_2" style="ime-mode:disabled;" readonly="readonly"
					        npkencrypt="on"
					        data-keypad-type="alpha"
					        data-keypad-theme="mobile"
					        data-keypad-useyn-type="toggle"
					        data-keypad-useyn-input="TEXT_2_toggle"
					        value="" />
				</div>
			</li>
		</ul>

		<div class="helpWrap caution">
			<div class="tit">고객확인사항</div>
			<ul class="txtList dot">
				<li>비밀번호는 영문(대소문자 구분), 숫자, 특수문자 중 2개 이상 조합하여 10~15자로 입력해 주세요.</li>
				<li>생년월일, 휴대폰번호, 3자리 이상 연속/동일한 문자/숫자는 보안에 취약하므로 이용할 수 없습니다.</li>
			</ul>
		</div>

		<!-- 여기서부터 실제 내용입니다. (e) -->
		<!-- <div class="btnArea sticky">
			<button type="button" class="btn_p" onclick= "nonpcdecryptinitpasswordpop()">비밀번호 변경</button>
		</div> -->

		<button type="button" class="icoBtn_close"></button>
	</section>
</div>
<!-- popup (e) -->
</form>

<script type="text/javascript" src="/solutions/pluginfree/js/nppfs-1.13.0.js" charset="UTF-8"></script>
<script type="text/javascript" src="/resources/comm/js/hlFinCertAgent.js"></script>
<script type="text/javascript" src="/resources/mo/js/cm/comm/MCM00002000M.js"></script>