<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8"%>
<%@ page import="java.io.File" %>
<%@ page import="java.io.IOException" %>
<%@ page import="java.io.PrintWriter" %>
<%@ page import="java.io.UnsupportedEncodingException" %>
<%@ page import="java.util.HashMap" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.List" %>
<%@ page import="hanalife.c.co.util.DateUtil" %>
<%@ page import="hanalife.c.co.util.StringUtil" %>

<%@ page import="org.apache.commons.fileupload.FileItem" %>
<%@ page import="org.apache.commons.fileupload.FileUploadException" %>
<%@ page import="org.apache.commons.fileupload.disk.DiskFileItemFactory" %>
<%@ page import="org.apache.commons.fileupload.servlet.ServletFileUpload" %>
<%@ page import="org.apache.commons.io.FilenameUtils" %>
<%@ page import="org.apache.commons.logging.Log" %>
<%@ page import="org.apache.commons.logging.LogFactory" %>

<%!
    // create logging object
    final Log logger                       = LogFactory.getLog("Util");
    
    // Define WebFileManager(WFM) Constant
    final String    WFM_DATA_DEL           = String.valueOf((char)0x1A);        // data delimeter
    final String    WFM_DATASTART_DEL      = String.valueOf((char)0x1C);        // data start indicatorì
    final String    WFM_DATAEND_DEL        = String.valueOf((char)0x1F);        // data end indicatorê±¹
    final String    WFM_SUCCESS            = "success";                        // success message
    final String    WFM_ERROR              = "error";                        // error message
    final String    WFM_SAVE_FILE_NAME     = "SaveFileName";                    // saved file name parameter key
    
    final int        maxMemoryFileSize      = 10;                                   // maximum memory file size
    final int        maxFileSize            = 1000 * 1024 * 1024;                   // maximum size of request (include file + form data) (1,000MB)
    final int         ALLOWED_MAX_FILE_SIZE = 100 * 1024 * 1024;                 // maximum upload size per individual file(100MB)
%>

<%    
    String pageGbn = StringUtil.NVL((String)request.getParameter("pageGbn"));
    String fileSaveSubPath = StringUtil.NVL((String)request.getParameter("fileSaveSubPath"));
    String fileRenameGbn = StringUtil.NVL((String)request.getParameter("fileRename"));

    ServletFileUpload     uplaodHandler = null;            // file uplaod handler
    List                  fileItemList = null;            // file item list
    FileItem              fileItem = null;                // file item 
    HashMap               paramMap = new HashMap();        // parameter map
    
    ServletContext        context = null;        
    String                strRequestOrigin = "";
    HttpSession           httpSession = null;
    String                saveFileName = "";
    String                returnMessage = ""; 
    boolean               isMultipart = false;
    Iterator              iter1 = null;
    Iterator              iter2 = null;
    
    //logger.info("=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= file upload start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=");
    
    // Set cross domain response header
    /*
    response.setHeader("Access-Control-Allow-Origin", "*");
    response.setHeader("Access-Control-Allow-Headers", "X-Requested-With");
    */

    // Reference: XDataSet5.jar
    response.setHeader("Access-Control-Allow-Credentials", "true");    

    if (request == null) {
        logger.error("Access-Control-Allow-Origin = *");
        response.setHeader("Access-Control-Allow-Origin", "*");
    }
    else {
        logger.info("Origin = " + request.getHeader("Origin"));
        logger.error("Access-Control-Allow-Origin = " + request.getHeader("Origin"));
        
        strRequestOrigin = request.getHeader("Origin");
        
        // HTTP RESPONSE SPLITTING
        strRequestOrigin = strRequestOrigin.replaceAll("\r", "").replaceAll("\n", "");
        response.setHeader("Access-Control-Allow-Origin", strRequestOrigin);
    }
    
    response.setHeader("Access-Control-Allow-Headers", "X-Requested-With");
    
    // Set upload file temp dir, save base dir path
    // setUploadEnvSetting(getServletContext());        // servlet 3.0 spec
    httpSession = request.getSession();
    if (request == null || httpSession == null) {
        logger.error("request or Session is null");        
        out.print(getErrorMsg("request or Session is null"));
        return;
    }
    else {
        context = httpSession.getServletContext();
    }
    
    try {
        setUploadEnvSetting(context, pageGbn, fileSaveSubPath);
    } catch(Exception e) {
        logger.error(e);
        out.print(getErrorMsg(e.getMessage()));
        return;
    }
    
    // Check whether the request has multipart data content.
    isMultipart = ServletFileUpload.isMultipartContent(request);
    if (!isMultipart) {
        try {
            logger.error("There is no multipart data in request");        
            out.print(getErrorMsg("There is no multipart data in request"));
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        return;
    }
    
    try {
        // Create a file upload handler
        uplaodHandler = getFileUploadProcessor(context);
    } catch(Exception e) {
        logger.error("Failure to create file upload handler = " + e);
        out.print(getErrorMsg(e.getMessage()));
        return;
    }
    
    logger.info("Success to create a file upload handler");
    
    // parse the request
    try {
        fileItemList = uplaodHandler.parseRequest(request);
    }
    catch (FileUploadException ex) {
        try {
            logger.error("Fail to parse a request");        
            out.print(getErrorMsg("Fail to parse a request"));
        } 
        catch (UnsupportedEncodingException e) {
            logger.error("Exception msg = " + e.getMessage());
            e.printStackTrace();
        }
        return;
    }
    
    logger.info("Success to parse a request");
    
    // Process the parameter
    iter1 = fileItemList.iterator();
    while (iter1.hasNext()) {
        fileItem = (FileItem)iter1.next();
    
        // process a regular form field
        if (fileItem.isFormField()) {
            String fieldName = fileItem.getFieldName();
            String fieldValue = fileItem.getString();
            logger.info("fieldName = " + fieldName + ", fieldValue = " + fieldValue);        
            paramMap.put(fieldName, fieldValue);
        }
    }
    
    iter2 = fileItemList.iterator();
    while (iter2.hasNext()) {
        fileItem = (FileItem)iter2.next();
    
        // process a regular form field
        if (fileItem.isFormField()) {
            continue;
        }
    
           try {            
               try {
                   // process a upload multipart data
                   saveFileName = handleUploadFile(fileItem, paramMap, context, pageGbn, fileSaveSubPath, fileRenameGbn);
               }
               catch (Exception e){
                   logger.error(e);
                   out.print(getErrorMsg(e.getMessage()));
                   continue;
               }
               
            // make a success message
               returnMessage = getSuccessMsg(saveFileName);
               
               // return a success message to client
            logger.info("returnMessage = [" + returnMessage + "]");   

            // out.clearBuffer();
               out.print(returnMessage);
           }
           catch(Exception ex) {
            logger.error("Exception Msg = " + ex.getMessage());
            ex.printStackTrace();        
            out.print(getErrorMsg("Fail to process upload file."));        
           }    
    }
%>

<%!    

//String[] whiteList = {"zip", "txt", "doc", "ppt", "xls", "xlsx" }; 
String[] whiteList = hanalife.c.co.contants.Constants.whiteList; 

// Set upload file temp dir, save base dir path
public void setUploadEnvSetting(ServletContext context, String pageGbn, String fileSaveSubPath) throws Exception
{
    String    tempDirAbsolutePath = "";
    String    saveBaseDirAbsolutePath = "";
    
    // temporary directory absolute path for temporary file
    tempDirAbsolutePath = getTempDirAbsolutePath(context);
    saveBaseDirAbsolutePath = getSaveBaseDirAbsolutePath(context, pageGbn, fileSaveSubPath);

    logger.info("tempDirAbsolutePath = " + tempDirAbsolutePath);
    logger.info("saveBaseDirAbsolutePath = " + saveBaseDirAbsolutePath);
    
    makeDirUsingDirPath(tempDirAbsolutePath);    
    makeDirUsingDirPath(saveBaseDirAbsolutePath);
    
    return;
}

// Get Context Root Directory
public String getContextRootDir(ServletContext context) 
{
    String    contextRootDir = "";
    
    // get context real path
    contextRootDir = context.getRealPath("/");
    if (contextRootDir.endsWith(File.separator) == false) {
        contextRootDir += File.separator;
    }
    
    return contextRootDir;
}

// Get Temporary Directory Absolute Path
public String getTempDirAbsolutePath(ServletContext context) 
{
    String    contextRootDir = "";
    String    tempDirAbsolutePath = "";
    
    contextRootDir = getContextRootDir(context);
    tempDirAbsolutePath = contextRootDir + "temp";
    
    return tempDirAbsolutePath;
}

// Get Upload Directory Absolute Path
public String getSaveBaseDirAbsolutePath(ServletContext context, String pageGbn, String fileSaveSubPath) 
{
    String    contextRootDir = "";
    String    saveBaseDirAbsolutePath = "";
    
    contextRootDir = getContextRootDir(context);
    
    String today = DateUtil.getCurrentDateString();
    
    if("batch".equals(pageGbn)){
        saveBaseDirAbsolutePath = contextRootDir + "batch"+File.separator+"file"+File.separator+"upload"+File.separator+today;
    }else{
        saveBaseDirAbsolutePath = contextRootDir + "upload"+File.separator+today+File.separator+fileSaveSubPath;
    }
    
    File  file = new File(saveBaseDirAbsolutePath);
    
    if(!file.exists()){
        file.mkdir();
    }
    
    return saveBaseDirAbsolutePath;
}

// handle a upload file data
public String handleUploadFile(FileItem fileItem, HashMap paramMap, ServletContext context, String pageGbn, String fileSaveSubPath, String fileRenameGbn) throws Exception
{
    String        saveFileAbsolutePath = "";        // file absolute path to save
    String        saveFileName = "";
    
    String         filePath = fileItem.getName();                // HTML??File ?ëº¤ë???ëì ° èìëæ¿¡ã¼ì£ ?ëì?ìë¿¬ ï§Â?ëº¥ë¸³ æ¿¡ìëº ?ë¯ìª å¯ìì¤            
    String        fileName = FilenameUtils.getName(filePath);    // file name
    
    String         paramDirPath = "";
    String         paramFileName = "";
    
    int            retryCount = 0;
    long         fileSize = 0;
    
    logger.info("filePath = " + filePath);
    logger.info("fileName = " + fileName);
    logger.info("getContentType = " + fileItem.getContentType());
    logger.info("getSize = " + fileItem.getSize());

    // get file save information  
    paramDirPath = paramMap.get("DIR_PATH") == null ? "" : (String)paramMap.get("DIR_PATH");
    paramFileName = paramMap.get("FILE_NAME") == null ? "" : (String)paramMap.get("FILE_NAME");
    
    logger.info("paramDirPath = [" + paramDirPath + "]");
    logger.info("paramFileName = [" + paramFileName + "]");
    
    // set save directory absolute path
    saveFileAbsolutePath = getSaveBaseDirAbsolutePath(context, pageGbn, fileSaveSubPath);
    
    String saveFullPath = saveFileAbsolutePath; 
    
    if (paramDirPath.length() > 0) { 
        saveFileAbsolutePath = saveFileAbsolutePath + File.separatorChar + paramDirPath;
    }
    
    
    String currTime = DateUtil.getCurrentBaseDateString();
    
    // set save file absolute path
    if (paramFileName.length() > 0) {
        File  file = new File(saveFileAbsolutePath + File.separator + paramFileName);
        
        /* logger.info("####################aaaaaaaaaaaaa###################");
        logger.info(file.exists());
        logger.info("####################aaaaaaaaaaaaa###################"); */
        if(file.exists()){
        	if("Y".equals(fileRenameGbn)){
        		saveFileName = currTime+"_"+paramFileName;
        	}else{
        		file.delete();
        		saveFileName = paramFileName;
        	}
        }else{
            saveFileName = paramFileName;
        }
        //saveFileName = paramFileName;
    }else {
        File  file = new File(saveFileAbsolutePath + File.separator + fileName);
        /* logger.info("####################BBBBBBBBBBBBBBBBBB###################");
        logger.info(file.exists());
        logger.info("####################BBBBBBBBBBBBBBBBBB###################"); */
        if(file.exists()){
        	if("Y".equals(fileRenameGbn)){
        		saveFileName = currTime+"_"+fileName;
        	}else{
        		file.delete();
        		saveFileName = fileName;
        	}
        }else{
            saveFileName = fileName;
        }
    }
    saveFileAbsolutePath = saveFileAbsolutePath + File.separator + saveFileName;
    
    
    logger.info("saveFileAbsolutePath = " + saveFileAbsolutePath);
    
    if (saveFileName == null) {
        logger.error("File name is null");
        throw new Exception("File name is null");
    }
    
    // Checks the extension of the uploaded file in the whitelist method.
    // 화면에서 파일 업로드
    //if (  saveFileName.toLowerCase().endsWith(".zip") == false  ) {
    //    logger.error("File extension not allowed");
    //    throw new Exception("File extension not allowed");
    //}
    boolean fileCheck = false;
    for( int i = 0 ; i < whiteList.length ; i++){
        if(  saveFileName.toLowerCase().endsWith(whiteList[i])){
            fileCheck = true;
            break;
        }    
    }
    if ( !fileCheck ) {
        logger.error("File extension not allowed");
        throw new Exception("File extension not allowed");
    }
    
    
    // make a directory for file path
    try {
        makeDirUsingFilePath(saveFileAbsolutePath);
    } catch(Exception e) {
        logger.error(e);
        throw new Exception(e);
    }
    
    fileSize = fileItem.getSize();
    if (fileSize > ALLOWED_MAX_FILE_SIZE) {
        logger.error("The file size exceeds the limit");
        throw new Exception("The file size exceeds the limit");
    };
    
    /* logger.info(("##########################################");
    logger.info((saveFileAbsolutePath);
    logger.info(("##########################################"); */
    
    // save a upload file to a save file absolute path
    while(true) {        
        try {
            fileItem.write(new File(saveFileAbsolutePath));
            break;
        }
        catch (Exception e) {
            logger.error("Exception Msg = " + e.getMessage());                
            retryCount++;
            
            if (retryCount > 5) {
                logger.error("Fail to wirte a file");
                throw new Exception("Fail to wirte a file");        
            }
            else {
                try {
                    Thread.sleep(1000);
                } 
                catch (InterruptedException ignore) {
                    ;
                }            
                continue;
            }
        }
    }

    logger.info("Success To Wirte File");
    
    // delete a file item content?
    fileItem.delete();
    
    
    //logger.info("##########################################");
    //logger.info(saveFileName);
    //logger.info("##########################################"); 
    
   //logger.info("=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-= file upload END =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=");
    
    // return a saved file name
            
            
    return saveFullPath+"|"+saveFileName;    
    //return saveFileAbsolutePath;
}

//TODO: change a character set of message
public String msgCharacterSetConvert(String message) throws UnsupportedEncodingException 
{
    if (message == null) {
        return "";
    }

    
    logger.info("don't change character set");
    return message;
    
    /*
    logger.info("change character set UTF-8 -> ISO-8859-1");
    return new String(message.getBytes("UTF-8"), "ISO-8859-1");
    */
}

// make a success message
public String getSuccessMsg(String saveFileName) throws UnsupportedEncodingException {
    StringBuffer    returnMsg = new StringBuffer();
    
    returnMsg.append(WFM_DATASTART_DEL);
    returnMsg.append(WFM_SUCCESS);
    returnMsg.append(WFM_DATA_DEL);
    returnMsg.append(WFM_SAVE_FILE_NAME + "=" + saveFileName);
    returnMsg.append(WFM_DATAEND_DEL);
    
    /*
    logger.info("String.valueOf((char)0x1A) = " + String.valueOf((char)0x1A));
    logger.info("String.valueOf((char)0x1C) = " + String.valueOf((char)0x1C));
    logger.info("String.valueOf((char)0x1F) = " + String.valueOf((char)0x1F));
    logger.info("WFM_DATASTART_DEL = [" + WFM_DATASTART_DEL+ "]");
    logger.info("WFM_DATA_DEL = [" + WFM_DATA_DEL + "]");
    logger.info("WFM_DATAEND_DEL = [" + WFM_DATAEND_DEL + "]");
    
    logger.info("returnMsg = [" + returnMsg.toString() + "]");
    */
    
    return msgCharacterSetConvert(returnMsg.toString());        
}

// make a error message
public String getErrorMsg(String errorMsg) throws UnsupportedEncodingException 
{    
    StringBuffer    returnMsg = new StringBuffer();
    
    returnMsg.append(WFM_DATASTART_DEL);
    returnMsg.append(WFM_ERROR);
    returnMsg.append(WFM_DATA_DEL);
    returnMsg.append(errorMsg);
    returnMsg.append(WFM_DATAEND_DEL);
    
    return msgCharacterSetConvert(returnMsg.toString());
}

private String getRandomFileName() {
    return java.util.UUID.randomUUID().toString().replace("-", "");
}

// get a file upload process
private ServletFileUpload getFileUploadProcessor(ServletContext context) throws Exception
{    
    // create a new file item factory
    DiskFileItemFactory factory = new DiskFileItemFactory();
    
    // create a new file object for a temporary directory    
    File    tempDir = new File(getTempDirAbsolutePath(context));
    
    // create a temporary directory
    if(!tempDir.exists()) {
        if (tempDir.mkdirs()) {
            logger.info("getFileUploadProcessor, Directory is created");
        }
        else {
            logger.error ("getFileUploadProcessor, Directory cannot be created");
            throw new Exception("Directory cannot be created");
        }
    }    
    
    // set a temporary directory
    factory.setRepository(tempDir);    
    
    // set a maximum memory file size
    factory.setSizeThreshold(maxMemoryFileSize);        
    
    // create a servlet file upload object using a factory
    ServletFileUpload upload = new ServletFileUpload(factory);
    
    // set a maixmum file size
    upload.setSizeMax(maxFileSize);
    
    // set header encoding characterset for hangul file name
    upload.setHeaderEncoding("UTF-8");
    
    return upload;
}

// make a directory using a file path
public void makeDirUsingFilePath(String fileAbsolutePath) throws Exception
{
    
    logger.info("makeDirUsingFilePath >>>> "+ fileAbsolutePath);
    
    File     oFile = new File(fileAbsolutePath);
    File    oDir = oFile.getParentFile();
    
    // create a diectory
    if (!oDir.exists()) {
        if (oDir.mkdirs()) {
            logger.info("makeDirUsingFilePath, Directory is created");
        }
        else {
            logger.error("Failed to create directory for file path");
            throw new Exception("Failed to create directory for file path");
        }
    }
}

// make a directory using a dir path
public void makeDirUsingDirPath(String dirAbsolutePath) throws Exception
{
    File     oDir = new File(dirAbsolutePath);

    // create a diectory
    if (!oDir.exists()) {
        if (oDir.mkdirs()) {
            logger.info("makeDirUsingDirPath, Directory is created");
        }
        else {
            logger.error("makeDirUsingDirPath, Directory creation failed");
            throw new Exception("Directory creation failed");
        }
    }        
}
%>