import tmax.webt.*;
import java.io.*;
import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.Calendar;
import java.util.Date;

public class WebtSampleSender {
	static int AL_MSG_DATA = 101;
	static int REQ_EXTERNAL = 1;
	static int ALINK_HEADER_SIZE = 120;
	
	public static byte[] execInit() throws Exception {
		String data = "";
		String rrNo = "9305061196972"; //고객고유번호(sample)
		
		StringBuffer mockSb = new StringBuffer();
		
		String toDay = (new SimpleDateFormat("yyyyMMddHHmmss")).format(Calendar.getInstance().getTime()); //전문전송시간
		SimpleDateFormat seqNo = new SimpleDateFormat("mmssSSS"); //전문관리번호
		
		System.out.println("\n##### 전문 관리번호 : ["+seqNo.format(new Date())+"]");
		
		/*** 1. 공통정보부 ****************************************************************************/
		mockSb.append("CISIFPSOT"); 											//UAT
		//mockSb.append("CISIFPSOR"); 											//운영
		mockSb.append("0182");                      							// 전문 길이
		mockSb.append("90");                                                 	// 고정 System-ID 90
		mockSb.append("L63");				                                 	// 고정 대표기관코드 L63 하나생명
		mockSb.append("0200");                                               	// 고정 전문종별코드; 전문의 거래별 구분코드 200
		mockSb.append("294");                       							// 업무구분코드
		mockSb.append("I");					                                 	// 고정 송수신 flag 'I'-보험회사등에서 전문을 발생할 시/'K'-한국신용정보원에서 전문을 발생할 시 
		mockSb.append("   ");                                                	// 고정 응답코드
		mockSb.append("9999999");                                            	// 고정 점포코드  
		mockSb.append(seqNo.format(new Date()));                             	// 보험회사등 전문관리번호 
		mockSb.append(toDay);					                             	// 보험회사등 전문전송 시간 'YYYYMMDDHH24MISS')
		mockSb.append("       ");                                            	// 한국신용정보원 전문관리번호  0000000
		mockSb.append("              ");                                     	// 한국신용정보원 전문전송 시간  00000000000000
		mockSb.append("                ");                                   	// 예비정보 field

		/*** 2. 개별공통부 ****************************************************************************/
		mockSb.append("9999999999999");	                                     	// 사용자ID 전산을 통한 자동조회 시 9999999999999 고정
		mockSb.append("21.98.247.100  ");	                             		// 사용자 IP(UAT)
		//mockSb.append("21.98.249.50   ");	                             		// 사용자 IP(운영)
		mockSb.append("hana life                                         "); 	// 사용자성명
		mockSb.append("P");	                                                 	// 료조회목적코드 사용자가 수행하는 업무에 해당하는 코드(U:인수심사, C:지급심사, S:보험사기) U
		mockSb.append(rrNo);                        							// 조회대상자 주민등록번호
		mockSb.append("Y");				                						// 조회대상자 조회동의여부, 약관 매칭 안맞아 하드코딩처리
		mockSb.append("03");			                						// 이용기간 제공받은 조회대상자의 보험신용정보 이용기간(단위: 개월) 12
		mockSb.append("12");			                						// 보유기간 제공받은 조회대상자의 보험신용정보 이용기간(단위: 개월) 12		
		mockSb.append("A");                         							// 주계약상태코드(A:정상, B:전체)
		mockSb.append("A");	                            						// 담보상태코드(A:정상, B:전체)
		mockSb.append(String.format("%02d", 1));								// 요청전문번호
		
		data = mockSb.toString();
		
		System.out.println("##### 전문 요청 파라미터 : "+ data);
		
		byte[] msg = makeHeader("KCI", "KCJ", "0200", "294", data);
		byte[] rtnMsg = jmapperCall(msg);
		String rtnString = new String(rtnMsg,"EUC-KR");
		
		rtnString = rtnString.replace(rrNo, rrNo.substring(0, 7) + "999999");
		System.out.println("=========================================================================================================================");
		System.out.println("\n##### 요청 전문 returnData : " + rtnString);
		System.out.println("=========================================================================================================================");
		
		rtnMsg = rtnString.getBytes("EUC-KR");
		
		return rtnMsg;
	}

	public static byte[] jmapperCall(byte[] data) throws Exception {		
	    WebtConnection con = null;
	    WebtBuffer sndbuf = null; 
	    WebtBuffer rcvbuf = null;
	    
	    String serviceName = "JMAPPER4";
	    byte[] rtnValue = null;
	    int rtnLen = 0;
		
	    String call_ip = "21.98.247.100"; //UAT
	    int call_port = 17777; //UAT

	    //String call_ip = "21.98.249.50"; //PROD
	    //int call_port = 7777; //PROD

	    try{    	 
	    	 System.out.println("\n\n ================================================= WebtConnection 시작 =================================================");	    	 
	    	 // Test를 위해서 IP, PORT 직접입력.
	    	 
	    	 System.out.println("\n##### call_ip : " + call_ip);	   
	    	 System.out.println("##### call_port : " + call_port+"\n");	   
	    	 con = new WebtConnection(call_ip, call_port);   
	    	 System.out.println("\n ================================================= WebtConnection 종료 =================================================");	    	 
	     }catch(Exception e){
	         e.printStackTrace();
	         System.out.println("##### WebtConnection 예외 : " + e.getMessage());
	         throw e;
		 }  
	    
	     try{
	    	 System.out.println("\n\n ================================================= WebtRemoteService 시작 =================================================\n");
	         WebtRemoteService service = new WebtRemoteService(serviceName, con);
	         sndbuf = service.createCarrayBuffer(data.length);
	         
	         sndbuf = service.createCarrayBuffer();
	         sndbuf.setBytes(data);
	         
	         rcvbuf = service.tpcall(sndbuf);
	         rtnLen = rcvbuf.getBytes().length - ALINK_HEADER_SIZE;
	         rtnValue = new byte[rtnLen];
	         
	         System.arraycopy(rcvbuf.getBytes(), ALINK_HEADER_SIZE, rtnValue, 0, rtnLen);
	         System.out.println("\n ================================================= WebtRemoteService 종료 =================================================\n\n");
	     }catch(WebtServiceFailException se){
	    	 System.out.println("["+se.getTPError()+ "]["+se.getTPErrorMessage()+"][Exception]");	     	
	         se.printStackTrace();
	         throw se;
	     }catch(WebtException we){
	    	 System.out.println("["+we.getTPError()+ "]["+we.getTPErrorMessage()+"][Exception]");	
	    	 System.out.println("[WebtException]"+we.getMessage());
	        we.printStackTrace();
	        throw we;
	     }catch(Exception e){
	    	 System.out.println("[Exception]"+e);
	     	 e.printStackTrace();
	     	 throw e;
	     }finally{
	         con.close();	         
	     }
	     
	     return rtnValue;
	 }
	
	public static byte[] makeHeader(String instCode, String applCode, String kindCode, String txCode, String data) {
        byte[] magic    	= new byte[4];
        byte[] seqno    	= new byte[4];
        byte[] reqtype  	= new byte[4];
        byte[] msgtype  	= new byte[4];
        byte[] flags    	= new byte[4];
        byte[] etc  	    = new byte[4];
        byte[] etc2		    = new byte[4];
        byte[] inst_code	= new byte[4];
        byte[] appl_code	= new byte[4];
        byte[] kind_code	= new byte[8];
        byte[] tx_code 		= new byte[32];
        byte[] msg_uid		= new byte[10];
        byte[] log_id  		= new byte[28];
        byte[] resvd		= new byte[6];
               
        ByteArrayOutputStream outStrm = new ByteArrayOutputStream();
        
        try{
        	magic = htonl(5555); //고정 5555
        	outStrm.write(magic);   

        	seqno = htonl(0); 
        	outStrm.write(seqno); 
        
        	reqtype = htonl(REQ_EXTERNAL); //대외요청인지 대내요청인지 구분
        	outStrm.write(reqtype);
        	
        	msgtype = htonl(AL_MSG_DATA); //고정 101
        	outStrm.write(msgtype);
        
        	flags = htonl(0); //에러가 발생한 경우 에러코드가 설정
        	outStrm.write(flags);
        
        	etc = htonl(0);
        	outStrm.write(etc);
        
        	etc2 = htonl(0); //Mapper에서 포맷 에러를 매핑할 때 TP_NOREPLY가 설정
        	outStrm.write(etc2);
        	
            inst_code = addSpace(instCode, instCode.length(), 4).getBytes(); //기관코드를 설정
            outStrm.write(inst_code);
            appl_code = addSpace(applCode, applCode.length(), 4).getBytes(); //업무코드를 설정
            outStrm.write(appl_code);
            kind_code = addSpace(kindCode, kindCode.length(), 8).getBytes(); //대표전문종별코드를 설정
            outStrm.write(kind_code);
            tx_code = addSpace(txCode, txCode.length(), 32).getBytes(); //거래코드를 설정
            outStrm.write(tx_code);
            msg_uid = addSpace(" ", 1, 10).getBytes(); //전문고유번호를 설정
            outStrm.write(msg_uid);
            log_id = addSpace(" ", 1, 28).getBytes(); //마스터 로그의 LOG_ID를 설정
            outStrm.write(log_id);
            resvd = addSpace(" ", 1, 6).getBytes(); //VO 전문의 경우 '01'이 설정
            outStrm.write(resvd);
            outStrm.write(data.getBytes());
        }catch(Exception e){
        	e.printStackTrace();
        	System.out.println("##### makeHeader 예외 : " + e.getMessage());
        }
       
        return outStrm.toByteArray();
    }
	
    public static String addSpace(String arg, int size, int totSize){
    	if(arg.length() == totSize)
    		return arg;
     	while(arg.length() < totSize) {
    		arg += " ";
    	}
     	byte[] tmp = arg.getBytes();
     	tmp[size] = 0x00;
     	arg = new String(tmp);
    	return arg;
    }
    
    public String addZero(String arg, int size){
    	if(arg.length() == size)
    		return arg;
    	int loop = size - arg.length();
    	String zero = "";
    	for(int i=0; i< loop; i++)	{
    		zero += "0";
    	}
    	arg = zero + arg;
    	return arg;
    }
    
    public static byte[] htonl(int arg){
    	byte[] bigEndian = new byte[4];
    	bigEndian[0]=(byte)((arg&0xFF000000)>>24); 
    	bigEndian[1]=(byte)((arg&0x00FF0000)>>16); 
    	bigEndian[2]=(byte)((arg&0x0000FF00)>>8); 
    	bigEndian[3]=(byte) (arg&0x000000FF);
    	return bigEndian;
    }
	
    public static void main(String[] args) throws Exception {
    	byte[] byteArr294 = execInit();
  	  	String sKCISRtnCd = new String(Arrays.copyOfRange(byteArr294, 26, 29)); //294 전문 응답코드
  	  	System.out.println("\n##### 294 전문 응답코드 : ["+sKCISRtnCd+"]\n\n");
    }    
	
}
