﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;
this.POP_NM = "";

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
/****************************************************************
 * ■ 화면 초기  사용자 버튼 로드시 사용 현재 사용지 버튼 비활성화 되어 있음
 ****************************************************************/
function ue_init_menu(){
    console.log("#### ue_init_menu() call");
    console.log("####### 사용자 버튼 활성화 #####");
    
    this.ue_init();
    
    // □ 버튼 제어 추가
    SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);    // 추가 버튼 삭제
    SYSUtil.setCommonButtonVisible(this.screen, "PRINT" , false);    // 인쇄 버튼 삭제
}

/****************************************************************
 * ■  메시지 박스에서 버튼 선택시 호출됨
 ****************************************************************/
function screen_on_messagebox(messagebox_id, result) {
    console.log("#### screen_on_messagebox() call");        
}

/****************************************************************
 * ■ 팝업 화면 종료시 호출됨
 ****************************************************************/
function screen_on_popupdestroy(popup_screen, popup_name, result) {
    console.log("#### screen_on_popupdestroy() call [popup_name : " + popup_name + "]");
	
	// □ 저장 팝업 후 확인
	if( popup_name == "roleSave") {
		if( result == "확인") {
		    // □ 데이터셋에 사용자가 수정(INSERT, UPDATE)을 한 레코드 갯수를 반환
		    this.DS_SDDO01_C.init();
		
		    var iModifyCount = this.DS_SDDO01.getmodifyrowcount();
		    var iSaveCount   = this.DS_SDDO01_C.getrowcount();
		    var iDelCount    = this.DS_SDDO01_D.getrowcount();
		    var rowCnt       = this.DS_SDDO01.getrowcount();		
	
		    // □ 데이터 등록 전 체크
		    if(rowCnt <= 0 && iDelCount <= 0){	// 전체 데이터가 1건 있는 상태에서 삭제할 경우에 대한 예외처리
				SYSUtil.loadMessageBox(screen, "알림", 1, "저장할 내역이 없습니다.", "");
				return;
			}
		
		    if( iModifyCount > 0 ) {
		        // □ 데이터셋 복사
		        for( var i=0; i<this.DS_SDDO01.getrowcount(); i++ ) {
		            if( this.DS_SDDO01.getrowoperation(i) == XFD_ROWOP_INSERT || this.DS_SDDO01.getrowoperation(i) == XFD_ROWOP_UPDATE) {
		                //console.log("#### insert / update");
		                this.DS_SDDO01_C.copyinsertrow(-1, this.DS_SDDO01, i , true);
		                //SYSUtil.showDataSetLog(this.DS_SDDO01_C);
		            }
		        }
		
		        // □ 데이터 등록 전 체크		                
	            for( var idx=0; idx<this.DS_SDDO01_C.getrowcount(); idx++ ) {
	                // □ 신규입력 된 row에 해당하는 키 value가 없는 경우 alert 알림
	                if( this.DS_SDDO01_C.getrowoperation(idx) == XFD_ROWOP_INSERT ) {
	                    if( this.DS_SDDO01_C.getdatabyname(idx, "roleNo") == "" ) {
	                        SYSUtil.loadMessageBox(this.screen, "알림", 1, "역할코드가 빈 값 입니다.", "");                        
	                        return;
	                    }
	                }
	            }
		    }
		
		    // □ 화면잠금
			screen.setscreenprotect(true);
	        // □ 데이터 등록 service
	        var bRet = SYSTran.requestSubmitSync(this.screen, "CCSROM01I01");
		}
	}
	// □ 삭제 팝업 후 확인
	else if( popup_name == "roleDelete") {
        if (result == "확인"){
	        this.POP_NM = popup_name;
	
		    // □ 그리드 내 선택된 행의 인덱스
		    var nRow = this.grdRoleList.getselectrow();
		    
		    // □ 삭제 한 행 복사
		    this.DS_SDDO01_D.copyinsertrow(-1, this.DS_SDDO01, nRow, true);
		    this.DS_SDDO01_D.setallrowoperation(XFD_ROWOP_DELETE);
		
		    //SYSUtil.showDataSetLog(this.DS_SDDO01_D);
	
	        // □ 그리드 데이터셋 row 삭제
	        this.grdRoleList.deleterow(nRow);
        }
	}
}

/****************************************************************
 * ■ 화면로드시 발생하는 이벤트
 ****************************************************************/
function screen_on_load(){
    console.log("#### screen_on_load() call");
    
    this.ue_init();
}

/* 
 *  SYSTran.requestSubmitAsync(screen, "xTranMapID") 사용되었을 시 callback 함수
 *    [result]
 *    -1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
 *     0 : 서버에서 setErrorMessage를 호출한 경우
 *     1 : 정상 처리가 된 경우
 */
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
    console.log("########## submitcomplete mapid >> " + mapid);
    console.log("########## submitcomplete result >> " + result);
    console.log("########## submitcomplete recv_code >> " + recv_code);
    console.log("########## submitcomplete recv_msg >> " + recv_msg);
    
    // □ 화면잠금해제
    screen.setscreenprotect(false);
		
    // □ 조회 시 후처리
    if( mapid == "CCSROM01S01" ) {
        if( result > -1 ) {
            if( result == 1 ) {
                SYSUtil.setStatusMsg(recv_msg + "총[" + this.DS_SDDO01.getrowcount() + "]건");    
            } else {
                SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "");
                SYSUtil.setStatusMsg(recv_msg);    
            }
        }    
    } 
    // □ 등록 시 후처리
    else {
        if( result > -1 ) {
            if( result == 1 ) {
                SYSUtil.setStatusMsg(recv_msg);

                this.DS_SDDO01_C.init();
                this.DS_SDDO01_D.init();

                this.ue_query();
            } else {
                SYSUtil.loadMessageBox(this.screen, "알림", 1, recv_msg, "");
                SYSUtil.setStatusMsg(recv_msg);
            }
        }
    }
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

/****************************************************************
 * ■ 공통 인쇄 버튼 이벤트
 ****************************************************************/
function ue_print(){
    console.log("#### ue_print() call");
}

/****************************************************************
 * ■ 공통 조회 버튼 이벤트
 ****************************************************************/
function ue_query(){
    console.log("#### ue_query() call");
    
    // □ 조회 전 필수항목 체크
    if( this.fn_SrchCheck() == true ) {
        // □ 화면잠금
        this.screen.setscreenprotect(true);
    
        // □ 조회 처리
        var bRet = SYSTran.requestSubmitSync(this.screen, "CCSROM01S01");  
        if(bRet == false) {
            // □ 화면잠금해제
            screen.setscreenprotect(false);
            // 데이터 송신중 오류가 발생하면 "on_submitcomplete" 이벤트가 발생하지 않는다.
            SYSUtil.loadMessageBox(this.screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
        }else{
            // □ 화면잠금해제
            screen.setscreenprotect(false); //화면잠금해제           
        }
    }
}

/****************************************************************
 * ■ 조회 전 처리
 ****************************************************************/
function fn_SrchCheck() {
    
    // □ 조회 전 필수항목 체크
    var strCbGubun = this.cboGubun.val();         // 역할번호
    var strRoleNm  = this.edtRoleNm.gettext();    // 역할명

    // □ 조회조건 체크
    if( factory.stringbytelen(strCbGubun) != 0 || !SYSUtil.isEmpty(strCbGubun) ) {
        if( factory.stringbytelen(strRoleNm) == 0 || SYSUtil.isEmpty(strRoleNm) ) {
            SYSUtil.loadMessageBox(this.screen, "알림", 1, "조회조건을 입력하세요.", "");
    
            this.edtRoleNm.setfocus();
            return false;
        }
    }

    // □ 조회조건 체크
    if( factory.stringbytelen(strCbGubun) == 0 || SYSUtil.isEmpty(strCbGubun) ) {
        if( factory.stringbytelen(strRoleNm) != 0 || !SYSUtil.isEmpty(strRoleNm) ) {
            SYSUtil.loadMessageBox(this.screen, "알림", 1, "조회조건을 확인하세요.", "");
    
            this.edtRoleNm.setfocus();
            return false;
        }
    }

    return true;
}

/****************************************************************
 * ■ 공통 저장 버튼 이벤트
 ****************************************************************/
function ue_update(){
    console.log("#### ue_update() call");
    
    SYSUtil.loadMessageBox(this.screen, "알림", 2, "저장하시겠습니까?", "roleSave");
}

/****************************************************************
 * ■ 공통 삭제 버튼 이벤트
 ****************************************************************/
function ue_delete(){
    console.log("#### ue_delete() call");
}

/****************************************************************
 * ■ 공통 초기화 버튼 이벤트
 ****************************************************************/
function ue_init(){
    console.log("#### ue_init() call");
    
    // □ dataset clear
    this.DS_SM.init();
    if( this.DS_SM.getrowcount() == 0 ) {
        this.DS_SM.addrow();
    }
    this.DS_SDDO01.init();
    this.DS_SDDO01_C.init();
    this.DS_SDDO01_D.init();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- */
/****************************************************************
 * ■ 조회구분 콤보 변경 이벤트
 ****************************************************************/ 
function cboGubun_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
    console.log("#### cboGubun_on_itemchange() call");
    
    // □ 콤보박스 변경 시 TEXT값을 초기화 시킨다.
    if( nprev_item != ncur_item ) {
        if( this.edtRoleNm.gettext() != "" ) {
            this.edtRoleNm.settext("");
        }
    }
    
    // □ 조회에 따른 구분값 제어를 위해 추가
    if( ncur_item == 1 ) {
        this.DS_SM.setdatabyname(0, "cond", "cd");
    } else {
        this.DS_SM.setdatabyname(0, "cond", "data");
    }
}

/**************************************************
 * ■ 그리드 row 추가 이벤트
 **************************************************/
function btnAddRow_on_click(objInst)
{
    console.log("#### btnAddRow_on_click() call");
    
    // □ 그리드에 매칭 된 데이터셋 row 추가
    this.DS_SDDO01.addrow();
    this.grdRoleList.setcolumneditable(0, true);
}

/****************************************************************
 * ■ 그리드 row 삭제 이벤트
 ****************************************************************/ 
function btnDelRow_on_click(objInst)
{
    console.log("#### btnDelRow_on_click() call");    
    
    SYSUtil.loadMessageBox(this.screen, "알림", 2, "선택한 행을 삭제하시겠습니까?", "roleDelete");
}

/****************************************************************
 * ■ 그리드 컬럼 변경 이벤트
 ****************************************************************/ 
function grdRoleList_on_itemvaluechanged(objInst, nRow, nColumn, strPrevItemText, strItemText)
{
    console.log("#### grdRoleList_on_itemvaluechanged() call");    
    
    var strChkRoleNo  = this.DS_SDDO01.getdata(nRow, 0);
    var strChkRoleNm  = this.DS_SDDO01.getdata(nRow, 1);
    var strOperation  = this.DS_SDDO01.getrowoperation(nRow);
    var strPrevRoleNo = this.DS_SDDO01.getprevdata(nRow, nColumn);
    
    // □ 데이터가 변경 되었을 때 CREATE 데이터셋에 추가
    if( strOperation == XFD_ROWOP_UPDATE ) {
        if( nColumn == 0 && (strPrevItemText != strItemText) ) {
            SYSUtil.loadMessageBox(this.screen, "알림", 1, "수정 시 역할코드는 변경 할 수 없습니다.", "");
            this.DS_SDDO01.setdatabyname( nRow, "roleNo", strPrevRoleNo);
            
            return;
        }
    }
}

/****************************************************************
 * ■ 텍스트 엔터 키 이벤트
 ****************************************************************/ 
function edtRoleNm_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
    if(keycode == 13){
        // □ 조회
        this.ue_query();
    }
    
    return 0;
}