﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");
	
	// 저장 버튼
	if(popup_name == "userRoleSave"){
		if (result == "확인"){
			var modifyCnt = this.DS_SD.getmodifyrowcount(); //데이터셋 내 수정된 행의 수
			var delRowCnt = this.DS_SD_D.getrowcount(); //삭제된 데이터셋 전체 행의 수
			var rowCnt = this.DS_SD.getrowcount(); //데이터셋 전체 행의 수
			var i;
			
			if(rowCnt <= 0 && delRowCnt <= 0){	//전체 데이터가 1건 있는 상태에서 삭제할 경우에 대한 예외처리
				SYSUtil.loadMessageBox(screen, "알림", 1, "저장할 내역이 없습니다.", "");
				return;
			}
			
			// 추가한 행 데이터셋 복사
			if(modifyCnt != 0){
				for(i=0; i < rowCnt; i++){
					if(this.DS_SD.getrowoperation(i) == XFD_ROWOP_INSERT){
						this.DS_SD_C.copyinsertrow(-1, this.DS_SD, i, true);
					}
				}
			}
			
			screen.setscreenprotect(true); //화면잠금
			
			SYSTran.requestSubmitSync(screen, "CSCROM02U01");
		}
	// 역할 추가
	}else if(popup_name == "userRoleInsert"){
		if (result == "확인"){
			var nRow = this.grdRole.getselectrow();	//역할목록 그리드 내 선택된 행의 인덱스

			this.DS_SD_R.setallrowoperation(XFD_ROWOP_INSERT);
			this.DS_SD.copyinsertrow(-1, this.DS_SD_R, nRow, true);	//역할목록 복사
		}
	// 역할 삭제
	}else if(popup_name == "userRoleDelete"){
		if (result == "확인"){
			var nRow = this.grdUserRole.getselectrow();	//그리드 내 선택된 행의 인덱스
			
			// 데이터셋 복사 후 그리드 행 삭제
			this.DS_SD_D.copyinsertrow(-1, this.DS_SD, nRow, true);
			this.DS_SD_D.setallrowoperation(XFD_ROWOP_DELETE);
		
			this.grdUserRole.deleterow(nRow);
		}
	}
}

//화면로드 시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.DS_SM.addrow();
	
	//공통버튼 제어
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;		//공통 인쇄 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;		//공통 삭제 버튼 숨김 처리
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	var check = this.preQuery();	//조회 전 체크
	
	if(check){
		SYSTran.requestSubmitSync(screen, "CSCROM02S01");
	}
	
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
	
	//this.preSave();	// 저장 전 체크
	
	SYSUtil.loadMessageBox(this.screen, "알림", 2, "저장하시겠습니까?", "userRoleSave");

}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SM.deleteallrows();
	this.DS_SD.deleteallrows();
	this.DS_SD_R.deleteallrows();
	this.DS_SD_C.deleteallrows();
	this.DS_SD_D.deleteallrows();
	
	this.DS_SM.addrow();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 트랜젝션 후 처리 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	
	var strMsg = "";
	
	if(mapid == "CSCROM02S01"){	//조회
		if(result <= 0 || recv_code != 0000){
			//strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(recv_msg);
			SYSUtil.loadMessageBox(screen, "알림", 1, recv_msg, "");
			return;
		} else {
			//조회 시 역할 목록 그리드에 사용자번호 세팅 : 데이터셋 복사 시 사용하기 위해
			var userNoVal = this.DS_SM.getdatabyname(0, "userNo");	//사용자번호
			this.grdRole.setcolumntext(3, userNoVal);	//그리드에 사용자번호 세팅
			
			var roleNoVal = this.DS_SD.getdatabyname(0, "roleNo");	//역할번호
			var roleNmVal = this.DS_SD.getdatabyname(0, "roleNm");	//역할명
			
			//사용자만 등록되고, 역할은 등록되지 않은 경우 : 사용자 역할 그리드 세팅 X
			if(factory.stringbytelen(factory.stringtrim(roleNoVal)) == 0
			&& factory.stringbytelen(factory.stringtrim(roleNmVal)) == 0){
				this.grdUserRole.deleteall();
			}
			
			strMsg ="조회가 완료되었습니다.";
		}
	}else if(mapid == "CSCROM02U01"){	//입력, 수정, 삭제
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="저장이 완료되었습니다.";
		}
		this.ue_init();	//데이터셋 초기화
		this.screen_on_load();
	}
	
	//this.screen_on_load();
	screen.setscreenprotect(false); //화면잠금해제
	SYSUtil.setStatusMsg(strMsg);
	
}

// 행 추가 버튼 클릭 시
function addRow_on_click(objInst)
{
	var check = this.preTran("I");
	
	if(check){
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "선택한 역할을 추가하시겠습니까?", "userRoleInsert");
	}
}

// 행 삭제 버튼 클릭 시
function delRow_on_click(objInst)
{
	var check = this.preTran("D");
	
	if(check){
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "선택한 역할을 제외하시겠습니까?", "userRoleDelete");
	}
}

// 조회 전 체크
function preQuery(){
	var userNoVal = this.edtUserNo.val();	//사용자번호
	
	//사용자번호 체크
	if(factory.stringbytelen(factory.stringtrim(userNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "사용자번호를 입력하세요.", "");
		return false;
	}
	
	return true;
}

// 등록, 삭제 전 체크
function preTran(operation){
	var nRow = this.grdRole.getselectrow();	//역할목록 그리드 내 선택된 행의 인덱스
	var roleNoVal = this.DS_SD_R.getdatabyname(nRow, "roleNo");
	var roleYnVal = this.DS_SD.findrowbyname(0, "roleNo:=:\"*"+roleNoVal+"*\":1:&");
	
	var msg = "";
	
	//등록 시에만 체크
	if(operation == "I"){
		msg = "추가할";
		
		//기등록한 역할 체크
		if(roleYnVal != -1){
			SYSUtil.loadMessageBox(screen, "알림", 1, "동일한 역할을 추가할 수 없습니다.", "");
			return false;
		}
	}else{
		msg = "제외할";
		nRow = this.grdUserRole.getselectrow();	//그리드 내 선택된 행의 인덱스
	}
	
	//행 선택 체크
	if(nRow == -1){
		SYSUtil.loadMessageBox(screen, "알림", 1, msg + " 역할을 선택해주세요.", "");
		return false;
	}
	
	return true;
}

// 엔터키 정의
function userRoleMng_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13){
		this.DS_SM.setdatabyname(0, "userNo", this.edtUserNo.val());			//사용자번호
		
		this.ue_query();
	}
	
	return 0;
}