﻿/* --------------------------------------------------
 * 0. 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;

/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */
//화면로드시 발생하는 이벤트
function screen_on_load()
{
	console.log("call ::: screen_on_load");
	// 공통 버튼 제거
	SYSUtil.setCommonButtonVisible(this.screen, "INSERT", false);
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false);
	
	// 발송목적
	SYSTran.getComCode(this.screen, "R00053", this.DS_CD_R00053, true); // DS_DVL_COMBO
	var strFilter = "";
    strFilter += "\"clas1\":=:\"1\":,";
	strFilter += "\"cdDescNo\":=:\"\"";

    this.DS_CD_R00053.copy(this.DS_CD_R00053, strFilter);

	// 화면 로드 시 
    this.fn_XDataSetInit(this.DS_SM, 1);
    this.fn_XDataSetInit(this.DS_SM2, 1);
    this.fn_XDataSetInit(this.DS_SM3, 1);
    this.fn_XDataSetInit(this.DS_SM4, 1);
    this.fn_XDataSetInit(this.DS_SD01, 0);
    this.fn_XDataSetInit(this.DS_SD02, 0);
    this.fn_XDataSetInit(this.DS_SD03, 0);

	this.calStndDt.settext(factory.datetoday());    // 현재날짜 셋팅
}

// XDataSet 초기화 함수
function fn_XDataSetInit(dsObj, addDiv) {
	dsObj.deleteallrows();
	if (addDiv == 1) dsObj.addrow();
}

function screen_on_submitcomplete(mapid, result) {
	console.log("########## mapid >> "+mapd);
	console.log("########## result >> "+result);
}

// 인쇄
function ue_print(){
	console.log("#### ue_print() call");
}

// 조회
function ue_query(){
	console.log("#### ue_query() call");

	// 조회 전 체크
	if( this.pre_Ue_query() == true ) {
		// 발송관리 조회
		
		this.fn_XDataSetInit(this.DS_SD01,0);  //발송일정내역
		this.fn_XDataSetInit(this.DS_SD02,0);  //대출관계자정보
		this.fn_XDataSetInit(this.DS_SD03,0);  //고객주소정보
		
		SYSTran.requestSubmitAsync(screen, "RDMDLM01S01");
	}
}

// 공통 추가 버튼 이벤트
function ue_insert(){
	console.log("#### ue_update() call");
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

function ue_init(){
	this.DS_SM.init();
	this.DS_SD01.init();
	this.DS_SD02.init();
	this.DS_SD03.init();
	this.DS_SM4.init();
	this.calStndDt.settext(factory.datetoday());
}
/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- */
// 조회 전 필수항목 체크
function pre_Ue_query() {
	var strCustNo   = this.edtCustNo.gettext();     // 고객번호
	var strLoanNo   = this.edtLoanNo.gettext();     // 대출번호
	var strLoanSeq  = this.edtLoanSeq.gettext();    // 대출순번
	var strStndDt   = this.calStndDt.gettext();      // 기준일자

    // 길이 체크 추가 필요
    if ( factory.stringtrim(strCustNo) == "" && factory.stringtrim(strLoanNo) == "" ) {
		screen.alert("고객번호, 대출번호를 확인하세요.");
		this.edtCustNo.setfocus();
		return false;
    }
	
    if ( factory.stringtrim(strStndDt) == "" ) {
		screen.alert("기준일자를 확인하세요.");
		this.calStndDt.setfocus();
		return false;
    }

    return true;
}

// 팝업 콜백 함수
function popupCallback(objExtdata) {
	console.log("popupCallback objExtdata:::: ");
	console.log(objExtdata);
	if(objExtdata.popId == "CBCCCP01"){
		this.edtLoanNo.settext(objExtdata.loanNo);
		this.edtLoanSeq.settext(objExtdata.loanSeq);
		this.edtCustNo.settext(objExtdata.custNo);
	}
}

// 대출내역 그리드 셀 클릭 시 하단의 대출관계자정보 조회 
function grdLoanBase_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	console.log("call ::: grdLoanBase_on_itemclick");
	if (nClickColumn != 0) {
		var loanNo = this.DS_SD01.getdatabyname(nClickRow, "loanNo");
		var loanSeq = this.DS_SD01.getdatabyname(nClickRow, "loanSeq");	
		var ivltClosStndDt = factory.stringreplaceall(this.DS_SD01.getdatabyname(nClickRow, "ivltClosStndDt"), "-", "");
		
		this.DS_SM2.init();
		this.DS_SM2.addrow();
		this.DS_SM2.setdatabyname(0, "loanNo", loanNo);     // 조회조건을 셋팅
	    this.DS_SM2.setdatabyname(0, "loanSeq", loanSeq);    // 조회조건을 셋팅
		
		this.fn_XDataSetInit(this.DS_SD02, 0);
    	this.fn_XDataSetInit(this.DS_SD03, 0);
		
		// 대출관계자 조회
		SYSTran.requestSubmitAsync(screen, "RDMDLM01S02");
	}
}

// 고객관리 버튼 클릭 시 이벤트
function btn_custMng_on_mouseup(objInst)
{
	screen.alert("btn_custMng_on_mouseup()");
}

// 대출관계자 그리드 셀 클릭 시 하단의 고객주소정보 조회
function grdLoanRel_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	if( nClickRow > -1 ) {
		
		var custNo = this.DS_SD02.getdatabyname(nClickRow, "custNo");	
		var faxNo1 = this.DS_SD02.getdatabyname(nClickRow, "faxNo1");
		var faxNo2 = this.DS_SD02.getdatabyname(nClickRow, "faxNo2");
		var faxNo3 = this.DS_SD02.getdatabyname(nClickRow, "faxNo3");

		if (nClickColumn != 0) {
			
			this.DS_SM3.init();
    		this.DS_SM3.addrow();
    		this.DS_SM3.setdatabyname(0, "custNo", custNo);
			
			// 대출관계자 조회
			SYSTran.requestSubmitAsync(screen, "RDMDLM01S03");
		}
	}
}

function btnIntgSrch_on_click(objInst)
{
	console.log("call :: btnIntgSrch_on_click");
    var param ={};
	var loanNo = this.edtLoanNo.gettext();
	var loanSeq = this.edtLoanSeq.gettext();
	var custNo = this.edtCustNo.gettext();
	
	// 대출번호
    if(!SYSUtil.isEmpty(loanNo)){
		param.loanNo = loanNo;
	}
	
	// 대출순번
	if(!SYSUtil.isEmpty(loanSeq)){
		param.loanSeq = loanSeq;
	}
	
	// 고객번호
	if(!SYSUtil.isEmpty(custNo)){
		param.custNo = custNo;
	}
	
    // 팝업 Title
    var popupTitle = "대출통합검색";
    var popupPath  = "/BIZ/C/BC/CC/CBCCCP01";
        
    SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param);
}

function edtLoanNo_on_change(objInst, event_type)
{
	if(SYSUtil.isEmpty(this.edtLoanSeq.gettext()) && !SYSUtil.isEmpty(this.edtLoanNo.gettext()) ) {
		this.edtLoanSeq.settext("01");
	} else if(SYSUtil.isEmpty(this.edtLoanNo.gettext())){
		this.edtLoanSeq.settext("");
	}
}