﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();
// 처리 그리드
this.GRID = null;

// 상수
var ACTION_RFND_DESC_LIST_READ = "1";  //환불내역 목록 조회
var ACTION_RFND_ACNT_INFO_READ = "2";  //예가수 정보, 환불 정보, 계좌 정보 조회
var ACTION_RFND_ACNT_CNFM      = "3";  //계좌확인(환불 조건 확인, 예가수정보 수정, 환불내역 저장)
var ACTION_ACNT_RSLT_RQST      = "4";  //계좌결과요청
var ACTION_IVLT_REG            = "5";  //강제등록
var ACTION_CNFM_CNCL           = "6";  //확인취소
var ACTION_JST_RQST            = "7";  //결재요청
var ACTION_RFND_RQST           = "8";  //환불요청
var ACTION_RFND_RSLT_RQST      = "9";  //환불 결과요청
var ACTION_RFND_CNCL_RQST      = "10"; //환불 취소

// 현재시간
var tmp_Today;
// 메시지 처리 후 포커스 주기 위한 변수
var focusObj;

/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	if(popup_name == "msg04" && focusObj != null){
		focusObj.setfocus(true);
	}
}

//화면로드시 발생하는 이벤트
function screen_on_load(){
		
	// 공통 버튼 숨김(저장,삭제,인쇄)
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false);
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT",  false);
	
	// 현재 날짜 세팅
	tmp_Today = factory.datetoday();
	
	// 초기화
	this.fn_Init();
	
	// 콤보박스 세팅
	this.fn_SearchCombo();
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */
// 공통 조회 버튼 이벤트
function ue_query(){
	
	// 조회 전 체크 start
	var from = factory.stringtrim(this.DS_SM01.getdatabyname(0,"rfndDtFrom"));
	var to   = factory.stringtrim(this.DS_SM01.getdatabyname(0,"rfndDtTo"));
	
	// 환불일자
	if ( from.length != 8 || to.length != 8 ){
		SYSUtil.loadMessageBox(screen, "알림", 1, "환불일자를 확인하세요.", "msg04");	
		this.cal_RfndDtFrom.setfocus();
		return false;
    }

    if( from > to ){
		SYSUtil.loadMessageBox(screen, "알림", 1, "환불일자 From 조건이 환불일자 To 조건보다 크게입력되었습니다.", "msg04");	
		this.cal_RfndDtFrom.setfocus();
		return false;
    }
	// 조회 전 체크 end
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM03S01");
		
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}	
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	
	this.DS_SM01.init();
	this.DS_SD01.init();
	this.DS_SD02.init();
	this.DS_SD03.init();
	
	this.DS_SM01.addrow();
	this.DS_SD02.addrow();
	
	this.DS_SM01.setdatabyname(0, "isrtDeptCd", G_DEPT.getdatabyname(0, "deptCd" ));
	this.DS_SM01.setdatabyname(0, "isrtDeptNm", G_DEPT.getdatabyname(0, "deptNm" ));
	
	this.cal_RfndDtFrom.settext(tmp_Today);
	this.cal_RfndDtTo.settext(tmp_Today);
	
	this.fn_clearMark();
	
	this.fn_Rfnd_Disable();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

function fn_Init(){
	
	// 데이터셋 초기화
	this.DS_SM01.init();	
	this.DS_SD01.init();	
	this.DS_SD02.init();
	this.DS_SD03.init();
	this.DS_CONT_MAN_TEL.init();
	this.DS_ASOC_ACNT.init();
	
	this.DS_SM01.addrow();	
	this.DS_SD02.addrow();	
	this.DS_CONT_MAN_TEL.addrow();	
	this.DS_ASOC_ACNT.addrow();
	
	this.cal_RfndDtFrom.settext(tmp_Today);
	this.cal_RfndDtTo.settext(tmp_Today);
			
	this.DS_SM01.setdatabyname(0,"isrtDeptCd",G_DEPT.getdatabyname(0,"deptCd"));
	this.DS_SM01.setdatabyname(0,"isrtDeptNm",G_DEPT.getdatabyname(0,"deptNm"));
	
}

function fn_SearchCombo(){
	
	SYSTran.getComCode(this.screen, "R00031", this.DS_CD_R00031, true);
	SYSTran.getComCode(this.screen, "R00012", this.DS_CD_R00012, true);
	SYSTran.getComCode(this.screen, "A00003", this.DS_CD_A00003, true);
	SYSTran.getComCode(this.screen, "S00050", this.DS_CD_S00050, true);
	SYSTran.getComCode(this.screen, "R00032", this.DS_CD_R00032, true);
	SYSTran.getComCode(this.screen, "R00049", this.DS_CD_R00049, true);
	SYSTran.getComCode(this.screen, "S00057", this.DS_CD_S00057, true);
	SYSTran.getComCode(this.screen, "B00226", this.DS_CD_B00226, true);
	SYSTran.getComCode(this.screen, "R00126", this.DS_CD_R00126, true);
}

// 대출번호 11자리 입력시 대출순번 01 세팅
function edt_LoanNoSm_on_changed(objInst, prev_text, curr_text, event_type)
{
	if(curr_text.length == 11){
		this.edt_LoanSeqSm.settext("01");
	}
}

// 트랜잭션 후 콜백 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	// 조회 후 콜백
	if(mapid == "RSRSRM03S01" && recv_code == "0000"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "조회 완료되었습니다.", "msg04");	
	}
	// 그리드 클릭 후 콜백
	else if(mapid == "RSRSRM03S02" && recv_code == "0000"){
		console.log("사이즈 : " + this.DS_SD03.getrowcount());
		console.log("환불계좌 : " + this.DS_SD03.getdatabyname(0,"rfndAcntNo"));
		this.postFind03();
		
		// 툴팁 설정
		this.setToolTip();
	}
	// 환불등록 클릭 후 콜백
	else if(mapid == "RSRSRM03S03" && recv_code == "0000"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "환불요청이 등록되었습니다.", "msg04");	
		this.fn_SearchDsrcInfo(true);		
	}
	// 강제등록 클릭 후 콜백
	else if(mapid == "RSRSRM03U03" && recv_code == "0000"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "강제등록 되었습니다.", "msg04");	
		this.fn_SearchDsrcInfo(true);		
	}
	// 결재 버튼 클릭 후 콜백
	else if(mapid == "RSRSRM03U01" && recv_code == "0000"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "환불결재처리가 완료되었습니다.", "msg04");		
		this.ue_query();	
	}
	// 환불 버튼 클릭 후 콜백
	else if(mapid == "RSRSRM03U02" && recv_code == "0000"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "환불처리가 완료되었습니다.", "msg04");		
		this.ue_query();	
	}
	// 환불결과요청 버튼 클릭 후 콜백
	else if(mapid == "RSRSRM03U04" && recv_code == "0000"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "환불 결과요청이 완료되었습니다.", "msg04");		
		this.ue_query();	
	}
	// 취소 버튼 클릭 후 콜백
	else if(mapid == "RSRSRM03U05" && recv_code == "0000"){
		SYSUtil.loadMessageBox(screen, "알림", 1, "취소처리가 완료되었습니다.", "msg04");		
		this.ue_query();
	}
}

function grd_RfndDescInfo_on_itemclick(objInst, nClickRow, nClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	this.DS_SD02.setdatabyname(0, "dsrcNo", this.DS_SD01.getdatabyname(nClickRow,"dsrcNo"));
	this.DS_SD02.setdatabyname(0, "rfndSnum", this.DS_SD01.getdatabyname(nClickRow,"rfndSnum"));
	
	if(nClickColumn > 0){
		this.fn_SearchDsrcInfo(false);
	}
}

/********************************************************************
* 예가수 정보(환불정보,계좌정보)를 조회 한다.
********************************************************************/
function fn_SearchDsrcInfo(isLast){
	
	if( factory.stringtrim(this.DS_SD02.getdatabyname(0,"dsrcNo")).length == 0 ){
		
		SYSUtil.loadMessageBox(screen, "알림", 1, "예가수번호를 입력하셔야 합니다.", "msg04");	
		return false;
	}
	
	if( isLast && isLast == true ){
		// 최신건만 조회할수 있도록
		this.DS_SD02.setdatabyname(0, "rfndSnum", "");
	}
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM03S02");
		
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}

function postFind03(){
	SYSUtil.loadMessageBox(screen, "알림", 1, "조회 완료되었습니다.", "msg04");	
	
	var acntCnfmRsltCd = this.DS_SD03.getdatabyname(0, "acntRsltCd");
	if( acntCnfmRsltCd == "9001" ){ //예금주명오류
		this.DS_SD03.setdatabyname(0, "acntRsltNm", this.DS_SD03.getdatabyname(0, "acntRsltNm")
											+ "(확인예금주명 : " + this.DS_SD03.getdatabyname(0,"cnfmDepoOwnnm") + ")" );
	}

	this.DS_CONT_MAN_TEL.setdatabyname(0, "contManTel1", this.DS_SD03.getdatabyname(this.DS_SD03.getpos(), "contManTel1"));
    this.DS_CONT_MAN_TEL.setdatabyname(0, "contManTel2", this.DS_SD03.getdatabyname(this.DS_SD03.getpos(), "contManTel2"));
    this.DS_CONT_MAN_TEL.setdatabyname(0, "contManTel3", this.DS_SD03.getdatabyname(this.DS_SD03.getpos(), "contManTel3"));

	this.DS_ASOC_ACNT.setdatabyname(0, "rfndBankCd",     this.DS_SD03.getdatabyname(this.DS_SD03.getpos(), "rfndBankCd"));
	this.DS_ASOC_ACNT.setdatabyname(0, "rfndAcntNo",     this.DS_SD03.getdatabyname(this.DS_SD03.getpos(), "rfndAcntNo"));
	this.DS_ASOC_ACNT.setdatabyname(0, "rfndDepoOwnnm",  this.DS_SD03.getdatabyname(this.DS_SD03.getpos(), "rfndDepoOwnnm"));

    this.fn_Rfnd_Disable();
}

function fn_Rfnd_Disable()
{
	this.cbo_rfndRsnCd.setenable(false);
	this.cbo_rcptTpCd.setenable(false);
	this.edt_adjDsrcAmt.setenable(false);
	this.edt_rfndAcntNo.setenable(false);
	this.edt_rfndDepoOwnNo.setenable(false);
	this.rdo_autoTranAplyFg.setenable(false);
	this.cbo_rfndBankCd.setenable(false);
	this.edt_rfndDepoOwnnm.setenable(false);
	this.cbo_rfndDepoOwnRelCd.setenable(false);
	this.cbo_tel1.setenable(false);
	this.edt_tel2.setenable(false);
	this.edt_tel3.setenable(false);
	this.rdo_smsSendFg.setenable(false);
	this.cal_PayAgrDocRecpDt.setenable(false);
}

function btn_dsrcLink_on_click(objInst)
{
	//sql에 검색 조건이 있는 경우에만 추가 검색조건이 없는 경우 생략 가능
	var sqlCon = { "dsrcNo":this.DS_SD02.getdatabyname(0,"dsrcNo")}; 

	// 데이타사전 팝업으로 전달할 데이터
	var param = {"DATADICNO":"RTRCPTDSRCBASE01" ,  "extParam" : sqlCon };   

	// 팝업 Title
	var popupTitle = "데이터사전";

	//팝업 경로
	var popupPath = "/BIZ/C/CM/CM/CCMCMP05";
	
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

function popupCallback(objExtdata) {
	console.log(objExtdata);
	if (objExtdata != undefined || objExtdata != null) {
		// 대출통합검색 팝업 콜백
		if(objExtdata.popId == "CBCCCP01"){
			
			if(objExtdata.loanNo != null){
				this.edt_LoanNoSm.settext(objExtdata.loanNo);  
				this.edt_LoanSeqSm.settext(objExtdata.loanSeq);	 
			}else{
				this.edt_LoanNoSm.settext("");  
				this.edt_LoanSeqSm.settext(""); 
			}
				
		}
		// 자료사전 팝업 콜백
		else if(objExtdata.popId == "CCMCMP05"){
			
			if(objExtdata.dsrcNo != null){
				this.edt_dsrcNo2.settext(objExtdata.dsrcNo);
				this.fn_SearchDsrcInfo(true);		
			}			
		}
	}
}

// 대출 통합검색 팝업
function btn_Search_loan_on_click(objInst)
{
	// 팝업화면으로 전달할 데이터
	var param = {"GUBUN":"SELECT", "loanNo": this.edt_LoanNoSm.gettext() , "loanSeq": this.edt_LoanSeqSm.gettext() }; 
	// 팝업 Title
	var popupTitle = "대출통합검색";
	//팝업 경로
	var popupPath = "/BIZ/C/BC/CC/CBCCCP01";
		
	SYSUtil.loadPopup(this.screen, popupTitle, popupPath, param) ;
}

// 예가수 조회 버튼 클릭
function btn_dsrcRead_on_click(objInst)
{
	if (!this.fn_SearchDsrcInfo(true)) {
		this.edt_dsrcNo2.setfocus();
		return;
	}
}

// 신규버튼 클릭시, sort할때 생긴 ▲,▼ 마크를 없애는 함수.
function fn_clearMark() {

	this.grd_RfndDescInfo.releasesort();
}

// 환불유형코드 변경 이벤트
function cbo_rcptTpCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	var nNewIndex = this.cbo_rcptTpCd.getselectedindex();
	
	if (nNewIndex == 1){
		if(this.rdo_autoTranAplyFg.getselectedcode() != "3"){
			this.smsEnable(1);
		}
		if(this.rdo_autoTranAplyFg.getselectedcode() == "2"){
			this.smsEnable(2);
		}
	}
	else if (nNewIndex == 2){
		this.smsEnable(3);
	}
	else if (nNewIndex == 3){
		this.smsEnable(3);
	}	
}

function smsEnable(sw)
{
	if(sw == 1) {   //직접입력(계좌선택)
		this.cbo_tel1.setenable(true);
		this.edt_tel2.setenable(true);
		this.edt_tel3.setenable(true);
		this.rdo_smsSendFg.setenable(true);
		this.cbo_tel1.settext(this.DS_CONT_MAN_TEL.getdatabyname(0,"contManTel1"));
		this.edt_tel2.settext(this.DS_CONT_MAN_TEL.getdatabyname(0,"contManTel2"));
		this.edt_tel3.settext(this.DS_CONT_MAN_TEL.getdatabyname(0,"contManTel3"));
	} else if(sw == 2) {  //자동이체(계좌선택)

		this.cbo_tel1.setenable(true);
		this.edt_tel2.setenable(true);
		this.edt_tel3.setenable(true);
		this.rdo_smsSendFg.setenable(false);
		this.DS_SD03.setdatabyname(0, "smsSendFg", "1");
		this.cbo_tel1.settext(this.DS_CONT_MAN_TEL.getdatabyname(0,"contManTel1"));
		this.edt_tel2.settext(this.DS_CONT_MAN_TEL.getdatabyname(0,"contManTel2"));
		this.edt_tel3.settext(this.DS_CONT_MAN_TEL.getdatabyname(0,"contManTel3"));
	} else {   //거래처(계좌선택)
		this.cbo_tel1.setenable(false);
		this.edt_tel2.setenable(false);
		this.edt_tel3.setenable(false);
		this.rdo_smsSendFg.setenable(false);
		this.cbo_tel1.settext("");
		this.edt_tel2.settext("");
		this.edt_tel3.settext("");
		this.DS_SD03.setdatabyname(0, "smsSendFg", "0");
	}
}

// 툴팁 설정
function setToolTip()
{

	if(this.DS_SD03.getpos() >= 0){
		var sTipText = this.DS_SD03.getdatabyname(this.DS_SD03.getpos(),"acntRsltNm");
		
		if(factory.stringtrim(sTipText).length < 3){
			sTipText = factory.stringtrim(sTipText) + " ";	
		}
		this.edt_acntCnfmRslt.settooltiptext(sTipText);
	}
	
}

// 환불등록 버튼 클릭 이벤트
function btn_AcntCnfm_on_click(objInst)
{
	if(this.DS_SD03.getrowcount() != 1){
		return;
	}	
	
	if (!this.fn_Btn_Chk(ACTION_RFND_ACNT_CNFM)) {
		this.edt_rfndStatCd.setfocus();
		return;
    }

	//화면조건 확인, 입력항목 확인
	if (!this.fn_Input_Chk()) {
		return;
	}
	
	if( this.rdo_smsSendFg.getselectedcode() == 0 ){
		//SMS전송 여부창이 활성화 되어있을때 SMS전송여부를 묻는다.
		if( this.rdo_smsSendFg.getenable() == true ) {
			if(SYSUtil.comConfirm("환불성공시 SMS전송하시겠습니까?")){
				this.DS_SD03.setdatabyname(0, "smsSendFg", "1");
			}
		}
	}else{
		//SMS전송을 하도록 되어있을때 즉시환불이 아닌경우 SMS발송여부를 확인한다.
		if( this.cbo_rcptTpCd.getselectedcode() != "F1" ){
			if(!SYSUtil.comConfirm("환불성공시 SMS전송하시겠습니까?")){
				this.DS_SD03.setdatabyname(0, "smsSendFg", "0");
			}
		}
	}
	
	//SMS전송이면 , 전화번호 확인
	if(this.rdo_smsSendFg.getselectedcode() == 1) {
		var tel1 = this.DS_SD03.getdatabyname(0, "cntcPlcTel1");
		var tel2 = this.DS_SD03.getdatabyname(0, "cntcPlcTel2");
		var tel3 = this.DS_SD03.getdatabyname(0, "cntcPlcTel3");
	  if(   tel1 == "" || tel1 == null
		 || tel2 == "" || tel2 == null
		 || tel3 == "" || tel3 == null )
	  {
			if(SYSUtil.comConfirm("연락처번호가 없습니다. 수정하시겠습니까?"+" \n\n"+" (미수정시, SMS는 전송되지 않습니다)"))
			{
				this.cbo_tel1.setfocus();
				return;
			}
			else
			{
				this.DS_SD03.setdatabyname(0, "smsSendFg", "0");
			}
		}
	}
	
	SYSUtil.loadMessageBox(screen, "알림", 1, "계좌확인중", "msg04");	
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM03S03");
		
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}

function fn_Btn_Chk( argReqDiv )
{
	var curRfndStadCd = this.DS_SD03.getdatabyname(0,"rfndStatCd");
	var curAcntRsltCd = this.DS_SD03.getdatabyname(0, "acntRsltCd");
	var rcptTpCd      = this.DS_SD03.getdatabyname(0, "rcptTpCd");

	if (argReqDiv == ACTION_RFND_ACNT_CNFM){  //계좌확인 요청
		if (curRfndStadCd != "00"    //예가수
         && curRfndStadCd != "10"    //환불대상
            ) {
				SYSUtil.loadMessageBox(screen, "알림", 1, "계좌확인은 [예가수,환불등록]상태에서 가능합니다.", "msg04");	
				return false;
			}
	}
	else if (argReqDiv == ACTION_CNFM_CNCL){  //확인취소 요청
		if (curRfndStadCd != "20"
         && curRfndStadCd != "25")
    		{
				SYSUtil.loadMessageBox(screen, "알림", 1, "계좌확인취소는 [계좌확인중,계좌확인오류]상태에서 가능합니다.", "msg04");	
				return false;
			}
		}else if( argReqDiv == ACTION_IVLT_REG ){  //강제등록요청
			if( rcptTpCd != "F1" ){ //즉시환불
				SYSUtil.loadMessageBox(screen, "알림", 1, "환불유형이 즉시환불일때 강제등록이 가능합니다.", "msg04");	
				return false;
			}

			if( curRfndStadCd != "25" || curAcntRsltCd != "9001" ){				
				SYSUtil.loadMessageBox(screen, "알림", 1, "예금주명 오류에서만 강제등록이 가능합니다.", "msg04");
				return false;
			}
	}else if( argReqDiv == ACTION_ACNT_RSLT_RQST ){  //계좌확인 결과요청
		if( rcptTpCd != "F1" ){ //즉시환불
			SYSUtil.loadMessageBox(screen, "알림", 1, "환불유형이 즉시환불일때 계좌확인 결과요청이 가능합니다.", "msg04");
			return false;
		}

		if (curRfndStadCd != "20"){
			SYSUtil.loadMessageBox(screen, "알림", 1, "환불상태가 계좌확인중('20')에서만 계좌 결과 요청이 가능합니다.", "msg04");
			return false;
		}
	}

	return true;
}


function fn_Input_Chk(){
	
	var rcptTpCd = this.DS_SD03.getdatabyname(0,"rcptTpCd");

	// 환불사유
	if (this.DS_SD03.getdatabyname(0,"rfndRsnCd").length == 0) {		
		SYSUtil.loadMessageBox(screen, "알림", 1, "환불사유를 확인하세요.", "msg04");
		focusObj = this.cbo_rfndRsnCd;
		return false;
	}

	//환불유형
	if (rcptTpCd.length == 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "환불유형을 확인하세요.", "msg04");		
		focusObj = this.cbo_rcptTpCd;
		return false;
	}

	//환불금액
	var f_dsrcRamt = Number(this.DS_SD03.getdatabyname(0,"dsrcRamt"));
	if (Number(this.DS_SD03.getdatabyname(0,"dsrcAdjAmt")) <= 0
	 && Number(this.DS_SD03.getdatabyname(0,"dsrcAdjAmt")) > f_dsrcRamt) {		
		SYSUtil.loadMessageBox(screen, "알림", 1, "환불금액을 확인하세요.(0 <환불금액 <= 예가수잔액("+f_dsrcRamt+")", "msg04");		
		focusObj = this.edt_adjDsrcAmt;
		return false;
	}

	var autoTranAplyFg = this.DS_SD03.getdatabyname(0, "autoTranAplyFg");
    if( autoTranAplyFg.length < 1 || ( autoTranAplyFg != "1" && autoTranAplyFg != "2" && autoTranAplyFg != "3" )){
		SYSUtil.loadMessageBox(screen, "알림", 1, "계좌입력 방식을 선택해주세요.( 직접입력, 자동이체, 거래처선택 )", "msg04");		
		return;
    }

    //환불은행
	if (this.DS_SD03.getdatabyname(0,"rfndBankCd").length == 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "환불은행을 확인하세요.", "msg04");		
		focusObj = this.cbo_rfndBankCd;
		return false;
	}

	if (this.DS_SD03.getdatabyname(0,"rfndAcntNo").length == 0
	  || factory.isdigit(this.edt_rfndAcntNo.gettext()) == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "환불계좌를 확인하세요.", "msg04");		
		focusObj = this.edt_rfndAcntNo;
		return false;
	}
 
	//예금주관계
	if (this.DS_SD03.getdatabyname(0,"rfndDepoOwnRelCd").length == 0) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "예금주관계를 확인하세요.", "msg04");		
		focusObj = this.cbo_rfndDepoOwnRelCd;
		return false;
	}

    // 예금주명 확인
	var rfndDepoOwnnm = this.DS_SD03.getdatabyname(0, "rfndDepoOwnnm");
	if( rfndDepoOwnnm.length < 1){
		SYSUtil.loadMessageBox(screen, "알림", 1, "예금주명을 입력하세요.", "msg04");		
		focusObj = this.edt_rfndDepoOwnnm;
		return;
    }
    
    // 예금주주민번호 확인
	var rfndDepoOwnNo = this.DS_SD03.getdatabyname(0, "rfndDepoOwnNo");
    if( rfndDepoOwnNo.length < 1){		
		SYSUtil.loadMessageBox(screen, "알림", 1, "예금주 번호를 입력하세요.", "msg04");		
		focusObj = this.edt_rfndDepoOwnNo;
		return;
    }

    // 사용자가 입력할 때는 예금주 주민번호를 체크한다.
    if( this.isRfndDepoEditable() ){
		if( rfndDepoOwnNo.length != 6 && rfndDepoOwnNo.length != 10 ){			
			SYSUtil.loadMessageBox(screen, "알림", 1, "예금주번호는 6자리 생년원일 또는 10자리 사업자번호를 입력하세요.", "msg04");		
			focusObj = this.edt_rfndDepoOwnNo;
			return false;
		}
    }
    
    var payAgrDocRecpDt = this.DS_SD03.getdatabyname(0, "payAgrDocRecpDt");
	if( payAgrDocRecpDt.length < 1 ){
		if( autoTranAplyFg != "2" ){
			SYSUtil.loadMessageBox(screen, "알림", 1, "지급동의서 수령일자를 선택하세요.", "msg04");		
			focusObj = this.cal_PayAgrDocRecpDt;
			return;
		}
    } else {
		if( autoTranAplyFg == "2" ){
			SYSUtil.loadMessageBox(screen, "알림", 1, "자동이체계좌는 지급동의서 수령일자를 입력할수 없습니다.", "msg04");		
			focusObj = this.cal_PayAgrDocRecpDt;
			return;
		}
    }

	return true;
}

/**
 * 주민번호,예금주명 사용자 입력가능여부
 */
function isRfndDepoEditable(){
	
	var autoTranAplyFg   = this.DS_SD03.getdatabyname(0,"autoTranAplyFg");
	var custNo           = this.DS_SD03.getdatabyname(0, "custNo");
	var custNm           = this.DS_SD03.getdatabyname(0, "custNm");
	var custNoFormatted  = this.DS_SD03.getdatabyname(0, "custNoFormatted");
	var dsrcOccrCd       = this.DS_SD03.getdatabyname(0, "dsrcOccrCd");
	var rfndDepoOwnRelCd = this.DS_SD03.getdatabyname(0,"rfndDepoOwnRelCd");
	console.log(autoTranAplyFg);
	// 직접입력이 아니면 (자동이체, 거래처선택) 주민번호,예금주명 입력못함.
	if( autoTranAplyFg != "1" ){
		return false;
	}

	if( rfndDepoOwnRelCd == "01" ){
		// 본인이지만 미확인 예가수는 사용자가 정보를 입력해야함.
		if( dsrcOccrCd == "22" && ( custNo.length < 1 || custNm.length < 1 || custNoFormatted.length ) ){
			return true;
		} else {
			return false;
		}
	}

	return true;
}


// 신규 환불정보 입력 (신규버튼 클릭 이벤트)
function btn_newReq_on_click(objInst)
{
	if( this.DS_SD03.getrowcount() == 0 ){
		return false;
	}

	if( this.DS_SD03.getdatabyname(0,"dsrcRamt") < 1){
		SYSUtil.loadMessageBox(screen, "알림", 1, "환불할 예가수 잔액이 없습니다.)", "msg04");		
		return;
	}
	
	var lastRfndStatCd = this.DS_SD03.getdatabyname(0,"lastRfndStatCd");
	if( lastRfndStatCd != "00" && lastRfndStatCd != "10" ){	// 예가수, 환불대상이 아닌건
		SYSUtil.loadMessageBox(screen, "알림", 1, "환불할 환불상태가 진행중인건이 있습니다.(" + lastRfndStatCd + ")" , "msg04");		
		return;
	}
	
	// 계좌선택 최초 자동이체디폴트
	var autoTranAplyFg = this.rdo_autoTranAplyFg.getselectedcode();
	console.log("autoTranAplyFg : " + autoTranAplyFg);
	if( autoTranAplyFg != "1" && autoTranAplyFg != "2" && autoTranAplyFg != "3" ){
		
		if( this.hasAutoTranAcnt() ){
			autoTranAplyFg = "2";
			this.DS_SD03.setdatabyname(0,"autoTranAplyFg","2");

			this.setAutoTranAcnt();
		} else {
			autoTranAplyFg = "1";
			this.DS_SD03.setdatabyname(0,"autoTranAplyFg","1");
		}
	}	
	
	//환불 최종상태를 확인후 입력모드 전환
	this.fn_Rfnd_Enable();
	
	if (autoTranAplyFg == "1") { //직접입력 	 
		if(this.DS_SD03.getdatabyname(0,"rcptTpCd") == "F1") {
			this.smsEnable(1);
		} else {
			this.smsEnable(3);
		}
	}
	else if (autoTranAplyFg == "2") { //자동이체
	
		if(this.DS_SD03.getdatabyname(0,"rcptTpCd") == "F1") {
			this.smsEnable(2);
		} else {
			this.smsEnable(3);
		}
	}
	else if (autoTranAplyFg == "3") { //거래처선택
	
		this.smsEnable(3);
	}
	else
	{
		this.DS_SD03.setdatabyname(0, "smsSendFg", "1");
	}

	this.DS_SD03.setdatabyname(0,"rfndStatCd", lastRfndStatCd);

	if( lastRfndStatCd == "00" ){
		this.DS_SD03.setdatabyname(0,"rfndStatNm", "예가수");
	}else{
		this.DS_SD03.setdatabyname(0,"rfndStatNm", "환불대상");
	}

	this.DS_SD03.setdatabyname(0, "acntRsltNm", "" );
	this.DS_SD03.setdatabyname(0, "rfndRsltNm", "" );
	this.DS_SD03.setdatabyname(0, "sysPathCd", sysPathCd );	//DOBSCAP에서 신청함.
	this.DS_SD03.setdatabyname(0, "sendStatNm", "" );
	this.DS_SD03.setdatabyname(0, "sendTxt", "" );

	this.edt_adjDsrcAmt.settext(this.edt_dsrcRamt.gettext());
	
}

// 자동이체계좌 세팅
function setAutoTranAcnt()
{
	this.cbo_rfndBankCd.settext(this.DS_SD03.getdatabyname(0,"setlBankCd"));
	this.edt_rfndAcntNo.settext(this.DS_SD03.getdatabyname(0,"setlAcntNo"));	
	this.edt_rfndDepoOwnnm.settext(this.DS_SD03.getdatabyname(0,"setlDepoOwnnm"));
	this.edt_rfndDepoOwnNo.settext(this.DS_SD03.getdatabyname(0,"setlDepoOwnNo"));

	this.cbo_rfndDepoOwnRelCd.settext(this.DS_SD03.getdatabyname(0,"setlDepoOwnRelCd"));
	this.cal_PayAgrDocRecpDt.setenable(false);
	this.cal_PayAgrDocRecpDt.settext("");

	this.smsEnable(2);
}

/**
 * 자동이체 사용가능여부
 */
function hasAutoTranAcnt(){
	
	if( this.DS_SD03.getrowcount() < 1 ){
		return false;
	}
	
	if( this.DS_SD03.getdatabyname(0, "setlAcntStatCd") == "13"){
		var setlBankCd       = factory.stringtrim(this.DS_SD03.getdatabyname(0,"setlBankCd"));
		var setlAcntNo       = factory.stringtrim(this.DS_SD03.getdatabyname(0,"setlAcntNo"));
		var setlDepoOwnnm    = factory.stringtrim(this.DS_SD03.getdatabyname(0,"setlDepoOwnnm"));
		var setlDepoOwnRelCd = factory.stringtrim(this.DS_SD03.getdatabyname(0,"setlDepoOwnRelCd"));
		var setlDepoOwnNo    = factory.stringtrim(this.DS_SD03.getdatabyname(0,"setlDepoOwnRelCd"));
		
		return setlBankCd.length > 0 && setlAcntNo.length > 0 
				&& setlDepoOwnnm.length > 0 && setlDepoOwnRelCd.length > 0
				&& setlDepoOwnNo.length > 0;
	}
	
	return false;
}

function grd_RfndDescInfo_on_columnmousehover(objInst, bHeader, nRow, nColumn)
{
	if(nColumn == 10){
		// 계좌번호 마스킹 해제 툴팁
		this.grd_RfndDescInfo.setitemtooltiptext(nRow,nColumn,this.DS_SD01.getdatabyname(nRow,"rfndAcntNo"));	
	}
	
		                                                       
}

// 자동이체적용 라디오 버튼 클릭 이벤트
function rdo_autoTranAplyFg_on_itemchange(objInst, prev_value, curr_value, event_type)
{
	var clkVal = this.rdo_autoTranAplyFg.getselectedcode();
	
	if (curr_value == 1)
	{
		this.smsEnable(1);

		this.cbo_rfndBankCd.setselectedindex(0);
		this.edt_rfndAcntNo.settext("");
		this.edt_rfndDepoOwnnm.settext("");

		//환불예금주번호 clear
		this.edt_rfndDepoOwnNo.settext("");
		
		this.cbo_rfndDepoOwnRelCd.setselectedindex(0);
		this.cal_PayAgrDocRecpDt.setenable(true);
	}
	//자동이체계좌선택
	else if (curr_value == 2)
	{
		console.log("prev_value : " + prev_value);
		if( this.DS_SD03.getdatabyname(0, "setlAcntStatCd") != "13"){
			SYSUtil.loadMessageBox(screen, "알림", 1, "자동이체계좌가 신규정상일때만 가능합니다." , "msg04");		
			this.rdo_autoTranAplyFg.setselectedcode(prev_value);			
			return;
		}

		if( this.DS_SD03.getdatabyname(0,"setlBankCd").length < 1
		  || this.DS_SD03.getdatabyname(0,"setlAcntNo").length < 1
		  || this.DS_SD03.getdatabyname(0,"setlDepoOwnnm").length < 1 ){
			
			SYSUtil.loadMessageBox(screen, "알림", 1, "자동이체 계좌 정보를 확인하세요." , "msg04");		
			this.rdo_autoTranAplyFg.setselectedcode(prev_value);
			return;
		}

		this.setAutoTranAcnt();
	}
	else
	{		
		// 예가수 발생 콤보박스
		SYSTran.getDicByNo(this.screen, this.DS_DIC_ATBUSI06);   	 	
	
		if(this.DS_DIC_ATBUSI06.getrowcount > 0){
			
			var tmpDepoOwnNo = this.DS_DIC_ATBUSI06.getdatabyname(0,"busiCd");
			var bankCd       = this.DS_DIC_ATBUSI06.getdatabyname(0,"bankCd");
			var acntNo       = this.DS_DIC_ATBUSI06.getdatabyname(0,"acntNo");
			var depoOwnNm    = this.DS_DIC_ATBUSI06.getdatabyname(0,"depoOwnnm");
			
			if( bankCd.length < 1
			 || acntNo.length < 1
			 || tmpDepoOwnNo.length < 1 
			 || ( tmpDepoOwnNo.length != 10 && tmpDepoOwnNo.length != 13 && tmpDepoOwnNo.length != 6 )
			 || depoOwnNm.length < 1 ){

					if( bankCd.length < 1 ) {
						SYSUtil.loadMessageBox(screen, "알림", 1, "은행정보를 확인하세요." , "msg04");	
					} else if( acntNo.length < 1 ) {
						SYSUtil.loadMessageBox(screen, "알림", 1, "거래처 계좌번호를 확인하세요." , "msg04");	
					} else if( tmpDepoOwnNo.length < 1 ) {
						SYSUtil.loadMessageBox(screen, "알림", 1, "거래처 예금주번호를 확인하세요." , "msg04");	
					} else if( tmpDepoOwnNo.length != 10 && tmpDepoOwnNo.length != 13 && tmpDepoOwnNo.length != 6 ) {
						SYSUtil.loadMessageBox(screen, "알림", 1, "거래처 예금주번호를 확인하세요." , "msg04");	
					} else {
						SYSUtil.loadMessageBox(screen, "알림", 1, "거래처 예금주명을 확인하세요." , "msg04");	
					}

					this.rdo_autoTranAplyFg.setselectedindex(prev_value);
				} else {
					
					if( tmpDepoOwnNo.length == 13 ){
						tmpDepoOwnNo = tmpDepoOwnNo.substr(0,6);
					}
					
					this.cbo_rfndBankCd.setselectedcode(bankCd);
					this.edt_rfndAcntNo.settext(acntNo.replace("-",""));;
					this.edt_rfndDepoOwnnm.settext(depoOwnNm);
					this.cbo_rfndDepoOwnRelCd.setselectedcode(99);	//기타
					this.edt_rfndDepoOwnNo.settext(tmpDepoOwnNo);

					this.smsEnable(3);
					this.cal_PayAgrDocRecpDt.setenable(true);
				}
			}
		else {
			this.rdo_autoTranAplyFg.setselectedcode(prev_value);
		}			
	}
}

// 결재버튼 클릭 이벤트
function btn_Jst_on_click(objInst)
{
	
	var orgRowCnt = this.grd_RfndDescInfo.getcheckedrowcount();
	if( orgRowCnt < 1){
		return false;
	}
	console.log("카운트 : " + orgRowCnt);
	this.DS_SD01_C.init();

	this.DS_SD01_C.copycheckrow(this.DS_SD01, true, true);
	
	for(var i = 0; i < this.DS_SD01_C.getrowcount(); i++){
		if(this.DS_SD01.getdatabyname(i, "rfndStatCd") != "30") {
			SYSUtil.loadMessageBox(screen, "알림", 1, "환불상태가 결재대기('30')에서만 계좌 결재 가능합니다." , "msg04");				
			return false;
		}
	}	
	console.log("C ROW COUNT : " + this.DS_SD01_C.getrowcount());
		
	if( this.DS_SD01_C.getrowcount() < 1 ){ //선택된건이 없을때
		SYSUtil.loadMessageBox(screen, "알림", 1, "결재대상을 선택하세요!" , "msg04");				
		return false;
	}

	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM03U01");
		
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}	
}

// 환불버튼 클릭
function btn_Rfnd_on_click(objInst)
{
	this.DS_SD01_C.init();
	
	this.DS_SD01_C.copycheckrow(this.DS_SD01, true, true);

	if(this.DS_SD01_C.getrowcount() > 0){

		for(var i = 0; i < this.DS_SD01_C.getrowcount(); i++) {
			if(this.DS_SD01_C.getdatabyname(i, "rfndStatCd") != "40") {
	
				SYSUtil.loadMessageBox(screen, "알림", 1, "환불상태가 환불대기('40')에서만 환불이 가능합니다." , "msg04");												
				return false;
			}
		}
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM03U02");
		
		if(reqSubmit == false) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
	}
}

// 환불 결과요청 버튼 이벤트
function btn_RsltRqst_on_click(objInst)
{
	
	this.DS_SD01_C.init();
	console.log(this.DS_SD01_C.getrowcount());
	this.DS_SD01_C.copycheckrow (this.DS_SD01, true, true);
	console.log(this.DS_SD01_C.getrowcount());

	if(this.DS_SD01_C.getrowcount() > 0){

		for(var i = 0; i < this.DS_SD01_C.getrowcount(); i++) {
			if(this.DS_SD01_C.getdatabyname(i, "rfndStatCd") != "50") {
				SYSUtil.loadMessageBox(screen, "알림", 1, "환불상태가 환불처리중('50')에서만 환불 결과요청이 가능합니다.", "msg04");
				return false;
			}
		}
		
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM03U04");
		
		if(reqSubmit == false) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
	}
}

function fn_Rfnd_Enable()
{
	this.cbo_rfndRsnCd.setenable(true);
	this.cbo_rcptTpCd.setenable(true);
	this.cbo_rcptTpCd.setselectedcode("F1");

	this.edt_adjDsrcAmt.setenable(true);
	this.edt_rfndAcntNo.setenable(true);
	this.edt_rfndDepoOwnNo.setenable(true);
	this.rdo_autoTranAplyFg.setenable(true);
	this.cbo_rfndBankCd.setenable(true);
	this.edt_rfndDepoOwnnm.setenable(true);
	this.cbo_rfndDepoOwnRelCd.setenable(true);
	this.cbo_tel1.setenable(true);
	this.edt_tel2.setenable(true);
	this.edt_tel3.setenable(true);
	this.rdo_smsSendFg.setenable(true);

	this.DS_SD03.setdatabyname(0,"payAgrDocRecpDt", "");
	if( this.DS_SD03.getdatabyname(0,"autoTranAplyFg") == "2"
	  && this.DS_SD03.getdatabyname(0, "setlAcntStatCd") == "13" ){
	  // 자동이체 계좌선택시
	  this.edt_rfndAcntNo.setenable(false);
	  this.cbo_rfndBankCd.setenable(false);
	  this.cbo_rfndDepoOwnRelCd.setenable(false);
	  this.cal_PayAgrDocRecpDt.setenable(false);
	} else {
		this.cal_PayAgrDocRecpDt.setenable(true);
	}

	if( this.isRfndDepoEditable() ){
		this.edt_rfndDepoOwnNo.setenable(true);
		this.edt_rfndDepoOwnnm.setenable(true);
	} else {
		this.edt_rfndDepoOwnNo.setenable(false);
		this.edt_rfndDepoOwnnm.setenable(false);
	}
	
	// 거래처 입력은 편집못하도록
	if( "2" == this.rdo_autoTranAplyFg.getselectedcode()){
		this.cbo_rfndBankCd.setenable(false);
		this.edt_rfndAcntNo.setenable(false);
	}
}


/**
 * 주민번호,예금주명 사용자 입력가능여부
 */
function isRfndDepoEditable(){
	
	var autoTranAplyFg   = this.DS_SD03.getdatabyname(0,"autoTranAplyFg");
	var custNo           = this.DS_SD03.getdatabyname(0, "custNo");
	var custNm           = this.DS_SD03.getdatabyname(0, "custNm");
	var custNoFormatted  = this.DS_SD03.getdatabyname(0, "custNoFormatted");
	var dsrcOccrCd       = this.DS_SD03.getdatabyname(0, "dsrcOccrCd");
	var rfndDepoOwnRelCd = this.DS_SD03.getdatabyname(0,"rfndDepoOwnRelCd");

	// 직접입력이 아니면 (자동이체, 거래처선택) 주민번호,예금주명 입력못함.
	if( autoTranAplyFg != "1" ){
		return false;
	}

	if( rfndDepoOwnRelCd == "01" ){
		// 본인이지만 미확인 예가수는 사용자가 정보를 입력해야함.
		if( dsrcOccrCd == "22" && ( custNo.length < 1 || custNm.length < 1 || custNoFormatted.length ) ){
			return true;
		} else {
			return false;
		}
	}
	return true;
}


function btn_ivltReg_on_click(objInst)
{
	if(this.DS_SD03.getrowcount() != 1){
		return;
	}

	if(!this.fn_IsNotNull(this.DS_SD03.getdatabyname(0, "rfndStatCd"))) {
		return false;
	}

	/////////////////////////////////////////////////// acntRsltCd (0001)코드 수정해야함.
	if( !this.fn_Btn_Chk(ACTION_IVLT_REG) ){
		return false;
	}
	
	var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM03U03");
		
	if(reqSubmit == false) {
		SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
	}
}

function fn_IsNotNull(chkStr)
{
	var checksum = false;
	if(factory.stringtrim(chkStr).length > 0) checksum = true;
	return checksum;
}

// 취소버튼 클릭시
function btn_Cncl_on_click(objInst)
{
	this.DS_SD01_C.init();

	this.DS_SD01_C.copycheckrow(this.DS_SD01,true,true);
	

	if(this.DS_SD01_C.getrowcount() > 0){
		var rfndIngCnt = 0;
		for(var i = 0; i < this.DS_SD01_C.getrowcount(); i++) {
			if(!(this.DS_SD01_C.getdatabyname(i, "rfndStatCd") == "10" ||
			     this.DS_SD01_C.getdatabyname(i, "rfndStatCd") == "25" ||
			     this.DS_SD01_C.getdatabyname(i, "rfndStatCd") == "30" ||
			     this.DS_SD01_C.getdatabyname(i, "rfndStatCd") == "40" ||
			     this.DS_SD01_C.getdatabyname(i, "rfndStatCd") == "50")) {
					
				SYSUtil.loadMessageBox(screen, "알림", 1, "환불상태가 환불대상,계좌오류,결재대기,환불대기,환불처리중\n" +" 에서만 취소 가능합니다.("+this.DS_SD01_C.getdatabyname(i, "dsrcNo") + ")" , "msg04");
				return false;
			}
			if( this.DS_SD01_C.getdatabyname(i, "rfndStatCd") == "50" ){
				rfndIngCnt++;
			}
		}

		var confirmMsg = "대상등록건에 대해서는 환불등록 취소됩니다. 취소 하시겠습니까?";
		if( rfndIngCnt > 0 ){
			confirmMsg = "환불처리중건이 존재합니다.\n 이중출금 되지 않도록 이체여부를 통장에서 확인후 진행하세요.\n 환불등록 취소하시겠습니까?";
		}

		if(!SYSUtil.comConfirm(confirmMsg)) {
			return false;
		}
		var reqSubmit = SYSTran.requestSubmitAsync(screen, "RSRSRM03U05");
				
		if(reqSubmit == false) {
			SYSUtil.loadMessageBox(screen, "알림", 1, "데이터 송신중 오류가 발생하였습니다.", "errMsg01");
		}
	}
	else{
		SYSUtil.loadMessageBox(screen, "알림", 1, "취소대상을 선택하세요." , "msg04");
	}
}