﻿/* --------------------------------------------------
 * 전역 변수 영역
 * -------------------------------------------------- */
// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

// 처리 그리드
this.GRID = null;


/* --------------------------------------------------
 * 화면 이벤트 영역
 * -------------------------------------------------- */
// 팝업 화면 종료시 호출됨
function screen_on_popupdestroy(popup_screen, popup_name, result) {
	console.log("#### screen_on_popupdestroy() call");	
	if(popup_name == "mciMngReq"){
		if (result == "확인"){
			this.DS_SD_C.copyinsertrow(-1, this.DS_SD, 0, true);
			//this.DS_SD_C.copy(this.DS_SD, "", true);	//전문 송신할 데이터셋		
			this.DS_SD_C.setdatabyname(0, "bsdcd", this.cboBsnDivCd.val());	//업무구분코드세팅

			SYSTran.requestSubmitSync(screen, "SMOINM04I01");
		}
	}
}

//화면로드 시 발생하는 이벤트
function screen_on_load(){
	console.log("#### screen_on_load() call");
	this.DS_SM.addrow();
	
	// 업무구분코드 세팅
	this.DS_CD_BSN_DIV_CD.init();
	
	this.DS_CD_BSN_DIV_CD.addrow();
	this.DS_CD_BSN_DIV_CD.setdata(0, 1, "A00100");
	this.DS_CD_BSN_DIV_CD.setdata(0, 2, "사전조회");
	
	this.DS_CD_BSN_DIV_CD.addrow();
	this.DS_CD_BSN_DIV_CD.setdata(1, 1, "A00101");
	this.DS_CD_BSN_DIV_CD.setdata(1, 2, "청약");
	
	this.DS_CD_BSN_DIV_CD.addrow();
	this.DS_CD_BSN_DIV_CD.setdata(2, 1, "A00102");
	this.DS_CD_BSN_DIV_CD.setdata(2, 2, "청약취소");

	// 공통코드 세팅
	SYSTran.getComCode(this.screen, "TSG001", this.DS_CD_TSG001);  //MCI결과코드
	SYSTran.getComCode(this.screen, "S00607", this.DS_CD_S00607);  //상환방식구분코드
	SYSTran.getComCode(this.screen, "S11003", this.DS_CD_S11003);  //담보유형구분코드
	SYSTran.getComCode(this.screen, "S11045", this.DS_CD_S11045);  //감정구분코드
	SYSTran.getComCode(this.screen, "S11031", this.DS_CD_S11031);  //담보평가기관구분코드
	
	// 공통 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "PRINT", false) ;		 //공통 인쇄 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "DELETE", false) ;		//공통 삭제 버튼 숨김 처리
	SYSUtil.setCommonButtonVisible(this.screen, "UPDATE", false) ;		//공통 저장 버튼 숨김 처리
	
	// MCI현황조회(SMOIMM03)에서 받은 파라메터 세팅 후 조회
	var param =  this.EXTRA_DATA;
	
	if(param != undefined || param != null){
		var rsltCd = param.rsltCd;			// 결과코드
		var loanApplNo = param.loanApplNo;	// 대출신청번호
		var bsnDivCd = param.bsnDivCd;		// 업무구분코드
		
		// 결과코드 : A000이 아닐 경우 부적격자
		if(rsltCd != undefined || rsltCd != null){
			if(rsltCd != "A000"){
				this.btnMciReq.setvisible(false);	// 부적격자일 경우 의뢰 버튼 숨김
			}
		}
		
		// 대출신청번호
		if(loanApplNo != undefined || loanApplNo != null){
			this.DS_SM.setdatabyname(0, "loanApplNo", loanApplNo);
		}
		
		// 업무구분코드 : A00100(사전조회)는 조회만 가능
		if(bsnDivCd != undefined || bsnDivCd != null){
			if(bsnDivCd == "A00100"){
				this.btnMciReq.setvisible(false);	// 사전조회의 경우 의뢰 버튼 숨김
			}
			this.DS_SM.setdatabyname(0, "bsnDivCd", bsnDivCd);
		}
		
		SYSTran.requestSubmitSync(screen, "SMOINM04S01");
	}
	
}

/* --------------------------------------------------
 * 공통 버튼 영역 
 * -------------------------------------------------- */

// 공통 인쇄 버튼 이벤트
function ue_print(){
	console.log("#### ue_print() call");
}

// 공통 조회 버튼 이벤트
function ue_query(){
	console.log("#### ue_query() call");
	
	var check = this.preQuery();	// 조회 전 체크
	
	if(check){
		screen.setscreenprotect(true); //화면잠금
		SYSTran.requestSubmitSync(screen, "SMOINM04S01");
	}
	
}

// 공통 저장 버튼 이벤트
function ue_update(){
	console.log("#### ue_update() call");
}

// 공통 삭제 버튼 이벤트
function ue_delete(){
	console.log("#### ue_delete() call");
}

// 공통 초기화 버튼 이벤트
function ue_init(){
	console.log("#### ue_init() call");
	this.DS_SM.deleteallrows();
	this.DS_SD.deleteallrows();
	this.DS_SD_C.deleteallrows();
	
	this.DS_SM.addrow();
}

/* --------------------------------------------------
 * 사용자 정의 함수  (사용자 정의 함수 추가 MiPlatform에서 사용한 함수 이동 등)
 * -------------------------------------------------- 
 */

// 트랜젝션 후 처리 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	
	var strMsg = "";
	
	screen.setscreenprotect(false); //화면잠금해제
	
	if(mapid == "SMOINM04S01"){	//조회
		if(result <= 0 || recv_code != 0000){
			strMsg = "데이터 송신중 오류가 발생하였습니다. : " + result + ", " + recv_code;
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		} else {
			strMsg ="조회가 완료되었습니다.";
		}
	}else if(mapid == "SMOINM04I01"){	//전문송신
		if(recv_code == "A000"){
			strMsg = "의뢰가 완료되었습니다.";
			this.ue_init();	//데이터셋 초기화
			this.screen_on_load();
		} else {
			
			var codeRowNum = this.DS_CD_TSG001.findrowbyname(0, "cdDescNo:=:\"*"+recv_code+"*\":1:&");	//오류코드 검색
			var strMsg = this.DS_CD_TSG001.getdata(codeRowNum, 2);	//MCI결과코드
			
			SYSUtil.setStatusMsg(strMsg);
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		}
	}
	
	//this.screen_on_load();
	screen.setscreenprotect(false); //화면잠금해제
	SYSUtil.setStatusMsg(strMsg);
	
}

// 조회 전 체크
function preQuery(){
	
	//var bsnDivCdVal = this.DS_SM.getdatabyname(0, "bsnDivCd");		//업무구분코드
	var loanApplNoVal = this.DS_SM.getdatabyname(0, "loanApplNo");	//대출신청번호
	
	//업무구분코드 체크
	/*if(factory.stringbytelen(factory.stringtrim(bsnDivCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "거래(업무)구분을 선택하세요.", "");
		this.cboBsnDivCd.setfocus();
		return false;
	}*/
	
	//대출신청번호 체크
	if(factory.stringbytelen(factory.stringtrim(loanApplNoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출신청번호를 입력하세요.", "");
		//this.edtLoanApplNo.setfocus();
		return false;
	}
	
	return true;
}

// 엔터키 정의
function mciMng_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13){
		this.DS_SM.setdatabyname(0, "bsnDivCd", this.cboBsnDivCd.val());		//업무구분코드
		this.DS_SM.setdatabyname(0, "loanApplNo", this.edtLoanApplNo.val());	//대출신청번호

		this.ue_query();
	}
	
	return 0;
}

// 청약증서출력 버튼
function btnSubsCdocOutp_on_click(objInst)
{
	SYSUtil.loadMessageBox(screen, "알림", 1, "개발 예정입니다.", "");
	return;
}

// 의뢰 전 체크
function preReq(){
	
	var reqStatVal = this.DS_SD.getdatabyname(0, "bsdcd")	//보증서발행상태
	var rslcdVal = this.DS_SD.getdatabyname(0, "rslcd")	  //결과코드
	var bsnDivCdVal = this.cboBsnDivCd.val();				//업무구분코드
	var bndnoVal = this.edtBndno.val();				  	//보증서번호
	var mzdbRsrnoVal = this.edtMzdbRsrno.val();		  	//주채무자주민번호
	var mzdbNameVal = this.edtMzdbName.val();				//주채무자명
	var loanRqstAmntVal = this.edtLoanRqstAmnt.val();		//대출신청금액
	var loanIntrtal = this.edtLoanIntrt.val();		   	//대출이율
	var lnprStrdtVal = factory.stringreplaceall(this.calLnprStrdt.val(), "-", "");	//대출시작일자
	var lnprEnddtVal = factory.stringreplaceall(this.calLnprEnddt.val(), "-", "");	//대출종료일자
	var lnprDtChk = factory.datefrom("month", 602, lnprStrdtVal);	//대출시작일로부터 50년 2개월 후 일자(YYYYMMDD)
	var frscnRpedtVal = factory.stringreplaceall(this.calFrscnRpedt.val(), "-", "");   //분할상환시작일자
	var rlesEsvamVal = this.edtRlesEsvam.val();		  	//부동산평가금액
	var orofpStupAmntVal = this.edtOrofpStupAmnt.val();  	//선순위설정금액
	var smlamTnncyGrnamVal = this.edtSmlamTnncyGrnam.val();  //최우선변제금액
	var lntvLmtrtVal = this.edtLntvLmtrt.val();			  //LTV비율
	var vldtyClltrAmntVal = this.edtVldtyClltrAmnt.val();	//유효담보가액
	var loanPssamVal = this.edtLoanPssam.val();			  //총대출가능금액
	var clltrZpcdVal = this.edtClltrLctnZpcd.val();		  //담보소재지우편번호
	var clltradVal = this.edtClltrLctnLodnmPrmad.val();	  //담보소재지상세주소
	var prvusAreaSqrmtVal = this.edtPrvusAreaSqrmt.val();	//전용면적
	var roomCntVal = this.edtRoomCount.val();				//방수
	var incmAmntVal = this.edtIncmAmnt.val();				//연소득
	var applcDateVal = factory.stringreplaceall(this.calApplcDate.val(), "-", "");	//청약일자
	
	//청약 의뢰 불가능 조건 체크
	if(bsnDivCdVal == "A00101"){	//청약
		if(reqStatVal == "A00100" && rslcdVal != "A000"){	//보증서 발행상태가 사전조회인데 결과코드가 정상이 아닌 경우
			SYSUtil.loadMessageBox(screen, "알림", 1, "청약 의뢰가 불가능합니다.", "");
			return false;
		}else if(reqStatVal == "A00102" && rslcdVal != "A000"){	//청약취소 결과가 정상이 아닌 경우
			SYSUtil.loadMessageBox(screen, "알림", 1, "청약 취소가 정상 수행되지 않았습니다.", "");
			return false;
		}
	}
	
	//청약취소 의뢰 불가능 조건 체크
	if(bsnDivCdVal == "A00102"){	//청약취소
		if(reqStatVal != "A00101"){	//보증서 발행상태가 청약이 아닌 경우
			SYSUtil.loadMessageBox(screen, "알림", 1, "청약 의뢰를 먼저 진행해주세요.", "");
			return false;
		}
		
		if(rslcdVal != "A000"){	//결과코드가 정상이 아닌 경우
			SYSUtil.loadMessageBox(screen, "알림", 1, "청약취소 의뢰가 불가능합니다.", "");
			return false;
		}
	}
	
	//업무구분코드 체크
	if(factory.stringbytelen(factory.stringtrim(bsnDivCdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "거래(업무)구분을 선택해주세요.", "");
		return false;
	}
	
	//청약취소의 경우 보증서번호 필수값
	if(bsnDivCdVal == "A00102"){ 
		if(factory.stringbytelen(factory.stringtrim(bndnoVal)) == 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "보증서번호가 없으면 청약취소가 불가능합니다.", "");
			return false;
		}
	}
	
	//주채무자주민번호 체크
	if(factory.stringbytelen(factory.stringtrim(mzdbRsrnoVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "주채무자주민번호가 없으면 의뢰가 불가능합니다.", "");
		return false;
	}
	
	//주채무자명 체크
	if(factory.stringbytelen(factory.stringtrim(mzdbNameVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "주채무자명이 없으면 의뢰가 불가능합니다.", "");
		return false;
	}
	
	//대출신청금액 체크
	if(loanRqstAmntVal <= 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출신청금액은 0보다 커야합니다.", "");
		return false;
	}
	
	if(loanRqstAmntVal < vldtyClltrAmntVal){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출신청금액은 유효담보가액보다 커야합니다.", "");
		return false;
	}
	
	//대출이율 체크
	if(loanIntrtal < 1.00 || loanIntrtal > 20.00){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출 이자율 오류입니다.", "");
		return false;
	}
	
	//대출일자 체크
	if(factory.stringbytelen(factory.stringtrim(lnprEnddtVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출종료일자가 없으면 의뢰가 불가능합니다.", "");
		return false;
	}
	
	if(factory.datediff("day", lnprStrdtVal, lnprEnddtVal) < 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출시작일자는 대출종료일자보다 작아야합니다.", "");
		return false;
	}
	
	if(factory.datediff("day", lnprStrdtVal, lnprEnddtVal) < 365){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출기간은 1년 이상이어야 합니다", "");
		return false;
	}
	
	//오늘 날짜가 대출종료일 이후인 경우
	if(factory.datediff("day", factory.datetoday(), lnprEnddtVal) < 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출종료일 이후에는 의뢰가 불가능합니다.", "");
		return false;
	}
	
	//대출기간은 50년 2개월 초과 불가
	if(factory.datediff("day", lnprEnddtVal, lnprDtChk) < 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "대출기간은 50년 2개월을 초과할 수 없습니다.", "");
		return false;
	}
	
	//분할상환시작일자 체크
	if(applcDateVal > frscnRpedtVal){
		SYSUtil.loadMessageBox(screen, "알림", 1, "분할상환시작일자는 청약일자 이후여야 합니다.", "");
		return false;
	}
	
	//부동산평가금액 체크
	if(rlesEsvamVal <= 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "부동산평가금액은 0보다 커야합니다.", "");
		return false;
	}
	
	//선순위설정금액 체크
	if(orofpStupAmntVal <= 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "선순위설정금액은 0보다 커야합니다.", "");
		return false;
	}
	
	//최우선변제금액 체크
	if(smlamTnncyGrnamVal <= 0){	
		SYSUtil.loadMessageBox(screen, "알림", 1, "최우선변제금액은 0보다 커야합니다.", "");
		return false;
	}
	
	if(smlamTnncyGrnamVal >= (rlesEsvamVal * 0.5)){
		SYSUtil.loadMessageBox(screen, "알림", 1, "최우선변제금액이 부동산평가금액의\n절반을 넘을 수 없습니다.", "");
		return false;
	}
	
	//LTV비율 체크
	if(lntvLmtrtVal > 80){
		SYSUtil.loadMessageBox(screen, "알림", 1, "LTV비율은 80을 초과할 수 없습니다.", "");
		return false;
	}
	
	//유효담보가액 체크
	if(vldtyClltrAmntVal <= 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "유효담보가액은 0보다 커야합니다.", "");
		return false;
	}
	
	//총대출가능금액 체크
	if(loanPssamVal <= 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "총대출가능금액은 0보다 커야합니다.", "");
		return false;
	}
	
	if(loanPssamVal < loanRqstAmntVal){
		SYSUtil.loadMessageBox(screen, "알림", 1, "총대출가능금액은 대출신청금액보다 커야합니다.", "");
		return false;
	}
	
	//담보소재지우편번호 체크
	if(factory.stringbytelen(factory.stringtrim(clltrZpcdVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "담보소재지우편번호가 없으면 의뢰가 불가능합니다.", "");
		return false;
	}
	
	//상세주소 체크
	if(factory.stringbytelen(factory.stringtrim(clltradVal)) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "상세주소가 없으면 의뢰가 불가능합니다.", "");
		return false;
	}
	
	//전용면적 체크
	if(prvusAreaSqrmtVal <= 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "전용면적은 0보다 커야합니다.", "");
		return false;
	}
	
	//방수 체크
	if(roomCntVal < 1){
		SYSUtil.loadMessageBox(screen, "알림", 1, "방수는 1이상이어야 합니다.", "");
		return false;
	}
	
	//연소득 체크
	if(incmAmntVal <= 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "연소득은 0보다 커야합니다.", "");
		return false;
	}
	
	//청약일자가 오늘로부터 15일 이전인 경우
	if(factory.datediff("day", applcDateVal, factory.datetoday()) >= 15){
		SYSUtil.loadMessageBox(screen, "알림", 1, "청약일자가 오늘로부터 15일 이전인 경우에는\n의뢰가 불가능합니다.", "");
		return false;
	}
	
	if(factory.datediff("day", applcDateVal, lnprStrdtVal) != 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "청약일자와 대출시작일자는 동일해야 합니다.", "");
		return false;
	}
	
	return true;
}

// 의뢰 버튼
function btnMciReq_on_click(objInst)
{

	var check = this.preReq();	// 의뢰 전 체크
	//var check = true;	// 의뢰 전 체크
	
	if(check){
		SYSUtil.loadMessageBox(this.screen, "알림", 2, "의뢰를 진행하시겠습니까?", "mciMngReq");
	}
	
}

// 업무 구분에 따른 의뢰 버튼 노출 제어
function cboBsnDivCd_on_itemchange(objInst, nprev_item, ncur_item, event_type)
{
	if(this.cboBsnDivCd.val() == "A00100"){
		this.btnMciReq.setvisible(false);	// 사전조회의 경우 의뢰 버튼 숨김
	}else{
		this.btnMciReq.setvisible(true);
	}
}