﻿// 부모화면서 넘겨받은 데이터
this.EXTRA_DATA = screen.getextradata();

function screen_on_load() {
	console.log("########### pop up screen_on_load() #######" );
	
	// 데이터셋 빈 레코드 추가
	this.DS_SM.addrow();
	this.DS_SM.setdatabyname(0, "applDtFr", factory.datetoday());		//신청일자시작
	this.DS_SM.setdatabyname(0, "applDtTo", factory.datetoday());		//신청일자종료
	
	// 공통코드 세팅
	SYSTran.getComCode(this.screen, "S12008", this.DS_CD_S12008);  	  //신청현재진행상태코드
	
	// 부모화면에서 전달받은 데이터 세팅
	if(this.EXTRA_DATA != undefined || this.EXTRA_DATA != null){
		var popApplDtFr = this.EXTRA_DATA.applDtFr;			//신청일자시작
		var popApplDtTo = this.EXTRA_DATA.applDtTo;			//신청일자종료
		var popCustNo = this.EXTRA_DATA.custNo;				//고객번호
		var popCustNm = this.EXTRA_DATA.custNm;				//고객명
		var popCustBirth = this.EXTRA_DATA.custBirth;		  //고객생년월일
		
		//신청일자시작
		if(popApplDtFr != undefined || popApplDtFr != null){
			this.calApplDtFr.settext(popApplDtFr);
		}
		//신청일자종료
		if(popApplDtTo != undefined || popApplDtTo != null){
			this.calApplDtTo.settext(popApplDtTo);
		}
		//고객명
		if(popCustNm != undefined || popCustNm != null){
			this.edtCustNm.settext(popCustNm);
		}
		//고객생년월일
		if(popCustBirth != undefined || popCustBirth != null){
			this.edtCustBirth.settext(popCustBirth);
		}
	}
}

// 그리드 셀 더블클릭 시
function ApplNoSrch_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	var param = {
					"applDt"		 : this.DS_SD.getdatabyname(nDblClickRow, "applDt"),		   //신청일자
					"loanApplNo"	 : this.DS_SD.getdatabyname(nDblClickRow, "loanApplNo"),	   //대출신청번호
					"custNo"		 : this.DS_SD.getdatabyname(nDblClickRow, "custNo"),		   //고객번호
					"custNm"		 : this.DS_SD.getdatabyname(nDblClickRow, "custNm"),		   //고객명
					"custBirth"	  : this.DS_SD.getdatabyname(nDblClickRow, "custBirth"),	    //생년월일
					"loanPrgsStatCd" : this.DS_SD.getdatabyname(nDblClickRow, "loanPrgsStatCd"),   //대출진행상태코드
					"loanApplAmt"	: this.DS_SD.getdatabyname(nDblClickRow, "loanApplAmt"),	  //대출신청금액
				};
	
	this.paranet_screen_data_load(param);
}

// 부모창에 load 할 data 설정
function paranet_screen_data_load(param){
	SYSUtil.popCloseCallBack(this.screen, param);
}

// 조회 전 체크
function preQuery(){
	
	//날짜입력 체크
	if(factory.stringbytelen(factory.stringtrim(this.calApplDtFr.val())) == 0
	&& factory.stringbytelen(factory.stringtrim(this.calApplDtTo.val())) != 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "날짜 입력 오류입니다.", "");
		return false;
	}
	
	if(factory.stringbytelen(factory.stringtrim(this.calApplDtFr.val())) != 0
	&& factory.stringbytelen(factory.stringtrim(this.calApplDtTo.val())) == 0){
		SYSUtil.loadMessageBox(screen, "알림", 1, "날짜 입력 오류입니다.", "");
		return false;
	}
	
	if(factory.stringbytelen(factory.stringtrim(this.calApplDtFr.val())) != 0
	&& factory.stringbytelen(factory.stringtrim(this.calApplDtTo.val())) != 0){
		if(factory.datediff("day", this.calApplDtFr.val(), this.calApplDtTo.val()) < 0){
			SYSUtil.loadMessageBox(screen, "알림", 1, "시작일자는 종료일자보다 작아야합니다.", "");
			return false;
		}
	}

	//고객명 체크
	if(factory.stringbytelen(factory.stringtrim(this.edtCustNm.val())) != 0){
		if(factory.stringbytelen(factory.stringtrim(this.edtCustNm.val())) <= 2){
			SYSUtil.loadMessageBox(screen, "알림", 1, "고객명은 2글자 이상 입력하세요.", "");
			return false;
		}
	}
	
	//생년월일 체크
	if(factory.stringbytelen(factory.stringtrim(this.edtCustBirth.val())) != 0){
		if(factory.stringbytelen(factory.stringtrim(this.edtCustBirth.val())) < 6){
			SYSUtil.loadMessageBox(screen, "알림", 1, "생년월일은 6자 이상 입력하세요.", "");
			return false;
		}
	}
	
	return true;
}

// 검색 버튼 클릭 시 발생
function ApplNoSrch_on_click(objInst)
{
	var check = this.preQuery();
	
	if(check){
		screen.setscreenprotect(true); //화면잠금
		SYSTran.requestSubmitSync(screen, "SSPASP04S01");
	}
}

// 엔터키 정의
function ApplNoSrch_on_keydown(objInst, keycode, bctrldown, bshiftdown, baltdown, bnumpadkey)
{
	if(keycode == 13){
		this.DS_SM.setdatabyname(0, "applDtFr",  this.calApplDtFr.val());		//신청일자시작
		this.DS_SM.setdatabyname(0, "applDtTo",  this.calApplDtTo.val());		//신청일자종료
		this.DS_SM.setdatabyname(0, "custNm",    this.edtCustNm.val());	  	//고객명
		this.DS_SM.setdatabyname(0, "custBirth", this.edtCustBirth.val());	   //생년월일
		
		this.ApplNoSrch_on_click();
	}
	
	return 0;
}

// 트랜젝션 후 처리 함수
function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg){
   /*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
    */
	
	screen.setscreenprotect(false); //화면잠금해제
	
	if(mapid == "SSPASP04S01"){	//조회
		if(result <= 0 || recv_code != 0000){
			var strMsg = "데이터 송신중 오류가 발생하였습니다.";
			SYSUtil.loadMessageBox(screen, "알림", 1, strMsg, "");
			return;
		}
	}
}

// 초기화 버튼 클릭 시 발생 이벤트
function NewApplNoSrch_on_click(objInst)
{
	this.DS_SM.deleteallrows();
	this.DS_SD.deleteallrows();
	
	this.DS_SM.addrow();
	this.DS_SM.setdatabyname(0, "applDtFr", factory.datetoday());		//신청일자시작
	this.DS_SM.setdatabyname(0, "applDtTo", factory.datetoday());		//신청일자종료
}