﻿function screen_on_load()
{
}

// 차트 라이브러리 로드 버튼 처리 
function btn_loadjs_on_mouseup(objInst)
{
	// Case1. 차트 기본 라이브라리 및 차트 유형별 라이브러리를 동적으로 로드하는 방식
	this.loadamchartslibrary();

	// Case2. 차트 라이브러리를 정적으로 로드하는 방식.
	// 포틀릿 기반으로 화면을 구성하는 경우에는, xframe5.html 파일에 아래와 같이 로드할 수 있다.
	// <script type="text/javascript" src="./project/terminal/ext/amcharts_4.10.22/amcharts4/core.js"></script>
	// <script type="text/javascript" src="./project/terminal/ext/amcharts_4.10.22/amcharts4/themes/animated.js"></script>
	// <script type="text/javascript" src="./project/terminal/ext/amcharts_4.10.22/amcharts4/charts.js"></script>
	// this.chk_loadcoplete.setcheck(true);
}

// 차트 라이브러리 로드
function loadamchartslibrary(js_url, is_success) {
	// 이미 로드가 완료되었으면, 그냥 리턴
	if (this.chk_loadcoplete.getcheck() == true) { return; }
	
	/////////////////////////////////////////////////////////////////////////////////////////////////
	// 주의: amcharts_js_url, animated_js_url, flow_js_url, exports_js_url 변수에 대한 값은 
	//      프로젝트 상황에 맞추어 변경해야 한다.
	/////////////////////////////////////////////////////////////////////////////////////////////////
		
	// 기본 amcharts 엔진 라이브러리 URL
	var amcharts_js_url = "./project/terminal/ext/amcharts_4.10.22/amcharts4/core.js";
	// 테마 애니메니션 처리 라이브러리 URL
	var animated_js_url = "./project/terminal/ext/amcharts_4.10.22/amcharts4/themes/animated.js";
		
	// 차트 유형별 라이브러리 URL
	var chart_js_url = "./project/terminal/ext/amcharts_4.10.22/amcharts4/charts.js";
		
	factory.consoleprint("callback_loadjselement> start, js_url = " + js_url + ", is_success = " + is_success);
	
	if (is_success === false) {
		screen.alert("fail to load amchart library, url = " + js_url);
		return;
	}

	/////////////////////////////////////////////////////////////////////////////////////////////////
	// 주의: amcharts javascript 로드시 반드시 
	//      screen.loadjs 함수의 nLoadType 파라미터를 1로 지정하여 Async 방식으로 로드해야 한다.
	/////////////////////////////////////////////////////////////////////////////////////////////////		
	
	if (js_url === undefined || js_url.length == 0) { screen.loadjs(amcharts_js_url, "loadamchartslibrary", 1); }
	else if (js_url == amcharts_js_url) { screen.loadjs(animated_js_url, "loadamchartslibrary", 1); }
	else if (js_url == animated_js_url) { screen.loadjs(chart_js_url, "loadamchartslibrary", 1); }
	else if (js_url == chart_js_url) { 
		factory.consoleprint("loadamchartslibrary> load complete"); 
		this.chk_loadcoplete.setcheck(true);	// 로드 완료 여부 체크 처리
	}
}

// 차트 표시 버튼 처리
function btn_drawchart_on_mouseup(objInst)
{
	var jdom_div, jdom_chart_div, div_id;
	
	/////////////////////////////////////////////////////////////////////
	// xFrame5 로직 시작
	/////////////////////////////////////////////////////////////////////
	// amchart 라이브러리 로드 완료 검사
	if (this.chk_loadcoplete.getcheck() == false) {
		screen.alert("amchart library is not loaded");
		return;
	}
		
    // DIV 컴포넌트의 내부 DIV에 대한 jQuery 오브젝트 및 id 속성을 구함
	jdom_div = this.div_chart.getjdom();
	div_id = jdom_div.prop("id");
	/////////////////////////////////////////////////////////////////////
	// xFrame5 로직 끝
	/////////////////////////////////////////////////////////////////////
		
	am4core.useTheme(am4themes_animated);
	
	// create chart
	var chart = am4core.create(div_id, am4charts.TreeMap);
	
	chart.data = [{
		name: "First",
		children: [
			{
				name: "A1",
				value: 100
			},
			{
				name: "A2",
				value: 60
			},
			{
				name: "A3",
				value: 30
			}
		]
	},
	{
		name: "Second",
		children: [
			{
				name: "B1",
				value: 135
			},
			{
				name: "B2",
				value: 98
			},
			{
				name: "B3",
				value: 56
			}
		]
	},
	{
		name: "Third",
		children: [
			{
				name: "C1",
				value: 335
			},
			{
				name: "C2",
				value: 148
			},
			{
				name: "C3",
				value: 126
			},
			{
				name: "C4",
				value: 26
			}
		]
	},
	{
		name: "Fourth",
		children: [
			{
				name: "D1",
				value: 415
			},
			{
				name: "D2",
				value: 148
			},
			{
				name: "D3",
				value: 89
			},
			{
				name: "D4",
				value: 64
			},
			{
				name: "D5",
				value: 16
			}
		]
	},
	{
		name: "Fifth",
		children: [
			{
				name: "E1",
				value: 687
			},
			{
				name: "E2",
				value: 148
			}
		]
	}];
	
	chart.colors.step = 2;
	
	// define data fields
	chart.dataFields.value = "value";
	chart.dataFields.name = "name";
	chart.dataFields.children = "children";
	
	chart.zoomable = false;
	
	// level 0 series template
	var level0SeriesTemplate = chart.seriesTemplates.create("0");
	var level0ColumnTemplate = level0SeriesTemplate.columns.template;
	
	level0ColumnTemplate.column.cornerRadius(10, 10, 10, 10);
	level0ColumnTemplate.fillOpacity = 0;
	level0ColumnTemplate.strokeWidth = 4;
	level0ColumnTemplate.strokeOpacity = 0;
	
	// level 1 series template
	var level1SeriesTemplate = chart.seriesTemplates.create("1");
	var level1ColumnTemplate = level1SeriesTemplate.columns.template;
	
	level1SeriesTemplate.tooltip.animationDuration = 0;
	level1SeriesTemplate.strokeOpacity = 1;
	
	level1ColumnTemplate.column.cornerRadius(10, 10, 10, 10)
	level1ColumnTemplate.fillOpacity = 1;
	level1ColumnTemplate.strokeWidth = 4;
	level1ColumnTemplate.stroke = am4core.color("#ffffff");
	
	var bullet1 = level1SeriesTemplate.bullets.push(new am4charts.LabelBullet());
	bullet1.locationY = 0.5;
	bullet1.locationX = 0.5;
	bullet1.label.text = "{name}";
	bullet1.label.fill = am4core.color("#ffffff");
	
	chart.maxLevels = 2;
	
	// Enable export 메뉴
	chart.exporting.menu = new am4core.ExportMenu();
	
	return;
}