package xframe5.template.html5.component.factory; 

import java.io.File;
import java.io.FileInputStream;
import java.net.URLEncoder;

import javax.servlet.ServletContext;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class MetaDownloader extends HttpServlet {	
	private static final long serialVersionUID = 3347918932345852889L;
    	
	public void logMsg(String msg) {
		System.out.println("MetaDownloader> " + msg);
	}
	   
	public void doGet(HttpServletRequest request, HttpServletResponse response) {
        doPost(request, response);
    }  

	public void doPost(HttpServletRequest request, HttpServletResponse response) {   				
	    FileInputStream 		fis = null;
	    ServletOutputStream 	sos = null;
	    
	    logMsg("MetaDownloader Start");
		
		try {
			String metaFileAbsolutePath;
			String metaFilePath = request.getParameter("MetaFilePath");
			
			logMsg("metaFilePath = [" + metaFilePath + "]");

			if (metaFilePath.startsWith("/")) {
				metaFileAbsolutePath = metaFilePath;
			}
			else {
		    	ServletContext	context = request.getServletContext();
		    	String			contextAbsolutePath;
		    	
		        // Root  θ 
		    	contextAbsolutePath = context.getRealPath("/");
		    	if(contextAbsolutePath.endsWith(File.separator) == false) {
		    		contextAbsolutePath += File.separator;
		    	}
		    		
		    	metaFileAbsolutePath = contextAbsolutePath + metaFilePath;
			}
			
			logMsg("metaFileAbsolutePath = [" + metaFileAbsolutePath + "]");
			
	        String userAgent = request.getHeader("user-agent");
	        System.out.println("user-agent:" + userAgent);
	        
	        // "Content-disposition: inline"
	        //  ν Ȯڸ  ϵ鿡 ؼ  󿡼 ٷ  ڵ   ־ 
	        // ǹ̻ ƼƮ ޽ ǥϴµ ִ. ׿ ϵ鿡 ؼ " ٿε" ȭڰ ߵ ϴ Ӽ̴.

	        File file = new File(metaFileAbsolutePath);
	        long fileSize = file.length();
	        
	        logMsg("fileSize = [" + fileSize + "]");
	        
	        // Set cross domain response header
			response.setHeader("Access-Control-Allow-Credentials", "true");
			response.setHeader("Access-Control-Allow-Headers", "X-Requested-With");
			
			// a String containing the value of the requested header, or null if the request does not have a header of that name
			String origin = request.getHeader("Origin");
			logMsg("origin = [" + origin + "]");
			
			if (origin == null) {
				response.setHeader("Access-Control-Allow-Origin", "*");
			}
			else {
				response.setHeader("Access-Control-Allow-Origin", origin);
			}
			
			response.setHeader("Content-Length", String.valueOf(fileSize));
	        response.setHeader("Set-Cookie", "fileDownload=true; path=/");
			response.setHeader("Content-Transfer-Encoding", "binary");
	        response.setHeader("Accept-Ranges", "bytes");
	        
	        sos = response.getOutputStream();
	        
			byte[] 	buffer = new byte[4096];
			int 	numRead = -1;
			
	        fis = new FileInputStream(new File(metaFileAbsolutePath));
	        while ((numRead = fis.read(buffer, 0, 4096)) != -1) {
	        	sos.write(buffer, 0, numRead);
	        }
	        
	        fis.close();
	        
	        sos.flush();
	        
	        sos.close();
	    } 
	    catch (Exception e) {
	    	if (fis != null) {
	    		try { fis.close(); }
	    		catch(Exception ignore) {}
	    	}
	    	
	    	if (sos != null) {
	    		try { sos.close(); }
	    		catch(Exception ignore) {}
	    	}	    	
	    	
	        response.setHeader("Content-Disposition", "");
	        
	        logMsg (e.getMessage());
	        e.printStackTrace();
	    }
    }  
} 
