﻿package xframe5.template.html5.component.filedownloader; 

import java.io.File;
import java.io.FileInputStream;
import java.net.URLEncoder;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

import javax.servlet.ServletContext;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class FileDownloader extends HttpServlet {	
	private static final long serialVersionUID = 3347918932345852889L;
    	
	public void logMsg(String msg) {
		System.out.println("FileDownloader> " + msg);
	}
	   
	public void doGet(HttpServletRequest request, HttpServletResponse response) {
        doPost(request, response);
    }  

	public void doPost(HttpServletRequest request, HttpServletResponse response) {   				
	    FileInputStream 		fis = null;
	    ServletOutputStream 	sos = null;
	    
	    logMsg("FileDownloader Start");
		
		try {
			String downloadFileAbsolutePath;

			String downloadFilePath = request.getParameter("DownloadFilePath");
			
			logMsg("downloadFilePath = [" + downloadFilePath + "]");

			if (downloadFilePath.startsWith("/")) {
				downloadFileAbsolutePath = downloadFilePath;
			}
			else {
		    	ServletContext	context = request.getServletContext();
		    	String			contextAbsolutePath;
		    	
		        // Root의 절대 경로를 얻어옴
		    	contextAbsolutePath = context.getRealPath("/");
		    	if(contextAbsolutePath.endsWith(File.separator) == false) {
		    		contextAbsolutePath += File.separator;
		    	}
		    		
		    	downloadFileAbsolutePath = contextAbsolutePath + downloadFilePath;
			}
			
			logMsg("downloadFileAbsolutePath = [" + downloadFileAbsolutePath + "]");
			
	        // Set cross domain response header
			response.setHeader("Access-Control-Allow-Credentials", "true");
			response.setHeader("Access-Control-Allow-Headers", "X-Requested-With");
			
			// a String containing the value of the requested header, or null if the request does not have a header of that name
			String origin = request.getHeader("Origin");
			logMsg("origin = [" + origin + "]");
			
			if (origin == null) { response.setHeader("Access-Control-Allow-Origin", "*"); }
			else { response.setHeader("Access-Control-Allow-Origin", origin); }

	        File file = new File(downloadFileAbsolutePath);
	        long fileSize = file.length();
	        
	        logMsg("fileSize = [" + fileSize + "]");
	        
			response.setHeader("Content-Length", String.valueOf(fileSize));
	       
	        long lastModified = file.lastModified();
			Date lastModifiedDate = new Date(lastModified);
						
			String pattern = "EEE, d MMM yyyy hh:mm:ss";
			SimpleDateFormat simpleDateFormat = new SimpleDateFormat(pattern, new Locale("en"));

			logMsg("Last-Modified: " + simpleDateFormat.format(lastModifiedDate));
			
	        // response.setHeader("Last-Modified", "Tue, 21 May 2019 03:17:08 GMT");
			response.setHeader("Last-Modified", simpleDateFormat.format(lastModifiedDate) + " GMT");

	        sos = response.getOutputStream();
	        
			byte[] 	buffer = new byte[4096];
			int 	numRead = -1;
			
	        fis = new FileInputStream(new File(downloadFileAbsolutePath));
	        while ((numRead = fis.read(buffer, 0, 4096)) != -1) {
	        	sos.write(buffer, 0, numRead);
	        }
	        
	        fis.close();
	        
	        sos.flush();
	        
	        sos.close();
	    } 
	    catch (Exception e) {
	    	if (fis != null) {
	    		try { fis.close(); }
	    		catch(Exception ignore) {}
	    	}
	    	
	    	if (sos != null) {
	    		try { sos.close(); }
	    		catch(Exception ignore) {}
	    	}	    	
	    	
	        response.setHeader("Content-Disposition", "");
	        
	        logMsg (e.getMessage());
	        e.printStackTrace();
	    }
    }  
} 
