﻿/**
 * 화면이 로드될때 초기값을 설정한다.
 */
function screen_on_load()
{
	var objExtraData, strInitDate;
	
    // 팝업화면 열때 전달한 extra_data 얻기
    objExtraData = screen.getextradata();
	if (objExtraData !== null && objExtraData.INIT_DATE !== "") {
		strInitDate = objExtraData.INIT_DATE;
	}
	// 부모화면에서 전달한 초기값이 없을 경우 오늘 날짜를 초기값으로 사용
	else {
		strInitDate = factory.datetoday();
	}
	
	// 초기값 설정
	fld_date01.settext(strInitDate);
	fld_date02_1.settext(strInitDate);
	fld_cal02.settext("1");
	fld_date03_1.settext(strInitDate);
	fld_date04.settext(strInitDate);
}

/**
 * 해당 날짜로부터 오늘은 며칠째인지 계산하는 버튼클릭 이벤트를 처리한다.
 */
function btn_01_on_mouseup()
{
	var strStartDate, strToday, nDnDiffDayiffDate;
	
	strStartDate = fld_date01.gettext();
	if (!factory.isdate(strStartDate)) {
		screen.alert("시작일자 (" + strStartDate + ")가 날짜형식에 맞지 않습니다.");
		
		fld_date01.setfocus();
		return;
	}
	
	// 오늘날짜 구하기
	strToday = factory.datetoday();
	
	// 날짜간 간격 구하기
	nDiffDay = factory.datediff("day", strStartDate);
	
	if (nDiffDay <= -1) {
		screen.alert("시작일자가 (" + strStartDate + ") 종료일자보다 (" + strToday + ") 큽니다.");
		
		fld_date01.setfocus();
		return;
	}
	
	// 계산 결과 입력
	fld_cal01.settext(nDiffDay);
}

/**
 * 해당 날짜로부터 구하고자 하는 일수의 날짜를 계산하는 버튼클릭 이벤트를 처리한다.
 */
function btn_02_on_mouseup()
{
	var strStartDate, strDate;
	
	strStartDate = fld_date02_1.gettext();
	if (!factory.isdate(strStartDate)) {
		screen.alert("입력된 일자가 (" + strStartDate + ") 날짜형식에 맞지 않습니다.");
		
		fld_date02_1.setfocus();
		return;
	}
	
	// 지정한 간격에 해당하는 날짜 구하기
	strDate = factory.datefrom("day", fld_cal02.gettext(), strStartDate);
	
	// 계산 결과 입력
	fld_date02_2.settext(strDate);
}

/**
 * 오늘로부터 남은 날짜를 계산하는 버튼클릭 이벤트를 처리한다.
 */
function btn_03_on_mouseup()
{
	var strTodayDate, nDiffDay, strEndDate;
	
	strEndDate = fld_date03_1.gettext();
	if (!factory.isdate(strEndDate)) {
		screen.alert("입력된 일자가 (" + strEndDate + ") 날짜형식에 맞지 않습니다.");
		
		fld_date03_1.setfocus();
		return;
	}	
	
	// 오늘날짜 구하기
	strTodayDate = factory.datetoday();
	
	// 날짜간 간격 구하기
	nDiffDay = factory.datediff("day", strTodayDate, strEndDate);

	// 계산 결과 입력
	fld_cal03.settext(nDiffDay);
}

/**
 * 요일을 계산하는 버튼클릭 이벤트를 처리한다.
 */
function btn_04_on_mouseup(objInst)
{
	var strDate, nResult, strDayOfTheWeek;
	
	strDate = fld_date04.gettext();
	if (!factory.isdate(strDate)) {
		screen.alert("입력된 일자가 (" + strDate + ") 날짜형식에 맞지 않습니다.");
		
		fld_date04.setfocus();
		return;
	}
	
	// 요일 구하기
	nResult = factory.datedayofweek(strDate);
    switch (nResult) {
    	case 0:
			strDayOfTheWeek = "일요일";
			break;
    	case 1:
			strDayOfTheWeek = "월요일";
			break;
    	case 2:
			strDayOfTheWeek = "화요일";
			break;
    	case 3:
			strDayOfTheWeek = "수요일";
			break;
    	case 4:
			strDayOfTheWeek = "목요일";
			break;
    	case 5:
			strDayOfTheWeek = "금요일";
			break;
    	case 6:
			strDayOfTheWeek = "토요일";
			break;																		
        default:
            break;
    }
	
	// 계산 결과 입력
	fld_day.settext(strDayOfTheWeek);
}

/**
 * 팝업을 닫으면서 오늘이 며칠째인지의 결과를 부모화면으로 전달한다.
 */
function btn_01_ret_on_mouseup(objInst)
{
	// 결과 전달 및 팝업닫기
	ReturnClosePopup(fld_cal01.gettext());
}

/**
 * 팝업을 닫으면서 구한 일수의 날짜를 부모화면으로 전달한다.
 */
function btn_02_ret_on_mouseup(objInst)
{
	// 결과 전달 및 팝업닫기
	ReturnClosePopup(fld_date02_2.gettext());

}

/**
 * 팝업을 close하면서 남은 날짜를 부모화면으로 전달한다.
 */
function btn_03_ret_on_mouseup(objInst)
{
	// 결과 전달 및 팝업닫기
	ReturnClosePopup(fld_cal03.gettext());
}

/**
 * 팝업을 닫으면서 구한 요일을 부모화면으로 전달한다.
 */
function btn_04_ret_on_mouseup(objInst)
{
	// 결과 전달 및 팝업닫기
	ReturnClosePopup(fld_day.gettext());
}

/**
 * 계산 결과를 부모화면으로 전달 후 팝업을 닫는다.
 * @param strValue 부모화면으로 전달할 결과값
 */
function ReturnClosePopup(strValue) {
	var objExtraData, srcParent, objFld;

    // 팝업화면 열기시 전달한 extra_data 얻기
    objExtraData = screen.getextradata();
	if (objExtraData != null) {
		// 부모화면 screen 구하고 유효성 처리
		srcParent = screen.getparent();
		if (factory.isobject(srcParent)) {
			// 리턴받는데 사용할 함수명을 전달한 경우
			if (objExtraData.RETURN_FUNCTION_NAME !== "") {
				// 부모화면의 함수를 통하여 전달할 값 설정
				srcParent.callscriptmethod(objExtraData.RETURN_FUNCTION_NAME + "(\"" + strValue + "\")", XFD_JAVASCRIPT);
				
				// 팝업 화면 닫기
				screen.unloadpopup();
				return;
			}
			
			// 리턴받을 객체명을 전달한 경우
			if (objExtraData.RETURN_OBJECT_NAME !== "") {
				// 리턴받을 객체를 부모화면에서 구하기
				objFld = srcParent.getinstancebyname(objExtraData.RETURN_OBJECT_NAME);
				if (factory.isobject(objFld)) {
					// 전달할 값 설정(컴포넌트 유형에 따라 settext 함수를 변경하여 호출해야 한다)
					objFld.settext(strValue);
					
					// 팝업 화면 닫기
					screen.unloadpopup();
					return;
				}
			}
			
			// 리턴받을 함수를 전달한 경우
			if (objExtraData.RETURN_FUNCTION !== null) {
				// 부모화면의 함수를 통하여 값 전달
				objExtraData.RETURN_FUNCTION(strValue);
				
				// 팝업 화면 닫기
				screen.unloadpopup();
				return;
			}
		}
	}
	
	// 팝업화면 닫기
	screen.unloadpopup(strValue);
}