﻿function btn_wplushttphead_on_mouseup(objInst)
{
	var file_info;
	
	file_info = this.webplus_httphead("screen", this.fld_url.gettext());
	
	factory.consoleprint(factory.jsonstringify(file_info));
	
	this.fld_result.settext(file_info.result);
	this.fld_errcode.settext(file_info.err_code);
	this.fld_errmsg.settext(file_info.err_msg);
	
	this.fld_filetype.settext(file_info.file_type);
	this.fld_fileurl.settext(file_info.file_url);
	this.fld_filesize.settext(file_info.file_size);
	this.fld_gmttime.settext(file_info.gmt_time);
	this.fld_localtime.settext(file_info.local_time);
}

/**
 * webplus_httphead.jsp 파일을 연계하여 서버에 있는 파일 크기 및 수정시각 정보를 구함
 * @param file_type 파일 유형 ("screen"/"picklist")
 * @param xframe_file_url xFrame5 파일 URL ("/BIZ/biz_screen")
 * @returns {*} 파일 정보 오브젝트 (아래 file_info 변수 주석 참조)
 */
function webplus_httphead(file_type, xframe_file_url) {
    var file_info, file_url, json_str, webplus_httphead_url;

	// 파일 정보 오브젝트
    file_info =  {
        result: 0,           // 처리결과값 (1: 성공, 0: 실패)
        err_code: 0,         // 에러 코드 (1: 유효하지 않는 파라미터값, 2: 파일 없는 경우, 3: 유효하지 않은 데이터, 9: 오류 발생)
        err_msg: "",         // 에러 메세지
		file_type: "",       // 파일 유형 ("screen"/"picklist")
		file_url: "",        // 파일 URL
        file_size: 0,        // 파일 바이트 크기
        gmt_time: "",		// GMT 기준 파일 수정 시각 (YYYYMMDDHHMMSS)
        local_time: ""	   // 로컬 시간대 기준 파일 수정 시각 (YYYYMMDDHHMMSS)
    };

	// URL 정보 설정
	webplus_httphead_url = "http://127.0.0.1:8080/xframe5/template/HTML5/UTIL/WEBPLUS/webplus_httphead.jsp";

	// 파라미터 정보 설정
    file_url = webplus_httphead_url + "?type=" + file_type + "&url=" + encodeURIComponent(xframe_file_url);

	// AJAX GET Sync 방식으로 호출
    $.ajax({
        url: file_url,	  	   // url
        method: "GET",         	// 'POST', 'GET', 'PUT'
        async: false,		      // sync 방식으로 동작 (true/false)
        dataType: "text",          // 'xml', 'html', 'script', 'json', 'jsonp', 'text'
        cache: false,
        crossDomain: true,

        // withCredentials를 사용할 경우,
        // 서버에서도 Access-Control-Allow-Credentails를 true로 설정해야 하고,
        // Access-Control-Allow-Origin을 "*"로 사용할 수 없음
        xhrFields: {
            withCredentials: true
        },

		// 오류 발생시
        error: function (jqXHR, textStatus, errorThrown) {
            file_info.result = 0;
            file_info.err_code = jqXHR.status;
            file_info.err_msg = "(" + jqXHR.readyState + ") " + errorThrown;
        },

		// 성공시
        success: function (data, textStatus, jqXHR) {
			// 수신 데이터 트림 처리 및 데이터 형식 확인
            json_str = factory.stringtrim(data);
			if (json_str.charAt(0) != "{") {
                file_info.result = 0;
                file_info.err_code = 3;
                file_info.err_msg = "invalid data format";
            }
            else {
				file_info = factory.jsonparse(json_str)
            }
        }
    });

    return file_info;
}