﻿/**
 * @SCREEN NAME : SC_RST_02_ML_01_T4
 * @Description : 서면심사 - 전체 리스트
 * @Modification Information
 * @
 * @  수정일                          수정내용
 * @ ---------   ---------   -------------------------------
 * @ 2022.07.27     최초생성
 *
 * @author 자기소속
 * @version 1.0
 * @see 
 * 		
 * Copyright (C) by 안전보건공단 All right reserved.
 *  
 */



/*
 * 화면 최초 로드 이벤트
 */
function screen_on_load()
{

}


function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg)
{
	if ( mapid == "getGrid01List" )
	{
		// 대상품 리스트 조회 
		this.selectListSub(0);
		var nCnt = this.DS_G010.getrowcount();
		SYSUtil.comAlert(nCnt + "건 조회되었습니다.");
		
	}else if ( mapid == "delete" )
	{
		//alert(errmsg);
		//DS_T4_G010_OnRowPosChanged();
	}
}

/**
 *	신청사업장 리스트 조회
 **/
function selectList() 
{
	var objScreen;
	var objDs;
	objScreen = this.screen.getparent();

	if (objScreen) {
		objDs = objScreen.getxdataset("DS_SEARCH");
		console.log(objDs.getrowcount());
		this.DS_SEARCH.copy(objDs, "", false);
	}
	
	this.DS_SEARCH.setdatabyname(0, "selectedId", "queryId=koshaApp01DAO.SC_RST_02_ML_01.getGrid01List");
	SYSTran.requestSubmitAsync(screen, "getGrid01List");
}

/**
 *	PDF 파일 리스트 조회
 **/
function selectListSub(nIndex) 
{
	this.DS_SEARCH.setdatabyname(0, "vAPPLY_NO", this.DS_G010.getdatabyname(nIndex, "APPLY_NO"));
	this.DS_SEARCH.setdatabyname(0, "procId", "procnm=SC_RST_02_ML_01.getpdf_list");
	SYSTran.requestSubmitSync(screen, "getgrd_G020");
	
}

/**
 *	신청사업장 리스트 CHANGE 이벤트
 **/
function grd_T4_G010_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn)
{
	
	if(nPrevSelectColumn > 0){
		this.selectListSub(nCurSelectRow);
	}
}

/**
 *	PDF 파일 삭제
 **/
function btn_delete_on_mouseup(objInst)
{
	this.DS_SEARCH.setdatabyname(0, "procId", "procnm=SC_RST_02_ML_01.set_delete");
	this.DS_VOINFO.setdatabyname(0, "voClass", "java.util.Vector");
	SYSTran.requestSubmitAsync(this.screen, "delete");
}



/**
 *	팝업호출
 **/
function grd_T4_G010_on_itemdblclick(objInst, nDblClickRow, nDblClickColumn, bBtnClick, nImgIndex, strImgUrl)
{
	// 팝업 초기화
	var objPopup_data = {};
	let objExtra_data = {};
	
	// 업무화면으로 전달할 데이터 설정
	objExtra_data.fv_apply_no = this.DS_G010.getdatabyname(nDblClickRow, "APPLY_NO");
	objExtra_data.fv_insp_cd = this.DS_G010.getdatabyname(nDblClickRow, "INSP_CD");
	objExtra_data.RETURN_FUNCTION_NAME = "popupUserCallback";
	
	// 공통팝업 구성 데이터
	objPopup_data.SCR_ID     = "SC_RST_02_MP_01";
	objPopup_data.SCR_PATH   = "/BIZ/SC_RST_02_MP_01";
	objPopup_data.MENU_ID    = "";
	objPopup_data.POPUP_NAME = "popUpT4"; // 동일한 팝업이름으로 중복실행시 에러
	objPopup_data.MENU_NM    = ""; // 지정안할경우 화면의 타이틀로 설정됨
	objPopup_data.PARENT_SCR = screen;
	objPopup_data.EXT_DATA    = objExtra_data; 
	
	SYSUtil.loadPopup(this.screen, objPopup_data, 2);
	
}

/**
 *	팝업콜백
 **/
function popupUserCallback(){
	// 
	
}
