﻿/* ================================================== 
 * 프 로 젝 트 명 : BEST시스템 웹전환
 * 화    면    ID : winMain
 * 화    면    명 : 시작화면
 * 화  면  설  명 : 
 * AS-IS 프로그램 : 
 *
 */


/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */


/**
 * 화면 로드 이벤트
 */
function screen_on_load() {

	// 공통모듈에 해당화면을 등록
	SYSVar.WINMAIN_SCREEN = screen;
	SYSVar.WINMAIN_MEMBER = this;
	
	// UI 레이아웃 로드
	this.addScreenTab();
	
	// 공통모듈에 오브젝트 등록
	SYSVar.TOP_TAB = this.tabTop;
	SYSVar.MIDDLE_TAB = this.tabMiddle;
	SYSVar.SUB_MIDDLE_TAB = this.tabMiddleSub;
	SYSVar.LEFT_TAB = this.tabLeft;
	SYSVar.RIGHT_TAB = this.tabRight;
	SYSVar.USE_SUB_MIDDLE_TAB = false;
	SYSVar.SELECTED_MIDDLE_TAB = this.tabMiddle;


	/* active tab을 체크하기 위한 이벤트 등록*/
	this.tabMiddle.getdom().onclick = onClickMiddleTab.bind(this);
	this.tabMiddleSub.getdom().onclick = onClickSubMiddleTab.bind(this);

	window.addEventListener("beforeunload", function(event){
		if(SYSVar.loginUserInfo.USER_NO!="" && SYSVar.loginUserInfo.USER_NO!=undefined){
			$.ajax({
				type:"POST" ,
				url:"/c/cm/lg/systemLogOut.do" ,
				data:{"userNo":SYSVar.loginUserInfo.USER_NO} ,
			//	async:false , // 동기로 작동시키면 이벤트 발생 안함
		        success: function (data, textStatus, jqXHR) {
					SYSVar.loginUserInfo = {};
		        }			
			});
		}
	});
	//SYSVar.loginUserInfo
	SYSTran.getDeptInfo(this.screen, this.DS_DEPT_INFO);
	

	let cnt = this.DS_DEPT_INFO.getrowcount();
	
	//alert(this.DS_DEPT_INFO.getrowcount());
	
	for(var i=0; i< cnt ;i++ ){
		G_DEPT.addrow();
		G_DEPT.setdatabyname(i, "deptCd",     this.DS_DEPT_INFO.getdatabyname(i, "deptCd"));
		G_DEPT.setdatabyname(i, "deptNm",     this.DS_DEPT_INFO.getdatabyname(i, "deptNm"));
	}
	
	//SYSUtil.showDataSetLog(G_DEPT);
}

/**
 * 화면 사이즈변경 이벤트
 * @param window_width 넓이값
 * @param window_height 높이값
 */
function screen_on_size(window_width, window_height) {
	// 화면사이즈 기준으로 영역을 보이거나 숨김처리

	// 서브 업무영역 (현재 사용X)
	if (SYSVar.USE_SUB_MIDDLE_TAB == true) {
		this.splitMiddle.setleft(this.tabMiddle.getright());
		this.splitMiddle.setvisible(true);

		console.log("this.tv1.getcolumnwidth(0):" + this.tv1.getcolumnwidth(0));
		console.log("this.tv1.getcolumnwidth(1):" + this.tv1.getcolumnwidth(1));
		console.log("this.tv1.getcolumnwidth(2):" + this.tv1.getcolumnwidth(2));
		this.splitMiddle.setlimitmax(this.tv1.getcolumnwidth(1));
		this.splitMiddle.setlimitmin(0);
	}
	if (window_width > 768) {
		this.tv1.setrowhidden(2, false, true);
	} else {
		this.tv1.setrowhidden(2, true, true);
	}
}

/**
 * 화면 메세지 박스 콜백
 * @param messagebox_id 메세지박스 아이디
 * @param result 메세지 박스 선택 결과값
 */
function screen_on_messagebox(messagebox_id, result) {
	switch (messagebox_id) {
		case "close":
			if (XFD_MB_RESYES == result) {
				SYSUtil.unloadScreen();
			}
			break;
		case "closeAllEx":
			if (XFD_MB_RESYES == result) {
				this.tabMiddle.deletealltab(false, false);
			}
			break;
		case "closeAll":
			if (XFD_MB_RESYES == result) {
				this.tabMiddle.deletealltab(true, false);
			}
			break;
	}
}

/**
 * 화면 키다운 이벤트 처리
 */
function screen_on_keydown(keycode, bctrldown, bshiftdown, baltdown, bnumpadkey) {
	if (bctrldown) {
		if (keycode == 68) {
			SYSVar.SELECTED_MIDDLE_TAB.deletealltab();
		}
	}
	return 0;
}


/* --------------------------------------------------
 * 2. 공통 이벤트 영역
 * -------------------------------------------------- */


/*
 * 현재 Frame 종류를 리턴한다.
 * @return {string} Frame 종류
 */
function _getFrameType() {
	return "WIN_MAIN";
}

/*
 * 현재 활성화된 탭과 활성화된 화면을 공통모듈 변수에 등록
 */
function onClickMiddleTab() {
	//console.log("### onClickMiddleTab");
	SYSVar.SELECTED_MIDDLE_TAB = this.tabMiddle;

	if (this.tabMiddle.gettabitemcount() < 1) {
		if (this.tabMiddleSub.gettabitemcount() > 0) {
			let itemIdx = this.tabMiddleSub.gettabitemfocus();
			SYSVar.ACTIVE_SCREEN = this.tabMiddleSub.getchildscreeninstance(itemIdx);
		}
	} else {
		let itemIdx = this.tabMiddle.gettabitemfocus();
		SYSVar.ACTIVE_SCREEN = this.tabMiddle.getchildscreeninstance(itemIdx);
	}
}

function onClickSubMiddleTab() {
	SYSVar.SELECTED_MIDDLE_TAB = this.tabMiddleSub;

	if (this.tabMiddleSub.gettabitemcount() < 1) {
		if (this.tabMiddle.gettabitemcount() > 0) {
			let itemIdx = this.tabMiddle.gettabitemfocus();
			SYSVar.ACTIVE_SCREEN = this.tabMiddle.getchildscreeninstance(itemIdx);
		}
	} else {
		let itemIdx = this.tabMiddleSub.gettabitemfocus();
		SYSVar.ACTIVE_SCREEN = this.tabMiddleSub.getchildscreeninstance(itemIdx);
	}
}

/* --------------------------------------------------
 * 3. 사용자정의 함수 영역
 * -------------------------------------------------- */

function setUseBizSplit(bUse) {
	if (bUse) {
		this.tabMiddle.setsize(50, -1);
		this.tabMiddleSub.setsize(49, -1);
		this.splitMiddle.setleft(this.tabMiddle.getright());
		this.splitMiddle.setvisible(true);
		this.tabMiddleSub.setvisible(true);
		this.tv1.setrowheightex(2, 50, 0);
	} else {
		this.tabMiddle.setsize(100, -1);
		this.tabMiddleSub.setsize(0, -1);
		this.splitMiddle.setleft(this.tabMiddle.getright());
		this.splitMiddle.setvisible(false);
		this.tabMiddleSub.setvisible(false);
		this.tv1.setrowheightex(2, 1, 0);
		this.tabMiddleSub.deletealltab(true, false);
		SYSVar.ACTIVE_SCREEN = null;
		if (this.tabMiddle.gettabitemcount() > 0) {
			let itemIdx = this.tabMiddle.gettabitemfocus();
			SYSVar.ACTIVE_SCREEN = this.tabMiddle.getchildscreeninstance(itemIdx);
		}
	}

	SYSVar.USE_SUB_MIDDLE_TAB = bUse;
}

/*
 * 화면을 탭에 추가한다.
 */
function addScreenTab() {
	this.tabLeft.addportlettab("LEFT", 0, 0, "/SYS/MAIN/leftMain", "", true);

	if (!SYSVar.USE_RIGHT_TAB) {
		this.tv1.setcolumnhidden(2, true, true, 300);
	} else {
		//quicMenu 안쓰도록 조치 2023-03-07
		this.tv1.setcolumnhidden(2, true, true, 300);
		//this.tabRight.addportlettab("RIGHT", 0, 0, "/SYS/MAIN/rightMain", "", true);
	}
	this.tabBottom.addportlettab("BOTTOM", 0, 0, "/SYS/MAIN/bottomMain", "", true);

}

/**
 * 로그인 완료 처리
 * @return 없음
 */
function txLoginComplete() {
	// 브라우저 히스토리에 정보 추가
	SYSVar.STARTMAIN_MEMBER.PushOrReplaceBrowserHistory(true, "winmain", "winmain", "메인 페이지");

	// 브라우저 백 버튼 불가 처리
	SYSVar.STARTMAIN_MEMBER.bUseBackButton = false;

	// TODO : 로그인 완료시 처리해야할 시스템별 비지니스 로직 처리
	SYSVar.STARTMAIN_TAB.settabitemfocus(1);
	
	// 이전에 열려있던 메뉴를 다시 호출한다. (임시)
	//console.log("####### 이전에 열려있던 메뉴 오픈 주석 #######");
	//SYSUtil.loadOpenHistoryMenu();
	
	// 로그인 사용자 정보 설정
	this.setEmpInfo();
	//	SYSUtil.setStatusMsg("로그인되었습니다.");
	
	// 메뉴정보를 읽어 온다.
	var extParam = {"sqlId":"CT_PRGM_SELECT" };
	SYSTran.getCmmDataList(this.screen , G_MENU , extParam , XFD_XDATASET_TRAN_APPEND);	
	
	// 메뉴 데이터를 셋팅한다.
	SYSUtil.makeUpMenuData();
	
	
	
	// UI 세션 타이머
	if (SYSVar.SESSION_TIME_USE == true) {
		this._session_timer.setenable(true);
		this._session_time.settext(SYSVar.SESSION_TIME / 60 + " (" + SYSVar.SESSION_TIME_USE + ")");
	} else {
		this._session_time.settext("FALSE");
	}
	

	// 초기화면을 불러온다
	this.loadHomeScreen();
	this.screen.fireonsizeevent();
	this.screen_on_size(this.screen.getscreenwidth(), this.screen.getscreenheight());
	
	this.DS_USER_REQ.init();
	this.DS_USER_REQ.addrow();
	this.DS_USER_REQ.setdatabyname(0,"userNo",  SYSVar.loginUserInfo.USER_NO);
	
	//console.log("SYSVar.loginUserInfo.USER_NO : "+SYSVar.loginUserInfo.USER_NO);
	
	//SYSUtil.showDataSetLog(this.DS_USER_REQ);
	
	
	SYSTran.requestSubmitAsync(this.screen, "TR_INSERT_LOGIN_INFO");
	
	//session에는 로그인 controller에서 글로벌 dataset에서는 여기에서 넣어줌.
	//var extParam = {"sqlId":"CT_USER_ROLE_SELECT" };
	//SYSTran.getCmmDataList(this.screen , G_USER_ROLE , extParam , XFD_XDATASET_TRAN_APPEND);	
	
}

/**
 * 로그인한 유저의 정보를 설정
 * @return 없음
 */
function setEmpInfo() {
	/*
	this.DS_USER_REQ.init();
	this.DS_USER_REQ.addrow();
	this.DS_USER_REQ.setdatabyname(0,"userNo", G_EMP_INFO.getdatabyname(0, "USER_NO"));
	
	console.log(this.DS_USER_REQ.getdatabyname(0,"userNo"));
	
	SYSTran.requestSubmitAsync(this.screen, "TR_SELECT_LOGIN_USER_INFO");

	
	// 예시) 글로벌 데이터셋에 로그인한 사용자의 정보를 설정한다.
	// ##################### TO DO 사용자 정보 SET  해야 함 ..   2023-02-27
	
	G_EMP_INFO.addrow();
	G_EMP_INFO.setdatabyname(0, "USER_NO",     this.DS_USER_LOGIN_INFO.getdatabyname(0, "userNo"));
	G_EMP_INFO.setdatabyname(0, "USER_NM",     this.DS_USER_LOGIN_INFO.getdatabyname(0, "userNm"));
	G_EMP_INFO.setdatabyname(0, "EMP_NO",      this.DS_USER_LOGIN_INFO.getdatabyname(0, "empNo"));
	G_EMP_INFO.setdatabyname(0, "DEPT_CD",     this.DS_USER_LOGIN_INFO.getdatabyname(0, "onworkDeptCd"));
	G_EMP_INFO.setdatabyname(0, "DEPT_NM",     this.DS_USER_LOGIN_INFO.getdatabyname(0, "onworkDeptNm"));
	G_EMP_INFO.setdatabyname(0, "USER_FG",     this.DS_USER_LOGIN_INFO.getdatabyname(0, "useFg"));
	*/
	
	/*
	G_EMP_INFO.setdatabyname(0, "POSITION", this.OUT_EMP_INFO.getdatabyname(0, "POSITION"));
	G_EMP_INFO.setdatabyname(0, "POSITION_NAME", this.OUT_EMP_INFO.getdatabyname(0, "POSITION_NAME"));
	G_EMP_INFO.setdatabyname(0, "GRADE", this.OUT_EMP_INFO.getdatabyname(0, "GRADE"));
	G_EMP_INFO.setdatabyname(0, "GRADE_NAME", this.OUT_EMP_INFO.getdatabyname(0, "GRADE_NAME"));
	G_EMP_INFO.setdatabyname(0, "IMAGE_URL", this.OUT_EMP_INFO.getdatabyname(0, "IMAGE_URL"));
	
	G_EMP_INFO.setdatabyname(0, "BRANCH", this.OUT_EMP_INFO.getdatabyname(0, "BRANCH"));
	G_EMP_INFO.setdatabyname(0, "BRANCH_NAME", this.OUT_EMP_INFO.getdatabyname(0, "BRANCH_NAME"));
	G_EMP_INFO.setdatabyname(0, "AUTH_LEVEL", this.OUT_EMP_INFO.getdatabyname(0, "AUTH_LEVEL"));
	*/
	
	// 하단영역에 사용자 정보 표시
	let user_id = G_EMP_INFO.getdatabyname(0, "USER_NM") + "(" + G_EMP_INFO.getdatabyname(0, "USER_NO") + ")";
	
	//SYSVar.BOTTOMMAIN_MEMBER._setSystemId(user_id);
	SYSVar.BOTTOMMAIN_MEMBER._setSystemId(user_id);
	SYSVar.BOTTOMMAIN_MEMBER._setDeptId(G_EMP_INFO.getdatabyname(0, "DEPT_NAME"));
	
	//로그인 사용자 정보 input
	SYSVar.loginUserInfo = SYSUtil.getLoginUserInfo();
	
}

function tempCheckEmp(empNo) {
	let idx = this.OUT_EMP_INFO_TEMP.findrow(0, '0:=:"' + empNo + '":1:&');
	if (idx > -1) {
		this.OUT_EMP_INFO.deleteallrows();
		this.OUT_EMP_INFO.copyrow(this.OUT_EMP_INFO_TEMP, idx, false);
		return true;
	} else {
		return false;
	}
}

/* 로그인시 호출 */
function loadHomeScreen() {
	SYSVar.HOME_SCREEN = "/SYS/HOME/defaultHome";
	this.tabHome.addportlettab("", 0, 0, SYSVar.HOME_SCREEN, "homeScreen");
	//this.tabMiddle.addportlettab("", 0, 0, SYSVar.HOME_SCREEN, "homeScreen");
}

function getHomeScreenInst() {
	return this.tabHome.getchildscreeninstance(0);
}


function topMenuMake() {
	var idx;
	let topTabCnt = this.tabTop.gettabitemcount();

	for (idx = 0; idx < topTabCnt; idx++) {
		let tabChildInst = this.tabTop.getchildscreeninstance(idx);
		if (tabChildInst != null){
			let members = tabChildInst.getmembers();
			members.convMenu();
		}
		
	}

	let domObj = this.tabTop.getdom();
	let panelDomArr = domObj.querySelectorAll("._xf_tab_panel_box");
	for (idx = 0; idx < panelDomArr.length; idx++) {
		let panelDomObj = panelDomArr[idx];
		panelDomObj.style.overflow = "hidden";
	}
}

/**
 * 업무영역 탭 아이템 메뉴 로드
 */
function loadMenuTabMiddle(itemindex) {
	console.log("[SYSLOG]winMain:loadMenuTabMiddle");
	var objMenuDlg = null;
	var arrMenu = [];
	var objExtraData = { OBJ: this.tabMiddle, IDX: itemindex, MENU: null, FLAG: "1" };
	var clspos = factory.getmouseeventpos();
	arrMenu.push({ MENU: "화면고정" });
	arrMenu.push({ MENU: "화면닫기" });
	arrMenu.push({ MENU: "열린화면닫기(고정제외)" });
	arrMenu.push({ MENU: "열린화면닫기" });
	objExtraData.MENU = arrMenu;

	m_strMenuNm = "tabMenu";

	if (factory.loadmenu(m_strMenuNm, "/SYS/UTIL/ContextMenu", clspos.clientX, clspos.clientY, 156, 130, screen, objExtraData) == false) {
		screen.alert("메뉴 호출 오류");
	}
}

function _setLockScreen(bUse) {
	if (bUse !== false) bUse = true;
	this.pnlMainLock.setvisible(bUse);
}

/**
 * 초기화면 관련 이벤트 처리
 */

function btn_home_on_mouseup(objInst)
{
	//SYSVar.LEFTMAIN_MEMBER.tabLeftMenu.settabitemfocus(0);
	SYSVar.WINMAIN_MEMBER.showHome(true);
}

function showHome(bShow) {
	if (bShow !== true) bShow = false;
	this.tabHome.setvisible(bShow);
}

function toggleHome() {
	let show = this.tabHome.getvisible();
	this.tabHome.setvisible(!show);
}

function _hasLoadedBizScreen() {
	if (SYSVar.ACTIVE_SCREEN == null) return false;
	else return true;
}


function btnLeftMenu_on_click(objInst)
{
	SYSVar.WINMAIN_MEMBER.setWideScreen();
}


/**
 * 업무영역을 확장 처리한다.
 * @param bFlag : 업무영역 확장여부
 * 디자인된 레이아웃에 따라 시스템별로 커스텀하여 사용
 */
function setWideScreen(bFlag) {
	if (bFlag == undefined) {
		if (this.tv1.ishiddencolumn(0)) {
			this.tv1.setcolumnhidden(0, false, false, 300);
			this.btnLeftMenu.setimagenormal("/COM/MAIN/btn_lnb_slide_left.png");
			this.btnLeftMenu.setimagehover("/COM/MAIN/btn_lnb_slide_left_h.png");
		} else {
			this.tv1.setcolumnhidden(0, true, false, 300);
			this.btnLeftMenu.setimagenormal("/COM/MAIN/btn_lnb_slide_right.png");
			this.btnLeftMenu.setimagehover("/COM/MAIN/btn_lnb_slide_right_h.png");
			
		}

		if (SYSVar.USE_RIGHT_TAB == true) {
			if (this.tv1.ishiddencolumn(2)) {
				this.tv1.setcolumnhidden(2, false, false, 0);
			} else {
				this.tv1.setcolumnhidden(2, true, false, 0);
			}
		} else {
			//
		}
	} else {
		if (bFlag) {
			this.tv1.setcolumnhidden(0, false, true);
			if (SYSVar.USE_RIGHT_TAB == true) {
				this.tv1.setcolumnhidden(2, false, true);
			}
			this.btnLeftMenu.setimagenormal("/COM/MAIN/btn_lnb_slide_left.png");
			this.btnLeftMenu.setimagehover("/COM/MAIN/btn_lnb_slide_left_h.png");
		} else {
			this.tv1.setcolumnhidden(0, true, true);
			if (SYSVar.USE_RIGHT_TAB == true) {
				this.tv1.setcolumnhidden(2, true, true);
			}
			this.btnLeftMenu.setimagenormal("/COM/MAIN/btn_lnb_slide_right.png");
			this.btnLeftMenu.setimagehover("/COM/MAIN/btn_lnb_slide_right_h.png");
		}
	}

	if (SYSVar.USE_SUB_MIDDLE_TAB == true) {
		this.splitMiddle.setleft(this.tabMiddle.getright());
		this.splitMiddle.setvisible(true);
	}

	if (SYSVar.USE_RIGHT_TAB == false) {
		this.tv1.setcolumnhidden(2, true, true, 0);
	}

}

/**
 * 좌측 메뉴 영역을 토글처리.
 * @param 없음
 * 디자인된 레이아웃에 따라 시스템별로 커스텀하여 사용
 */
function toggleMenu() {
	if (this.tv1.ishiddencolumn(0)) {
		this.tv1.setcolumnhidden(0, false, true);
	} else {
		this.tv1.setcolumnhidden(0, true, true);
	}

	if (SYSVar.ACTIVE_SCREEN != undefined) {
		SYSVar.ACTIVE_SCREEN.fireonsizeevent();
	}

	if (SYSVar.USE_SUB_MIDDLE_TAB == true) {
		this.splitMiddle.setleft(this.tabMiddle.getright());
		this.splitMiddle.setvisible(true);
	}
}

/**
 * 서브업무영역 관련 이벤트
 */
function splitMiddle_on_move(objInst, nStartPos, nPos, nMoveGap, nArriveLimit) {
	console.log("[SYSLOG]winMain:splitMiddle_on_move");
	let isToLeft = false;
	if (nStartPos > nPos) isToLeft = true;
	let splitLeft = objInst.getleft();
	let splitLeftPosPercent = parseInt((splitLeft / this.tv1.getitemwidth(1, 1)) * 100, 10);
	this.tabMiddle.setsize(splitLeftPosPercent, -1);
	this.tabMiddleSub.setwidth(100 - (splitLeftPosPercent + 1), -1);
}

function splitMiddle_on_moveend(objInst, nStartPos, nPos, nMoveGap) {
	if (SYSVar.USE_SUB_MIDDLE_TAB == true) {
		this.splitMiddle.setleft(this.tabMiddle.getright());
		this.splitMiddle.setvisible(true);
	}
} 


// UI 세션 타이머 
function _session_timer_on_time(objInst)
{
	
	if( (SYSVar.loginUserInfo.USER_NO==null || SYSVar.loginUserInfo.USER_NO==undefined || SYSVar.loginUserInfo.USER_NO=="")  && SYSVar.ACTIVE_SCREEN!="" && SYSVar.ACTIVE_SCREEN.getscreenid()!="LoginMain"){
		SYSUtil.loadMessageBox(SYSVar.ACTIVE_SCREEN, "안내", 1, "로그인 정보가 소멸되어 로그인 화면으로 이동합니다.", "loginContinueCheck");
		return;
	}
	
	// 설정한 세션 타임 체크
	if( SYSVar.SESSION_COUNT >= SYSVar.SESSION_TIME){
		SYSUtil.showSessionPopup(screen, "sessionCheckCallBack");
		this._session_timer.setenable(false);

	} else {
		SYSVar.SESSION_COUNT ++;
		SYSVar.SESSION_S ++;
		
		if(SYSVar.SESSION_S >= 60) {
			SYSVar.SESSION_M ++;
			SYSVar.SESSION_S = 0;
		}
		
		if(SYSVar.SESSION_M >= 60) {
			SYSVar.SESSION_H ++;
			SYSVar.SESSION_M = 0;
		}
		
		this._session_h.settext(this.setTime(SYSVar.SESSION_H));
		this._session_m.settext(this.setTime(SYSVar.SESSION_M));
		this._session_s.settext(this.setTime(SYSVar.SESSION_S));
		
		// 하단영역 로그아웃 시간 표시
		let txtLogoutTime = Math.floor((SYSVar.SESSION_TIME - SYSVar.SESSION_COUNT) / 60)  + "분 " + (SYSVar.SESSION_TIME - SYSVar.SESSION_COUNT) % 60 + "초 후에 자동 로그아웃 됩니다.";
		SYSVar.BOTTOMMAIN_MEMBER.txTime.settext(txtLogoutTime);
		
	}
}

function setTime(strParam){

	if(strParam < 10) {
		strParam = "0" + strParam;
	}
	return strParam;
}


// 세션 초기화 처리
function _session_init_on_mouseup(objInst)
{
	this.setSessionInit(true);
}

// 세션 종료 처리
function _session_end_on_mouseup(objInst)
{
//	SYSUtil.saveMemberUsedHistory(this.screen      // 현재 스크린 객체
//                                , "PC"             // tblDiv = 테이블 구분 : PC / MOB 로 강제 코딩
//							    , ""  			 // progrmId = 프로그램아이디
//							    , ""               // loginDtYn = 로그인일시(로그인 처리 값 처리는 Mapper에서 하며 Y/N으로 처리)
//							    , "Y"              // logoutDtYn = 로그아웃일시(로그아웃일시 값 처리는 Mapper에서 하며 Y/N으로 처리)
//							    , ""               // inqireUseYn = 조회사용여부
//							    , ""               // streUseYn = 저장사용여부(수정, 삭제, 저장 일경우 streUseYn 만 사용)
//							    , ""               // updtUseYn = 수정사용여부
//							    , ""               // deleteUseYn = 삭제사용여부
//							    , "");             // dwldFileUseYn = 다운로드파일사용여부
	SYSUtil.logOut(screen);
	// 로그인 세션타이머 초기화
	this.setSessionInit(false);
}

function setSessionInit(bRestart){
	this._session_timer.setenable(false);
	SYSVar.SESSION_H = 0;
	SYSVar.SESSION_M = 0;
	SYSVar.SESSION_S = 0;
	SYSVar.SESSION_COUNT = 0;
	this._session_h.settext(this.setTime(SYSVar.SESSION_H));
	this._session_m.settext(this.setTime(SYSVar.SESSION_M));
	this._session_s.settext(this.setTime(SYSVar.SESSION_S));
	
	if(bRestart || bRestart == undefined){
		this._session_timer.setenable(true);
	}
	
}

// 세션체크 팝업 이벤트 콜백
function sessionCheckCallBack(bState)
{
	if(bState) { 
		this.setSessionInit(true);
	} else {
//		SYSUtil.saveMemberUsedHistory(this.screen      // 현재 스크린 객체
//	                                , "PC"             // tblDiv = 테이블 구분 : PC / MOB 로 강제 코딩
//								    , ""  			   // progrmId = 프로그램아이디
//								    , ""               // loginDtYn = 로그인일시(로그인 처리 값 처리는 Mapper에서 하며 Y/N으로 처리)
//								    , "Y"              // logoutDtYn = 로그아웃일시(로그아웃일시 값 처리는 Mapper에서 하며 Y/N으로 처리)
//								    , ""               // inqireUseYn = 조회사용여부
//								    , ""               // streUseYn = 저장사용여부(수정, 삭제, 저장 일경우 streUseYn 만 사용)
//								    , ""               // updtUseYn = 수정사용여부
//								    , ""               // deleteUseYn = 삭제사용여부
//								    , "");             // dwldFileUseYn = 다운로드파일사용여부

		$.ajax({
			type:"POST" ,
			url:"/c/cm/lg/systemLogOut.do" ,
			data:{"userNo":SYSVar.loginUserInfo.USER_NO} ,
			//async:false , // 동기로 작동시키면 이벤트 발생 안함
		});

		SYSUtil.logOut(screen);
		// 로그인 세션타이머 초기화
	    this.setSessionInit(false);
	}
}

// 세션 체크팝업 호출
function _session_msg_on_mouseup(objInst)
{
	SYSUtil.showSessionPopup(screen, "sessionCheckCallBack");
	this._session_timer.setenable(false);
}


/* --------------------------------------------------
 * 4. 컨트롤 이벤트 영역
 * -------------------------------------------------- */

function tabMiddle_on_itemrclick(objInst, itemindex) {
	this.tabMiddle.settabitemfocus(itemindex, false, false, false);
	this.loadMenuTabMiddle(itemindex);
}


/**
 * 업무영역 탭아이템 생성 이벤트 처리
 */
function tabMiddle_on_itemcreate(objInst, itemindex) {
	
	// 업무영역의 탭 타이틀의 사이즈를 지정한다. (mainFrame 화면에서 처리함)
	//objInst.settabitemwidth(itemindex, 40);
	SYSVar.ACTIVE_SCREEN = objInst.getchildscreeninstance(itemindex);
	

	// 임시 : 수당 시스템 서비스 URL 분기 처리
	//if (SYSVar.ACTIVE_SCREEN.getscreenid() == "mainFrameSudang"){
	//	factory.setsubmitbaseurl("http://21.98.247.202:8080/WebContent/jsp/");
	//	SYSVar.IS_SUDANG_MENU = true;
	//} else {
		factory.setsubmitbaseurl(SYSVar._XDATASET_BASEURL);
		SYSVar.IS_SUDANG_MENU = false;
	//}
	
	objInst.settabitemlockbuttonex(itemindex, true);
	objInst.settabitemxbuttonex(itemindex, true);
	
	// 열린화면정보 저장 이부분 조정 할것.. 2023-03-21
	SYSUtil.saveOpenHistoryMenu(SYSVar.ACTIVE_SCREEN.getextradata());
	
	// 업무영역탭을 한개만 열도록 설정
	// MDI 방식으로 할경우 아래의 내용은 주석처리

	if (SYSVar.USE_MDI_FRAME) {
		this.tabMiddle.settabitemhidden(false);
	} else {
		// SDI 방식에서는 tabMiddle 의 tabitem_hidden 속성을 true로 설정
		this.tabMiddle.settabitemhidden(true);

		if (this.tabMiddle.gettabitemcount() > 1) {
			this.tabMiddle.settabitemvisible(1, true);
			this.tabMiddle.deletetab(0);
		} else if (this.tabMiddle.gettabitemcount() == 1) {
			this.tabMiddle.settabitemvisible(0, true);
		}
	}

	this.showHome(false);
}

/**
 * 업무영역 탭아이템 변경 이벤트 처리
 */
function bizTab_on_itemchange(objInst, itemindex) {
	let itemIdx = objInst.gettabitemfocus();
	SYSVar.ACTIVE_SCREEN = objInst.getchildscreeninstance(itemindex);
	
	// 임시 : 수당 시스템 서비스 URL 분기 처리
	if (SYSVar.ACTIVE_SCREEN.getscreenid() == "mainFrameSudang"){
		factory.setsubmitbaseurl("http://21.98.247.202:8080/WebContent/jsp/");
		SYSVar.IS_SUDANG_MENU = true;
	} else {
		factory.setsubmitbaseurl(SYSVar._XDATASET_BASEURL);
		SYSVar.IS_SUDANG_MENU = false;
	}
	
	// 홈화면이 보여지고 있는 상태면 숨김처리
	this.tabHome.setvisible(false);
	
}

function tabLeft_on_itemcreate(objInst, itemindex) {}

function tabTop_on_itemcreate(objInst, itemindex) {
	if (itemindex == 1) {
		let childScreen = this.tabTop.getchildscreeninstance(itemindex);
		let childDom = childScreen.getdom();
		childDom.parentElement.style.overflow = "visible";
	}
	this.tabTop.settabitemfocus(1);
}

function tabRight_on_itemcreate(objInst, itemindex) {}

function screen_on_menuload(menu_screeninst, menu_name) {
	//console.log("screen_on_menuload");
}

function tabMiddle_on_itemclick(objInst, itemindex) {
	
	console.log("#### MENU TAB ITEM CLICK "+itemindex);
	
	this.onClickMiddleTab();	
	
	// 홈화면이 보여지고 있는 상태면 숨김처리
	this.tabHome.setvisible(false);
	this.tabMiddle.settabitemfocus(-1);
	
}

/**
 * 업무영역 탭아이템 삭제 이벤트 처리
 */
function bizTab_on_itemdestroy(objInst, itemindex) {
	
	// 열린화면정보 삭제
	objFrameScreen = objInst.getchildscreeninstance(itemindex);
	SYSUtil.deleteOpenHistoryMenu(objFrameScreen.getextradata());
	
	SYSVar.ACTIVE_SCREEN = null;
	if (objInst.gettabitemcount() - 1 == 0) {
		let otherTab;
		if (objInst.getcontrolid() === "tabMiddleSub") otherTab = this.tabMiddle;
		else otherTab = this.tabMiddleSub;

		if (otherTab.gettabitemcount() > 0) {
			let itemIdx = otherTab.gettabitemfocus();
			SYSVar.ACTIVE_SCREEN = otherTab.getchildscreeninstance(itemIdx);
		}
	} else {
		SYSVar.ACTIVE_SCREEN = objInst.getchildscreeninstance(objInst.gettabitemcount() - 1);
	}

	this.showHome(!this._hasLoadedBizScreen());
	return 1;
}



function tabBottom_on_itemcreate(objInst, itemindex) {}


function tabHome_on_itemcreate(objInst, itemindex)
{

	objInst.settabitemwidth(itemindex, 40);
	objInst.settabitemimageex(0, "/COM/MAIN/ico_tab_home.png");
	objInst.settabitemselimageex(0, "/COM/MAIN/ico_tab_home_click.png");
	objInst.settabitemlock(0, true);
	objInst.settabitemlockbuttonex(0, false);
	objInst.settabitemxbuttonex(0, false);

}

function test_on_mouseup(objInst)
{
	SYSUtil.loadOpenHistoryMenu();
}

/*
window.unload = function(){
	this.DS_LOGOUT_REQ.init();
	this.DS_LOGOUT_REQ.addrow();
	this.DS_LOGOUT_REQ.setdatabyname(0,"userNo", SYSVar.loginUserInfo.USER_NO);
	SYSTran.requestSubmitSync(this.screen, "TR_LOG_OUT");
	SYSUtil.logOut(this.screen);
};

window.onbeforeunload = function(){
	this.DS_LOGOUT_REQ.init();
	this.DS_LOGOUT_REQ.addrow();
	this.DS_LOGOUT_REQ.setdatabyname(0,"userNo", SYSVar.loginUserInfo.USER_NO);
	SYSTran.requestSubmitSync(this.screen, "TR_LOG_OUT");
	SYSUtil.logOut(this.screen);
};
*/

function screen_on_destroy() {
	return 1;
}

function screen_on_popupdestroy(popup_screen, popup_name, result) {
	//console.log(popup_name);
	if(popup_name=="loginContinueCheck"){
		//로그인 화면으로 이동
		//SYSVar.STARTMAIN_TAB.settabitemfocus(0); 
		SYSUtil.logOut(this.screen);
		return;
	}
}

function screen_on_submitcomplete(mapid, result, recv_userheader, recv_code, recv_msg) {
	console.log("##### screen_on_submitcomplete "+mapid);
}

function on_cmm_submitComplete(mapid, result, recv_userheader, recv_code, recv_msg){
	//console.log(">>>>>>>>>>>>>>>>>>>>on_cmm_submitComplete mapid :"+mapid);
}

function getSessionByAttr(attr){
	var str = "";
	$.ajax({
		type:"GET" ,
		url:"hlflrest/session/"+attr,
		async:false ,
		success:function(result){
			//console.log(JSON.stringify(result));
			str = result;
		}
	});
	return str;
}

function getDefaultPwd(){
	var str = "";
	$.ajax({
		type:"GET" ,
		url:"hlflrest/defaultPwd",
		async:false ,
		success:function(result){
			str = result;
		}
	});
	return str;
}		