﻿/* ==================================================
 * 프 로 젝 트 명 : BEST시스템 웹전환
 * 업 무 그 룹 ID : 시스템
 * 화    면    ID : DW
 * 화    면    명 : [프레임웍] 데이터윈도우
 * 화  면  설  명 :
 * AS-IS 프로그램 : xx_anta.pbl / uv_dw
 *
 */

/* --------------------------------------------------
 * 0. 전역 변수 영역
 * -------------------------------------------------- */

/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */
function _screen_on_load() {
	GM.DW = this;		
}

/* --------------------------------------------------
 * 2. 공통 이벤트 영역
 * -------------------------------------------------- */
/**
 * 조회
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @return
 * @remark 
		event ue_query
 */
function ue_query(objScreen, objXDataSet) {
    console.log("##### DW ue_query() Strart.. #####");
	// 그리드 필터해제
	let objGrid = SYSUtil.getLinkGridObject(objXDataSet);	
	if (objGrid != null) {
		objGrid.releasefilter();
	}
	// 헤더 NumRows 초기화
	GM.TuxMgr.of_SetNumRows(objScreen, 0);
	objScreen.callscriptmethodparam(objXDataSet.getid() + "_ue_query", [""]);
	console.log("#### "+objXDataSet.getid() + "_ue_query  호출..");	
}
/**
 * 다음페이지 조회
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param strLastData : string : 마지막데이터
 * @param nPageCount : number : 페이지건수
 * @return
 * @remark 
		event ue_nextpage
 */
function ue_nextpage(objScreen, objXDataSet, strLastData, nPageCount) {	
	GM.TuxMgr.of_SetNumRows(objScreen, objXDataSet.getrowcount());	
	objScreen.callscriptmethodparam(objXDataSet.getid() + "_ue_nextpage", [strLastData, nPageCount]);			
}
/**
 * 메뉴초기화
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @return
 * @remark 
		event ue_init_menu
 */
function ue_init_menu(objScreen, objXDataSet) {	
	objScreen.callscriptmethodparam(objXDataSet.getid() + "_ue_init_menu", []);			
}
/**
 * 상세조회
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param nRow : number : 선택된 행
 * @return
 * @remark 
		event ue_detail_query
 */
function ue_detail_query(objScreen, objXDataSet, nRow) {
	objScreen.callscriptmethodparam(objXDataSet.getid() + "_ue_detail_query", [nRow]);			
}
/**
 * 삭제
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param row : number : 행인덱스
 * @param data : string : 삭제행 데이터
 * @param rowcount : number : 삭제건수
 * @return
 * @remark 
		event ue_delete
 */
function ue_delete(objScreen, objXDataSet, row, data, rowcount) {	
	objScreen.callscriptmethodparam(objXDataSet.getid() + "_ue_delete", [row, data, rowcount]);			
}
/**
 * 저장
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param insert_rowcount : number : insert 건수
 * @param insert_data : string : insert 데이터
 * @param update_rowcount : number : insert 건수
 * @param update_data : string : insert 데이터
 * @param original_data : string : 최최데이터
 * @return
 * @remark 
		event ue_update
 */
function ue_update(objScreen, objXDataSet, insert_rowcount, insert_data, update_rowcount, update_data, original_data) {	
	objScreen.callscriptmethodparam(objXDataSet.getid() + "_ue_update", [insert_rowcount, insert_data, update_rowcount, update_data, original_data]);
}
/**
 * 다중열 선택가능하면 다중열 선택 기능
 * 아니면 현재열 반전시킴
 * 자손이 있으면 Query이벤트를 발생시킴
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param currentrow : number : 현재 Row
 * @return
 * @remark 
		event rowfocuschanged
 */
function rowfocuschanged(objScreen, objXDataSet, currentrow) {
	let ldis_status;
	if (this.of_HasChild(objScreen, objXDataSet)) {
		if (currentrow >= 0) {
			ldis_status = objXDataSet.getrowoperation(currentrow);
			if (ldis_status == XFD_ROWOP_UPDATE || ldis_status == XFD_ROWOP_NONE) {
				this.of_triggerchildevent(objScreen, objXDataSet, "query");
			} else {
				this.of_TriggerChildFunction(objScreen, objXDataSet, "of_dwreset");
			}
		}
		// 포커스 빠지지 않게 해야하는데..
		let objGrid = SYSUtil.getLinkGridObject(objXDataSet);
		if (objGrid != null) {
			objGrid.setfocus();
		}
	}
}

/* --------------------------------------------------
 * 3. 사용자정의 함수 영역
 * -------------------------------------------------- */
/**
 * MultiSelect기능 사용 여부를 설정
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param bMultiSelect : boolean : MultiSelect기능 사용 여부
 * @return 
 * @remark 
		public function boolean of_setdraganddrop (boolean vbv_dnd)
 */
function of_SetMultiSelect(objScreen, objXDataSet, bMultiSelect) {
	let objGrid = SYSUtil.getLinkGridObject(objXDataSet);
	if (objGrid != null) {
		objGrid.setmultiselectrow(bMultiSelect);		
	}
}

/**
 * Drag&Drop기능 사용 여부를 설정
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param bDnD : boolean : Drag&Drop기능사용 여부
 * @return 
 * @remark 
		public function boolean of_setdraganddrop (boolean vbv_dnd)
 */
function of_SetDragAndDrop(objScreen, objXDataSet, bDnD) {
	let objGrid = SYSUtil.getLinkGridObject(objXDataSet);
	if (objGrid != null) {
		objGrid.setdragable(bDnD);
	}
}

/**
 * 데이터윈도우의 내용을 인쇄함
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @return 
 * @remark 
		public function integer of_dwprint ()
 */
function of_dwPrint(objScreen, objXDataSet) {
	if (objXDataSet.getrowcount() < 1) {
		GM.MessageBox(objScreen, "메시지", "인쇄할 자료가 없습니다");
	} else {
		let strFunction = objXDataSet.getid() + "_ue_print_pre";
		// 기본은 출력 가능하게 함.
		let bRet = true;
		if (objScreen.findscriptmethod(XFD_JAVASCRIPT, strFunction)) {
			bRet = objScreen.callscriptmethodparam(strFunction);
			if (bRet != false) {
				// false 이외에도 출력 가능하게 함.
				bRet = true;
			}
		} 
		if (bRet) {
			alert("dw출력 개발중");
		}		
	}
	
}

//public function boolean of_getdwontab ()
//public function boolean of_hasparent ()
/**
 * 받은 DW(ClassName)가 Child에 속해 있는지 체크
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param strXDataSetId : string : 데이터셋ID
 * @return boolean : true:있음, false:없음
 * @remark 
		protected function boolean of_ischild (string vsv_classname)
 */
function of_IsChild(objScreen, objXDataSet, strXDataSetId) {
	let strChilds = objXDataSet.getcustomprop("child");
	let arrChilds = strChilds.split(GM.GlbMgr.TAB);
	return arrChilds.indexOf(strXDataSetId) >= 0;		
}
//public function boolean of_isdraganddrop ()
//public function boolean of_ismultiselect ()
/**
 * 받은 DW(ClassName)가 Parent에 속해 있는지 체크
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param strXDataSetId : string : 데이터셋ID
 * @return boolean : true:있음, false:없음
 * @remark 
		protected function boolean of_isparent (string vsv_classname)
 */
function of_IsParent(objScreen, objXDataSet, strXDataSetId) {
	let strParents = objXDataSet.getcustomprop("parent");
	let arrParents = strParents.split(GM.GlbMgr.TAB);
	return arrParents.indexOf(strXDataSetId) >= 0;	
}
//public function integer of_triggerfunction (string vsv_flag, string vsv_funname)
//public function integer of_triggerparentfunction (string vsv_function)
/**
 * 신규 행을 삽입한 후 선택된 행의 내용을 뿌려줌(복사).
 * Free form 인 경우는 DW를 Clear한 후 복사, 기타는 마지막 줄에 복사
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @return number : 1(성공),  0(실패)
 * @remark 
		public function integer of_dwcopy ()
 */
function of_dwCopy(objScreen, objXDataSet) {
	let nRow = objXDataSet.getpos();
	if (nRow < 0) {
		return 0;
	}
	
	let strFunction = objXDataSet.getid() + "_ue_copy_pre";
	// 기본은 출력 가능하게 함.
	let bRet = true;
	if (objScreen.findscriptmethod(XFD_JAVASCRIPT, strFunction)) {
		bRet = objScreen.callscriptmethodparam(strFunction);
		if (bRet != false) {			
			bRet = true;
		}
	} 
	// free는 clear후 copy, grid는 단순 copy
	// Child가 있으면 Child Reset필요
	if (bRet) {		
		if (this.of_GetStyle(objScreen, objXDataSet) == 1) {	//단건은 클리어 후 복사
			let nAddRow = objXDataSet.addrow();
			objXDataSet.copyrowto(objXDataSet, nRow, nAddRow, false, XFD_ROWOP_INSERT);
			objXDataSet.removerow(nRow);
		} else {	//free가 아니면 현재열을 끝라인으로 복사하여 추가
			let objGrid = SYSUtil.getLinkGridObject(objXDataSet);	
			let nAddRow = objGrid.addrow();
			if (objGrid.getcontrolkind() == XFD_CTRLKIND_MULTILINEGRID) {
				for (let nCol = 0; nCol < objGrid.getcolumncount(); nCol ++) {
					for (let nSubRow = 0; nSubRow < objGrid.getsubrowcount(); nSubRow ++) {
						objGrid.setitemtext(nAddRow, nSubRow, nCol, objGrid.getitemtext(nRow, nSubRow, nCol));
					}					
				}
			} else {
				for (let nCol = 0; nCol < objGrid.getcolumncount(); nCol ++) {
					objGrid.setitemtext(nAddRow, nCol, objGrid.getitemtext(nRow, nCol));
				}
			}			
			objGrid.setselectrow(nAddRow);
		}
		
		objScreen.findscriptmethod(XFD_JAVASCRIPT, objXDataSet.getid() + "_ue_copy_post")
		
		
		if (this.of_HasChild(objScreen, objXDataSet)) {
			this.of_TriggerChildFunction(objScreen, objXDataSet, "of_dwreset");
		}
	}
	
	
	
	return 1;
}
	
//protected function integer of_triggerevent (string vsv_flag, string vsv_eventname)
//protected function boolean of_getshowselection ()
//protected function boolean of_getshowupdmsgyn ()
/**
 * DataWindow 의 정보처리 열수에 따라 다른 값을 return 한다.
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @return number : 1 : 단건 처리, 2 : 여러건 처리
 * @remark 
		protected function integer of_getstyle ()
 */
function of_GetStyle(objScreen, objXDataSet) {
	let strStyle = objXDataSet.getcustomprop("style");
	if (SYSUtil.isEmpty(strStyle)) {
		let objGrid = SYSUtil.getLinkGridObject(objXDataSet);
		strStyle = objGrid == null ? "1" : "2";				
	}	
	return Number(strStyle);
}
/**
 * 자신의 Child 존재여부를 돌려줌
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @return boolean : true:있음, false:없음
 * @remark 
		public function boolean of_haschild ()
 */
function of_HasChild(objScreen, objXDataSet) {
	let ls_ClassName = objXDataSet.getcustomprop("child");
	return !SYSUtil.isEmpty(ls_ClassName);
	
}
//protected function integer of_ispopup (string vsv_column)
//public subroutine of_multiselectwithshift (long vlv_row)
//public subroutine of_restoremenustatus ()
//public function boolean of_setupdatable (boolean vbv_updatable)
//public subroutine of_setupdateflag (boolean vbv_flag)
//public function boolean of_setshowupdmsgyn (boolean vbv_yn)

/**
 * Datawindow의 정보처리 열수를 지정한다.
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param nStyle : number : style 값
 * @remark 
		public subroutine of_setstyle (integer viv_style)
 */
function of_SetStyle(objScreen, objXDataSet, nStyle) {
	objXDataSet.setcustomprop("style", nStyle);
}

//public function boolean of_setsuccess (boolean vbv_success)
//public function integer of_dwlosefocus ()
//protected function integer of_triggerparentevent (string vsv_eventname)
//public function integer of_dwquery ()
/**
 * 현재 datawindow의 itemstatus를 읽어 NewModified! row 값을 return
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @return object : {data:대상 열의 data, rowcount:대상 열의 수}
 * @remark 
		public function string of_getinsertdata (ref string rsv_data, ref long rlv_rowcount)
 */
function of_GetInsertData(objScreen, objXDataSet) {
	let arr = [];
	for (let nRow = 0; nRow < objXDataSet.getrowcount(); nRow ++) {
		if (objXDataSet.getrowoperation(nRow) == XFD_ROWOP_INSERT) {
			arr.push(this.of_GetRowData(objScreen, objXDataSet, nRow));
		}
	}	
	let nRowCount = arr.length;
	let strData = arr.join(GM.GlbMgr.CN);
	return { data: strData, rowcount: nRowCount };
	
}
/**
 * 다중열 선택일 경우 선택된 여러행의 data를 넘겨준다.
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param bOrg : boolean : True 이면 Origianl 값을, False 이면 Current 값을 반환
 * @return object : {data:대상 열의 data, rowcount:대상 열의 수}
 * @remark 
		public function string of_getmultirowdata (ref string rsv_data, ref long rlv_rowcount)
		public function string of_getmultirowdata (ref string rsv_data, ref long rlv_rowcount, boolean vbv_org)
 */
function of_GetMultiRowData(objScreen, objXDataSet, bOrg) {
	let objGrid = SYSUtil.getLinkGridObject(objXDataSet);
	if (objGrid == null) {
		return null;
	}
	if (bOrg == undefined) {
		bOrg = false;
	}

	if (!objGrid.editcomplete()) {
		return null;
	}

	let nRow = objGrid.getselectrowfirst();
	let arr = [];
	while (nRow >= 0) {
		arr.push(this.of_GetRowData(objScreen, objXDataSet, nRow, bOrg));
		nRow = objGrid.getselectrownext(nRow + 1);
	}
	let nRowCount = arr.length;
	let strData = arr.join(GM.GlbMgr.CN);
	return { data: strData, rowcount: nRowCount };
}
/**
 * 선택되어 있는 모든 row를 array형태로 만들어 return
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @return array : 선택된 행 배열
 * @remark 
		public function string of_getselectedrows (ref long rlv_selectedrows[])
 */
function of_GetSelectedRows(objScreen, objXDataSet) {
	let arr = [];	
	let objGrid = SYSUtil.getLinkGridObject(objXDataSet);	
	let nRow = objGrid.getselectrowfirst();
	while (nRow >= 0) {
		arr.push(nRow);
		nRow = objGrid.getselectrownext(nRow + 1);
	}
	return arr;	
}
/**
 * 현재 datawindow의 itemstatus를 읽어 Modified! row 값을 return
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @return object : {data:대상 열의 data, rowcount:대상 열의 수}
 * @remark 
		public function string of_getupdatedata (ref string rsv_data, ref long rlv_rowcount)
 */
function of_GetUpdateData(objScreen, objXDataSet) {
	let arr = [];
	for (let nRow = 0; nRow < objXDataSet.getrowcount(); nRow ++) {
		if (objXDataSet.getrowoperation(nRow) == XFD_ROWOP_UPDATE) {
			arr.push(this.of_GetRowData(objScreen, objXDataSet, nRow));
		}
	}	
	let nRowCount = arr.length;
	let strData = arr.join(GM.GlbMgr.CN);
	return { data: strData, rowcount: nRowCount };	
}
/**
 * FreeForm이면 Clear후 신규 행 삽입, 아니면 마지막 줄에 신규 행 삽입.
 * Child가 있으면 Child DW Clear후 신규 행 삽입
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @return number : 에러코드
 * @remark 
		public function integer of_dwinsert ()
 */
function of_dwInsert(objScreen, objXDataSet) {
	
	let strFunction = objXDataSet.getid() + "_ue_insert_pre";	
	let bRet = true;
	if (objScreen.findscriptmethod(XFD_JAVASCRIPT, strFunction)) {
		bRet = objScreen.callscriptmethodparam(strFunction);
		if (bRet != false) {			
			bRet = true;
		}
	}
	if (bRet) {
		if (this.of_GetStyle(objScreen, objXDataSet) == 1) {	//freeform
			this.of_dwReset(objScreen, objXDataSet);
		}
		
		let ll_rowNum = objXDataSet.addrow();		
		let objGrid = SYSUtil.getLinkGridObject(objXDataSet);
		if (objGrid != null) {
			objGrid.setselectrow(ll_rowNum);		
		}
		
		if (this.of_HasChild(objScreen, objXDataSet)) {	// Master이면
			this.of_TriggerChildFunction(objScreen, objXDataSet, "of_dwreset");
		}
		objScreen.callscriptmethodparam(objXDataSet.getid() + "_ue_insert_post", [ll_rowNum]);
	}	
}
/**
 * 데이터윈도우 리셋
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @remark 
		public function integer of_dwreset ()
 */
function of_dwReset(objScreen, objXDataSet) {
	objXDataSet.init();
}
//public function integer of_dwprinttofile ()
//public subroutine of_savemenustatus ()
/**
 * Child(detail)로 설정된 DW의 특정 이벤트를 발생시킴
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param strEventName : string : trigger할 event명
 * @return number : 함수를 트리거한 Child DW의 갯수
 * @remark 
		public function integer of_triggerchildevent (string vsv_eventname)
 */
function of_triggerchildevent(objScreen, objXDataSet, strEventName) {
	let strChild = objXDataSet.getcustomprop("child");
	let arrChilld = strChild.split(GM.GlbMgr.TAB);
	let nCnt = 0;
	for (let strChild of arrChilld) {
		if (!SYSUtil.isEmpty(strChild)) {
			nCnt ++;
			let objChild = objScreen.getxdataset(strChild);
			if (strEventName == "query") {
				objChild.init();
				this.of_TriggerButton(objScreen, objChild, strEventName);
			} else {
				this.of_TriggerButton(objScreen, objChild, strEventName);	
			}
		}
	}
	return nCnt;
}

/**
 * Child(detail)로 설정된 DW의 특정 함수를 수행시킴
 * Child가 있으면 Child DW Clear후 신규 행 삽입
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param strFunction : string : 트리거할 함수 이름
 * @return number : 함수를 트리거한 Child DW의 갯수
 * @remark 
		public function integer of_triggerchildfunction (string vsv_function)
 */
function of_TriggerChildFunction(objScreen, objXDataSet, strFunction) {
	let strChild = objXDataSet.getcustomprop("child");
	let arrChilld = strChild.split(GM.GlbMgr.TAB);
	let nCnt = 0;
	let strFuncPrefix = objXDataSet.getid() + "_";
	for (let strChild of arrChilld) {
		if (!SYSUtil.isEmpty(strChild)) {
			nCnt ++;
			let objChild = objScreen.getxdataset(strChild);
			switch (strFunction.toLowerCase()) {
				case "of_dwreset":
					this.of_dwReset(objScreen, objChild);
					break;
				case "of_dwinsert":
					this.of_dwInsert(objScreen, objChild);
					break;
				case "of_dwlosefocus":
					this.of_dwLoseFocus(objScreen, objChild);
					break;
				case "of_dwcopy":
					//objScreen.callscriptmethodparam(strChild + "_" + strFunction.toLowerCase(), []);
					this.of_dwCopy(objScreen, objChild);
					break;				
				default:
					GM.MessageBox(objScreen, "오류", "정의되지 않은 함수를 호출하였습니다.-" + strFunction);
					return 0;
			}
		}					
	}
	return nCnt;
}

/**
 * Tuxedo Service명, Argument List, Buffer Size를 넘겨받아 조회를 해온다.
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 조회 후 데이터를 바인딩할 데이터셋
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcName : string : 서비스명
 * @param args : ... : remark 에서 as-is 파라미터 참조
 * @return number : 에러코드
 * @remark 
		public function long of_tuxretrieve (string vsv_svcname, long vlv_bufsize)
		public function long of_tuxretrieve (string vsv_svcname)
		public function long of_tuxretrieve (string vsv_svcname, string vsv_args)
		public function long of_tuxretrieve (string vsv_svcname, string vsv_args, long vlv_bufsize)
 */
function of_TuxRetrieve(objScreen, objXDataSet, mapid, strSvcName, args) {
	var nCount = arguments.length;
	if (nCount == 4) {
		GM.TuxMgr.of_TuxRetrieve(objScreen, mapid, strSvcName, "", GM.TuxMgr.DEF_BUF_SIZE, objXDataSet, "1");
	} else if (nCount == 5) {
		var arg = arguments[4];
		if (SYSUtil.isNumber(arg)) {
			GM.TuxMgr.of_TuxRetrieve(objScreen, mapid, strSvcName, "", arg, objXDataSet, "1");
		} else {
			GM.TuxMgr.of_TuxRetrieve(objScreen, mapid, strSvcName, arg, GM.TuxMgr.DEF_BUF_SIZE, objXDataSet, "1");
		}
	} else if (nCount == 6) {
		GM.TuxMgr.of_TuxRetrieve(objScreen, mapid, strSvcName, arguments[4], arguments[5], objXDataSet, "1");
	}
}
/**
 * Tuxedo Service명, Argument List, Buffer Size를 넘겨받아 조회를 해온다.
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 조회 후 데이터를 바인딩할 데이터셋
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strColumn : string : 데이터셋 컬럼명
 * @param strSvcName : string : 서비스명
 * @param strArgs : string : [옵션] 입력값
 * @return number : 에러코드
 * @remark 
		public function long of_tuxretrievedddw (string vsv_column, string vsv_svcname)
		public function long of_tuxretrievedddw (string vsv_column, string vsv_svcname, string vsv_args)
		[삭제] public function long of_tuxretrievedddw (string vsv_column, string vsv_svcname, long vlv_bufsize)
		[삭제] public function long of_tuxretrievedddw (string vsv_column, string vsv_svcname, string vsv_args, long vlv_bufsize)
 */
function of_TuxRetrieveDDDW(objScreen, objXDataSet, mapid, strColumn, strSvcName, strArgs) {
	if (strArgs == undefined) {
		strArgs = "";
	}	
	let objPicklistXDataSet = GM.GetChild(objScreen, objXDataSet, strColumn);
	if (objPicklistXDataSet == null) {
		return;
	}
	GM.TuxMgr.of_TuxRetrievePop(objScreen, mapid, strSvcName, strArgs, objPicklistXDataSet, "2", GM.GlbMgr.NON_XA);
}


//public function long of_tuxretrieveftp (string vsv_svcname, string vsv_args)
//public function long of_tuxretrieveftp (string vsv_svcname, string vsv_args, integer viv_flag, boolean vbv_visible)
//public function long of_tuxretrieveftp (string vsv_svcname, string vsv_args, integer viv_flag)
//public function long of_tuxretrieveftp (string vsv_svcname, string vsv_args, boolean vbv_visible)

/**
 * Tuxedo Service명, Argument List, Buffer Size를 넘겨받아 조회를 해온다.
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 조회 후 데이터를 바인딩할 데이터셋
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcName : string : 서비스명
 * @param strArgs : string : [옵션] 입력값
 * @return number : 에러코드
 * @remark 
		public function long of_tuxretrievepop (string vsv_svcname)
		public function long of_tuxretrievepop (string vsv_svcname, string vsv_args)
 */
function of_TuxRetrievePop(objScreen, objXDataSet, mapid, strSvcName, strArgs) {
	if (strArgs == undefined) {
		strArgs = "";
	}
	GM.TuxMgr.of_TuxRetrievePop(objScreen, mapid, strSvcName, strArgs, objXDataSet, "1", GM.GlbMgr.NON_XA);
	
	// TODO
//	IF llv_count > 0 and of_HasChild()	THEN
//		This.Event RowFocusChanged(1)
//	END IF
}

/**
 * row의 Origianl 값을 반환
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 대상 데이터셋
 * @param nRow : number : 반환하고자 하는 행
 * @return string : 반환될 data
 * @remark 
		public function string of_getorgdata (long vlv_row, ref string rsv_data)
		[미사용] public function string of_getorgdata (ref string rsv_data)
 */
function of_GetOrgData(objScreen, objXDataSet, nRow) {
	let arr = [];
	for (let nCol = 0; nCol < objXDataSet.getcolumncount(); nCol++) {
		// TODO orgdata 값 확인해야함.
		let strData = objXDataSet.getorgdata(nRow, nCol);
		if (strData == null) {
			strData = objXDataSet.getdata(nRow, nCol);	
		}
		arr.push(strData);
	}
	return arr.join(GM.GlbMgr.TAB);
}
//public function boolean of_setdwontab (boolean vbv_tab)

/**
 * 자신의 parent(master)를 설정
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param strXDataSetId : string : parent로 설정할 데이터셋ID
 * @return 
 * @remark 
		public function integer of_setparent (string vsv_classname)
 */
function of_SetParent(objScreen, objXDataSet, objXDataSetId) {
	let strParents = objXDataSet.getcustomprop("parent");
	if (SYSUtil.isEmpty(strParents)) {
		objXDataSet.setcustomprop("parent", objXDataSetId);
	} else {
		if (!this.of_IsChild(objScreen, objXDataSet, objXDataSetId) && !this.of_IsParent(objScreen, objXDataSet, objXDataSetId)) {
			strParents += GM.GlbMgr.TAB + objXDataSetId;
			objXDataSet.setcustomprop("parent", strParents);
		} else {
			//기존에 parent나 Child로 설정되어 있으면 재설정 못함
			GM.Util.of_ErrorHandle(objScreen, "TAERRXP003");
		}
	}
}

//public function integer of_sortdatawindow (datawindow vdwv_this)

/**
 * 넘겨받은 row의 data값을 넘겨준다
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 대상 데이터셋
 * @param nRow : number : 반환하고자 하는 행
 * @param bOrg : boolean : true면 Original 값을, false면 Current 값을 넘겨준다.
 * @return string : 반환될 data
 * @remark 
		public function string of_getrowdata (long vlv_row, ref string rsv_data)
		public function string of_getrowdata (long vlv_row, ref string rsv_data, boolean vbv_org)
 */
function of_GetRowData(objScreen, objXDataSet, nRow, bOrg) {
	if (bOrg == undefined) {
		bOrg = false;
	}
	if (bOrg) {
		return this.of_GetOrgData(objScreen, objXDataSet, nRow);
	}
	let arr = [];
	for (let nCol = 0; nCol < objXDataSet.getcolumncount(); nCol++) {
		arr.push(objXDataSet.getdata(nRow, nCol));
	}
	return arr.join(GM.GlbMgr.TAB);
}

/**
 * 자신의 child(detail)DW를 설정
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param strXDataSetId : string : child로 설정할 데이터셋ID
 * @return 
 * @remark 
		public function integer of_setchild (string vsv_classname)
 */
function of_SetChild(objScreen, objXDataSet, objXDataSetId) {
	let strChilds = objXDataSet.getcustomprop("child");
	if (SYSUtil.isEmpty(strChilds)) {
		objXDataSet.setcustomprop("child", objXDataSetId);
	} else {
		if (!this.of_IsChild(objScreen, objXDataSet, objXDataSetId) && !this.of_IsParent(objScreen, objXDataSet, objXDataSetId)) {
			strChilds += GM.GlbMgr.TAB + objXDataSetId;
			objXDataSet.setcustomprop("child", strChilds);
		} else {
			//기존에 parent나 Child로 설정되어 있으면 재설정 못함
			GM.Util.of_ErrorHandle(objScreen, "TAERRXP003");
		}
	}
}
/**
 * Datawindow의 이벤트를 호출한다.
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param strEvent : string : 호출할 이벤트명
 * @return 
 * @remark 
		public function string of_triggerbutton (string vsv_event)
 */
function of_TriggerButton(objScreen, objXDataSet, strEvent) {
	console.log("### DW.of_TriggerButton() CALL ###");
	let strInserData, strDeleteData, strUpdateData, strOrgData;
	let strLastData;
	let nRow, nDeleteCount, nInsertCount, nUpdateCount;
	let objInsert, objUpdate;
	let nPageCount;
	let strErr1 = "TAINFXP001";
	let strErr2 = "TAWARXP002";

	let objGrid = SYSUtil.getLinkGridObject(objXDataSet);
	let strFuncPrefix = objXDataSet.getid() + "_";
	switch (strEvent.toUpperCase()) {
		case "DELETE":
			//nRow = objGrid.getselectrow();
			nRow = objXDataSet.getpos();
			if (nRow < 0) { //삭제할 열이 없음
				return strErr2;
			}
			if (objGrid != null && objGrid.getmultiselectrow()) {
				//Multi Select 인 경우는 Select된 열의 Data, RowCount를 전달
				let objMultiRowData = this.of_GetMultiRowData(objScreen, objXDataSet, true);
				this.ue_delete(objScreen, objXDataSet, -1, objMultiRowData.data, objMultiRowData.rowcount);				
			} else {
				//그렇지 않는 경우는 해당 열의 Data 전달
				strDeleteData = this.of_GetRowData(objScreen, objXDataSet, nRow, true);
				this.ue_delete(objScreen, objXDataSet, nRow, strDeleteData, 1);				
			}
			break;
		case "UPDATE":
			objInsert = this.of_GetInsertData(objScreen, objXDataSet);
			nInsertCount = objInsert.rowcount;
			strInserData = objInsert.data;
			objUpdate = this.of_GetUpdateData(objScreen, objXDataSet);
			nUpdateCount = objUpdate.rowcount;
			strUpdateData = objUpdate.data;
			if (nUpdateCount > 0) {
				let arr = [];
				for (let nRow = 0; nRow < objXDataSet.getrowcount(); nRow ++) {
					if (objXDataSet.getrowoperation(nRow) == XFD_ROWOP_UPDATE) {
						arr.push(this.of_GetOrgData(objScreen, objXDataSet, nRow));
					}
				}	
				strOrgData = arr.join(GM.GlbMgr.CN);				
			}
			this.ue_update(objScreen, objXDataSet, nInsertCount, strInserData, nUpdateCount, strUpdateData, strOrgData);
			break;
		case "INSERT":
			this.of_dwInsert(objScreen, objXDataSet);
			break;
		case "COPY":
			//nRow = objGrid.getselectrow();
			nRow = objXDataSet.getpos();
			if (nRow < 0) { //삭제할 열이 없음
				return strErr2;
			}
			this.of_dwCopy(objScreen, objXDataSet);
			break;
		case "QUERY":
		    console.log("### QUERY case Start....");
			// PageCount초기화
			objXDataSet.setcustomprop("page_count", 0);
			// 다음페이지이벤트 비활성
			SYSUtil.setNextPage(objScreen, false);
			this.ue_query(objScreen, objXDataSet);
			break;
		case "PRINT":
			this.of_dwPrint(objScreen, objXDataSet);
			break;
		case "DETAIL_QUERY":
			nRow = objGrid.getselectrow();
			if (nRow >= 0) {
				this.ue_detail_query(objScreen, objXDataSet, nRow);
			}
			break;
		case "PRINTTOFILE":
			break;
		case "NEXT":
		case "NEXTPAGE":
			strLastData = this.of_GetOrgData(objScreen, objXDataSet, objXDataSet.getrowcount() - 1);
			nPageCount = Number(objXDataSet.getcustomprop("page_count"));
			nPageCount ++;
			objXDataSet.setcustomprop("page_count", nPageCount);
			this.ue_nextpage(objScreen, objXDataSet, strLastData, nPageCount);
			break;
		default:
	}
}
//public function string of_resetflag ()
//public function long of_tuxretrievedddwftp (string vsv_column, string vsv_svcname, string vsv_args)

/**
 * TODO ShowSelection?? 필요함수인지 체크중
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param bSelection : boolean : Selection여부
 * @return 
 * @remark 
		public function boolean of_setshowselection (boolean vbv_bool)
 */
function of_SetShowSelection(objScreen, objXDataSet, bSelection) {
	objXDataSet.setcustomprop("selection", bSelection);
}

//private subroutine of_showselect (boolean vbv_clicked, long vlv_row)
//public function string of_changecursor (string vsv_column)


/* --------------------------------------------------
 * 4. 컨트롤 이벤트 영역
 * -------------------------------------------------- */


function grd_on_itemselchange(objInst, nPrevSelectRow, nPrevSelectColumn, nCurSelectRow, nCurSelectColumn) {
	
}