﻿/* ==================================================
 * 프 로 젝 트 명 : BEST시스템 웹전환
 * 업 무 그 룹 ID : 시스템
 * 화    면    ID : TuxMgr
 * 화    면    명 : Tuxedo 통신모듈
 * 화  면  설  명 :
 * AS-IS 프로그램 : xx_anta.pbl / un_tuxmgr
 *
 * ============== 개    정     이    력 ==============
 * 일      자 : 성    명 : 내    용
 * ==================================================
 * 2022.11.01 : 박 찬 순 : 최초작성
 * ==================================================
 */

/* --------------------------------------------------
 * 0. 전역 변수 영역
 * -------------------------------------------------- */
this.CR = "\r";
this.DEF_BUF_SIZE = 65000;


/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */
function _screen_on_load() {
	GM.TuxMgr = this;
}

/* --------------------------------------------------
 * 2. 공통 버튼 이벤트 영역
 * -------------------------------------------------- */

/* --------------------------------------------------
 * 3. 사용자정의 함수 영역
 * -------------------------------------------------- */
//미사용 public function string of_tuxspxaon (string vsvspnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt)
//미사용 public function string of_tuxspxaon (string vsvspnm, string vsvindata, ref string rsvoutdata, integer vivincnt, integer vivoutcnt)
//미사용 public function string of_tuxspnonxa (string vsvspnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt)
//미사용 public function string of_tuxspxaoff (string vsvspnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt)
//미사용 public function string of_tuxspxaoff (string vsvspnm, string vsvindata, ref string rsvoutdata, integer vivincnt, integer vivoutcnt)
//사용금지 public function string of_term ()
//사용금지 public function string of_begintran (integer vivtimeout)
//사용금지 public function string of_committran ()
//사용금지 public function string of_aborttran ()
//미사용 public function string of_spstmt (string vsvspnm, integer vivincnt, integer vivoutcnt)
//미사용 public function string of_tuxdmlxaoff (string vsvsql)
//미사용 public function string of_tuxdmlxaon (string vsvsql)
//미사용 public function string of_tuxqryxaoff (string vsvsql, integer vivcnt, ref string rsadata)
//미사용 public function string of_tuxqryxaoff (string vsvsql, integer vivcnt, ref string rsadata[])
//미사용 public function integer of_ftpclose ()
//미사용 public function string of_getarritem (string vsadata[], integer vivrow, integer vivcol, ref string rsvitem, integer vivcols)
//미사용 public function string of_getarritem (integer vivrow, integer vivcol, ref string rsvitem)
//삭제(of_getreturnbuffer 사용) public function string of_posttpcall (string vsvdatabuf[])

/**
 * 서비스 전달 입력 문자열을 만든다. (탭과 개행문자로 데이터 구분)
 * @param arrInData : array : 데이터 항목
 * @param nCols : number : [옵션] 컬럼갯수
 * @return string : 서비스로 전달할 입력 스트링
 * @remark 
		public function string of_makeinputstring (ref string rsvinstr, string vsaindata[])
		public function string of_makeinputstring (ref string rsvinstr, string vsaindata[], integer vivcols)
 */
function of_MakeInputString(arrInData, nCols) {
	let strInData = "";
	let nTotals = arrInData.length;
	if (SYSUtil.isEmpty(nCols)) {
		nCols = nTotals;
	}

	let nRows = Math.floor(nTotals / nCols);

	let nPos = 0;
	for (let i = 0; i < nRows; i++) {
		for (let j = 0; j < nCols; j++) {
			if (GM.IsNull(arrInData[nPos])) {
				arrInData[nPos] = "";
			}
			strInData += "string" + GM.String(j + 1, "00") + SYSVar.XF_COL + arrInData[nPos];
			nPos++;
			if (nPos < nTotals) {
				strInData += SYSVar.XF_ROW;
			} else {
				return strInData;
			}
		}
	}
	//strInData += GM.GlbMgr.NL;
	SYSUtil.debug(screen, strInData);
	return strInData;
}
//public function string of_outtodw (ref datawindow rovdw)
//public function string of_outtodw (string vsvdata, ref datawindow rovdw)

/**
 * Multi-page 조회를 위한 메세지 헤더용 필드 setting 
 * @param objScreen : screen : 호출한 화면
 * @param nNumRows : number : Number of Rows
 * @return
 * @remark
		public subroutine of_setnumrows (long vlvnumrows)
 */
function of_SetNumRows(objScreen, nNumRows) {
	objScreen.setcustomprop("num_rows", nNumRows);
}

/**
 * NON-XA 트랜잭션 이용 Query SQL 처리 
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSqlId : string : SQL ID "{Mapper namespace}.{SQL_ID} 형식" (예: x_xs_logon.select001) 
 * @param arrInput : array : 파라미터배열
 * @param nOutCnt : number : 결과데이터컬럼수
 * @param objOutput : object : 결과데이터(string or array)
 * @return number : 에러코드
 * @remark
		public function string of_tuxqrynonxa (string vsvsql, integer vivcnt, ref string rsadata)
		public function string of_tuxqrynonxa (string vsvsql, integer vivcnt, ref string rsadata[])		
 */
function of_TuxQryNonXA(objScreen, mapid, strSqlId, arrInput, nOutCnt, objOutput) {
	let objSubmitOption = this.TuxQryNonXA(objScreen, mapid, strSqlId, arrInput, nOutCnt, objOutput);
	if (objSubmitOption == null) { return null; }
	return objScreen.requestsubmitdirect(objSubmitOption);
}
function of_TuxQryNonXASync(objScreen, mapid, strSqlId, arrInput, nOutCnt, objOutput) {
	let objSubmitOption = this.TuxQryNonXA(objScreen, mapid, strSqlId, arrInput, nOutCnt, objOutput);
	objSubmitOption.xtran_async = false;
	objScreen.requestsubmitdirect(objSubmitOption);
	let instResult = objScreen.getsubmitresult();

	if (instResult == null) {
		objScreen.alert("데이터 처리 결과를 얻을 수 없습니다.");
		return;
	}
	let objRecvData = null;
	if (instResult.result == 1) {
		objRecvData = SYSTran.getTuxQueryRecvData(objScreen, instResult.mapid);
	}
	return {
		mapid: instResult.mapid,
		result: instResult.result,
		recv_userheader: "",
		recv_code: instResult.recvcode,
		recv_msg: instResult.recvmsg,
		recv_data: objRecvData,
	};
}
function TuxQryNonXA(objScreen, mapid, strSqlId, arrInput, nOutCnt, objOutput) {	
	if (SYSUtil.isEmpty(mapid)) {
		mapid = strSqlId;
	}	
	// Input 데이터셋 생성
	let strInputDS = "DS_" + SYSUtil.replaceAll(mapid, "\\.", "_") + "_I";
	let dsInput = this.initXDataset(objScreen, strInputDS, arrInput.length);
	if (dsInput == null) { return null; }

	// Output 데이터셋 생성
	let strOutputDS = "DS_" + SYSUtil.replaceAll(mapid, "\\.", "_") + "_O";
	let dsOutput = this.initXDataset(objScreen, strOutputDS, nOutCnt);
	if (dsOutput == null) { return null; }

	// Input 데이터 생성
	let nRow = dsInput.addrow();
	for (let nCol = 0; nCol < arrInput.length; nCol++) {
		dsInput.setdata(nRow, nCol, arrInput[nCol]);
	}
	// Input 부가데이터 생성
	this.addColumnData(dsInput, nRow, "sqlId", strSqlId);
	this.addColumnData(dsInput, nRow, "outputCount", nOutCnt);
	this.addColumnData(dsInput, nRow, "outputType", SYSUtil.isArray(objOutput) ? "ARRAY" : "STRING");
	
		
	// SubmitOption 설정
	let objSubmitOption = {};
	//objSubmitOption.xtranmap_id = strSqlId.replace(".", "_");
	objSubmitOption.xtranmap_id = mapid;
	objSubmitOption.xtran_async = true;
	objSubmitOption.url_encode = true;
	//objSubmitOption.http_header = "";
	objSubmitOption.xtran_timeout = -1;
	objSubmitOption.xtran_url = "/tux/query.do";
	objSubmitOption.input_arr = [{ xdataset_id: strInputDS }];
	objSubmitOption.output_arr = [{ xdataset_id: strOutputDS }];

	console.log("objSubmitOption", objSubmitOption);
	return objSubmitOption;
}

/**
 * XA-OFF 이용 서비스 호출 제반 처리
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcNm : string : 서비스명
 * @param objInData : object : 입력데이터(string or array)
 * @param objOutData : object : 결과데이터(string or array)
 * @param nInCnt : number : 입력 데이터 컬럼수
 * @param nOutCnt : number : 출력 데이터 컬럼수
 * @param args : ... : remark AS-IS 파라미터 참조
 * @return number : 에러코드
 * @remark
		public function string of_tuxcallxaoff (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt)
		public function string of_tuxcallxaoff (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, long vlvbufsize)
		public function string of_tuxcallxaoff (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, long vlvtimeout, long vlvbufsize)
		public function string of_tuxcallxaoff (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, ref integer rivbtn)
		public function string of_tuxcallxaoff (string vsvsvcnm, string vsvindata, ref string rsvoutdata, integer vivincnt, integer vivoutcnt)
 */
function of_TuxCallXAOff(objScreen, mapid, strSvcNm, objInData, objOutData, nInCnt, nOutCnt, args) {
	let objTranInfo = this.TuxCallXAOff(objScreen, mapid, strSvcNm, objInData, objOutData, nInCnt, nOutCnt, args);
	return SYSTran.tranStart(objScreen, objTranInfo);
}
function TuxCallXAOff(objScreen, mapid, strSvcNm, objInData, objOutData, nInCnt, nOutCnt, args) {
	let nCount = arguments.length;
	if (nCount < 7 || nCount > 9) {
		objScreen.alert("of_tuxcall 파라미터 오류.");
		return;
	}
	let arrInData = SYSUtil.isArray(objInData) ? objInData : this.of_StrToArr(objInData);

	let nTimeOut = SYSTran.TIMEOUT;
	let nBufSize = this.DEF_BUF_SIZE;
	if (nCount == 8) {
		nBufSize = arguments[7];
	} else if (nCount == 9) {
		nTimeOut = arguments[8];
		nBufSize = arguments[9];
	}
	return this.TuxService(objScreen, mapid, strSvcNm, arrInData, objOutData, nInCnt, nOutCnt, GM.GlbMgr.XA_OFF, nTimeOut, nBufSize);
}
/**
 * XA-ON 이용 서비스 호출 제반 처리
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcNm : string : 서비스명
 * @param objInData : object : 입력데이터(string or array)
 * @param objOutData : object : 결과데이터(string or array)
 * @param nInCnt : number : 입력 데이터 컬럼수
 * @param nOutCnt : number : 출력 데이터 컬럼수
 * @param args : ... : remark AS-IS 파라미터 참조
 * @return number : 에러코드
 * @remark
		public function string of_tuxcallxaon (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt)
		public function string of_tuxcallxaon (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, long vlvbufsize)
		public function string of_tuxcallxaon (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, long vlvtimeout, long vlvbufsize)
		public function string of_tuxcallxaon (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, ref integer rivbtn)
		public function string of_tuxcallxaon (string vsvsvcnm, string vsvindata, ref string rsvoutdata, integer vivincnt, integer vivoutcnt)
 */
function of_TuxCallXAOn(objScreen, mapid, strSvcNm, objInData, objOutData, nInCnt, nOutCnt, args) {
	let objTranInfo = this.TuxCallXAOn(objScreen, mapid, strSvcNm, objInData, objOutData, nInCnt, nOutCnt, args);
	return SYSTran.tranStart(objScreen, objTranInfo);
}
function of_TuxCallXAOnSync(objScreen, mapid, strSvcNm, objInData, objOutData, nInCnt, nOutCnt, args) {
	let objTranInfo = this.TuxCallXAOn(objScreen, mapid, strSvcNm, objInData, objOutData, nInCnt, nOutCnt, args);
	return SYSTran.tranStartSync(objScreen, objTranInfo);
}
function TuxCallXAOn(objScreen, mapid, strSvcNm, objInData, objOutData, nInCnt, nOutCnt, args) {
	let nCount = arguments.length;
	if (nCount < 7 || nCount > 9) {
		objScreen.alert("of_tuxcall 파라미터 오류.");
		return;
	}
	let arrInData = SYSUtil.isArray(objInData) ? objInData : this.of_StrToArr(objInData);

	let nTimeOut = SYSTran.TIMEOUT;
	let nBufSize = this.DEF_BUF_SIZE;
	if (nCount == 8) {
		nBufSize = arguments[7];
	} else if (nCount == 9) {
		nTimeOut = arguments[8];
		nBufSize = arguments[9];
	}
	return this.TuxService(objScreen, mapid, strSvcNm, arrInData, objOutData, nInCnt, nOutCnt, GM.GlbMgr.XA_ON, nTimeOut, nBufSize);
}
/**
 * NON-XA 이용 서비스 호출 제반 처리
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcNm : string : 서비스명
 * @param objInData : object : 입력데이터(string or array)
 * @param objOutData : object : 결과데이터(string or array)
 * @param nInCnt : number : 입력 데이터 컬럼수
 * @param nOutCnt : number : 출력 데이터 컬럼수
 * @param args : ... : remark AS-IS 파라미터 참조
 * @return number : 에러코드
 * @remark 
		public function string of_tuxcallnonxa (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt)
		public function string of_tuxcallnonxa (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, long vlvbufsize)
		public function string of_tuxcallnonxa (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, long vlvtimeout, long vlvbufsize)
		public function string of_tuxcallnonxa (string vsvsvcnm, string vsvindata, ref string rsvoutdata, integer vivincnt, integer vivoutcnt)
		public function string of_tuxcallnonxa (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, ref integer rivbtn)
		
 */
function of_TuxCallNonXA(objScreen, mapid, strSvcNm, objInData, objOutData, nInCnt, nOutCnt, args) {
	let objTranInfo = this.TuxCallNonXA(objScreen, mapid, strSvcNm, objInData, objOutData, nInCnt, nOutCnt, args);
	return SYSTran.tranStart(objScreen, objTranInfo);
}
function TuxCallNonXA(objScreen, mapid, strSvcNm, objInData, objOutData, nInCnt, nOutCnt, args) {
	let nCount = arguments.length;
	if (nCount < 7 || nCount > 9) {
		objScreen.alert("of_tuxcall 파라미터 오류.");
		return null;
	}
	let arrInData = SYSUtil.isArray(objInData) ? objInData : this.of_StrToArr(objInData);

	let nTimeOut = SYSTran.TIMEOUT;
	let nBufSize = this.DEF_BUF_SIZE;
	if (nCount == 8) {
		nBufSize = arguments[7];
	} else if (nCount == 9) {
		nTimeOut = arguments[8];
		nBufSize = arguments[9];
	}
	return this.TuxService(objScreen, mapid, strSvcNm, arrInData, objOutData, nInCnt, nOutCnt, GM.GlbMgr.NON_XA, nTimeOut, nBufSize);
}
/**
 * NON-XA 이용 서비스 호출 제반 처리
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcNm : string : 서비스명
 * @param objOutData : object : 결과데이터(string or array)
 * @param nInCnt : number : 입력데이터
 * @return number : 에러코드
 * @remark
		public function string of_tuxcallnonxaout (string vsvsvcnm, ref string rsaoutdata[], integer vivoutcnt)
		public function string of_tuxcallnonxaout (string vsvsvcnm, ref string rsvoutdata, integer vivoutcnt)
 */
function of_TuxCallNonXAOut(objScreen, mapid, strSvcNm, objOutData, nOutCnt) {
	let objTranInfo = this.TuxCallNonXAOut(objScreen, mapid, strSvcNm, objOutData, nOutCnt);
	return SYSTran.tranStart(objScreen, objTranInfo);
}
function TuxCallNonXAOut(objScreen, mapid, strSvcNm, objOutData, nOutCnt) {
	return this.TuxService(objScreen, mapid, strSvcNm, [], objOutData, 0, nOutCnt, GM.GlbMgr.NON_XA, SYSTran.TIMEOUT, this.DEF_BUF_SIZE);
}
/**
 * XA-ON 이용 서비스 호출 제반 처리
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcNm : string : 서비스명
 * @param objOutData : object : 결과데이터(string or array)
 * @param nInCnt : number : 입력데이터
 * @return number : 에러코드
 * @remark
		public function string of_tuxcallxaonout (string vsvsvcnm, ref string rsaoutdata[], integer vivoutcnt)
		public function string of_tuxcallxaonout (string vsvsvcnm, ref string rsvoutdata, integer vivoutcnt)
 */
function of_TuxCallXAOnOut(objScreen, mapid, strSvcNm, objOutData, nOutCnt) {
	let objTranInfo = this.TuxCallXAOnOut(objScreen, mapid, strSvcNm, objOutData, nOutCnt);
	return SYSTran.tranStart(objScreen, objTranInfo);
}
function TuxCallXAOnOut(objScreen, mapid, strSvcNm, objOutData, nOutCnt) {
	return this.TuxService(objScreen, mapid, strSvcNm, [], objOutData, 0, nOutCnt, GM.GlbMgr.XA_ON, SYSTran.TIMEOUT, this.DEF_BUF_SIZE);
}
/**
 * XA-OFF 이용 서비스 호출 제반 처리
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcNm : string : 서비스명
 * @param objOutData : object : 결과데이터(string or array)
 * @param nInCnt : number : 입력데이터
 * @return number : 에러코드
 * @remark
		public function string of_tuxcallxaoffout (string vsvsvcnm, ref string rsaoutdata[], integer vivoutcnt)
		public function string of_tuxcallxaoffout (string vsvsvcnm, ref string rsvoutdata, integer vivoutcnt)
 */
function of_TuxCallXAOffOut(objScreen, mapid, strSvcNm, objOutData, nOutCnt) {
	let objTranInfo = this.TuxCallXAOffOut(objScreen, mapid, strSvcNm, objOutData, nOutCnt);
	return SYSTran.tranStart(objScreen, objTranInfo);
}
function TuxCallXAOffOut(objScreen, mapid, strSvcNm, objOutData, nOutCnt) {
	return this.TuxService(objScreen, mapid, strSvcNm, [], objOutData, 0, nOutCnt, GM.GlbMgr.XA_OFF, SYSTran.TIMEOUT, this.DEF_BUF_SIZE);
}
/**
 * XA-ON 이용 서비스 호출 제반 처리
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcNm : string : 서비스명
 * @param objOutData : object : 결과데이터(string or array)
 * @param nInCnt : number : 입력데이터
 * @return number : 에러코드
 * @remark
		public function string of_tuxcallxaonout (string vsvsvcnm, ref string rsaoutdata[], integer vivoutcnt)
		public function string of_tuxcallxaonout (string vsvsvcnm, ref string rsvoutdata, integer vivoutcnt)
 */
function of_TuxCallXAOnOut(objScreen, mapid, strSvcNm, objOutData, nOutCnt) {
	let objTranInfo = this.TuxCallXAOnOut(objScreen, mapid, strSvcNm, objOutData, nOutCnt);
	return SYSTran.tranStart(objScreen, objTranInfo);
}
function TuxCallXAOnOut(objScreen, mapid, strSvcNm, objOutData, nOutCnt) {
	return this.TuxService(objScreen, mapid, strSvcNm, [], objOutData, 0, nOutCnt, GM.GlbMgr.XA_ON, SYSTran.TIMEOUT, this.DEF_BUF_SIZE);
}
/**
 * NON-XA 이용 서비스 호출 제반 처리
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcNm : string : 서비스명
 * @param objInData : array or string : 입력데이터
 * @param nInCnt : number : 입력데이터
 * @return number : 에러코드
 * @remark
		public function string of_tuxcallnonxain (string vsvsvcnm, string vsaindata[], integer vivincnt)
		public function string of_tuxcallnonxain (string vsvsvcnm, string vsvindata, integer vivincnt)
 */
function of_TuxCallNonXAIn(objScreen, mapid, strSvcNm, objInData, nInCnt) {
	let objTranInfo = this.TuxCallNonXAIn(objScreen, mapid, strSvcNm, objInData, nInCnt);
	return SYSTran.tranStart(objScreen, objTranInfo);
}
function TuxCallNonXAIn(objScreen, mapid, strSvcNm, objInData, nInCnt) {
	if (!SYSUtil.isArray(objInData)) {
		objInData = this.of_StrToArr(objInData);
	}
	return this.TuxService(objScreen, mapid, strSvcNm, objInData, [], nInCnt, 0, GM.GlbMgr.NON_XA, SYSTran.TIMEOUT, this.DEF_BUF_SIZE);
}
/**
 * XA-ON 이용 서비스 호출 제반 처리
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcNm : string : 서비스명
 * @param objInData : array or string : 입력데이터
 * @param nInCnt : number : 입력데이터
 * @return number : 에러코드
 * @remark
		public function string of_tuxcallxaonin (string vsvsvcnm, string vsaindata[], integer vivincnt)
		public function string of_tuxcallxaonin (string vsvsvcnm, string vsvindata, integer vivincnt)
 */
function of_TuxCallXAOnIn(objScreen, mapid, strSvcNm, objInData, nInCnt) {
	let objTranInfo = this.TuxCallXAOnIn(objScreen, mapid, strSvcNm, objInData, nInCnt);
	return SYSTran.tranStart(objScreen, objTranInfo);
}
function TuxCallXAOnIn(objScreen, mapid, strSvcNm, objInData, nInCnt) {
	if (!SYSUtil.isArray(objInData)) {
		objInData = this.of_StrToArr(objInData);
	}
	return this.TuxService(objScreen, mapid, strSvcNm, objInData, [], nInCnt, 0, GM.GlbMgr.XA_ON, SYSTran.TIMEOUT, this.DEF_BUF_SIZE);
}
/**
 * XA-OFF 이용 서비스 호출 제반 처리
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcNm : string : 서비스명
 * @param objInData : array or string : 입력데이터
 * @param nInCnt : number : 입력데이터
 * @return number : 에러코드
 * @remark
		public function string of_tuxcallxaoffin (string vsvsvcnm, string vsaindata[], integer vivincnt)
		public function string of_tuxcallxaoffin (string vsvsvcnm, string vsvindata, integer vivincnt)
 */
function of_TuxCallXAOffIn(objScreen, mapid, strSvcNm, objInData, nInCnt) {
	let objTranInfo = this.TuxCallXAOffIn(objScreen, mapid, strSvcNm, objInData, nInCnt);
	return SYSTran.tranStart(objScreen, objTranInfo);
}
function TuxCallXAOffIn(objScreen, mapid, strSvcNm, objInData, nInCnt) {
	if (!SYSUtil.isArray(objInData)) {
		objInData = this.of_StrToArr(objInData);
	}
	return this.TuxService(objScreen, mapid, strSvcNm, objInData, [], nInCnt, 0, GM.GlbMgr.XA_OFF, SYSTran.TIMEOUT, this.DEF_BUF_SIZE);
}
/**
 * 서비스 호출 제반 처리
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcNm : string : 서비스명
 * @param arrInData : array : 입력데이터
 * @param objOutData : object : 결과데이터(string or array)
 * @param nInCnt : number : 입력 데이터 컬럼수
 * @param nOutCnt : number : 출력 데이터 컬럼수
 * @param nFlag : number : 트랜잭션 구분(XA_ON/XA_OFF/NON_XA)
 * @param args : ... : remark AS-IS 파라미터 참조
 * @return number : 에러코드
 * @remark 
		public function string of_tuxservice (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, integer vivflag)
		public function string of_tuxservice (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, integer vivflag, long vlvbufsize)
		public function string of_tuxservice (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, integer vivflag, long vlvtimeout, long vlvbufsize)
		[사용금지] public function string of_tuxservice (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, integer vivflag, long vlvtimeout, long vlvbufsize, ref integer rivbtn)
		public function string of_tuxservice (string vsvsvcnm, string vsaindata[], ref string rsaoutdata, integer vivincnt, integer vivoutcnt, integer vivflag, long vlvtimeout, long vlvbufsize, ref integer rivbtn)
 */
function of_TuxService(objScreen, mapid, strSvcNm, arrInData, objOutData, nInCnt, nOutCnt, nFlag, args) {	
	let objTranInfo = this.TuxService(objScreen, mapid, strSvcNm, arrInData, objOutData, nInCnt, nOutCnt, nFlag, args);
	if (objTranInfo == null) { return null; }
	return SYSTran.tranStart(objScreen, objTranInfo);
}
function TuxService(objScreen, mapid, strSvcNm, arrInData, objOutData, nInCnt, nOutCnt, nFlag, args) {
	let nCount = arguments.length;
	if (nCount < 8 || nCount > 10) {
		objScreen.alert("of_tuxservice 파라미터 오류.");
		return null;
	}
	// 전처리 작업
	let strInputHeader = this.of_PreTpCall(objScreen, strSvcNm);
	// 입력 데이터 생성
	let strInputData = this.of_MakeInputString(arrInData, nInCnt);
	// 실제 입력데이터
	let strInData = strInputHeader + SYSVar.XF_ROW + strInputData;
	// 폼 데이터 생성
	let strForm = this.of_MakeForm(nOutCnt);

	// 출력 데이터 타입
	let strOutputType = null;
	if (objOutData == null) {
		strOutputType = "NULL";
	} else if (SYSUtil.isArray(objOutData)) {
		strOutputType = "ARRAY";
	} else {
		strOutputType = "STRING";
	}
	
	let objTranInfo = {
		mapId: mapid,
		serviceName: strSvcNm,
		inputData: strInData,
		outputData: objOutData,
		inputCount: nInCnt,
		outputCount: nOutCnt,
		tranFlag: nFlag,
		outputForm: strForm,
		outputType: strOutputType,
		tranType: "service",	
	};
	if (nCount == 8) {
		objTranInfo.timeout = SYSTran.TIMEOUT;
		objTranInfo.bufferSize = this.DEF_BUF_SIZE;
	} else if (nCount == 9) {
		objTranInfo.timeout = SYSTran.TIMEOUT;
		objTranInfo.bufferSize = arguments[8];
	} else if (nCount == 10) {
		objTranInfo.timeout = arguments[8];
		objTranInfo.bufferSize = arguments[9];
	}
	
	// TODO 2022.11.10 : TO-BE에서 BufferSize를 체크해야 할지..
	if (objTranInfo.bufferSize > this.DEF_BUF_SIZE) {
		//GM.Util.of_ErrorHandle("TAERRXM001", lsaTemp, lsaTemp, livRet)
	}
	return objTranInfo;
}

/**
 * strData 데이타부분을 parsing하여 데이터항목들을 배열로 리턴
 * @param strData : string : 데이터
 * @param strCol : string : [옵션] 컬럼구분자(Default:GM.GlbMgr.TAB)
 * @param strRow : string : [옵션] 행구분자(Default:GM.GlbMgr.CR + GM.GlbMgr.NL)
 * @return String : 로그온 사용자 ID
 * @remark
		[미사용]    public function string of_outtoarr () 
		[ref제거됨] public function string of_outtoarr (string vsvdata, ref string rsvoutarg[])
		[ref제거됨] public function string of_outtoarr (string vsvdata, ref string rsvoutarg[], string vsvcol, string vsvrow)
 */
function of_OutToArr(strData, strCol, strRow) {
	// TODO 2022.11.04 : 결과값 검증 필요
	strCol = SYSUtil.isEmpty(strCol) ? GM.GlbMgr.TAB : strCol;
	strRow = SYSUtil.isEmpty(strRow) ? GM.GlbMgr.CR + GM.GlbMgr.NL : strRow;

	let arrOut = [];

	let arrRow = strData.split(strRow);
	for (let nRow = 0; nRow < arrRow.length; nRow ++) {
		arrCol = arrRow[nRow].split(strCol);
		arrOut = arrOut.concat(arrCol);
	}
	return arrOut;
}

/**
 * 수신 데이터 Parsing
 * @param arrOutputData : string : 수신데이터
 * @return object : 파싱된 데이터
 * @remark
		public function string of_getreturnbuffer (string vsvdatabuf[])
 */
function of_GetReturnBuffer(arrDataBuf) {
	// 탭으로 구분된 헤더 데이터를 배열에 구분하여 저장
	GM.PgmMgr.of_ReplaceAll(arrDataBuf[0], GM.GlbMgr.CR + GM.GlbMgr.NL, "");
	let arrHdr = GM.Util.of_ParseToArray(arrDataBuf[0], GM.GlbMgr.TAB);

	let obj = {
		UserName: arrHdr[0],
		ServiceName: arrHdr[1],
		WindowName: arrHdr[2],
		TimeStamp: arrHdr[3],
		ErrorId: arrHdr[4],
		ErrorSeverity: arrHdr[5],
		ErrorText: arrHdr[6],
		MsgDisplay: arrHdr[7],
		MsgTitle: arrHdr[8],
		MsgText: arrHdr[9],
		MsgIcon: arrHdr[10],
		MsgButton: arrHdr[11],
		MsgDefBtn: arrHdr[12],
		NumRows: arrHdr[13],
		BufSize: arrHdr[14],
		MoreRows: arrHdr[15],
		UserIp: arrHdr[16],
		DebugFlag: arrHdr[17],
		UserId: arrHdr[18],
		FtpYn: arrHdr[19],
		OutData: arrDataBuf[1],
	};
	return obj;
}

/**
 * 행/열구분자로 구분된 데이터 문자열을 배열 형태로 생성한다
 * @param str : string : 데이터
 * @return Array : 변환된 배열
 * @remark 
		[ref제거됨] public subroutine of_strtoarr (string vsvstr, ref string rsaarr[])
 */
function of_StrToArr(str) {
	let arr = this.of_OutToArr(str, GM.GlbMgr.TUXTAB, GM.GlbMgr.TUXNL);
	for (let i = 0; i < arr.length; i++) {
		arr[i] = SYSUtil.replaceAll(arr[i], GM.GlbMgr.TAB, GM.GlbMgr.X1);
		arr[i] = SYSUtil.replaceAll(arr[i], GM.GlbMgr.CR + GM.GlbMgr.NL, GM.GlbMgr.X2);
	}
	return arr;
}
/**
 * 배열에 저장된 데이터를 행/열구분자로 구분된 데이터 문자열로 바꾼다.
 * @param arr : array : 입력 배열
 * @return string : 결과 문자열
 * @remark 
		[ref제거됨] public subroutine of_arrtostr (string vsaarr[], ref string rsvstr, integer vivcnt)
 */
function of_ArrToStr(arr, nCnt) {
	let str = "";
	for (let i = 0; i < arr.length; i++) {
		arr[i] = GM.PgmMgr.of_ReplaceAll(arr[i], GM.GlbMgr.X1, GM.GlbMgr.TAB);
		arr[i] = GM.PgmMgr.of_ReplaceAll(arr[i], GM.GlbMgr.X2, GM.GlbMgr.CR + GM.GlbMgr.NL);
		str += arr[i];
		if ((i + 1) % nCnt == 0) {
			str += GM.GlbMgr.TUXNL;
		} else {
			str += GM.GlbMgr.TUXTAB;
		}
	}
	if (GM.Mid(str, GM.Len(str) - 1, 1) == GM.GlbMgr.TUXNL) {
		str = GM.Mid(str, 0, GM.Len(str) - 1);
	}
	return str;
}
//public function integer of_ftpdownload (string vsvremote, string vsvlocal, boolean vbvwinflag)
//public function unsignedinteger of_ftpconn (string vsvhost, string vsvid, string vsvpswd, boolean vbvwinflag)
//public function string of_ftpget (string vsvhostip, string vsvid, string vsvpswd, string vsvdir, string vsvfilename, string vsvremotedir)
//public function string of_ftpget (string vsvhostip, string vsvid, string vsvpswd, string vsvdir, string vsvfilename, string vsvremotedir, string vsvremotefile)
//public function string of_ftperrmsg (integer viverrcode)
//public function string of_ftpget (string vsvhostip, string vsvid, string vsvpswd, string vsvdir, string vsvfilename, string vsvremotedir, string vsvremotefile, boolean vsvwinflag)
//미사용 public function string of_tuxcallxaonbmpup (string vsvsvcnm, string vsvindata, ref string rsvoutdata, integer vivincnt, integer vivoutcnt, string vsvfname)
//public function string of_tuxcallxaoffbmpup (string vsvsvcnm, string vsvindata, ref string rsvoutdata, integer vivincnt, integer vivoutcnt, string vsvfname)
//미사용 public function string of_tuxcallnonxabmpup (string vsvsvcnm, string vsvindata, ref string rsvoutdata, integer vivincnt, integer vivoutcnt, string vsvfname)
//public function string of_tuxservicebmp (string vsvsvcnm, string vsaindata[], ref string rsaoutdata[], integer vivincnt, integer vivoutcnt, integer vivflag, long vlvtimeout, long vlvbufsize, ref integer rivbtn, string vsvfname, integer vivupdown)
//public function string of_init ()
//public function string of_tuxretrieveftp (string vsv_svcname, string vsv_args, any vov_this, string vsv_kind, integer vsv_flag, ref long rlv_rows)
//public function string of_ftpget (string vsvhostip, string vsvid, string vsvpswd, string vsvdir, string vsvfilename, string vsvremotedir, boolean vbvwinflag)
/**
 * outdata용 Form 데이터를 생성한다.
 * @param nCols : number : 컬럼 갯
 * @return string : Outdata용 Form 데이터
 * @remark 
		[ref제거됨] public function string of_makeform (ref string rsaform[], integer vivcols)
 */
function of_MakeForm(nCols) {
	// 헤더용 Form
	let arrHeader = [
		"h_user_name", // User Name
		"h_service_name", // Service Name
		"h_window_name", // Client Application Name
		"h_timestamp", // Client Timestamp when service request was made
		"h_error_id", // Error Message ID
		"h_error_severity", // Error Severity (1~8)
		"h_error_text", // Error Text
		"h_msg_display", // Message Display (Y/N)
		"h_msg_title", // Message Title
		"h_msg_text", // Message Text
		"h_msg_icon", // Message Icon (eg. Information!)
		"h_msg_button", // Message Button (eg. OK!)
		"h_msg_def_button", // Message default button (1~3)
		"h_num_rows", // Number of output rows
		"h_buf_size", // Size of the output buffer
		"h_more_flag", // More rows flags
		"h_user_ip", // IP Address
		"h_debug_flag", // Debug Flag
		"h_user_id", // User ID
		"h_ftp_yn", // FTP Y/N
		"null", // tux.msg
	];
	// 데이터용 Form
	let arrData = [];
	for (let i = 0; i < nCols; i++) {
		arrData.push("string" + GM.String(i + 1, "00"));
	}
	let strForm = "";
	strForm += arrHeader.join(GM.GlbMgr.TAB);
	strForm += GM.GlbMgr.NL;
	strForm += arrData.join(GM.GlbMgr.TAB);
	strForm += GM.GlbMgr.NL;
	strForm += "";
	return strForm;
}
/**
 * 서비스 호출전 처리 작업
 * @param objScreen : screen : 대상화면
 * @param strSvcName : string : 서비스명
 * @return String : 헤더 데이터
 * @remark
		[ref제거됨] public function string of_pretpcall (ref string rsvdatabuf, string vsvsvcname)
 */
function of_PreTpCall(objScreen, strSvcName) {
	return this.of_PopulateArchHdr(objScreen, strSvcName);
}
/**
 * 아키텍쳐 헤더 데이터 생성
 * @param objScreen : screen : 대상화면
 * @param strSvcName : string : 서비스명
 * @return String : 헤더 데이터
 * @remark
		[ref제거됨] public function string of_populatearchhdr (string vsvsvcname, ref string rsvheader)
 */
function of_PopulateArchHdr(objScreen, strSvcName) {
	let strHeader = "";

	//strHeader = "SRVCNM" + GM.GlbMgr.TAB + strSvcName + GM.GlbMgr.NL;

	// 사용자 이름
	strHeader += "h_user_name" + SYSVar.XF_COL + GM.SecMgr.of_GetUserName() + SYSVar.XF_ROW;
	// 서비스명
	strHeader += "h_service_name" + SYSVar.XF_COL + strSvcName + SYSVar.XF_ROW;
	// 윈도우명
	if (factory.isobject(objScreen)) {
		strHeader += "h_window_name" + SYSVar.XF_COL + objScreen.getscreenid() + SYSVar.XF_ROW;
	} else {
		strHeader += "h_window_name" + SYSVar.XF_COL + "UNKNOWN" + SYSVar.XF_ROW;
	}
	// Timestamp
	let strTimeStamp = GM.DateMgr.of_GetCurrDate();
	strHeader += "h_timestamp" + SYSVar.XF_COL + strTimeStamp + SYSVar.XF_ROW;
	// IP Address(IP는 서버에서 처리함)
	strHeader += "h_user_ip" + SYSVar.XF_COL + "" + SYSVar.XF_ROW;
	// Number of Rows
	let nNumRows = objScreen.getcustomprop("num_rows");
	if (SYSUtil.isEmpty(nNumRows)) {
		nNumRows = 0;
	}
	strHeader += "h_num_rows" + SYSVar.XF_COL + nNumRows + SYSVar.XF_ROW;
	// Debug Flag
	strHeader += "h_debug_flag" + SYSVar.XF_COL + GM.SecMgr.of_GetUserDebug() + SYSVar.XF_ROW;
	// User ID
	strHeader += "h_user_id" + SYSVar.XF_COL + GM.SecMgr.of_GetUserId() + SYSVar.XF_ROW;
	// FTP YN
	strHeader += "h_ftp_yn" + SYSVar.XF_COL + "N"; // TO-BE에서 마지막 구분자 없앰.

	//SYSUtil.debug(screen, strHeader);
	return strHeader;
}
//public function string of_tuxretrieveftp (string vsv_svcname, string vsv_args, any vov_this, string vsv_kind, integer vsv_flag, ref long rlv_rows, boolean vbv_winflag)
/**
 * Tuxedo Service명, Argument List, Buffer Size를 넘겨받아 조회를 해온다.
 * (popup window migration용 조건부 FTP이용)
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcName : string : 서비스명
 * @param strArgs : string : 입력데이터
 * @param objXDataSet : xdataset : 데이터셋
 * @param strKind : string : 종류
 * @param nFlag : number : TranFlag
 * @return number : 에러코드
 * @remark 
		public function string of_tuxretrievepop (string vsv_svcname, string vsv_args, any vov_this, string vsv_kind, integer vsv_flag, ref long rlv_rows)
 */
function of_TuxRetrievePop(objScreen, mapid, strSvcName, strArgs, objXDataSet, strKind, nFlag) {
	// 전처리 작업
	let strInputHeader = this.of_PreTpCall(objScreen, strSvcName);
	// FTP 여부 setting
	strInputHeader = strInputHeader.replace("h_ftp_yn" + SYSVar.XF_COL + "N", "h_ftp_yn" + SYSVar.XF_COL + "Y");
	// 입력 데이터 생성
	let strInputData = "";
	if (!SYSUtil.isEmpty(strArgs)) {
		let arrInData = strArgs.split(GM.GlbMgr.TUXTAB);
		strInputData = this.of_MakeInputString(arrInData, arrInData.length);
	}
	// 실제 입력데이터
	let strInData = strInputHeader + SYSVar.XF_ROW + strInputData;
	// 폼 데이터 생성
	let strForm = this.of_MakeForm(objXDataSet.getcolumncount());

	strForm += "ftp_svr" + GM.GlbMgr.TAB;
	strForm += "ftp_id" + GM.GlbMgr.TAB;
	strForm += "ftp_pswd" + GM.GlbMgr.TAB;
	strForm += "ftp_dir" + GM.GlbMgr.TAB;
	strForm += "ftp_filename" + GM.GlbMgr.TAB;
	strForm += "ftp_hostdir" + GM.GlbMgr.TAB;
	
	// 출력 데이터 타입
	let strOutputType = "XDATASET";
	let objTranInfo = {
		mapId: mapid,
		serviceName: strSvcName,
		inputData: strInData,
		outputData: "",
		inputCount: 0,
		outputCount: 0,
		tranFlag: nFlag,
		outputForm: strForm,
		outputType: strOutputType,
		outputXDataSet: objXDataSet.getid(),
		tranType: "retrievepop",
		bufferSize: this.DEF_BUF_SIZE,
	};
	return SYSTran.tranStart(objScreen, objTranInfo);
}
/**
 * Tuxedo Service명, Argument List, Buffer Size를 넘겨받아 조회를 해온다.
 * @param objScreen : screen : 호출한 화면
 * @param mapid : string : 거래 후 screen_on_trancomplete 에서 식별할 mapid
 * @param strSvcName : string : 서비스명
 * @param strArgs : string : 입력데이터
 * @param nBufSize : number : 버퍼크기
 * @param objXDataSet : xdataset : 데이터셋
 * @param strKind : string : 종류?
 * @return number : 에러코드
 * @remark 
		public function string of_tuxretrieve (string vsv_svcname, string vsv_args, long vlv_bufsize, any vov_this, string vsv_kind, ref long rlv_count)
 */
function of_TuxRetrieve(objScreen, mapid, strSvcName, strArgs, nBufSize, objXDataSet, strKind) {
	let nCount = arguments.length;
	//	if (nCount < 8 || nCount > 10)
	//	{
	//		objScreen.alert("of_tuxservice 파라미터 오류.");
	//		return;
	//	}

	// 전처리 작업
	let strInputHeader = this.of_PreTpCall(objScreen, strSvcName);
	// 입력 데이터 생성
	let strInputData = "";
	if (!SYSUtil.isEmpty(strArgs)) {
		let arrInData = strArgs.split(GM.GlbMgr.TUXTAB);
		strInputData = this.of_MakeInputString(arrInData, arrInData.length);
	}
	// 실제 입력데이터
	let strInData = strInputHeader + SYSVar.XF_ROW + strInputData;
	// 폼 데이터 생성
	let strForm = this.of_MakeForm(objXDataSet.getcolumncount());	

	// 출력 데이터 타입
	let strOutputType = "XDATASET";	
	let objTranInfo = {
		mapId: mapid,
		serviceName: strSvcName,
		inputData: strInData,
		outputData: "",
		inputCount: 0,
		outputCount: 0,
		tranFlag: GM.GlbMgr.NON_XA,
		outputForm: strForm,
		outputType: strOutputType,
		outputXDataSet: objXDataSet.getid(),
		tranType: "retrieve",
		bufferSize: nBufSize,
	};

	// TODO 2022.11.에서 BufferSize를 체크해야 할지..
	if (objTranInfo.bufferSize > this.DEF_BUF_SIZE) {
		GM.Util.of_ErrorHandle(screen, "TAERRXM001", [nBufSize], [nBufSize]); // TAERRXM001 : 데이터 최대 크기(%s) 초과
	}

	return SYSTran.tranStart(objScreen, objTranInfo);
}

//public function string of_ftpproc (string vsvftpstr, any vovthis, ref long rlvrows, boolean vbvwinflag)
//public function string uf_ftp_deletefile (string as_filename)
//public function string uf_disconnect_session ()
//public function datetime uf_filedatetimetopb (filetime astr_filetime)
//public function string uf_ftp_createdirectory (string as_directory)
//public function integer uf_ftp_directory (ref s_ftpdirlist astr_dirlist[])
//public function string uf_ftp_internetconnect (string as_servername)
//public function string uf_ftp_internetconnect (string as_servername, string as_userid, string as_password)
//public function string uf_ftp_putfile (string as_source, string as_target, boolean ab_ascii)
//public function string uf_ftp_removedirectory (string as_directory)
//public function string uf_ftp_renamefile (string as_filename, string as_newname)
//public function unsignedlong uf_getsession ()
//public function string uf_internetclosehandle (ref unsignedlong aul_handle)
//public function string uf_internetopen ()
//public function string uf_getlasterror ()
//public function string uf_ftp_command (string as_command, ref string as_response)
//public function string uf_ftp_setcurrentdirectory (string as_directory)
//public function string uf_ftp_getcurrentdirectory (ref string as_directory)
//public function string uf_ftp_getfile (string as_source, string as_target, boolean ab_ascii)
//public function string uf_ftp_readfile (string as_source, string as_target, long al_window, long al_event)
//public function string uf_ftp_readfile (string as_source, string as_target)
//public function string uf_ftp_writefile (string as_source, string as_target)
//public function string uf_ftp_writefile (string as_source, string as_target, long al_window, long al_event)
//public function boolean uf_ftp_fileexists (string as_filename)
//public function boolean uf_ftp_directoryexists (string as_dirname)
//public function string uf_ftp_readstring (string as_filename, ref string as_content)
//public function string uf_ftp_writestring (string as_filename, string as_content)
//public subroutine uf_nowstatus (string as_job, string as_status)
//public function string uf_nth (string as_data, string as_gubun, integer al_nth)
//public function boolean uf_ftp_findsubdirectory ()
//public function integer uf_getfilename (string as_pathfilename, ref string as_path, ref string as_name)
//public function unsignedlong uf_bufsize (long al_stime, long al_etime)
//public function string uf_filedirectdownload (string as_server, string as_user, string as_pass, integer ai_port, hprogressbar a_hpb, statictext ast_now, statictext ast_tot, statictext ast_sta, string as_tpath, string as_source, string as_target)
//public function string uf_filedirectdownload_modify (string as_server, string as_user, string as_pass, integer ai_port, hprogressbar a_hpb, string as_tpath, string as_source, string as_target)
//public function string uf_filedirectupload (string as_server, string as_user, string as_pass, integer ai_port, hprogressbar a_hpb, statictext ast_now, statictext ast_tot, statictext ast_sta, string as_tpath, string as_source)
//public function string uf_change_string (string s_string, string s_chr, string s_chang)
//public function string uf_delp (string s_string, string s_delet)
//public function integer uf_sleep (integer ai_sec)
//public function string uf_ftp_createfulldirectory (string as_path)
//public function string uf_hdd_createfulldirectory (string as_path)
//public function string uf_close ()
//public function string uf_ftp_getfiles (string as_folder, ref string as_files[])
//public function datetime uf_ftp_getfiletime (string as_filename, integer ai_num)
//public function string uf_internetconnect (string as_servername)
//public function string uf_internetfileread (ref string as_url, string as_local)
//public function string uf_internetfilesize (unsignedlong aul_filenum, ref unsignedlong aul_filesize)
//public function string uf_internetfilesize (string as_filename, ref unsignedlong aul_filesize)
//public function string uf_internetfilecheck (string as_filename)
//public function string uf_internetfilecheck (unsignedlong aul_filenum)
//public function string uf_internetfileread (ref string as_url[], string as_local[])

function initXDataset(objScreen, strXDatasetId, nColCnt) {
	let ds = null;
	let nRtn = objScreen.addxdataset(strXDatasetId);
	// 성공
	if (nRtn == 1) {
		ds = objScreen.getxdataset(strXDatasetId);
		// 컬럼 추가
		for (let nCol = 0; nCol < nColCnt; nCol++) {
			ds.addcolumn("string" + GM.String(nCol + 1, "00"));
		}
	}
	// 이미 같은 아이디의 xDataSet이 존재하는 경우
	else if (nRtn == -1) {
		ds = objScreen.getxdataset(strXDatasetId);
		ds.init();
	}
	// 생성 실패
	else {
		GM.MessageBox(objScreen, "ERROR", "TuxMgr.of_tuxqrynonxa 데이터셋 생성 실패! : " + nRtn);
		return null;
	}
	return ds;
}

function addColumnData(objXDataSet, nRow, strColumn, strData) {
	let nCol = objXDataSet.getcolumn(strColumn);
	if (nCol < 0) {
		nCol = objXDataSet.addcolumn(strColumn);
	}
	objXDataSet.setdata(nRow, nCol, strData);
}
/* --------------------------------------------------
 * 4. 컨트롤 이벤트 영역
 * -------------------------------------------------- */