﻿/* ==================================================
 * 프 로 젝 트 명 : BEST시스템 웹전환
 * 업 무 그 룹 ID : 시스템
 * 화    면    ID : Util
 * 화    면    명 : [프레임웍] 공통유틸리티
 * 화  면  설  명 :
 * AS-IS 프로그램 : xx_anta.pbl / un_util
 *
 */

/* --------------------------------------------------
 * 0. 전역 변수 영역
 * -------------------------------------------------- */

/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */
function _screen_on_load() {
	GM.Util = this;
}

/* --------------------------------------------------
 * 2. 공통 버튼 이벤트 영역
 * -------------------------------------------------- */

/* --------------------------------------------------
 * 3. 사용자정의 함수 영역
 * -------------------------------------------------- */
//[미사용] public function string of_getcode (string vsv_grp, string vsv_name, ref string rsv_code)
//[미사용] public function string of_getcodenametable (string vsv_table, string vsv_code, ref string rsv_name)

/**
 * 문자열(DW 형식 문자열)의 칼럼갯수를 돌려줌
 * @param strText : string : DW형식 문자열
 * @param strColDelim : string : [옵션] 칼럼 구분자
 * @return number : 칼럼갯수
 * @remark 
		[ref 제거됨] public function long of_getcolno (ref string rsv_string)
		[ref 제거됨] public function string of_getcolno (ref string rsv_string, ref long rlv_line)
		[ref 제거됨] public function string of_getcolno (ref string rsv_string, string vsv_coldelim, ref long rlv_line)
		public function integer of_getcolno (ref string rsv_string, string vsv_coldelim)
 */
function of_GetColNo(strText, strColDelim) {
	if (SYSUtil.isEmpty(strColDelim)) {
		strColDelim = GM.GlbMgr.TAB;
	}
	// 마지막 Col구분자 제거
	if (GM.Right(strText, GM.Len(strColDelim)) == strColDelim) {
		strText = GM.Left(strText, GM.Len(strCols) - GM.Len(strColDelim));
	}
	return SYSUtil.isEmpty(strText) ? 0 : strText.split(strColDelim).length;
}
//public function boolean of_isvalid (date vdv_Source)
//public function date of_getlastday (date vdv_Source)
//public subroutine of_info (string vsv_dwname)
//public subroutine of_info (string vsv_dwname, string vsv_rtvval[], string vsv_rtvtype[])
//public subroutine of_errorhandle ()
//public function string of_cvt2dwstring (string vsa_string[], ref string rsv_dest)

/**
 * Open w_xc_dict Window, Get Selected Values
 * @param objScreen : screen : 호출한 화면
 * @param strPopupName : string : screen_on_popupdestroy 에서 식별할 popup_name
 * @param strXDataSetId : string : 자료사전 데이터셋 ID(/BIZ/com/x_xc_dic 화면에 정의해야함. 메뉴얼 참조)
 * @param strSvcName : string : 서비스명
 * @param arrFetch : array : 리턴받을 컬럼명 배열
 * @param args : ... : [타이틀] or [서비스입력값,타이틀]
 * @return 
 * @remark 
		[ref 제거됨] public function string of_dict (string vsv_dwname, string vsv_svcname, string vsa_fetch[], string vsv_title, ref string rsv_fetch, ref long rlv_line)
		[ref 제거됨] public function string of_dict (string vsv_dwname, string vsv_svcname, string vsa_fetch[], string vsv_title, ref string rsv_fetch)
		[ref 제거됨] public function string of_dict (string vsv_dwname, string vsv_svcname, string vsa_fetch[], ref string rsv_fetch)
		[ref 제거됨] public function string of_dict (string vsv_dwname, string vsv_svcname, string vsa_fetch[], ref string rsv_fetch, ref long rlv_line)
		[ref 제거됨] public function string of_dict (string vsv_dwname, string vsv_svcname, string vsa_fetch[], string vsa_arg[], string vsv_title, ref string rsv_fetch)
		[ref 제거됨] public function string of_dict (string vsv_dwname, string vsv_svcname, string vsa_fetch[], string vsa_arg[], string vsv_title, ref string rsv_fetch, ref long rlv_line)
 */
function of_Dict(objScreen, strPopupName, strXDataSetId, strSvcName, arrFetch, args) {	
	let arrArg = [];
	let strTitle = "";		
	if (arguments[5] != undefined) {
		if (SYSUtil.isArray(arguments[5])) {
			arrArg = arguments[5];
		} else {
			strTitle = arguments[5];
		}
	}
	if (arguments[6] != undefined) {
		strTitle = arguments[6];
	}
	
	let objParam = {
		anta_DictDW: strXDataSetId,
		anta_DictSVC: strSvcName,
		anta_DictCol: arrFetch,
		anta_DictArg: arrArg,
		anta_DictTitle: strTitle,
	};
	
	var objPopup_data = {};
	let objExtra_data = {};
	
	// 업무화면으로 전달할 데이터
	objExtra_data.SEND_DATA = objParam;
	objExtra_data.RETURN_FUNCTION_NAME = "";
	
	// 공통팝업 구성 데이터
	objPopup_data.POPUP_NAME = strPopupName;
	objPopup_data.SCR_ID     = "";
	objPopup_data.SCR_PATH   = "/BIZ/COM/W_XC_DICT";
	objPopup_data.MENU_ID    = "";
	objPopup_data.MENU_NM    = "[자료사전] " + strTitle;
	objPopup_data.P_MENU_ID  = "";
	objPopup_data.PARENT_SCR = objScreen;
	objPopup_data.EXT_DATA   = objExtra_data; 
	
	SYSUtil.loadPopup(objScreen, objPopup_data, 0);
}


//public function date of_getfirstday (date vdv_source)
//public function string of_getlastday (date vdv_source, ref date rdv_Last)
//public function string of_getfirstday (date vdv_source, ref date rdv_Ret)
//public function string of_getonemonthbefore (date vdv_date, ref string rsv_ret)

/**
 * 행, 열에 해당하는 문자열을 돌려주는 함수
 * @param strText : string : 행은 strRowDelim으로, 열은 strColDelim으로 구별되는 문자열. 
                             마지막 행의 strRowDelim, 각 행의 strRowDelim앞의 strColDelim 는  Optional
 * @param nRow : number : 원하는 행의 번호
 * @param nCol : number : 원하는 열의 번호
 * @param strRowDelim : string : [옵션] 각 행을 구별하여주는 문자열
 * @param strColDelim : string : [옵션] 각 열을 구별하여주는 문자열
 * @return string : 해당문자열
 * @remark 
		public function string of_gettoken (string vsv_text, long vlv_rowno, integer viv_colno, string vsv_rowdelim, string vsv_coldelim)
		public function string of_gettoken (string vsv_text, long vlv_rowno, integer viv_colno, string vsv_rowdelim, string vsv_coldelim, string rsv_Ret)
		[ref 제거됨] public function string of_gettoken (string vsv_text, long vlv_rowno, integer viv_colno, ref string rsv_ret)
		public function string of_gettoken (string vsv_text, long vlv_rowno, integer viv_colno)
 */
function of_GetToken(strText, nRow, nCol, strRowDelim, strColDelim) {
	if (SYSUtil.isEmpty(strRowDelim)) {
		strRowDelim = GM.GlbMgr.CN;
	}
	if (SYSUtil.isEmpty(strColDelim)) {
		strColDelim = GM.GlbMgr.TAB;
	}
	// 마지막에 Row구분자가 있다면 제거
//	if (GM.Right(strText, GM.Len(strRowDelim)) == strRowDelim) {
//		strText = GM.Left(strText, GM.Len(strText) - GM.Len(strRowDelim));
//	}

	var arrRows = strText.split(strRowDelim);
	var strCols = arrRows[nRow];
	if (strCols == undefined) {
		return null;
	}
	// 마지막 Col구분자 제거
//	if (GM.Right(strCols, GM.Len(strColDelim)) == strColDelim) {
//		strCols = GM.Left(strCols, GM.Len(strCols) - GM.Len(strColDelim));
//	}
	var arrCols = strCols.split(strColDelim);
	return arrCols[nCol] == undefined ? null : arrCols[nCol];
}

//public function string of_getprofileint (string vsv_filename, string vsv_section, string vsv_variable, ref integer riv_value)
//public function string of_getprofilestring (string vsv_filename, string vsv_section, string vsv_variable, ref string rsv_value)
//public function string of_setprofileint (string vsv_filename, string vsv_section, string vsv_variable, integer vsv_setvalue)
//public function string of_setprofilestring (string vsv_filename, string vsv_section, string vsv_variable, string vsv_setvalue)
//public function string of_getusername (string vsv_id, ref string rsv_name)
//public function string of_ReplaceSubString (string vsv_tx, string vsv_searchtx, string vsv_replacementtx)
/**
 * 입력 문장을 구분자로 구분분석을 하여 Array로 반환
 * 문자열의 끝에 행구분자가 없으면 추가함!
 * @param strSource : string : 대상 문자열
 * @param strDelimiter : string : 구분자
 * @return array : 문자열 배열
 * @remark 
		public function string of_parsetoarray (string vsv_source, string vsv_delimiter, ref string rsa_array[])
 */
function of_ParseToArray(strSource, strDelimiter) {
	return strSource.split(strDelimiter);
}
//public function string of_parse (ref string rsv_string, string vsv_delimiter)
//public function string of_separatestr (string vsv_string, string vsv_delimiter, ref string rsa_strpiece[])
//public function string of_isempty (string vsv_source)
//public function string of_getgrpname (string vsv_grp, ref string rsv_name)

/**
 * 특정행에 속하는 모든 문자열을 돌려주는 함수
 * 문자열의 끝에 행구분자가 없으면 추가함!
 * @param strText : string : 가져올 텍스트가 들어있는 문자열
 * @param nLineNo : number : 가져올 라인번호
 * @param strRowDelim : string : 행 구분자
 * @return string : nLineNo번째 행의 문자열
                    null(해당행이 없는경우)
                    ""(행은있으나 문자열 없는경우)
 * @remark 
		public function string of_getline (string vsv_text, long vlv_lineno)
		public function string of_getline (string vsv_text, long vlv_lineno, string vsv_rowdelim)
		[ref 제거됨] public function string of_getline (string vsv_text, long vlv_lineno, string vsv_rowdelim, ref string rsv_ret)
 */
function of_GetLine(strText, nLineNo, strRowDelim) {
	var strRet = null;
	if (SYSUtil.isEmpty(strText)) {
		return null;
	}
	// 마지막에 RowDelim이 없는 경우는 RowDelim 을 붙여줌
	if (GM.Right(strText, GM.Len(strRowDelim)) != strRowDelim) {
		strText += strRowDelim;
	}

	var arr = strText.split(strRowDelim);
	if (nLineNo > arr.length - 2) {
		return null;
	}
	return arr[nLineNo] == undefined ? null : arr[nLineNo];
}

/**
 * DW 형식 문자열의 라인갯수를 돌려줌
 * @param strText : string : DW형식 문자열
 * @param strRowDelim : string : 행 구분자
 * @return number : 라인갯수, 0(NULL 또는 없음)
 * @remark 
		protected function long of_getlineno (string vsv_string)
		[ref 제거됨] public function string of_getlineno (string vsv_string, ref long rlv_no)
		public function long of_getlineno (string vsv_string, string vsv_rowdelim)		
		[ref 제거됨] public function string of_getlineno (string vsv_string, string vsv_rowdelim, ref long rlv_no)
 */
function of_GetLineNo(strText, strRowDelim) {
	if (SYSUtil.isEmpty(strText)) {
		return 0;
	}
	if (SYSUtil.isEmpty(strRowDelim)) {
		strRowDelim = GM.GlbMgr.CN;
	}
	// 마지막에 RowDelim이 없는 경우는 RowDelim 을 붙여줌
	if (GM.Right(strText, GM.Len(strRowDelim)) != strRowDelim) {
		strText += strRowDelim;
	}
	return strText.split(strRowDelim).length - 1;
}
/**
 * roup code, code를 주어 code name을 가져온다.
 * @param vsv_grp : string : 그룹ID
 * @param vsv_code : string : 코드ID
 * @return string : 코드명
 * @remark 
		[ref 제거됨] public function string of_getcodename (string vsv_grp, string vsv_code, ref string rsv_name)
 */
function of_GetCodeName(vsv_grp, vsv_code) {
	let objResult = GM.TuxMgr.of_TuxQryNonXASync(screen, "CoreMapper.selectCodeName", "CoreMapper.selectCodeName", [vsv_grp, vsv_code], 1, "");
	return objResult.recv_data;
}

/**
 * roup code, code를 주어 code remark을 가져온다.
 * @param vsv_grp : string : 그룹ID
 * @param vsv_code : string : 코드ID
 * @return string : 코드 Remark
 * @remark 
		[ref 제거됨] public function string of_getcodename (string vsv_grp, string vsv_code, ref string rsv_name)
 */
function of_GetCodeRemark(vsv_grp, vsv_code) {
	let objResult = GM.TuxMgr.of_TuxQryNonXASync(screen, "CoreMapper.selectCodeRemark", "CoreMapper.selectCodeRemark", [vsv_grp, vsv_code], 1, "");
	return objResult.recv_data;
}

//public function string of_getcodetable (string vsv_table, string vsv_name, ref string rsv_code)
//public function string of_getgrpcode (string vsv_grp, ref string rsv_code[])
//public function integer of_loadlb (listbox vlbv_listbox, string vsv_string)
//public function integer of_loadddlb (dropdownlistbox vddlbv_dropdownlistbox, string vsv_string)
//public function integer of_loaddwddlb (datawindow vdwv_datawindow, string vsv_columnnm, string vsv_string, integer viv_index)

/**
 * Error Handling Function in case that error happens at the client side.
 * @param objScreen : screen : 대상화면
 * @param objError : string or object: Error ID or HeaderJson
 * @param arrErrArg : array : [옵션] Error Args
 * @param arrMsgArg : array : [옵션] Msg Args
 * @return 
 * @remark 
		public subroutine of_errorhandle (string vsv_errorid, ref integer riv_msgret)
		public subroutine of_errorhandle (string vsv_errorid, string vsa_errarg[], string vsa_msgarg[])
		public subroutine of_errorhandle (string vsv_errorid)
		public subroutine of_errorhandle (ref integer riv_msgret)
		public subroutine of_errorhandle (string vsv_errorid, string vsa_errarg[], string vsa_msgarg[], ref integer riv_msgret)
 */
function of_ErrorHandle(objScreen, objError, arrErrArg, arrMsgArg, strMsgBoxId) {
	if (SYSUtil.isJSON(objError)) {
		if (objError.MsgDisplay == "N") {
			return;
		}
		GM.MessageBox(objScreen, objError.MsgTitle, objError.MsgText, objError.MsgIcon, objError.MsgButton, objError.MsgDefBtn, strMsgBoxId);
		return;			
	}	
	let strErrorId = objError;
	if (SYSUtil.isEmpty(arrErrArg)) {
		arrErrArg = [""];
	}
	if (SYSUtil.isEmpty(arrMsgArg)) {
		arrMsgArg = [""];
	}
	if (strErrorId == "TATUXXE001") {
		GM.MessageBox(objScreen, "System Error", "Contact IT department!" + "\n" + "Error Message: " + arrErrArg[0], GM.StopSign, GM.OK, strMsgBoxId);

		//TODO 2022.11.18 : 로컬 메시지 로그를 쌓을지 확인
		//		EnvMgr.of_GetSysPath(lsv_Path)
		//		EnvMgr.of_GetIniName(lsv_Ini)
		//		lsv_Path += lsv_Ini
		//
		//		lsv_return = Util.of_GetProfileString(lsv_Path, "ANTA", "ErrLogFlag", lsv_errlogflag)
		//
		//		If lsv_errlogflag = "Y" Then
		//			lsv_return = Util.of_GetProfileString(lsv_Path, "ANTA", "ErrorLogFile", lsv_errorlogfile)
		//
		//			liv_FileNum = FileOpen(lsv_errorlogfile, LineMode!, Write!, LockWrite!, Append!)
		//			FileWrite(liv_FileNum, string(tuxMgr.itvMsg.timestamp) + "Error Message: " + tux.msg)
		//			FileClose(liv_FileNum)
		//		End If
		return;
	}
	//	var strInData = "SRVCNM" + GM.GlbMgr.TAB + "XE_ERRORHANDLE" + GM.GlbMgr.NL + "string01" + GM.GlbMgr.TAB + strErrorId + GM.GlbMgr.NL;
	let strInData = "string01" + SYSVar.XF_COL + strErrorId + SYSVar.XF_ROW;
	for (let err of arrErrArg) {
		strInData += "string99" + SYSVar.XF_COL + err + SYSVar.XF_ROW;
	}
	for (let err of arrMsgArg) {
		//		strInData += "string99" + GM.GlbMgr.TAB + err + GM.GlbMgr.NL;
		strInData += "string99" + SYSVar.XF_COL + err;
	}

	let strForm = "long01" + GM.GlbMgr.TAB;
	strForm += "string01" + GM.GlbMgr.TAB;
	strForm += "string02" + GM.GlbMgr.TAB;
	strForm += "string03" + GM.GlbMgr.TAB;
	strForm += "string04" + GM.GlbMgr.TAB;
	strForm += "string05" + GM.GlbMgr.TAB;
	strForm += "string06" + GM.GlbMgr.TAB;
	strForm += "long02";
	
	let objTranInfo = {
		mapId: "XE_ERRORHANDLE",
		serviceName: "XE_ERRORHANDLE",
		inputData: strInData,
		outputData: "",
//		inputCount: 0,
//		outputCount: 0,
		tranFlag: GM.GlbMgr.NON_XA,
		outputForm: strForm,
		outputType: "STRING",
		tranType: "service",
		timeout: SYSTran.TIMEOUT,
		bufferSize: 65000,
	};

	let objResult = SYSTran.tranStartSync(this.screen, objTranInfo);

	let strOutData = objResult.recv_data;
	lsv_error_severity = this.of_GetToken(strOutData, 0, 0, GM.GlbMgr.TUXNL, GM.GlbMgr.TUXTAB);
	lsv_error_text = this.of_GetToken(strOutData, 0, 1, GM.GlbMgr.TUXNL, GM.GlbMgr.TUXTAB);
	lsv_msg_display = this.of_GetToken(strOutData, 0, 2, GM.GlbMgr.TUXNL, GM.GlbMgr.TUXTAB);
	lsv_msg_title = this.of_GetToken(strOutData, 0, 3, GM.GlbMgr.TUXNL, GM.GlbMgr.TUXTAB);
	lsv_msg_text = this.of_GetToken(strOutData, 0, 4, GM.GlbMgr.TUXNL, GM.GlbMgr.TUXTAB);
	lsv_msg_icon = this.of_GetToken(strOutData, 0, 5, GM.GlbMgr.TUXNL, GM.GlbMgr.TUXTAB);
	lsv_msg_button = this.of_GetToken(strOutData, 0, 6, GM.GlbMgr.TUXNL, GM.GlbMgr.TUXTAB);
	lsv_msg_default_button = this.of_GetToken(strOutData, 0, 7, GM.GlbMgr.TUXNL, GM.GlbMgr.TUXTAB);

	if (lsv_msg_display == "N") return;

	// 파라미터 치환
	let i = 0;
	while (/%s/.test(lsv_msg_text)) {
		lsv_msg_text = lsv_msg_text.replace("%s", arrMsgArg[i++]);
	}

	GM.MessageBox(objScreen, lsv_msg_title, lsv_msg_text, lsv_msg_icon, lsv_msg_button, lsv_msg_default_button, strMsgBoxId);
}
/**
 * 문자열 내에서 모든 space 를 없앤다.
 * @param strSourceText : string : 문자열
 * @return string : space를 없앤 문자열
 * @remark 
		[ref 제거됨] public function string of_trim (ref string vsv_source)
 */
function of_Trim(strSource) {
	return strSource.replace(/ /g, "");
}
//public function string of_existdir (string vsv_dirname)
//public function string of_getdir (window vwv_parent, ref string rsv_path)
//public function string of_breakstring (string vsv_input, integer viv_lenofline, ref string rsv_str)

/* --------------------------------------------------
 * 4. 컨트롤 이벤트 영역
 * -------------------------------------------------- */