﻿/* ================================================== 
 * 프 로 젝 트 명 : BEST시스템 웹전환
 * 화    면    ID : startMain
 * 화    면    명 : 시작화면
 * 화  면  설  명 : 
 * AS-IS 프로그램 : 
 *
 */

const XFD_MB_CUSTOM = 5; 

/* --------------------------------------------------
 * 1. 화면 이벤트 영역
 * -------------------------------------------------- */

/**
 * 화면 로드 이벤트
 */
function screen_on_load() 
{
	
	// 임시 : 수당 시스템 BASE URL 분기처리를 위해 BEST 기본 URL를 임시 저장한다.
	SYSVar._XDATASET_BASEURL = factory.getsubmitbaseurl();
	
	// 로그인 화면 로드.
	this.tabStart.setinnerscreenurl(0, "/SYS/MAIN/LoginMain", "", 1, "login");

	// 로그 제어 처리
	if(!SYSVar.SHOW_CONSOLELOG){
		SYSUtil.showConsoleLog(false);
	} 

	// 공통모듈에 해당화면을 등록
	SYSVar.STARTMAIN_SCREEN = screen;
	SYSVar.STARTMAIN_MEMBER = screen.getmembers();
	SYSVar.STARTMAIN_TAB    = this.tabStart;
	
	// 현재 페이제이 대한 브라우저 히스로리 정보를 변경 등록.
	// 첫 화면이 로그인 화면인 경우 로그인 페이지를 등록
	this.PushOrReplaceBrowserHistory(true, "login", "login", "로그인 페이지");
	
	// 에이전트 모듈 사용시 모듈과 소켓을 연결.
	if(SYSVar.AGENT_CHECK){
		SYSVar.AGENT_MODULE_MEMBER.setConnectPortSetting();
		SYSVar.AGENT_MODULE_MEMBER.openAgentSocket();
	}

}

/* --------------------------------------------------
 * 2. 공통 이벤트 영역
 * -------------------------------------------------- */

/*
 * 현재 Frame 종류를 리턴.
 * @return {string} Frame 종류
 */
function _getFrameType()
{
	return "START_MAIN";
}



/*
 * 브라우저 뒤로가기 제어.
 */
function PushOrReplaceBrowserHistory(is_push, page, desc, doc_title) {
	var row_index, objStateData;
	
	objStateData = {
		"page" : page, 
		"desc" : desc
	};
	
	// 브라우저 히스토리에 정보 추가
	if (is_push == true) {
		this.screen.browserhistorypushstate(objStateData);
	}	
	else {
		// 현재 브라우저 히스토리에 정보 변경
		this.screen.browserhistoryreplacestate(objStateData);
	}

	// History 정보 처리 이후에, HTML 문서 타이틀 변경해야 
	// 브라우저 히스토리에 목록이 정상적으로 표시됨
	document.title = doc_title;
}

function _III_ObjectEvent() {}

/*
 * 공통 프레임 탭 화면로드 완료 이벤트
 */
function tabStart_on_itemcreate(objInst, itemindex)
{
}

/*
 * 공통 모듈 탭 화면로드 완료 이벤트
 */
function tabModule_on_itemcreate(objInst, itemindex)
{
}



/*
 * Frame 공통 모듈을 로드한다.
 */
function addFrameFunctions()
{
}

/*
 * 포틀릿 화면로드 완료 이벤트
 */
function screen_on_portletload(portlet_inst, portlet_name)
{
}

/*
 * 화면 스크롤 이동 이벤트
 */
function screen_on_scroll(hscroll_left, vscroll_top, hscroll_pos, vscroll_pos)
{
}

/*
 * 에이전트 모듈 연결 완료 이벤트
 */
function AgentConnectOK(){
	//this.tabStart.getchildscreeninstance(0).getmembers().showConnectOK();
}

/**
 * 브라우저 뒤로가기 및 앞으로가기 이벤트
 * @param {object} objStateData 지정된 상태값
 * @returns 
 */
function screen_on_browserpopstate(objStateData)
{

	console.log(objStateData);
	if (objStateData == null) { return; }
	if (objStateData.page == null) { return; }

	switch (objStateData.page) {
		case "login":
			if (bUseBackButton === false) {
				screen.alert("뒤로 가기는 허용하지 않습니다.\n로그아웃완료 버튼을 클릭하면 로그인 페이지로 이동합니다.");
				
				// [중요] 뒤로 가기를 막기 위해서 다시 브라우저 히스토리에 main 페이지 정보 추가
				// ReplaceBrowserHistory("main", "screen_on_browserpopstate");
				this.PushOrReplaceBrowserHistory(true, "winmain", "winmain", "메인 페이지");
			} 
			else {
				this.LogOutComplete();
			}
			break;
	}
}