﻿/* ==================================================
 * 화    면    ID : GM
 * 화    면    명 : 글로벌모듈
 * 화  면  설  명 : AS-IS의 공통함수 및 PB내장함수를 구현.
 *                 화면 전환 용도로만 사용하여야 하며,
 *                 신규 개발시에는 사용하지 않는다.
 * AS-IS 프로그램 :
 *
 */


/* --------------------------------------------------
 * 1. 공통 모듈
 * -------------------------------------------------- *
// MODULE
var EnvMgr = null;
var PgmMgr = null;
var SecMgr = null;
var ParmMgr = null;
var MenuMgr = null;
var Tux = null;
var Util = null;
var GlbMgr = null;
var DateMgr = null;
var GovUser = null;
var DW = null;


/* --------------------------------------------------
 * 2. 상수
 * -------------------------------------------------- */
// CONSTANTS
var OK = "OK!";
var OKCancel = "OKCancel!";
var YesNo = "YesNo!";
var YesNoCancel = "YesNoCancel!";
var RetryCancel = "RetryCancel!";
var AbortRetryIgnore = "AbortRetryIgnore!";

var Information = "Information!";
var StopSign = "StopSign!";
var Exclamation = "Exclamation!";
var Question = "Question!";
var None = "None!";


/* --------------------------------------------------
 * 3. PowerBuilder 내장함수
 * -------------------------------------------------- */
function IsNull(any) {
	//return any == undefined ? null : any == null;
	return any == undefined || any == null;
}
function Len(str) {
	//return factory.stringbytelen(str);
	return str.length;
}
function Left(str, nLength) {
	return Mid(str, 0, nLength);
}
function Mid(str, nIndex, nLength) {
	//	return factory.substringbyte(str, nIndex, nLength);
	return str.substr(nIndex, nLength);
}
function Right(str, nLength) {
	return Mid(str, Len(str) - nLength, nLength);
}
function Pos(str, strSearch, nIndex) {
	return str.indexOf(strSearch, nIndex);
}
function Trim(str) {
	return factory.stringtrim(str);
}
function Space(n) {
	var str = "";
	for (var i = 0; i < n; i++) {
		str += " ";
	}
	return str;
}
function String(strValue, strFormat) {
	strValue = "" + strValue;
	
	if (SYSUtil.isEmpty(strFormat)) {
		return strValue;
	}
	let regex = /y|m|d|s/g;
	let bDate = regex.test(strFormat);
	if (regex.test(strFormat)) {
		strValue = strValue.replace(/\-|\/|:| /g, "");		
		console.log("strValue : " + strValue);
	}
	
	
	strFormat = strFormat.replace(/#/g, "Z");
	strFormat = strFormat.replace(/0/g, "9");
	strFormat = strFormat.replace(regex, "A");
	let fldFormat = null;
	if (strFormat.indexOf("Z") >= 0 || strFormat.indexOf("9") >= 0) {
		let nCount = strFormat.split("9").length - 1;
		if (nCount > strValue.length) {
			strValue = factory.fillstring(strValue, "0", nCount, true);
			fldFormat = this.Util.fldNormal;
		} else {
			fldFormat = this.Util.fldNumber;
		}
	} else {
		fldFormat = this.Util.fldNormal;
	}
	
	
	if (bDate) {
		strValue = strValue.replace(/\-|\/|:| /g, "");		
		fldFormat.setmaxlength(strFormat.split("A").length - 1);
	} else {
		fldFormat.setmaxlength(strValue.length);
	}	
	
	fldFormat.setpattern(strFormat);
	fldFormat.settext(strValue);

	return fldFormat.getdisplaytext();
}
function MessageBox(objScreen, strTitle, strMsg, strBoxStyle, strButtonType, nFocusButton, strMessageBoxId) {
	// TODO 박스 스타일 차후 수정해야함.
	var nBoxStyle;
	switch (strBoxStyle) {
		case this.Information:
			nBoxStyle = XFD_MB_INFORMATION;
			break;
		case this.StopSign:
			nBoxStyle = XFD_MB_ERROR;
			break;
		case this.Exclamation:
			nBoxStyle = XFD_MB_ERROR;
			break;
		case this.Question:
			nBoxStyle = XFD_MB_QUESTION;
			break;
		case this.None:
			nBoxStyle = 0;
			break;
		default:
			nBoxStyle = XFD_MB_INFORMATION;
	}

	var nButtonType = 0;
	switch (strButtonType) {
		case this.OK:
			nButtonType = XFD_MB_OK;
			break;
		case this.OKCancel:
			nButtonType = XFD_MB_OKCANCEL;
			break;
		case this.YesNo:
			nButtonType = XFD_MB_YESNO;
			break;
		case this.YesNoCancel:
			nButtonType = XFD_MB_YESNOCANCEL;
			break;
		case this.RetryCancel:
			nButtonType = XFD_MB_RETRYCANCEL;
			break;
		case this.AbortRetryIgnore:
			nButtonType = XFD_MB_ABORTRETRYIGNORE;
			break;
		default:
			nButtonType = XFD_MB_OK;
	}
	switch (Number(nFocusButton)) {
		case 1:
			nFocusButton = XFD_MB_FOCUSBUTTON1;
			break;
		case 2:
			nFocusButton = XFD_MB_FOCUSBUTTON2;
			break;
		case 3:
			nFocusButton = XFD_MB_FOCUSBUTTON3;
			break;
		default:
			nFocusButton = XFD_MB_FOCUSBUTTON1;
	}
	// 파워빌더 개행문자 치환
	strMsg = SYSUtil.replaceAll(strMsg, "~r~n", "\n");
	
	// 공통메세지박스 호출
	SYSUtil.showMessagebox(objScreen, strTitle, nBoxStyle, nButtonType, strMsg, nFocusButton, strMessageBoxId);
	//objScreen.messagebox(strMsg, strTitle, nBoxStyle, nButtonType, nFocusButton, strMessageBoxId);
}
function GetChild(objScreen, objXDataSet, strColumn)
{
	// picklist xdataset 찾기
	let arr = null;	
	let arrObj = objXDataSet.getlinkobjects(0, strColumn);	
	if (arrObj != null && arrObj.length > 0) {
		// 콤보박스인 경우
		for (let obj of arrObj) {
			if (obj.getcontrolkind() == XFD_CTRLKIND_COMBOBOX) {
				arr = obj.getpicklistlinkxdataset();				
				break;
			}
		}
	} else {
		// 그리드인 경우
		let objGrid = SYSUtil.getLinkGridObject(objXDataSet);
		if (objGrid == null) {
			//alert("[GM.GetChild] Child 데이터셋을 찾을 수 없습니다.");
			return null;
		}
		if (objGrid.getcontrolkind() == XFD_CTRLKIND_GRID) {
			for (let nCol = 0; nCol < objGrid.getcolumncount(); nCol ++) {
				if (objGrid.getcolumnxdatasetcolumnid(nCol) == strColumn) {
					arr = objGrid.getcolumnpicklistxdataset(nCol);
					break;
				}
			}
		} else if (objGrid.getcontrolkind() == XFD_CTRLKIND_MULTILINEGRID) {
			for (let nSubRow = 0; nSubRow < objGrid.getsubrowcount(); nSubRow ++) {
				for (let nCol = 0; nCol < objGrid.getcolumncount(); nCol ++) {
					if (objGrid.getcolumnxdatasetcolumnid(nSubRow, nCol) == strColumn) {
						arr = objGrid.getcolumnpicklistxdataset(nSubRow, nCol);
						break;
					}
				}
			}	
		}
	}
	if (arr == null || arr.length == 0) {
		//alert("[GM.GetChild] Child 데이터셋을 찾을 수 없습니다.");
		return null;
	}	
	return objScreen.getxdataset(arr[0]);	
}
function OpenWithParm(objScreen, strScreenPath, objParam) {
	// TODO 테스트
	objScreen.loadportletpopup(strScreenPath, "/SYS/LOGIN/" + strScreenPath, "", false, XFD_BORDER_FLAT, 0, 0, 0, 0, true, true, false, objParam);
}


/* --------------------------------------------------
 * 4. Window Function
 * -------------------------------------------------- */
function wf_SetUserEvent(objScreen, strText, nItem, strMicroHelp) {
	let objMembers = SYSUtil.getFrameMembers(objScreen);
	objMembers.setCustomButtonInfo(objScreen, strText, nItem, strMicroHelp);
}
function wf_DisableMenu(objScreen, strName) {
	let objMembers = SYSUtil.getFrameMembers(objScreen);
	objMembers.setCommonButtonEnable(objScreen, strName, false);
}
function wf_EnableMenu(objScreen, strName) {
	let objMembers = SYSUtil.getFrameMembers(objScreen);
	objMembers.setCommonButtonEnable(objScreen, strName, true);
}
function wf_EnablePrintMenu(objScreen) {
	let objMembers = SYSUtil.getFrameMembers(objScreen);
	objMembers.setCommonButtonEnable(objScreen, "PRINT", true);
	objMembers.setCommonButtonEnable(objScreen, "PAGESETUP", true);
	objMembers.setCommonButtonEnable(objScreen, "PRINTTOFILE", true);
}
function wf_DisablePrintMenu(objScreen) {
	let objMembers = SYSUtil.getFrameMembers(objScreen);
	objMembers.setCommonButtonEnable(objScreen, "PRINT", false);
	objMembers.setCommonButtonEnable(objScreen, "PAGESETUP", false);
	objMembers.setCommonButtonEnable(objScreen, "PRINTTOFILE", false);
}
/**
 * Insert, Delete, Copy, Update 메뉴를 비활성화시킴
 * @param objScreen : screen : 호출한 화면
 * @return 
 * @remark 		
		[w_xp_absmain] public function string wf_DisableIDCUMenu ()
 */
function wf_DisableIDCUMenu(objScreen) {
	let objMembers = SYSUtil.getFrameMembers(objScreen);
	objMembers.setCommonButtonEnable(objScreen, "INSERT", false);
	objMembers.setCommonButtonEnable(objScreen, "DELETE", false);
	objMembers.setCommonButtonEnable(objScreen, "COPY", false);
	objMembers.setCommonButtonEnable(objScreen, "UPDATE", false);
}
function wf_GetActiveDW(objScreen) {
	return SYSUtil.getActiveXDataSet(objScreen);	
}
function wf_SetActiveDW(objScreen, objXDataSet) {
	SYSUtil.setActiveXDataSet(objScreen, objXDataSet);
}
/**
 * 윈도우의 DW간의 관계를 맺어줌
 * @param objScreen : screen : 호출한 화면
 * @param objParentXDataSet : xdataset : Parent데이터셋
 * @param objChildXDataSet : xdataset : Child데이터셋
 * @return 
 * @remark 		
		[w_xp_absmain] public function integer wf_setdwrelation (integer ai_type, datawindow adw_parent, datawindow adw_child)
 */
function wf_SetDWRelation(objScreen, objParentXDataSet, objChildXDataSet) {
	//Parent DW에 Child DW를 Child로 알려줌
	DW.of_SetChild(objScreen, objParentXDataSet, objChildXDataSet.getid());
	//Child DW에 Parent DW를 Parent로 알려줌
	DW.of_SetParent(objScreen, objChildXDataSet, objParentXDataSet.getid());
}

/**
 * 윈도우 전용 파라미터에 값을 설정한다
 * @param objScreen : screen : 호출한 화면
 * @param strParmName : string : 파라미터 이름
 * @param strParmVal : string : 파라미터 값
 * @return 
 * @remark 		
		[w_xp_absmain] public function string wf_setparm (string vsv_parmname, string vsv_parmval)
 */
function wf_SetParm(objScreen, strParmName, strParmVal) {
	ParmMgr.of_SetParm("anta_" + objScreen.getwindowid() + "_" + strParmName, strParmVal);
}
/**
 * 윈도우 전용 파라미터의 값을 가져온다
 * @param objScreen : screen : 호출한 화면
 * @param strParmName : string : 파라미터 이름
 * @return string : 파라미터 값
 * @remark 		
		[w_xp_absmain] public function string wf_getparm (string vsv_parmname, ref string rsv_parmval)
 */
function wf_GetParm(objScreen, strParmName) {
	return ParmMgr.of_GetParm("anta_" + objScreen.getwindowid() + "_" + strParmName);
}
/**
 * 윈도우 전용 파라미터에 값을 설정한다
 * @param objScreen : screen : 호출한 화면
 * @param strParmName : string : 파라미터 이름
 * @param strParmVal : string : 파라미터 값
 * @return 
 * @remark 		
		[w_xp_absmain] public function string wf_setparentparm (string vsv_parmname, string vsv_parmval)
 */
function wf_SetParentParm(objScreen, strParmName, strParmVal) {
	let objFrameMembers = SYSUtil.getFrameMembers(objScreen);
	let objParentScreen = objFrameMembers.m_objParentScreen;
	if (factory.isobject(objParentScreen)) {
		ParmMgr.of_SetParm("anta_" + objParentScreen.getwindowid() + "_" + strParmName, strParmVal);
	}	
}
/**
 * 이 리스판스 윈도우를 오픈한 부모 윈도우의 윈도우 전용 아규먼트의 값을 가져온다
 * @param objScreen : screen : 호출한 화면
 * @param strParmName : string : 파라미터 이름
 * @return string : 파라미터 값
 * @remark 		
		[w_xp_absmain] public function string wf_getparentparm (string vsv_parmname)
		[w_xp_absmain] [ref 제거됨] public function string wf_getparentparm (string vsv_parmname, ref string rsv_parmval)
 */
function wf_GetParentParm(objScreen, strParmName) {
	let objFrameMembers = SYSUtil.getFrameMembers(objScreen);
	let objParentScreen = objFrameMembers.m_objParentScreen;
	if (factory.isobject(objParentScreen)) {
		return ParmMgr.of_GetParm("anta_" + objParentScreen.getwindowid() + "_" + strParmName);
	}
	return "";
}
/**
 * 툴바 클릭에 따른 이벤트호출을 윈도우것을 호출할것인가 DW것을 호출할것인가를 설정한 값을 조회
 * @param objScreen : screen : 호출한 화면
 * @param bWin : xdataset : Parent데이터셋
 * @return 
 * @remark 		
		[w_xp_absmain] public function string wf_setwinevent (boolean pbv_winevent)
 */
function wf_SetWinEvent(objScreen, bWin) {
	let objMembers = SYSUtil.getFrameMembers(objScreen);
	if (objMembers._getFrameType() == "MAIN_PORTLET") {
		objMembers.m_WinEvent = bWin;
	}
}
/**
 * Child Response윈도우를 열어준다
 * @param objScreen : screen : 호출한 화면
 * @param bWin : xdataset : Parent데이터셋
 * @return 
 * @remark 		
		[w_xp_absmain] public function string wf_openchildresp (ref window rov_respwin, any vav_Parm)
 */
function wf_OpenChildResp(objScreen, strScreenId, objParm) {
	// TODO 프로그램정보 조회
	
	
	var objPopup_data = {};
	let objExtra_data = {};
	
	// 업무화면으로 전달할 데이터
	objExtra_data.SEND_DATA = objParam;
	objExtra_data.RETURN_FUNCTION_NAME = "";
	
	// 공통팝업 구성 데이터
	objPopup_data.POPUP_NAME = strPopupName;
	objPopup_data.SCR_ID     = strScreenId;
	objPopup_data.SCR_PATH   = "/BIZ/com/w_xc_dict";
	objPopup_data.MENU_ID    = "";
	objPopup_data.MENU_NM    = "[자료사전] " + strTitle;
	objPopup_data.P_MENU_ID  = "";
	objPopup_data.PARENT_SCR = objScreen;
	objPopup_data.EXT_DATA   = objExtra_data; 
	
	SYSUtil.loadPopup(objScreen, objPopup_data, 0);
}


/* --------------------------------------------------
 * 4. Function
 * -------------------------------------------------- */
function f_delmaskstr() {}

function f_schknull(vsv_data) {
	if (IsNull(vsv_data)) {
		return "";
	} else {
		return Trim(vsv_data);
	}		
}
/**
 * 입력된 String의 한글기준 현위치의 값이 한글인지 아닌지 판단 한글이면 TRUE, 아니면 FALSE
 * @param rsvData : string : 확인할 값
 * @return boolean : 한글여부
 * @remark 	
 */
function f_is_han(rsvData) {
	let i, strLen;
	let lsvInStr = [];
	lsvInStr = rsvData;
	strLen = Len(rsvData);
	// 입력받은 문자열에 한글이외의 문자가 있는지 검사한다.
	for (i = 0; i < strLen; i ++) {
		if (!factory.checkhangul(lsvInStr[i])) {		// 한글이외의 문자
			return false;
		}
	}
	return true;
}
/**
 * 데이터셋에 연결된 그리드 해당 아이템 선택 (그리드에서 반드시 데이터부에 컬럼 이름이 지정되어 있어야 한다.)
 * @param adatawindow : xdataset : 데이터셋
 * @param al_row : integer : 로우 값
 * @param as_column : string : 컬럼이름
 * @return 	
 * @remark 	
 */
function f_lon_cursor_set(adatawindow, al_row, as_column) {
	let objGrid = SYSUtil.getLinkGridObject(adatawindow);
	let nColIndex;
	nColIndex = objGrid.getcolumn(as_column);
	
	if (objGrid.getcontrolkind() == XFD_CTRLKIND_MULTILINEGRID) {
		objGrid.setselectitem(al_row, nColIndex[0], nColIndex[1]);
	} else {
		objGrid.setselectitem(al_row, nColIndex);
	}
//	objGrid.setcolumn(as_column)
//	objGrid.setfocus();
//	objGrid.ScrollToRow(al_row)
}


/**
 * 다중열 선택가능하면 다중열 선택 기능
 * 아니면 현재열 반전시킴
 * 자손이 있으면 Query이벤트를 발생시킴
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param currentrow : number : 현재 Row
 * @return
 * @remark 
		event rowfocuschanged
 */
function rowfocuschanged(objScreen, objXDataSet, currentrow) {
	let ldis_status;
	if (this.of_HasChild(objScreen, objXDataSet)) {
		if (currentrow >= 0) {
			ldis_status = objXDataSet.getrowoperation(currentrow);
			if (ldis_status == XFD_ROWOP_UPDATE || ldis_status == XFD_ROWOP_NONE) {
				this.of_triggerchildevent(objScreen, objXDataSet, "query");
			} else {
				this.of_TriggerChildFunction(objScreen, objXDataSet, "of_dwreset");
			}
		}
		// 포커스 빠지지 않게 해야하는데..
		let objGrid = SYSUtil.getLinkGridObject(objXDataSet);
		if (objGrid != null) {
			objGrid.setfocus();
		}
	}
}



/**
 * Child(detail)로 설정된 DW의 특정 이벤트를 발생시킴
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param strEventName : string : trigger할 event명
 * @return number : 함수를 트리거한 Child DW의 갯수
 * @remark 
		public function integer of_triggerchildevent (string vsv_eventname)
 */
function of_triggerchildevent(objScreen, objXDataSet, strEventName) {
	let strChild = objXDataSet.getcustomprop("child");
	let arrChilld = strChild.split(GM.GlbMgr.TAB);
	let nCnt = 0;
	for (let strChild of arrChilld) {
		if (!SYSUtil.isEmpty(strChild)) {
			nCnt ++;
			let objChild = objScreen.getxdataset(strChild);
			if (strEventName == "query") {
				objChild.init();
				this.of_TriggerButton(objScreen, objChild, strEventName);
			} else {
				this.of_TriggerButton(objScreen, objChild, strEventName);	
			}
		}
	}
	return nCnt;
}

/**
 * Datawindow의 이벤트를 호출한다.
 * @param objScreen : screen : 호출한 화면
 * @param objXDataSet : xdataset : 데이터셋
 * @param strEvent : string : 호출할 이벤트명
 * @return 
 * @remark 
		public function string of_triggerbutton (string vsv_event)
 */
function of_TriggerButton(objScreen, objXDataSet, strEvent) {
	console.log("### DW.of_TriggerButton() CALL ###");
	let strInserData, strDeleteData, strUpdateData, strOrgData;
	let strLastData;
	let nRow, nDeleteCount, nInsertCount, nUpdateCount;
	let objInsert, objUpdate;
	let nPageCount;
	let strErr1 = "TAINFXP001";
	let strErr2 = "TAWARXP002";

	let objGrid = SYSUtil.getLinkGridObject(objXDataSet);
	let strFuncPrefix = objXDataSet.getid() + "_";
	switch (strEvent.toUpperCase()) {
		case "DELETE":
			//nRow = objGrid.getselectrow();
			nRow = objXDataSet.getpos();
			if (nRow < 0) { //삭제할 열이 없음
				return strErr2;
			}
			if (objGrid != null && objGrid.getmultiselectrow()) {
				//Multi Select 인 경우는 Select된 열의 Data, RowCount를 전달
				let objMultiRowData = this.of_GetMultiRowData(objScreen, objXDataSet, true);
				this.ue_delete(objScreen, objXDataSet, -1, objMultiRowData.data, objMultiRowData.rowcount);				
			} else {
				//그렇지 않는 경우는 해당 열의 Data 전달
				strDeleteData = this.of_GetRowData(objScreen, objXDataSet, nRow, true);
				this.ue_delete(objScreen, objXDataSet, nRow, strDeleteData, 1);				
			}
			break;
		case "UPDATE":
			objInsert = this.of_GetInsertData(objScreen, objXDataSet);
			nInsertCount = objInsert.rowcount;
			strInserData = objInsert.data;
			objUpdate = this.of_GetUpdateData(objScreen, objXDataSet);
			nUpdateCount = objUpdate.rowcount;
			strUpdateData = objUpdate.data;
			if (nUpdateCount > 0) {
				let arr = [];
				for (let nRow = 0; nRow < objXDataSet.getrowcount(); nRow ++) {
					if (objXDataSet.getrowoperation(nRow) == XFD_ROWOP_UPDATE) {
						arr.push(this.of_GetOrgData(objScreen, objXDataSet, nRow));
					}
				}	
				strOrgData = arr.join(GM.GlbMgr.CN);				
			}
			this.ue_update(objScreen, objXDataSet, nInsertCount, strInserData, nUpdateCount, strUpdateData, strOrgData);
			break;
		case "INSERT":
			this.of_dwInsert(objScreen, objXDataSet);
			break;
		case "COPY":
			//nRow = objGrid.getselectrow();
			nRow = objXDataSet.getpos();
			if (nRow < 0) { //삭제할 열이 없음
				return strErr2;
			}
			this.of_dwCopy(objScreen, objXDataSet);
			break;
		case "QUERY":
		    console.log("### QUERY case Start....");
			// PageCount초기화
			objXDataSet.setcustomprop("page_count", 0);
			// 다음페이지이벤트 비활성
			SYSUtil.setNextPage(objScreen, false);
			this.ue_query(objScreen, objXDataSet);
			break;
		case "PRINT":
			this.of_dwPrint(objScreen, objXDataSet);
			break;
		case "DETAIL_QUERY":
			nRow = objGrid.getselectrow();
			if (nRow >= 0) {
				this.ue_detail_query(objScreen, objXDataSet, nRow);
			}
			break;
		case "PRINTTOFILE":
			break;
		case "NEXT":
		case "NEXTPAGE":
			strLastData = this.of_GetOrgData(objScreen, objXDataSet, objXDataSet.getrowcount() - 1);
			nPageCount = Number(objXDataSet.getcustomprop("page_count"));
			nPageCount ++;
			objXDataSet.setcustomprop("page_count", nPageCount);
			this.ue_nextpage(objScreen, objXDataSet, strLastData, nPageCount);
			break;
		default:
	}
}