﻿/***********************************************************************************/
/*데이터셋 관련 거래 처리*/
/***********************************************************************************/
/**
 * JSON 데이터 송신전 처리 함수
 * @param objScreen 화면 오브젝트
 * @param strXTranMapId XTRANMAP ID
 * @param objSendJsonData 송신 대상 데이터 JSON 오브젝트
 * @returns 송신 대상 JSON 오브젝트
 */
function XTRAN_JSONSENDDATAFUNC(objScreen, strXTranMapId, objSendJsonData) {
	factory.consoleprint("XTRAN_JSONSENDDATAFUNC> objScreen.url = " + objScreen.getscreenurl());
	factory.consoleprint("XTRAN_JSONSENDDATAFUNC> strXTranMapId = " + strXTranMapId);
	factory.consoleprint("XTRAN_JSONSENDDATAFUNC> objSendJsonData = " + objSendJsonData);
	//console.log(objSendJsonData);
	
	return objSendJsonData;
}

/**
 * JSON 데이터 수신후 처리 함수
 * @param objScreen 화면 오브젝트
 * @param strXTranMapId XTRANMAP ID
 * @param objRecvJsonData 수신 데이터 JSON 오브젝트
 * @param strRecvData 수신 데이터 문자열
 * @returns XDATASET5 수신 JSON 오브젝트
 */
function XTRAN_JSONRECVDATAFUNC(objScreen, strXTranMapId, objRecvJsonData, strRecvData) {
	factory.consoleprint("XTRAN_JSONRECVDATAFUNC> objScreen.url = " + objScreen.getscreenurl());
	factory.consoleprint("XTRAN_JSONRECVDATAFUNC> strXTranMapId = " + strXTranMapId);
	factory.consoleprint("XTRAN_JSONRECVDATAFUNC> objRecvJsonData = " + objRecvJsonData);
	factory.consoleprint("XTRAN_JSONRECVDATAFUNC> strRecvData = " + strRecvData);
	//console.log("objRecvJsonData", objRecvJsonData);
	return objRecvJsonData;
}

/**
 * CALLBACK_EVENT_BEFORE 실행 파라미터 설정시, 이벤트 전처리 콜백이다.
 * CALLBACK_EVENT_NAME 실행 파라미터에 지정된 이벤트 발생시, 화면에서 지정한 이벤트 콜백이 호출되기 전에 호출된다.
 * 콜백 함수 호출시 전달되는 파라미터는 화면, 컴포넌트, 이벤트 이름, 원래 이벤트 콜백 파라미터들(가변적임)로 구성된다.
 * 이벤트에 따라서 콜백 함수 개발시 파라미터로 전달되는 파라미터가 가변적이기 때문에,
 * 함수 내에서 arguments 오브젝트를 통해서 가변 파라미터를 처리해야 한다.
 * arguments 오브젝트는 자바스크립트 언어에서 제공하는 기본 오브젝트로,
 * 함수에 전달된 파라미터에 접근하기 위한 기능을 수행하는 특별한 배열과 비슷한 기능을 제공하는 오브젝트이다.
 * @param objScreen 화면 오브젝트
 * @param objComponent 컴포넌트 오브젝트
 * @param strEventName 이벤트 이름
 * @param ... 이벤트 발생시 전달되는 파라미터들
 * @returns 함수의 리턴값이 있는 경우, 화면에 지정한 이벤트 콜백이 호출되지 않고, 리턴값이 엔진에 전달된다.
 *
 * 
 * XFD_OBJKIND_NONE = 0
 * XFD_OBJKIND_CONTROL = 1
 * XFD_OBJKIND_SHAPE = 2
 * XFD_OBJKIND_XDATASET = 3
 * XFD_OBJKIND_SCREEN = 4
 */
function CallbackEventBefore(objScreen, objComponent, strEventName) {
	
	//if(objScreen.getscreenid()!="startMain" && objScreen.getscreenid()!="SysErrorMsg"){
	// console.log("[SYS LOG] CallbackEventBefore Start - " + objScreen.getscreenid()+" : "+strEventName);
	//}
	//console.log("[SYS LOG] CallbackEventBefore Start - " + objScreen.getscreenid()+" : "+strEventName);
	

	var objKind = objComponent.getobjectkind();
	var objControl;
	var getEventName = "";
	var arrEventFunc = [];
	
	//console.log(objScreen.getscreenid());
	
	//if(strEventName == "on_keydown" && SYSVar.ACTIVE_SCREEN.getinstancebyname("tabBizScreen").getchildscreeninstance(0).getscreenid() == "CSCROM02"){
	//	SYSVar.ACTIVE_SCREEN.getinstancebyname("tabBizScreen").getchildscreeninstance(0).getmembers()["ue_query"] = function(){alert("권한이 없습니다");};
	//}
	
	if(strEventName == "on_keydown" && (SYSVar.ACTIVE_SCREEN.getscreenid()=="mainFrame" )){
		SYSVar.ACTIVE_SCREEN.getinstancebyname("tabBizScreen").getchildscreeninstance(0).getmembers()["ue_query"] = function(){alert("권한이 없습니다");};
	}
	
	
	if (strEventName == "on_load") {
		if (objKind == XFD_OBJKIND_SCREEN) {
	
			var infoMsg ="";
			if(SYSVar.btnQueryUsbGbn =="N"){
				infoMsg ="조회 권한이 없습니다.\n조회기능 필요 시 관리자에게 권한 부여를 요청해주세요";
				objComponent.getmembers()["ue_query"] = function(){SYSUtil.loadMessageBox(objComponent, "안내", 1, infoMsg, "queryMsg");};
			}
			if(SYSVar.btnInsertUsbGbn =="N"){
				infoMsg ="추가 권한이 없습니다.\n추가기능 필요 시 관리자에게 권한 부여를 요청해주세요";
				objComponent.getmembers()["ue_insert"] = function(){SYSUtil.loadMessageBox(objComponent, "안내", 1, infoMsg, "insertMsg");};
			}
			if(SYSVar.btnUpdateUsbGbn =="N"){
				infoMsg ="저장 권한이 없습니다.저장기능 필요 시 관리자에게 권한 부여를 요청해주세요";
				objComponent.getmembers()["ue_update"] = function(){SYSUtil.loadMessageBox(objComponent, "안내", 1, infoMsg, "updateMsg");};
			}
			if(SYSVar.btnDeleteUsbGbn =="N"){
				infoMsg ="삭제 권한이 없습니다.삭제기능 필요 시 관리자에게 권한 부여를 요청해주세요";
				objComponent.getmembers()["ue_delete"] = function(){SYSUtil.loadMessageBox(objComponent, "안내", 1, infoMsg, "deleteMsg");};
			}
			
			
			var onloadPage = objComponent.getscreenid();
			var initPageGbn = false;
						
			for(var i=0; i < SYSVar.initPage.length;i++){
				//console.log(SYSVar.initPage[i]);
				if(onloadPage == SYSVar.initPage[i]){
					initPageGbn =true;
					break;
				}
			}
			//console.log("initPageGbn : "+initPageGbn);
			if(!initPageGbn && ( SYSVar.loginUserInfo.USER_NO == undefined || SYSVar.loginUserInfo.USER_NO=="")){
				//console.log(" 로그인 정보없음 ...........................");
				parent.document.querySelector("#_xf_screen_"+onloadPage).style.display="none";
				alert("표준 페이지 호출 방식이 아닙니다!!!");
				//debugger;
				parent.location.href="/";
				return;
			}
			
			// 세션 타이머 설정
			if (SYSVar.SESSION_TIME_USE) {
				if (factory.isobject(SYSVar.WINMAIN_SCREEN)) {
					if (factory.isfunction(SYSVar.WINMAIN_MEMBER["setSessionInit"])) {
						SYSVar.WINMAIN_MEMBER["setSessionInit"](true);
					}
				}
			}
		} else if (objKind == XFD_OBJKIND_CONTROL) {
			//
		}
	} else if (strEventName == "on_submitcomplete") {		

		
		var mapid = arguments[3];
		var result = arguments[4];
		var recv_userheader = arguments[5];
		var recv_code = arguments[6];  // -100 등 java에서 XFRAME5_ERR_CODE
		var recv_msg = arguments[7];   // Exception Msg 
		
		var objComponentId = objComponent.getscreenid();
		
		//console.log("recv_code:"+recv_code);
		
		// 공통 submitComplete
		submitComplete(objComponent, mapid, result, recv_userheader, recv_code, recv_msg);

		// -1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
		if (result == -1) {
			GM.MessageBox(objComponent, "데이터 수신 오류", recv_msg, GM.StopSign, GM.OK, 1);
			return -1;
		} else if (result == 0) {
			var loginErrorCode;
			
			if(recv_userheader != null && recv_userheader != "" && recv_userheader!= undefined ){
				loginErrorCode = SYSUtil.stringToJSON(recv_userheader).loginErrorCode;
			}
			
			if( (objComponentId=="LoginMain" || objComponentId=="CBCCCP06") && loginErrorCode=="-2000"){
				
				if(recv_msg=="BFPSWD" && objComponentId=="CBCCCP06"){
					var msg ="이전 비밀번호와 같은 비밀번호가 입력 되었습니다.\n다른 비밀번호를 입력해 주세요.";
					SYSUtil.loadMessageBox(objComponent, "안내", 1, msg, "BFPSWD");
				}else{
					SYSUtil.setLoignUserInfoBySession();
					var loginMainObj = objComponent.getmembers();
					loginMainObj.loginMessageBox(recv_msg, loginMainObj.fldPassword, recv_userheader);
				}
			}else{
				GM.MessageBox(objComponent, "서버 오류", "mapid : " + mapid + "\n오류코드1 : " + recv_code + "\n오류내용 : " + recv_msg, GM.StopSign, GM.OK, 1);
			}
			return -1;
		}

	} else if (strEventName == "on_beforesubmit") {
		// 세션 타이머 설정
		if (SYSVar.SESSION_TIME_USE) {
			if (factory.isobject(SYSVar.WINMAIN_SCREEN)) {
				if (factory.isfunction(SYSVar.WINMAIN_MEMBER["setSessionInit"])) {
					SYSVar.WINMAIN_MEMBER["setSessionInit"](true);
				}
			}
		}
	} else if (strEventName == "on_click") {
		// AS-IS기능 : 그리드 클릭시 ActiveDW 설정 및 공통버튼 초기화
		if (objKind == XFD_OBJKIND_CONTROL) {
			let nControlKind = objComponent.getcontrolkind();			
			if (nControlKind == XFD_CTRLKIND_GRID || nControlKind == XFD_CTRLKIND_TREEGRID || nControlKind == XFD_CTRLKIND_MULTILINEGRID) {
				let objLinkXDataSet = objComponent.getlinkxdataset();
				if (objLinkXDataSet != null) {
					let objParentScreen = objComponent.getparentscrinstance();
					// 활성데이터셋 설정
					SYSUtil.setActiveXDataSet(objParentScreen, objLinkXDataSet);					
				}				
			}
		}
	} else if (strEventName == "on_focusin") {
		//console.log("on_focusin", arguments);
		if (objKind == XFD_OBJKIND_CONTROL) {
			let nControlKind = objComponent.getcontrolkind();
			let objLinkXDataSet = objComponent.getlinkxdataset();
			if (objLinkXDataSet != null) {
				let objParentScreen = objComponent.getparentscrinstance();
				// 활성데이터셋 설정
				SYSUtil.setActiveXDataSet(objParentScreen, objLinkXDataSet);					
			}
		}
	} else if (strEventName == "on_itemselchange") {
		if (objKind == XFD_OBJKIND_CONTROL) {
			let nControlKind = objComponent.getcontrolkind();			
			if (nControlKind == XFD_CTRLKIND_GRID || nControlKind == XFD_CTRLKIND_TREEGRID || nControlKind == XFD_CTRLKIND_MULTILINEGRID) {
				let objLinkXDataSet = objComponent.getlinkxdataset();
				if (objLinkXDataSet != null) {
					let objParentScreen = objComponent.getparentscrinstance();
					// 그리드 Row Change 
					let nPrevSelectRow =  arguments[4];
					let nCurSelectRow =  arguments[6];
					if (nPrevSelectRow != nCurSelectRow) {
						// GM 유틸 타지 않도록..
						//GM.DW.rowfocuschanged(objParentScreen, objLinkXDataSet, nCurSelectRow);
					}					
				}
			}
		}
	} else if (strEventName == "on_filesave") {
		
		if (objKind == XFD_OBJKIND_CONTROL) {
				factory.getfocusscreen().setfocus();

				var excelDownLoadInfo = SYSVar.excelDownloadInfo;
			
				var screenId = excelDownLoadInfo.screenId;
				var gridName = excelDownLoadInfo.gridName;
				
				
				var ExcelDownInfoGbn = false;
				
				// 그리드 글로벌 정보에서 해당 그리드가 개인정보를 가지고 있는지 유무를 확인한다.
				for(var i =0; i < G_GRID_INFO.getrowcount(); i++){
					
					var dsScreenId   = G_GRID_INFO.getrawdatabyname(i, "screenId");
					var dsGridNm     = G_GRID_INFO.getrawdatabyname(i, "gridNm");
					var dsIndvInfoYn = G_GRID_INFO.getrawdatabyname(i, "indvInfoYn");
					
			    	//dsIndvInfoYn : Y 개인정보 포함
					if( screenId == dsScreenId && gridName==dsGridNm && dsIndvInfoYn =="Y"){
						//SYSUtil.loadMessageBox(SYSVar.MAIN_FRAME, "안내", 2, "개인정보가 포함되어 있어 부서장 승인이 필요합니다.\n결재 요청을 하시겠습니까?", "ExcelDownInfo");
						SYSUtil.loadMessageBox(objScreen, "안내", 2, "자료에 개인정보가 포함되어 있어, 관리자 승인이 필요합니다.\n승인 요청을 진행하시겠습니까?", "ExcelDownInfo");
						ExcelDownInfoGbn = true;
						break;
					}
				}
				if(!ExcelDownInfoGbn){
					SYSVar.excelDownloadInfo = null;
				}
				
		}
	} else if (strEventName == "on_rclick") {
		
		//console.log(objKind);
		//console.log(objComponent.getcontrolkind());
		
		if (objKind == XFD_OBJKIND_CONTROL) {
			  // objScreen, objComponent,
			if(objComponent.getcontrolkind() == XFD_CTRLKIND_GRID ){ // 컨트롤의 종류가 grid 면..
				SYSVar.gridRclickInfo ={"objScreen":SYSUtil.getFocusScreen() , "objComponent":objComponent};
					
					//관리자 엑셀 메뉴가 보이는 권한이 필요시 아래 IF에 조건 추가 필요
					//console.log("권한 SYS01 확인 "+SYSUtil.getUserRollGbn("SYS01"));
					
					if(!SYSUtil.getUserRollGbn("SYS01")){
							//관리자 메뉴는 관리자만  보이도록 조치 끝.....
							var objContextMenuInfo = objComponent.getcontextmenuinfo();
							// 필터 메뉴 숨김 처리
							for (var i = 0; i < objContextMenuInfo.menu_arr.length; i++) {
								//console.log("menu_id = " + objContextMenuInfo.menu_arr[i].id);
								if (objContextMenuInfo.menu_arr[i].id == "admin_menu" || objContextMenuInfo.menu_arr[i].id == "admin_excel_info" ) {
									objContextMenuInfo.menu_arr[i].is_hidden = true;		
								}
								if(i==8){
									//관리자 separator 숨김...
									objContextMenuInfo.menu_arr[i].is_hidden = true;		
								}
							}
							// 변경된 메뉴 설정	
							objComponent.setcontextmenuinfo(objContextMenuInfo);
							//관리자 메뉴는 관리자만  보이도록 조치  끝.....
					}

			}

		}
	}
	
	
	//
}


/**
 * 공통코드를 조회해서 데이터셋 코드데이터를 설정
 * @param objScreen 업무화면 오브젝트
 * @param strCodeId 전송시 사용할 공통코드 ID
 * @param objOutDs 코드데이터를 설정할 데이터셋
 * @return 없음
 */
function getComCode(objScreen, strCodeId, objOutDs, allViewGbn ) {
	
	var inDsId = G_COM_CODE;
	factory.initxdataset("G_COM_CODE");
	
	inDsId.addrow();
	inDsId.setdatabyname(0, "cdKindNo", strCodeId);
	inDsId.setdatabyname(0, "codeParam", allViewGbn);
	

	var ret = objScreen.requestsubmitdirect({
		xtran_async: false,
		xtran_url: "cmm/selectCmmCdList.do",
		input_arr: [{ xdataset_id: inDsId.getid() }],
		output_arr: [{ xdataset_id: objOutDs.getid() }],
	});
}

/**
 * 공통코드를 조회해서 데이터셋 코드데이터를 설정
 * @param objScreen 업무화면 오브젝트
 * @param strCodeId 전송시 사용할 공통코드 ID
 * @param objOutDs 코드데이터를 설정할 데이터셋
 * @return 없음
 */
function getComCodeEx(objScreen, strCodeId, objOutDs, allViewGbn, clas1, clas2) {
	
	var inDsId = G_COM_CODE;
	factory.initxdataset("G_COM_CODE");
	
	inDsId.addrow();
	inDsId.setdatabyname(0, "cdKindNo", strCodeId);
	inDsId.setdatabyname(0, "codeParam", allViewGbn);
	inDsId.setdatabyname(0, "clas1", clas1);
	inDsId.setdatabyname(0, "clas2", clas2);
	

	var ret = objScreen.requestsubmitdirect({
		xtran_async: false,
		xtran_url: "cmm/selectCmmCdList.do",
		input_arr: [{ xdataset_id: inDsId.getid() }],
		output_arr: [{ xdataset_id: objOutDs.getid() }],
	});
}

/**
 * 데이터 사전 데이터를 dataDocNo로만 조회
 * @param objScreen 업무화면 오브젝트
 * @param dataDicNo 전송시 사용할 dataDicNo - db table data_dic_no
 * @param objOutDs  사전 데이터를 설정할 데이터셋

 */
function getDicByNo(objScreen, objOutDs ) {

	var inDsId = G_COM_DIC;
	inDsId.removeallcolumns();
	factory.initxdataset("G_COM_DIC");
		
	inDsId.addcolumn("dataDicNo"    , "");
	
	var dataDicNoTemp = objOutDs.getid();
	var dataDicNo = SYSUtil.replaceAll(dataDicNoTemp, "DS_DIC_", "");
	
	inDsId.addrow();
	inDsId.setdatabyname(0, "dataDicNo", dataDicNo);


	var ret = objScreen.requestsubmitdirect({
		xtran_async: false,
		xtran_url: "cmm/selectCmmDicByNo.do",
		input_arr: [{ xdataset_id: inDsId.getid() }],
		output_arr: [{ xdataset_id: objOutDs.getid() }],
	});
}


/**
 * 공통코드를 조회해서 데이터셋 코드데이터를 설정
 * @param objScreen 업무화면 오브젝트
 * @param dataDicNo 전송시 사용할 dataDicNo - db table data_dic_no
 * @param objOutDs  사전 데이터를 설정할 데이터셋
 * @return 없음
 */
function getDicByNoEx(objScreen, objOutDs, extParam ) {
	
	var inDsId = G_COM_DIC;
	inDsId.removeallcolumns();
	factory.initxdataset("G_COM_DIC");
		
	inDsId.addcolumn("dataDicNo"    , "");
	
	var dataDicNoTemp = objOutDs.getid();
	var dataDicNo = SYSUtil.replaceAll(dataDicNoTemp, "DS_DIC_", "");
	
	
	//extParam이 Json이기 때문에 json key 값으로 컬럼을 확장한다.
	Object.keys(extParam).forEach(function(k){
		inDsId.addcolumn(k, "");
	});
	
	inDsId.addrow();
	inDsId.setdatabyname(0, "dataDicNo", dataDicNo);
		
	//extParam이 확작된 key에 data를 넣어준다.
	Object.keys(extParam).forEach(function(k){
		inDsId.setdatabyname(0, k , extParam[k]);
	});
		
	var ret = objScreen.requestsubmitdirect({
		xtran_async: false,
		xtran_url: "cmm/selectCmmDicByNo.do",
		input_arr: [{ xdataset_id: inDsId.getid() }],
		output_arr: [{ xdataset_id: objOutDs.getid() }],
	});
}


/**
 * 공통코드를 조회해서 데이터셋 코드데이터를 설정
 * @param objScreen 업무화면 오브젝트
 * @param strUrl   전송할 URL
 * @param objInDs  코드데이터 조건 데이터셋
 * @param objOutDs 코드데이터를 설정할 데이터셋
 * @return 없음
 */
function saveCommon(objScreen, strUrl, objInDs1, objInDs2, objInDs3, strOutDs, bSync) {
	if (bSync == true) {
		bSync = false;
	} else {
		bSync = true;
	}

	var ret, objSyncTranResult;

	// TODO : 벨리데이션 처리

	ret = objScreen.requestsubmitdirect({
		xtran_async: bSync,
		xtran_url: strUrl,
		input_arr: [{ xdataset_id: objInDs1.getid() }, { xdataset_id: objInDs2.getid() }, { xdataset_id: objInDs3.getid() }],
		output_arr: [{ xdataset_id: strOutDs }],
	});

	// 송수신 결과
	return ret;
}

/**
 * dataSet 송신 공통 처리
 * @param objScreen 업무화면 오브젝트
 * @param strTranMapID 전송시 사용할 TranMapID
 * @return objRtn
 */
function requestSubmit(objScreen, strTranMapId) {
	console.log("[SYSLOG]SYSTran.requestSubmit");
	
	// 사용자 정보를 입력 xDataSet에 추가한다.
	setXdataSetUserInfo(objScreen, strTranMapId);
	
	let objRtn = objScreen.requestsubmit(strTranMapId, false);
	//console.log("[SYSLOG] requestSubmit return : "+objRtn);
	return objRtn;
}
/**
 * dataSet 송신 공통 처리 이후 업무 화면의 requestsubmit으로 거래 송신
 * @param objScreen 업무화면 오브젝트
 * @param strTranMapID 전송시 사용할 TranMapID
 * @return 없음
 */
function requestSubmitAsync(objScreen, strTranMapId) {
	console.log("[SYSLOG]SYSTran.requestSubmitAsync");
	
	// 사용자 정보를 입력 xDataSet에 추가한다.
	setXdataSetUserInfo(objScreen, strTranMapId);
	
	/**
	 *	공통 처리 이후 거래 송신을 한다.
	 *	헤더부... 등등 기타 처리..
	 **/
	let objFrameMembers = SYSUtil.getFrameMembers(objScreen);
	if (objFrameMembers == null || objFrameMembers._getFrameType() == "START_MAIN") {
		SYSVar.STARTMAIN_SCREEN.setscreenprotect(true);
	} else {
		objFrameMembers._addTranProcCnt();
		SYSUtil.setScreenLock(objScreen, true);
	}
	objScreen.requestsubmit(strTranMapId, true);
}

/**
 * 동기방식으로 전송후 화면의 screen_on_submitcomplete() 에 결과전달
 * dataSet 송신  처리 이후 압무 화면의 requestsubmit으로 거래 송신
 * @param objScreen 업무화면 오브젝트
 * @param strTranMapID 전송시 사용할 TranMapID
 * @return 없음
 */
function requestSubmitSync(objScreen, strTranMapId) {
	console.log("[SYSLOG]SYSTran.requestSubmitSync");
	
	// 사용자 정보를 입력 xDataSet에 추가한다.
	setXdataSetUserInfo(objScreen, strTranMapId);

	/**
	 *	공통 처리 이후 거래 송신을 한다.
	 *	헤더부... 등등 기타 처리..
	 **/
	// 동기 처리시 화면의 이벤트를 처리하고 거래요청되도록 딜레이를 설정
	// 전송 완료시 결과를 얻어와 요청한 화면의 screen_on_submitcomplete 이벤트에 전달
	//setTimeout(function(){
	let objRtn = objScreen.requestsubmit(strTranMapId, false);
	//console.log("objRtn " + objRtn);
	
	SYSUtil.getFrameMembers(objScreen)._subtractTranProcCnt();
	//let tranProcCnt = SYSUtil.getFrameMembers(objScreen)._getTranProcCnt();

	var instResult = this.getSubmitResult(objScreen);
	if (instResult != null) {
		this.submitComplete(objScreen, instResult.mapid, instResult.result, instResult.recvuserheader, instResult.recvcode, instResult.recvmsg);
		if (objScreen.getmembers()["screen_on_submitcomplete"]) {
			objScreen.getmembers()["screen_on_submitcomplete"](instResult.mapid, instResult.result, instResult.recvuserheader, instResult.recvcode, instResult.recvmsg);
		}
	}
	//},0);
}

function submitComplete(objScreen, mapid, result, recv_userheader, recv_code, recv_msg) {
	
	var objFrameMembers;
	/*
	[result]
	-1 : 서버에서로부터 데이터 수신시 오류가 발생한 경우
	 0 : 서버에서 setErrorMessage를 호출한 경우
	 1 : 정상 처리가 된 경우
	 2 : 서버로부터 데이터를 수신하기 전에 화면에서 forcestopsubmit 함수를 호출한 경우
    */
	if(result=="1"){
		console.log("[SYSLOG] "+mapid+" - SubmitComplete. ");
	}
	
	// 업무화면 후처리 관련 공통 사항 처리
	objFrameMembers = SYSUtil.getFrameMembers(objScreen);
	if (objFrameMembers == null || objFrameMembers._getFrameType() == "START_MAIN") {
		// TODO 프레임 이외 로딩바 임시처리
		SYSVar.STARTMAIN_SCREEN.setscreenprotect(false);
		return;
	} else {
		objFrameMembers._subtractTranProcCnt();
		let tranProcCnt = objFrameMembers._getTranProcCnt();
		if (tranProcCnt < 1) {
			SYSUtil.setScreenLock(objScreen, false);
		}
		//공통 트랙잭션을 경우 공통 처리 결과 함수를 호출
		if(mapid=="TR_CMM_SET_DATA"){
			if(objScreen.findscriptmethod(XFD_JAVASCRIPT, "on_cmm_submitComplete") == true) {
				objScreen.getmembers().on_cmm_submitComplete(mapid, result, recv_userheader, recv_code, recv_msg);
			}
		}
	}
}

function getSubmitResult(objScreen) {
	return objScreen.getsubmitresult();
}


/**
 * TranMapID에 포함한 입력 데이타셋에 사용자 정보를 포함시킨다.
 * @param objScreen 업무화면 오브젝트
 * @param strTranMapID 전송시 사용할 TranMapID
 * @return 없음
 */
function setXdataSetUserInfo(objScreen, xtranmap_id){
	//console.log("[SYSTran Log] 사용자 정보  xDataSet ");
	
	//화면에서 submit 한 xDataSet에 사용자 정보 추가 시작
	var xdataset_id_arr = objScreen.getxtranmapinputxdataset(xtranmap_id, true);
	
	for (var i = 0; i < xdataset_id_arr.length; i++) {
				
		var instXDataSet = objScreen.getxdataset(xdataset_id_arr[i]);
		
		var xdatasetOperation = new Array();
		var index = 0;
		
		//xDataSet의 Operation값을 읽어 xdatasetOperation 저장한다.
		for(var j=0; j < instXDataSet.getrowcount(); j++){
			var strOperation = instXDataSet.getrowoperation(j);
			if( strOperation != XFD_ROWOP_NONE  ){
				//console.log("##### strOperation >>>>"+strOperation+"#####");
				xdatasetOperation[index++] = {"rowIdx":j , "operation":strOperation};
			}
		}
		
		// dataSet에 사용자 정보를 추가 한다.
		instXDataSet.addcolumn("logInUserNo", SYSVar.loginUserInfo.USER_NO);
		instXDataSet.addcolumn("logInEmpNo" , SYSVar.loginUserInfo.EMP_NO);
		instXDataSet.addcolumn("operation"  , "operation");
		for(var j=0; j < instXDataSet.getrowcount(); j++){
			instXDataSet.setdatabyname(j,"logInUserNo", SYSVar.loginUserInfo.USER_NO);
			instXDataSet.setdatabyname(j,"logInEmpNo" , SYSVar.loginUserInfo.EMP_NO);
			var strOperation = instXDataSet.getrowoperation(j);
			instXDataSet.setdatabyname(j,"operation" ,  strOperation);
		}
		
		// dataset에 column이 추가되었기 때문에 operation 정보를 초기하 하고 
		// 위의 for문에서 저장한 operation 값을 아래의 for문에서 다시 넣어준다.
		instXDataSet.initallrowoperation();
		
		// 추가한 사용자 정보를 tranmap에서 사용할 입력으로 바꾸어 준다, 출력은 false
		objScreen.setxtranmapiocolumn(xtranmap_id, xdataset_id_arr[i], "logInUserNo", true, false);
		objScreen.setxtranmapiocolumn(xtranmap_id, xdataset_id_arr[i], "logInEmpNo", true, false);
		objScreen.setxtranmapiocolumn(xtranmap_id, xdataset_id_arr[i], "operation", true, false);
		
		// dataset의 operation 정보를 input 한다.
		for(var idx =0 ; idx < xdatasetOperation.length ; idx++){
			instXDataSet. setrowoperation (xdatasetOperation[idx].rowIdx ,  xdatasetOperation[idx].operation);
		}
	}
}

/**
 * 부서 테이블에 저장되어 모든 부서 정보를 가져온다.
 * @param objScreen 업무화면 오브젝트 : screen
 * @param objOutDs 전송시 사용할 xDataSet 
 * @return 없음
 */
function getDeptInfo(objScreen, objOutDs){
	
	if(objScreen.addxdataset("DS_COM_SQLID_REQ", "sql id getList") <= 0) {
		console.log("[SYS Log] 데이터셋 추가시에 오류가 발생하였습니다.");
		return;
	}
	
	var instXDataSet = objScreen.getxdataset("DS_COM_SQLID_REQ");
	instXDataSet.addcolumn("sqlId", "sqlId");
	instXDataSet.addcolumn("returnDS", "returnDS");
	
	instXDataSet.addrow();
	instXDataSet.setdatabyname(0,"sqlId", "hanalife.c.cm.cm.mapper.HlflCmmMapper.selectDeptInfo");
	instXDataSet.setdatabyname(0,"returnDS", objOutDs.getid());
	
	
	var ret = objScreen.requestsubmitdirect({
		xtran_async: false,
		xtran_url: "/cmm/selectDeptInfo.do",
		input_arr: [{ xdataset_id: instXDataSet.getid() }],
		output_arr: [{ xdataset_id: objOutDs.getid() }],
	});
	
}



/**
 * 공통 데이터 참고용 정보를 가져온다.
 * @param objScreen 업무화면 오브젝트 : screen
 * @param objOutDs 전송시 사용할 xDataSet 
 * @return 없음
 */
function getCmmDataList(objScreen, objOutDs, extParam, ioTypeValue){
	
	G_COM_REQ.init();
	
	var inDsId = G_COM_REQ;
		inDsId.removeallcolumns();
		
	//factory.initxdataset("G_COM_REQ");
	
	inDsId.addcolumn("sqlId"    , "");
	inDsId.addcolumn("returnDS" , "");
	inDsId.addcolumn("logInUserNo" , "");
	inDsId.addcolumn("logInEmpNo" , "");
	

	//extParam이 Json이기 때문에 json key 값으로 컬럼을 확장한다.
	Object.keys(extParam).forEach(function(k){
		inDsId.addcolumn(k, "");
	});
	
	inDsId.addrow();
	inDsId.setdatabyname(0, "sqlId"    , extParam.sqlId);
	inDsId.setdatabyname(0, "returnDS" , objOutDs.getid());
	inDsId.setdatabyname(0, "logInUserNo", SYSVar.loginUserInfo.USER_NO);
	inDsId.setdatabyname(0, "logInEmpNo" , SYSVar.loginUserInfo.USER_NO);
	
	//extParam이 확장된 key에 data를 넣어준다.
	Object.keys(extParam).forEach(function(k){
		inDsId.setdatabyname(0, k , extParam[k]);
	});
	
	/*
	 * [옵션] 출력 데이터셋 데이터 유형 (기본값: XFD_XDATASET_TRAN_DELETE)
	 * (XFD_XDATASET_TRAN_DELETE/XFD_XDATASET_TRAN_UPDATE/XFD_XDATASET_TRAN_APPEND) 
	 * io_type: XFD_XDATASET_TRAN_DELETE,
	 */
	
	//var ioType =  XFD_XDATASET_TRAN_DELETE;
	var ioType =  ioTypeValue; //extParam.ioType;
	
	var ret = objScreen.requestsubmitdirect({
		xtranmap_id:"TR_CMM_SELECT_DATA",
		xtran_async: false,
		xtran_url: "/cmm/selectCmmDataList.do",
		input_arr: [{ xdataset_id: inDsId.getid() }],
		output_arr: [{ xdataset_id: objOutDs.getid(), io_type:ioType  }],
	});
	

    if (ret == 1) {
        // 데이터 통신 결과 정보 오브젝트를 구함
        // 오브젝트에는 on_submitcomplete 이벤트의 파라미터로 전달되는
        // 데이터를 포함하고 있음.
        var instResult = objScreen.getsubmitresult();
        if(instResult == null) {
            console.log("데이터 처리 결과를 얻을 수 없습니다.");
            return;
        }
		
        // 처리 결과를 콘솔에 출력
        factory.consoleprint("mapid  = " + instResult.mapid);
        factory.consoleprint("result = " + instResult.result);
        factory.consoleprint("recvuserheader = " + instResult.recvuserheader);
        factory.consoleprint("recvcode = " + instResult.recvcode);
        factory.consoleprint("recvmsg = " + instResult.recvmsg);

		//공통 트랙잭션을 경우 공통 처리 결과 함수를 호출
		if(instResult.mapid=="TR_CMM_SELECT_DATA"){
			if(objScreen.findscriptmethod(XFD_JAVASCRIPT, "on_cmm_submitComplete") == true) {
				objScreen.getmembers().on_cmm_submitComplete(instResult.mapid, instResult.result, instResult.recvuserheader, instResult.recvcode, instResult.recvmsg);
			}
		}
    } 
}


/**
 * 공통 데이터 정보를 입력한다.
 * @param objScreen 업무화면 오브젝트 : screen
 * @param objOutDs 전송시 사용할 xDataSet 
 * @return 없음
 */
function setCmmData(objScreen, extParam){
	var inDsId = G_COM_REQ;
	    inDsId.removeallcolumns();
	
	factory.initxdataset("G_COM_REQ");
	
	inDsId.addcolumn("sqlId"    , "");
	inDsId.addcolumn("returnDS" , "");
	inDsId.addcolumn("logInUserNo", SYSVar.loginUserInfo.USER_NO);
	inDsId.addcolumn("logInEmpNo" , SYSVar.loginUserInfo.USER_NO);

	//extParam이 Json이기 때문에 json key 값으로 컬럼을 확장한다.
	Object.keys(extParam).forEach(function(k){
		inDsId.addcolumn(k, "");
	});
	
	inDsId.addrow();
	inDsId.setdatabyname(0, "sqlId"    , extParam.sqlId);
	inDsId.setdatabyname(0, "logInUserNo", SYSVar.loginUserInfo.USER_NO);
	inDsId.setdatabyname(0, "logInEmpNo" , SYSVar.loginUserInfo.USER_NO);
	
	//extParam이 확작된 key에 data를 넣어준다.
	Object.keys(extParam).forEach(function(k){
		inDsId.setdatabyname(0, k , extParam[k]);
	});
	
	var objOutDs = objScreen.getxdataset("DS_COM_RES");

	if(objOutDs == null) {
		if(objScreen.addxdataset("DS_COM_RES", "응답용 DATA SET") <= 0) {
			console.log("[SYS Log] 데이터셋 추가시에 오류가 발생하였습니다.");
			return;
		}
		objOutDs = objScreen.getxdataset("DS_COM_RES");
	}
	
	objOutDs.addrow();
	objOutDs.setdatabyname(0,"returnCnt");
	
	var ret = objScreen.requestsubmitdirect({
		xtranmap_id:"TR_CMM_SET_DATA",
		xtran_async: true,
		xtran_url: "/cmm/mergeCmmData.do",
		input_arr: [{ xdataset_id: inDsId.getid() }],
		output_arr: [{ xdataset_id: objOutDs.getid() }],
	});
}