package hanalife.r.co.rc.service.impl;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import hanalife.b.bd.br.service.ExmpConsCostProcService;
import hanalife.b.bd.br.vo.ExmpConsCostObjVO;
import hanalife.b.bd.br.vo.ExmpConsCostProcInVO;
import hanalife.b.bd.br.vo.ExmpConsCostProcOutVO;
import hanalife.b.cl.dl.service.OnlnDlyReptService;
import hanalife.b.cl.dl.vo.OnlnDlyReptInVO;
import hanalife.b.cl.dl.vo.OnlnDlyReptOutVO;
import hanalife.b.lm.em.service.LeglActnCostProcService;
import hanalife.b.lm.em.vo.LeglActnCostInVO;
import hanalife.b.lm.em.vo.LeglActnCostObjVO;
import hanalife.b.lm.em.vo.LeglActnCostOutVO;
import hanalife.b.lm.em.vo.LeglActnCostRsltVO;
import hanalife.c.co.contants.Constants;
import hanalife.c.co.iEnum.MsgEnum;
import hanalife.c.co.service.CommBizService;
import hanalife.c.co.util.DateUtil;
import hanalife.c.co.util.StringUtil;
import hanalife.l.cm.cm.mapper.LtLeasIFRSLeaseDescMapper;
import hanalife.l.cm.cm.mapper.dto.LtLeasIFRSLeaseDescINDTO;
import hanalife.l.cm.cm.mapper.dto.RsltIFRSDeprScheduleOUTDTO;
import hanalife.l.cm.cm.mapper.dto.RsltIFRSLeaseBaseDTO;
import hanalife.l.cm.cm.service.IFRSLeaseBaseService;
import hanalife.l.cm.cm.vo.RsltFVvalueVO;
import hanalife.r.co.as.vo.AskUnrcvVO;
import hanalife.r.co.as.vo.BndVO;
import hanalife.r.co.as.vo.TimsUnrcvVO;
import hanalife.r.co.rc.service.AdjCalcService;
import hanalife.r.co.rc.service.AutoTranTrService;
import hanalife.r.co.rc.service.GiroService;
import hanalife.r.co.rc.service.IamtUnrcvService;
import hanalife.r.co.rc.service.LoanService;
import hanalife.r.co.rc.service.PdueService;
import hanalife.r.co.rc.service.RcptChkService;
import hanalife.r.co.rc.service.RcptDlyService;
import hanalife.r.co.rc.service.RcptDsrcService;
import hanalife.r.co.rc.service.RcptRCService;
import hanalife.r.co.rc.service.RcptRfndService;
import hanalife.r.co.rc.vo.AdjDescVO;
import hanalife.r.co.rc.vo.AutoTranTrDescVO;
import hanalife.r.co.rc.vo.DlyDescVO;
import hanalife.r.co.rc.vo.DsrcBaseVO;
import hanalife.r.co.rc.vo.DsrcDescVO;
import hanalife.r.co.rc.vo.IamtUnrcvObjVO;
import hanalife.r.co.rc.vo.IamtUnrcvVO;
import hanalife.r.co.rc.vo.RcptBaseVO;
import hanalife.r.co.rc.vo.RcptDescVO;
import hanalife.r.co.rc.vo.RcptMainVO;
import hanalife.r.co.rc.vo.RfndDescVO;
import hanalife.r.co.vo.service.VochCCService;
import hanalife.r.co.vo.vo.ClsTrDescVO;
import hanalife.r.co.vo.vo.VochVO;
import hanalife.s.cp.ct.service.CprtContMngMudlService;
import hanalife.s.cp.ct.vo.CprtContMngMdulObj;
import hanalife.s.ln.ch.service.RmbrPlanUpdtService;
import hanalife.s.ln.ch.vo.MidPartRmbrObj;
import hanalife.s.ln.ch.vo.MidPartRmbrOutVO;
import hanalife.s.ln.lm.service.UnrcvProcService;
import hanalife.s.ln.lm.vo.UnrcvProcInVO;
import hanalife.s.ln.lm.vo.UnrcvProcOutVO;
import hanalife.s.ln.pm.service.DferIncdPrftCrteService;
import hanalife.util.BizException;
import hanalife.util.IamtUtil;
import hanalife.util.format.ServerSysDate;



/**
 * <pre>
 * 클래스　명 : IamtUnrcvServiceImpl
 * 클래스설명 : 입금미수ServiceImpl
 * 프로젝트명 : DOBSCAP
 * 작성　일자 : 2023. 3. 27.
 * 변경　이력
 * -----------------------------------------------------------------------------
 * [  변경일자  ][변경자][변경사유-수정내용]
 * -----------------------------------------------------------------------------
 * [2023. 3. 27.][70317 ][최초작성]
 * -----------------------------------------------------------------------------
 * </pre>
 */
@Service("IamtUnrcvService")
public class IamtUnrcvServiceImpl implements IamtUnrcvService {

	private static final Logger log = LoggerFactory.getLogger(IamtUnrcvServiceImpl.class);
	private static String BLANK = "";
	private static boolean isTest = false;	// FIXME 반영시 필수 확인 => false로 반영

	@Autowired
	private GiroService giroService;
	@Autowired
	private LoanService loanService;
	@Autowired
	private PdueService pdueService;
	@Autowired
	private RcptChkService rcptChkService;
	@Autowired
	private RcptDlyService rcptDlyService;
	@Autowired
	private RcptDsrcService rcptDsrcService;
	@Autowired
	private RcptRfndService rcptRfndService;
	@Autowired
	private RcptRCService rcptService;
	@Autowired
	private AutoTranTrService autoTranTrServicel;
	@Autowired
	private OnlnDlyReptService onlnDlyReptService;
	@Autowired
	private UnrcvProcService unrcvProcService;
	@Autowired
	private RmbrPlanUpdtService rmbrPlanUpdtService;
	@Autowired
	private ExmpConsCostProcService exmpConsCostProcService;
	@Autowired
	private DferIncdPrftCrteService dferIncdPrftCrteService;
	@Autowired
	private VochCCService vochCCService;
	@Autowired
	private AdjCalcService adjCalcService;
	@Autowired
	private LeglActnCostProcService leglActnCostProcService;
	@Autowired
	private CprtContMngMudlService cprtContMngMudlService;
	@Autowired
	private CommBizService commBizService;
	@Autowired
	private IFRSLeaseBaseService iFRSLeaseBaseService;
	@Autowired
	private LtLeasIFRSLeaseDescMapper ltLeasIFRSLeaseDescMapper;


	/**
	 * <p>메소드명	: setIamtUnrcvObj</p>
	 * <p>설　　명	: 대상정보구성 (요청정보에 추가로 DB에서 필요한 정보를 셋팅한다.) <br>
	 *                요청별 (수납(원리금,중도상환)/예가수발생/예가수정산 별 입력조건의 유효성을 체크한다. <br>
	 *                ※ 사전조건
	 *                1. 입금미수대상 - 청구미수대상의 대출번호,대출순번은 쌍을 이루어야 한다. <br>
	 *                2. 청구미수(요청)정보에는 대상객체에 대한 채권정보가 담겨 있어야 한다. (예가수발생시는 채권정보가 없어도 된다.)</p>
	 * <p>메소드인수 	: IamtUnrcvVO, AskUnrcvVO, Connection</p>
	 * <p>리　턴　값	: N/A</p>
	 */
	private IamtUnrcvVO setIamtUnrcvObj(IamtUnrcvVO iamtUnrcvVO, AskUnrcvVO askUnrcvVO) {
		//입금미수 대상정보 확인
		int iamtUnrcvVOCnt = iamtUnrcvVO.sizeIamtUnrcvObjVO();
		if (iamtUnrcvVOCnt<1) {
			//CommExceptionHandler.throwIamtException("입금처리 대상정보가 입력되지 않았습니다.");
			throw new BizException("입금처리 대상정보가 입력되지 않았습니다.");
		}

		for (int i=0; i<iamtUnrcvVOCnt; i++) {	//입금대상별 결제유형 체크
			IamtUnrcvObjVO iamtUnrcvObjVO = iamtUnrcvVO.getIamtUnrcvObjVO(i);

			//요청정보에 대출,수납 일반정보를 조회하여 추가함.
			iamtUnrcvObjVO = rcptService.searchIamtUnrcvObj(iamtUnrcvObjVO);

			//수납요청에 대한 채권데이터
			BndVO bndVO = IamtUtil.getBndVO(askUnrcvVO, iamtUnrcvObjVO);

			//수납처리중 변경될 정보 임시변수로 처리를 위해 셋팅.
			iamtUnrcvObjVO.adjLoanStatCd = iamtUnrcvObjVO.loanStatCd;	//대출상태가 수납완료후 변경될수 있으므로, 기존대출상태를 두고 정산대출상태를 사용한다.
			iamtUnrcvObjVO.procSetlDivCd = iamtUnrcvObjVO.setlDivCd;	//입력 결제구분이 수납처리중 변경될수 있으므로 기존결제구분을 두고 처리결제구분을 사용한다.
			if (bndVO!=null) {
				iamtUnrcvObjVO.asymmAcctFg = StringUtil.nvl(bndVO.asymmAcctFg);	// 비대칭회계여부
			}

			//채권 매각은 제외
			if (!"6".equals(iamtUnrcvObjVO.setlDivCd)) {
				//수납조건을 체크한다.
				iamtUnrcvObjVO = chkIamtCond(iamtUnrcvVO, iamtUnrcvObjVO, bndVO);
			}

			if (iamtUnrcvVO.isAutoSetl()) {
				iamtUnrcvObjVO = chkIamtCondForAutoSetl(iamtUnrcvVO, iamtUnrcvObjVO, bndVO);
			} else {
				//결제조건 확인 (예가수 발생 요청시 채권정보가 null로 들어갈수 있다.)
				validSetlCond(iamtUnrcvObjVO, bndVO);

				if (!IamtUtil.equals(Constants.SETL_DIV_DSRC, iamtUnrcvObjVO.procSetlDivCd)) { //원리금, 중도수납
					//수납조건확인을 요청한다.
					validRcptCond(iamtUnrcvObjVO, bndVO);
				} else if (iamtUnrcvObjVO.isDsrcOccr()) {
					//예가수조건확인을 요청한다.
					validDsrcCond(iamtUnrcvObjVO);
				}
			}

			iamtUnrcvVO.setIamtUnrcvObjVO(i, iamtUnrcvObjVO);
		}

		return iamtUnrcvVO;
	}

	/**
	 * <p>메소드명	: chkIamtCond</p>
	 * <p>설　　명	: 수납전 체크(자동결제 or 일반결제 둘다 적용하는 체크)</p>
	 * <p>메소드인수	: IamtUnrcvVO, IamtUnrcvObjVO, BndVO, Connection</p>
	 * <p>리　턴　값	: N/A</p>
	 */
	private IamtUnrcvObjVO chkIamtCond(IamtUnrcvVO iamtUnrcvVO, IamtUnrcvObjVO iamtUnrcvObjVO, BndVO bndVO) {

		// 자동이체 입금반영이외에는 현재 자동이체 입금반영중인지 체크할것
		if (!(iamtUnrcvVO.isAutoSetl() && iamtUnrcvObjVO.rcptTpCd.equals(Constants.RCPT_DIV_ATTR_RCPT) && StringUtil.isNull(iamtUnrcvObjVO.preRcptTpCd) )) {
			validAutoTran(iamtUnrcvObjVO);
		}

		// 선수금리스료 대체 정산 처리는 하지 않는다.
		// 선수금리스료 대체 정산 입력값체크
		// validBrcvAmtLeasTrns(iamtUnrcvObjVO, bndVO);

		// 대출상태가 정상이 아니거나(Not '2%' ), 채권이 없을때
		//1) 자동결제이면 요청자체를 예가수발생으로
		//2) 자동결제가 아니면 수납에러처리.
		if (!IamtUtil.isLoanNorm(iamtUnrcvObjVO.adjLoanStatCd) || bndVO==null) {

			if (IamtUtil.isPiamt(iamtUnrcvObjVO.procSetlDivCd)) {
				//1) 자동결제이면 요청자체를 예가수발생으로
				if (iamtUnrcvVO.isAutoSetl()) {
					iamtUnrcvObjVO.setlDivCd = Constants.SETL_DIV_DSRC;

					// 운용리스
					if (IamtUtil.isAutoOprLease(iamtUnrcvObjVO)) {
						iamtUnrcvObjVO.makeDsrcOccr(Constants.DSRC_OCCR_OPR_LEAS_BRCV_AMT_LEAS_FEE);
					}
					// 운용리스 외 상품
					else {
						// 대출번호가 존재하지 않을 시 (22:입금인불명_가)
						IamtUnrcvObjVO vo = iamtUnrcvVO.getIamtUnrcvObjVO(0);
						if (StringUtil.isNull(vo.loanNo)) {
							iamtUnrcvObjVO.makeDsrcOccr(Constants.DSRC_OCCR_IAMT_MAN_AMBG_AMT);
						} else {
							// [19.08.05 Kcar] 가상계좌입금 별도코드로 요청
							if (Constants.RCPT_DIV_IACNT_RCPT.equals(iamtUnrcvObjVO.rcptTpCd)) {
								if (!Constants.DSRC_OCCR_MID_RMBR_FALT_AMT.equals(iamtUnrcvObjVO.dsrcOccrCd)) {	// 중도상환오입금이 아니면
									iamtUnrcvObjVO.makeDsrcOccr(Constants.DSRC_OCCR_IACNT_AMT);
								}
							} else {
								iamtUnrcvObjVO.makeDsrcOccr(Constants.DSRC_OCCR_OVER_AMT);
							}
						}
					}
				}
			}

			//2) 자동결제가 아니면 수납에러처리.
			//원리금수납은 채권이 정상이거나 채권정보(청구)가 있어야 한다.
			if (!iamtUnrcvObjVO.procSetlDivCd.equals(Constants.SETL_DIV_DSRC)) {
				throw new BizException("대출상태를 확인하세요." );
			}
		}

		// 수납취소 가수발생일때는 아래 체크 안함
		if (Constants.DSRC_DIV_RCPT_CNCL_SRCP.equals(iamtUnrcvObjVO.dsrcOccrCd)) {
			return iamtUnrcvObjVO;
		}
		// 파산면책/파산수납 수납처리 체크
		if (StringUtil.in(iamtUnrcvObjVO.rcptTpCd, new String[]{Constants.RCPT_DIV_BKRP_EXEM, Constants.RCPT_DIV_BKRP_RCPT})) {
			// 파산면책수납 가능 대출상태 추가 - (원금변제상태도 파산면책수납 가능하게 추가함)
			if (bndVO==null || !StringUtil.in(bndVO.loanStatCd, new String[]{"21", "22", "29"})) {
				throw new BizException("대출상태를 확인하세요(등록,확정,원금변제만 가능)" );
			}

			if (IamtUtil.isLease(iamtUnrcvObjVO)) {
				throw new BizException("리스상품은 파산면책처리할수 없습니다.(리스관리팀 문의요)" );
			}

			if (!iamtUnrcvObjVO.isrtDeptCd.equals(iamtUnrcvObjVO.mngDeptCd)) {
				throw new BizException("해당 대출부서에서 처리할수 있습니다.(관리본부 : " + iamtUnrcvObjVO.mngDeptCd + ")" );
			}

			if (!iamtUnrcvObjVO.mngAcctUnitCd.equals("W01")) {
				throw new BizException("SPC채권은 환매후 처리가능합니다." );
			}

			if (iamtUnrcvObjVO.exmpAmt != iamtUnrcvObjVO.rcptAmt) {
				throw new BizException("파산면책은 면제금액만 입력할수 있습니다." );
			}

			if (iamtUnrcvObjVO.exmpAmt != iamtUnrcvObjVO.rcptAmt) {
				throw new BizException("수납금액이 면책금액과 다릅니다.(면책금액 : " +iamtUnrcvObjVO.exmpAmt+ ")" );
			}

			//만기전(최종납입일자)이면 중도전액상환으로 변경
			if (bndVO.loanEprtDt.compareTo(iamtUnrcvObjVO.setlDt) > 0) {
				if (bndVO.midRmbrFg.equals(Constants.NO)) {
					throw new BizException("중도상환을 할수 없습니다.(선납, 대출상태확인)" );
				}
				iamtUnrcvObjVO.setlDivCd = Constants.SETL_DIV_MIDRMBR_T;
				iamtUnrcvObjVO.procSetlDivCd = Constants.SETL_DIV_MIDRMBR_T;
			}
		}

		return iamtUnrcvObjVO;
	}

	/**
	 * <p>메소드명	: chkIamtCondForAutoSetl</p>
	 * <p>설　　명	: 자동결제일때 수납체크</p>
	 * <p>메소드인수	: IamtUnrcvVO, IamtUnrcvObjVO, BndVO, Connection</p>
	 * <p>리　턴　값	: N/A</p>
	 */
	private IamtUnrcvObjVO chkIamtCondForAutoSetl(IamtUnrcvVO iamtUnrcvVO, IamtUnrcvObjVO iamtUnrcvObjVO, BndVO bndVO) {
		//자동결제시는 원금변제할수 없슴 따라서 원금변제 대상은 예가수발생, 강제해지상품도 추가함.
		if (iamtUnrcvObjVO.loanStatCd.equals("29") || IamtUtil.isIvltClsBnd(iamtUnrcvObjVO)) {
			log.info("■ 대출상태 = "+iamtUnrcvObjVO.loanStatCd+" / 강제해지상품여부 = "+IamtUtil.isIvltClsBnd(iamtUnrcvObjVO));
			if (IamtUtil.isAutoOprLease(iamtUnrcvObjVO)) {
				iamtUnrcvObjVO.makeDsrcOccr(Constants.DSRC_OCCR_OPR_LEAS_BRCV_AMT_LEAS_FEE);	//운용리스시
			} else {
				// [19.08.05 Kcar] 가상계좌입금 별도코드로 요청
				if (Constants.RCPT_DIV_IACNT_RCPT.equals(iamtUnrcvObjVO.rcptTpCd)) {
					if (!Constants.DSRC_OCCR_MID_RMBR_FALT_AMT.equals(iamtUnrcvObjVO.dsrcOccrCd)) {	// 중도상환오입금이 아니면
						iamtUnrcvObjVO.makeDsrcOccr(Constants.DSRC_OCCR_IACNT_AMT);
					}
				} else {
					iamtUnrcvObjVO.makeDsrcOccr(Constants.DSRC_OCCR_OVER_AMT);
				}
			}
		}

		return iamtUnrcvObjVO;
	}

	/**
	 * <p>메소드명	: procRcpt</p>
	 * <p>설　　명	: 수납처리(원리금/중도상환 수납, 예가수정산, 예가수발생 처리 등)</p>
	 * <p>메소드인수	: IamtUnrcvVO, AskUnrcvVO, Connection</p>
	 * <p>리　턴　값	: IamtUnrcvVO</p>
	 */
	@Override
	public IamtUnrcvVO procRcpt(IamtUnrcvVO iamtUnrcvVO, AskUnrcvVO askUnrcvVO) {

		long start = System.currentTimeMillis();

		try {
			iamtUnrcvVO = calcImatUnrcv(iamtUnrcvVO, askUnrcvVO);
		} catch (Exception e) {
			iamtUnrcvVO = IamtUtil.makeResult(iamtUnrcvVO, e);
		}
		log.info("[입금처리] 수납처리 종료 : " + IamtUtil.intervalTime(start, System.currentTimeMillis()));
		return iamtUnrcvVO;
	}

	/**
	 * <p>메소드명	: calcImatUnrcv</p>
	 * <p>설　　명	: 원리금, 중도상환, 예가수 발생/정산 처리를 한다.</p>
	 * <p>메소드인수	: IamtUnrcvVO, AskUnrcvVO, Connection</p>
	 * <p>리　턴　값	: IamtUnrcvVO</p>
	 */
	private IamtUnrcvVO calcImatUnrcv(IamtUnrcvVO iamtUnrcvVO, AskUnrcvVO askUrcvVO) {

		//대상객체 얻기, 유효성 체크
		iamtUnrcvVO = setIamtUnrcvObj(iamtUnrcvVO, askUrcvVO);

		//입금처리(정산)결과를 일괄반영하기 위해 각 정보를 셋팅하는 객체
		final AdjDescVO adjDescVO = new AdjDescVO();

		/*****************************************************************************************
		 * 입금미수 계산요청 대상별 수납정산 처리
		 *  : 수납정산 - 처리대상 별 원리금, 중도상환, 예가수 발생/정산 처리
		 * 메소드 밖으로 꺼내와서 처리 - adjRcpt(iamtUnrcvObjVO, iamtUnrcvVO, bndVO, askUrcvVO, adjDescVO)
		 *****************************************************************************************/
		for (int i=0, n=iamtUnrcvVO.sizeIamtUnrcvObjVO(); i<n; i++) {
			IamtUnrcvObjVO iamtUnrcvObjVO = iamtUnrcvVO.getIamtUnrcvObjVO(i);
			final BndVO bndVO = IamtUtil.getBndVO(askUrcvVO, iamtUnrcvObjVO);

			//임시 초기값 셋팅
			iamtUnrcvObjVO = setTempVal(iamtUnrcvObjVO, bndVO);

			//수납기본객체구성 (요청정보에서 셋팅)
			RcptBaseVO rcptBaseVO = getRcptBase(iamtUnrcvObjVO, bndVO);

			if (iamtUnrcvObjVO.preRcptTpCd.equals(Constants.RCPT_DIV_ATTR_RCPT)) {
				//선결제처리시 자동이체 수납유형
				adjDescVO.addAutoTranTrDescVO(getAutoTranTrDesc(iamtUnrcvObjVO));
			} else if (iamtUnrcvObjVO.preRcptTpCd.equals(Constants.RCPT_DIV_GIRO_RCPT)) {
				throw new BizException("지로수납은 선납처리 할 수 없습니다.");
			}

			if (IamtUtil.isPiamt(iamtUnrcvObjVO.procSetlDivCd)) {

				/*****************************************************************************************
				 * 회차별 정산처리 - 회차별 원리금, 이자, 연체료 등을 계산하여 수납금액을 정산한다.
				 * 메소드 밖으로 꺼내와서 처리 - procTimsIndAdj(iamtUnrcvVO, iamtUnrcvObjVO, bndVO, rcptBaseVO, askUrcvVO, adjDescVO)
				 *****************************************************************************************/
				// 대지급우선순위 일때
				if (iamtUnrcvObjVO.setlFrstRank.equals(Constants.SETL_FRST_RANK_IPAY)) {
					throw new BizException("대지급 우선순위 결제는 사용하실수 없습니다.");
				}

				// 법적조치비용 정산(회차에 우선한다.)
				if (bndVO.leglActnCostRamt > 0) {
					iamtUnrcvObjVO = procLeglCostAdj(iamtUnrcvObjVO);
					rcptBaseVO.leglActnCost = iamtUnrcvObjVO.adjLeglActnCost;
					rcptBaseVO.exmpLeglActnCost = iamtUnrcvObjVO.adjExmpLeglActnCost;
				}

				if (bndVO.stmpFeeRamt > 0 && StringUtils.isNotBlank(bndVO.stmpFeeUnrcvNo)) {
					UnrcvProcInVO unrcvProcVO = new UnrcvProcInVO();
					unrcvProcVO.setUnrcvNo(bndVO.stmpFeeUnrcvNo);
					unrcvProcVO.setLoanNo(iamtUnrcvObjVO.loanNo);
					unrcvProcVO.setLoanSeq(iamtUnrcvObjVO.loanSeq);
					unrcvProcVO.setSetlNo(iamtUnrcvObjVO.setlNo);
					unrcvProcVO.setUnrcvAdjAmt(StringUtil.min(bndVO.stmpFeeRamt, iamtUnrcvObjVO.tempSetlAmt ) );

					if (StringUtil.isNull(iamtUnrcvObjVO.dsrcNo)) {
						unrcvProcVO.setUnrcvAdjTpcd(Constants.UNRCV_ADJ_DSRC_TRANS);
					} else {
						unrcvProcVO.setUnrcvAdjTpcd(Constants.UNRCV_ADJ_RCPT_DEPO);
					}

					unrcvProcVO.setOccrDeptCd(iamtUnrcvObjVO.isrtDeptCd);
					unrcvProcVO.setAdjDeptCd(iamtUnrcvObjVO.isrtDeptCd);
					unrcvProcVO.setAcctDt(iamtUnrcvObjVO.acctDt);
					unrcvProcVO.setSetlDt(iamtUnrcvObjVO.setlDt);
					unrcvProcVO.setEmpNo(iamtUnrcvObjVO.frstRegEmpNo);

					UnrcvProcOutVO resultVo = new UnrcvProcOutVO();
					try {
						resultVo = unrcvProcService.rcptUnrcvAmt(unrcvProcVO);
					} catch (Exception e) {
						throw new BizException(resultVo.getRsltCntn());
					}

					iamtUnrcvObjVO.tempSetlAmt -= unrcvProcVO.getUnrcvAdjAmt();
					iamtUnrcvObjVO.adjStmpFee = unrcvProcVO.getUnrcvAdjAmt();
					rcptBaseVO.stmpFee = unrcvProcVO.getUnrcvAdjAmt();
				}

				//회차정산대상이 존재하면
				if ((bndVO.normCnt + bndVO.dlyCnt) > 0) {
					// 처리회차 Count
					int procCnt = 0;

					if (Constants.SETL_FRST_RANK_PAMT.equals(iamtUnrcvObjVO.setlFrstRank)) { //원금결제우선순위

						//결제가능원금 계산
						if (bndVO.pamtRamt >= (iamtUnrcvObjVO.tempSetlAmt + iamtUnrcvObjVO.tempExmpPamt)) {
							iamtUnrcvObjVO.tempFrstAdjAmt = iamtUnrcvObjVO.tempSetlAmt;
							iamtUnrcvObjVO.tempSetlAmt = 0;
						} else {
							iamtUnrcvObjVO.tempFrstAdjAmt = bndVO.pamtRamt - iamtUnrcvObjVO.tempExmpPamt;
							iamtUnrcvObjVO.tempSetlAmt = iamtUnrcvObjVO.tempSetlAmt - iamtUnrcvObjVO.tempFrstAdjAmt;
						}

						//결제가능 취급수수료
						if (bndVO.trtFeeRamt >= (iamtUnrcvObjVO.tempSetlAmt + iamtUnrcvObjVO.tempExmpTrtFee)) {
							iamtUnrcvObjVO.tempFrstAdjTrtFee = iamtUnrcvObjVO.tempSetlAmt;
							iamtUnrcvObjVO.tempSetlAmt = 0;
						} else {
							iamtUnrcvObjVO.tempFrstAdjTrtFee = bndVO.trtFeeRamt - iamtUnrcvObjVO.tempExmpTrtFee;
							iamtUnrcvObjVO.tempSetlAmt = iamtUnrcvObjVO.tempSetlAmt - iamtUnrcvObjVO.tempFrstAdjTrtFee;
						}

						//결제가능이자 계산
						if (bndVO.intRamt >= (iamtUnrcvObjVO.tempSetlAmt + iamtUnrcvObjVO.tempExmpInt)) {
							iamtUnrcvObjVO.tempFrstAdjIntAmt = iamtUnrcvObjVO.tempSetlAmt;
							iamtUnrcvObjVO.tempSetlAmt = 0;
						} else {
							iamtUnrcvObjVO.tempFrstAdjIntAmt = bndVO.intRamt - iamtUnrcvObjVO.tempExmpInt;
							iamtUnrcvObjVO.tempSetlAmt = iamtUnrcvObjVO.tempSetlAmt - iamtUnrcvObjVO.tempFrstAdjIntAmt;
						}

						procCnt = bndVO.timsUnrcvCnt;
						log.info("■■ 원금결제우선순위 : 실제 회차처리건수)) procCnt = " + procCnt);

					} else {

						// 강제 가수 발생
						if (Constants.YES.equals(iamtUnrcvObjVO.forceDsrcOccrFg)) {
							procCnt = 0;
							log.info("■■ 강제가수 발생 : 실제 회차처리건수)) procCnt = " + procCnt);
						}
						//중도상환
						else if (IamtUtil.isMidRmbr(iamtUnrcvObjVO.procSetlDivCd)) {
							if (IamtUtil.isAutoOprLease(iamtUnrcvObjVO)) {	//운용리스일때
								procCnt = bndVO.unrcvCnt;
							} else {
								procCnt = bndVO.sizeRealAskTims();
							}
							log.info("■■ 중도상환 : 실제 회차처리건수)) procCnt = " + procCnt);
						} else {

							if (IamtUtil.isSucsRcpt(iamtUnrcvObjVO)) {
								//승계수납
								procCnt = bndVO.timsUnrcvCnt;
							} else {
								if (IamtUtil.isAutoOprLease(iamtUnrcvObjVO)) {	//운용리스일때
									procCnt = bndVO.unrcvCnt;
									log.info("■■ 운용리스 : 회차처리건수)) procCnt = " + procCnt);
								} else {
									// 회차에 초과하여 입금시 선납처리를 안함 (연체/정상분만 입금처리 후 남은 금액은 예가수 발생)
									procCnt = bndVO.procCnt;
									log.info("■■ 선납금지 : 실제 회차처리건수)) procCnt = " + procCnt);
								}
							}
						}
					}

			        // 연체료를 회차우선공제를 하기위하여 연체료 금액에 대하여 선정산 대상금액으로 생성함  (2018-08-01)
					iamtUnrcvObjVO.tempFrstAdjDfee = 0;

					/*
					 * 몇회 이상 선납금지체크를 할수 있는지 확인
					 * - 자동결제가 아니고 회차우선순위일때만 가능
					 * - 강제선납처리가 아닐때, 상품소분류가 개인회생/신용회복이 아닐때
					 */
					// bndVO.timsUnrcvStrtIdx 회차미수시작Index ~ procCnt 까지 Loop
					for (int k=0, timsStrtIdx=bndVO.timsUnrcvStrtIdx; k<procCnt; k++) {
						TimsUnrcvVO timsUrcvVO = askUrcvVO.getTimsUnrcv(timsStrtIdx + k);

						if (k==0) {
							rcptBaseVO.rcptStrtTims = timsUrcvVO.tims;	//수납기본의 수납시작회차
						}

						//회차별 정산금액을 계산한다.
						adjCalcService.procTimsAdj(iamtUnrcvObjVO, timsUrcvVO);

						//정산금이 있을때 또는 연체회차이면 수납내역을 등록한다.
						if ((iamtUnrcvObjVO.adjDfee != 0)
								|| (iamtUnrcvObjVO.adjInt                != 0 )
								|| (iamtUnrcvObjVO.adjTrtFee             != 0 )
								|| (iamtUnrcvObjVO.adjPamt               != 0 )
								|| IamtUtil.equals(Constants.YES, timsUrcvVO.dlyFg)) {

							//수납내역 구성.
							iamtUnrcvObjVO.adjAmt = iamtUnrcvObjVO.adjPamt + iamtUnrcvObjVO.adjInt
									+ iamtUnrcvObjVO.adjTrtFee		+ iamtUnrcvObjVO.adjDfee //adjPdueDiscDfee포함됨.
									+ iamtUnrcvObjVO.adjVtax		+ iamtUnrcvObjVO.adjPpayInt
									+ iamtUnrcvObjVO.adjAddInsuFee	+ iamtUnrcvObjVO.adjAddCartax
									+ iamtUnrcvObjVO.adjAddEnvImprBrdnamt + iamtUnrcvObjVO.adjAddAsfee
									+ iamtUnrcvObjVO.adjIpayInsuFee	+ iamtUnrcvObjVO.adjIpayCartax
									+ iamtUnrcvObjVO.adjIpayEnvImprBrdnamt + iamtUnrcvObjVO.adjIpayPnltAmt
									+ iamtUnrcvObjVO.adjIpayEtc;

							iamtUnrcvObjVO.totAdjAmt = iamtUnrcvObjVO.totAdjAmt +  iamtUnrcvObjVO.adjAmt;

							//원리금을 셋팅하는 이유는 원래 들어온 결제구분이 무엇이든지 간에
							//회차정산으로 결제를 한것이므로 DB에 쌓을땐 원리금결제로 나오도록 잠시 바꿔줌.
							//ex)중도상환으로 결제구분이 들어왔는데 중도상환회차전 회차는 회차정산처럼 결제를 하므로
							RcptDescVO rcptDescVO = getRcptDesc(iamtUnrcvObjVO, timsUrcvVO);
							rcptDescVO.setlDivCd = Constants.SETL_DIV_PIAMT; // (원리금)
							adjDescVO.addRcptDescVO(rcptDescVO);

							 //연체회차이면 연체내역 구성
							if (IamtUtil.equals(Constants.YES, timsUrcvVO.dlyFg)) {
								adjDescVO.addDlyDescVO(getDlyDesc(iamtUnrcvObjVO, bndVO, timsUrcvVO));
							}

							/* 입금미수.대상 객체의 값을 입금미수.수납기본 객체에 SET한다. */
							rcptBaseVO.rcptPamt     += iamtUnrcvObjVO.adjPamt;
							rcptBaseVO.rcptInt      += iamtUnrcvObjVO.adjInt;
							rcptBaseVO.rcptTrtFee   += iamtUnrcvObjVO.adjTrtFee;
							rcptBaseVO.rcptDfee     += iamtUnrcvObjVO.adjDfee;
							rcptBaseVO.pdueDiscDfee += iamtUnrcvObjVO.adjPdueDiscDfee;

						}

						//회차정산완료 여부셋팅
						if (timsUrcvVO.askAmt==(iamtUnrcvObjVO.adjAmt - iamtUnrcvObjVO.adjPdueDiscDfee + timsUrcvVO.leglActnCost + timsUrcvVO.stmpFee)
								&& iamtUnrcvObjVO.unCpayCnt==0) {

							iamtUnrcvObjVO.cpayTims = timsUrcvVO.tims;

							if (bndVO.isLose() && bndVO.ddayPrftLoseStrtTims > 0) {
								TimsUnrcvVO nextTimsUrcvVO = getNextTims(askUrcvVO, timsUrcvVO, timsStrtIdx + k + 1);
								if (nextTimsUrcvVO==null || !nextTimsUrcvVO.isDly()) {
									// 상실회차 수정. 업데이트건이 없어도 채권마감 데이터가 없을수 있으므로 성공으로 처리
									rcptService.updateDdayPrftLoseStrtTims(iamtUnrcvObjVO, 0);
									rcptBaseVO.bfLoseStrtTims = bndVO.ddayPrftLoseStrtTims;
								}
							}
						} else {
							iamtUnrcvObjVO.unCpayCnt++;
						}

						/* 다음 조건에서 회차정산 중단
						 * 1) 정산할 결제금이 남아있지 않을때
						 * 2) 결제금은 있으나 만기회차까지 청구금액을 모두 정산했을때
						 * => 3회차 선납제한조건 제거, 남은 결제금액이 10000원 미만일때 선납 삭제
						 */
						long tempBalSetlAmt = iamtUnrcvObjVO.tempSetlAmt + iamtUnrcvObjVO.tempLtrmBrcvAmt
										+ iamtUnrcvObjVO.tempExmpAmt + iamtUnrcvObjVO.tempFrstAdjAmt
										+ iamtUnrcvObjVO.tempFrstAdjDfee + iamtUnrcvObjVO.tempFrstAdjIntAmt
										+ iamtUnrcvObjVO.tempFrstAdjTrtFee;

						rcptBaseVO.rcptAfPamtRamt = bndVO.pamtRamt - rcptBaseVO.rcptPamt;
						rcptBaseVO.rcptAfTrtFeeRamt = bndVO.trtFeeRamt - rcptBaseVO.rcptTrtFee;
						rcptBaseVO.rcptEndTims = timsUrcvVO.tims;

						if (tempBalSetlAmt==0
								|| (iamtUnrcvObjVO.tempSetlAmt + iamtUnrcvObjVO.tempLtrmBrcvAmt >= 0 && bndVO.loanEprtTims==timsUrcvVO.tims)
								/*|| (pdueCntChk && timsUrcvVO.pdueTotCnt >= 3)*/) {
							break;
						}
					}
				}

				/*****************************************************************************************
				 * 중도상환처리 - procMidRmbr(iamtUnrcvObjVO, rcptBaseVO, bndVO.getMidRmbrTims(), bndVO, adjDescVO)
				 *  : 중도상환 유효성 체크(결제금액과 상환대상금액을 비교)
				 * 	: 수납금액에 대해 중도(부분/전액)상환 금액을 정산한다. -
				 *****************************************************************************************/
				if (IamtUtil.isMidRmbr(iamtUnrcvObjVO.procSetlDivCd)) {

					validMidRmbr(iamtUnrcvObjVO, bndVO);	//중도상환 유효성 체크

					if (!IamtUtil.isLease(iamtUnrcvObjVO)) {

						log.info("■ 중도상환 금액 정산");
						//정산전 정산금액항목 초기화
						iamtUnrcvObjVO.adjAmt = 0;
						iamtUnrcvObjVO.adjDfee = 0;
						iamtUnrcvObjVO.adjInt = 0;
						iamtUnrcvObjVO.adjTrtFee = 0;
						iamtUnrcvObjVO.adjPamt = 0;
						iamtUnrcvObjVO.adjMidRmbrPamt = 0;		//중도상환원금
						iamtUnrcvObjVO.adjMidRmbrInt = 0;		//중도상환이자
						iamtUnrcvObjVO.adjMidRmbrTrtFee = 0;	//중도상환취급수수료
						iamtUnrcvObjVO.adjMidRmbrFee = 0;		//중도상환수수료
						iamtUnrcvObjVO.adjTrtFeeDisc = 0;		//취급수수료할인
						iamtUnrcvObjVO.adjExmpMidRmbrFee = 0;	//면제중도상환수수료
						iamtUnrcvObjVO.adjExmpPamt = 0;			//면제원금
						iamtUnrcvObjVO.adjExmpInt  = 0;			//면제이자
						iamtUnrcvObjVO.adjExmpTrtFee = 0;		//면제취급수수료
						iamtUnrcvObjVO.adjExmpDfee = 0;			//면제연체료
						iamtUnrcvObjVO.adjPdueDiscDfee = 0;		//선납할인연체료

						//중도상환 취급수수료 정산, 중도상환취급수수료할인(분납취급수수료)
						adjCalcService.calcMidRmbrTrtFee(iamtUnrcvObjVO, bndVO);

						//중도상환 수수료 정산, 중도상환취급수수료 할인(고객취급수수료)
						adjCalcService.calcMidRmbrFee(iamtUnrcvObjVO, bndVO);

						//중도상환이자 정산
						adjCalcService.calcMidRmbrInt(iamtUnrcvObjVO, bndVO);

						//중도상환원금 정산
						adjCalcService.calcMidRmbrPamt(iamtUnrcvObjVO, bndVO);

						//수납기본을 수정한다.
						rcptBaseVO.midRmbrPamt    = iamtUnrcvObjVO.adjMidRmbrPamt;
						rcptBaseVO.midRmbrInt     = iamtUnrcvObjVO.adjMidRmbrInt;
						rcptBaseVO.midRmbrFee     = iamtUnrcvObjVO.adjMidRmbrFee;
						rcptBaseVO.exmpMidRmbrFee = iamtUnrcvObjVO.adjExmpMidRmbrFee;
						rcptBaseVO.midRmbrTrtFee  = iamtUnrcvObjVO.adjMidRmbrTrtFee;

						rcptBaseVO.rcptPamt   += iamtUnrcvObjVO.adjMidRmbrPamt;
						rcptBaseVO.rcptInt    += iamtUnrcvObjVO.adjMidRmbrInt;
						rcptBaseVO.rcptTrtFee += iamtUnrcvObjVO.adjMidRmbrTrtFee;
						rcptBaseVO.trtFeeDisc  = iamtUnrcvObjVO.adjTrtFeeDisc;
						rcptBaseVO.rcptAfPamtRamt   = bndVO.pamtRamt - rcptBaseVO.rcptPamt;
						rcptBaseVO.rcptAfTrtFeeRamt = bndVO.trtFeeRamt - rcptBaseVO.rcptTrtFee;

						// 중도상환시 회차정산이 없으면 수납시작회차가 없슴. 따라서 중도상환회차를 시작회차로 조정함.
						if (rcptBaseVO.rcptStrtTims==0) {
							rcptBaseVO.rcptStrtTims = bndVO.getMidRmbrTims().tims;
						}

						//전액상환시
						if (iamtUnrcvObjVO.procSetlDivCd.equals(Constants.SETL_DIV_MIDRMBR_T)) {
							rcptBaseVO.rcptEndTims = bndVO.loanEprtTims;
						}
						//부분상환
						else {
							//상환계획 재설정
							MidPartRmbrObj midPartRmbrObj = new MidPartRmbrObj();
								midPartRmbrObj.loanNo  = iamtUnrcvObjVO.loanNo;
								midPartRmbrObj.loanSeq = iamtUnrcvObjVO.loanSeq;
								midPartRmbrObj.empNo   = iamtUnrcvObjVO.frstRegEmpNo;
								midPartRmbrObj.midPartRmbrTims = bndVO.midRmbrTims;
								midPartRmbrObj.midPartRmbrDt   = StringUtil.getFmtDt(iamtUnrcvObjVO.setlDt, "");
								midPartRmbrObj.pamtRamt = bndVO.getMidRmbrTims().timsBfPamtRamt - bndVO.rlPartRmbrPamt;

							if (bndVO.setlDt.compareTo(bndVO.termPartIntEndDt) <= 0) {
								midPartRmbrObj.intDistRamt = 0;
							} else {
								midPartRmbrObj.intDistRamt = bndVO.midTermPartInt - bndVO.termPartPamtRmbrInt;
							}

							try {
								rmbrPlanUpdtService.midPartRmbr(midPartRmbrObj,'1');
								rcptBaseVO.planTrSnum = midPartRmbrObj.trSnum;
							} catch (Exception e) {
								//CommExceptionHandler.throwIamtException(iamtUnrcvObjVO,"[부분중도상환]상환계획수정중 에러발생[" + e.getMessage() + "]");
								throw new BizException("[부분중도상환]상환계획수정중 에러발생[" + e.getMessage() + "]");
							}
							// 중도상환 회차가 수납기본의 종료회차가 된다.
							rcptBaseVO.rcptEndTims = bndVO.midRmbrTims;
						}

						//수납내역구성을 요청한다.
						RcptDescVO rcptDescVO = getRcptDesc(iamtUnrcvObjVO, bndVO.getMidRmbrTims());
						rcptDescVO.setlDivCd = iamtUnrcvObjVO.procSetlDivCd;

						//법정_최고_이자율 적용 관련 계산값 결제정보에 입력 Start
						if (Constants.SETL_DIV_MIDRMBR_T.equals(rcptDescVO.setlDivCd)) {
							rcptDescVO.calcMidRmbrFee = bndVO.tamtCalcMidRmbrFee; //전액_계산_중도상환수수료
						} else {
							rcptDescVO.calcMidRmbrFee = bndVO.partCalcMidRmbrFee; //부분_계산_중도상환수수료
						}

						rcptDescVO.cortMaxAmt = bndVO.cortMaxAmt;     //법정_최고_금액
						rcptDescVO.calcPsgInt = bndVO.calcPsgInt;     //계산_경과_이자
						//법정_최고_이자율 적용 관련 계산값 결제정보에 입력 End

						adjDescVO.addRcptDescVO(rcptDescVO);
					}
				}

				/*****************************************************************************************
				 * 대출상태 변경 (대출완납에 대한 처리)
				 *  : 중도상환, 원리금결제시 중도상환처리 처리되는 대출의 상태 변경
				 *****************************************************************************************/
				if (IamtUtil.equals(Constants.SETL_DIV_MIDRMBR_T, iamtUnrcvObjVO.procSetlDivCd)) {
					iamtUnrcvObjVO = chkLoanEnd(iamtUnrcvObjVO);
				} else {
					TimsUnrcvVO lastTims = askUrcvVO.getTimsUnrcv((bndVO.timsUnrcvStrtIdx + bndVO.timsUnrcvCnt)-1);
					if (lastTims!=null && lastTims.tims==iamtUnrcvObjVO.cpayTims && iamtUnrcvObjVO.unCpayCnt==0) {

						iamtUnrcvObjVO = chkLoanEnd(iamtUnrcvObjVO);

						//정상종료시 원금변제에 의해 만기회차가 이미 수납이 되어있을수 있으므로 강제로 수납완료회차를 대출만기회차로 조정한다.
						rcptBaseVO.rcptEndTims = bndVO.loanEprtTims;
						iamtUnrcvObjVO.cpayTims = bndVO.loanEprtTims;
					} else {
						//기존대출상태
						iamtUnrcvObjVO.adjLoanStatCd = iamtUnrcvObjVO.loanStatCd;
					}
				}

				/*****************************************************************************************
				 * 예가수를 정산금하고 잔액이 남는 경우 금액 처리
				 *****************************************************************************************/
				long setlRamt = iamtUnrcvObjVO.tempSetlAmt + iamtUnrcvObjVO.tempLtrmBrcvAmt;
				if (setlRamt>0 && iamtUnrcvObjVO.dsrcAdjAmt>0) {
					rcptBaseVO.dsrcAdjAmt -= setlRamt;
					iamtUnrcvObjVO.dsrcAdjAmt -= setlRamt; //예가수_정산_금액
				}

				/*****************************************************************************************
				 * 예가수 정산처리 (중도상환, 원리금수납에 예가수 정산 금액으로 총,부분 결제할때)
				 * ASIS 메소드 밖으로 꺼내와서 처리 - procRcptDsrcAdj(iamtUnrcvObjVO, rcptBaseVO, bndVO, adjDescVO)
				 *****************************************************************************************/
				if (iamtUnrcvObjVO.dsrcAdjAmt > 0) {
					//기존 예가수정산코드에서 예가수정산내역을 구성하기 위하여 잠시 예가수정산코드를 바꾼다.
					iamtUnrcvObjVO.dsrcAdjCd = Constants.DSRC_DIV_DSRC_ADJ;	//예가수정산코드 (02 - 예가수정산)

					//예가수내역구성 (청구미수.채권정보 객체 항목을 SET한다. )
					adjDescVO.addDsrcDescVO(getRcptDsrcDesc(iamtUnrcvObjVO, bndVO));
					iamtUnrcvObjVO.dsrcNo = bndVO.dsrcNo;
					iamtUnrcvObjVO.dsrcSnum = bndVO.dsrcSnum + 1;

					//예가수수정구성
					adjDescVO.addDsrcUpdtVO(getRcptDsrcUpdt(iamtUnrcvObjVO, bndVO));

					rcptBaseVO.dsrcAdjCd = iamtUnrcvObjVO.dsrcAdjCd;

					iamtUnrcvObjVO.tempSetlAmt = iamtUnrcvObjVO.tempSetlAmt - iamtUnrcvObjVO.dsrcAdjAmt;
				}

			}
			// 신용회복미수금
			else if (IamtUtil.equals(Constants.SETL_DIV_CRDT_RCVR_UNRCV_AMT, iamtUnrcvObjVO.procSetlDivCd)) {
				iamtUnrcvObjVO.tempSetlAmt = 0;	//예가수발생을 하지 않도록
			}

			// 예가수 발생처리(예가수발생요청, 원리금수납후 결제금액이 남은경우.) (예가수 정산일땐 가수발생 안함)
			if ((iamtUnrcvObjVO.isDsrcOccr() || iamtUnrcvObjVO.tempSetlAmt>0 || iamtUnrcvObjVO.tempLtrmBrcvAmt>0)
					&& !iamtUnrcvObjVO.rcptTpCd.equals(Constants.RCPT_DIV_DSRC_ARNG)) {
				log.info("■ 예가수 발생처리(예가수발생요청, 원리금수납후 결제금액이 남은경우.)");

				if (IamtUtil.isBrcvAmtLeasTrnsRcpt(iamtUnrcvObjVO)) {
					//선수금리스료대체수납일때는 예가수가 발생하면 안된다.
					throw new BizException("선수금리스료대체수납일때는 예가수가 발생할수 없다.(발생금 : " + iamtUnrcvObjVO.tempSetlAmt + ")");
				}

				// 예가수정산금이 있을때 예가수를 발생시킬수 없음
				if (iamtUnrcvObjVO.dsrcAdjAmt>0) {
					throw new BizException("예가수정산금이 있는 경우 예가수가 발생할수 없다.(발생금 : " + iamtUnrcvObjVO.tempSetlAmt + ")");
				}

				/*****************************************************************************************
				 * 예가수 정산처리 (중도상환, 원리금수납에 예가수 정산 금액으로 총,부분 결제할때)
				 * ASIS 메소드 밖으로 꺼내와서 처리 - procRcptDsrcOccr(iamtUnrcvVO.isAutoSetl(), iamtUnrcvObjVO, rcptBaseVO, adjDescVO);
				 *  : 예가수발생처리 (tempSetlAmt 만큼 예가수발생금으로 발생시킴)
				 *****************************************************************************************/
				//예가수기본, 예가수내역 생성
				if (iamtUnrcvObjVO.setlDivCd.equals(Constants.SETL_DIV_DSRC) && iamtUnrcvObjVO.dsrcOccrCd.equals(Constants.DSRC_DIV_STMPTAX_AF_RCPT )) {	//인지후납_예
					iamtUnrcvObjVO.mngDeptCd = iamtUnrcvObjVO.adjDeptCd;
					rcptBaseVO.mngDeptCd = iamtUnrcvObjVO.adjDeptCd;
				}

				//결제남은 금액. 예가수발생으로 입력되었을경우 tempSetlAmt 필드에 넣는다.
				iamtUnrcvObjVO.dsrcOccrAmt = iamtUnrcvObjVO.tempSetlAmt;

				/*****************************************************************************************
				 * 예가수기본, 내역을 생성
				 * ASIS 메소드 밖으로 꺼내와서 처리 - setRcptDsrcForOccr(iamtUnrcvVO.isAutoSetl(), iamtUnrcvObjVO, adjDescVO)
				 *  : 예가수발생처리 (tempSetlAmt 만큼 예가수발생금으로 발생시킴)
				 *****************************************************************************************/
				try {
					//예가수번호 채번 	//S0601000001, 11자리, [S] + [YYMM] + [00000X]
					iamtUnrcvObjVO.dsrcNo = commBizService.gvnoDsrcNo(iamtUnrcvObjVO.acctDt);

					// 미확인일때 대출번호를 채번한다. ex) U0601000001, 11자리, [U] + [YYMM] + [00000X]
					if (IamtUtil.equals(Constants.YES, iamtUnrcvObjVO.unCnfmFg)) {

						if (!"51".equals(StringUtil.trim(iamtUnrcvObjVO.dsrcOccrCd))) {
						     iamtUnrcvObjVO.loanNo = commBizService.gvnoLoanNo(iamtUnrcvObjVO.acctDt);
						     iamtUnrcvObjVO.loanSeq = "01";
						}
					}
				} catch (Exception e) {
					throw new BizException("미확인 대출번호 채번중 에러발생 : 회계일자가 입력되지 않았습니다.");
				}

				//예가수발생코드가 셋팅되어 있지 않은경우(사용자입력외)
				String dsrcOccrCd = setDsrcOccrCd(iamtUnrcvObjVO);

				//예가수 기본생성
				DsrcBaseVO dsrcBaseVO = new DsrcBaseVO();
					dsrcBaseVO.dsrcNo 		= iamtUnrcvObjVO.dsrcNo; //예가수_번호
					dsrcBaseVO.dsrcSnum 	= 1; //예가수_일련번호
					dsrcBaseVO.occrLoanNo 	= iamtUnrcvObjVO.loanNo; //발생_대출_번호
					dsrcBaseVO.occrLoanSeq 	= iamtUnrcvObjVO.loanSeq; //발생_대출_순번
					dsrcBaseVO.setlNo 		= iamtUnrcvObjVO.setlNo; //결제_번호
					dsrcBaseVO.rcptTpCd 	= iamtUnrcvObjVO.rcptTpCd; //수납_유형_코드
					dsrcBaseVO.dsrcOccrCd 	= dsrcOccrCd; //예가수_발생_코드
					dsrcBaseVO.setlDt 		= iamtUnrcvObjVO.setlDt; //결제_일자
					dsrcBaseVO.acctDt 		= iamtUnrcvObjVO.acctDt; //회계_일자
					dsrcBaseVO.dsrcOccrAmt 	= iamtUnrcvObjVO.dsrcOccrAmt; //예가수_발생_금액
					dsrcBaseVO.dsrcRamt 	= iamtUnrcvObjVO.dsrcOccrAmt; //예가수_잔액
					dsrcBaseVO.isrtDeptCd 	= iamtUnrcvObjVO.isrtDeptCd; //입력_부서_코드
					dsrcBaseVO.adjDeptCd 	= iamtUnrcvObjVO.mngDeptCd; //관리부서코드
					dsrcBaseVO.unCnfmFg  	= iamtUnrcvObjVO.unCnfmFg; //미확인_여부
					dsrcBaseVO.rfndSnum  	= 0; //환불_일련번호
					dsrcBaseVO.rfndStatCd 	= Constants.RFND_STAT_DSRC; //환불_상태_코드
					dsrcBaseVO.adjLoanNo 	= iamtUnrcvObjVO.loanNo; //정산_대출_번호
					dsrcBaseVO.adjLoanSeq 	= iamtUnrcvObjVO.loanSeq; //정산_대출_순번
					dsrcBaseVO.rmk 			= iamtUnrcvObjVO.rmk; //적요 = 적요
					dsrcBaseVO.procEmpNo 	= iamtUnrcvObjVO.frstRegEmpNo;
					dsrcBaseVO.custNo 		= iamtUnrcvObjVO.custNo;

				//예가수 내역 생성
				DsrcDescVO dsrcDescVO = new DsrcDescVO();
					dsrcDescVO.dsrcNo 		= iamtUnrcvObjVO.dsrcNo; //예가수_번호
					dsrcDescVO.dsrcSnum 	= 1; //예가수일련번호
					dsrcDescVO.loanNo 		= iamtUnrcvObjVO.loanNo; //대출_번호
					dsrcDescVO.loanSeq 		= iamtUnrcvObjVO.loanSeq; //대출_순번
					dsrcDescVO.setlNo 		= iamtUnrcvObjVO.setlNo; //결제_번호
					dsrcDescVO.rcptTpCd 	= iamtUnrcvObjVO.rcptTpCd; //수납_유형_코드
					dsrcDescVO.acctDt 		= iamtUnrcvObjVO.acctDt; //회계_일자
					dsrcDescVO.dsrcOccrCd 	= dsrcOccrCd; //예가수_발생_코드
					dsrcDescVO.dsrcAdjCd 	= Constants.DSRC_DIV_DSRC_OCCR; //예가수_정산_코드
					dsrcDescVO.setlDt 		= iamtUnrcvObjVO.setlDt; //결제_일자
					dsrcDescVO.dsrcOccrAmt 	= iamtUnrcvObjVO.dsrcOccrAmt; //예가수_발생금액
					dsrcDescVO.dsrcRamt 	= iamtUnrcvObjVO.dsrcOccrAmt; //예가수_잔액
					dsrcDescVO.dsrcAdjAmt 	= 0; //예가수_정산_금액, 발생시는 정산금액을 셋팅하지 않는다.
					dsrcDescVO.isrtDeptCd 	= iamtUnrcvObjVO.isrtDeptCd;
					dsrcDescVO.adjDeptCd 	= dsrcBaseVO.adjDeptCd; //정산_부서_코드
					dsrcDescVO.rmk 			= iamtUnrcvObjVO.rmk;
					dsrcDescVO.cnclFg 		= Constants.NO; //취소_여부
					dsrcDescVO.cnclDt 		= BLANK; //취소_일자
					dsrcDescVO.procEmpNo 	= iamtUnrcvObjVO.frstRegEmpNo;
					dsrcDescVO.custNo    	= iamtUnrcvObjVO.custNo;

				// 예가수 발생금액, 발생코드 셋팅
				iamtUnrcvObjVO.dsrcOccrAmt = dsrcBaseVO.dsrcOccrAmt;
				iamtUnrcvObjVO.dsrcOccrCd = dsrcOccrCd;
				iamtUnrcvObjVO.dsrcAdjCd = Constants.DSRC_DIV_DSRC_OCCR;

				// 결과 셋팅(예가수기본, 예가수내역 생성)
				adjDescVO.addDsrcBaseVO(dsrcBaseVO);
				adjDescVO.addDsrcDescVO(dsrcDescVO);

				// 수납기본에 예가수정보를 추가로 셋팅한다.
				rcptBaseVO.dsrcNo      = iamtUnrcvObjVO.dsrcNo;
				rcptBaseVO.dsrcOccrCd  = dsrcOccrCd;
				rcptBaseVO.dsrcOccrAmt = dsrcBaseVO.dsrcOccrAmt;
				rcptBaseVO.dsrcAdjCd   = Constants.DSRC_DIV_DSRC_OCCR;

				if (rcptBaseVO.setlAmt==iamtUnrcvObjVO.tempSetlAmt) {
					rcptBaseVO.setlDivCd = Constants.SETL_DIV_DSRC;
				}
				if (IamtUtil.equals(Constants.YES, iamtUnrcvObjVO.unCnfmFg)) {
					rcptBaseVO.loanNo  = iamtUnrcvObjVO.loanNo;
					rcptBaseVO.loanSeq = iamtUnrcvObjVO.loanSeq;
				}

				//결제금액을 예가수발생금액으로 옮김.
				iamtUnrcvObjVO.tempSetlAmt = 0;
			}

			// 계산결과 셋팅
			adjDescVO.addRcptBaseVO(rcptBaseVO);
			iamtUnrcvVO.setIamtUnrcvObjVO(i, iamtUnrcvObjVO);
		}

		// 전표처리여부를 확인하여 전표처리한다.
		if (iamtUnrcvVO.vochUnprocFg.equals(Constants.NO)) {
			adjDescVO.trDescNo = procTrDesc(iamtUnrcvVO, iamtUnrcvVO.getIamtUnrcvObjVOList(), adjDescVO.rcptBaseVOList);
		}

		//정산내역등록을 요청한다.
		createAdjDesc(adjDescVO, iamtUnrcvVO);

		return iamtUnrcvVO;
	}


	/**
	 * <p>메소드명	: setTempVal</p>
	 * <p>설　　명	: 결제금액을 임시로 셋팅함.</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, BndVO</p>
	 * <p>리　턴　값	: N/A</p>
	 */
	private IamtUnrcvObjVO setTempVal(IamtUnrcvObjVO iamtUnrcvObjVO, BndVO bndVO) {
		iamtUnrcvObjVO.tempSetlSnum = iamtUnrcvObjVO.setlSnum;

		//결제금
		iamtUnrcvObjVO.tempSetlAmt = iamtUnrcvObjVO.setlAmt + iamtUnrcvObjVO.dsrcAdjAmt + iamtUnrcvObjVO.execGuarAmtTrnsAmt;

		//장기선수금
		iamtUnrcvObjVO.tempLtrmBrcvAmt = iamtUnrcvObjVO.ltrmBrcvAmt;

		if (iamtUnrcvObjVO.setlDivCd.equals(Constants.SETL_DIV_MIDRMBR_T)) {
			iamtUnrcvObjVO.tempSetlAmt = iamtUnrcvObjVO.tempSetlAmt + bndVO.trtFeeDisc;
		}

		//면제금
		iamtUnrcvObjVO.tempExmpAmt    = iamtUnrcvObjVO.exmpAmt;
		iamtUnrcvObjVO.tempExmpPamt   = iamtUnrcvObjVO.exmpPamt;
		iamtUnrcvObjVO.tempExmpInt    = iamtUnrcvObjVO.exmpInt;
		iamtUnrcvObjVO.tempExmpTrtFee = iamtUnrcvObjVO.exmpTrtFee;
		iamtUnrcvObjVO.tempExmpDfee   = iamtUnrcvObjVO.exmpDfee;
		iamtUnrcvObjVO.tempExmpLeglActnCost  = iamtUnrcvObjVO.exmpLeglActnCost;
		iamtUnrcvObjVO.tempExmpMidRmbrFee    = iamtUnrcvObjVO.exmpMidRmbrFee;
		iamtUnrcvObjVO.tempNmChngExmpGuarAmt = iamtUnrcvObjVO.exmpNmChngExmpGuarAmt;

		//회차정산전 대출상태
		iamtUnrcvObjVO.adjLoanStatCd = iamtUnrcvObjVO.loanStatCd;

		return iamtUnrcvObjVO;
	}


	/**
	 * 차회차 가져오기
	 * @param askUrcvVO
	 * @param currentTimsUnrcv
	 * @param nextIdx
	 * @return
	 */
	private TimsUnrcvVO getNextTims(AskUnrcvVO askUrcvVO, TimsUnrcvVO currentTimsUnrcv, int nextIdx) {
		TimsUnrcvVO nextTimsUrcvVO = askUrcvVO.getTimsUnrcv(nextIdx);
		if (nextTimsUrcvVO==null) {
			return null;
		}
		if (currentTimsUnrcv.loanNo.equals(nextTimsUrcvVO.loanNo) && currentTimsUnrcv.loanSeq.equals(nextTimsUrcvVO.loanSeq)) {
			return nextTimsUrcvVO;
		} else {
			return null;
		}
	}

	/**
	 * 대출완료처리 유효성 체크
	 * @param iamtUnrcvObjVO
	 * @param con
	 */
	private IamtUnrcvObjVO chkLoanEnd(IamtUnrcvObjVO iamtUnrcvObjVO) {
		//중도완납시 가지급금 존재하면 수납안됨.
		validBndEnd(iamtUnrcvObjVO);

		if (iamtUnrcvObjVO.rcptTpCd.equals(Constants.RCPT_DIV_BKRP_EXEM)) {
			iamtUnrcvObjVO.adjLoanStatCd = "3C"; //파산면책
		} else if (iamtUnrcvObjVO.rcptTpCd.equals(Constants.RCPT_DIV_BKRP_RCPT)) {
			iamtUnrcvObjVO.adjLoanStatCd = "3D"; //파산수납
		} else if (IamtUtil.equals(Constants.SETL_DIV_MIDRMBR_T, iamtUnrcvObjVO.procSetlDivCd)) {
			iamtUnrcvObjVO.adjLoanStatCd = "32"; //중도완납
		} else {
			iamtUnrcvObjVO.adjLoanStatCd = "31"; //만기
		}

		return iamtUnrcvObjVO;
	}

	/**
	 * TODO 미사용
     * <p>메소드명	: procLeasEprt</p>
	 * <p>설　　명	: 만기해지</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, RcptBaseVO, BndVO, AdjDescVO, Connection</p>
	 * <p>리　턴　값	: N/A</p>
	 */
	//private static void procLeasEprt(IamtUnrcvObjVO iamtUnrcvObjVO, RcptBaseVO rcptBaseVO, BndVO bndVO, AdjDescVO adjDescVO) {

	/**
	 * <p>메소드명	: procLtrmBrcvAmt</p>
	 * <p>설　　명	: 장기선수금수납</p>
	 * <p>메소드인수	: IamtUnrcvVO, AskUnrcvVO, Connection</p>
	 * <p>리　턴　값	: IamtUnrcvVO</p>
	 */
	@Override
	public IamtUnrcvVO procLtrmBrcvAmt(IamtUnrcvVO iamtUnrcvVO, AskUnrcvVO askUnrcvVO) throws Exception {
		long start = System.currentTimeMillis();

		try {
			int iamtUnrcvVOCnt = iamtUnrcvVO.sizeIamtUnrcvObjVO();

			//입금미수 대상정보 확인
			if (iamtUnrcvVOCnt < 1) {
				throw new BizException("입금처리 대상정보가 입력되지 않았습니다.");
			}

			for (int i = 0; i < iamtUnrcvVOCnt; i++) {	//입금대상별 수납처리

				IamtUnrcvObjVO iamtUnrcvObjVO = iamtUnrcvVO.getIamtUnrcvObjVO(i);
				BndVO bndVO = IamtUtil.getBndVO(askUnrcvVO, iamtUnrcvObjVO);
				if (bndVO==null) {
					throw new BizException("청구대상이 없습니다.");
				}

				if (!iamtUnrcvObjVO.setlDivCd.equals(Constants.SETL_DIV_PIAMT)
						|| !iamtUnrcvObjVO.rcptTpCd.equals(Constants.RCPT_DIV_LTRM_BRCV)) {
					throw new BizException("결제구분,수납유형이 장기선수금대체 수납이 아닙니다.");
				}

				if (bndVO.askLtrmBrcvAmt==0) {
					throw new BizException("정산할 장기선수금이 없습니다.");
				}

				if (bndVO.askLtrmBrcvAmt != iamtUnrcvObjVO.ltrmBrcvAmt) {
					throw new BizException("입금된 장기선수금 대체금이 스케줄상 장기선수금과 같지 않습니다.(입금대체금 : " + iamtUnrcvObjVO.ltrmBrcvAmt + ", 스케줄장기선수금 : " + bndVO.askLtrmBrcvAmt + ")");
				}

				if (iamtUnrcvObjVO.cashAmt != 0 || iamtUnrcvObjVO.execGuarAmtTrnsAmt != 0 || iamtUnrcvObjVO.exmpAmt != 0) {
					long amt = iamtUnrcvObjVO.cashAmt + iamtUnrcvObjVO.execGuarAmtTrnsAmt + iamtUnrcvObjVO.exmpAmt;
					throw new BizException("장기선수대체금 이외의 현금,면제금은 동시에 수납할수 없습니다.(초과입금액 : " + amt + ")" );
				}

				//요청정보에 대출,수납 일반정보를 조회하여 추가함.
				rcptService.searchIamtUnrcvObj(iamtUnrcvObjVO);

				if (!(iamtUnrcvObjVO.loanStatCd.equals("22") || iamtUnrcvObjVO.loanStatCd.equals("21"))  ) {
					throw new BizException("대출상태가 장기선수금 대체수납 가능한 상태가 아닙니다.(대출상태 : " + iamtUnrcvObjVO.loanStatCd + ")");
				}

				//자동이체 입금처리중인건인지 확인
				validAutoTran(iamtUnrcvObjVO);

				//처리결제구분코드
				iamtUnrcvObjVO.procSetlDivCd = iamtUnrcvObjVO.setlDivCd;
				iamtUnrcvObjVO.adjLoanStatCd = iamtUnrcvObjVO.loanStatCd;

				//수납내역 생성
				RcptBaseVO rcptBaseVO = getRcptBase(iamtUnrcvObjVO, bndVO);

				AdjDescVO adjDescVO = new AdjDescVO();
				adjDescVO.addRcptBaseVO(rcptBaseVO);
				adjDescVO.addRcptGuarBrcvAmt(rcptBaseVO);	//장기선수금대체 인터페이스대상으로 등록

				//실행보증금대체 수납처리 - TODO 미사용
				//procLtrmBrcvAmt(iamtUnrcvObjVO, bndVO, rcptBaseVO, askUnrcvVO, adjDescVO);

				//전표처리여부를 확인하여 전표처리한다.
				if (Constants.NO.equals(iamtUnrcvVO.vochUnprocFg)) {
					adjDescVO.trDescNo = procTrDesc(iamtUnrcvVO, iamtUnrcvVO.getIamtUnrcvObjVOList(), adjDescVO.rcptBaseVOList);
				}

				//정산내역등록을 요청한다.
				createAdjDesc(adjDescVO, iamtUnrcvVO);

				//정산후 리소스해제
				adjDescVO.clear();
				adjDescVO = null;
			}

		} catch (Exception e) {
			iamtUnrcvVO = IamtUtil.makeResult(iamtUnrcvVO, e);
		}
		log.info("[입금처리] 장기선수금대체수납 종료 : " + IamtUtil.intervalTime(start, System.currentTimeMillis()));
		return iamtUnrcvVO;
	}

	/**
     * TODO 미사용
	 * <p>메소드명	: procLtrmBrcvAmt</p>
	 * <p>설　　명	: 장기선수금 대체 정산 (결제금이 장기선수금으로만 되어있을때)</p>
	 * <p>메소드인수	: IamtUnrcvVO, BndVO, RcptBaseVO, AskUnrcvVO, AdjDescVO, Connection</p>
	 * <p>리　턴　값	: N/A</p>
	 */
	//private static void procLtrmBrcvAmt(IamtUnrcvObjVO iamtUnrcvObjVO, BndVO bndVO, RcptBaseVO rcptBaseVO, AskUnrcvVO askUrcvVO, AdjDescVO adjDescVO) {


	/**
	 * <p>메소드명	: procRcptDsrcAdj</p>
	 * <p>설　　명	: 예가수 정산처리 - 예가수정산(02), 잡수익(03), 환불(04), 대출번호수정(21), 정산점변경(22) 일때 처리한다.
	 * <p>메소드인수	: IamtUnrcvVO, AskUnrcvVO</p>
	 * <p>리　턴　값	: IamtUnrcvVO</p>
	 */
	@Override
	public IamtUnrcvVO procRcptDsrcAdj(IamtUnrcvVO iamtUnrcvVO, AskUnrcvVO askUnrcvVO) {
		long start = System.currentTimeMillis();
		//sysDiv = StringUtil.getSysDiv();
		log.info("■ [입금미수] 예가수 정산처리 ----------");
		try {
			calcRcptDsrcAdj(iamtUnrcvVO, askUnrcvVO);
		} catch (Exception e) {
			IamtUtil.makeResult(iamtUnrcvVO, e);
		}
		log.info("■ [입금미수] 예가수 정산처리 종료 : " + IamtUtil.intervalTime(start, System.currentTimeMillis()));
		return iamtUnrcvVO;
	}

	/**
	 * <p>메소드명	: calcRcptDsrcAdj</p>
	 * <p>설　　명	: 예가수 정산처리 (환불,잡수익 등 일반예가수 정산 외)</p>
	 * <p>메소드인수	: IamtUnrcvVO, AskUnrcvVO</p>
	 * <p>리　턴　값	: IamtUnrcvVO</p>
	 */
	@Override
	public IamtUnrcvVO calcRcptDsrcAdj(IamtUnrcvVO iamtUnrcvVO, AskUnrcvVO askUrcvVO) throws Exception {

		//예가수처리대상구성
		iamtUnrcvVO = setIamtUnrcvObj(iamtUnrcvVO, askUrcvVO);

		/*** 예가수정산 대상별 정산처리***/
		AdjDescVO adjDescVO = new AdjDescVO();
		for (int i=0, n=iamtUnrcvVO.sizeIamtUnrcvObjVO(); i<n; i++) {
			IamtUnrcvObjVO iamtUnrcvObjVO = iamtUnrcvVO.getIamtUnrcvObjVO(i);

			//예가수 정산은 요청쪽에서 예가수내역을 조회하여 채권객체에 추가해줘야함.
			BndVO bndVO = IamtUtil.getBndVO(askUrcvVO, iamtUnrcvObjVO);
			if (bndVO==null) {
				throw new BizException("예가수잔액정보가 존재하지 않습니다.");	//
			}

			//관리부서코드는 예가수정산부서코드로.
			iamtUnrcvObjVO.mngDeptCd = bndVO.dsrcAdjDeptCd;

			//대출번호수정이외의 요청시(예> 환불, 잡수익, 전표처리용) 수납기본 생성
			RcptBaseVO rcptBaseVO = getRcptBase(iamtUnrcvObjVO, bndVO);
			adjDescVO.addRcptBaseVO(rcptBaseVO);

			//예가수내역구성 (청구미수.채권정보 객체 항목을 SET한다. )
			adjDescVO.addDsrcDescVO(getRcptDsrcDesc(iamtUnrcvObjVO, bndVO));
			iamtUnrcvObjVO.dsrcNo = bndVO.dsrcNo;
			iamtUnrcvObjVO.dsrcSnum = bndVO.dsrcSnum + 1;

			//예가수수정구성
			adjDescVO.addDsrcUpdtVO(getRcptDsrcUpdt(iamtUnrcvObjVO, bndVO));

			rcptBaseVO.dsrcAdjCd = iamtUnrcvObjVO.dsrcAdjCd;

		}

		//전표처리
		if (Constants.NO.equals(iamtUnrcvVO.vochUnprocFg)) {
			adjDescVO.trDescNo = procTrDesc(iamtUnrcvVO, iamtUnrcvVO.getIamtUnrcvObjVOList(), adjDescVO.rcptBaseVOList);
		}

		// 정산내역등록 시작
		createAdjDesc(adjDescVO, iamtUnrcvVO);

		//정산후 리소스 해제
		adjDescVO.clear();
		adjDescVO = null;
		return iamtUnrcvVO;
	}

	/**
	 * <p>메소드명	: getRcptDsrcDesc</p>
	 * <p>설　　명	: 예가수정산정보를 내역에 정리한다.</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, BndVO</p>
	 * <p>리　턴　값	: DsrcDescVO</p>
	 */
	private DsrcDescVO getRcptDsrcDesc(IamtUnrcvObjVO iamtUnrcvObjVO, BndVO bndVO) {
		DsrcDescVO dsrcDescVO = new DsrcDescVO();
			dsrcDescVO.loanNo  = iamtUnrcvObjVO.loanNo; 	//대출_번호
			dsrcDescVO.loanSeq = iamtUnrcvObjVO.loanSeq;	//대출_순번
			dsrcDescVO.setlNo  = iamtUnrcvObjVO.setlNo; 	//결제_번호 (최종결제번호 ++)

			dsrcDescVO.rcptTpCd = iamtUnrcvObjVO.rcptTpCd;	//수납_유형_코드
			dsrcDescVO.setlDt   = iamtUnrcvObjVO.setlDt;	//결제_일자
			dsrcDescVO.acctDt   = iamtUnrcvObjVO.acctDt;	//회계_일자
			dsrcDescVO.rmk      = iamtUnrcvObjVO.rmk;		//적요

			dsrcDescVO.dsrcNo     = bndVO.dsrcNo;				//예가수_번호
			dsrcDescVO.dsrcSnum   = bndVO.dsrcSnum + 1;			//예가수_일련번호
			dsrcDescVO.dsrcOccrCd = bndVO.dsrcOccrCd;			//예가수_발생_코드
			dsrcDescVO.dsrcAdjCd  = iamtUnrcvObjVO.dsrcAdjCd;	//예가수_정산_코드

		// [19.07.10] 대출번호 수정일때 기존가수 정리하고 신규생성으로 변경
		if (StringUtil.in(iamtUnrcvObjVO.dsrcAdjCd, new String[] {Constants.DSRC_DIV_ADJ_OFFC_CHNG})) {
			dsrcDescVO.dsrcOccrAmt = bndVO.dsrcOccrAmt;	//예가수_발생금액
			dsrcDescVO.dsrcAdjAmt  = 0; 				//예가수_정산_금액
			dsrcDescVO.dsrcRamt    = bndVO.dsrcRamt;	//예가수_잔액
		} else {
			dsrcDescVO.dsrcOccrAmt = bndVO.dsrcOccrAmt;			//예가수_발생금액
			dsrcDescVO.dsrcAdjAmt  = iamtUnrcvObjVO.dsrcAdjAmt;	//예가수_정산_금액
			dsrcDescVO.dsrcRamt    = bndVO.dsrcRamt - iamtUnrcvObjVO.dsrcAdjAmt; //예가수_잔액
		}

		dsrcDescVO.cnclFg = iamtUnrcvObjVO.cnclFg; //취소_여부
		dsrcDescVO.cnclDt = iamtUnrcvObjVO.cnclDt; //취소_일자

		if (IamtUtil.equals(Constants.DSRC_DIV_ADJ_OFFC_CHNG, iamtUnrcvObjVO.dsrcAdjCd)) {
			//정산점 변경일때는 입력된 정산부서코드로 수정
			dsrcDescVO.adjDeptCd = iamtUnrcvObjVO.adjDeptCd;
		} else {
			//정산점변경이외에는 현재 정산부서코드 유지.
			dsrcDescVO.adjDeptCd = bndVO.dsrcAdjDeptCd;
		}

		dsrcDescVO.isrtDeptCd = iamtUnrcvObjVO.isrtDeptCd;	//입력_부서_코드
		dsrcDescVO.procEmpNo  = iamtUnrcvObjVO.frstRegEmpNo;
		dsrcDescVO.custNo     = iamtUnrcvObjVO.custNo;

		return dsrcDescVO;
	}

	/**
	 * <p>메소드명	: getRcptDsrcUpdt</p>
	 * <p>설　　명	: 예가수정산정보를 예가수기본에 기록한다.</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, BndVO</p>
	 * <p>리　턴　값	: DsrcBaseVO</p>
	 */
	private static DsrcBaseVO getRcptDsrcUpdt(IamtUnrcvObjVO iamtUnrcvObjVO, BndVO bndVO) {

		DsrcBaseVO dsrcBaseVO = new DsrcBaseVO();
			//다른 대출번호로 정산요청이 발생할수 있다.
			dsrcBaseVO.adjLoanNo  = iamtUnrcvObjVO.loanNo;
			dsrcBaseVO.adjLoanSeq = iamtUnrcvObjVO.loanSeq;

		if (IamtUtil.equals(Constants.DSRC_DIV_ADJ_OFFC_CHNG, iamtUnrcvObjVO.dsrcAdjCd)) {
			//정산점 변경일때는 입력된 정산부서코드로 수정
			dsrcBaseVO.adjDeptCd = iamtUnrcvObjVO.adjDeptCd;
		} else {
			//정산점변경이외에는 현재 정산부서코드 유지.
			dsrcBaseVO.adjDeptCd = bndVO.dsrcAdjDeptCd;
		}

		//기 예가수정보는 채권정보에서 얻어온다.
		dsrcBaseVO.dsrcNo = bndVO.dsrcNo;
		dsrcBaseVO.dsrcSnum = bndVO.dsrcSnum + 1;

		// [19.07.10] 대출번호 수정일때 기존가수 정리하고 신규생성으로 변경
		if (IamtUtil.equals(Constants.DSRC_DIV_ADJ_OFFC_CHNG,iamtUnrcvObjVO.dsrcAdjCd)) {
			dsrcBaseVO.dsrcOccrAmt = bndVO.dsrcOccrAmt;
			dsrcBaseVO.dsrcRamt = bndVO.dsrcRamt;
		} else {
			dsrcBaseVO.dsrcOccrAmt = bndVO.dsrcOccrAmt;
			dsrcBaseVO.dsrcRamt = bndVO.dsrcRamt - iamtUnrcvObjVO.dsrcAdjAmt;
		}

		dsrcBaseVO.custNo   = iamtUnrcvObjVO.custNo;
		dsrcBaseVO.procEmpNo = iamtUnrcvObjVO.frstRegEmpNo;

		return dsrcBaseVO;
	}

	/**
	 * <p>메소드명	: procRcptCncl</p>
	 * <p>설　　명	: 수납취소 처리(취소는 한건씩만 가능)</p>
	 * <p>메소드인수	: IamtUnrcvVO, Connection</p>
	 * <p>리　턴　값	: IamtUnrcvVO</p>
	 */
	@Override
	public IamtUnrcvVO procRcptCncl(IamtUnrcvVO iamtUnrcvVO) {
		long start = System.currentTimeMillis();
		//sysDiv = StringUtil.getSysDiv();
		try {
			calcRcptCncl(iamtUnrcvVO);
		} catch (Exception e) {
			IamtUtil.makeResult(iamtUnrcvVO, e);
		}
		log.info("■ [입금미수] 수납취소처리 종료 : " + IamtUtil.intervalTime(start, System.currentTimeMillis()));
		return iamtUnrcvVO;
	}

	/**
	 * <p>메소드명	: calcRcptCncl</p>
	 * <p>설　　명	: 수납취소계산</p>
	 * <p>메소드인수	: IamtUnrcvVO, Connection</p>
	 * <p>리　턴　값	: IamtUnrcvVO</p>
	 */
	private IamtUnrcvVO calcRcptCncl(IamtUnrcvVO inVO) throws Exception {

		RcptMainVO rcptMainVO = new RcptMainVO();

		rcptMainVO.setIamtUnrcvVO(inVO);

		IamtUnrcvVO iamtUnrcvVO = rcptMainVO.getIamtUnrcvVO();

		if (iamtUnrcvVO.sizeIamtUnrcvObjVO() < 1) {
			throw new BizException("수납취소 요청정보가 없습니다.");
		}
		if (iamtUnrcvVO.sizeIamtUnrcvObjVO() != 1) {
			throw new BizException("수납취소는 한건씩 처리가능합니다.");
		}

		IamtUnrcvObjVO iamtCnclObjVO = iamtUnrcvVO.getIamtUnrcvObjVO(0);	//취소는 한건씩만 된다.

		/*****************************************************************************************
		 * 취소요청정보에 원장내용을 추가
		 *****************************************************************************************/
		iamtCnclObjVO = rcptService.setCnclObj(iamtCnclObjVO);
		iamtUnrcvVO.setIamtUnrcvObjVO(0, iamtCnclObjVO);

		/*****************************************************************************************
		 * 취소조건확인 후 취소대상의 원결제정보를 얻는다
		 *****************************************************************************************/
		rcptMainVO = validCnclCond(rcptMainVO, iamtUnrcvVO, iamtCnclObjVO);

		RcptBaseVO origRcptBase = rcptMainVO.getRcptBaseVO();

		iamtCnclObjVO.curLoanStatCd = iamtCnclObjVO.loanStatCd; //현 대출상태코드 set
		iamtCnclObjVO.loanStatCd    = origRcptBase.loanStatCd; //수납될때의 대출상태코드

		/*****************************************************************************************
		 * 법적조치비용 회수취소처리 (취소예가수발생으로 결제번호가 증가하여 취소예가수발생전으로 위치를 옮김!)
		 *****************************************************************************************/
		if (origRcptBase.leglActnCost > 0) {
			procLeglCostCncl(iamtCnclObjVO);
		}

		// 인지세 수납취소
		if (origRcptBase.stmpFee > 0) {
			UnrcvProcInVO unrcvProcVO = new UnrcvProcInVO();
			unrcvProcVO.setLoanNo(iamtCnclObjVO.loanNo);
			unrcvProcVO.setLoanSeq(iamtCnclObjVO.loanSeq);
			unrcvProcVO.setOrgSetlNo(origRcptBase.setlNo);
			unrcvProcVO.setSetlNo(iamtCnclObjVO.setlNo);
			unrcvProcVO.setOccrDeptCd(iamtCnclObjVO.isrtDeptCd);
			unrcvProcVO.setAdjDeptCd(iamtCnclObjVO.isrtDeptCd);
			unrcvProcVO.setAcctDt(iamtCnclObjVO.acctDt);
			unrcvProcVO.setSetlDt(iamtCnclObjVO.setlDt);
			unrcvProcVO.setEmpNo(iamtCnclObjVO.frstRegEmpNo);

			UnrcvProcOutVO outUnrcvProcDTO = unrcvProcService.rcptUnrcvAmtCancel(unrcvProcVO);
			if ( MsgEnum.SUCCESS.getErrorCd().equals(outUnrcvProcDTO.getRsltCd()) == false ) {
				throw new BizException(outUnrcvProcDTO.getRsltCntn());
			}
		}

		//RcptBaseVO cnclRcptBase = null;
		if (IamtUtil.equals(iamtCnclObjVO.partCnclCd, "01")) {
			//부분취소(원리금수납분 취소)
			rcptMainVO = calcRcptCnclPiamt(rcptMainVO, iamtUnrcvVO, origRcptBase);
		} else {

			//전액취소
			rcptMainVO = calcRcptCncl(rcptMainVO, iamtUnrcvVO, origRcptBase);
		}

		//면제품의 수납취소처리
		procExmp("C", iamtUnrcvVO.getIamtUnrcvObjVOList());

		//원거래가 대출완료, 중도완납일때 이연부대수익 처리.
		if (StringUtil.in(iamtCnclObjVO.adjLoanStatCd, "31", "32") && IamtUtil.isPiamt(origRcptBase.setlDivCd) && !IamtUtil.isLease(iamtCnclObjVO)) {
			dferIncdPrftCrteService.dferIncdPrftUpdt(iamtCnclObjVO.loanNo, iamtCnclObjVO.loanSeq, iamtCnclObjVO.adjLoanStatCd
					, BLANK /*대출_종료_일자*/, iamtCnclObjVO.isrtDt /*종료_취소_일자*/, iamtCnclObjVO.frstRegEmpNo);
		}

		//제휴약정 수정 (리스는 제휴약정 인터페이스 안한다. )
		if (!IamtUtil.isLease(iamtCnclObjVO) && origRcptBase.rcptPamt != 0) {
			final CprtContMngMdulObj contMngMdulObj = new CprtContMngMdulObj();
			contMngMdulObj.bizDivCd = "6"; //수납취소
			contMngMdulObj.loanNo = iamtCnclObjVO.loanNo;
			contMngMdulObj.loanSeq = iamtCnclObjVO.loanSeq;
			contMngMdulObj.loanPamt = origRcptBase.rcptPamt;
			contMngMdulObj.empNo = iamtCnclObjVO.frstRegEmpNo;
			cprtContMngMudlService.updateCprtLim(contMngMdulObj);
		}

		//부분상환취소시, 상환계획 재구성!!
		if (Constants.SETL_DIV_MIDRMBR_P.equals(iamtCnclObjVO.setlDivCd)) {
			final MidPartRmbrObj midPartRmbrObj = new MidPartRmbrObj();
			midPartRmbrObj.loanNo = iamtCnclObjVO.loanNo; //"대출번호"
			midPartRmbrObj.loanSeq = iamtCnclObjVO.loanSeq; //"대출순번"
			midPartRmbrObj.empNo = iamtCnclObjVO.frstRegEmpNo; //"사용자번호"

			// 스케쥴 갱신
			MidPartRmbrOutVO outVO = rmbrPlanUpdtService.midPartRmbrCncl(midPartRmbrObj);

			if (!outVO.getRsltCd().equals(MsgEnum.SUCCESS)) {
				throw new BizException("부분중도상환-상환계획생성에러");
			}
			else {
				// 스케쥴 일련번호 갱신
				rcptService.updateRcptBaseForMidRmbrCncl(midPartRmbrObj, iamtCnclObjVO.setlNo);
			}
		}

		// 채권-실시간연체 반영 (정산금액 有, AND (가상계좌 or 온라인수납))
		if (iamtCnclObjVO.adjAmt>0 && ("C1".equals(iamtCnclObjVO.rcptTpCd) || !iamtUnrcvVO.isAutoSetl())) {
			log.info("■ 가상계좌/온라인 수납취소 => 실시간연체 반영");

			OnlnDlyReptInVO onlnDlyReptInVO = new OnlnDlyReptInVO();
			onlnDlyReptInVO.setLoanNo(iamtCnclObjVO.loanNo);
			onlnDlyReptInVO.setLoanSeq(iamtCnclObjVO.loanSeq);
			onlnDlyReptInVO.setIsLog(false);

			OnlnDlyReptOutVO outVO = onlnDlyReptService.ProcRealTmpDlyInfo(onlnDlyReptInVO);

			if (!outVO.getRsltCd().equals(MsgEnum.SUCCESS)) {
				log.error("■ 실시간연체 반영에러 - "+iamtCnclObjVO.loanNo+"-"+iamtCnclObjVO.loanSeq);
			}
			else {
				log.info("■ C실시간연체] isAutoSetl:"+iamtUnrcvVO.isAutoSetl()+"/rcptTp:"+iamtCnclObjVO.rcptTpCd+"/adjAmt:"+iamtCnclObjVO.adjAmt);
			}
		}

		return iamtUnrcvVO;
	}

	/**
	 * <p>메소드명	: calcRcptCncl</p>
	 * <p>설　　명	: 수납취소계산</p>
	 * <p>메소드인수	: IamtUnrcvVO, RcptBaseVO, Connection</p>
	 * <p>리　턴　값	: RcptBaseVO</p>
	 */
	private RcptMainVO calcRcptCncl(RcptMainVO rcptMainVO, IamtUnrcvVO iamtUnrcvVO, RcptBaseVO orgRcptBase) throws Exception {

		IamtUnrcvObjVO iamtCnclObjVO = iamtUnrcvVO.getIamtUnrcvObjVO(0);

		//수납내역 갱신
		rcptService.updateRcptDescForCncl(iamtCnclObjVO);
		rcptService.createRcptDescForCncl(iamtCnclObjVO);

		//연체갱신
		rcptDlyService.updateRcptDlyDescForCncl(iamtCnclObjVO);
		rcptDlyService.createRcptDlyDescForCncl(iamtCnclObjVO);

		//선납갱신
		pdueService.updatePdueDescForCncl(iamtCnclObjVO);
		pdueService.createPdueDescForCncl(iamtCnclObjVO);

		//예가수 취소처리
		if (!StringUtil.isNull(iamtCnclObjVO.dsrcNo)) {
			log.info("[입금처리] 입력예가수 취소 : " + iamtCnclObjVO.dsrcNo);
			cnclDscrOccr(iamtCnclObjVO.dsrcNo, iamtCnclObjVO);
		}
		//차량매각대금 예가수 취소
		if (!StringUtil.isNull(iamtCnclObjVO.carsSellDsrcNo)) {
			log.info("[입금처리] 차량매각예가수 취소 : " + iamtCnclObjVO.carsSellDsrcNo);
			cnclDscrOccr(iamtCnclObjVO.carsSellDsrcNo, iamtCnclObjVO);
		}
		//명의이전보증금 취소
		if (!StringUtil.isNull(iamtCnclObjVO.nmChngDsrcNo)) {
			log.info("[입금처리] 명의이전보증금 취소 : " + iamtCnclObjVO.nmChngDsrcNo);
			cnclDscrOccr(iamtCnclObjVO.nmChngDsrcNo, iamtCnclObjVO);
		}

		/* 수납_기본을 취소처리한다. */
		rcptService.updateRcptBaseForCncl(iamtCnclObjVO);

		//수납_기본을 셋팅한다.
		RcptBaseVO adjCnclRcptBase = getRcptBaseVOForCncl(iamtCnclObjVO);

		/* 회계처리를 위한 거래내역구성을 요청한다. */
		int trDescNo = -1;
		if (Constants.NO.equals(iamtUnrcvVO.vochUnprocFg) && (iamtCnclObjVO.trSnum > 0)) {
			List rcptBaseList = new ArrayList();
			rcptBaseList.add(adjCnclRcptBase);

			trDescNo = procTrDesc(iamtUnrcvVO, iamtUnrcvVO.getIamtUnrcvObjVOList(), rcptBaseList);
			adjCnclRcptBase.trSnum = trDescNo;
		}

		/* 수납_기본에 취소 정보를 등록한다. */
		rcptService.createRcptBase(trDescNo, adjCnclRcptBase);

		/* 취소된 내역에 대해 대출정보를 수정한다. */
		/* 대출기본 수정을 요청한다. */
		iamtCnclObjVO.adjLoanStatCd = adjCnclRcptBase.loanStatCd; //원거래의 대출상태코드
		loanService.updateLoanBase(Constants.YES, iamtCnclObjVO, adjCnclRcptBase);

		boolean feeChk = commBizService.isChk("RCHECK","RRC001");

		if (feeChk) {
			try {
				// [KCAR 19.10.18] 영업파트 요청 - 중도상환 취소 시 CALL
				if ((Constants.SETL_DIV_MIDRMBR_T.equals(iamtCnclObjVO.setlDivCd) && "32".equals(iamtCnclObjVO.curLoanStatCd))
						||  Constants.SETL_DIV_MIDRMBR_P.equals(iamtCnclObjVO.setlDivCd) ) {
					loanService.deleteClawbkBase(iamtCnclObjVO);
				}
			} catch (Exception e){
				log.error("중도상환 취소 시 지급수수료환입율 삭제 오류");
			}
		}

		//수납취소가수 발생
		rcptMainVO = occrDsrcForCnclRcpt(rcptMainVO, iamtUnrcvVO.autoSetlFg, iamtUnrcvVO.vochUnprocFg, iamtCnclObjVO);

		if (adjCnclRcptBase.bfLoseStrtTims > 0) {
			// 기한상실 부활수납 취소시 다시 상실 회차를 업데이트 한다.
			rcptService.updateDdayPrftLoseStrtTims(iamtCnclObjVO, adjCnclRcptBase.bfLoseStrtTims);
		}

		iamtUnrcvVO.setIamtUnrcvObjVO(0, iamtCnclObjVO);
		rcptMainVO.setIamtUnrcvVO(iamtUnrcvVO);

		return rcptMainVO;
	}

	/**
	 * <p>메소드명	: occrDsrcForCnclRcpt</p>
	 * <p>설　　명	: 수납취소 후 예가수발생</p>
	 * <p>메소드인수	: autoSetlFg, vochUnprocFg, IamtUnrcvObjVO, Connection</p>
	 * <p>리　턴　값	: N/A</p>
	 */
	private RcptMainVO occrDsrcForCnclRcpt(RcptMainVO rcptMainVO,String autoSetlFg, String vochUnprocFg, IamtUnrcvObjVO iamtCnclObjVO) throws Exception {

		//취소후예가수발생여부
		if (iamtCnclObjVO.cnclAftDsrcUnOccrFg.equals(Constants.YES)	//강제로 예가수 발생시키지 않을조건입력시
				|| iamtCnclObjVO.setlAmt <= 0				//결제금액이 없을때
				|| vochUnprocFg.equals(Constants.YES)	//자동전표처리를 하지 않은건
				|| !StringUtil.in(iamtCnclObjVO.setlDivCd,		//결제구분이 예가수가 아닌건
						new String[] {Constants.SETL_DIV_PIAMT, Constants.SETL_DIV_CRDT_RCVR_UNRCV_AMT
										, Constants.SETL_DIV_MIDRMBR_P, Constants.SETL_DIV_MIDRMBR_T})) {
			//SKIP
			return rcptMainVO;
		}

		//0) 기본적으로 결제금이 있고, 전표처리를 한경우만
		//1) 다른 회계일자건을 수납취소시 원리금결제, 중도부분, 중도완납, 신용회복미수금 수납취소시 발생
		//2) 당일 회계일자건 취소시 수납유형이 자동이체수납, 가상계좌수납, 지로수납, 즉시출금수납
		boolean occrFg = false;
		if (!iamtCnclObjVO.orgAcctDt.equals(iamtCnclObjVO.acctDt)) {
			occrFg = true;
		} else if (iamtCnclObjVO.orgAcctDt.equals(iamtCnclObjVO.acctDt)) {
			if (iamtCnclObjVO.cnclAftDsrcForthOccrFg.equals(Constants.YES)
					|| StringUtil.in(iamtCnclObjVO.rcptTpCd, new String[]{Constants.RCPT_DIV_ATTR_RCPT, Constants.RCPT_DIV_IACNT_RCPT, Constants.RCPT_DIV_IMMD_OAMT})) {
				occrFg = true;
			}
		}

		if (occrFg) {
			log.info("■ 수납취소 후 예가수 발생");

			IamtUnrcvObjVO inIamtUnrcvObjVO = new IamtUnrcvObjVO();
			inIamtUnrcvObjVO.loanNo      = iamtCnclObjVO.loanNo;			//대출_번호
			inIamtUnrcvObjVO.loanSeq     = iamtCnclObjVO.loanSeq;		//대출_순번
			inIamtUnrcvObjVO.setlDt      = iamtCnclObjVO.setlDt;			//결제_일자(원결제일자)
			inIamtUnrcvObjVO.acctDt      = iamtCnclObjVO.acctDt;			//회계_일자
			inIamtUnrcvObjVO.rcptTpCd    = iamtCnclObjVO.rcptTpCd;		//수납_유형_코드
			inIamtUnrcvObjVO.setlDivCd   = Constants.SETL_DIV_DSRC;	//결제_구분코드
			inIamtUnrcvObjVO.dsrcAdjCd   = Constants.DSRC_DIV_DSRC_OCCR;		//예가수_발생
			inIamtUnrcvObjVO.dsrcOccrCd  = Constants.DSRC_DIV_RCPT_CNCL_SRCP;	//수납취소가수
			inIamtUnrcvObjVO.rcptAmt     = iamtCnclObjVO.rcptAmt;		//수납_금액
			inIamtUnrcvObjVO.setlAmt     = iamtCnclObjVO.setlAmt;		//결제_금액
			inIamtUnrcvObjVO.cashAmt     = iamtCnclObjVO.cashAmt;		//현금_금액
			inIamtUnrcvObjVO.setlDtChkFg = Constants.NO;			//결제일자체크여부
			inIamtUnrcvObjVO.spclBndProcPossFg = iamtCnclObjVO.spclBndProcPossFg;
			inIamtUnrcvObjVO.acctUnitCd   = iamtCnclObjVO.acctUnitCd;	//회계_단위_코드
			inIamtUnrcvObjVO.isrtDeptCd   = iamtCnclObjVO.isrtDeptCd;	//입력_부서_코드
			inIamtUnrcvObjVO.frstRegEmpNo = iamtCnclObjVO.frstRegEmpNo;	//최초_등록_사원번호
			inIamtUnrcvObjVO.sysPathCd    = iamtCnclObjVO.sysPathCd;		//컨텍센터수납추가

			IamtUnrcvVO inIamtUnrcvVO = new IamtUnrcvVO();
			inIamtUnrcvVO.autoSetlFg = autoSetlFg;
			if (inIamtUnrcvVO.autoSetlFg.equals(Constants.YES)) {
				inIamtUnrcvObjVO.acntNo = iamtCnclObjVO.acntNo;
				inIamtUnrcvObjVO.bankCd = iamtCnclObjVO.bankCd;
			}

			inIamtUnrcvVO.addIamtUnrcvObjVO(inIamtUnrcvObjVO);

			IamtUnrcvVO outIamtUnrcvVO = procRcpt(inIamtUnrcvVO, null);
			if (!inIamtUnrcvVO.isSuccess()) {
				throw new BizException("취소수납처리중 에러발생 [" + inIamtUnrcvVO.rsltCntn + "]");
			}

			//수납결과셋팅
			iamtCnclObjVO.dsrcNo = outIamtUnrcvVO.getIamtUnrcvObjVO(0).dsrcNo;
			iamtCnclObjVO.setlNo = outIamtUnrcvVO.getIamtUnrcvObjVO(0).setlNo;
		}

		rcptMainVO.getIamtUnrcvVO().setIamtUnrcvObjVO(0, iamtCnclObjVO);

		return rcptMainVO;
	}

	/**
	 * <p>메소드명	: calcRcptCnclPiamt</p>
	 * <p>설　　명	: 원리금 수납을 취소한다.</p>
	 * <p>메소드인수	: IamtUnrcvVO, RcptBaseVO, Connection</p>
	 * <p>리　턴　값	: RcptBaseVO</p>
	 */
	private RcptMainVO calcRcptCnclPiamt(RcptMainVO rcptMainVO, IamtUnrcvVO iamtUnrcvVO, RcptBaseVO orgiRcptBase) throws Exception {

		IamtUnrcvObjVO iamtCnclObjVO = iamtUnrcvVO.getIamtUnrcvObjVO(0);

		/*****************************************************************************************
		 * 수납내역 갱신
		 *****************************************************************************************/
		rcptService.updateRcptDescForCnclPiamt(iamtCnclObjVO);
		rcptService.createRcptDescForCnclPiamt(iamtCnclObjVO);

		/*****************************************************************************************
		 * 연체 갱신
		 *****************************************************************************************/
		rcptDlyService.updateRcptDlyDescForCnclPiamt(iamtCnclObjVO);
		rcptDlyService.createRcptDlyDescForCnclPiamt(iamtCnclObjVO);

		/*****************************************************************************************
		 * 선납 갱신
		 *****************************************************************************************/
		pdueService.updatePdueDescForCnclPiamt(iamtCnclObjVO);
		pdueService.createPdueDescForCnclPiamt(iamtCnclObjVO);

		/*****************************************************************************************
		 * 수납기본 취소변경
		 *****************************************************************************************/
		rcptService.updateRcptBaseForCnclPiamt(iamtCnclObjVO);

		/*****************************************************************************************
		 * 수납기본 구성 (원거래취소분 + 취소분에대한 예가수발생 )
		 *****************************************************************************************/
		RcptBaseVO adjCnclRcptBase = getRcptBaseVOForCnclPiamt(iamtCnclObjVO);

		/*****************************************************************************************
		 * 예가수발생
		 *****************************************************************************************/
		//예가수번호 채번 (Ex> S0601000001, 11자리, [S] + [YYMM] + [00000X])
		String dsrcNo = commBizService.gvnoDsrcNo(iamtCnclObjVO.acctDt);

		String dsrcOccrCd = Constants.DSRC_OCCR_RCPT_PART_CNCL_SRCP;	//수납부분취소가수
		if (IamtUtil.isAutoOprLease(iamtCnclObjVO)) {
			dsrcOccrCd = Constants.DSRC_OCCR_OPR_LEAS_BRCV_AMT_LEAS_FEE;
		}

		adjCnclRcptBase.dsrcNo = dsrcNo;
		adjCnclRcptBase.dsrcOccrCd = dsrcOccrCd;
		//원요청값에 부분취소로 생성된 가수번호를 입력한다.
		iamtCnclObjVO.dsrcNo = dsrcNo;

		createDsrcForPiamtCncl(iamtCnclObjVO, adjCnclRcptBase, dsrcNo, dsrcOccrCd);

		/*****************************************************************************************
		 * 취소전표처리
		 *****************************************************************************************/
		int trDescNo = -1;
		if (Constants.NO.equals(iamtUnrcvVO.vochUnprocFg) && (iamtCnclObjVO.trSnum > 0 )) {
			List rcptBaseList = new ArrayList(1);
			rcptBaseList.add(adjCnclRcptBase);

			trDescNo = procTrDesc(iamtUnrcvVO, iamtUnrcvVO.getIamtUnrcvObjVOList(), rcptBaseList);
			iamtUnrcvVO.trDescNo = trDescNo;
			adjCnclRcptBase.trSnum = trDescNo;
		}

		/*****************************************************************************************
		 * 수납기본 등록
		 *****************************************************************************************/
		rcptService.createRcptBase(trDescNo, adjCnclRcptBase);

		/* 취소된 내역에 대해 대출정보를 수정한다. */
		/* 대출기본 수정을 요청한다. */
		iamtCnclObjVO.adjLoanStatCd = adjCnclRcptBase.loanStatCd; //원거래의 대출상태코드
		loanService.updateLoanBase(Constants.YES, iamtCnclObjVO, adjCnclRcptBase);

		if (adjCnclRcptBase.bfLoseStrtTims > 0) {
			// 기한상실 부활수납 취소시 다시 상실 회차를 업데이트 한다.
			rcptService.updateDdayPrftLoseStrtTims(iamtCnclObjVO, adjCnclRcptBase.bfLoseStrtTims);
		}


		iamtUnrcvVO.setIamtUnrcvObjVO(0, iamtCnclObjVO);
		rcptMainVO.setIamtUnrcvVO(iamtUnrcvVO);

		return rcptMainVO;
	}

	/**
	 * <p>메소드명	: cnclDscrOccr</p>
	 * <p>설　　명	: 발생된 예가수 취소</p>
	 * <p>메소드인수	: dsrcNo, IamtUnrcvObjVO, Connection</p>
	 * <p>리　턴　값	: N/A</p>
	 */
	private void cnclDscrOccr(String dsrcNo, IamtUnrcvObjVO iamtCnclObjVO) {

		//발생금액 - 내역.발생금액
		//잔액  + (-1 * 내역.발생금액 or + 내역.정산금액 ) -> 발생시는 잔액을 빼고, 정산시에는 예가수정산금액을 다시 돌린다.
		//정산금액  - 내역.정산금액
		List dsrcList = rcptDsrcService.searchOccrDsrc(dsrcNo, iamtCnclObjVO);
		if (StringUtil.size(dsrcList)!=2) {
			throw new BizException("취소할 예가수 정보가 없습니다.[" + iamtCnclObjVO.dsrcNo + "]");
		}

		DsrcBaseVO tmpDsrcBaseVO = (DsrcBaseVO) dsrcList.get(0);
		DsrcDescVO tmpDsrcDescVO = (DsrcDescVO) dsrcList.get(1);

		//중도해지 취소시 예가수발생금과 예가수잔여금이 틀리면 에러임.
		if (iamtCnclObjVO.rcptTpCd.equals(Constants.RCPT_DIV_MID_CLOS_RCPT_DEPO)) {
			if (tmpDsrcDescVO.dsrcAdjAmt!=0) {
				throw new BizException("예가수 정산금이 존재합니다. 예가수가 사용되면 중도해지 취소를 할수 없습니다.");
			}
		}

		/* 입금미수.대상에 대해 예가수 잔액을 수정한다. */
		if (1 != rcptDsrcService.updateRcptDsrcBaseForCncl(dsrcNo, iamtCnclObjVO, tmpDsrcBaseVO)) {
			throw new BizException("예가수잔액 변경에 실패했습니다[예가수번호 : " + dsrcNo + "]");
		}

		/* 입금미수.대상에 환불을 취소처리(수정한다). */
		rcptDsrcService.updateRcptRfndDescForCncl(dsrcNo, iamtCnclObjVO, tmpDsrcBaseVO);

		/* 예가수_내역에 대해 취소처리한다. */
		/* 입금미수.대상 객체에 대하여 수납_예가수_내역을 수정한다. */
		rcptDsrcService.updateRcptDsrcDescForCncl(dsrcNo, iamtCnclObjVO);

		/* 입금미수.대상 객체에 예가수_내역을 등록한다. */
		rcptDsrcService.createRcptDsrcDescForCncl(dsrcNo, iamtCnclObjVO, tmpDsrcBaseVO, tmpDsrcDescVO);

		dsrcList.clear();
		dsrcList = null;
		tmpDsrcBaseVO = null;
		tmpDsrcDescVO = null;
	}

	/**
	 * <p>메소드명	: createDsrcForPiamtCncl</p>
	 * <p>설　　명	: 수납부분취소 가수발생</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, RcptBaseVO, String dsrcNo, String dsrcOccrCd</p>
	 * <p>리　턴　값	: N/A</p>
	 */
	private void createDsrcForPiamtCncl(IamtUnrcvObjVO iamtUnrcvObjVO, RcptBaseVO adjCnclRcptBase, String dsrcNo, String dsrcOccrCd) throws Exception {

		//예가수 기본생성
		DsrcBaseVO dsrcBaseVO = new DsrcBaseVO();
		dsrcBaseVO.dsrcNo = dsrcNo; //예가수_번호
		dsrcBaseVO.dsrcSnum = 1; //예가수_일련번호
		dsrcBaseVO.occrLoanNo = iamtUnrcvObjVO.loanNo; //발생_대출_번호
		dsrcBaseVO.occrLoanSeq = iamtUnrcvObjVO.loanSeq; //발생_대출_순번
		dsrcBaseVO.setlNo = iamtUnrcvObjVO.setlNo; //결제_번호(취소결제번호)
		dsrcBaseVO.rcptTpCd = iamtUnrcvObjVO.rcptTpCd; //수납_유형_코드
		dsrcBaseVO.dsrcOccrCd = dsrcOccrCd; //예가수_발생_코드
		dsrcBaseVO.setlDt = iamtUnrcvObjVO.setlDt; //결제_일자
		dsrcBaseVO.acctDt = iamtUnrcvObjVO.acctDt; //회계_일자
		dsrcBaseVO.dsrcOccrAmt = adjCnclRcptBase.dsrcOccrAmt;	//원결제금 - 발생예가수금 ==> 실제로 결제된 금액에서 남아서 발생된 예가수발생금을 제외한 금액을 취소한다.
		dsrcBaseVO.dsrcRamt = dsrcBaseVO.dsrcOccrAmt; //예가수발생금액 = 예가수잔액금액 (예가수발생시 )
		dsrcBaseVO.isrtDeptCd = iamtUnrcvObjVO.isrtDeptCd; //입력_부서_코드
		dsrcBaseVO.adjDeptCd = iamtUnrcvObjVO.mngDeptCd; //관리부서코드
		dsrcBaseVO.unCnfmFg = "0";	//취소에 대한 예가수발생처리임으로 미확인은 없슴.
		dsrcBaseVO.rfndSnum = 0; //환불_일련번호
		dsrcBaseVO.rfndStatCd = Constants.RFND_STAT_DSRC; //환불_상태_코드
		dsrcBaseVO.adjLoanNo = iamtUnrcvObjVO.loanNo; //정산_대출_번호 (발생한 예가수를 정산할 대출)
		dsrcBaseVO.adjLoanSeq = iamtUnrcvObjVO.loanSeq; //정산_대출_순번
		dsrcBaseVO.rmk = iamtUnrcvObjVO.rmk;
		dsrcBaseVO.procEmpNo = iamtUnrcvObjVO.frstRegEmpNo;
		dsrcBaseVO.custNo = iamtUnrcvObjVO.custNo;

		//예가수 내역 생성
		DsrcDescVO dsrcDescVO = new DsrcDescVO();
		dsrcDescVO.loanNo = iamtUnrcvObjVO.loanNo; //대출_번호
		dsrcDescVO.loanSeq = iamtUnrcvObjVO.loanSeq; //대출_순번
		dsrcDescVO.setlNo = iamtUnrcvObjVO.setlNo; //결제_번호(취소결제번호)
		dsrcDescVO.rcptTpCd = iamtUnrcvObjVO.rcptTpCd; //수납_유형_코드
		dsrcDescVO.setlDt = iamtUnrcvObjVO.setlDt; //결제_일자
		dsrcDescVO.acctDt = iamtUnrcvObjVO.acctDt; //회계_일자
		dsrcDescVO.rmk = iamtUnrcvObjVO.rmk;
		dsrcDescVO.dsrcNo = dsrcNo; //예가수_번호
		dsrcDescVO.dsrcSnum = dsrcBaseVO.dsrcSnum; //예가수일련번호
		dsrcDescVO.dsrcOccrCd = dsrcOccrCd; //예가수_발생_코드
		dsrcDescVO.dsrcAdjCd = Constants.DSRC_DIV_DSRC_OCCR; //예가수_정산_코드
		dsrcDescVO.dsrcOccrAmt = dsrcBaseVO.dsrcOccrAmt; //예가수_발생금액
		dsrcDescVO.dsrcRamt = dsrcBaseVO.dsrcOccrAmt; //예가수_잔액
		dsrcDescVO.dsrcAdjAmt = 0; //예가수_정산_금액, 발생시는 정산금액을 셋팅하지 않는다.
		dsrcDescVO.cnclFg = Constants.NO; //취소_여부
		dsrcDescVO.cnclDt = BLANK; //취소_일자
		dsrcDescVO.adjDeptCd = dsrcBaseVO.adjDeptCd; //정산_부서_코드
		dsrcDescVO.isrtDeptCd = iamtUnrcvObjVO.isrtDeptCd;
		dsrcDescVO.procEmpNo = iamtUnrcvObjVO.frstRegEmpNo;
		dsrcDescVO.custNo = iamtUnrcvObjVO.custNo;

		List dsrcDescList = new ArrayList(1);
		dsrcDescList.add(dsrcDescVO);
		rcptDsrcService.createRcptDsrcDesc(dsrcDescList);

		dsrcDescList.clear();
		dsrcDescList.add(dsrcBaseVO);
		rcptDsrcService.createDsrcBase(dsrcDescList);

		dsrcDescList.clear();
		dsrcDescList = null;
		dsrcBaseVO = null;
		dsrcDescVO = null;
	}

	/**
	 * TODO 리스 미사용
	 * <p>메소드명	: createDsrcForMidClos</p>
	 * <p>설　　명	: 중도해지보증금(명의이전보증금), 차량매각대금 예가수발생</p>
	 * <p>메소드인수	: dsrcOccrCd, dsrcOccrAmt, IamtUnrcvObjVO, RcptBaseVO, Connection</p>
	 * <p>리　턴　값	: String</p>
	 */
	//private static String createDsrcForMidClos(String dsrcOccrCd, long dsrcOccrAmt, IamtUnrcvObjVO iamtUnrcvObjVO, RcptBaseVO adjCnclRcptBase) throws Exception {

	/**
	 * <p>메소드명	: getRcptBaseVOForCncl</p>
	 * <p>설　　명	: 수납취소 정보(수납기본)를 구성(원거래 + 입력값)한다.</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, Connection</p>
	 * <p>리　턴　값	: RcptBaseVO</p>
	 */
	private RcptBaseVO getRcptBaseVOForCncl(IamtUnrcvObjVO iamtUnrcvObjVO) {

		//기존 수납기본 조회
		final RcptBaseVO searchRcptBaseVO = new RcptBaseVO();
		searchRcptBaseVO.loanNo = iamtUnrcvObjVO.loanNo;
		searchRcptBaseVO.loanSeq = iamtUnrcvObjVO.loanSeq;
		searchRcptBaseVO.setlNo = iamtUnrcvObjVO.orgSetlNo;

		RcptBaseVO origRcptBase = rcptService.searchRcptBaseByPK(searchRcptBaseVO);

		origRcptBase.loanNo = iamtUnrcvObjVO.loanNo; // 대출_번호
		origRcptBase.loanSeq = iamtUnrcvObjVO.loanSeq; // 대출_순번
		origRcptBase.setlNo = iamtUnrcvObjVO.setlNo; // 결제_번호

		origRcptBase.acctDt = iamtUnrcvObjVO.acctDt; // 회계_일자
		origRcptBase.isrtDt = iamtUnrcvObjVO.isrtDt; // 입력_일자
		origRcptBase.acctUnitCd = iamtUnrcvObjVO.acctUnitCd; // 회계_단위_코드
		origRcptBase.mngAcctUnitCd = iamtUnrcvObjVO.mngAcctUnitCd; //DB에서 얻는다.

		origRcptBase.isrtDeptCd = iamtUnrcvObjVO.isrtDeptCd; // 입력_부서_코드
		origRcptBase.trTpCd = iamtUnrcvObjVO.trTpCd; // 거래_유형_코드
		origRcptBase.trSnum = iamtUnrcvObjVO.trSnum; // 거래_일련번호
		origRcptBase.prdtCd = iamtUnrcvObjVO.prdtCd; // 상품_코드

		//NOTE 거래이체번호에 임시로 원결제번호를 셋팅한다.
		origRcptBase.trTranNo = iamtUnrcvObjVO.orgSetlNo; //거래이체번호

		//기존 정보
//		rcptBaseVO.rcptTpCd = rcptBaseVO.rcptTpCd; // 수납_유형_코드
//		rcptBaseVO.procSetlDivCd = rcptBaseVO.procSetlDivCd; // 결제_구분코드
//		rcptBaseVO.dsrcAdjCd = rcptBaseVO.dsrcAdjCd; // 예가수_정산_코드
//		rcptBaseVO.dsrcOccrCd = rcptBaseVO.dsrcOccrCd; // 예가수_발생_코드
//		rcptBaseVO.setlDt = rcptBaseVO.setlDt; // 결제일자
		origRcptBase.bankCd = iamtUnrcvObjVO.bankCd; // 은행_코드
		origRcptBase.acntNo = iamtUnrcvObjVO.acntNo; // 계좌번호

		origRcptBase.setlAmt = -1 * origRcptBase.setlAmt; // 결제_금액
		origRcptBase.dsrcAdjAmt = -1 * origRcptBase.dsrcAdjAmt; // 예가수_정산_금액
		origRcptBase.exmpAmt = -1 * origRcptBase.exmpAmt; // 면제_금액
		origRcptBase.pdueDiscDfee = -1 * origRcptBase.pdueDiscDfee; // 선납_할인_연체료
		origRcptBase.rcptAmt = -1 * origRcptBase.rcptAmt; // 수납_금액
		origRcptBase.cashAmt = -1 * origRcptBase.cashAmt; // 현금_금액

		origRcptBase.rcptAfPamtRamt = origRcptBase.rcptAfPamtRamt + origRcptBase.rcptPamt; // 수납_후_원금_잔액
		origRcptBase.rcptAfTrtFeeRamt = origRcptBase.rcptAfTrtFeeRamt + origRcptBase.rcptTrtFee; // 수납_후_취급수수료잔액
		origRcptBase.rcptPamt = -1 * origRcptBase.rcptPamt; // 수납_원금
		origRcptBase.rcptInt = -1 * origRcptBase.rcptInt; // 수납_이자
		origRcptBase.rcptTrtFee = -1 * origRcptBase.rcptTrtFee; // 수납_취급수수료
		origRcptBase.rcptDfee = -1 * origRcptBase.rcptDfee; // 수납_연체료
		origRcptBase.leglActnCost = -1 * origRcptBase.leglActnCost; // 법적_조치_비용
		origRcptBase.midRmbrPamt = -1 * origRcptBase.midRmbrPamt; // 중도_상환_원금
		origRcptBase.midRmbrInt = -1 * origRcptBase.midRmbrInt; // 중도_상환_이자
		origRcptBase.midRmbrTrtFee = -1 * origRcptBase.midRmbrTrtFee; // 중도_상환_취급수수료
		origRcptBase.midRmbrFee = -1 * origRcptBase.midRmbrFee; // 중도_상환_수수료
		origRcptBase.trtFeeDisc = -1 * origRcptBase.trtFeeDisc; // 취급_수수료_할인

		origRcptBase.exmpPamt = -1 * origRcptBase.exmpPamt; // 면제_원금
		origRcptBase.exmpInt = -1 * origRcptBase.exmpInt; // 면제_이자
		origRcptBase.exmpTrtFee = -1 * origRcptBase.exmpTrtFee; // 면제_취급수수료
		origRcptBase.exmpDfee = -1 * origRcptBase.exmpDfee; // 면제_연체료
		origRcptBase.exmpLeglActnCost = -1 * origRcptBase.exmpLeglActnCost; // 면제_법적_조치_비용
		origRcptBase.exmpMidRmbrFee = -1 * origRcptBase.exmpMidRmbrFee; // 면제_중도_상환_수수료
		origRcptBase.dsrcOccrAmt = -1 * origRcptBase.dsrcOccrAmt; // 예가수_발생_금액

		// 리스금액필드 추가
//		origRcptBase.planTrSnum = -1 * origRcptBase.planTrSnum;//계획_거래_일련번호
//		origRcptBase.planSubSnum = -1 * origRcptBase.planSubSnum;//계획_보조_일련번호
		origRcptBase.rcptPpayInt = -1 * origRcptBase.rcptPpayInt;//수납_선급_이자
		origRcptBase.rcptAddInsuFee = -1 * origRcptBase.rcptAddInsuFee;//보험료
		origRcptBase.rcptAddCartax = -1 * origRcptBase.rcptAddCartax;//차세
		origRcptBase.rcptAddEnvImprBrdnamt = -1 * origRcptBase.rcptAddEnvImprBrdnamt;//환개금
		origRcptBase.rcptAddAsfee = -1 * origRcptBase.rcptAddAsfee;//수납_가산_정비료
		origRcptBase.rcptIpayInsuFee = -1 * origRcptBase.rcptIpayInsuFee;//수납_대지급_보험료
		origRcptBase.rcptIpayCartax = -1 * origRcptBase.rcptIpayCartax;//수납_대지급_자동차세
		origRcptBase.rcptIpayEnvImprBrdnamt = -1 * origRcptBase.rcptIpayEnvImprBrdnamt;//수납_대지급_환경_개선_부담금
		origRcptBase.rcptIpayPnltAmt = -1 * origRcptBase.rcptIpayPnltAmt;//수납_대지급_범칙금
		origRcptBase.rcptIpayEtc = -1 * origRcptBase.rcptIpayEtc;//수납_대지급_기타
		origRcptBase.rcptVtax = -1 * origRcptBase.rcptVtax;//수납_부가세
		origRcptBase.ltrmBrcvAmt = -1 * origRcptBase.ltrmBrcvAmt;//장기_선수금
		origRcptBase.ramtAmt = -1 * origRcptBase.ramtAmt;//잔가_금액
		origRcptBase.guarAmt = -1 * origRcptBase.guarAmt;//보증금

		origRcptBase.nmChngDsrcNo   = BLANK;    //명의_변경_예가수_번호
		origRcptBase.nmChngGuarAmt  = -1 * origRcptBase.nmChngGuarAmt ;    //명의_변경_보증금
		origRcptBase.retnOdueAmt    = -1 * origRcptBase.retnOdueAmt   ;    //반납_지연_금액
		origRcptBase.overDrvFee     = -1 * origRcptBase.overDrvFee    ;    //초과_운행_수수료
		origRcptBase.orgupRcvrCost  = -1 * origRcptBase.orgupRcvrCost ;    //원상_복구_비용
		origRcptBase.carsSellDsrcNo = BLANK;    //차량_매각_예가수_번호
		origRcptBase.carsSellAmt    = -1 * origRcptBase.carsSellAmt   ;    //차량_매각_대금
		origRcptBase.midRmbrPpayInt        = -1* origRcptBase.midRmbrPpayInt        ;    //중도_상환_선급_이자
		origRcptBase.midRmbrAddInsuFee     = -1* origRcptBase.midRmbrAddInsuFee     ;    //중도_상환_가산_보험료
		origRcptBase.midRmbrAddCartax         = -1* origRcptBase.midRmbrAddCartax         ;    //중도_상환_자동차세
		origRcptBase.midRmbrAddEnvImprBrdnamt = -1* origRcptBase.midRmbrAddEnvImprBrdnamt ;    //중도_상환_환경_개선_부담금
		origRcptBase.midRmbrAddAsfee       = -1* origRcptBase.midRmbrAddAsfee       ;    //중도_상환_가산_정비료
		origRcptBase.midRmbrVtax           = -1* origRcptBase.midRmbrVtax           ;    //중도_상환_부가세
		origRcptBase.deprDeprTamt          = -1* origRcptBase.deprDeprTamt          ;    //감가_상각_누계액
		origRcptBase.dspLossApprAmt        = -1* origRcptBase.dspLossApprAmt        ;    //처분_손실_충당금
		origRcptBase.oprLeasAset           = -1* origRcptBase.oprLeasAset           ;    //운용_리스_자산
		origRcptBase.custCost              = -1* origRcptBase.custCost           ;    //고객_비용

		//기존정보
//		rcptBaseVO.unCnfmFg = rcptBaseVO.unCnfmFg; // 미_확인_여부
//		rcptBaseVO.rfndFg = rcptBaseVO.rfndFg; // 환불_여부
//		rcptBaseVO.exmpFg = rcptBaseVO.exmpFg; // 면제_여부
//		rcptBaseVO.cnclFg = rcptBaseVO.cnclFg; // 취소_여부
//		rcptBaseVO.cnclDt = rcptBaseVO.cnclDt; // 취소_일자
//		rcptBaseVO.loanStatCd = iamtUnrcvObjVO.loanStatCd; // 대출_상태_코드, 기존상태로 돌림.
		origRcptBase.bndStatCd = iamtUnrcvObjVO.bndStatCd; // 채권_상태_코드
		origRcptBase.bndDivsEmpNo = iamtUnrcvObjVO.bndDivsEmpNo; // 채권_담당_사원번호
		origRcptBase.mngDeptCd = iamtUnrcvObjVO.mngDeptCd; // 관리_부서_코드
		origRcptBase.procEmpNo = iamtUnrcvObjVO.frstRegEmpNo; //처리_사원_번호
		//유동화정산값은 초기화
		origRcptBase.flotIzeJobDt = BLANK;
		origRcptBase.flotIzeAdjFg = "0";
		// SYS_PATH_CD 추가 (컨텍유저 등, 입금경로 )
		origRcptBase.sysPathCd = iamtUnrcvObjVO.sysPathCd;
		origRcptBase.crdtRcvrUnrcvAmt = -1 * origRcptBase.crdtRcvrUnrcvAmt;

		origRcptBase.stmpFee = -1 * origRcptBase.stmpFee;

		return origRcptBase;
	}

	/**
	 * <p>메소드명	: getRcptBaseVOForCnclPiamt</p>
	 * <p>설　　명	: 원리금 취소(부분취소)시 수납기본 셋팅 (원리금 금액을 취소하고 취소금만큼 예가수발생처리한다.)</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, Connection</p>
	 * <p>리　턴　값	: RcptBaseVO</p>
	 */
	private RcptBaseVO getRcptBaseVOForCnclPiamt(IamtUnrcvObjVO iamtUnrcvObjVO) {

		//기존 수납기본 조회
		RcptBaseVO searchRcptBaseVO = new RcptBaseVO();
		searchRcptBaseVO.loanNo = iamtUnrcvObjVO.loanNo;
		searchRcptBaseVO.loanSeq = iamtUnrcvObjVO.loanSeq;
		searchRcptBaseVO.setlNo = iamtUnrcvObjVO.orgSetlNo;
		RcptBaseVO origRcptBase = rcptService.searchRcptBaseByPK(searchRcptBaseVO);
		searchRcptBaseVO = null;

		//원거래정보를 조회하고도 다시 취소요청정보에서 셋팅하는 이유는 취소당시의 데이터와 현재데이터의 gap이 있을수 있기때문임.
		origRcptBase.setlNo = iamtUnrcvObjVO.setlNo; // 결제_번호(기존 max결제번호 + 1)
		origRcptBase.acctDt = iamtUnrcvObjVO.acctDt; // 회계_일자
		origRcptBase.isrtDt = iamtUnrcvObjVO.isrtDt; // 입력_일자
		origRcptBase.acctUnitCd = iamtUnrcvObjVO.acctUnitCd; // 회계_단위_코드
		origRcptBase.mngAcctUnitCd = iamtUnrcvObjVO.mngAcctUnitCd; //DB에서 얻는다.

		origRcptBase.isrtDeptCd = iamtUnrcvObjVO.isrtDeptCd; // 입력_부서_코드
		origRcptBase.trTpCd = iamtUnrcvObjVO.trTpCd; // 거래_유형_코드
		origRcptBase.trSnum = iamtUnrcvObjVO.trSnum; // 거래_일련번호
		origRcptBase.prdtCd = iamtUnrcvObjVO.prdtCd; // 상품_코드

		//NOTE 거래이체번호에 임시로 원결제번호를 셋팅한다.
		origRcptBase.trTranNo = iamtUnrcvObjVO.orgSetlNo; //거래이체번호

		long occrAmt = origRcptBase.setlAmt - origRcptBase.dsrcOccrAmt;
		origRcptBase.dsrcOccrAmt = occrAmt;
		origRcptBase.dsrcNo = BLANK;	//!!NOTE 예가수발생에서 채번값 셋팅
		origRcptBase.dsrcAdjCd = Constants.DSRC_DIV_DSRC_OCCR; // 예가수_정산_코드 (예가수발생 )
		origRcptBase.dsrcOccrCd = BLANK; //!!NOTE 예가수발생에서 발생코드셋팅
		origRcptBase.bankCd = iamtUnrcvObjVO.bankCd; // 은행_코드
		origRcptBase.acntNo = iamtUnrcvObjVO.acntNo; // 계좌번호
		origRcptBase.setlAmt = 0; // 결제_금액
		origRcptBase.dsrcAdjAmt = 0; // 예가수_정산_금액
		origRcptBase.pdueDiscDfee = -1 * origRcptBase.pdueDiscDfee; // 선납_할인_연체료
		origRcptBase.rcptAmt = 0; // 수납_금액
		origRcptBase.cashAmt = 0; // 현금_금액

		origRcptBase.rcptAfPamtRamt = origRcptBase.rcptAfPamtRamt + origRcptBase.rcptPamt; // 수납_후_원금_잔액
		origRcptBase.rcptAfTrtFeeRamt = origRcptBase.rcptAfTrtFeeRamt + origRcptBase.rcptTrtFee; // 수납_후_취급수수료잔액
		origRcptBase.rcptPamt = -1 * origRcptBase.rcptPamt; // 수납_원금
		origRcptBase.rcptInt = -1 * origRcptBase.rcptInt; // 수납_이자
		origRcptBase.rcptTrtFee = -1* origRcptBase.rcptTrtFee         ;    //취급수수료
		origRcptBase.rcptDfee = -1 * origRcptBase.rcptDfee; // 수납_연체료
		origRcptBase.leglActnCost = -1 * origRcptBase.leglActnCost; // 법적_조치_비용
		origRcptBase.midRmbrPamt = -1 * origRcptBase.midRmbrPamt; // 중도_상환_원금
		origRcptBase.midRmbrInt = -1 * origRcptBase.midRmbrInt; // 중도_상환_이자
		origRcptBase.midRmbrTrtFee = -1 * origRcptBase.midRmbrTrtFee; // 중도_상환_이자
		origRcptBase.midRmbrFee = -1 * origRcptBase.midRmbrFee; // 중도_상환_수수료
		origRcptBase.trtFeeDisc = -1 * origRcptBase.trtFeeDisc; // 취급_수수료_할인

		origRcptBase.bndStatCd = iamtUnrcvObjVO.bndStatCd; // 채권_상태_코드
		origRcptBase.bndDivsEmpNo = iamtUnrcvObjVO.bndDivsEmpNo; // 채권_담당_사원번호
		origRcptBase.mngDeptCd = iamtUnrcvObjVO.mngDeptCd; // 관리_부서_코드
		origRcptBase.procEmpNo = iamtUnrcvObjVO.frstRegEmpNo; //처리_사원_번호
		origRcptBase.partCnclCd = iamtUnrcvObjVO.partCnclCd;	//부분취소코드

		//리스금액필드 추가
		origRcptBase.rcptPpayInt = -1 * origRcptBase.rcptPpayInt;//수납_선급_이자
		origRcptBase.rcptAddInsuFee = -1 * origRcptBase.rcptAddInsuFee;//보험료
		origRcptBase.rcptAddCartax = -1 * origRcptBase.rcptAddCartax;//차세
		origRcptBase.rcptAddEnvImprBrdnamt = -1 * origRcptBase.rcptAddEnvImprBrdnamt;//환개금
		origRcptBase.rcptAddAsfee = -1 * origRcptBase.rcptAddAsfee;//수납_가산_정비료
		origRcptBase.rcptIpayInsuFee = -1 * origRcptBase.rcptIpayInsuFee;//수납_대지급_보험료
		origRcptBase.rcptIpayCartax = -1 * origRcptBase.rcptIpayCartax;//수납_대지급_자동차세
		origRcptBase.rcptIpayEnvImprBrdnamt = -1 * origRcptBase.rcptIpayEnvImprBrdnamt;//수납_대지급_환경_개선_부담금
		origRcptBase.rcptIpayPnltAmt = -1 * origRcptBase.rcptIpayPnltAmt;//수납_대지급_범칙금
		origRcptBase.rcptIpayEtc = -1 * origRcptBase.rcptIpayEtc;//수납_대지급_기타
		origRcptBase.rcptVtax = -1 * origRcptBase.rcptVtax;//수납_부가세
		origRcptBase.ltrmBrcvAmt = -1 * origRcptBase.ltrmBrcvAmt;//장기_선수금
		origRcptBase.ramtAmt = -1 * origRcptBase.ramtAmt;//잔가_금액
		origRcptBase.guarAmt = -1 * origRcptBase.guarAmt;//보증금

		origRcptBase.nmChngDsrcNo   = BLANK;    //명의_변경_예가수_번호
		origRcptBase.nmChngGuarAmt  = -1 * origRcptBase.nmChngGuarAmt ;    //명의_변경_보증금
		origRcptBase.retnOdueAmt    = -1 * origRcptBase.retnOdueAmt   ;    //반납_지연_금액
		origRcptBase.overDrvFee     = -1 * origRcptBase.overDrvFee    ;    //초과_운행_수수료
		origRcptBase.orgupRcvrCost  = -1 * origRcptBase.orgupRcvrCost ;    //원상_복구_비용
		origRcptBase.carsSellDsrcNo = BLANK;    //차량_매각_예가수_번호
		origRcptBase.carsSellAmt    = -1 * origRcptBase.carsSellAmt   ;    //차량_매각_대금
		origRcptBase.midRmbrPpayInt        = -1* origRcptBase.midRmbrPpayInt        ;    //중도_상환_선급_이자
		origRcptBase.midRmbrAddInsuFee     = -1* origRcptBase.midRmbrAddInsuFee     ;    //중도_상환_가산_보험료
		origRcptBase.midRmbrAddCartax      = -1* origRcptBase.midRmbrAddCartax      ;    //중도_상환_자동차세
		origRcptBase.midRmbrAddEnvImprBrdnamt = -1* origRcptBase.midRmbrAddEnvImprBrdnamt ;    //중도_상환_환경_개선_부담금
		origRcptBase.midRmbrAddAsfee       = -1* origRcptBase.midRmbrAddAsfee       ;    //중도_상환_가산_정비료
		origRcptBase.midRmbrVtax           = -1* origRcptBase.midRmbrVtax           ;    //중도_상환_부가세
		origRcptBase.deprDeprTamt          = -1* origRcptBase.deprDeprTamt          ;    //감가_상각_누계액
		origRcptBase.dspLossApprAmt        = -1* origRcptBase.dspLossApprAmt        ;    //처분_손실_충당금
		origRcptBase.oprLeasAset           = -1* origRcptBase.oprLeasAset           ;    //운용_리스_자산
		origRcptBase.custCost              = -1* origRcptBase.custCost              ;    //고객_비용

		//유동화정산값은 초기화
		origRcptBase.flotIzeJobDt = BLANK;
		origRcptBase.flotIzeAdjFg = "0";
		//SYS_PATH_CD 추가 (컨텍유저 등, 입금경로 )
		origRcptBase.sysPathCd = iamtUnrcvObjVO.sysPathCd;

		origRcptBase.stmpFee = -1 * origRcptBase.stmpFee;

		return origRcptBase;
	}


	/**
	 * <p>메소드명	: procRcptDsrcOccr</p>
	 * <p>설　　명	: 예가수발생코드SET</p>
	 * <p>메소드인수	: IamtUnrcvObjVO</p>
	 * <p>리　턴　값	: 예가수발생코드 - String dsrcOccrCd </p>
	 */
	private String setDsrcOccrCd(IamtUnrcvObjVO iamtUnrcvObjVO) {
		//예가수발생코드가 셋팅되어 있지 않은경우(사용자입력외)
		String dsrcOccrCd = StringUtil.trim(iamtUnrcvObjVO.dsrcOccrCd);

		if (StringUtil.isNull(dsrcOccrCd)) {
			if (IamtUtil.equals(Constants.YES, iamtUnrcvObjVO.unCnfmFg)) {
				dsrcOccrCd = Constants.DSRC_OCCR_IAMT_MAN_AMBG_AMT; //입금인불명
			} else {
				//운용리스일경우(대출상태가 정상인경우)
				if (IamtUtil.isLoanNorm(iamtUnrcvObjVO.adjLoanStatCd) && IamtUtil.isAutoOprLease(iamtUnrcvObjVO)) {
					dsrcOccrCd = Constants.DSRC_OCCR_OPR_LEAS_BRCV_AMT_LEAS_FEE; //선수금초과입금_가
				} else {
					// [19.08.05 Kcar] 가상계좌입금 별도코드로 요청
					if (Constants.RCPT_DIV_IACNT_RCPT.equals(iamtUnrcvObjVO.rcptTpCd)) {
						if (!Constants.DSRC_OCCR_MID_RMBR_FALT_AMT.equals(iamtUnrcvObjVO.dsrcOccrCd)) {	// 중도상환오입금이 아니면
							dsrcOccrCd = Constants.DSRC_OCCR_IACNT_AMT;
						}
					} else {
						dsrcOccrCd = Constants.DSRC_OCCR_OVER_AMT;		//초과입금/미처리_가수
					}
				}
			}
		}

		return dsrcOccrCd;
	}

	/**
	 * <p>메소드명	: AutoTranTrDescVO</p>
	 * <p>설　　명	: 자동이체로 수납을 받는것을 선결제함. (기존 자동이체수납대상건을 수납받은것으로 하기위해 요청정보를 구성함)</p>
	 * <p>메소드인수	: IamtUnrcvObjVO</p>
	 * <p>리　턴　값	: AutoTranTrDescVO</p>
	 */
	private static AutoTranTrDescVO getAutoTranTrDesc(IamtUnrcvObjVO iamtUnrcvObjVO) {
		AutoTranTrDescVO autoTranTrDescVO = new AutoTranTrDescVO();
			autoTranTrDescVO.rlDueDt = iamtUnrcvObjVO.setlDt;
			autoTranTrDescVO.trOrgCd = iamtUnrcvObjVO.preTrOrgCd;
			autoTranTrDescVO.setlNo = iamtUnrcvObjVO.setlNo;
			autoTranTrDescVO.loanNo = iamtUnrcvObjVO.loanNo;
			autoTranTrDescVO.loanSeq = iamtUnrcvObjVO.loanSeq;
			autoTranTrDescVO.procEmpNo = iamtUnrcvObjVO.frstRegEmpNo;
		return autoTranTrDescVO;
	}

	/**
	 * <p>메소드명	: getRcptBase</p>
	 * <p>설　　명	: 수납정보를 구성한다.</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, BndVO</p>
	 * <p>리　턴　값	: RcptBaseVO</p>
	 */
	@Override
	public RcptBaseVO getRcptBase(IamtUnrcvObjVO iamtUnrcvObjVO, BndVO bndVO) {

		RcptBaseVO rcptBaseVO = new RcptBaseVO();
		//key 정보
		rcptBaseVO.loanNo = iamtUnrcvObjVO.loanNo;			//대출_번호
		rcptBaseVO.loanSeq = iamtUnrcvObjVO.loanSeq;		//대출_순번
		rcptBaseVO.setlNo = iamtUnrcvObjVO.setlNo;			//결제_번호(기존 결제번호에서 ++1 되어있음.)
		rcptBaseVO.setlDivCd = iamtUnrcvObjVO.setlDivCd;	//결제_구분코드(주의!! 내부적으로 결제방법은 달라질수 있다)

		rcptBaseVO.setlDt = iamtUnrcvObjVO.setlDt;			//결제_일자
		rcptBaseVO.acctDt = iamtUnrcvObjVO.acctDt;			//회계_일자
		rcptBaseVO.isrtDt = iamtUnrcvObjVO.isrtDt;			//자동결제여부와 상관없이 현재일자.

		rcptBaseVO.prdtCd         = iamtUnrcvObjVO.prdtCd;			//상품_코드
		rcptBaseVO.prdtLrgeClasCd = iamtUnrcvObjVO.prdtLrgeClasCd;	//상품대분류
		rcptBaseVO.prdtMidClasCd  = iamtUnrcvObjVO.prdtMidClasCd;	//상품중분류
		rcptBaseVO.prdtSmClasCd   = iamtUnrcvObjVO.prdtSmClasCd;	//상품소분류

		rcptBaseVO.trTpCd   = iamtUnrcvObjVO.trTpCd;				//거래_유형_코드
		rcptBaseVO.rcptTpCd = iamtUnrcvObjVO.rcptTpCd;				//수납_유형_코드
		rcptBaseVO.acctUnitCd    = iamtUnrcvObjVO.acctUnitCd;		//회계_단위_코드
		rcptBaseVO.mngAcctUnitCd = iamtUnrcvObjVO.mngAcctUnitCd;	//관리_회계_단위_코드

		rcptBaseVO.dsrcNo = iamtUnrcvObjVO.dsrcNo;				//예가수_번호
		rcptBaseVO.dsrcAdjCd = iamtUnrcvObjVO.dsrcAdjCd;		//예가수_정산_코드
		rcptBaseVO.dsrcAdjAmt = iamtUnrcvObjVO.dsrcAdjAmt;		//예가수_정산_금액
		rcptBaseVO.dsrcOccrCd  = iamtUnrcvObjVO.dsrcOccrCd;		//예가수_발생_코드
		rcptBaseVO.dsrcOccrAmt = iamtUnrcvObjVO.dsrcOccrAmt;	//예가수발생금액

		rcptBaseVO.acntNo   = iamtUnrcvObjVO.acntNo;	//계좌_번호
		rcptBaseVO.bankCd  = iamtUnrcvObjVO.bankCd;		//은행_코드
		rcptBaseVO.setlAmt = iamtUnrcvObjVO.setlAmt;	//결제금액
		rcptBaseVO.rcptAmt = iamtUnrcvObjVO.rcptAmt;	//수납_금액
		rcptBaseVO.cashAmt = iamtUnrcvObjVO.cashAmt;	//현금_금액

		rcptBaseVO.exmpConsNo = iamtUnrcvObjVO.exmpConsNo;	//면제_품의_번호
		rcptBaseVO.exmpAmt    = iamtUnrcvObjVO.exmpAmt;		//면제_금액
		rcptBaseVO.exmpPamt   = iamtUnrcvObjVO.exmpPamt;	//면제_원금
		rcptBaseVO.exmpInt    = iamtUnrcvObjVO.exmpInt;		//면제_이자
		rcptBaseVO.exmpTrtFee = iamtUnrcvObjVO.exmpTrtFee;	//면제_취급수수료
		rcptBaseVO.exmpDfee   = iamtUnrcvObjVO.exmpDfee;	//면제_연체료
		rcptBaseVO.exmpLeglActnCost = iamtUnrcvObjVO.exmpLeglActnCost;	//면제_법적_조치_비용
		rcptBaseVO.exmpMidRmbrFee   = iamtUnrcvObjVO.exmpMidRmbrFee;	//면제_중도_상환_수수료

		rcptBaseVO.cnclFg = iamtUnrcvObjVO.cnclFg; //취소_여부
		rcptBaseVO.cnclDt = iamtUnrcvObjVO.cnclDt; //취소_일자

		//신용회복 미수금을 결제금액에서 가져옴.
		if (IamtUtil.equals(iamtUnrcvObjVO.setlDivCd, Constants.SETL_DIV_CRDT_RCVR_UNRCV_AMT)) {
			rcptBaseVO.crdtRcvrUnrcvAmt = iamtUnrcvObjVO.setlAmt; //신용회복미수금
		}

		if (!StringUtil.isNull(iamtUnrcvObjVO.setlFrstRank)) {
			rcptBaseVO.setlFrstRank = iamtUnrcvObjVO.setlFrstRank;
		} else {
			rcptBaseVO.setlFrstRank = Constants.SETL_FRST_RANK_TIMS; //default 회차우선순위
		}

		rcptBaseVO.unCnfmFg = iamtUnrcvObjVO.unCnfmFg;		//미_확인_여부
		rcptBaseVO.isrtDeptCd = iamtUnrcvObjVO.isrtDeptCd;	//입력_부서_코드

		if (IamtUtil.equals(Constants.DSRC_DIV_ADJ_OFFC_CHNG, iamtUnrcvObjVO.dsrcAdjCd)) {
			rcptBaseVO.mngDeptCd = iamtUnrcvObjVO.adjDeptCd; //정산점 변경

		} else if (IamtUtil.equals(Constants.DSRC_DIV_RFND, iamtUnrcvObjVO.dsrcAdjCd)) {
			rcptBaseVO.mngDeptCd = bndVO.dsrcAdjDeptCd;	//환불시 채권의 예가수정산부서
			rcptBaseVO.rfndFg = Constants.YES;

		} else {
			rcptBaseVO.mngDeptCd = iamtUnrcvObjVO.mngDeptCd;
		}

		rcptBaseVO.loanStatCd = iamtUnrcvObjVO.loanStatCd;		//대출_상태_코드
		rcptBaseVO.bndStatCd  = iamtUnrcvObjVO.bndStatCd;		//채권_상태_코드
		rcptBaseVO.bndDivsEmpNo = iamtUnrcvObjVO.bndDivsEmpNo;	//채권_담당_사원번호

		rcptBaseVO.ltrmBrcvAmt = iamtUnrcvObjVO.ltrmBrcvAmt;		//장기_선수금
		rcptBaseVO.guarAmt     = iamtUnrcvObjVO.execGuarAmtTrnsAmt;	//보증금

		rcptBaseVO.sysPathCd = iamtUnrcvObjVO.sysPathCd;		//시스템경로코드
		rcptBaseVO.procEmpNo = iamtUnrcvObjVO.frstRegEmpNo; 	//최초_등록_사원번호

		return rcptBaseVO;
	}

	/**
	 * <p>메소드명	: getRcptDesc</p>
	 * <p>설　　명	: 수납내역 구성 (회차정산과 중도상환시 수납내역을 생성한다.결제일련번호를 채번)</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, TimsUnrcvVO</p>
	 * <p>리　턴　값	: RcptDescVO</p>
	 */
	private RcptDescVO getRcptDesc(IamtUnrcvObjVO iamtUnrcvObjVO, TimsUnrcvVO timsUrcvVO) {

		RcptDescVO rcptDescVO = new RcptDescVO();
		//key 정보
		rcptDescVO.loanNo    = iamtUnrcvObjVO.loanNo;			//대출번호
		rcptDescVO.loanSeq   = iamtUnrcvObjVO.loanSeq;			//대출순번
		rcptDescVO.setlNo    = iamtUnrcvObjVO.setlNo;			//결제_번호
		rcptDescVO.setlSnum  = ++iamtUnrcvObjVO.tempSetlSnum;	//결제_일련_번호

		rcptDescVO.tims      = timsUrcvVO.tims;				//회차
		rcptDescVO.dueDt     = timsUrcvVO.dueDt;			//납입일자

		rcptDescVO.rcptTpCd  = iamtUnrcvObjVO.rcptTpCd;		//수납유형코드
		rcptDescVO.setlDivCd = iamtUnrcvObjVO.setlDivCd;	//결제_구분코드
		rcptDescVO.acctDt    = iamtUnrcvObjVO.acctDt;		//회계일자
		rcptDescVO.setlDt    = iamtUnrcvObjVO.setlDt;		//결제일자

		rcptDescVO.mmPamt    = iamtUnrcvObjVO.adjPamt;		//월_원금
		rcptDescVO.mmInt     = iamtUnrcvObjVO.adjInt;		//월_이자
		rcptDescVO.trtFee    = iamtUnrcvObjVO.adjTrtFee;	//취급수수료(월)
		rcptDescVO.dfee      = iamtUnrcvObjVO.adjDfee;		//연체료

		rcptDescVO.midRmbrPamt = iamtUnrcvObjVO.adjMidRmbrPamt;		//중도상환원금
		rcptDescVO.midRmbrInt  = iamtUnrcvObjVO.adjMidRmbrInt;		//중도상환이자
		rcptDescVO.midRmbrTrtFee = iamtUnrcvObjVO.adjMidRmbrTrtFee;	//중도상환취급수수료
		rcptDescVO.midRmbrFee  = iamtUnrcvObjVO.adjMidRmbrFee;		//중도_상환_수수료
		rcptDescVO.trtFeeDisc  = iamtUnrcvObjVO.adjTrtFeeDisc;		//취급_수수료_할인

		rcptDescVO.exmpPamt    = iamtUnrcvObjVO.adjExmpPamt;			//면제_원금
		rcptDescVO.exmpInt     = iamtUnrcvObjVO.adjExmpInt;				//면제_이자
		rcptDescVO.exmpTrtFee  = iamtUnrcvObjVO.adjExmpTrtFee;			//면제_취급수수료
		rcptDescVO.exmpDfee    = iamtUnrcvObjVO.adjExmpDfee;			//면제_연체료
		rcptDescVO.exmpMidRmbrFee = iamtUnrcvObjVO.adjExmpMidRmbrFee;	//면제_중도_상환_수수료
		rcptDescVO.pdueDiscDfee   = iamtUnrcvObjVO.adjPdueDiscDfee;		//선납_할인_연체료

//		rcptDescVO.pdueFg = iamtUnrcvObjVO.pdueFg;		//선납_여부
		rcptDescVO.dlyFg  = timsUrcvVO.dlyFg;			//연체_여부
		rcptDescVO.cnclFg = iamtUnrcvObjVO.cnclFg;		//취소_여부
		rcptDescVO.cnclDt = iamtUnrcvObjVO.cnclDt;		//취소_일자
		rcptDescVO.procEmpNo = iamtUnrcvObjVO.frstRegEmpNo;	//처리_사원_번호

		//리스금액필드추가
		rcptDescVO.ppayInt            = iamtUnrcvObjVO.adjPpayInt;				//선급이자
		rcptDescVO.addInsuFee         = iamtUnrcvObjVO.adjAddInsuFee;			//보험료
		rcptDescVO.addCartax          = iamtUnrcvObjVO.adjAddCartax;			//차세
		rcptDescVO.addEnvImprBrdnamt  = iamtUnrcvObjVO.adjAddEnvImprBrdnamt;	//환개금
		rcptDescVO.addAsfee           = iamtUnrcvObjVO.adjAddAsfee;				//가산_정비료
		rcptDescVO.ipayInsuFee        = iamtUnrcvObjVO.adjIpayInsuFee;			//대지급_보험료
		rcptDescVO.ipayCartax         = iamtUnrcvObjVO.adjIpayCartax;			//대지급_자동차세
		rcptDescVO.ipayEnvImprBrdnamt = iamtUnrcvObjVO.adjIpayEnvImprBrdnamt;	//대지급_환경_개선_부담금
		rcptDescVO.ipayPnltAmt        = iamtUnrcvObjVO.adjIpayPnltAmt;			//대지급_범칙금
		rcptDescVO.ipayEtc            = iamtUnrcvObjVO.adjIpayEtc;				//대지급_기타
		rcptDescVO.vtax               = iamtUnrcvObjVO.adjVtax;					//부가세
		rcptDescVO.ltrmBrcvAmt        = iamtUnrcvObjVO.adjLtrmBrcvAmt;			//장기_선수금
		rcptDescVO.endDivCd           = timsUrcvVO.endDivCd;

		return rcptDescVO;
	}

	/**
	 * <p>메소드명	: getDlyDesc</p>
	 * <p>설　　명	: 연체내역 구성</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, BndVO, TimsUnrcvVO</p>
	 * <p>리　턴　값	: DlyDescVO</p>
	 */
	private DlyDescVO getDlyDesc(IamtUnrcvObjVO iamtUnrcvObjVO, BndVO bndVO, TimsUnrcvVO timsUrcvVO) {

		DlyDescVO dlyDescVO = new DlyDescVO();
		//key 정보
		dlyDescVO.loanNo 	= iamtUnrcvObjVO.loanNo;
		dlyDescVO.loanSeq 	= iamtUnrcvObjVO.loanSeq;
		dlyDescVO.setlNo 	= iamtUnrcvObjVO.setlNo;
		dlyDescVO.setlSnum 	= iamtUnrcvObjVO.tempSetlSnum;

		dlyDescVO.tims 		= timsUrcvVO.tims;
		dlyDescVO.dueDt 	= timsUrcvVO.dueDt;
		dlyDescVO.setlDt 	= iamtUnrcvObjVO.setlDt;
		//연체당시의 연체원금/이자로 원금/이자 구성
		dlyDescVO.mmPamt 	= timsUrcvVO.askPamt;
		dlyDescVO.mmInt 	= timsUrcvVO.askInt;
		dlyDescVO.trtFee 	= timsUrcvVO.askTrtFee;

		dlyDescVO.dlyDdcnt 	= timsUrcvVO.dlyDdcnt;
		dlyDescVO.dlyMmCnt 	= timsUrcvVO.dlyMmCnt;
		dlyDescVO.dfee 		= iamtUnrcvObjVO.adjDfee;	//청구연체금 + 선납할인연체료(amtAdjVO.adjAmt + amtAdjVO.adjDiscAmt + amtAdjVO.adjExmpAmt)

		dlyDescVO.occrDfee 	= timsUrcvVO.askDfee + iamtUnrcvObjVO.adjPdueDiscDfee;
		dlyDescVO.adjDfee 	= iamtUnrcvObjVO.adjDfee;
		dlyDescVO.unrcvDfee = dlyDescVO.occrDfee - dlyDescVO.adjDfee;

		dlyDescVO.exmpDfee 	= iamtUnrcvObjVO.adjExmpDfee;
		dlyDescVO.pdueDiscDfee = iamtUnrcvObjVO.adjPdueDiscDfee;
		dlyDescVO.acctDt 	= iamtUnrcvObjVO.acctDt;

		//기한상실관련 연체내역 속성추가
		dlyDescVO.loseFg = timsUrcvVO.loseFg;
		dlyDescVO.loseRvvlFg = Constants.NO;
		if (timsUrcvVO.loseFg.equals(Constants.YES)) {

			//부활가능 금액이 모두 정산되었는지 확인하여 모두 정산되었을때 기한이익을 부활시킨다.
			if (timsUrcvVO.tims < bndVO.rvvlTims) {
				if (timsUrcvVO.askAmt != (iamtUnrcvObjVO.adjAmt - iamtUnrcvObjVO.adjPdueDiscDfee + timsUrcvVO.leglActnCost + timsUrcvVO.stmpFee)) {
					iamtUnrcvObjVO.unCpayCnt++;
				}
			} else if (timsUrcvVO.tims==bndVO.rvvlTims && iamtUnrcvObjVO.unCpayCnt==0 && dlyDescVO.unrcvDfee==0) {
				dlyDescVO.loseRvvlFg = Constants.YES;
			}

			dlyDescVO.loseDt 		= timsUrcvVO.loseDt;
			dlyDescVO.loseDueDt 	= timsUrcvVO.loseDueDt;
			dlyDescVO.losePamtRamt 	= timsUrcvVO.losePamtRamt;	//기한상실 계산대상 원금잔액
			dlyDescVO.loseRamtDfee 	= timsUrcvVO.loseRamtDfee;	//기한상실잔액연체료 (잔액연체료 - 회차경과이자 )
			dlyDescVO.loseDlyStrtDt = timsUrcvVO.loseDlyStrtDt;
			dlyDescVO.loseMmPamt 	= timsUrcvVO.loseMmPamt;
			dlyDescVO.loseMmInt 	= timsUrcvVO.loseMmInt;
			dlyDescVO.losePiamtDfee = timsUrcvVO.losePiamtDfee;	//해당회차 발생연체료
			dlyDescVO.loseIntDfee 	= timsUrcvVO.loseIntDfee;
			dlyDescVO.loseDlyEndDt 	= timsUrcvVO.loseDlyEndDt;
			dlyDescVO.loseObjInt 	= timsUrcvVO.loseObjPsgInt;
		}

		dlyDescVO.rlDueDt 		= timsUrcvVO.rlDueDt;
		dlyDescVO.dlyStrtDt 	=  timsUrcvVO.dlyCalcDt;
		dlyDescVO.dlyCalcStrtDt = timsUrcvVO.dfeeCalcDt;

		//선납할인연체료 추가
		if ((timsUrcvVO.askAmt + timsUrcvVO.pdueDiscDfee)==iamtUnrcvObjVO.adjAmt) {
			dlyDescVO.lastSetlDt = iamtUnrcvObjVO.setlDt;
		} else {
			dlyDescVO.lastSetlDt = BLANK;
		}

		dlyDescVO.cnclFg 	= iamtUnrcvObjVO.cnclFg;
		dlyDescVO.cnclDt 	= iamtUnrcvObjVO.cnclDt;
		dlyDescVO.procEmpNo = iamtUnrcvObjVO.frstRegEmpNo;
		//리스금액항목 추가
		if (IamtUtil.isLease(iamtUnrcvObjVO)) {
			dlyDescVO.ppayInt 				=  timsUrcvVO.askPpayInt;    		//선급이자
			dlyDescVO.addInsuFee 			= timsUrcvVO.askAddInsuFee ;    	//보험료
			dlyDescVO.addCartax 			=  timsUrcvVO.askAddCartax ;    	//차세
			dlyDescVO.addEnvImprBrdnamt 	= timsUrcvVO.askAddEnvImprBrdnamt ; //환개금
			dlyDescVO.addAsfee 				= timsUrcvVO.askAddAsfee ;    		//가산_정비료
			dlyDescVO.ipayInsuFee 			= timsUrcvVO.askIpayInsuFee ;    	//대지급_보험료
			dlyDescVO.ipayCartax 			= timsUrcvVO.askIpayCartax ;    	//대지급_자동차세
			dlyDescVO.ipayEnvImprBrdnamt	= timsUrcvVO.askIpayEnvImprBrdnamt;	//대지급_환경_개선_부담금
			dlyDescVO.ipayPnltAmt 			= timsUrcvVO.askIpayPnltAmt ;    	//대지급_범칙금
			dlyDescVO.ipayEtc 				= timsUrcvVO.askIpayEtc ;    		//대지급_기타
			dlyDescVO.vtax 					= timsUrcvVO.askVtax ;    			//부가세
			dlyDescVO.ltrmBrcvAmt 			= timsUrcvVO.askLtrmBrcvAmt ;    	//장기_선수금
		}

		return dlyDescVO;
	}

	/**
	 * <p>메소드명	: createAdjDesc</p>
	 * <p>설　　명	: 수납정산, 취소 정보를 DB에 반영한다.</P>
	 * <p>메소드인수	: AdjDescVO, IamtUnrcvVO, Connection</p>
	 * <p>리　턴　값	: N/A</p>
	 */
	private void createAdjDesc(AdjDescVO adjDescVO, IamtUnrcvVO iamtUnrcvVO) {
		log.info("■ [입금처리] 정산처리결과 DB반영 시작");

		//거래내역번호(전표번호)를 리턴한다.
		iamtUnrcvVO.trDescNo = adjDescVO.trDescNo;

		//수납내역을 [RT_수납_내역]에 등록한다.
		if (IamtUtil.sizeOfList(adjDescVO.rcptDescVOList) > 0) {
			rcptService.createRcptDesc(adjDescVO.rcptDescVOList);
		}

		//면제품의 수납처리
		procExmp("U", iamtUnrcvVO.getIamtUnrcvObjVOList());

		//수납기본을 [RT_수납_기본]에 등록한다.
		if (IamtUtil.sizeOfList(adjDescVO.rcptBaseVOList) > 0) {
			rcptService.createRcptBase(adjDescVO.trDescNo, adjDescVO.rcptBaseVOList);
		}

		//선결제 자동이체거래내역을 자동이체거래내역에 등록한다.
		if (IamtUtil.sizeOfList(adjDescVO.autoTranTrDescVOList) > 0) {
			try {
				autoTranTrServicel.updateAutoTranTrDesc(adjDescVO.autoTranTrDescVOList);
			} catch (Exception e) {
				//CommExceptionHandler.throwIamtException("자동이체 선결제 수정중 에러발생 : " + e.getMessage());
				throw new BizException("자동이체 선결제 수정중 에러발생 : " + e.getMessage());
			}
		}

		//선결제 지로내역을 지로내역에 등록한다.
		if (IamtUtil.sizeOfList(adjDescVO.giroDescVOList) > 0) {
            try {
            	giroService.updateGiroDesc(adjDescVO.giroDescVOList);
            } catch (Exception e) {
                //CommExceptionHandler.throwIamtException("지로 선결제 수정중 에러발생 : " + e.getMessage());
            	throw new BizException("지로 선결제 수정중 에러발생 : " + e.getMessage());
            }
        }

		//연체내역을 [RT_연체_내역]에 등록한다.
		if (IamtUtil.sizeOfList(adjDescVO.dlyDescVOList) > 0) {
			rcptDlyService.createRcptDlyDesc(adjDescVO.dlyDescVOList);
		}

		//선납내역을 [RT_수납_선납_내역]에 등록한다.
		if (IamtUtil.sizeOfList(adjDescVO.pdueDescVOList) > 0) {
			pdueService.createPdueDesc(adjDescVO.pdueDescVOList);
		}

		//예가수정보를 [RT_수납_예가수_기본] 수정한다.
		if (IamtUtil.sizeOfList(adjDescVO.dsrcUpdtVOList) > 0) {
			rcptDsrcService.updateDsrcBase(adjDescVO.dsrcUpdtVOList);
		}

		//예가수내역을 [RT_수납_예가수_내역]에 등록한다.
		if (IamtUtil.sizeOfList(adjDescVO.dsrcDescVOList) > 0) {
			rcptDsrcService.createRcptDsrcDesc(adjDescVO.dsrcDescVOList);
		}

		//예가수기본을 [RT_수납_예가수_기본]에 등록한다.
		if (IamtUtil.sizeOfList(adjDescVO.dsrcBaseVOList) > 0) {
			rcptDsrcService.createDsrcBase(adjDescVO.dsrcBaseVOList);
		}

		//수표내역을 [RT_수납_수표_내역]에 등록한다.
		if (iamtUnrcvVO.sizeIamtUnrcvObjVO() > 0) {
			rcptChkService.createRcptChkDescList(iamtUnrcvVO.getIamtUnrcvObjVOList());
		}

		//대출기본 수정을 요청한다.
		List dferIncdPrftList = new ArrayList();

		for (int i=0, n=iamtUnrcvVO.sizeIamtUnrcvObjVO(); i<n; i++) {
			IamtUnrcvObjVO iamtUnrcvObjVO = iamtUnrcvVO.getIamtUnrcvObjVO(i);

			if ((iamtUnrcvObjVO!=null) && IamtUtil.equals(Constants.NO, iamtUnrcvObjVO.unCnfmFg)) {

				//원결제번호 리셋(현재결제번호가 원거래이므로 원결제번호로 리셋함.
				iamtUnrcvObjVO.orgSetlNo = iamtUnrcvObjVO.setlNo;

				RcptBaseVO rcptBase = getRcptBaseVO(iamtUnrcvObjVO.loanNo, iamtUnrcvObjVO.loanSeq, adjDescVO.rcptBaseVOList);

				//대출수정
				loanService.updateLoanBase(Constants.NO, iamtUnrcvObjVO, rcptBase);

				try {
					// [KCAR 19.10.18] 영업파트 요청 - 중도완납 시 CALL
					if ((Constants.SETL_DIV_MIDRMBR_T.equals(iamtUnrcvObjVO.setlDivCd) && "32".equals(iamtUnrcvObjVO.adjLoanStatCd))
							|| Constants.SETL_DIV_MIDRMBR_P.equals(iamtUnrcvObjVO.setlDivCd) ) {
						String retnRt = loanService.getRetnRt(iamtUnrcvObjVO);
						// 환입율이 0이 아니면 지급수수료환입율 등록
						if (!"0".equals(retnRt)) {
							loanService.createClawbkBase(iamtUnrcvObjVO);
						}
					}
				} catch (Exception e){
					log.error("전액상환시 지급수수료환입율 등록 오류");
				}

				//제휴약정 수정
				if (!IamtUtil.isLease(iamtUnrcvObjVO)) {
					if ((rcptBase != null) && (rcptBase.rcptPamt > 0)) {
						CprtContMngMdulObj contMngMdulObj = new CprtContMngMdulObj();
							contMngMdulObj.bizDivCd = "5"; //수납
							contMngMdulObj.loanNo   = iamtUnrcvObjVO.loanNo;
							contMngMdulObj.loanSeq  = iamtUnrcvObjVO.loanSeq;
							contMngMdulObj.loanPamt = rcptBase.rcptPamt;
							contMngMdulObj.empNo    = iamtUnrcvObjVO.frstRegEmpNo;
						try {
							cprtContMngMudlService.updateCprtLim(contMngMdulObj);
						} catch (Exception e) {
							throw new BizException("제휴약정수정시 에러발생[" + e.getMessage() + "]");
						}
					}
				}

				//이연부대수익 셋팅 (정상종료, 중도완납), 멀티처리를 위해
				if (!IamtUtil.isLease(iamtUnrcvObjVO) && StringUtil.in(iamtUnrcvObjVO.adjLoanStatCd, "31", "32")) {
					String[] dferIncdPrft = new String[6];
						dferIncdPrft[0] = iamtUnrcvObjVO.loanNo;
						dferIncdPrft[1] = iamtUnrcvObjVO.loanSeq;
						dferIncdPrft[2] = iamtUnrcvObjVO.adjLoanStatCd;
						dferIncdPrft[3] = iamtUnrcvObjVO.isrtDt; //대출종료일자
						dferIncdPrft[4] = BLANK; //종료취소일자
						dferIncdPrft[5] = iamtUnrcvObjVO.frstRegEmpNo;
					dferIncdPrftList.add(dferIncdPrft);
				}
			}

			// 채권-실시간연체 반영 (정산금액 有, AND (가상계좌 or 온라인수납))
			if (iamtUnrcvObjVO.adjAmt>0 && ("C1".equals(iamtUnrcvObjVO.rcptTpCd) || !iamtUnrcvVO.isAutoSetl())) {
				log.info("■ 가상계좌, 온라인수납 => 실시간연체 반영");
				boolean isOK = false;
				try {
					OnlnDlyReptInVO inOnlnDlyReptInVO = new OnlnDlyReptInVO();

					inOnlnDlyReptInVO.setLoanNo(iamtUnrcvObjVO.loanNo);
					inOnlnDlyReptInVO.setLoanSeq(iamtUnrcvObjVO.loanSeq);
					inOnlnDlyReptInVO.setIsLog(false);

					OnlnDlyReptOutVO outOnlnDlyReptInVO  = onlnDlyReptService.ProcRealTmpDlyInfo(inOnlnDlyReptInVO) ;

				} catch (Exception e) {
					isOK = false;
				} finally {
					if (!isOK) {
						log.error("■ 실시간연체 반영에러 - "+iamtUnrcvObjVO.loanNo+"-"+iamtUnrcvObjVO.loanSeq);
					}
					log.info("■ R실시간연체] isAutoSetl:"+iamtUnrcvVO.isAutoSetl()+"/rcptTp:"+iamtUnrcvObjVO.rcptTpCd+"/adjAmt:"+iamtUnrcvObjVO.adjAmt);
				}
			}
		}

		//이연부대수익 처리
		if (IamtUtil.sizeOfList(dferIncdPrftList)>0) {
			try {
				dferIncdPrftCrteService.dferIncdPrftUpdt(dferIncdPrftList);
			} catch (Exception e) {
				throw new BizException("이연부대수익처리시 에러발생[" + e.getMessage() + "]");
			}
		}

		log.info("IamtUnrcvCC.createAdjDesc [입금처리] 정산처리결과 DB반영 종료 : ");//+ IamtUtil.intervalTime(start, System.currentTimeMillis()));
	}

	/**
	 * <p>메소드명	: getVochNo</p>
	 * <p>설　　명	: 회계일자와 거래내역번호로 일자를 붙인 전표번호 얻기</P>
	 * <p>메소드인수	: acctDt (8자리), trDescNo (7자리)</p>
	 * <p>리　턴　값	: vochNo</p>
	 */
	private static String getVochNo(String acctDt, int trDescNo) {
		return acctDt.replaceAll("-", "") +  StringUtil.lpad(String.valueOf(trDescNo), 7, "0");
	}

	@Override
	public int procTrDesc(IamtUnrcvVO iamtUnrcvVO, List iamtUnrcvObjList, List rcptBaseList) {
		return procTrDesc(iamtUnrcvVO.autoSetlFg, iamtUnrcvVO.tranUnprocFg, iamtUnrcvObjList, rcptBaseList);
	}

	@Override
	public int procTrDesc(String autoSetlFg, String tranUnprocFg, List iamtUnrcvObjList, List rcptBaseList) {

		long start = System.currentTimeMillis();

		int iamtUnrcvObjCnt = IamtUtil.sizeOfList(iamtUnrcvObjList);
		int rcptBaseVOCnt   = IamtUtil.sizeOfList(rcptBaseList);

		if ((iamtUnrcvObjCnt==0) || (rcptBaseVOCnt==0)) { //전표처리 대상이 없음.
			log.warn("[입금처리] 전표처리대상이 없습니다.");
			return -1;
		}

		VochVO vochVO = null;

		String acctDt     = BLANK;
		String isrtDeptCd = BLANK;
		String procEmpNo  = BLANK;
		String loanNo  = "";
		String loanSeq = "";

		for (int i = 0, rcptBaseIdx = 0; i < iamtUnrcvObjCnt; i++) {

			IamtUnrcvObjVO iamtUnrcvObjVO = (IamtUnrcvObjVO) iamtUnrcvObjList.get(i);

			/* 19.07.09 대출번호 수정도 전표처리함 (대출별 예가수잔액관리를 위해)
			//대출번호수정일때는 전표처리 하지 않음.
			if (Constants.DSRC_DIV_LOAN_NO_UPDT.equals(iamtUnrcvObjVO.dsrcAdjCd)) {
				continue;
			}*/

			//예가수정산-대출번호수정은 전표를 발생하지 않아 대상리스트와 수납리스트의 순서에 차이가 있다.
			RcptBaseVO rcptBaseVO = getRcptBaseVO(rcptBaseIdx, iamtUnrcvObjVO, rcptBaseList);
			if (rcptBaseVO==null) {
				continue;
			}

			//수납기본정보
			if (vochVO==null) {
				acctDt = rcptBaseVO.acctDt;
				isrtDeptCd = rcptBaseVO.isrtDeptCd;
				procEmpNo = rcptBaseVO.procEmpNo;
				vochVO = new VochVO();
			}

			ClsTrDescVO trDescVO = getClsTrDescForVoch(acctDt, iamtUnrcvObjVO, rcptBaseVO);

			vochVO.addClsTrDesc(trDescVO);
			rcptBaseIdx++;
			loanNo = rcptBaseVO.loanNo;
			loanSeq = rcptBaseVO.loanSeq;
		}

		int trDescNo = -1;

		if (vochVO != null) {	//전표처리대상이 있을때 전표처리
			vochVO.setAcctDt(acctDt);
			vochVO.setAutoClsFg(autoSetlFg);
			vochVO.setIsrtDeptCd(isrtDeptCd);
			vochVO.setIsrtEmpNo(procEmpNo);
			vochVO.setTranUnprocFg(tranUnprocFg);

			try {
				vochVO = vochCCService.procVochWithAcctUnit(vochVO);
				if (!IamtUtil.equals("0000", vochVO.getRsltCd())) {
					//전표처리시 발생한 에러처리
					throw new BizException("[자동전표에러]"+ "[" + loanNo + "-" + loanSeq + "]"+ vochVO.getRsltCntn());
				}
			} catch (Exception e) {
				log.error(e.getMessage(), e);
				throw new BizException("[자동전표에러]" + e.getMessage());
			}

			trDescNo = vochVO.getTrDescNo();
		}
		log.info("[입금처리] 전표거래내역 반영 종료 : " + IamtUtil.intervalTime(start, System.currentTimeMillis()));

		return trDescNo;
	}
	/**
	 * <p>메소드명	: procTrDesc</p>
	 * <p>설　　명	: 거래내역구성</P>
	 * <p>메소드인수	: autoSetlFg, iamtUnrcvObjList, rcptBaseList, Connection</p>
	 * <p>리　턴　값	: vochNo</p>
	 */
	@Override
	public int procTrDesc(String autoSetlFg, List iamtUnrcvObjList, List rcptBaseList) {
		return procTrDesc(autoSetlFg, "0", iamtUnrcvObjList, rcptBaseList);
	}

    /**
	 * <p>메소드명	: getClsTrDescForVoch</p>
	 * <p>설　　명	: 자동전표 처리내역를 위해  ClsTrDescVO 거래내역구성</P>
	 * <p>메소드인수	: acctDt, IamtUnrcvObjVO, RcptBaseVO, Connection</p>
	 * <p>리　턴　값	: ClsTrDescVO</p>
	 */
	private ClsTrDescVO getClsTrDescForVoch(String acctDt, IamtUnrcvObjVO iamtUnrcvObjVO, RcptBaseVO rcptBaseVO) {
        ClsTrDescVO trDescVO = new ClsTrDescVO();
        trDescVO.setAcctDt(acctDt);					//회계_일자
        trDescVO.setTrStagCd(getTrStagCd(rcptBaseVO.acctUnitCd, rcptBaseVO.mngAcctUnitCd, rcptBaseVO.isrtDeptCd, rcptBaseVO.mngDeptCd));
        trDescVO.setTrTpCd(rcptBaseVO.trTpCd);		//거래_유형_코드
        trDescVO.setIsrtDt(rcptBaseVO.isrtDt);		//입력_일자
        trDescVO.setLoanNo(rcptBaseVO.loanNo);		//대출_번호
        trDescVO.setLoanSeq(rcptBaseVO.loanSeq);	//대출_순번
        trDescVO.setPrdtLrgeClasCd(rcptBaseVO.prdtLrgeClasCd);	//상품_대분류_코드
        trDescVO.setPrdtMidClasCd(rcptBaseVO.prdtMidClasCd);	//상품_중분류_코드
        trDescVO.setPrdtSmClasCd(rcptBaseVO.prdtSmClasCd);		//상품_중분류_코드
        trDescVO.setAcctUnitCd(rcptBaseVO.acctUnitCd);			//회계_단위_코드(필수)
        trDescVO.setMngAcctUnitCd(rcptBaseVO.mngAcctUnitCd);	//관리회계단위코드 추가
        trDescVO.setLoanStatCd(rcptBaseVO.loanStatCd);			//대출_상태_코드
        trDescVO.setBndStatCd(rcptBaseVO.bndStatCd);			//채권_상태_코드
        trDescVO.setOccrDeptCd(rcptBaseVO.isrtDeptCd);			//발생_부서_코드
        trDescVO.setMngDeptCd(rcptBaseVO.mngDeptCd);			//관리_부서_코드  (필수, 자동결제여부가 아닐때)
        trDescVO.setBankCd(rcptBaseVO.bankCd);					//은행_코드
        trDescVO.setAcntNo(rcptBaseVO.acntNo);					//계좌번호
        trDescVO.setMoBankCd(iamtUnrcvObjVO.moBankCd);			//모계좌_은행_코드
        trDescVO.setCprtComNo(iamtUnrcvObjVO.cprtComNo);		//제휴사_번호
        trDescVO.setDsrcAdjCd(rcptBaseVO.dsrcAdjCd);			//예가수_정산_코드
        trDescVO.setDsrcOccrCd(rcptBaseVO.dsrcOccrCd);

        //금액필드
        if (IamtUtil.equals(Constants.DSRC_DIV_LOAN_NO_UPDT, rcptBaseVO.dsrcAdjCd)) {
        	trDescVO.setDsrcAdjAmt(rcptBaseVO.dsrcAdjAmt);
            trDescVO.setDsrcOccrAmt(rcptBaseVO.dsrcAdjAmt);

        } else if (IamtUtil.equals(Constants.DSRC_DIV_ADJ_OFFC_CHNG, rcptBaseVO.dsrcAdjCd)) {
            trDescVO.setDsrcAdjAmt(rcptBaseVO.dsrcAdjAmt);
            trDescVO.setDsrcOccrAmt(rcptBaseVO.dsrcAdjAmt);
            trDescVO.setSetlAmt(rcptBaseVO.setlAmt); //2018-08-01
        } else if (IamtUtil.equals(Constants.DSRC_DIV_ETC_PRFT, rcptBaseVO.dsrcAdjCd)) {
            trDescVO.setDsrcAdjAmt(rcptBaseVO.dsrcAdjAmt);
            trDescVO.setDsrcOccrAmt(0);
            trDescVO.setEtcPrft(rcptBaseVO.dsrcAdjAmt);
            trDescVO.setSetlAmt(rcptBaseVO.setlAmt); //2018-08-01
        } else if (IamtUtil.equals(Constants.DSRC_DIV_DSRC_ADJ, rcptBaseVO.dsrcAdjCd)) { //2018-08-01 예가수 관리의 예가수정산처리

        	//예가수정산
            if ("R0090".equals(rcptBaseVO.trTpCd)) {  //2018-08-01 예가수 관리의 예가수정산처리
                if (iamtUnrcvObjVO.dsrcAdjAmt==0) {
                    trDescVO.setDsrcAdjAmt(rcptBaseVO.dsrcAdjAmt);
                } else {
                    trDescVO.setDsrcAdjAmt(iamtUnrcvObjVO.dsrcAdjAmt); //2018-08-01 예가수 관리의 예가수정산처리
                }
            }
            else if (!StringUtil.in(rcptBaseVO.rcptTpCd, Constants.RCPT_DIV_MID_CLOS_RCPT_DEPO, Constants.RCPT_DIV_IVLT_CLOS_RCPT) && rcptBaseVO.setlAmt==0) {
                trDescVO.setSetlAmt(iamtUnrcvObjVO.dsrcAdjAmt); //2018-08-01 예가수 관리의 예가수정산처리
                trDescVO.setDsrcAdjAmt(iamtUnrcvObjVO.dsrcAdjAmt); //2018-08-01 예가수 관리의 예가수정산처리
            }
          //중도해지수납을 예가수처리할 경우(대출취소_가) 2018-08-01
            else {
                trDescVO.setSetlAmt(rcptBaseVO.setlAmt); //2018-08-01 예가수 관리의 예가수정산처리
                trDescVO.setDsrcAdjAmt(iamtUnrcvObjVO.dsrcAdjAmt); //2018-08-01 예가수 관리의 예가수정산처리
            }
        } else {
            trDescVO.setDsrcAdjAmt(rcptBaseVO.dsrcAdjAmt);
            trDescVO.setDsrcOccrAmt(rcptBaseVO.dsrcOccrAmt);
            trDescVO.setSetlAmt(rcptBaseVO.setlAmt); //2018-08-01
        }

        trDescVO.setCash(rcptBaseVO.cashAmt);
        trDescVO.setPamt(rcptBaseVO.rcptPamt);
        trDescVO.setIntt(rcptBaseVO.rcptInt);
        trDescVO.setDfee(rcptBaseVO.rcptDfee - rcptBaseVO.pdueDiscDfee);
        trDescVO.setPdueDiscDfee(rcptBaseVO.pdueDiscDfee);
        trDescVO.setLeglActnCost(rcptBaseVO.leglActnCost);
        trDescVO.setMidRmbrFee(rcptBaseVO.midRmbrFee);
        trDescVO.setTrtFeeDisc(rcptBaseVO.trtFeeDisc);
        trDescVO.setTrtFee(rcptBaseVO.rcptTrtFee);

        trDescVO.setExmpPamt(rcptBaseVO.exmpPamt);
        trDescVO.setExmpInt(rcptBaseVO.exmpInt);
        trDescVO.setExmpTrtFee(rcptBaseVO.exmpTrtFee);
        trDescVO.setExmpDfee(rcptBaseVO.exmpDfee);
        trDescVO.setExmpLeglActnCost(rcptBaseVO.exmpLeglActnCost);
        trDescVO.setExmpMidRmbrFee(rcptBaseVO.exmpMidRmbrFee);
        trDescVO.setCrdtRcvrUnrcvAmt(rcptBaseVO.crdtRcvrUnrcvAmt);

        trDescVO.setMngAsetCostDivCd(BLANK); //관리자산비용구분코드
        trDescVO.setUnrcvAmtKindCd(BLANK); //미수금종류코드
        trDescVO.setCustCost				(rcptBaseVO.custCost				);
        trDescVO.setRetnDdueAmt             (rcptBaseVO.retnOdueAmt             );
        trDescVO.setOverDrvFee              (rcptBaseVO.overDrvFee              );
        trDescVO.setOrgupRcvrCost           (rcptBaseVO.orgupRcvrCost           );
        trDescVO.setCarsSellAmt             (rcptBaseVO.carsSellAmt             );
        trDescVO.setNmChngGuarAmt           (rcptBaseVO.nmChngGuarAmt           );
        trDescVO.setNmChngExmpGuarAmt       (rcptBaseVO.nmChngExmpGuarAmt       );
        trDescVO.setMidRmbrPamt             (rcptBaseVO.midRmbrPamt             );
        trDescVO.setMidRmbrInt              (rcptBaseVO.midRmbrInt              );
        trDescVO.setMidRmbrTrtFee           (rcptBaseVO.midRmbrTrtFee           );
        trDescVO.setMidRmbrPpayInt          (rcptBaseVO.midRmbrPpayInt          );
        trDescVO.setMidRmbrAddInsuFee       (rcptBaseVO.midRmbrAddInsuFee       );
        trDescVO.setMidRmbrAddCartax        (rcptBaseVO.midRmbrAddCartax        );
        trDescVO.setMidRmbrAddEnvImprBrdnamt(rcptBaseVO.midRmbrAddEnvImprBrdnamt);
        trDescVO.setMidRmbrVtax             (rcptBaseVO.midRmbrVtax             );

        trDescVO.setDeprDeprTamt            (rcptBaseVO.deprDeprTamt            );

        trDescVO.setDspLossApprAmt          (rcptBaseVO.dspLossApprAmt          );
        trDescVO.setOprLeasAset             (rcptBaseVO.oprLeasAset             );
        trDescVO.setGuarAmt                 (rcptBaseVO.guarAmt                 );

        //중도해지
        trDescVO.setPrFee(iamtUnrcvObjVO.prFee);	//판촉수수료
        trDescVO.setEtcFee(iamtUnrcvObjVO.gramSmanFee);	//전문_영업직_수수료
        trDescVO.setDferPrftCprtFee(iamtUnrcvObjVO.dferIncdPrft);	//이연_부대_수익

        // 승계수납
        if (IamtUtil.isSucsRcpt(iamtUnrcvObjVO)) {
            long leasFee = rcptBaseVO.rcptPamt + rcptBaseVO.rcptInt + rcptBaseVO.rcptAddAsfee
                    + rcptBaseVO.rcptAddCartax + rcptBaseVO.rcptAddEnvImprBrdnamt
                    + rcptBaseVO.rcptAddInsuFee + rcptBaseVO.rcptPpayInt;

            trDescVO.setStmpFee(rcptBaseVO.rcptVtax);			//인지대
            trDescVO.setItax(leasFee);							//소득세
            trDescVO.setSetFee(leasFee + rcptBaseVO.rcptVtax);	//설정료
        } else {
        	// 고객인지대 수납금액
        	trDescVO.setStmpFee(rcptBaseVO.stmpFee);
		}

        //중도해지시 (2018-08-01 강제해지시도 추가함)
        if (StringUtil.in(rcptBaseVO.rcptTpCd
                , Constants.RCPT_DIV_MID_CLOS_RCPT_DEPO, Constants.RCPT_DIV_IVLT_CLOS_RCPT)) {

            //운용리스일 경우
            if (IamtUtil.isAutoOprLease(iamtUnrcvObjVO)) {
                //#### IFRS 중도해지(R0160)
                LtLeasIFRSLeaseDescINDTO befrFeeDO = new LtLeasIFRSLeaseDescINDTO();
                RsltIFRSLeaseBaseDTO ifrsAsstBefore = new RsltIFRSLeaseBaseDTO();
                RsltIFRSLeaseBaseDTO tempLeasBaseDO = new RsltIFRSLeaseBaseDTO();

                //2018-08-01 추가 -start-
                LtLeasIFRSLeaseDescINDTO ifrsAsstBefore_depr = new LtLeasIFRSLeaseDescINDTO();
                RsltIFRSDeprScheduleOUTDTO rsltDeprSched      = new RsltIFRSDeprScheduleOUTDTO();

                RsltFVvalueVO rsltFeeDO = new RsltFVvalueVO();

                //long currSellVal =0; //현재가치할인차금
                //2018-08-01 현할차 - > 미상각잔액
                long currSellVal =0; //미상각잔액

                //befrFeeDO.setProcDv("1");
                //befrFeeDO.setGuarAmt(new Long(rcptBaseVO.guarAmt));
                befrFeeDO.setLoanNo(rcptBaseVO.loanNo);
                befrFeeDO.setLoanSeq(rcptBaseVO.loanSeq);

                try{
                    rsltFeeDO = iFRSLeaseBaseService.getNonDeprvalue(befrFeeDO);
                } catch (Exception e) {
                	throw new BizException("[미상각잔액  에러처리]" + e.getMessage());
                }

                //미상각잔액이 null이 아닐경우...
                if (rsltFeeDO!=null) {
                    currSellVal = rsltFeeDO.getCurrValDiscAmt().longValue();
                }

                ifrsAsstBefore.setCurrLoanNo(rcptBaseVO.loanNo);	//대출_번호
                ifrsAsstBefore.setCurrLoanSeq(rcptBaseVO.loanSeq);	//대출_순번
                ifrsAsstBefore.setDelFg("0");

                try{
                    tempLeasBaseDO = ltLeasIFRSLeaseDescMapper.selectIFRSLoanExist(ifrsAsstBefore);
                } catch (Exception e) {
                	throw new BizException("[IFRS자산원장 SELECT 에러처리]" + e.getMessage());
                }

                //2018-08-01  추가 -start-
                String currDt = ServerSysDate.getServerDate(ServerSysDate.YYYYMMDD_WITH_DELIMETER);
                String Bfyymm = DateUtil.addMonth(currDt, -1);
                Bfyymm = Bfyymm.substring(0,4)+"-"+Bfyymm.substring(4, 6);

                try{
                    ifrsAsstBefore_depr.setLoanNo(rcptBaseVO.loanNo);     //대출_번호
                    ifrsAsstBefore_depr.setDeprYymm(Bfyymm);   //상각_년월
                    rsltDeprSched = ltLeasIFRSLeaseDescMapper.selectIFRSdeprDesc_Depr(ifrsAsstBefore_depr);
                    if (rsltDeprSched==null) {
                    	throw new BizException("[IFRS 상각스케쥴 SELECT 에러처리(조회 건수 없음)] ");
                    }
                } catch (Exception e) {
                	throw new BizException("[IFRS 상각스케쥴 SELECT 에러처리]" + e.getMessage());
                }

                //0816 현재 IFRS LT_리스자산 원장에 대출번호가 2018-08-01까지 만 존재해서 null exception 막기위해서..
                if (tempLeasBaseDO!=null) { //운용리스일 때...

                    //차변
                    trDescVO.setChngBfDferCostCprtFee(tempLeasBaseDO.getLeasOpenPcst().longValue() - rsltDeprSched.getDeprTotAmt1().longValue() );     //029  운용리스자산손상차손-리스개설원가     <- 개설원가 장부가액
                    trDescVO.setChngBfDferCostTrtFee(currSellVal);										//030  선수금-예수보증금-리스-운용	<- 현재가치할인차금
                    trDescVO.setChngBfFeePrftTrtFee(rsltDeprSched.getDeprTotAmt().longValue());			//027 (감가상각누계액-단순운용)	<- 리스상각누계금액
                    trDescVO.setChngBfFeeCostTrtFee(tempLeasBaseDO.getTotGainPcst().longValue());		//026  해지리스자산 =            	<- 총취득원가
                    trDescVO.setChngBfPamt(rsltDeprSched.getDeprTotAmt1().longValue());					//028 (감가상각누계액-리스개설원가-운용) <- 개설_원가_상각_누계_액

                    //대변
                    trDescVO.setChngAfDferCostCprtFee(currSellVal);										//038  (현재가치할인차금-예수보증금-실행)	<- 현재가치할인차금
                    trDescVO.setChngBfIntCostCprtFee(tempLeasBaseDO.getLeasGainPcst().longValue());		//033  운용리스자산_상품					<- 리스취득원가
                    trDescVO.setChngBfIntPrftCprtFee(rsltDeprSched.getDeprTotAmt().longValue()+rsltDeprSched.getDeprTotAmt1().longValue());	//034  (감가상각누계액_해지리스자산) <- 상각누계금액
                    trDescVO.setChngAfFeeCostTrtFee(tempLeasBaseDO.getLeasOpenPcst().longValue());		//035  리스개설직접원가_상품                                   <- 리스개설원가
                    trDescVO.setChngAfDferCostTrtFee(tempLeasBaseDO.getLeasOpenPcst().longValue() - rsltDeprSched.getDeprTotAmt1().longValue());	//039  (손상차손누계액-해지리스자산) <- 리스손상_차손액 +리스개설원가_손상차손액 +개설원가_장부금액

                    trDescVO.setDepo(0);	//판촉수수료
                    trDescVO.setCash(0);	//전문_영업직_수수료

                }
            } else {

                LtLeasIFRSLeaseDescINDTO befrFeeDO = new LtLeasIFRSLeaseDescINDTO();

                long currSellVal = 0; //미상각잔액
                befrFeeDO.setLoanNo(rcptBaseVO.loanNo);
                befrFeeDO.setLoanSeq(rcptBaseVO.loanSeq);

                //2018-08-01 운용리스와 마찬가지로 현할차금액 세팅
                trDescVO.setChngBfDferCostTrtFee(currSellVal);	//030  선수금-예수보증금-리스-금융        <- 현재가치할인차금
                trDescVO.setChngAfDferCostCprtFee(currSellVal); //038 (현재가치할인차금-예수보증금-실행) <- 현재가치할인차금

                //운용리스가 아닐 경우 IFRS
                trDescVO.setChngBfFeeCostTrtFee(0);           //026  해지리스자산
                trDescVO.setChngBfFeePrftTrtFee(0);           //027  (감가상각누계액-단순운용)
                trDescVO.setDepo(0/*iamtUnrcvObjVO.prFee*/);  //판촉수수료 없음
                trDescVO.setCash(iamtUnrcvObjVO.gramSmanFee); //전문_영업직_수수료

                trDescVO.setChngBfIntCostCprtFee(0);          //033  운용리스자산_상품
                trDescVO.setChngBfIntPrftCprtFee(0);          //034  감가상각누계액_해지리스자산
                trDescVO.setChngAfFeeCostTrtFee(0);
            }
        }

        trDescVO.setTrDescRmk(iamtUnrcvObjVO.setlDivNm);

        return trDescVO;
    }

	/**
	 * <p>메소드명	: getTrStagCd</p>
	 * <p>설　　명	: 거래단계코드 얻기</P>
	 * <p>메소드인수	: occrAcctUnitCd, mngAcctUnitCd, isrtDeptCd, mngDeptCd</p>
	 * <p>리　턴　값	: trStagCd</p>
	 */
	@Override
	public String getTrStagCd(String occrAcctUnitCd, String mngAcctUnitCd, String isrtDeptCd, String mngDeptCd) {

		if (StringUtil.isNull(occrAcctUnitCd)) {
			throw new BizException("(발생)회계단위코드가 입력되지 않았습니다.");
		}
		if (StringUtil.isNull(mngAcctUnitCd)) {
			throw new BizException("(관리)회계단위코드가 입력되지 않았습니다.");
		}

		if (StringUtil.isNull(isrtDeptCd)) {
			throw new BizException("입력부서가 입력되지 않았습니다.");
		}
		if (StringUtil.isNull(mngDeptCd)) {
			throw new BizException("관리부서가 입력되지 않았습니다.");
		}

		String trStagCd = BLANK;

		//W01(발생)
		if ("W01".equals(occrAcctUnitCd)) {
			//W01(관리)
			if ("W01".equals(mngAcctUnitCd)) {
				trStagCd = isrtDeptCd.equals(mngDeptCd)?"010":"020";
			} else {
				trStagCd = isrtDeptCd.equals(mngDeptCd)?"030":"040";
			}
		}
		//SPC(발생)
		else {
			//SPC(관리)
			if (!"W01".equals(mngAcctUnitCd)) {
				trStagCd = isrtDeptCd.equals(mngDeptCd)?"110":"120";
			} else {
				trStagCd = isrtDeptCd.equals(mngDeptCd)?"130":"140";
			}
		}
		return trStagCd;
	}

	/**
	 * <p>메소드명	: procIpayRcptRslt</p>
	 * <p>설　　명	: 대지급(수납)정산처리</P>
	 * <p>메소드인수	: setlNo, setlSnum, tims, IamtUnrcvObjVO, Connection</p>
	 * <p>리　턴　값	: N/A</p>
	 */
	//private void procIpayRcptRslt(int setlNo, int setlSnum, int tims, IamtUnrcvObjVO iamtUnrcvObjVO) {
	//}

	/**
	 * <p>메소드명	: getRcptBaseVO</p>
	 * <p>설　　명	: 입금대상의 수납기본을 얻는다.</P>
	 * <p>메소드인수	: rcptBaseIdx, IamtUnrcvObjVO, rcptBaseVOList</p>
	 * <p>리　턴　값	: RcptBaseVO</p>
	 */
	private RcptBaseVO getRcptBaseVO(int rcptBaseIdx, IamtUnrcvObjVO iamtUnrcvObjVO, List rcptBaseVOList) {
        if (rcptBaseIdx>=StringUtil.size(rcptBaseVOList)) {
            return null;
        }

        RcptBaseVO rcptBaseVO = (RcptBaseVO)rcptBaseVOList.get(rcptBaseIdx);
        if (IamtUtil.equals(iamtUnrcvObjVO.loanNo, rcptBaseVO.loanNo)) {
            return rcptBaseVO;
        } else if (IamtUtil.compareTo(rcptBaseVO.loanNo, iamtUnrcvObjVO.loanNo)>0) {
        	throw new BizException("대상에 대한 수납정보가 일치하지 않습니다.");
        }
        return null;
	}

	/**
	 * <p>메소드명	: getRcptBaseVO</p>
	 * <p>설　　명	: 대출번호, 대출순번에 해당하는 수납기본을 얻는다.</P>
	 * <p>메소드인수	: loanNo, loanSeq, List</p>
	 * <p>리　턴　값	: RcptBaseVO</p>
	 */
	private RcptBaseVO getRcptBaseVO(String loanNo, String loanSeq, List rcptBaseList) {
		int idx = indexOfRcptBaseVO(loanNo, loanSeq, rcptBaseList);
		if (idx>=0) {
			return (RcptBaseVO)rcptBaseList.get(idx);
		}
		return null;
	}

	/**
	 * <p>메소드명	: indexOfRcptBaseVO</p>
	 * <p>설　　명	: 대출번호, 대출순번에 해당하는 수납기본 위치를 얻는다.</P>
	 * <p>메소드인수	: loanNo, loanSeq, List</p>
	 * <p>리　턴　값	: index</p>
	 */
	private int indexOfRcptBaseVO(String loanNo, String loanSeq, List rcptBaseList) {
		RcptBaseVO keyVO = new RcptBaseVO();
			keyVO.loanNo = loanNo;
			keyVO.loanSeq = loanSeq;
		return Collections.binarySearch(rcptBaseList, keyVO);
	}

	/**************************************************************************************************/
	/* TODO ExmpConsCostProc.java 정의*/
	/**************************************************************************************************/

	/**
	 * TODO 데이터 변환 완료
	 * <p>메소드명		: procExmp</p>
	 * <p>설    명		: 면제처리</p>
	 * <p>메소드 인수1 	: String procDiv ( "U" 수납, "C" 취소 )</p>
	 * <p>메소드 인수2 	: List iamtUnrcvObjList</p>
	 * <p>메소드 인수3 	: Connection</p>
	 * <p>메소드 리턴값	: N/A</p>
	 * <p>예외처리		: N/A</p>
	 */
	@Override
	public void procExmp(String procDiv, List iamtUnrcvObjList) {

		ArrayList exmpConsCostReqList = new ArrayList();

		for (int i = 0, n = IamtUtil.sizeOfList(iamtUnrcvObjList); i < n; i++) {
			IamtUnrcvObjVO inVO = (IamtUnrcvObjVO) iamtUnrcvObjList.get(i);

			if (!BLANK.equals(StringUtil.nvl(inVO.exmpConsNo))) {
				ExmpConsCostObjVO exmpConsCostObj = new ExmpConsCostObjVO();

				if (procDiv.equals("U")) { //수납일때만 처리한다.
					exmpConsCostObj.setRcptAplyDt(inVO.setlDt);
					exmpConsCostObj.setRcptAplyEmpNo(inVO.frstRegEmpNo);
					// OPS에서 처리할수 있으므로 주석처리함
//					if (!inVO.isrtDeptCd.equals(inVO.mngDeptCd)) {
//						IamtExceptionHandler.throwIamtException(inVO, "면제처리는 해당 관리부서에서만 가능합니다.(입력부서 : " + inVO.isrtDeptCd + ", 관리부서 : " + inVO.mngDeptCd + ")");
//					}
				}
				exmpConsCostObj.setProcDivCd(procDiv); // U: 수납, C: 취소
				exmpConsCostObj.setLoanNo(inVO.loanNo);
				exmpConsCostObj.setLoanSeq(inVO.loanSeq);
				exmpConsCostObj.setConsShNo(inVO.exmpConsNo);
				exmpConsCostObj.setLastProcEmpNo(inVO.frstRegEmpNo);
				exmpConsCostObj.setLastProcDt(inVO.setlDt);
				exmpConsCostObj.setLastProcTm("000000"); //default셋팅

				exmpConsCostReqList.add(exmpConsCostObj);
			}
		}

		if (IamtUtil.sizeOfList(exmpConsCostReqList)>0) {
			ExmpConsCostProcInVO inVo = new ExmpConsCostProcInVO();
			ExmpConsCostProcOutVO outVo = new ExmpConsCostProcOutVO();
			inVo.setListExmpConsCostObjVO(exmpConsCostReqList);

			//ExmpConsCostProcCC exmpConsCostProcCC = new ExmpConsCostProcCC();
			try {
				outVo = exmpConsCostProcService.calcExmpConsCost(inVo);

				if( IamtUtil.sizeOfList(exmpConsCostReqList) > 0){
					exmpConsCostReqList.clear();
					exmpConsCostReqList = null;
				}

				if (!"N01".equals(outVo.getRsltCd())) {
					throw new BizException("(면제품의처리에러)[" + outVo.getRsltCntn() + "]" );
				}

			} catch (Exception e) {
				throw new BizException("면제품의내역수납 반영 처리 중 에러가 발생했습니다!");
			}
		}
	}

	/**************************************************************************************************
	 * LeglActnCostProc.java 정의
	 **************************************************************************************************/

	/**
	 * <p>메소드명		: procLeglCostAdj</p>
	 * <p>설명			: 법적조치비용 정산처리(주의!!!!! temp에 대상 금액이 셋팅되어 있어야한다.)</p>
	 * <p>메소드인수1 	: IamtUnrcvObjVO</p>
	 * <p>메소드인수2 	: Connection</p>
	 * <p>메소드리턴값	: N/A</p>
	 * <p>예외처리		: N/A</p>
	 */
	private IamtUnrcvObjVO procLeglCostAdj(IamtUnrcvObjVO iamtUnrcvObjVO) {

		LeglActnCostObjVO leglCostObj = new LeglActnCostObjVO();
		leglCostObj.setProcDivCd("2"); //회수
		leglCostObj.setLoanNo(iamtUnrcvObjVO.loanNo);
		leglCostObj.setLoanSeq(iamtUnrcvObjVO.loanSeq);
		leglCostObj.setSetlNo(String.valueOf(iamtUnrcvObjVO.setlNo));
		leglCostObj.setOrgSetlNo("0"); //default 0
		leglCostObj.setAcctDt(iamtUnrcvObjVO.acctDt);
		leglCostObj.setSetlDt(iamtUnrcvObjVO.setlDt);

		leglCostObj.setRcptAmt(iamtUnrcvObjVO.tempSetlAmt);
		leglCostObj.setExmpAmt(iamtUnrcvObjVO.tempExmpLeglActnCost);	//법적조치비용면제금액
		leglCostObj.setProcDeptCd(iamtUnrcvObjVO.isrtDeptCd);
		leglCostObj.setProcEmpNo(iamtUnrcvObjVO.frstRegEmpNo);

		ArrayList argList = new ArrayList();
		argList.add(leglCostObj);

		LeglActnCostInVO leglCostVO = new LeglActnCostInVO();

		leglCostVO.setLeglActnCostObjVOList(argList);

		LeglActnCostOutVO outVO = new LeglActnCostOutVO();
		try {
			outVO = leglActnCostProcService.calcLeglActnCost(leglCostVO);
		} catch(Exception e){
			log.error(e.getMessage(), e);
			throw new BizException("법적조치비용 정산오류[" + e.getMessage() +"]");
		}

		if (!outVO.getRsltCd().equals("N01")) { //정상이 아닐때..
			throw new BizException("법적조치비용 정산오류[" + outVO.getRsltCd() +"] : " + outVO.getRsltCntn());
		}

		if (leglCostVO.sizeLeglActnCostRsltList() == 1) {
			LeglActnCostRsltVO rslt = (LeglActnCostRsltVO) leglCostVO.getLeglActnCostRsltVOList().get(0);

			if (rslt != null) {
				iamtUnrcvObjVO.tempExmpLeglActnCost = rslt.getExmpRamt();	//법적조치비용 수납후 남은 면제금
				iamtUnrcvObjVO.tempSetlAmt 			= rslt.getRcptRamt();	//법적조치비용 수납후 남은 금액
				iamtUnrcvObjVO.adjLeglActnCost 		= rslt.getRcptAdjAmt();	//법적조치비용 수납금액
				iamtUnrcvObjVO.adjExmpLeglActnCost 	= rslt.getExmpAdjAmt();	//법적조치비용 면제수납금액
			}
		}

		return iamtUnrcvObjVO;
	}

	/**
	 * <p>메소드명		: procLeglCostCncl</p>
	 * <p>설명			: 법적조치비용취소</p>
	 * <p>메소드인수1 	: IamtUnrcvObjVO</p>
	 * <p>메소드인수2 	: Connection</p>
	 * <p>메소드리턴값	: N/A</p>
	 * <p>예외처리		: Exception</p>
	 */
	private void procLeglCostCncl(IamtUnrcvObjVO iamtUnrcvObjVO) throws Exception {

		LeglActnCostObjVO leglCostObj = new LeglActnCostObjVO();
		leglCostObj.setProcDivCd("3"); //취소
		leglCostObj.setLoanNo(iamtUnrcvObjVO.loanNo);
		leglCostObj.setLoanSeq(iamtUnrcvObjVO.loanSeq);
		leglCostObj.setSetlNo(String.valueOf(iamtUnrcvObjVO.setlNo)); //디폴트. 사용안하는 필드.
		leglCostObj.setOrgSetlNo(String.valueOf(iamtUnrcvObjVO.orgSetlNo));
		leglCostObj.setProcDeptCd(iamtUnrcvObjVO.isrtDeptCd);
		leglCostObj.setProcEmpNo(iamtUnrcvObjVO.frstRegEmpNo);

		leglCostObj.setAcctDt(iamtUnrcvObjVO.acctDt);
		leglCostObj.setSetlDt(iamtUnrcvObjVO.setlDt);
		leglCostObj.setRcptAmt(0);
		leglCostObj.setExmpAmt(0);

		ArrayList argList = new ArrayList(1);
		argList.add(leglCostObj);

		LeglActnCostInVO leglCostVO = new LeglActnCostInVO();
		leglCostVO.setLeglActnCostObjVOList(argList);

		LeglActnCostOutVO outVO = new LeglActnCostOutVO();

		outVO = leglActnCostProcService.calcLeglActnCost(leglCostVO);

		if (!outVO.getRsltCd().equals("N01")) { //정상이 아닐때..
			throw new BizException("법적조치비용 취소오류[" + outVO.getRsltCd() + "] : " + outVO.getRsltCntn());
		}
	}

	/**************************************************************************************************/
	/* TODO java 정의*/
	/**************************************************************************************************/

	/**
	 * <p>메소드명	: validAutoTran</p>
	 * <p>설　　명	: 자동이체입금 처리중인지 체크</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, Connection</p>
	 * <p>리 턴 값	: N/A</p>
	 */
	@Override
	public void validAutoTran(IamtUnrcvObjVO iamtUnrcvObj) {
		boolean flag = autoTranTrServicel.chkAutoTranTr(iamtUnrcvObj);

		if (flag) {
			throw new BizException("자동이체입금처리중입니다. 입금반영이 끝나고 처리하세요.");
		}
	}

	/**
	 * <p>메소드명	: validSetlCond</p>
	 * <p>설　　명	: 수납정산 요청의 유효성 체크</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, BndVO, Connection</p>
	 * <p>리 턴 값	: N/A</p>
	 */
	private void validSetlCond(IamtUnrcvObjVO iamtUnrcvObjVO, BndVO bndVO) {

		//대출일자 : 대출기본.대출일자
		if (IamtUtil.compareTo(iamtUnrcvObjVO.loanDt, iamtUnrcvObjVO.setlDt) > 0) {
			//대출일자(§1)보다 결제_일자(§2) 작을 수 없습니다.
			throw new BizException("대출일자(" + iamtUnrcvObjVO.loanDt + ")가 결제일자(" + iamtUnrcvObjVO.setlDt + ")보다 작을 수 없습니다");
		}

		// 결제일자는 현재일자보다 미래일수 없다.
		if (IamtUtil.compareTo(iamtUnrcvObjVO.setlDt, iamtUnrcvObjVO.isrtDt) > 0) {
			throw new BizException("결제일자(" + iamtUnrcvObjVO.setlDt + ")가 현재일자(" + iamtUnrcvObjVO.isrtDt + ")보다 미래일수 없습니다..");
		}

		// 최근결제일자 체크
		if (IamtUtil.isPiamt(iamtUnrcvObjVO.setlDivCd)) {
			if (!isTest && IamtUtil.compareTo(iamtUnrcvObjVO.rcntSetlDt, iamtUnrcvObjVO.setlDt) > 0) {
				//최근_결제_일자(§1)보다 결제_일자(§2) 작을 수 없습니다.
				throw new BizException("최근결제일자(" + iamtUnrcvObjVO.rcntSetlDt + ")가 결제일자(" + iamtUnrcvObjVO.setlDt + ")보다 작을 수 없습니다");
			}
		}

		// 회계일자 / 결제일자 비교
		if (IamtUtil.compareTo(iamtUnrcvObjVO.setlDt, iamtUnrcvObjVO.acctDt) > 0) {
			throw new BizException("회계일자(" + iamtUnrcvObjVO.acctDt + ")는 결제일자(" + iamtUnrcvObjVO.setlDt + ")보다 작을수 없습니다.");
		}

		// 기수납 회계일자 체크
		if (!isTest && IamtUtil.compareTo(iamtUnrcvObjVO.acctDt, iamtUnrcvObjVO.rcntAcctDt) < 0) {
			throw new BizException("회계일자(" + iamtUnrcvObjVO.acctDt + ")는 기수납회계일자(" + 	iamtUnrcvObjVO.rcntAcctDt + ")보다 작을수 없습니다.");
		}

		// 결제금액,예가수발생금액, 면제금액 체크
		if (iamtUnrcvObjVO.setlAmt==0) {
			if ((iamtUnrcvObjVO.dsrcAdjAmt + iamtUnrcvObjVO.exmpAmt + iamtUnrcvObjVO.execGuarAmtTrnsAmt + iamtUnrcvObjVO.ltrmBrcvAmt)<1) {
				throw new BizException("결제금액,예가수발생금액, 면제금액이 입력되지 않았습니다");
			}
		}

		// 결제금액 = 현금금액 + 수표금액이어야 함.
		if (iamtUnrcvObjVO.setlAmt != (iamtUnrcvObjVO.cashAmt + iamtUnrcvObjVO.chkAmt)) {
			//결제금액이 현금금액, 수표금액의 합과 일치하지 않습니다.
			log.info("결제금액("+iamtUnrcvObjVO.setlAmt+") = "+iamtUnrcvObjVO.cashAmt+"+"+iamtUnrcvObjVO.chkAmt);
			throw new BizException("결제금액이 현금금액, 수표금액의 합과 일치하지 않습니다.");
		}

		// 면제금액 체크
		if (iamtUnrcvObjVO.exmpAmt != (iamtUnrcvObjVO.exmpPamt + iamtUnrcvObjVO.exmpInt + iamtUnrcvObjVO.exmpDfee
				+ iamtUnrcvObjVO.exmpMidRmbrFee + iamtUnrcvObjVO.exmpLeglActnCost + iamtUnrcvObjVO.exmpTrtFee + iamtUnrcvObjVO.exmpNmChngExmpGuarAmt)) {
			throw new BizException("면제금액이 잘못입력되었습니다.");
		}

		// 면제금 입력시
		if (iamtUnrcvObjVO.exmpAmt != 0) {

			if (iamtUnrcvObjVO.exmpLeglActnCost > bndVO.leglActnCostRamt) {
				throw new BizException("면제가지급금은 가지급금보다 클수 없습니다.");
			}
			if (iamtUnrcvObjVO.exmpDfee > bndVO.askDfee) {
				throw new BizException("면제연체료는 연체료보다 클수 없습니다.");
			}

			// 중도상환(전액) 면제금액 체크
			if (iamtUnrcvObjVO.setlDivCd.equals(Constants.SETL_DIV_MIDRMBR_T)) {

				if (iamtUnrcvObjVO.exmpPamt > bndVO.pamtRamt) {
					throw new BizException("면제연체료는 원금잔액보다 클수 없습니다.");
				}
				if (iamtUnrcvObjVO.exmpNmChngExmpGuarAmt > bndVO.closGuarAmt) {
					throw new BizException("면제명의이전보증금(" + iamtUnrcvObjVO.exmpNmChngExmpGuarAmt + ") 은 명의이전보증금(" + bndVO.closGuarAmt + ") 보다 클수 없습니다.");
				}
				if (iamtUnrcvObjVO.exmpInt > bndVO.totMidRmbrInt) {
					throw new BizException("면제이자는 전액상환이자보다 클수 없습니다.");
				}
				if (iamtUnrcvObjVO.exmpTrtFee > bndVO.totMidRmbrTrtFee) {
					throw new BizException("면제취급수수료는 전액상환취급수수료보다 클수 없습니다.");
				}
				if (iamtUnrcvObjVO.exmpMidRmbrFee > bndVO.tamtRmbrFee) {
					throw new BizException("면제상환수수료는 상환수수료보다 클수 없습니다.");
				}
			}
			// 중도상환(일부) 면제금액 체크
			else if (iamtUnrcvObjVO.setlDivCd.equals(Constants.SETL_DIV_MIDRMBR_P)) {

				if (iamtUnrcvObjVO.exmpPamt > bndVO.partRmbrPamt) {
					throw new BizException("면제연체료는 부분상환원금보다 클수 없습니다.");
				}
				if (iamtUnrcvObjVO.exmpInt > bndVO.partMidRmbrInt) {
					throw new BizException("면제이자는 전액상환이자보다 클수 없습니다.");
				}
				if (iamtUnrcvObjVO.exmpMidRmbrFee > bndVO.partRmbrFee) {
					throw new BizException("면제상환수수료는 상환수수료보다 클수 없습니다.");
				}
			}
		}

		//수납금액 셋팅(결제금액 + 예가수정산금액 + 면제금액 + 실행보증금대체금 + 장기선수금대체금
		iamtUnrcvObjVO.rcptAmt = iamtUnrcvObjVO.setlAmt + iamtUnrcvObjVO.dsrcAdjAmt + iamtUnrcvObjVO.exmpAmt + iamtUnrcvObjVO.execGuarAmtTrnsAmt + iamtUnrcvObjVO.ltrmBrcvAmt;

		//상환미수금 정산처리
		if (IamtUtil.equals(Constants.SETL_DIV_CRDT_RCVR_UNRCV_AMT, iamtUnrcvObjVO.procSetlDivCd)) {
			if (iamtUnrcvObjVO.setlAmt > bndVO.crdtRcvrUnrcvAmtRamt) {
				log.info("■ 신용회복미수금 = "+bndVO.crdtRcvrUnrcvAmtRamt);
				throw new BizException("신용회복 미수금정산시 결제금액이 신용회복미수금 잔액보다 크게입력되었습니다.");
			}
		}

		//예가수 정산처리시 (예가수정산금액이 존재한다는것은 수납처리할때 예가수정산금액을 사용한다는 것이므로, 청구미수의 예가수정보를 조회하여 예가수정보가 있어야 한다.)
		if (iamtUnrcvObjVO.dsrcAdjAmt > 0) {

			// [예가수정산]예가수 번호체크
			if (StringUtil.isNull(iamtUnrcvObjVO.dsrcNo)) {
				throw new BizException("[예가수정산]예가수 번호가 입력되지 않았습니다.");
			}

			// 환불상태 확인 수납처리 (일부환불일 경우, 예가수잔액이 존재하며 환불상태는 70이 된다)
			if (!StringUtils.equals(iamtUnrcvObjVO.dsrcAdjCd, Constants.DSRC_DIV_RFND) && !StringUtil.in(bndVO.rfndStatCd, new String[]{"00","70"})) {
				throw new BizException(bndVO.dsrcNo+"] 환불상태(" + bndVO.rfndStatCd + ")가 정상일때만 수납정산 가능합니다.");
			}

			//예가수결제일자(§1)는 결제일자(§2) 이전일수 없습니다.
			if (!isTest && IamtUtil.compareTo(bndVO.dsrcSetlDt, iamtUnrcvObjVO.setlDt) > 0) {
				throw new BizException("예가수결제일자(" + iamtUnrcvObjVO.setlDt + ")는 결제일자(" + iamtUnrcvObjVO.setlDt + ")이전일수 없습니다");
			}

			//예가수정산금액이 잔여 가수금 보다 클수 없습니다.
			if (iamtUnrcvObjVO.dsrcAdjAmt > bndVO.dsrcRamt) {
				log.info("dsrcAdjAmt = "+iamtUnrcvObjVO.dsrcAdjAmt+" / dsrcRamt = "+bndVO.dsrcRamt);
				throw new BizException("예가수정산금액(" + iamtUnrcvObjVO.dsrcAdjAmt + ")이 잔여 가수금(" + bndVO.dsrcRamt + ")보다 클수 없습니다.");
			}

			//예가수 대출번호 변경시 미확인대출로 변경할순없다.
			if (IamtUtil.equals(Constants.DSRC_DIV_LOAN_NO_UPDT,iamtUnrcvObjVO.dsrcAdjCd) && IamtUtil.equals(Constants.YES,iamtUnrcvObjVO.unCnfmFg)) {
				throw new BizException("존재하지 않는 대출입니다.(대출번호 : " + iamtUnrcvObjVO.loanNo + ", 대출순번 : " + iamtUnrcvObjVO.loanSeq + ")");
			}

			//예가수 발생회계일보다 정산회계일이 이전일수 없슴
			if (StringUtils.isEmpty(bndVO.dsrcOccrAcctDt)) {
				throw new BizException("예가수 발생회계일자가 입력되지 않았습니다.(예가수번호 : " + bndVO.dsrcNo + ")");
			}

			if (!isTest && IamtUtil.compareTo(bndVO.dsrcOccrAcctDt, iamtUnrcvObjVO.acctDt)>0) {
				throw new BizException("예가수 발생회계일자(" + bndVO.dsrcOccrAcctDt + ") 이전 회계일자(" + iamtUnrcvObjVO.acctDt + ")로 정산을 할수 없습니다. ");
			}
		}

		//개인회생, 신용회복으로 수납요청이 들어온경우.
		if (StringUtil.in(iamtUnrcvObjVO.prdtSmClasCd, "4,5") && (iamtUnrcvObjVO.setlAmt != 0) && IamtUtil.isPiamt(iamtUnrcvObjVO.setlDivCd)) {
			if (!IamtUtil.equals(Constants.RCPT_DIV_CRDT_RCVR, iamtUnrcvObjVO.rcptTpCd)) {
				throw new BizException("개인회생, 신용회복 대출은 신용회복수납만 가능합니다.");
			}
		}

		// 입력부서체크 (자동환불은 부서체크안함)
		// TODO 미사용
		//loanService.searchOrg(iamtUnrcvObjVO);
	}

	/**
	 * <p>메소드명	: validRcptCond</p>
	 * <p>설　　명	: 수납조건확인, 수납정산 요청의 유효성 체크</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, BndVO</p>
	 * <p>리 턴 값	: N/A</p>
	 */
	private void validRcptCond(IamtUnrcvObjVO iamtUnrcvObjVO, BndVO bndVO) {

		long tmpSetlAmt = iamtUnrcvObjVO.setlAmt + iamtUnrcvObjVO.dsrcAdjAmt + iamtUnrcvObjVO.exmpAmt
						+ iamtUnrcvObjVO.execGuarAmtTrnsAmt + iamtUnrcvObjVO.ltrmBrcvAmt;

		if (IamtUtil.equals(Constants.SETL_DIV_PIAMT, iamtUnrcvObjVO.procSetlDivCd)) {	//원리금 수납

			//리스 만기해지처리시
			//강제해지도 추가 중도상환회차가만기회차이고, 결제일이 납입일이후일때 만기해지방식으로 처리함. 미수처리체크때문에 추가함.
			if (iamtUnrcvObjVO.rcptTpCd.equals(Constants.RCPT_DIV_EPRT_CLOS_RCPT_DEPO) || iamtUnrcvObjVO.rcptTpCd.equals(Constants.RCPT_DIV_IVLT_CLOS_RCPT)) {

				//장기선수금대체금이 존재체크
				if (bndVO.stndLtrmBrcvAmt > 0) {
					throw new BizException("장기선수금 대체금이 존재합니다. 대체정산후 만기해지처리가 가능합니다.");
				}

				// 운용리스 : 만기회차 처리회차 체크
				if (IamtUtil.isAutoOprLease(iamtUnrcvObjVO)) {
					if (bndVO.totTims!=bndVO.unrcvTims) {
						throw new BizException("만기회차에 미수처리가 아직 처리되지 않았습니다.(미수처리회차 : " + bndVO.unrcvTims + ")");
					}
				}
			} else {
				//아래 부분 별도 체크에서 이와 같이 만기해지나 강제해지수납이 아닐 경우만 체크한다.
				//즉, 만기해지 or 강제해지때는 원리금수납대상금액이 없어도 진행되어야함.
				if (bndVO.timsUnrcvCnt < 1 && bndVO.leglActnCostRamt==0) {
					throw new BizException("원리금 수납대상금액을 확인하세요!");
				}
			}

			//대지급우선결제시 청구할 대지급이 없다면
			if (iamtUnrcvObjVO.setlFrstRank.equals(Constants.SETL_FRST_RANK_IPAY)) {
				if (!IamtUtil.isLease(iamtUnrcvObjVO)) {
					throw new BizException("대지급우선결제는 리스상품만 가능합니다.");
				}

				if (bndVO.ipayCartaxRamt + bndVO.ipayEnvImprBrdnamtRamt + bndVO.ipayEtcRamt
						+ bndVO.ipayInsuFeeRamt + bndVO.ipayPnltAmtRamt <= 0) {
					throw new BizException("정산할 대지급청구금액이 없습니다.");
				}
				// 금융리스:원금,이자,연체료면제, 운용리스:연체료 면제  대지급금하고는 관련없음.
				if (iamtUnrcvObjVO.exmpAmt>0) {
					throw new BizException("대지급우선결제는 면제금을 입력할 수 없습니다.");
				}
			}

			//승계수납
			if (IamtUtil.isSucsRcpt(iamtUnrcvObjVO)) {
				if (IamtUtil.isAutoOprLease(iamtUnrcvObjVO)) {
					if (bndVO.unrcvAmt>0) {
						throw new BizException("미수금이 존재합니다.(미수금 : " + bndVO.unrcvAmt + ")");
					}
				} else {
					if (bndVO.dlyAmt>0) {
						throw new BizException("연체금이 존재합니다.(연체금 : " + bndVO.dlyAmt + ")");
					}
				}
			}
		}
		// 중도상환(전액)
		else if (IamtUtil.equals(Constants.SETL_DIV_MIDRMBR_T, iamtUnrcvObjVO.procSetlDivCd)) {

			if (IamtUtil.equals(Constants.NO, bndVO.midRmbrFg)) {
				throw new BizException("중도상환가능 상태가 아닙니다.(선납,만기확인,기한상실)");
			}

			// 할부,P,M론 - 전액상환
			if (!IamtUtil.isLease(iamtUnrcvObjVO)) {
				if (bndVO.tamtRmbrObjAmt>tmpSetlAmt) {
					throw new BizException("결제금액이 전액상환금액보다 작습니다. "
							+ "(전액상환대상금액 : " + bndVO.tamtRmbrObjAmt + ", 결제금액 : " + tmpSetlAmt + ")");
				}
			}
			// 리스 - 전액상환
			else {

				if (bndVO.stndLtrmBrcvAmt > 0) {
					throw new BizException("장기선수금 대체금(" + bndVO.stndLtrmBrcvAmt + ")이 존재합니다. 대체정산후 중도해지처리가 가능합니다.");
				}

				// 리스중도해지시 중도상환대상금액 외에 반납지연금+초과운행부담금 추가된다.
				if (iamtUnrcvObjVO.dsrcAdjAmt > 0 && (tmpSetlAmt != bndVO.tamtRmbrObjAmt)) {
					throw new BizException("예가수정산금이 있는 경우 총 결제금액("+ tmpSetlAmt +")은 전액상환대상금액("+ bndVO.tamtRmbrObjAmt +")과 일치해야합니다.");
				}

				//중도해지전 모든 회차를 미수처리해야함. (단 초회차일땐 미수처리 회차가 존재하지 않아도 됨)
				if (IamtUtil.isAutoOprLease(iamtUnrcvObjVO)) {	//운용리스
					if (bndVO.midRmbrTims-1 != bndVO.unrcvTims && bndVO.fcntTims != bndVO.midRmbrTims) {
						throw new BizException("미수처리가 안된 회차로 중도해지를 할수 없습니다.(미수처리회차 : " + bndVO.unrcvTims + ", 중도해지회차 : " + bndVO.midRmbrTims + ")");
					}
				}
			}
		}
		// 중도상환(부분)
		else if (IamtUtil.equals(Constants.SETL_DIV_MIDRMBR_P, iamtUnrcvObjVO.procSetlDivCd)) {

			if (IamtUtil.isAutoOprLease(iamtUnrcvObjVO)) {
				throw new BizException("운용리스는 부분상환 수납을 할수 없습니다.");
			}
			if (IamtUtil.equals(Constants.NO, bndVO.partRmbrFg)) {
				throw new BizException("부분상환가능 상태가 아닙니다.(선납,만기확인,기한상실)");
			}
			if (bndVO.partRmbrObjAmt != tmpSetlAmt) {
				throw new BizException("결제금액이 부분상환금액과 일치하지 않습니다. (부분상환대상금액 : " + bndVO.partRmbrObjAmt + ", 결제금 : " + tmpSetlAmt + ")");
			}
		}
	}

	/**
	 * <p>메소드명	: validDsrcCond</p>
	 * <p>설　　명	: 예가수발생시 유효성 체크</p>
	 * <p>메소드인수	: IamtUnrcvObjVO</p>
	 * <p>리 턴 값	: N/A</p>
	 */
	private void validDsrcCond(IamtUnrcvObjVO iamtUnrcvObjVO) {

		// 예가수정상금액 체크
		if (iamtUnrcvObjVO.dsrcAdjAmt > 0) {
			throw new BizException("예가수 입금에서는 가수대체가 불가합니다.");
		}

		// 면제금액 체크
		if (iamtUnrcvObjVO.exmpAmt>0) {
			throw new BizException("예가수 입금에서는 면제가 불가합니다.");
		}

		// 예가수발생코드 체크
		if (StringUtil.isNull(iamtUnrcvObjVO.dsrcOccrCd)) {
			throw new BizException("예가수 입금에서는 예가수발생코드가 입력되어야 합니다.");
		}
	}

	/**
	 * <p>메소드명	: validCnclCond</p>
	 * <p>설　　명	: 취소 요청에 대한 유효성 체크</p>
	 * <p>메소드인수	: IamtUnrcvVO, IamtUnrcvObjVO, Connection</p>
	 * <p>리 턴 값	: RcptBaseVO</p>
	 */
	private RcptMainVO validCnclCond(RcptMainVO rcptMainVO, IamtUnrcvVO iamtUnrcvVO, IamtUnrcvObjVO iamtUnrcvObjVO) {

		boolean isAutoSel = iamtUnrcvVO.autoSetlFg.equals(Constants.YES);
		boolean isVochUnproc = iamtUnrcvVO.vochUnprocFg.equals(Constants.YES);

		//자동이체 입금처리중인지 체크한다.
		validAutoTran(iamtUnrcvObjVO);

		//취소조건 조회(원거래-취소대상거래)
		RcptBaseVO origRcptBase = rcptService.searchCnclCond(iamtUnrcvObjVO);

		if (origRcptBase==null) {
			throw new BizException("이미 취소 되었거나 취소대상이 존재하지 않습니다.");
		}

		//취소여부확인
		if (IamtUtil.equals(Constants.YES, origRcptBase.cnclFg)) {
			throw new BizException("취소 처리된 입금입니다.");
		}

		//취소하려는 수납의 회계일자 이전으로 취소회계일자를 넣을수는 없다.
		if (origRcptBase.acctDt.compareTo(iamtUnrcvObjVO.acctDt)>0) {
			throw new BizException("수납된 회계일자 이전일자로 취소할수 없습니다.");
		}

		//취소회계일자체크여부(수납당일만 취소가능하도록)
		if (iamtUnrcvObjVO.cnclAcctDtChkFg.equals(Constants.YES)) {

			//원거래가 중도완납일때
			if (origRcptBase.setlDivCd.equals(Constants.SETL_DIV_MIDRMBR_T)) {
				if (!origRcptBase.acctDt.equals(iamtUnrcvObjVO.acctDt)) {
					throw new BizException("중도완납(또는 정상종료)된 대출은 당일(회계일자)취소만 가능합니다.");
				}
			}

			//전월회계일자 수납 취소못함.
			if (StringUtil.isNull(iamtUnrcvObjVO.bfmmLastDt)) {
				throw new BizException("취소대상 전월회계일자를 찾을수 없습니다. 본사회계팀 문의바람.");
			}
			if (origRcptBase.acctDt.compareTo(iamtUnrcvObjVO.bfmmLastDt)<=0) {
				throw new BizException("취소하려는 수납건은 전월회계일자입니다. 본사회계팀 문의바람.");
			}
		}

		//예가수정산점변경, 예가수대출번호수정 건은 삭제못함.
		if (StringUtil.in(origRcptBase.dsrcAdjCd, new String[]{Constants.DSRC_DIV_ADJ_OFFC_CHNG, Constants.DSRC_DIV_LOAN_NO_UPDT})) {
			throw new BizException("정산점변경, 대출번호수정 건은 취소할수 없습니다.");
		}

		// 수납부분취소 추가
		if (IamtUtil.equals(origRcptBase.partCnclCd, "01")) {
			throw new BizException("수납부분취소 취소불가(수납된 내역이 이미 부분 취소 되었습니다.)");
		}

		//수납취소 안되는 거래
		//1) 수납취소가수 : 수납취소가수발생은 원거래취소에 대한 수납취소가수이므로 다시 취소할수 없다.
		//2) 예가수(정산)발생 : 예가수(정산)발생은 정산을 위한 예가수이므로 정산이외에 취소 불가능.
		//부분취소 가능한건 체크
		if (IamtUtil.equals(iamtUnrcvObjVO.partCnclCd, "01")) {
			if (Constants.RCPT_DIV_MID_CLOS_RCPT_DEPO.equals(origRcptBase.rcptTpCd)) {
				throw new BizException("중도해지건은 부분취소를 할수 없습니다.");
			}

			if (Constants.RCPT_DIV_EPRT_CLOS_RCPT_DEPO.equals(origRcptBase.rcptTpCd)) {
				throw new BizException("만기해지건은 부분취소를 할수 없습니다.");
			}
		}

		//즉시출금-환불은 취소할수 없음 (강제취소일경우는 가능하도록 변경)
		if (Constants.RCPT_DIV_RFND_IMMD.equals(origRcptBase.rcptTpCd) && !Constants.YES.equals(iamtUnrcvObjVO.ivltCnclFg)) {
			throw new BizException("즉시환불은  취소할수 없습니다.");
		}

		//환불계좌/현금은 당일만 취소가능함.
		if (StringUtil.in(origRcptBase.rcptTpCd, Constants.RCPT_DIV_RFND_ACNT, Constants.RCPT_DIV_RFND_CASH)) {
			if (!origRcptBase.acctDt.equals(iamtUnrcvObjVO.acctDt)) {
				throw new BizException("환불일자와 취소회계일자가 동일하지 않습니다. 원회계일자: " +
						origRcptBase.acctDt + ")");
			}
		}

		//예가수발생금액 또는 정산금액이 있을때
		if (origRcptBase.dsrcOccrAmt != 0 || origRcptBase.dsrcAdjAmt != 0) {

			//수납기본에 있으면 예가수기본에서 발생금액, 잔액을 비교한다.
			DsrcBaseVO dsrcBase = rcptDsrcService.searchDsrcBase(origRcptBase.dsrcNo);
			if (dsrcBase==null) {
				throw new BizException("예가수정보가 존재하지 않습니다.(" +origRcptBase.dsrcNo + ")");
			}

			if (origRcptBase.dsrcOccrAmt != 0) { //예가수발생을 취소

				//통합예가수 취소불가
				if (origRcptBase.dsrcOccrCd.equals(Constants.DSRC_OCCR_INTG_DSRC)) {
					throw new BizException("예가수통합가수는 취소할수 없습니다.");
				}

				if (dsrcBase.dsrcOccrAmt != dsrcBase.dsrcRamt) {
					if (!isAutoSel && StringUtil.in(StringUtil.nvl(origRcptBase.setlDivCd)
											, new String[]{Constants.SETL_DIV_PIAMT, Constants.SETL_DIV_CRDT_RCVR_UNRCV_AMT
														, Constants.SETL_DIV_MIDRMBR_P, Constants.SETL_DIV_MIDRMBR_T})) {

						//면제금액이 있으면 부분취소를 할수없다.
						if (origRcptBase.exmpAmt!=0) {
							throw new BizException("예가수발생금액이 사용되었습니다.");
						}

						//결제금액중에 예가수정산금액이 있으면 부분취소를할수 없다.
						if (origRcptBase.dsrcAdjAmt!=0) {
							throw new BizException("예가수발생금액이 사용되었습니다.");
						}

						//수납부분취소코드 setting;
						iamtUnrcvObjVO.partCnclCd = "01";
						//origRcptBase.iamtUnrcvObjPartCnclCd = "01";

					} else {
						throw new BizException("예가수발생금액이 사용되었습니다.");
					}
				}

				// (2018-08-01)예가수중 일부환불 되었을 경우도 수납취소 가능하도록 "70"도 추가함 => "수납부분취소_가"로  새로 가수가 발생함
				if (!StringUtil.in(dsrcBase.rfndStatCd, new String[]{"00","70"})) {
					//"환불대상은 취소불가합니다.(환불대상에서 제외 후 가능합니다.)"
					throw new BizException("환불대상은 취소불가합니다.(환불상태코드 : " + dsrcBase.rfndStatCd + ")");
				}
			}

			//예가수정산 취소
			if (origRcptBase.dsrcAdjAmt != 0) {

				//"예가수가 통합등록되어 환불된건이 있습니다.
				if (Constants.DSRC_DIV_RFND.equals(origRcptBase.dsrcAdjCd)) {
					RfndDescVO rfndDescVO = rcptRfndService.searchRfndDesc(iamtUnrcvObjVO);
					if (rfndDescVO != null && "18".equals(rfndDescVO.rfndRsnCd)) {
						throw new BizException("예가수가 통합등록되어 환불된건은 취소할수가 없습니다.");
					}
				}
			}

			//인지세후납 환불 취소일경우 환불당시 관리본부로 한다.
			if (Constants.DSRC_DIV_STMPTAX_AF_RCPT.equals(origRcptBase.dsrcOccrCd) && "04".equals(origRcptBase.dsrcAdjCd)) {
				iamtUnrcvObjVO.adjDeptCd = origRcptBase.mngDeptCd;
				//origRcptBase.iamtUnrcvObjAdjDeptCd = origRcptBase.mngDeptCd;
			} else {
				//예가수잔액이 0일때는 해당관리지점으로 정산지점을 변경한다.
				iamtUnrcvObjVO.adjDeptCd = iamtUnrcvObjVO.mngDeptCd;
				//origRcptBase.iamtUnrcvObjAdjDeptCd = iamtUnrcvObjVO.mngDeptCd;
			}
		}

		//입금정산 내역 확인
		//수납취소는 수납내역의 마지막 수납인것부터 순차적을 취소해야한다.
		if (!IamtUtil.equals(Constants.SETL_DIV_DSRC, origRcptBase.setlDivCd)) {
			if (rcptService.cnfmRcptDesc(iamtUnrcvObjVO)) {
				throw new BizException("추가 입금 정산된 내역이 존재합니다.");
			}
		}

		if (!isAutoSel) {
			//부서정보 조회(제휴점부서코드-자판부서코드, 회사구분코드, 제휴점구분코드, 본사구분코드)
			// TODO 미사용 - 필요시 추가
			//iamtUnrcvObjVO = loanService.searchOrg(iamtUnrcvObjVO);
		}

		// 수납당시 전표를 미처리했으면 취소시에도 전표를 미처리해야함.
		if (origRcptBase.trSnum < 1) {
			//수납기본의 거래일련번호가 0 이하면 원거래수납시 전표처리를 하지 않은것임!!! (입금미수 안태우고 VochCC 바로 콜해서 처리한 것임)
			if (!isVochUnproc) {
				throw new BizException("해당업무에서 취소가능합니다.(대출상태, 예가수정산확인!)");
			}
		} else {
			//전표처리된건인데 전표미처리로 들어옴.
			if (isVochUnproc) {
				throw new BizException("해당업무에서 취소가능합니다.(대출상태, 예가수정산확인!)");
			}
		}

		if (IamtUtil.isMidRmbr(origRcptBase.setlDivCd)) {

			//1) 대출이 정상이 아닐때 리스는 수납취소할수 없다. -> 2018-08-01 HSH 리스이면서 해지리스채권은 취소가 가능하다.해지리스채권은31로 종결시킴.
			//2) 할부일때는 청입업무에서 종료시킨 방법이외인 건들은 취소할수 없다.
			if (iamtUnrcvObjVO.curLoanStatCd.charAt(0) != '2') {
				if (IamtUtil.isLease(iamtUnrcvObjVO) && !IamtUtil.isIvltClsBnd(iamtUnrcvObjVO)) {
					throw new BizException("대출상태를 확인하세요. [" +iamtUnrcvObjVO.curLoanStatCd + "]");
				}

				if (!StringUtil.in(iamtUnrcvObjVO.curLoanStatCd, "31", "32", "36")) {
					throw new BizException("해당업무에서 취소가능합니다. 대출상태를 확인하세요. [" +iamtUnrcvObjVO.curLoanStatCd + "]");
				}
			}
		}

		iamtUnrcvVO.setIamtUnrcvObjVO(0, iamtUnrcvObjVO);

		rcptMainVO.setIamtUnrcvVO(iamtUnrcvVO);
		rcptMainVO.setRcptBaseVO(origRcptBase);

		return rcptMainVO;
	}

	/**
	 * <p>메소드명	: validBrcvAmtLeasTrns</p>
	 * <p>설　　명	: 선수금리스료대체정산 체크</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, BndVO</p>
	 * <p>리 턴 값	: N/A</p>
	 */
	//public static void validBrcvAmtLeasTrns(IamtUnrcvObjVO iamtUnrcvObjVO, BndVO bndVO) {

	/**
	 * <p>메소드명	: validBndEnd</p>
	 * <p>설　　명	: 대출종료 가능한지 여부를 체크(현재는 가지급수납완료 여부만 체크)</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, Connection</p>
	 * <p>리 턴 값	: N/A</p>
	 */
	private void validBndEnd(IamtUnrcvObjVO iamtUnrcvObjVO) {
		long leglActsCostRamt = loanService.getLeglActsCostRamt(iamtUnrcvObjVO.loanNo, iamtUnrcvObjVO.loanSeq);
		if (leglActsCostRamt>0) {
			throw new BizException("가지급금 정리 후 수납바랍니다.(가지급금잔액 : "+ leglActsCostRamt + ")");
		}
	}

	/**
	 * <p>메소드명	: validBndEnd</p>
	 * <p>설　　명	: 중도상환 유효성 체크(결제금액과 상환대상금액을 비교)</p>
	 * <p>메소드인수	: IamtUnrcvObjVO, BndVO</p>
	 * <p>리 턴 값	: N/A</p>
	 */
	private void validMidRmbr(IamtUnrcvObjVO iamtUnrcvObjVO, BndVO bndVO) {

		//중도완납, 정상종료시 본부에서 처리못하도록 수정
		if (bndVO.preRcptFg.equals(Constants.YES)) {
			throw new BizException("선수납 된 결제내역이 있습니다.");
		}

		//부분상환
		if (IamtUtil.equals(Constants.SETL_DIV_MIDRMBR_P, iamtUnrcvObjVO.procSetlDivCd)) {
			if ((iamtUnrcvObjVO.tempSetlAmt + iamtUnrcvObjVO.tempExmpAmt) >= bndVO.tamtRmbrAmt) {
				//"결제금액(§1)이 전액상환금액(§2)보다 같거나 큽니다.(전액중도상환 가능합니다!)"
				throw new BizException("결제금액(" + iamtUnrcvObjVO.tempSetlAmt + ")이 전액상환금액(" + bndVO.tamtRmbrAmt + ")보다 같거나 큽니다.(전액중도상환 가능합니다!)");
			}
		}
		//전액상환
		else {
			if ((iamtUnrcvObjVO.tempSetlAmt + iamtUnrcvObjVO.tempExmpAmt) < bndVO.tamtRmbrAmt) {
				//"결제_금액(§1) 전액상환대상금액(§2)보다 커야 합니다."
				throw new BizException("결제금액(" + iamtUnrcvObjVO.tempSetlAmt + ")이 전액상환대상금액(" + bndVO.tamtRmbrAmt + ")보다 커야 합니다.");
			}
		}
	}
}
